Office 2010 Resource Kit

Published: May 12, 2010

The Microsoft Office 2010 Resource Kit provides information about new features and changes in deployment strategies for Office 2010. The documentation is intended for IT professionals who plan, implement, and maintain Office installations in their organizations. New and updated content will be published on a regular basis.

In the Office 2010 Resource Kit:

Section | Description
Newly published content in the Office 2010 Resource Kit | Contains a list of new and updated technical content for Office 2010.
Downloadable content for the Office 2010 Resource Kit | Contains a list of content in the Office 2010 Resource Kit that is available as a download.
Explore Office 2010 | Provides an overview of Office 2010, and includes information about what's new for IT professionals, the Microsoft Office 2010 suites, getting started with Office 2010, and product and feature changes in Office 2010.
Assessing the compatibility of Office 2010 | Provides information about some of the tools and methods that are available to help you assess your current environment in preparation for the deployment of Office 2010.
Planning the deployment of Office 2010 | Provides an overview of the Setup architecture and information about planning for desktop configurations, security, and applications including Microsoft Access 2010, Microsoft Excel 2010, and Microsoft Outlook 2010. It also provides planning information for migration and upgrading from previous versions of Office, as well as planning for virtualization and Remote Desktop Services.
Configuring and deploying Office 2010 | Provides how-to information for specific deployment tasks, such as customizing the installation, and installing Office 2010 on users' computers. It also provides information about the new licensing options for Office 2010, including instructions for configuring the infrastructure for volume licensing and activation.
Maintaining and updating Office 2010 | Provides information about changing users' configurations after installing Office 2010.
Security and protection for Office 2010 | Provides information new security controls in Office 2010, which make it easier for IT professionals to build a robust defense against threats while maintaining information worker productivity.
Troubleshooting for Office 2010 | Provides suggested solutions to issues you might encounter during a deployment of Office 2010.
Technical reference for Office 2010 | Provides technical details related to Office 2010 Setup properties and command-line options, and describes the Office Customization Tool and Config.xml file.
Note:

Previous versions of the Office Resource Kit included downloadable tools to facilitate deployment. In Office 2010 and in the 2007 Microsoft Office system, these tools are included within the product; no separate download is required. To view the Office Resource Kit for previous versions of Office, see the "Other Resources" section in 2007 Office System Suites and Programs (http://go.microsoft.com/fwlink/p/?LinkID=155115).


Newly published content in the Office 2010 Resource Kit

This article contains a list of new and updated content for Microsoft Office 2010. It is updated regularly. For additional updated content, see the Office IT pro blog.

In this article:

February 18, 2013 | October 29, 2012 | August 27, 2012 | April 16, 2012 | March 19, 2012 | February 20, 2012 | January 30, 2012 | January 2, 2012 | December 12, 2011 | December 5, 2011 | November 28, 2011 | November 14, 2011 | October 31, 2011 | October 3, 2011 | September 5, 2011 | August 22, 2011 | August 8, 2011 | July 25, 2011 | July 11, 2011 | June 27, 2011 │ June 13, 2011 │ May 30, 2011 │ May 23, 2011 │ May 9, 2011 │ May 2, 2011 │ April 25, 2011 │ April 18, 2011 │ April 11, 2011 │ April 4, 2011 │ March 14, 2011 | February 28, 2011 │ February 21, 2011 │ February 14, 2011 │ February 7, 2011 │ January 31, 2011 │ January 17, 2011 │ January 10, 2011 │ January 3, 2011 │ December 13, 2010 │ December 6, 2010 │ November 29, 2010 │ November 15, 2010 │ November 8, 2010

Published the week of February 18, 2013

Updated article

System requirements for Office 2010 Updated operating system information in each table.

Published the week of October 29, 2012

Updated articles

Configure feature installation states for Office 2010 and Office Customization Tool in Office 2010 Added and revised information about feature installation states: Hidden, Locked, and Not Available.

Published the week of August 27, 2012

Updated article

Deploy Office Professional Plus for Office 365 (Office 2010) Added information about users' credentials and about setting up Office Professional Plus for Office 365 for imaging.

Published the week of April 16, 2012

Updated article

64-bit editions of Office 2010 Added information about addressable memory.

Published the week of March 19, 2012

New article

Troubleshoot Outlook 2010 Cached Exchange Mode Describes Cached Exchange Mode issues and provides help for resolving them.

Published the week of February 20, 2012

Updated articles

Changes in Access 2010 (for IT pros) Added information about the date picker and updated or added several links to relevant content.

Changes in Outlook 2010 (for IT pros) Added a section about Cached Exchange Mode and instructions for enabling Cached Exchange Mode manually.

Published the week of January 30, 2012

New articles

Troubleshoot common problems with the Volume Activation Management Tool (VAMT) Provides information about the most common Volume Activation Management Tool (VAMT) problems and a link to the Office Volume Activation Forum for further discussion of VAMT issues.

What's new in the Volume Activation Management Tool (VAMT) 3.0 Provides a list of new and updated features in Volume Activation Management Tool 2.0.

Published the week of January 2, 2012

Updated article

Plan an Exchange deployment in Outlook 2010 Updated and corrected information about Cached Exchange mode.

Published the week of December 12, 2011

Updated articles

Migrate an Office 2010 KMS host Updated procedure steps.

Published the week of December 5, 2011

Updated articles

Configure a silent installation of Office 2010 Added information about adding a MAK key, AUTO_ACTIVATE, by using the Office Customization Tool (OCT) to set options.

Plan cryptography and encryption settings for Office 2010 Updated and added information about settings, including where to find them in the Group Policy object editor or the Office Customization Tool (OCT).

Published the week of November28, 2011

Updated articles

64-bit editions of Office 2010 Added Office 2010 download information and links for IT administrators and developers.

System requirements for Office 2010 Updated to clarify that Office 2010 is not compatible with the 64-bit version of Windows XP. It is compatible with the 32-bit version of Windows XP as long as Service Pack 3 (SP3) is installed.

Published the week of November 14, 2011

New article

Deploy Office 2010 by using Microsoft Deployment Toolkit 2010 Provides information and instructions for using the Microsoft Deployment Toolkit 2010 (MDT) to deploy Office 2010.

Published the week of October 31, 2011

New article

Plan antivirus scanning for Outlook 2010 Provides information about precautions to take when planning for antivirus scanning of Outlook files and e-mail messages.

Updated articles

Companion proofing languages for Office 2010 Added information about buying and deploying language packs.

Office Web Apps platform comparison overview Added information about support for mobile browsers.

Published the week of October 3, 2011

New article

Use Group Policy to specify where users can save Office 2010 files Describes how to use Group Policy to specify and enforce the locations (or folders) where users can save Microsoft Office 2010 files.

Published the week of September 5, 2011

Updated articles

Apply Office 2010 Service Pack 1 (SP1) Updated to include references to lists of issues fixed by SP1 in Office desktop applications, SharePoint 2010, and Office server applications.

Changes in Outlook 2010 (for IT pros) Updated information about what was removed from the Administration tab.

Published the week of August 22, 2011

Updated article

Technical diagrams for Office 2010 Updated to include a new technical poster, "Preparing your users for an Office 2010 deployment."

Published the week of August 8, 2011

New articles

Error codes for Office 2010 update packages Explains how to use Setup logs to help troubleshoot software update errors.

Microsoft Service Pack Uninstall Tool for Office 2010 Provides information about the Service Pack Uninstall Tool, a command-line tool that is included in Microsoft Office 2010 SP1.

Published the week of July 25, 2011

New article

Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET) Describes how to convert files in bulk by using the 2010 version of the OFC and how to extract multiple saved versions of a single Word document to an individual file.by using the 2010 version of the VET.

Updated articles

Analyze Office Migration Planning Manager Reports for Office 2010 Added information about the July 2011 update of OMPM and explained that OMPM.accdr requires the 32-bit versions of Access 2007 or Access 2010.

Changes in Outlook 2010 (for IT pros) Updated to explain that moving .ost data files to another computer is not supported.

Import Office Migration Planning Manager log files into a database Added information about the July 2011 update of OMPM. Clarified that an existing installation of SQL Server is required before you can create an OMPM database. Added new information about resetting the ImportInProgress bit for situations in which the import process is interrupted.

Microsoft Office Code Compatibility Inspector user's guide Clarified the procedure for configuring macro settings and updated references to OCCI for the Version 1 update.

Office Environment Assessment Tool (OEAT) user's guide for Office 2010 Removed descriptions of functionality that was broken in the original release of OEAT and added new information about improvements and changes for the latest version of OEAT. Also corrected information about using SCCM to deploy OEAT.

Office Migration Planning Manager Offscan.ini settings for Office 2010 Added usage notes about the following settings: SkipOldAccessedFiles, SkipOldModifiedFiles, ScanMacros, and ScanMacrosx64.

Office Migration Planning Manager overview for Office 2010 Clarified information about the /d parameter, added guidance about using OCCI in conjunction with OMPM, and noted that OMPM reports can be viewed only by the 32-bit versions of Access. Corrected note about OMPM reporting on hyperlinks and updated the SQLXML version required for running OMPM. Added a What's New section for Update 1 of OMPM.

Run the Office Migration Planning Manager File Scanner for Office 2010 Added usage guidelines to the section "Important considerations for running the OMPM file scanner."

Set up the Office Migration Planning Manager File Scanner for Office 2010 Added note to clarify that the OMPM file scanner does not scan OpenXML files by default unless you specify them in offscan.ini. Corrected information about how the OMPM File Scanner creates .cab files to store log files. Added location and installation instructions for the Update 1 version of OMPM. Clarified that the pushd command must be used before executing the offscan.exe command.

Published the week of July 11, 2011

Updated articles

Assess how Outlook 2010 works with different versions of Exchange Server Updated Exchange 2007 SP1 to SP2/SP3. Exchange 2007 SP1 is no longer supported.

Choose an option for deploying Office 2010 Updated to note that Microsoft Office Professional Plus 2007 does not support the use of Application Virtualization or Remote Desktop Services for deployment.

Plan for SharePoint Workspace 2010 Updated the "Scalability and Performance" and "Alternate Access Mapping" sections of the article for the Service Pack 1 (SP1) release of Microsoft SharePoint Workspace 2010.

Published the week of June 27, 2011

New for Office 2010 SP1

Apply Office 2010 Service Pack 1 (SP1) Lists and describes the improvements and additions that are included in Microsoft Office 2010 Service Pack 1 (SP1).

Updated for Office 2010 SP1

Customize Outlook profiles by using an Outlook Profile (PRF) file and Plan an Exchange deployment in Outlook 2010 Updated for Office 2010 SP1. These articles announce that the Office Customization Toolkit (OCT) in SP1 resolves the issue of duplicate Exchange accounts.

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool Updated for Office 2010 SP1.

Office Web Apps platform comparison overview Updated information about Chrome for Office 2010 SP1.

Updated for Office 365 general availability

Planning overview for Outlook 2010 and Assess how Outlook 2010 works with different versions of Exchange Server These articles include information about Exchange Online, which is part of the Office 365 general availability release.

Published the week of June 13, 2011

Updated article

Configure user settings for Office 2010 Added information about the OCT settings reference, Office2010GroupPolicyAndOCTSettings_Reference.xls.

Published the week of May 30, 2011

Updated article

Deploy custom templates in Office 2010 Updated the registry key to reflect the new path for Office 2010.

Published the week of May 23, 2011

New resource center

Office for Mac 2011 Learn about Office for Mac 2011 features, compatibility, training, and more with this resource page for IT pros, developers, and end users.

New article

Collect data about Office installations by using Robust Office Inventory Scan Provides information about the Microsoft Visual Basic script, Robust Office Inventory Scan (ROIScan.vbs), which collects Office data and provides error detection and analysis options.

Updated articles

Plan an upgrade to Office 2010 Added an important note to indicate that an in-place upgrade is not recommended for enterprise customers.

Plan to deploy Office 2010 in a Remote Desktop Services environment Clarified information about "Single point of failure," and advised that users who previously had connections to a failed server must log on to their desktops to restart their applications.

System requirements for Office 2010 Clarified that a Windows Live ID is required when Microsoft Office Live Workspace is used with Microsoft Project Professional 2010.

Published the week of May 9, 2011

Updated articles

Configure and deploy volume activation of Office 2010, Migrate an Office 2010 KMS host, Troubleshoot volume activation for Office 2010, and the articles in the Plan for volume activation of Office 2010 section have been updated to explain that information in the articles applies only to volume-licensed editions of Office 2010.

Configure a silent installation of Office 2010 Updated information about the .WW folder name.

Configure multiple Exchange accounts for Outlook 2010 Added information about the Auto Mapping feature in Microsoft Exchange Server 2010 Service Pack 1.

Downloadable content for the Office 2010 Resource Kit Added a new downloadable book, "Technical reference for Office 2010."

Plan an upgrade to Office 2010 Updated to show that migration to Office 2010 is now supported by using either the User State Migration Tool (USMT) version 4.0 or the Microsoft Deployment Toolkit.

Published the week of May 2, 2011

New article

Internet Protocol version 6 support for Office 2010 Explains the support for Internet Protocol version 6 (IPv6) addressing in Office 2010 applications.

Updated articles

Plan privacy options for Office 2010 Added a Group Policy setting: Improve Proofing Tools.

Deploy volume activation of Office 2010, FAQ: Volume activation of Office 2010, Plan volume activation of Office 2010, and Planning the deployment of Office 2010 Updated the list of Windows Server 2003 editions that can be used as a Windows Key Management Service (KMS) host.

Published the week of April 25, 2011

New resource centers

PowerPoint 2010 Resources Learn about new features, performance, security, and more in Microsoft PowerPoint 2010 with resources for IT pros, developers, and end users.

Word 2010 Resources Learn about new features, performance, security, and more in Microsoft Word 2010 with resources for IT pros, developers, and end users.

Updated resource center

Visio 2010 Resources Learn about Microsoft Visio 2010 on this resource center page that has been updated to include info for IT pros, developers, and end users

Updated article

Changes in Project 2010 (for IT pros) Added information about the VBA object model, and also added information about migrating and running different versions of Microsoft Project.

Published the week of April 18, 2011

New resource center

Office Professional Plus for Office 365 (http://technet.microsoft.com/en-us/office/gg696034.aspx) Use the resources on this page to learn how to deploy Microsoft Office Professional Plus, which is available as part of Office 365.

Updated article

Config.xml file OptionState ID values for Office 2010 Added Microsoft Visio 2010 OptionState IDs.

Published the week of April 11, 2011

Updated article

Import an Office 2010 Setup customization file Added a new video, "Office 2010 client: Office Customization Tool import feature."

Published the week of April 4, 2011

Updated article

Configure Office 2010 for capturing an image Added three new videos: "Preparing the administrator computer for capturing an image," "Preparing the reference computer for capturing an image," and "Deploying the image."

Published the week of March 14, 2011

New article

Deploy custom templates in Office 2010 Provides guidance for deploying custom templates in Office 2010.

Updated articles

Assess how Outlook 2010 works with different versions of Exchange Server Updated notice about reviewing license requirements for Personal Archive.

Configure security for Office 2010 Updated Group Policy information and added a link to Office for Mac 2011 documentation.

Plan for compliance and archiving in Outlook 2010 Added more information about DisableCrossAccountCopy and added a link to licensing information for Personal Archive.

Planning overview for Outlook 2010 Added information about AutoArchive not being available if Personal Archive is enabled.

Published the week of February 28, 2011

New resource center

Office 2010 Videos Use this landing page to easily find all the Office 2010 videos in one place.

Updated articles

Use Group Policy to enforce Office 2010 settings Updated information about administrative template (ADMX) files.

Changes in Project 2010 (for IT pros) Added information about synchronizing task lists between Microsoft Project 2010 and Microsoft SharePoint Server 2010 or Microsoft SharePoint Foundation 2010.

Published the week of February 21, 2011

Updated articles

System requirements for Office 2010 Clarified details about recent changes from Windows Server 2003 R2 to SP2.

Deployment checklist for SharePoint Workspace 2010 Added two requirements to the Setup checklist.

Published the week of February 14, 2011

New resource center

Excel 2010 Resources Learn about new features, performance, security, and more in Microsoft Excel 2010 with resources for IT pros, developers, and end users.

Updated articles

FAQ: Group Policy (Office 2010) Clarified the procedure for installing localized versions of the administrative template files and added information about where to obtain them.

Office Customization Tool in Office 2010 Added information about downloading updated OCT files.

Office Migration Planning Manager Offscan.ini settings for Office 2010 Added an important note about configuring the MaxCopyFileSize setting when scanning Microsoft Access 2010 databases.

Planning overview for Outlook 2010 Updated to include applications and macros for 64-bit consideration.

Published the week of February 7, 2011

New Top Task page

Application Virtualization Learn how to use Application Virtualization to deploy applications on Office 2010 client computers without installing applications on each computer.

New articles

Best practices for maintaining Office 2010 Explains how to use the Office Customization Tool (OCT), Config.xml file, and Setup command-line tool to maintain and customize an Office 2010 installation.

Deploy Office 2010 on a Remote Desktop Services-enabled computer Contains procedural information for installing Office 2010 in a Remote Desktop Services environment.

Updated articles

64-bit editions of Office 2010, Changes in Outlook 2010 (for IT pros), and Office 2010 application compatibility guide Updated with information about add-ins and macros for Microsoft Outlook 2010.

Published the week of January 31, 2011

New articles

Installing Outlook 2010 and using Cached Exchange Mode in a Remote Desktop Services environment Provides planning information about using Remote Desktop Services (RDS) to access Office 2010 applications.

Use the User State Migration Tool 4.0 to migrate to Office 2010 Provides information about using USMT 4.0 to migrate existing Office user settings to Office 2010, and explains that the update to USMT 4.0 must be installed.

Updated article

System requirements for Office 2010 Updated Windows Server 2003 requirements.

Published the week of January 17, 2011

Updated articles

Config.xml file in Office 2010 Added information to the SetupUpdates element to indicate that environment variables should not be used in the path for SUpdateLocation.

Changes in Outlook 2010 (for IT pros) Added a section about Outlook Social Connector.

Published the week of January 10, 2011

Updated article

Office Environment Assessment Tool (OEAT) user's guide for Office 2010 Added new information about troubleshooting failures that occur during passive scanning.

Published the week of January 3, 2011

New resource center

New resource center: Outlook 2010 Resources Learn about Outlook 2010 with resources for IT pros, developers, and end users.

New article

Deploy different Office 2010 suites Documents the process for deploying different Microsoft Office 2010 suites to the same computer.

Updated articles

Changes in Outlook 2010 (for IT pros) Updated to describe changes on the Administration tab. The article also includes a new procedure for enabling the Allow script in Public Folders option.

Add or remove language packs after deployment of Office 2010 and Plan for multilanguage and Proofing Tools deployment for Office 2010 Updated information about where to obtain proofing tools.

Published the week of December 13, 2010

New blog post

Office Customization Tool: FAQs (http://blogs.technet.com/b/office_resource_kit/archive/2010/12/02/office-customization-tool-faq.aspx) Discusses such OCT subjects as available versions, use of the Config.xml file, the import feature, and the Updates folder.

New article

Deployment checklist for SharePoint Workspace 2010 Provides a short checklist to help ensure a successful deployment of Microsoft SharePoint Workspace 2010.

Updated articles

Customize Setup before installing Office 2010, Office Customization Tool in Office 2010, and Deploy volume activation of Office 2010 Updated with information about using the "Enter another product key" option in the OCT to enter a Key Management Service (KMS) key for the volume license version of Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010.

Plan volume activation of Office 2010 Updated the Volume Activation Management Tool (VAMT) 2.0 section.

Published the week of December 6, 2010

New articles

Security policies and settings in Office 2010 Provides information about using the Security Compliance Manager as a technical reference for the security settings and privacy options in Office 2010.

Under the Hood Investments for Hardware and Performance in Office 2010 Highlights the broad range of hardware that is supported by Office 2010 and describes the significant improvements in performance that are available in Office 2010.

FAQ: Group Policy (Office 2010) Provides answers to common questions about how Group Policy works with Office 2010.

Downloadable book: Group Policy for Office 2010 Describes Group Policy settings for Office 2010.

Updated articles

Changes in Word 2010 (for IT pros Included new deprecation details about custom XML.

Group Policy for SharePoint Workspace 2010 Clarified policy definitions.

New blog post

How to install Office 2010 applications for a subset of users in your organization Describes how to use the Office Customization Tool to deploy Microsoft Access 2010 to a subset of users.

New downloadable content

Visio stencils for architecture and planning posters Download the stencils the Office Content Publishing team used for their technical diagrams to create or customize diagrams for your organization.

Published the week of November 29, 2010

Updated articles

Deploy multiple Setup customization .msp files Added information about using OCT to deploy Access to a subset of users in an organization.

FAQ: Volume activation of Office 2010 Updated an answer about the language version of the Office 2010 KMS host, and added an answer about the language version of the Office 2010 client.

Published the week of November 15, 2010

New resource center

Access 2010 Resources Learn about Access 2010 with resources for IT pros, developers, and end users.

Blog post

Getting started with OMPM 2010 Helps you use the Office Migration Planning Manager (OMPM) for Office 2010. The post describes a basic walkthrough of OMPM installation and scanning. All OMPM articles in the 2010 Office Resource Kit now include a link to this blog post.

Published the week of November 8, 2010

Updated articles

Deploy volume activation of Office 2010 Updated the information about activating Office 2010 at the same time that a MAK key is installed. This article also includes new options and definitions for the slmgr.vbs command.

Downloadable content for the Office 2010 Resource Kit Added a link and description for a new white paper: "Microsoft Office 2010 - Under the Hood Investments for Hardware and Performance."

Configure and customize SharePoint Workspace 2010 Updated policy definitions.

Change History

Date | Description
February 19, 2013 | Updated content for February 19, 2013.
2009/12Dec/17 | Initial publication


Downloadable content for the Office 2010 Resource Kit

Published: July 16, 2012

The content in this technical library is augmented by content that is available for download. Some of the resources are also available for purchase from Amazon.com.

Content Description

Office 2010 Resource Kit Technical Library in Compiled Help format (http://go.microsoft.com/fwlink/p/?LinkID=183468)

The entire library for Microsoft Office 2010 is available as a downloadable .chm file.

Technical diagrams for Office 2010

Poster-sized illustrations of Office 2010 architecture and concepts.

Downloadable book: Getting started with Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196153)

Getting started with Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=229282) from Amazon.com

Downloadable and printable content about how to get started with Office 2010. (Available in .doc, .pdf, or .xps file formats, and also in .epub or .mobi file formats for eReader devices.)

Downloadable book: Planning guide for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196220)

Planning guide for Office 2010 from Amazon.com (http://go.microsoft.com/fwlink/p/?LinkId=229284)

Downloadable and printable content about how to plan a deployment of Office 2010. (Available in .doc, .pdf, or .xps file formats.)

Downloadable book: Deployment guide for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196798)

Deployment guide for Office 2010 from Amazon.com (http://go.microsoft.com/fwlink/p/?LinkId=229281)

Downloadable and printable content about how to deploy Office 2010. (Available in .doc, .pdf, or .xps file formats.)

Downloadable book: Group Policy for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=204009)

Group policy for Office 2010 from Amazon.com (http://go.microsoft.com/fwlink/p/?LinkId=229283)

Downloadable and printable content about how to deploy and configure an installation of Office 2010. (Available in .doc, .pdf, or .xps file formats.)

Downloadable book: Operations guide for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196161)

Downloadable and printable content about how to maintain and manage an installation of Office 2010. (Available in .doc, .pdf, or .xps file formats.)

SharePoint Workspace 2010 deployment essentials (white paper)(http://go.microsoft.com/fwlink/p/?LinkId=193115)

Contains information about how to plan, deploy, and maintain Microsoft SharePoint Workspace 2010.

Migrating to Microsoft Excel 2010 (white paper) (http://go.microsoft.com/fwlink/p/?LinkId=196345)

Contains information about how to migrate to Microsoft Excel 2010.

Microsoft Office 2010 Product Guides (http://go.microsoft.com/fwlink/p/?LinkId=198066)

Contains an overview of what is new in the Office 2010 programs and a deeper look at benefits across all Office 2010 programs including Office Web Apps and Office Mobile 2010.

Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (http://go.microsoft.com/fwlink/p/?LinkId=200170)

Contains information about evaluating the deployment of Microsoft Outlook 2010 in Cached Exchange Mode to your Remote Desktop Session Host (RDSH) environment

Microsoft Office 2010 - Under the Hood Investments for Hardware and Performance (http://go.microsoft.com/fwlink/p/?LinkId=205609)

Highlights the broad range of hardware that is supported by Office 2010 and it describes the significant performance improvements in Office 2010.

Downloadable book: Technical reference for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=217924)

Downloadable and printable content that contains technical details needed to plan, deploy, and maintain an installation of Office 2010. (Available in .doc, .pdf, or .xps file formats.)

Keeping Enterprise Data Safe with Office 2010 - Ofice 2010 Security White Paper (http://go.microsoft.com/fwlink/p/?LinkId=229091)

A white paper that highlights the new security features and enhancements that were introduced in Microsoft Office 2010 and that help protect organizations from exploits that target people who use Office applications in their daily work.

Microsoft Office 2010: Planning for User Readiness Training (http://go.microsoft.com/fwlink/?LinkId=256459)

This white paper provides guidance to help your organization prepare your users for the switch to Microsoft Office 2010.

It helps you create an end user training plan that uses the resources you can find on TechNet and Office.com. It also helps map this training plan to your deployment plan for the best experience for your end users.


Explore Office 2010
See Also

Published: May 16, 2012

Microsoft Office 2010 provides features that help IT administrators configure, validate, deploy, and protect Office installations in their organizations. This section introduces some of the new features and improvements in the Microsoft Office 2010 suites that are relevant to IT professionals.

In this documentation:

Article | Description
Office 2010 suites | Describes the editions of the Microsoft Office 2010 suites that are available, and provides an overview of the licensing requirements.
What's new for IT professionals in Office 2010 | Describes the new features and improvements in the Microsoft Office 2010 suites that are relevant to IT professionals.
Under the Hood Investments for Hardware and Performance in Office 2010 | Provides information about and a link to the "Under the Hood Investments for Hardware and Performance" white paper.
SharePoint Workspace 2010 overview | Describes the key functionality and architecture of Microsoft SharePoint Workspace 2010. SharePoint Workspace 2010 is the new name for and succeeds Microsoft Office Groove 2007.
Office Web Apps platform comparison overview | Provides a summary of capabilities of Office Web Apps on Windows Live SkyDrive, and of Microsoft SharePoint 2010 products that are installed on-premises.
Overview of the Office user interface in Office 2010 | Provides information about the Microsoft Office Fluent user interface (UI) in Office 2010, including the ribbon, the Quick Access Toolbar, and the new Backstage view.
User interface differences in Office 2010 vs earlier versions | Describes some of the differences among Office 2010, the 2007 Office system, and Office 2003 that are relevant to IT professionals.
Interactive guides to UI changes | Provides a list of interactive ribbon guides for Microsoft Office applications. These guides help users transition from the menus that appear in previous versions of Microsoft Office products to the ribbons that are in Office 2010 products.
Product and feature changes in Office 2010 (for IT pros) | Provides information about new features, changed features, and deprecated features for the products in the Microsoft Office 2010 suites and Microsoft Project 2010 and Microsoft Visio 2010. Also included are migration considerations for the specific products.
Tools for Office 2010 | Lists and describes the tools that are available for Microsoft Office 2010 and provides links to appropriate resources for each.
Changes introduced in the 2007 Office system | Provides a summary of changes in the 2007 Microsoft Office system for administrators who might not be familiar with that version of the product.
Technical diagrams for Office 2010 | Provides visual representations or models of recommended solutions for deploying Office 2010.
Help and support for Office 2010 | Describes some support options that are available for the Office 2010 suites.

See Also

Concepts

Product and feature changes in Office 2010 (for IT pros)
SharePoint Workspace 2010 overview


Office 2010 suites

Microsoft offers six editions of Office 2010, which lets you choose the best Office suite to deploy in your environment. These include the following editions:

  • Microsoft Office Home and Student 2010

  • Microsoft Office Home and Business 2010

  • Microsoft Office Standard 2010

  • Microsoft Office Professional 2010

  • Microsoft Office Professional Plus 2010

  • Microsoft Office Professional Academic 2010

Note:

Microsoft requires activation of all editions of Microsoft Office 2010. This includes those obtained through a Volume Licensing program. Only the volume-licensed version enables organizations to host browser-based versions of the software.

Comparisons of Office 2010 editions

The following table compares Office 2010 suites, products, and features.

Programs, products, and features | Home and Student | Home and Business | Standard | Professional | Professional Plus | Professional Academic
Licensing | Retail | Retail | Volume | Retail | Volume | Retail with valid "@__.edu"
Microsoft Excel 2010 | Yes | Yes | Yes | Yes | Yes | Yes
Microsoft OneNote 2010 | Yes | Yes | Yes | Yes | Yes | Yes
Microsoft PowerPoint 2010 | Yes | Yes | Yes | Yes | Yes | Yes
Microsoft Word 2010 | Yes | Yes | Yes | Yes | Yes | Yes
Microsoft Outlook 2010 | No | Yes | Yes | Yes | Yes | Yes
Microsoft Publisher 2010 | No | No | Yes | Yes | Yes | Yes
Microsoft Access 2010 | No | No | No | Yes | Yes | Yes
Microsoft Lync 2010 | No | No | No | No | Yes | No
Microsoft InfoPath 2010 | No | No | No | No | Yes | No
Microsoft SharePoint Workspace 2010 | No | No | No | No | Yes | No

Office 2010 is available in 32-bit and 64-bit editions. For a list of specific requirements, see System requirements for Office 2010.

See Also

Concepts

What's new for IT professionals in Office 2010
User interface differences in Office 2010 vs earlier versions


What's new for IT professionals in Office 2010

Microsoft Office 2010 provides new features and improvements that help IT administrators configure, validate, deploy, and protect their Office installations. This article describes some of the changes in these areas.

In this article:

  • Accessibility Checker

  • Application virtualization

  • Co-Authoring

  • Licensing and volume activation

  • Office 2010 64-bit (x64) editions

  • Office Customization Tool changes

  • Office Web Apps

  • Security changes

  • SharePoint Workspace 2010

  • Silverlight interactive guides

  • User interface changes

  • Additional resources

Accessibility Checker

The Accessibility Checker helps people create Office content that is accessible to people with disabilities. A core feature of Word, Excel, and PowerPoint, the Accessibility Checker flags issues that can make content unreadable or difficult to read. In addition, organizations and governments that are concerned about compliance for employees can configure Group Policy settings to customize exactly which accessibility issues are checked.

For more information about Accessibility Checker, see the following resources:

  • Office 2010: Accessibility investments and document accessibility (http://go.microsoft.com/fwlink/p/?LinkId=202450)

  • Plan for accessibility in Office 2010

Application virtualization

Microsoft Application Virtualization (App-V) is another method to deploy Office 2010. Virtualization transforms applications into virtualized, network-available services that are not installed on the users' computer. Instead, applications can be automatically delivered to the users' computer as users need them.

By using App-V and Office 2010 together, you can quickly deliver the latest version of Office without having to worry about application conflicts or delays in productivity for users. Deploying Office 2010 with App-V 4.6 (currently in Beta) includes new support for integration with SharePoint Products and Technologies, Outlook Search, and Microsoft OneNote 2010. App-V 4.6 is scheduled for release in 2010.

App-V significantly reduces regression and application interoperability testing. App-V also minimizes the effect on users during application upgrades, patching, and terminations of user rights to applications because restarts and uninstallations are no longer required.

For more information about Application Virtualization, see Planning and Deployment Guide for the Application Virtualization System (http://go.microsoft.com/fwlink/p/?LinkId=156611).

Co-Authoring

Co-authoring simplifies collaboration by enabling multiple users to work productively on the same document without intruding on one another's work or locking one-another out. This capability requires no additional server setup and is the default status for documents that are stored in Microsoft SharePoint Server 2010. Co-authoring is supported in Word 2010, PowerPoint 2010, and OneNote 2010. Co-authoring Excel 2010 workbooks in SharePoint is supported by using the Microsoft Excel Web App, which is included with Microsoft Office Web Apps.

For more information about Co-Authoring, see the following resources:

  • Co-authoring functionality in SharePoint Server 2010

  • Co-authoring administration (SharePoint Server 2010)

Licensing and volume activation

Microsoft includes product activation technologies in the following products sold through the Volume Licensing channel: Windows Vista, Windows 7, Windows Server 2008, Windows Server 2008 R2, and now Office 2010. Product activation is verification with the manufacturer to confirm that software is genuine and that its product key is not compromised. Activation establishes a relationship between the software's product key and a particular installation of that software on a device.

Note:

Office 2010 supports Windows 8 and Windows Server 2012.

Activation types include retail, volume, and OEM, and most require interactive steps by the user or IT professional, such as entering a product key from the packaging, or contacting a networked server or telephone service center. Activation technologies and tools vary according to the different channels for the software — retail, volume, and OEM.

The Microsoft policy requires the activation of all editions of Office 2010. This includes those obtained through a Volume Licensing program. This requirement applies to Office 2010 running on both physical computers and virtual machines.

You can use the following methods to activate Office 2010 with Office Activation Technologies:

  • Key Management Service (KMS). KMS uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation.

  • Multiple Activation Key (MAK). With a MAK, clients activate Office 2010 online with the Microsoft hosted activation servers or by telephone

  • A combination of KMS and MAK.

For more information about Office Activation Technologies, see Plan volume activation of Office 2010, Volume activation overview for Office 2010, and Volume activation quick start guide for Office 2010.

Office 2010 64-bit (x64) editions

Processors that are 64-bit are quickly becoming the standard for systems ranging from servers to desktop computers. The 64-bit systems can use more virtual and physical memory than can 32-bit processors. This lets users work with much larger data sets than they could previously to analyze and solve large computational problems. Office 2010 introduces native 64-bit (x64) versions of Office products to take advantage of the additional capacity provided by 64-bit processors. This additional capacity is needed only by Office users who require Microsoft Excel spreadsheets that are larger than 2 GB, for example. The 32-bit version of Office 2010 provides the same functionality and is also compatible with 32-bit add-ins. This is why Office 2010 installs the 32-bit version by default.

For information about the supported operating systems, supported scenarios, setup process, and deployment considerations for 64-bit Office 2010, see 64-bit editions of Office 2010.

Office Customization Tool changes

The Office Customization Tool (OCT) is the main customization tool that administrators use to customize an installation of Microsoft Office 2010 (and the 2007 Microsoft Office system). The OCT is part of the Setup program and is the recommended tool for most customizations, and is available only with volume licensed versions of Office 2010, such as Microsoft Office Professional Plus 2010. To determine whether an Office 2010 installation is a volume licensed version, check the Office 2010 installation disk to see whether it contains a folder named Admin. If the Admin folder exists, the disk is a volume license edition; otherwise, the disk is a retail edition.

You run the OCT by typing setup.exe /admin at the command line from the root of the network installation point that contains the Office 2010 source files; for example, \\server\share\Office14\setup.exe /admin.

For more information about the OCT, see Office Customization Tool in Office 2010.

The Office 2010 release provides the following new features:

  • Two architecture-specific versions of the OCT, one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and OPA settings as the 32-bit version. The OCT files are located in the Admin folder under the x86 (32-bit) and x64 (64-bit) folders, respectively.

    For information about 64-bit Office 2010, see 64-bit editions of Office 2010.

  • Import feature that lets administrators import 32-bit OCT customization (.msp) updates into the 64-bit version of the OCT and 64-bit .msp updates into the 32-bit version of the OCT. This allows administrators of mixed environments (32-bit and 64-bit) to do the Setup customizations one time. For more information, see Import an Office 2010 Setup customization file.

  • Support for adding multiple Microsoft Outlook e-mail accounts.

Office Web Apps

Microsoft Office Web Apps are online companions to Microsoft Word, Excel, and PowerPoint. They enable people to view, share, and work on documents together with other online users, working across personal computers, mobile telephones, and the web. Business customers who are licensed for Microsoft Office 2010 through a Volume Licensing program can run Office Web Apps on-premises on a server that runs Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010. Office Web Apps are also available to consumers through Windows Live

For more information about Office Web Apps, see the Office Web Apps page (http://go.microsoft.com/fwlink/p/?LinkID=198026).

Security changes

Several new security controls in Office 2010 make it easier for IT professionals to build a robust defense against threats without diminishing information worker productivity. Five of the new controls provide countermeasures for hardening and reducing the attack surface and mitigating exploits. These include the following:

  • Data Execution Prevention (DEP) support for Office applications A hardware and software technology that helps harden the attack surface by preventing the execution of viruses and worms that exploit buffer overflow vulnerabilities.

  • Office file validation An Office software component that helps reduce the attack surface by scanning files for file format (file fuzzing) exploits before the files are opened by an application.

  • Expanded file block settings A suite of Group Policy settings that helps reduce the attack surface by providing more specific control over the kinds of files an application can access.

  • Office ActiveX kill bit An Office feature that administrators can use to prevent specific ActiveX controls from running within Office applications.

  • Protected view A sandbox environment that helps mitigate attacks by enabling users to preview untrusted or potentially harmful files in a secure viewer.

In addition to these new controls, Office 2010 provides several security enhancements that further harden the attack surface by helping to ensure the integrity and confidentiality of data. This includes the following:

  • Cryptographic agility for Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

  • Trusted time stamping support for digital signatures.

  • Domain-based password complexity checking and enforcement.

  • Encryption strengthening enhancements.

  • Improvements to the password to modify feature.

  • Integrity checking of encrypted files.

Office 2010 also provides several security improvements that have a direct effect on information worker productivity. Improvements in the message bar user interface, a trust model that remembers users' trust decisions, Trust Center user interface settings, and single identity management are some examples of new features that help make security decisions and actions less intrusive to information workers. In addition, many of the new and enhanced security controls can be managed through Group Policy settings. This makes it easier for you to enforce and maintain your organization's security architecture.

For more information about security for Office 2010, see Security overview for Office 2010 and Plan security for Office 2010.

SharePoint Workspace 2010

Microsoft SharePoint Workspace 2010 is a client application that provides easy synchronization of online and offline contributions with SharePoint libraries and lists. By using an Internet connection and Write permission to a SharePoint site, SharePoint Workspace users can create personal site workspaces on their computers. These workspaces enable them to update library and list content locally and easily synchronize with the site. SharePoint Workspace also offers peer collaboration workspaces that synchronize content among invited members. SharePoint Workspace 2010 supports multiple workspace choices and is more tightly integrated with SharePoint processes than its predecessor, Office Groove 2007.

For more information about SharePoint Workspace 2010, see SharePoint Workspace 2010 overview.

Silverlight interactive guides

Microsoft Silverlight powers the interactive guides that are available with Office 2010. These interactive guides provide simulated menus from previous versions of Office. When users click commands on these menus, the guides show them where the same commands are located on the ribbon or in the Backstage view of Office 2010. We recommend that you deploy Silverlight with Office 2010 if your organization wants to use the interactive guides.

For more information about Silverlight Interactive Guides, see the following resources:

  • Learn where menu and toolbar commands are in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkID=199518)

  • Deploy Microsoft Silverlight with Office 2010

User interface changes

Office 2010 builds on the foundation that was established in the 2007 Microsoft Office system by including the ribbon in all Office applications and by adding a new companion feature to the Ribbon, the Microsoft Office Backstage view.

The Office Fluent UI is optimized for efficiency and discoverability through the layout of commands that are organized into tabs that group related commands together. Both the ribbon and the new Backstage view can be customized by using the Ribbon extensibility model known as RibbonX,

For more information about the Office 2010 user interface, see the following resources:

  • Overview of the Office user interface in Office 2010

  • Customize the Office user interface in Office 2010

  • Office Fluent User Interface Developer Center (http://go.microsoft.com/fwlink/p/?LinkID=196623)

Additional resources

To learn about application-specific changes, application compatibility in Office 2010, and tools for preparing to migrate to Office 2010, see the following resources:

  • For information about application-specific changes in Office 2010, see Product and feature changes in Office 2010 (for IT pros).

  • To learn about application compatibility in Office 2010, see Office 2010 application compatibility guide, Office Environment Assessment Tool (OEAT) user's guide for Office 2010, and Microsoft Office Code Compatibility Inspector user's guide.

  • For information about tools for preparing your environment for migrating to Office 2010, see Office Migration Planning Manager overview for Office 2010.

For information about architecture changes that were introduced in the 2007 Microsoft Office system for administrators who might not be familiar with that version of the product, see Setup changes introduced in the 2007 Office system.

See Also

Concepts

System requirements for Office 2010
User interface differences in Office 2010 vs earlier versions
Setup architecture overview for Office 2010
Setup changes introduced in the 2007 Office system
System requirements for Office 2010
Changes in Office 2010 (for IT pros)
Plan security for Office 2010
Application compatibility for Office 2010
Office Migration Planning Manager overview for Office 2010


Under the Hood Investments for Hardware and Performance in Office 2010

The range of hardware that is supported by Microsoft Office 2010 and the performance improvements that are available in Office 2010 are highlighted in this white paper.

The white paper includes results from internal testing by Microsoft to demonstrate the noticeable performance gains that users can experience when they use Office 2010 applications to perform common tasks.

Download this white paper as a Microsoft Word document (.docx), Portable Document Format file (.pdf) or XML Paper Specification file (.xps): Microsoft Office 2010 - Under the Hood Investments for Hardware and Performance (http://go.microsoft.com/fwlink/p/?LinkId=205609).

See Also

Concepts

System requirements for Office 2010


SharePoint Workspace 2010 overview

SharePoint Workspace 2010 provides fast, anytime interactive access to libraries and lists on Microsoft SharePoint Server 2010 and SharePoint Foundation 2010. SharePoint Workspace 2010 also provides options for creating Groove peer workspaces and Shared Folder workspaces.

This article describes the key functionality and architecture of Microsoft SharePoint Workspace 2010.

Note:

SharePoint Workspace is the new name for Groove. SharePoint Workspace 2010 succeeds Microsoft Office Groove 2007 and it is more versatile than Microsoft Office Groove 2007. It can either be integrated with Microsoft SharePoint Server 2010 or it can run independently.

Microsoft SharePoint Workspace 2010 provides a client for Microsoft SharePoint Server 2010 and Microsoft SharePoint Foundation 2010 that enables real-time synchronization of desktop content with SharePoint documents and lists. SharePoint Workspace 2010 also provides options for creating Groove collaboration workspaces and synchronized shared folders. By using SharePoint Workspace 2010, information workers can easily synchronize online and offline content with a designated SharePoint site or collaborate with external partners and offsite team members through shared workspaces. SharePoint Workspace 2010 is included with Microsoft Office Professional Plus 2010.

Key features of SharePoint Workspace 2010 include the following:

  • A choice of workspace types:

    • SharePoint workspaces — Provide direct bi-directional synchronization of library and list content between a SharePoint site and a workspace on an individual client computer. Creation of a SharePoint workspace enables individual SharePoint users to check out and check in SharePoint library documents from their local computers, bring SharePoint documents and lists to their computers where they can work online or offline, and synchronize local content with a SharePoint site. When an individual client establishes a connection with a SharePoint server, synchronization occurs at regular intervals when the client is online. When a client cannot connect to a SharePoint site, the user can easily take work offline to make updates. The updated documents are automatically synchronized with SharePoint document libraries and lists when the user reconnects. This interface offers an efficient and satisfying alternative to browser access of SharePoint. Unlike other workspace types, the SharePoint workspace is a personal synchronized copy of a SharePoint site.

    • Groove workspaces — Provide a rich and secure peer collaboration environment that supports synchronization of content among peer client computers that host a shared workspace. Creation of a Groove workspace enables SharePoint Workspace users to quickly form teams and automatically synchronize online or offline contributions with fellow team members. A full set of collaboration tools lets team members schedule meetings, hold discussions, and share work with trusted partners around the world. Support for communications under various network conditions and across firewalls facilitates timely and effective collaboration.

    • Shared Folder workspaces — Support Windows folder sharing among clients. Creation of a Shared Folder workspace lets information workers share the contents of a common folder in a designated Windows Explorer directory.

  • Easy setup Windows users can easily download and run SharePoint Workspace 2010 without IT assistance.

  • Offline and online collaboration Information workers can easily synchronize online and offline work, through a SharePoint workspace, Groove workspace, or Shared Folder workspace. Content is synchronized dynamically among online collaboration points and updates are transmitted immediately when an offline client comes back online. When an offline client reconnects, SharePoint Workspace automatically adds offline contributions to the workspace and applies workspace updates to the previously offline client.

  • Immediate access to latest document versions Updates to SharePoint workspaces are distributed quickly and automatically to SharePoint Server document libraries and lists. Likewise, document and list updates are automatically synchronized (on a 15-minute schedule) from SharePoint servers to SharePoint workspaces. Updates to Groove workspaces are automatically synchronized among workspace peers.

  • Bandwidth usage optimization To minimize workload, update packets, instead of whole files or documents, are transmitted over the network.

  • Integration with Windows logon SharePoint Workspace 2010 uses Windows logon credentials to authenticate users so that a separate logon is not necessary.

  • Microsoft Lync integration and built-in workspace messaging SharePoint Workspace 2010 supports Microsoft Lync contact presence detection and messaging while offering workspace members a choice of messaging types.

  • Familiar user interface The user interface presents the ribbon and other technology that is familiar to Office users.

  • Searchable content Windows Desktop Search 4.0 can be used to find content in workspaces.

  • Common file dialog boxes Windows technology enables Microsoft Office 2010 users to directly open and save files in SharePoint Workspace.

  • Safe Mode operation SharePoint Workspace 2010 users who encounter problems can restart in Safe Mode, attempt to resolve the issue, and then restart as usual.

  • For Groove workspace users:

    • Collaboration tools support document creation and editing, discussions, meeting management, and other tasks.

    • The Documents tool enables users to store, organize, and share Word, text, and other documents. This tool replaces the Groove 2007 Files tool.

    • The Lists tool provides a custom tool Design environment that uses Microsoft InfoPath 2010. Tool developers import form templates designed in InfoPath into the Lists tool and then perform additional layout, sorting, and filtering tasks in the List Tool Designer. The List tool replaces Groove 2007 Forms and InfoPath Forms tools.

    • Built-in security protects user content. SharePoint Workspace 2010 automatically and securely distributes and saves content that Groove workspace members produce during their interactions, transmitting it directly to workspace members for storage on member computers. All communications are private, transmitted only among authenticated members and the content of workspace member transmissions is encrypted over the network. SharePoint Workspace 2010 avoids storing member content on remote servers that might not be secure.

    • Standards-based public key infrastructure (PKI) provides a solid framework for securing Groove workspaces.

    • Ability to traverse firewalls enables collaboration with trusted partners outside the corporate intranet.

    • Compatibility with Office Groove 2007 workspaces simplifies collaboration strategies.

    • Onboard Groove workspace backup mechanism.

For more information about SharePoint Workspace functionality, see the SharePoint Workspace product description at Microsoft products online (http://go.microsoft.com/fwlink/p/?LinkId=162269).

See Also

Concepts

Plan for SharePoint Workspace 2010
Configure and customize SharePoint Workspace 2010


Office Web Apps platform comparison overview

Microsoft Office Web Apps are online companions to Microsoft Word, Excel, PowerPoint, and OneNote. They enable people to view, share, and work on documents with other people online across personal computers, mobile phones, and the web.

There are three different ways you can get Office Web Apps. Business customers who are licensed for Microsoft Office 2010 through a Volume Licensing program can run Office Web Apps on-premises on a server that runs Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010. For more information, see Microsoft Volume Licensing. Microsoft also offers a hosted SharePoint Online service that can run Office Web Apps. Office Web Apps are also available to consumers through SkyDrive. By comparing the capabilities of Office Web Apps in three different environments, you can help determine the best approach for your organization.

Note:

Outlook Web App is not covered in this article as it is provided with Microsoft Exchange Server or Exchange Online. For more information, see Getting started with Outlook Web App in Office 365 or What's new for Outlook Web Apps in Exchange 2013.

The following table provides a summary of the capabilities of Office Web Apps on SkyDrive, on Microsoft SharePoint 2010 Products if they are installed on-premises, and Office Web Apps on SharePoint Online. For the most current capabilities of Office Web Apps on SharePoint Online, see Office 365 Service Description for Office Web Apps.

Capability | SkyDrive* | SharePoint 2010 installed on-premises** | SharePoint Online***
Audience | For personal use | For business use | For business use
Storage space | 25 GB | Configurable by IT | Configurable by IT
File size limits | 50 MB per file for Word, PowerPoint, and OneNote: 2 MB for Excel | Configurable by IT | 10 MB to render in Excel Web App. 250 MB upload limit for Word, PowerPoint, OneNote and Excel files.
Pricing | Free | Office 2010 volume license | Volume license for Office 2010, or Office Professional Plus 2013, or subscription for Office 365 ProPlus
Ad Supported | ✓ |  |
Backup and restore |  | ✓ | ✓
Document life cycle management |  | ✓ | ✓
IT admin control |  | ✓ | ✓
Ability to create new documents† | ✓ | Configurable by IT if Office desktop applications are not installed on the active computer. | Configurable by IT if Office desktop applications are not installed on the active computer.
Browsers supported | Windows: Internet Explorer 7 or later versions, Firefox (latest released version), and Chrome (latest released version) Mac: Safari (latest released version), Firefox (latest released version) Linux: Firefox (latest released version), Chrome (latest released version) | Windows: Internet Explorer 7 or later versions, Firefox (latest released version), and Chrome (latest released version) Mac: Safari (latest released version) (limited functionality), Firefox (latest released version) Linux: Firefox (latest released version) Chrome (latest released version) Office 2010, Service Pack 1 (SP1) supports Chrome (latest released version) on Windows and Linux. | Windows: Internet Explorer 8 or later versions, Firefox (latest released version) and Chrome (latest released version) Mac: Safari (latest released version), Firefox (latest released version) Linux: Firefox (latest released version), Chrome (latest released version)
Mobile support | Word, Excel, and PowerPoint Web Apps | Word, Excel, and PowerPoint Web Apps | Word, Excel, and PowerPoint Web Apps
Mobile browsers supported | Internet Explorer: Windows Phone 7 or later versions Safari 5: iPhone 3G and 3GS, iPhone 4 (viewing), and Android 2.2 (viewing) Safari 5.1: iPad (limited viewing and editing capability) Safari 6 or later versions: iPad versions 2 and 3 (full functionality) | Internet Explorer: Windows Phone 7 or later versions Safari 4 & 5: iPhone 3G or 3GS, iPhone 4 (viewing) Other browsers: BlackBerry 5.x and later versions, Nokia S60 3.x and 5.0, and Android 1.6, 2.1, and 2.2 (viewing) | Internet Explorer: Windows Phone 7 or later versions Safari 5: iPhone 3G or 3GS, iPhone 4 (viewing) Safari 5.1: iPad (limited viewing and editing capability) Safari 6 or later versions: iPad versions 2 and 3 (full functionality) Other browsers: BlackBerry 5.x and later versions, Nokia S60 3.x and Nokia S60 5.0, and Android 4.0 or later versions (viewing)
Note:

* For the most current information about the capabilities of Office Web Apps on SkyDrive, see SkyDrive and Office work together and Office Web Apps on Office.com.

** For the most current list of the browsers supported by Office Web Apps on SharePoint 2010 installed on-premises, see Plan browser support (SharePoint Server 2010) or Plan browser support (SharePoint Foundation 2010).

*** For the most current and detailed list of the capabilities of Office Web Apps on SharePoint Online, see the following articles.

  • Office 365 Service Description for Office Web Apps

  • SharePoint Online: software boundaries and limits

  • Plan browser support in SharePoint 2013

  • Supported mobile device browsers in SharePoint 2013

For capabilities of Office Web Apps on Office 365 pre-service upgrade, see Office 365 for Enterprise pre-service upgrade Service Descriptions.

† For information about how to create new documents, see Using Office Web Apps to Create New Files.

See Also

Other Resources

Office 2010 Product Guides: Microsoft Office Web Apps
Office 365 Service Description for Office Web Apps
Deploy Office Web Apps in your SharePoint 2010 environment
Understanding Office Web Apps (Installed on SharePoint 2010 Products)
Microsoft SharePoint Online


Overview of the Office user interface in Office 2010

Microsoft Office 2010 includes the ribbon in all Office applications and adds a new component named the Microsoft Office Backstage.

This article contains an introduction to the Microsoft Office Fluent user interface (UI), which was first introduced in Office 2007. The Office Fluent UI makes it easier to find and use commands and features by using the ribbon, the Quick Access Toolbar, and the new Backstage view.

In this article:

  • Backstage view

  • Ribbon

  • Quick Access Toolbar

Backstage view

The Backstage view is accessed by clicking the File tab, which replaces the Microsoft Office button and File menu that were in previous versions of Office. The Backstage view is available in every Office 2010 product that supports the Office Fluent UI. It helps users discover and use the features that are not part of the ribbon, such as sharing, printing, and publishing tools. The Backstage view lets you see all the information about a document in one place.

In addition, the Backstage view provides contextual information. For example, a workbook has a disabled macro in it, which is necessary for the file to work correctly, and the macro is blocked to protect your computer. You can view the contextual information about the macro and enable the macro by using the Info tab. Another example, a document that was created in an earlier version of Office is opened in Compatibility mode and some rich new features are disabled. You can view the status of the document and convert the document to the latest version (if you want to use those features) by using the Info tab. If the document is located on a Microsoft SharePoint 2010 Products site and you use features such as Co-authoring, Workflows, Check Out, or Policy, the Info tab will always show you what is occurring with your document (for example, a workflow task that is assigned to you).

Similarly to the ribbon, the Backstage can be extended via custom UI that uses XML to define the elements, such as workflow or task information that is specific to your needs.

For more information about how to use and customize the Backstage, see Customizing the Office 2010 Backstage View for Developers (http://go.microsoft.com/fwlink/p/?LinkId=184245).

Ribbon

The ribbon is at the top of the work area in the Office applications, which provides a consistent appearance and behavior. Tabs organize commands in logical groups. Along with the main tabs, which are always present on the screen, the ribbon provides contextual tabs that appear when you are working on a particular object (for example, a table, chart, or image). The contextual tabs provide the appropriate tools at the appropriate time for a particular object.

Two new features added to the extensibility model of the ribbon are tab activation and auto-scaling. Tab activation lets you activate a tab (bring a tab to the foreground) on demand. Auto-scaling enables ribbon groups to adapt their layout to best match the horizontal window size.

In Office 2010, the ribbon tabs can be easily customized by any user, without using programmatic means. To customize the commands listed on the ribbon, follow these steps:

  1. Click the File tab.

  2. Click Options, and then select Customize Ribbon.

  3. Choose the commands that you want to add or remove from the ribbon.

User customizations (including both ribbon and Quick Access Toolbar customizations) can be exported as a single Office UI file. This file can be imported by another user, or can be provided for an enterprise-level deployment by using the Office Customization Tool (OCT). The OCT settings only provide initial defaults and users can still use the application UI to change the settings afterward. To prevent end-user customization, we recommend that you use Group Policy.

Tip:

For information about how to configure settings by using the OCT, see Configure user settings for Office 2010. The OCT does provide an option to add a file. For more information about how to add a file by using the OCT, see the Additional content section in Office Customization Tool in Office 2010.

You can set or clear administrative policies related to the Office Fluent UI by using the Group Policy Management Console.

For new users to the Office 2010 UI, the game Ribbon Hero can be a fun way to learn new tools while improving your productivity with Office. This concept test is an add-in for Word, PowerPoint and Excel that helps you increase your Office skills while you play games, score points, and compete with friends via an optional Facebook application. To download the free game from the Microsoft Office Labs, see Ribbon Hero game (http://go.microsoft.com/fwlink/p/?LinkId=184740&clcid=0x409).

Quick Access Toolbar

The Quick Access Toolbar provides a way to put the commands and buttons that you use most often within easy reach. By default, the Quick Access Toolbar appears above the ribbon on the application title bar. However, users can chose to move it below the ribbon.

The Quick Access Toolbar can be easily customized by users to accommodate their working environment. To customize the commands listed on the Quick Access Toolbar, follow these steps:

  1. Click the File tab.

  2. Click Options, and then select Quick Access Toolbar.

  3. Choose the commands that you want to add or remove from the Quick Access Toolbar.

User settings (including both ribbon and Quick Access Toolbar customizations) can be exported to be used by another user, or you can choose to import another customized file from this location. For more information, see Deploying a Customized Ribbon and Quick Access Toolbar in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=184247).

See Also

Concepts

Customize the Office user interface in Office 2010

Other Resources

Customizing Context Menus in Office 2010


User interface differences in Office 2010 vs earlier versions

If you are upgrading from earlier versions of Microsoft Office to Microsoft Office 2010, review the changes in the User Interface. Some of these features help IT administrators configure, validate, deploy, and protect Office installations in their organizations. This article introduces some of the new features and improvements in the Microsoft Office 2010 suites that are relevant to IT professionals.

In this article:

  • New and updated features in Office 2010

  • File formats

  • Edition comparison

  • Differences between Microsoft Office versions

  • What's new for IT Professionals

New and updated features in Office 2010

The following are highlights of Office 2010.

Fluent user interface

The Office 2010 Fluent user interface (UI) lets you support users more efficiently. It contains updates to the ribbon and a new Backstage view that displays the details of files and functionalities, even letting you create a custom UI, all within the XML schema.

The ribbon organizes commands in a more usable way by presenting them as a set of tabs. Each contextual tab represents a task area relevant to a particular Office product. The ribbon is improved in Office 2010 and is included in all Office 2010 applications.

Backstage view

The Microsoft Office Backstage view in Office 2010 replaces the Microsoft Office Button of the 2007 Microsoft Office system. The Backstage view enables you to create a custom UI, similar to within the ribbon, and to add elements such as workflow or task information that is specific to an organization's needs. The Backstage view is available in all Office 2010 applications, and replaces the File menu of earlier Microsoft Office versions.

Silverlight

Microsoft Silverlight is a technology that works in the browser and on the desktops that brings many Microsoft Office experience to life with amazing video, animations and interactivity. Microsoft recommends installing Microsoft Silverlight along with Office to improve the information worker user experience with Office 2010. Specifically, Microsoft Silverlight enables better online experience with Office Online, powers the Office 2010 interactive guides (available with Office 2010), improves the user experience of Office SharePoint 2010, improves the performance of Office Web Companion applications and help with the process of uploading Office document to cloud services.

File formats

Microsoft Office 2003 introduced a format based on extensible markup language (XML) that enabled you to understand the details of a document. The 2007 Office system made XML the default file format so that you could easily work with your documents. The data that was contained in the XML file listed the content in a document, and the description included any settings that were needed for the document to work within the application. In addition to supporting about 20 different document formats including XML Paper Specification (XPS), Portable Document Format (PDF) 1.5, PDF/A and Open Document Format (ODF) v1.1. Office 2010 continues to support XML.

The XML format provides advantages such as easier data mining and content reuse; faster document creation from different data sources; reduction of the size of Excel, PowerPoint, and Word files; and improved data recovery of corrupted files.

ODF users can save documents in version 1.1 of the ODF for Word, Excel and PowerPoint. Users can open, edit and save files in the OpenDocument Text (*.odt), OpenDocument Spreadsheet (*.ods), and OpenDocument Presentations (*.odp) formats.

Edition comparison

Five editions of Office 2010 suites are available — three user versions and two business versions. For more information, see Office 2010 suites.

Differences between Microsoft Office versions

Within each application, Office 2010 has improved functionality in many areas. When the 2007 Microsoft Office system was released, a significant difference from Office 2003 was the introduction of the ribbon in the user interface (UI) for Microsoft Office Access 2007, Microsoft Office Excel 2007, Microsoft Office PowerPoint 2007, Microsoft Office Word 2007, and parts of Microsoft Office Outlook 2007. The UI changed from a collection of menus and toolbars to a single ribbon mechanism. The Office 2010 suites maintain the ribbon and have some new features.

The ribbon is now available across all products of the Office 2010 suites so moving from one application to another is seamless. In addition to changes in the ribbon, the Office 2010 suites background is now a gray color, by default, whereas the 2007 Office system background was blue.

The following table describes the differences in UI elements between Office 2010, the 2007 Office system, and Office 2003.

UI element | Office 2010 | Office 2007 | Office 2003
Menus and tabs | The ribbon replaces menus and toolbars across all Products of Office 2010 and can be fully customized. | The ribbon replaces menus and toolbars in Access 2007, Office Excel 2007, PowerPoint 2007, Word 2007, and parts of Outlook 2007. | Menus and toolbars only are available.
Task panes | Groups of commands on the ribbon and the ability to customize. | Groups of commands on the ribbon and the ability to customize. | Basic task pane.
Quick Access Toolbar (QAT) | Fully customizable. | Introduced in 2007. | Not available.
Backstage view | More tools outside the document viewing window. | Limited tools that can be accessed through the Microsoft Office Button. | Limited tools on the File menu
Digital signatures | Found in the Backstage view under Information about Document / Protect Document. | Formatted with XMLDSig, found under File / Finalize Document / Signatures. | Found under Tools / Options / Security / Digital Signatures
Smart Art | Improved from the 2007 version. | Design tools available in all Microsoft Office applications. | Not available.
Open Formats (*.odt) OpenDocument Text | Included in this version. | Added in 2007 Office system Service Pack 2 (SP2). | Not available.
Windows Live Writer integration | Blog posting options available in the application. | Not available. | Not available.
Spelling checker | The spelling checker is now integrated with automatic correction. | Basic spelling checker. | Basic spelling checker.
Paste Preview | A live preview before you commit to Paste. Avoids having to use the Undo button. | Paste, Undo, Paste. | Basic Paste capabilities.
Print | The Backstage combines Print with Print Preview, Page Layout and other print options. | Microsoft Office Button, Print with limited printing tools spread across several commands. | Basic Print option on the File menu.
Sparklines | A miniature chart inserted into text or embedded in a spreadsheet cell to summarize data. | Dynamic charts and chart types. | Three-dimensional (3-D) charting.
E-mail Essentials | Conversation, Cleanup, Ignore Thread, and Mail Tips for when a person is out of the office or if e-mail is sent to a group. | Not available. | Not available.
Photo editing tools | Available in these applications: (Word 2010, Excel 2010, PowerPoint 2010, Outlook 2010, and Microsoft Publisher 2010). | Limited functionality. | Limited functionality.
Video in Microsoft PowerPoint | Video triggers and controls. | Not available. | Not available.

What's new for IT Professionals

To learn about licensing and volume activation, 64-bit editions of Office 2010, application virtualization, security changes, and Office Customization Tool changes in Office 2010, see What's new for IT Professionals in What's new for IT professionals in Office 2010.

See Also

Concepts

What's new for IT professionals in Office 2010
System requirements for Office 2010
Deploy Microsoft Silverlight with Office 2010


Interactive guides to UI changes

Published: September 2, 2010

Interactive ribbon guides can help users transition from the menus that appear in older versions of Microsoft Office to the ribbons that are in Office 2010 products. This article lists the available interactive ribbon guides and provides instructions for downloading and removing them.

Microsoft Office 2010: Interactive menu to ribbon guide

In this article:

  • Interactive menu to ribbon guide overview

  • Interactive menu to ribbon guide downloads

  • Instructions for installing and using the download

  • Instructions for removing the download

Interactive menu to ribbon guide overview

The guides that are listed in this article are visual, interactive references that will help you quickly find, in Office 2010, the new locations of the menu and toolbar commands that you used in older versions of Office. The interactive guides, which are built by using Silverlight technology, simulate older versions of Office. You can run them in a browser from your desktop, either directly from the web or from your desktop after you download them. In the simulation, you click a command on the menu of an older version of an Office product, and the guide shows you where that command is located in the Office 2010 product.

Interactive menu to ribbon guide run-from-web

If you have Internet access, you can run the interactive guides directly from the Office.com website: Learn where menu and toolbar commands are in Office 2010 and related products (http://go.microsoft.com/fwlink/p/?LinkId=199518). The Install button at the top of the Welcome page enables you to download the guide and use it in a Silverlight Out of Browser mode, even when the computer that is running the guide is not connected to the Internet.

Interactive menu to ribbon guide downloads

You can download each Office 2010 interactive menu to ribbon guide individually:

Product | Link
Word 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199519
Outlook 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=202102
Excel 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199520
PowerPoint 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199521
OneNote 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199522
Publisher 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199523
Visio 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199524
Project 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199525
InfoPath 2010: Interactive menu to ribbon guide | http://go.microsoft.com/fwlink/p/?LinkId=199526

Instructions for installing and using the download

Follow these instructions to install and use the download to start the Interactive Guides locally.

To install the download:

  1. Download the file by clicking Download.

  2. Click Run to start the installation immediately, or click Save to download it to your computer for later use. Double-click the file name when you are ready to use the application.

  3. Follow the instructions on the screen to complete the installation.

To use the application:

  1. Click the shortcut on your desktop or select it from the Start menu. The Welcome page opens.

  2. Click the Start button at the bottom of the Welcome page to start the guide.

  3. In the guide, click any menu or toolbar command. The guide will show you the location of that command in the 2010 program.

    Note:

    Silverlight 3 or Silverlight 4 is required to run the guides.

Instructions for removing the download

Follow these instructions to remove the Interactive Guide download from the local machine.

To remove this download from Windows 7 or Windows Vista:

  1. Click Start and then click Control Panel.

  2. Select Programs and Features.

  3. Select Microsoft <Product> 2010 Interactive Guide and then click Uninstall.

To remove this download from Windows XP:

  1. Click Start, click Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft <Product> 2010 Interactive Guide and then click Remove.

See Also

Other Resources

Silverlight Deployment Guide
Getting Started with Office 2010


Product and feature changes in Office 2010 (for IT pros)

Published: May 12, 2010

IT Pros who are planning migrations to Microsoft Office 2010 suites can learn about the new, changed, and deprecated features in the Office 2010 suites and in Microsoft Project 2010 and Microsoft Visio 2010.

Note:

Are you looking for help using Office applications like Word, PowerPoint, or Excel? The Getting Started resources on Office.com will help you learn what's new in each application in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=199527).

Article | Description
Changes in Office 2010 (for IT pros) | Lists changes in Microsoft Office 2010 since the 2007 Microsoft Office system.
Changes in Access 2010 (for IT pros) | Lists changes in Microsoft Access 2010 since Microsoft Office Access 2007 and migration considerations.
Changes in Excel 2010 (for IT pros) | Lists changes in Microsoft Excel 2010 since Microsoft Office Excel 2007 and migration considerations.
Changes in InfoPath 2010 (for IT pros) | Lists changes in Microsoft InfoPath 2010 since Microsoft Office InfoPath 2007.
Changes in OneNote 2010 (for IT pros) | Lists changes in Microsoft OneNote 2010 since Microsoft Office OneNote 2007 and migration considerations.
Changes in Outlook 2010 (for IT pros) | Lists changes in Microsoft Outlook 2010 since Microsoft Office Outlook 2007 and migration considerations.
Changes in PowerPoint 2010 (for IT pros) | Lists changes in Microsoft PowerPoint 2010 since Microsoft Office PowerPoint 2007 and migration considerations.
Changes in Project 2010 (for IT pros) | Lists changes in Microsoft Project 2010 since Microsoft Office Project 2007 and migration considerations.
Changes in Publisher 2010 (for IT pros) | Lists changes in Microsoft Publisher 2010 since Microsoft Office Publisher 2007 and migration considerations.
Changes in SharePoint Designer 2010 (for IT pros) | Lists changes in Microsoft SharePoint Designer 2010 since Microsoft Office SharePoint Designer 2007.
Changes in SharePoint Workspace 2010 (for IT pros) | Lists changes in Microsoft SharePoint Workspace 2010 since Microsoft Office Groove 2007 and migration considerations.
Changes in Visio 2010 (for IT pros) | Lists changes in Microsoft Visio 2010 since Microsoft Office Visio 2007 and migration considerations.
Changes in Word 2010 (for IT pros | Lists changes in Microsoft Word 2010 since Microsoft Office Word 2007 and migration considerations.


Changes in Office 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft Office 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using Office applications like Word, PowerPoint or Excel? The Getting Started resources on Office.com will help you learn what's new in each application in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=199527).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

For information about the new features in Microsoft Office 2010 that are relevant to IT administrators, see What's new for IT professionals in Office 2010.

What's changed

This section summarizes the feature changes in Office 2010.

Insert Clip Art task pane and Clip Organizer

The Insert Clip Art task pane and Clip Organizer functionality remains generally unchanged in Office 2010. However, the user interface is updated to make it easier to search for and insert online clip art. Although you can still download and manage a locally stored clip art collection, there is a decreasing need for clip art to be stored locally. This is because Office users are more Internet-savvy and want to grab and use images from the Web immediately without having to store them for later use.

You can download clip art images from Office.com (http://go.microsoft.com/fwlink/p/?LinkId=202125). The downloaded images are then available for local (offline), personal use.

Important:

You are allowed to use the clip art for personal use as determined by the Microsoft Service Agreement (http://go.microsoft.com/fwlink/p/?LinkId=204168). Also see Use of Microsoft Copyrighted Content (http://go.microsoft.com/fwlink/p/?LinkId=204172).

HTML editor

The HTML editor is updated for Windows SharePoint Services, Microsoft Office SharePoint Server, and Microsoft InfoPath. New features include cross-browser support, XHTML support, and a shared editor.

Legacy brightness and contrast

Da Vinci brightness and contrast algorithms replace legacy algorithms, and are now available through the user interface and Office Manager. Legacy brightness and contrast algorithms are still available for backward compatibility. This is a core architecture change.

Besides brightness and contrast, other photo editing algorithms and tools are provided through the user interface and Office Manager. With this change, users can receive improved photo editing results. If a photo does not contain 2007 Office system brightness or contrast edits, the visual fidelity of the 2007 Office system brightness and contrast is retained in Office 2010. If a photo does contain 2007 Office system brightness or contrast edits, Office 2010 produces better results because the old effects are converted into new effects.

Language Preferences

Language Preferences replaces Language Settings and assists users in showcasing language packs and in determining whether the necessary proofing tools or keyboards are enabled. Included are direct links to online locations where users can obtain additional tools. There is also new functionality, such as ScreenTip Language.

Operating system support

Office 2010 does not support 64-bit (x64) versions of Windows XP. For full system requirements, see System requirements for Office 2010.

What's removed

This section provides information about removed features in Office 2010.

Insert Clip Art task pane and Clip Organizer

Deprecated functionality in both the Insert Clip Art task pane (within client applications) and the standalone Clip Organizer application:

  • Simplified drop-down menu options for "Search In" (replaced by a check box to include or exclude online content) and "Media Types" (Photo, Illustration, Audio and Video. The level of granularity for file extensions is removed).

  • Removing thumbnail icons indicating online content and clip art loading from a media CD.

Deprecated functionality in the Insert Clip Art task pane only:

  • Removing the "Organize Clips" link.

Deprecated functionality in the standalone Clip Organizer application only:

  • Auto-import local content into Clip Organizer

  • Associate a folder with a particular collection (for use by auto-import)

  • Find Similar Style within a user's local clipart content library

  • Send clip art to Mail recipient(s) feature

  • List and Details views of the Clip art (we keep only thumbnail view now)

  • Delete a clip from a particular collection.

Symbol input add-in: East Asia versions of Office 2010

The special symbol input add-in is removed from Microsoft Word 2010, Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Access 2010 in the East Asia versions of Office 2010.

This change includes the language releases shown in the following table.

Language | Geographic area | Language tag (ll-cc) | LCID
Chinese (Simplified) | People's Republic of China | zh-cn | 2052
Chinese (Traditional) | Hong Kong SAR | zh-hk | 3076
Chinese (Traditional) | Taiwan | zh-tw | 1028

This feature is removed because users can easily access this functionality through the similar feature that is available through the Insert Symbol button in the Symbol group under the Insert tab, or through the Input Method Editor (IME).

InterConnect

InterConnect is removed from Office 2010. InterConnect provided Japanese users with a unique, electronic business card that could be secured and delivered. It was available as a part of Microsoft Office Ultimate, InterConnect retail SKU, and Microsoft Outlook+InterConnect retail SKU.

Office Startup Assistant

Although turned off by default in 2007 Microsoft Office system, the ability to create a new Office document from the Start menu, or Office Startup Assistant (OSA), is completely removed in Microsoft Office 2010. Users can no longer manually turn on the feature in the Start menu through Office 2010 setup or open a dialog box to create a new document in an Office 2010 application.

This feature is replaced by the ability to create a new Office document for each Office 2010 application from the Microsoft Office Backstage by clicking New and then creating the document. In addition, the improved functionality is compatible with the 64-bit version of Office 2010.

Office Diagnostics

Office Diagnostics, also known as Customer Watson, is removed for all Office 2010 applications. Because of shifting resources, the focus must be on analysis and reporting features that have been proven beneficial for other teams. Users must now run the repair utility from the Control Panel.

Document workspaces

The following is removed from Microsoft Word 2010, Microsoft Excel 2010, Microsoft PowerPoint 2010, Microsoft OneNote 2010, Microsoft Visio 2010, and Microsoft Outlook 2010.

  • The ability to create document workspaces.

  • The ability to create shared attachments in Outlook.

  • The ability to invoke actions on Microsoft SharePoint Foundation by using the Document Management pane.

  • The functionality that enables the local copy of the document to synchronize with the server copy.

Users can no longer access the following in Service Options in the <Application> Option dialog box: Create Document Workspace, Document Information Management, and Document Management. The synchronization functionality is replaced by the implicit cache, which enables users to continue editing within the document workspace even when the document is offline and then automatically sync the changes to Windows SharePoint Services the next time that the document is online. The implicit cache prevents user confusion over which option to use.

Support for Microsoft XML Parser 5

Office 2010 does not support Microsoft XML Parser 5 (MSXML5). Existing solutions will not create an instance of MSXML5 objects when they are loaded by Office 2010. Migrate code to Microsoft XML Parser 6 (MSXML6) or to managed code that uses the .NET Framework.

Note:

MSXML6 does not support Digital Signature code. For more information about MSXML6, see Building MSXML Applications (http://go.microsoft.com/fwlink/p/?LinkId=187366).

Migration considerations

When planning a migration to Office 2010, review what is new, changed, and removed for Office 2010. In addition, see the Migration considerations sections in the articles listed in See Also.

See Also

Concepts

Changes in Access 2010 (for IT pros)
Changes in Excel 2010 (for IT pros)
Changes in InfoPath 2010 (for IT pros)
Changes in OneNote 2010 (for IT pros)
Changes in Outlook 2010 (for IT pros)
Changes in PowerPoint 2010 (for IT pros)
Changes in Project 2010 (for IT pros)
Changes in Publisher 2010 (for IT pros)
Changes in SharePoint Designer 2010 (for IT pros)
Changes in SharePoint Workspace 2010 (for IT pros)
Changes in Visio 2010 (for IT pros)
Changes in Word 2010 (for IT pros

Other Resources

Office Resource Kit Blog


Changes in Access 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft Access 2010 and how these changes can impact migration plans. If you are migrating from Microsoft Office Access 2003, we suggest that you review Changes in Access 2007 (http://go.microsoft.com/fwlink/p/?LinkId=164065) and Migration considerations for Access 2007 (http://go.microsoft.com/fwlink/p/?LinkId=164070).

Note:

Are you looking for help using new features in Access 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=247986) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=247987).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Access 2010 that might be of more interest to IT administrators. You can find additional resources in the Access 2010 Resource Center on TechNet. (http://go.microsoft.com/fwlink/p/?LinkId=207810)

Share a database on the Web

In Office Access 2007, there was limited support in sharing a database to the Web, where you could only publish your lists and move the database to document libraries. Now, in Access 2010, if you have access to Access Services in Microsoft SharePoint Server 2010, you can create a Web database by using Access 2010. Users can use your database in a Web browser window, but you must use Access 2010 to make design changes. Although some desktop database features do not translate to the Web, you can do many of the same things by using new features, such as calculated fields and data macros.

Export to .pdf and .xps

In Access 2010, you can export data to a .pdf file format (Portable Document Format) or an .xps file format (XML Paper Specification) to print, post, and distribute e-mail. In Office Access 2007 this capability was also available through a downloadable add-in. Beginning with Office Access 2007 SP2 and continued with Access 2010, this feature was built into the product so you do not need to install any additional software. Exporting a form, report, or datasheet to a .pdf file or an .xps file lets you capture information in an easy-to-distribute form that retains all the formatting characteristics, but does not require other users to install Access on their computers to print or review your output.

Connect to a Web service as an external data source

You can now connect to a Web service as an external data source. You will need a Web service definition file provided by the Web service administrator. After you install the definition file, you can link to Web service data as a linked table.

Backstage view

The Microsoft Office Backstage is part of the Microsoft Office Fluent user interface (UI) and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, contains commands that you apply to an entire database, such as compact and repair, or open a new database. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier releases of Microsoft Office.) Commands are arranged on tabs on the left side of the screen, and each tab contains a group of related commands or links. For example, if you click New, you see a set of buttons that let you create a new database from scratch, or you can select from a library of professionally designed database templates.

What's changed

This section summarizes some of the feature changes in Access 2010 that might be of more interest to IT administrators. For a more comprehensive list, see Discontinued features and modified functionality in Access 2010 (http://go.microsoft.com/fwlink/p/?LinkId=242467).

Backward compatibility between Access 2010 and Access 2007

Access 2010 introduces features that are not supported in Office Access 2007. Although Office Access 2007 SP1 will not open databases that contain these features, Office Access 2007 SP2 offers limited viewing and designing capabilities.

Enhanced security

Enhanced security features and strong integration with Microsoft SharePoint Foundation 2010 help you more effectively manage data and allow you to make your information tracking applications more secure than before. By storing your tracking application data in lists on SharePoint Foundation 2010, you can audit revision history, recover deleted information, and set data access permissions.

Office Access 2007 introduced a new security model that is carried forward and improved in Access 2010. Unified trust decisions are integrated with the Microsoft Office Trust Center. Trusted locations make it easy to trust all databases in secure folders. You can load an Office Access 2007 application with code or macros that are disabled to provide a more secure, sandbox experience (that is, unsafe commands cannot be run). Trusted macros are run in Sandbox mode.

Support for SQL Server 2008 data types

Access 2010 provides limited support in Access projects (.adp) for the following seven new data types introduced in Microsoft SQL Server 2008:

  • date

  • datetime2

  • datetimeoffset

  • time

  • geography

  • geometry

  • hierarchyID

The following three data types are unsupported when you use table or view design mode in Access 2010:

  • geography

  • geometry

  • hierarchyID

The alternative is to use SQL Server 2008 design tools for creating tables, views, stored procedures, and functions when you use any of these three data types. You can still use Access 2010 to design reports, forms, modules and macros that reference these data types.

What's removed

This section provides information about removed features in Access 2010 that might be of more interest to IT administrators. For a more comprehensive list, see Discontinued features and modified functionality in Access 2010 (http://go.microsoft.com/fwlink/p/?LinkId=242467).

Calendar control (mscal.ocx)

The Microsoft Calendar control (mscal.ocx) is not available in Access 2010. Opening an application from an earlier version of Access where the control was used will generate an error message in Access 2010, and the control will not appear.

An alternative is to use the date picker control in Access 2010. For more information about the date picker, see Watch this: Make it easier to add a date (http://go.microsoft.com/fwlink/p/?LinkId=242468).

Another alternative is to use a third-party date picker control. For more information, see the following:

  • Calendars and Microsoft Access (Granite Consulting) (http://go.microsoft.com/fwlink/p/?LinkId=242469)

  • Conrad Systems Development (http://go.microsoft.com/fwlink/p/?LinkId=242470)

Microsoft Replication Conflict Viewer

The Microsoft Replication Conflict Viewer is not available in Access 2010. To achieve the same functionality, you can use the ReplicationConflictFunction property in a database replica set so that you can create a custom procedure to resolve synchronization conflicts. For more information, see How to Use the ReplicationConflictFunction Property (http://go.microsoft.com/fwlink/p/?LinkId=165394).

Snapshot file format

The ability to export a report as a snapshot file is not available in Access 2010. Alternatives to the snapshot file format, in which file formats preserve the layout and formatting of the original report, are .pdf and .xps file formats.

Data access pages

Beginning with Office Access 2007, the ability to create, modify, or import data access pages was no longer supported. However, data access pages in an Office Access 2007 database would still function. By using Access 2010, you can open a database that includes data access pages. However, the data access pages will not function. When you attempt to open a data access page, you will receive an error message that states that Microsoft Office Access does not support this operation for Data Access Pages.

An alternative to using data access pages is to create a Web database and publish to a SharePoint site by using Access Services. For more information, see What's new for Access Services in SharePoint Server 2010 (http://go.microsoft.com/fwlink/p/?LinkId=182566).

Lotus 1-2-3, Paradox, Jet2.x, and Red2 IISAM

The IISAM (installable index sequential access method) for Lotus 1-2-3, Paradox, Jet2.x, and Red 2 is not available in Access 2010. If you need to link to, import from, or export to one of these IISAMs, you can use Office Access 2007 or earlier. When you attempt to create a link to, import from, or export to a Jet 2.x or Red 2 database, and when you select or paste a linked table to Lotus 1-2-3 or Paradox, you might receive one of the following error messages:

  • Could not find installable ISAM.
  • Microsoft Office Access does not support this operation for this IISAM type. To perform this operation, use Microsoft Office Access 2007 or earlier.

Migration considerations

When you plan a migration to Access 2010, review what is new, changed, and removed for Access 2010. Because Access 2010 has many similarities with Office Access 2007, such as the same native file format, you can also review and use the existing migration documentation for Office Access 2007 when you migrate to Access 2010.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To correct this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Changes in Office 2010 (for IT pros)

Other Resources

Access 2010 Resource Center on TechNet
Changes in Office Access 2007
Migration considerations for Access 2007
Introduction to Office Migration Planning Manager (OMPM)
When to Migrate from Microsoft Access to Microsoft SQL Server


Changes in Excel 2010 (for IT pros)

IT Pros can learn about the new, changed, and deprecated features of Microsoft Excel 2010 and how these changes can impact migration plans. If you are migrating from Microsoft Office Excel 2003, we suggest that you review Changes in Excel 2007 (http://go.microsoft.com/fwlink/p/?LinkId=134563) and Migration considerations for Excel 2007 (http://go.microsoft.com/fwlink/p/?LinkId=164062).

Note:

Are you looking for help using new features in Excel 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=247994) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=182569).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Excel 2010 that might interest IT administrators. For more information about new features, see What's New in Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=200398).

In addressing user needs

This section highlights changes in Excel 2010 to address user needs, especially improvements in programmability.

High performance computing

In Excel 2010, High Performance Computing (HPC) solves computationally intensive problems by using multiple computers. When it runs on a desktop computer, Excel 2010 can offload the evaluation of certain kinds of user-defined function calculations to a compatible cluster, such as Microsoft Windows HPC Server 2008 R2. This offload enables Excel 2010 to continue calculating other parts of the workbook in parallel to the cluster that is calculating the user-defined functions. Complete workbooks can also be calculated on the cluster. For example, a workbook model can be recalculated many thousands of times by performing batches of calculations in parallel on the cluster. When a supported computer cluster is available, users can instruct Excel 2010 to use that cluster by selecting a cluster connector and configuring a specific cluster name to use in the Advanced options of the Excel Options dialog box.

Use this capability in Excel 2010 to solve mathematical analysis or data processing problems, or Monte Carlo simulations. Cluster-safe user-defined functions must be implemented in an XLL. You cannot create a cluster-safe user-defined function in VBA or in a COM Automation add-in. Also, cluster-safe user-defined functions cannot interact with Excel in any way except to return their value. Workbooks must be designed for the cluster. This means that existing workbooks will not necessarily work on the cluster without modification. This option is not supported for 32-bit and ia64-based, language-specific, Itanium platforms.

For more information, see HPC Services for Excel (http://go.microsoft.com/fwlink/p/?LinkId=193165).

Macro recording support for chart elements

In Microsoft Office Excel 2007, recording a macro while formatting a chart, or other object, did not produce any macro code. However, in Excel 2010, you can use the macro recorder to record formatting changes to charts and other objects and then reuse those changes repeatedly. Standardize formatting by distributing these macros to users.

Closing XLM/VBA gaps

Excel has a macro facility, known as Excel 4 macros (XLM for short), that was the primary macro language before the introduction of VBA in Excel 5.0. Most people have long ago migrated their Excel 4 macros to VBA. However, some Excel 4 macro capabilities were missing from VBA, which made this migration difficult.

In Excel 2010, one of our goals was to remove any remaining barriers that people had to complete the migration of Excel 4 macros to VBA. Excel 2010 does still enable the creation, editing and execution of Excel 4 macros. You can use Excel 2010 to migrate your macros.

User-defined functions run asynchronously

In Excel 2010, you can author these non-processor-intensive user-defined functions as asynchronous. This ability is supported in XLL add-ins, and the new Excel 2010 SDK has all that you need for writing asynchronous user-defined functions.

How it works

Break your user-defined function in two parts:

  1. A synchronous function call, which sets up the asynchronous calculation, data request, external Web service call, and so on, and returns immediately.

  2. An asynchronous part, which returns the result to Excel when it is ready.

Excel tracks uncompleted user-defined function calls and continues independent parts of the calculation. When the user-defined function call result becomes available to your XLL add-in, the add-in then calls back into Excel with the user-defined function result. For information about how to configure the XLL add-in, see Programmability Improvements in Excel 2010 (blog) (http://go.microsoft.com/fwlink/p/?LinkId=200472).

In Business Intelligence

Business Intelligence (BI) is a category of technologies that are used to support decision making.

Sparklines

Sparklines are a new kind of visualization in Excel 2010. They are small cell-sized graphics used to show trends in series of values by using line, column, or win/loss charts. Sparklines allow the viewer to see in a single cell information-dense graphics that greatly increase reader comprehension of the data. They demonstrate the "what" not the "why" of the data. For more information, see Sparklines in Excel (blog).

Slicers

Slicers make filtering and interpretation of data easier. They improve PivotTables and CUBE functions in a workbook. Slices filtered data interactively. They float above the grid and behave like report filters so you can hook them to PivotTables, PivotCharts, or CUBE functions to create interactive reports or dashboards. For more information, see Easy (and Even Fun!) Data Exploration: Introducing Excel 2010 Slicers (blog), and Interacting with Slicers (blog), and Dressing up your Slicers (blog).

Microsoft SQL Server PowerPivot for Excel add-in

If you have to model and analyze very large amounts of data, you can download the PowerPivot for Excel add-in and work with that data inside your Excel workbooks. By using this add-in, you can quickly combine data from multiple sources that include corporate databases, worksheets, reports, and data feeds. You can then interactively explore, calculate, and summarize that data by using PivotTables, slicers, and other Excel features. As you interact with the data, you will notice that the response time is fast, whether you are working with hundreds of rows, or hundreds of millions of rows. If you have access to Excel Services in Microsoft SharePoint Server 2010, you can make your reports and analyses available on a SharePoint site so that other people in your organization can benefit from your work.

For more information about PowerPivot, see Introducing PowerPivot for Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=186137).

Calculation feature improvements

This section provides updates to the Excel calculation engine.

New version of Solver

Excel 2010 includes a new version of the Solver add-in, which you can use to find optimal solutions in what-if analysis. Solver has an improved user interface, a new Evolutionary Solver, based on genetic algorithms, that handles models with any Excel functions, new global optimization options, better linear programming and nonlinear optimization methods, and new linearity and feasibility reports. In addition, the Solver add-in is now available in a 64-bit version. For more detailed help about Solver from Frontline Systems, see Solver Help at www.solver.com (http://go.microsoft.com/fwlink/p/?LinkId=164909).

New statistical functions

The function library in Excel improved in Excel 2010. Accuracy of functions improved, consistency improved with Excel's function names and definitions with 50 new functions, and a new functions user interface was added. New algorithms were implemented to improve the accuracy of our statistical, financial and math functions. For more information about improvements, see Function Improvements in Excel 2010 (blog).

In Excel Services

This section highlights changes in Excel Services. For more information, see Excel Services 2010 Overview (blog).

Excel Services improvements

Many organizations use Excel Services to share workbooks and data with other people, such as executives and other stakeholders in your organization. If you use Excel Services on a SharePoint site, you can take advantage of the following improvements:

  • Share workbooks from Backstage Before Excel 2010, it was previously possible to save and publish worksheet data to a SharePoint site. In Excel 2010, the options for doing this are now conveniently located together on the Share tab in the Microsoft Office Backstage view.

  • More support for Excel features Before Excel 2010, if a workbook contained unsupported features, it could not be opened in the browser. In Excel 2010, most workbooks with unsupported features will open. In addition, more Excel features are supported in Excel Services, including new Excel 2010 features such as Sparklines and Slicers.

  • Edit and collaborate on workbooks If you publish a workbook to a SharePoint site where Excel Services is installed, you can edit your workbook in a supported Web browser, in addition to viewing it. In addition, you and your colleagues can work on the same workbook at the same time. This means that you no longer have to e-mail a workbook around, or wait for someone to check it back in on the server before you can edit it. For example, imagine that you and your manager are currently viewing the same worksheet in different offices. If you make a change to the data, your manager will see that change on her screen. For more information about Excel Services, see What's new for Excel Services (SharePoint Server 2010) (http://go.microsoft.com/fwlink/p/?LinkId=168442).

  • Enhanced programmability This includes the following:

    • Improved Web Services API

    • New REST API

    • New JavaScript OM

  • Support of new XL features and visualizations These include slicers, sparklines, new conditional formatting, and others features.

  • Better Admin scriptability By using Windows PowerShell.

In Office suite changes

The new 64-bit version of Office allows the processing of larger data sets, which is especially important for Excel 2010. You use it with the new VBA 7.0. You might have to update VBA when you use 64-bit Excel 2010. For more information, see Excel 2010 - Now With More Bits! (blog).

Backstage view

The new Backstage view replaces the traditional File menu. All file management tasks are available in the Backstage view. Click the File tab to access the Backstage view. Although it was previously possible to save and publish worksheet data to a SharePoint site, in Excel 2010, the options for doing this are now conveniently located together on the Share tab in the Microsoft Office Backstage view. For more information, see Backstage (blog).

Excel 2010 64-bit advantages

Applications built with the 64-bit version can use more physical memory than ever, especially important for those who have to work with really large data sets. In Excel 2010 investments were made in our 64-bit architecture to optimize our memory consumption while keeping the cell table (and related operations) as fast as possible.

For example, create bigger workbooks using 64-bit Excel that can be too big for 32-bit Excel to open. But generally workbooks are interchangeable between 32-bit and 64-bit. For information about 64-bit support and code compatibility, see Programmability Improvements in Excel 2010 (blog).

What's changed

This section summarizes the feature changes in Excel 2010 that might interest IT administrators. For more information about changed features, see Discontinued features and modified functionality in Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=182569).

In addressing user needs

This section highlights changes in Excel 2010 to address user needs, especially improvements in programmability.

Compatibility mode tool

New features in Excel 2010 are disabled when you are opening previous versions of Excel in Excel 2010. For example, new 2010 Sparklines and Slicers features are disabled with opening earlier version of Excel. Workbooks created in the Excel 97-2003 file format (.xls) automatically open in compatibility mode. Workbooks created in Excel 2010, but destined for people who use earlier versions of Excel, should turn on compatibility mode to prevent accidental use of functions and features that are incompatible with the earlier versions of Excel. This is very important for users who plan to share workbooks with other users who have not yet migrated to Office Excel 2007 or a later version.

File loading performance

File loading (opening and saving) lends itself well to parallel processing and the multi-core functionality of Excel 2010. However, the structure and content of workbooks significantly affects the performance gains. For example, if there is only one very large sheet in a workbook, a proportionally large amount of file loading time will be spent loading the one sheet. But if you have two very large sheets, Excel can fetch the second sheet off disk while the first sheet is still being loaded into memory.

In Business Intelligence

Business Intelligence (BI) is a category of technologies that are used to support decision making.

PivotTable improvements

PivotTables are easier and faster to use in Excel 2010. Some of the key improvements include the following:

  • Improved performance In Excel 2010, multithreading helps speed up data retrieval, sorting, and filtering in PivotTables.

  • OLAP Write-back support (also known as PivotTable What-if Analysis) In Excel 2010, users can modify values in PivotTable cells, recalculate the PivotTable with the new values, and, if the results are satisfactory, publish the modified data to the Online Analytical Processing (OLAP) cube (or Analysis Services cube) so that the data is shared with other users. For more information, see Excel 2010 PivotTable What-If Analysis (Writeback).

  • Named sets Named sets are a tool that allows a re-usable group of items to be created for use in PivotTables. Combine items from different hierarchies (asymmetric reporting) in ways that otherwise wouldn't be possible. Create PivotTables based on your own custom Multidimensional Expressions (MDX). Create PivotTables that dynamically change based on filters by using dynamic sets. For more information, see PivotTable Named Sets in Excel 2010 (blog).

  • Dynamic sets support When you work with the same set of items from data repeatedly, Excel 2010 provides the ability to easily create and reuse this logical grouping of items as a single object. For OLAP PivotTable users, dynamic rendering using the filter in the matrix is supported.

Filtering

For large worksheets filtering enables the quick location and display of specific data in tables and PivotTable views. Use new Search Filter capability to spend less time sifting through large data sets. For more information, see Excel 2010: New Search Filter (blog).

Conditional formatting

Conditional formatting lets references be made to different sheets on the workbook (cross-sheet conditional formatting). Use conditional formatting to discover and show important trends and highlight data exceptions. More styles, data bar options, and new icon sets made available. References to other worksheets enable in conditional formatting rules. Conditional formatting stores dependencies of the formulas that are used, so reevaluation of the entire conditional format is not necessary as often. Pivot tables or scrolling refresh more quickly so they can display faster. For more information, see More Conditional Formatting Features in Excel 2010 (blog).

Icon sets

Icon Sets are a new kind of conditional formatting. An icon is drawn in each cell representing the value of the cell relative to the other cells in the selected range. Icons sets are a great way to create groups of similar data as a part of your data analysis. For more information, see Icon Set Improvements in Excel 2010 (blog).

Data bars

Data bars now drawn proportionally according to their values. Negative values more clearly displayed and zero values are suppressed. For more information, see Data Bar Improvements in Excel 2010 (blog).

OfficeArt controls and objects

In Excel 2010, in addition to shape objects, the following controls and objects are converted to the new OfficeArt technology:

  • Form controls

  • Microsoft ActiveX objects

  • OLE objects

  • Camera tool objects

Shape objects drawn in earlier versions of Microsoft Excel that are not upgraded to Microsoft Excel 2010 SmartArt format cannot be grouped with shape objects that are created in or upgraded to Excel 2010 SmartArt format. Mixed shape objects are layered, with the earlier versions of shape objects drawn on top of all later versions. This also means that Excel 2010 charts cannot be shown on dialog sheets that were created in an earlier version of Excel. You cannot access the new shape objects by clicking Select Objects (Home tab, Editing group, Find & Select button). To select the newer shape objects, you must use the Select Multiple Objects command (File tab, Options, Customize Ribbon).

Pattern fills

Pattern fills removed in 2007 have been reintroduced in Excel 2010. Charts formatted with pattern fills in previous versions of Excel will keep and display the pattern fills when they are opened in Office Excel 2007. For more information, see Chart Pattern Fills (blog).

In strategic improvements

Charting improvements

It is easier to work with charts in Excel 2010. Specific improvements include the following:

  • New charting limits It is easier to work with charts in Microsoft Office Excel 2007. Specific improvements include new charting limits. In Microsoft Office Excel 2007, you could have up to 32,000 data points in a data series for 2-D charts. In Excel 2010, the number of data points in a data series is limited only by available memory. This enables users — especially those in the scientific community — to more effectively visualize and analyze large sets of data. Memory errors could result if large 64-bit worksheets are calculated on a 32-bit computer.

  • Macro recording for chart elements In Office Excel 2007, recording a macro while formatting a chart or other object did not produce any macro code. However, in Excel 2010, you can use the macro recorder to record formatting changes to charts and other objects.

  • Improvements in the chart UI Improvements include PivotChart Interactivity, Formatting improvements, Parity Improvements, and Limit Increases. Double click any chart element and the format dialog appears. The chart element selector is available in the right-click mini-bar. Pattern fills are available again. When formatting charts, you can now record a macro to use format and layout changes again. Parity Improvements were made in the areas of Axis Scaling, Layout, Visual Parity, and Object Model Parity. Data size limits on charts are removed or increased. Prior limit of 32,000 points per data series on 2D is removed. Machine memory is the current limit. The maximum of 256,000 data points is now removed. The only limit is the available memory and computer capacity. For more information, see More Charting Enhancements in Excel 2010 (blog).

What's removed

This section highlights features that were available in previous versions of Microsoft Office that are removed from Excel 2010 and that might interest IT administrators. For more information about removed features, see Discontinued features and modified functionality in Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=182569).

In addressing user needs

This section highlights changes in Excel 2010 to address user needs, especially improvements in programmability.

Clip Art task pane Search in Box

The Search in box is no longer available, which means that you can no longer limit your search to specific collections of content. To narrow your search, you can use multiple search terms in the Search for box.

ClipArt task pane Clip Organizer

Clip Organizer is a tool that arranges and catalogs clip art and other media files that are stored on your hard disk. Clip Organizer is no longer directly accesses the Clip Art task pane in Office programs. In addition, the following changes were made to Clip Organizer:

  • Although you can delete clips from Clip Organizer, you can no longer delete a clip from a specific collection.

  • The command that enabled you to find clips of a similar style is no longer available.

  • The command for sending a clip as an attachment in e-mail messages is no longer available.

  • The List and Details views are no longer available. Instead, all clips appear as thumbnails in the Clip Organizer window.

  • The Organize clips link is no longer available. To open Microsoft Clip Organizer from Windows 7, Windows Vista, or Windows XP, click the Windows Start button, click All Programs, click Microsoft Office, click Microsoft Office 2010 Tools, and then click Microsoft Clip Organizer.

  • The command for automatically finding media files on your computer and organizing them into collections no longer exists. However, you can still add clips manually to Clip Organizer or import them from a scanner or camera.

In calculation features

Conditional Sum Wizard

The Conditional Sum Wizard is replaced in Excel 2010 by a Function Wizard that includes SUMIF and SUMIFS functions. Formulas created in an earlier version that were generated by the Conditional Sum Wizard will continue to work and can be edited using other methods. The legacy Conditional Sum Wizard add-in is no longer available with Excel 2010.

Lookup Wizard

The Lookup Wizard is replaced in Excel 2010 by a Function Wizard that includes SUMIF and SUMIFS functions. Formulas created in an earlier version that were generated by the Lookup Wizard will continue to work and can be edited using other methods. The legacy Lookup Wizard add-in is no longer available with Excel 2010.

Updated statistical functions

The following table shows algorithms for calculating the statistical distribution functions that have been modified or redesigned completely for better accuracy.

Description | Function
Binomial distribution | BINOMDIST, CRITBINOM
Chi squared distribution | CHIDIST, CHIINV
Exponential distribution | EXPONDIST
F distribution | FDIST, FINV
Gamma distribution | GAMMADIST, GAMMAINV
Hypergeometric distribution | HYPGEOMDIST
Lognormal distribution | LOGNORMDIST, LOGINV
Negative Binomial distribution | NEGBINOMDIST
Normal distribution | NORMDIST, NORMINV
Standard Normal distribution | NORMSDIST, NORMSINV
Poisson distribution | POISSON
Student's t distribution | TDIST,TINV
Weibull distribution | WEIBULL

The following table shows additional functions for which the accuracy is improved.

Description | Function
Hyperbolic arcsine | ASINH
Ceiling function | CEILING
Convert function | CONVERT
Error function | ERF
Complementary error function | ERFC
Floor function | FLOOR
Natural logarithm of the gamma function | GAMMALN
Geometric mean | GEOMEAN
MOD function | MOD
Random number function | RAND
Sample standard deviation | STDEVS
Sample variation | VARS

As part of the accuracy improvements, Excel accepts a larger range of input values. As a result, it will return a wider range of results for certain functions. For example, the ERF and ERFC functions now take negative input values, and the MOD function can take larger input values. For more information about the improvements to the statistical functions, see Function Improvements in Microsoft Office Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=186148).

In Office suite changes

Smart tags now "Additional actions"

Smart tags have been replaced by the shortcut menu option "Additional actions" in Excel 2010. Text is no longer automatically recognized by a smart tag recognizer and is no longer marked by a purple dotted underline of the active cell. Instead, users can trigger the data recognition function and view the custom actions that are associated with text by selecting the text and clicking the Additional actions item on the shortucut menu that is opened by right-clicking a selected cell.

Calendar control

Calendar control (mscal.ocx) was a Microsoft Access feature that could be used in Access worksheets. Calendar control is removed in Access 2010 and is not usable for Excel 2010. Instead, users can use Date Picker or their own custom calendar controls.

Migration considerations

When planning a migration to Excel 2010, review what is new, changed, and removed for Excel 2010. Because Excel 2010 has many similarities with Office Excel 2007, such as the same native file format, you can also review and use the existing migration documentation for Office Excel 2007 when you migrate to Excel 2010.

MSXML5

MSXML5 is not supported in Excel 2010. Users will receive a runtime error if they attempt to run an Excel extensibility solution created by using MSXML5. Migrate code to MSXML6 or to managed code that uses the .NET Framework.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To resolve this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Changes in Office 2010 (for IT pros)

Other Resources

Excel 2010 Resources
Changes in Office Excel 2007
Migration considerations for Excel 2007
Introduction to Office Migration Planning Manager (OMPM)


Changes in InfoPath 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft InfoPath 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using new features in InfoPath 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=247996).

In this article:

  • What's removed

What's removed

This section provides information about removed features in InfoPath 2010.

Data importer framework

In the InfoPath 2010 Editor, the entry point for Import form data is removed. The Import form data option enabled users to select a third-party data importer to import form data into their forms.

Data set change tracking

The functionality to track data set changes when a user designs a form in InfoPath Form Designer against a Web service that returns the System.DataSet type is removed in InfoPath 2010. However, existing forms that use change tracking with the System.DataSet type will continue to work in InfoPath 2010.

InfoPath Form Designer Group Policy template settings

The settings that let you disable aspects of InfoPath Form Designer are removed from the Office 2010 Group Policy templates. This change provides more consistent functionality across installations of InfoPath 2010.

Form template exporter

The form template exporter extensibility option is removed from the InfoPath 2010 Form Designer. In Office InfoPath 2007, this option enabled third-party vendors to provide tools to export InfoPath form templates to other formats.

Form template samples

The sample form templates that were included with Office 2003 and the 2007 Office system are removed in InfoPath 2010. If an organization uses these templates, you must republish these form templates to a location other than the default location to continue using the forms. The new page and section layouts that are now in the InfoPath Form Designer replace the form templates.

Human Workflow Services integration

All integration points with BizTalk Human Workflow Services are removed from InfoPath 2010. This functionality is replaced by Workflows in Microsoft Office SharePoint Server 2007 and Microsoft SharePoint Server 2010.

Installable form templates

The capability to publish a form template that can be installed on the local client computer as an application is removed. Instead, users can publish forms to a specific location and run the form from that location. Existing installable forms will continue to run in the InfoPath 2010 Editor.

Receive and Submit Web service connection

The Receive and submit data Web service connection option is removed for new forms. To simplify the feature and promote best practices, it is replaced with separate options to create a Receive data connection and then create a secondary Submit data connection. Existing forms that use the Receive and submit data Web service connection type will still work in InfoPath 2010.

Sample data

The capability to display sample data in the controls is removed. In InfoPath 2010 users must preview the form and manually enter sample data to evaluate how it looks in the form.

Script code development environment

The ability to develop script code in InfoPath 2010 is removed. When existing forms with script code are opened, all of the entry points to add code to a form will be disabled and hidden. Runtime support continues, but customers will have to upgrade script code to managed code to continue developing by using an integrated development environment in InfoPath.

Support for Microsoft XML Parser 5

Office 2010 does not support Microsoft XML Parser version 5 (MSXML5). Existing solutions will not create an instance of MSXML5 objects when loaded by Office 2010. Migrate code to managed code by using the Microsoft .NET Framework or to MSXML6. Note that MSXML6 does not support digital signature code.


Changes in OneNote 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft OneNote 2010 and how these changes can impact migration plans. If you are migrating from OneNote 2003, we suggest that you review Changes in Office OneNote 2007 (http://go.microsoft.com/fwlink/p/?LinkId=163029).

Note:

Are you looking for help using new features in OneNote 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=247997).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in OneNote 2010.

Fluent UI

The OneNote 2010 user interface is redesigned and now uses the Microsoft Office Fluent user interface (UI). Introduced in the 2007 Microsoft Office system, the Fluent UI is designed to make it easier for people to find and use the full range of features that Office applications provide, and to preserve an uncluttered workspace. For more information about the Fluent UI, see the resources in Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

The ribbon

The ribbon, part of the Fluent UI, is designed to optimize key OneNote note-taking scenarios to make them easier to use. The ribbon in OneNote 2010 provides quicker access to all the commands and allows for easier future additions and customizations. You can also customize the ribbon. For example, you can create custom tabs and custom groups to contain frequently used commands. To help maximize the note-taking space on the page, the ribbon can also be hidden while writing.

Backstage view

The Microsoft Office Backstage is part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, helps you find frequently used features for managing your Microsoft OneNote notebook files. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier releases of Microsoft Office.) The Backstage is used to manage files and the data about the files, such as creating and saving files, inspecting for hidden metadata or personal information, and setting file options.

Language preferences

OneNote 2010 also provides simplified language settings that allow multilingual users to use a single dialog box in OneNote 2010 to set preferences for editing, display, ScreenTip Language, and Help languages. If users do not have a required software or keyboard layout installed, a notification displays to provide information and links to resolve such issues.

File format

The OneNote 2010 file format enables new features, such as sharing on the Web, linked note-taking, mathematical equations, and versioning.

OneNote 2010 will continue to work on Office OneNote 2007 notebooks without changing to the new file format. By default, notebooks are not upgraded. Do not upgrade notebooks if you plan to share them with Office OneNote 2007 users. To change an existing notebook to the OneNote 2010 notebook format, use the Notebook Properties dialog box: Click the File tab, click the Settings drop-down menu, and then click Properties, or right-click the Notebook and click Properties.

Note:

If you change a notebook to the OneNote 2010 notebook format, you cannot change it back to the Office OneNote 2007 format.

Improved access to information

OneNote 2010 provides virtually uninterrupted access to notes by allowing you to view and use your notebook files anywhere — at work, home, or in transit.

  • Sync to Windows Live You can access notebooks from any computer. You can also synchronize notebooks by using shared folders, Microsoft SharePoint Server 2010, and USB drives.

  • Microsoft OneNote Web App You can access and edit notebooks from a Web browser, even on computers on which the full version of OneNote is not installed.

  • Microsoft OneNote Mobile 2010 By using a compact version of OneNote on a Windows Mobile-based smartphone, you can access and edit your notebooks stored on Windows Live and SharePoint.

Search, Outlook integration, organization, and editing improvements

The changes in these areas include the following:

  • Improved search, which can find information on either the current page, within selected sections or notebooks, or within notebooks.

  • Outlook integration improvements:

    • Create Outlook tasks from OneNote.

  • Improved organization and search features:

    • Section and page tab improvements.

    • Search improvements allow for rapid search and navigation within the search results. For example, by typing the first few letters of a title, users can quickly jump to recently visited pages, or repeat a previous search.

    • The ability to easily add links to content within other content — for example, pages, sections, or section groups — and to quickly navigate through these links. This enables you to create Wiki-like notebooks.

    • Quick Filing feature, which lets you choose where in your notebook you want to send information (such as mails from Outlook, pages from Internet Explorer, and so on).

  • Editing improvements:

    • Quick Styles for creating and applying headings.

    • Support for mathematical equations.

    • Formatting improvements for bulleted lists.

    • Mini Translator, which lets you use your mouse to point to a foreign word or phrase and see a translation into your native language in a small window (you can also use the Play button to hear the pronunciation of the word or phrase, and use a Copy button to paste the translation elsewhere in your notebook).

  • Research and note-taking improvements:

    • Linked note-taking to Web page URLs, Microsoft Word 2010, and Microsoft PowerPoint 2010.

    • Automatic text wrapping.

    • Docked OneNote.

    • Information Rights Management (IRM) protected printouts.

    • Print driver for 64-bit operating systems.

Sharing and collaboration features

OneNote 2010 supports simultaneous editing of notebooks by multiple users. For example, a group of users can work on a notebook at the same time, or a single user can work on the same notebook from different computers simultaneously, all without locking the file.

The changes are as follows:

  • New content is automatically highlighted.

  • Author information for any added or shared content is identified by a color-coded bar and the author's initials.

  • Version support lets users see when and by whom changes were made to a notebook. Changes relative to earlier versions of the notebook are automatically highlighted.

  • Faster synchronization of pages so that changes are displayed to all authors in near real time.

  • Display recently added content (by last day, week, month, and so on). You can also get an overview of what specific users changed on specific days.

  • Merge feature allows merging two sections of a shared notebook.

Support for touch-enabled computers

OneNote 2010 provides support for computers that run touch-enabled operating systems such as Windows 7, and Windows 8 and Windows Server 2012. The features include the following:

  • Panning and auto-switching On compatible computers that run Windows 7, the user can scroll and pan around any page in OneNote 2010 by using a finger and, depending on the input device, OneNote automatically switches between pen, pan, and selection.

  • Zooming On multitouch devices, such as a computer that runs a touch-compatible or multitouch-compatible operating system such as Windows 7, using a pinch gesture with the fingers allows a user to zoom in or out of a notebook page in OneNote to customize the page view.

  • Improved navigation Several navigational enhancements have been added to OneNote 2010 for users who have computers that run touch-enabled operating systems.

Note:

For more information, see the OneNote 2010 resources in the "Getting Started with OneNote" guide included in the product, and Getting Started with OneNote 2010 (http://go.microsoft.com/fwlink/p/?LinkID=195504).

Top of page

What's changed

This section summarizes the feature changes in OneNote 2010.

Task pane replacements

The following task panes are replaced in OneNote 2010:

  • Customize My Tags — Replaced by a dialog box in the Fluent UI.

  • New — Options in the New task pane are available in the New section of the File tab.

  • Font — Options are available in the Basic Text group on the Home tab on the ribbon.

  • Bullets — Replaced by the Bullets gallery in the new Basic Text group on the Home tab. The ability to change all bullets at a specific level is removed.

Some task panes are removed in OneNote 2010, as noted in Task Panes removed later in this article.

Top of page

What's removed

This section provides information about removed features in OneNote 2010.

Outlining features and body text

The Outlining toolbar, including the Make Body Text option, is removed in Microsoft OneNote 2010. The ability to increase and decrease indentations and expand or collapse text is available through other user interface entry points and keyboard shortcuts.

SimpleImporter API

The SimpleImporter API was introduced in Microsoft Office 2003, and was replaced by another API in the 2007 Microsoft Office system, although it remained available to the few users who still needed it. The SimpleImporter API is completely removed in Microsoft OneNote 2010.

Start Live Session

The Start Live Session functionality is removed. In OneNote 2010, we recommend that you use a shared notebook. To share a notebook in OneNote 2010, you can specify a Web location so that you can use the notebook from any computer or from a Web browser. This option requires that you sign in or sign up for an account such as Windows Live. You can also enter the full path of a network file share, enter a mapped network drive, or paste the full address of a SharePoint document library where you want to create and store the shared notebook. The page updates will be reflected in near real-time to all users. To use the shared notebooks feature, select Share This Notebook (or New Shared Notebook) on the Share tab. For more information, see the "Getting Started with OneNote" guide included in the product.

Join Live Session

This functionality is removed. As noted in the Start Live Session section, in OneNote 2010, we recommend that you use a shared notebook.

Current Live Session

This functionality is removed. As noted in the Start Live Session section, in OneNote 2010, we recommend that you use a shared notebook.

Create Outlook Appointment and Create Outlook Contact

The Create Outlook Appointment and Create Outlook Contact functionalities are no longer available.

Task Panes removed

The List and Document Management task panes are removed from Microsoft OneNote 2010. The functionality is no longer available, and the user interface entry points are removed. New features in OneNote 2010 provide more functionality than these rarely used features.

For information about task pane replacements, see Task pane replacements earlier in this article.

Top of page

Migration considerations

This section discusses issues that administrators should consider when migrating from previous versions of Microsoft OneNote to Microsoft OneNote 2010.

In this section:

  • OneNote 2010 availability

  • OneNote 2010 file format

    • Upgrading OneNote 2007 notebooks

    • Upgrading OneNote 2003 notebooks

  • OneNote notebook sharing

  • OneNote user data settings migration

OneNote 2010 availability

OneNote 2010 is included in all editions of the Office 2010 suites:

  • Microsoft Office Home and Student 2010

  • Microsoft Office Home and Business 2010

  • Microsoft Office Professional Academic 2010

  • Microsoft Office Standard 2010

  • Microsoft Office Professional 2010

  • Microsoft Office Professional Plus 2010

For information about system requirements for OneNote 2010, see the Microsoft Office Home and Business 2010 section in System requirements for Office 2010.

In the 2007 Microsoft Office system, Microsoft Office OneNote 2007 was included in these editions of the product: Microsoft Office Home and Student 2007, Microsoft Office Ultimate 2007, and Microsoft Office Enterprise 2007.

Microsoft Office OneNote 2003 was available only as a stand-alone product.

OneNote 2010 file format

OneNote 2010 uses a new file format for saving files than previous versions of the product. Many of the new OneNote 2010 features (such as math equations, versioning, linked note taking, and multi-level subpages) require the new format to work. The new file format also lets you share your notebooks on the Web, so you can use a Web browser to view and edit your notebook files. When you create a notebook in OneNote 2010, the file is saved in the new OneNote 2010 file format by default.

With OneNote 2010, you can view, open, and edit notebooks that are saved in the Office OneNote 2007 file format. You can convert Office OneNote 2007 notebooks to OneNote 2010, and you can also convert them back to the Office OneNote 2007 format. For more information, see Upgrading OneNote 2007 notebooks later in this article.

Notebooks that use the OneNote 2003 file format are read-only in OneNote 2010 (and in Office OneNote 2007). This means that you cannot edit files that use the OneNote 2003 format in OneNote 2010 or in Office OneNote 2007. For more information, see Upgrading OneNote 2003 notebooks later in this article.

To determine the file format of a notebook, in OneNote 2010, right-click the notebook icon in the navigation bar, and then click Properties. The Notebook Properties dialog box displays, and the Default File Format section indicates the file format version. If you open an Office OneNote 2007 notebook, the application title bar also displays "[Compatibility Mode]" to indicate the file format is Office OneNote 2007.

Upgrading OneNote 2007 notebooks

OneNote 2010 works on Office OneNote 2007 notebooks without changing to the new file format. OneNote 2010 can view, open, and edit Office OneNote 2007 notebook files. By default, existing Office OneNote 2007 notebooks are not automatically converted when you update from Office OneNote 2007 to OneNote 2010. You cannot use Office OneNote 2007 to open and use notebooks that are saved in the OneNote 2010 file format.

If you plan to share your notebooks with Office OneNote 2007 users who do not have OneNote 2010, we recommend that you do not upgrade the notebooks.

If sharing notebooks with users of earlier versions of OneNote is not a requirement, we recommend that you convert existing notebooks to the OneNote 2010 format to enable all of the new product features.

Upgrading OneNote 2003 notebooks

As noted previously, notebooks that use the OneNote 2003 format are read-only in OneNote 2010. If you want to be able to edit your OneNote 2003 notes when you upgrade from OneNote 2003 to OneNote 2010, you must upgrade your notebook to the OneNote 2010 format (or the Office OneNote 2007 format). To do this, open the notebook in OneNote 2010, and then click the Information Bar that appears at the top of every page in your OneNote 2003 notebook.

Note:

After you convert OneNote 2003 notebooks to the OneNote 2010 or the Office OneNote 2007 format, they cannot be changed back. Therefore, we recommend making a backup copy of the notebooks before you convert the files to a newer format.

OneNote notebook sharing

In Office OneNote 2007, users can participate in live shared note-taking sessions. User can store their shared notebooks in a Web location or a network location such as a network file share, or a SharePoint document library. They can access their shared notebooks from any computer or from a Web browser, or from a computer on the same network or a SharePoint document library. This allows all participants to view and edit each other's notes. To use the live shared session feature, users open the notebook and section that they want to share with others, point to Live Sharing Session on the Share menu, and then click Start Sharing Current Section.

In OneNote 2010, the Start Live SessionJoin Live Session, and Current Live Session functionality is removed. In OneNote 2010, we recommend that you use a shared notebook. The page updates are reflected in near real-time to all users. In OneNote 2010, multiple authors can access a shared notebook simultaneously. When authors edit the pages and sections in the shared notebook, OneNote automatically synchronizes the changes so that the notebook is always up-to-date. OneNote maintains a separate offline copy of the notes on each user's computer. Authors can edit the notes locally even when their computer is disconnected from the network. The next time that the users connect to the shared notebook, OneNote automatically merges their changes with the changes made by other authors.

To use the shared notebooks feature in OneNote 2010, select Share This Notebook (or New Shared Notebook) on the Share tab. Users can choose to share their notebooks on the Web so they can be accessed from any browser (this option requires a Windows Live account). They can also choose to use the full path of a network file share, enter a mapped network drive, or paste the full address of a SharePoint document library. For more information, see "Share notebooks in OneNote 2010" in the OneNote online Help.

OneNote user data settings migration

Information about the OneNote registry keys that are migrated when performing an Microsoft Office 2010 installation is available in User registry settings to migrate to Office 2010. The article provides information about the Office OneNote 2007 and OneNote 2003 user data registry keys that are migrated and those that are not migrated for the following Microsoft Office 2010 upgrade scenarios:

  • In-place upgrade An earlier version of Office such as the 2007 Microsoft Office system is installed on computers.

  • Uninstall and upgrade The installed version of Office is uninstalled first and then Office 2010 is installed on computers.

  • Operating system upgrade A new version of the operating system such as Windows 7 is installed with Microsoft Office 2010.

For information about Office OneNote 2007, see the following sections: "OneNote 2007 <include>" and "OneNote 2007 <exclude>" in User registry settings to migrate to Office 2010.

For information about OneNote 2003, see the following sections: "OneNote 2003 <include>" and "OneNote 2003 <exclude>" in User registry settings to migrate to Office 2010.

See Also

Concepts

System requirements for Office 2010
User registry settings to migrate to Office 2010
Product and feature changes in Office 2010 (for IT pros)
Plan for OneNote 2010


Changes in Outlook 2010 (for IT pros)

New features in Microsoft Outlook 2010 and other changes since the release of Microsoft Office Outlook 2007 may affect your migration considerations.

IT Pros can learn about the new, changed, and deprecated features of Outlook 2010 and how these changes can impact migration plans. If you are migrating from Office Outlook 2003, we suggest that you review Changes in Outlook 2007 (http://go.microsoft.com/fwlink/p/?LinkId=160240) and Migration considerations for Outlook 2007 (http://go.microsoft.com/fwlink/p/?LinkId=162899).

Note:

Are you looking for help using new features in Outlook 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=247998) and find out what features are discontinued or modified.

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Outlook 2010.

64-bit editions

Starting with Microsoft Office 2010, Outlook is available as a 32-bit application and a 64-bit application. The version (bitness) of Outlook that you select depends on the edition of the Windows operating system (32-bit or 64-bit) and the edition of Office 2010 (32-bit or 64-bit) that is installed on the computer, if Office is already installed on that computer. The bitness of an installed version of Outlook is always the same as the bitness of Office 2010, if Office is installed on the same computer. For more information, see 64-bit editions of Office 2010.

If you have a MAPI application, add-in, or VBA macro that uses the Outlook object model in your environment, the bitness of the application must be the same as the installed version of Outlook 2010. For more information, see Considerations for Outlook applications in 64-bit editions of Office 2010 and Developing Outlook 2010 Solutions for 32-Bit and 64-Bit Systems (http://go.microsoft.com/fwlink/p/?LinkId=208699).

Bitness registry key

When Outlook 2010 is installed, it sets the new registry key named Bitness, which indicates whether the Outlook 2010 installation is a 32-bit or 64-bit version. This can be useful to administrators who want to audit computers to determine the installed versions of Outlook 2010 in their organizations.

  • Registry path: HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0\Outlook

  • Registry key: Bitness

  • Value: either x86 or x64

For more information about Microsoft Office 2010 in 64-bit, see 64-bit editions of Office 2010.

Cached Exchange Mode

Many of the new features in Outlook 2010 use the local Outlook data store, which in turn, requires that Cached Exchange Mode be enabled.

By default, Cached Exchange Mode is enabled when you configure a Microsoft Exchange Server account. The features that Cached Exchange Mode enables include the following:

  • Work Offline

  • Junk Email Filter

  • Instant Search

  • Conversation View

  • Conversation Clean Up

  • People Pane

  • Outlook Social Connector

If Cached Exchange Mode is disabled, you can enable it manually.

To enable Cached Exchange Mode manually

  1. In Outlook, click File.

  2. On the Info menu, click Account Settings, and then click Account Settings.

  3. On the Email tab, double-click the Exchange Server account.

  4. In the Change Account dialog box, select the Use Cached Exchange Mode check box.

To enable Cached Exchange Mode on multiple accounts in an enterprise, you can use Group Policy, a software management system, or a registry change. For more information, see Configure Cached Exchange Mode in Outlook 2010.

Calendar Preview in meeting requests

Microsoft Outlook shows a preview of your calendar in meeting requests. The Calendar Preview feature shows where the meeting appears in your Calendar together with any conflicting and adjacent meetings. When you view a meeting request for a recurring meeting, you can use the Calendar Preview feature to navigate between meeting instances in the series.

Conversation actions

Outlook 2010 contains several new features to help users manage their Inboxes more effectively. They include the Ignore and Clean Up commands. The Ignore button on the ribbon moves all of a conversation and any future replies to that conversation directly to the Deleted Items folder. The Clean Up button moves older, redundant messages in the conversation to the Deleted Items folder but keeps the most recent message.

Multiple Exchange accounts

Outlook 2010 can connect to multiple Exchange accounts at the same time. The Exchange accounts can be in the same or different domains or servers.

Outlook Social Connector

The Outlook Social Connector is an add-in that exposes social network data including friends, profiles, activities, and status information from social networks in Outlook 2010. In the People Pane at the bottom of an e-mail message, you can see information about the sender such as their picture, name, and title; view your communication history with this person including meetings and attachments; and view their activity feeds from social networks. For more information, see the Outlook Social Connector section in Determine which features to enable or customize in Outlook 2010 and Outlook Social Connector 1.1 Provider Reference (http://go.microsoft.com/fwlink/p/?LinkId=208703).

Quick Steps

Quick Steps are one-click buttons that can perform multiple actions at the same time. Users can create their own Quick Steps to manage their e-mail with a single click.

Roaming AutoComplete list

Recipient AutoComplete lists are now stored on the Exchange Server. A user's recipient AutoComplete list is now available to any computer on which Outlook 2010 runs that is connected to the same Exchange account. Names can be easily removed from the list by using the new inline Delete function.

The ribbon

The ribbon, part of the Microsoft Office Fluent user interface (UI), replaces the menus and toolbars of the Outlook main window. Ribbon tabs can be customized or replaced with tabs that you create. Through the Options menu on the File tab, you can create new tabs that bring together your favorite commands and groups. Existing tabs can also be customized to meet the organization's needs.

Features available with Office Communicator 2007 R2, Office Communications Server 2007 R2, Lync 2010, and Lync Server 2010

With richer integration of Microsoft Lync 2010 (previously Microsoft Lync) than was available in earlier versions of Outlook, you can start live conversations from Outlook 2010. Hover over a name, see a person's availability and then easily start a conversation directly through instant messaging, voice call, or video.

Features available with Microsoft Exchange Server 2010

The following features are available with Microsoft Exchange Server 2010 and Outlook 2010.

  • Calendar features An organization can now establish a federated trust relationship with an external partner and share availability (free/busy) information, calendar, or contacts. Federation provides the underlying trust infrastructure to enable easy and secure sharing of information across Exchange organizations and in cross-premises organizations. You can also use the new Group Schedule view in Outlook Calendar to see multiple calendars vertically, instead of side by side, or save frequently used groups of calendars together from one location. The Group Schedule view is optimized for viewing a schedule for a group and scheduling a meeting for a group.

  • Call answering and routing rules Unified Messaging in Exchange Server 2010 enables you to create call answering and routing rules for individuals or groups of callers based on Caller ID and contact information.

  • Centralized rights management You can set up rules to automatically apply Information Rights Management policies to outgoing e-mails based on content or recipients.

  • Integrated e-mail archive The Personal Archive feature is available with Outlook 2010 and Exchange Server 2010 and lets you regain control of the organization's messaging data by eliminating the need for Personal Folder files (.pst). Like .pst files, the Personal Archive feature does not affect the user's primary mailbox size. However, unlike .pst files, the e-mail archive folders are stored online so that users can access the archived files by using Microsoft Outlook Web App or from a secondary computer by using Outlook 2010. By using either of these client applications, users can view an archive mailbox and move or copy messages between their primary mailboxes and the archive.

  • MailTips This feature is a configurable warning system to help prevent common e-mail mistakes. Extra information is presented to users when they compose e-mail messages. The MailTips are displayed in an InfoBar, similar to the banner that says "This message has not been sent". MailTips do not prevent sending an e-mail message. But they reveal things that might be unexpected about the delivery or audience of the message, such as recipient validity, whether the recipient is external to the organization or is out of the office, if the distribution list is unusually large, or if a message might not be delivered.

  • Protected Voice Mail This feature enables encrypted voice mail to be sent to a user's mailbox. Protected voice messages can be marked as Private to prevent them from being forwarded.

  • Text messaging through Exchange ActiveSync Windows Mobile 6.5 through Windows Phone 7 telephones or browser-enabled cellular telephones can access text messages by using Exchange ActiveSync, a synchronization protocol that is optimized to work together with high-latency and low-bandwidth networks.

  • Voice Mail Preview Microsoft speech technology converts voice mail messages into text that users receive in an e-mail or text message.

For more information about Microsoft Exchange Server 2010, see Microsoft Exchange 2010 (http://go.microsoft.com/fwlink/p/?LinkId=163579) and What's New in Exchange Server 2010 (http://go.microsoft.com/fwlink/p/?linkId=164425).

What's changed

This section summarizes the feature changes in Outlook 2010.

Add-in resiliency

Add-in resiliency is an important feature of the Outlook 2010 platform. Add-in resiliency means that before and after Outlook loads an add-in, Outlook continues to perform and respond correctly. Outlook writes a list of connected add-ins to the Windows event log and records add-in start time for each connected add-in. Additionally, Outlook writes to the Windows event log when an add-in crashes during an event callback. To prevent add-ins from adversely affecting the performance of Outlook when a user action closes the Outlook application, Outlook uses a new fast shutdown process. For more information about the new shutdown process, see Shutdown Changes for Outlook 2010 (http://go.microsoft.com/fwlink/p/?LinkId=203255).

Conversation view

The Conversation view in Outlook 2010 is changed. The Conversation view provides a threaded view of e-mail messages in an Microsoft Outlook folder, and in Outlook 2010 is accessed by clicking View, Conversation, and then Show Messages in Conversations. The improved Conversation view helps users deal with larger volumes of incoming e-mail, reduces information overload, and increases user productivity in e-mail.

Improved IMAP support

IMAP accounts are easier to set up in Outlook 2010 than in earlier versions. When users add a new account in Outlook 2010, the automatic configuration of a Webmail account sets the account type to IMAP for IMAP-supported Webmail accounts such as Google Gmail. This is by default. Note that users can change the account type to POP3 by selecting the Manually configure server settings option in the Add New Account dialog box.

The Delete and Send operations for IMAP accounts are also improved in Outlook 2010. IMAP accounts now have a separate Deleted Items folder. Also, Outlook 2010 does not prompt for a Sent Items folder, as Office Outlook 2007 did. This is consistent with Outlook behavior for other e-mail account types.

Outlook is more responsive for IMAP users in Outlook 2010 and Office Outlook 2007 SP2. On-demand downloads of messages now occur in the background.

Faster performance

Outlook 2010 starts and exits faster than Office Outlook 2007. Outlook 2010 performance is faster overall than Office Outlook 2007.

Menu and commands

  • ALT keyboard shortcuts With the introduction of the ribbon in Outlook 2010, the ALT keyboard shortcuts have changes. Press ALT to display the command key tips.

  • Copy Folder Design The Copy Folder Design command is replaced with the ribbon View tab option Apply Current View to Other Mail Folders.

  • Current View and Organize panes The Current View pane in the navigation pane for Contacts, Tasks, and Notes is removed in Outlook 2010. Also the Ways to Organize Inbox pane, which you accessed in Office Outlook 2007 by clicking Tools and Organize, is removed in Outlook 2010. You can change and format your views by using the features on the ribbon View tab.

  • Go menu The Go menu option is redundant with the navigation pane in Office Outlook 2007. The keyboard shortcuts that were shown in the Go menu still work and are now displayed as tooltips on the navigation pane buttons. For example, you can use Ctrl+1 to switch to Mail, Ctrl+2 for Calendar, Ctrl+3 for Contacts, Ctrl+4 for Tasks, and so on.

  • Plan a Meeting This dialog box, which was accessed in Office Outlook 2007 from the Actions menu in the Calendar view, is replaced by the ribbon Home tab Schedule View command in the Calendar view.

  • View Group Schedules This dialog box, which was accessed in Office Outlook 2007 from the Actions menu in the Calendar view, is replaced by the commands in the Manage Calendars section on the ribbon Home tab and in the navigation pane in the Calendar view. From the ribbon Calendar Groups option, you can create a Calendar Group by clicking Create New Calendar Group or save currently displayed calendars by using the Save as New Calendar Group. In the navigation pane, you can select which group calendars to view and right-click on a group to find the Rename Group, Delete Group, and New Calendar Group commands.

Scripts not allowed in Public Folders by default

By default, scripts are not allowed in Public Folders. This is a security measure. If you want to change the default, you can enable the Allow script in Public Folders option in the Trust Center.

To enable the Allow script in Public Folders option

  1. On the File menu, click Options.

  2. Click Trust Center.

  3. Click Trust Center Settings.

  4. In the Trust Center dialog box, click Email security.

  5. Under Script in Folders, select the Allow script in Public Folders check box.

  6. Click OK to close the Trust Center dialog box, and then click OK to close the Outlook Options dialog box.

Search tools

Outlook 2010 enables you to easily find and manage large quantities of e-mail, calendar items and contact files. The Search tab on the new Outlook 2010 ribbon includes search filter options to help quickly narrow your search results. You can quickly change the scope of search by selecting, for example, All Subfolders. You can then refine the search by using search filter buttons such as Subject, Has Attachment, or Unread. You can also run advanced searches and view your recent searches to run them again.

Improved in Outlook 2010 with Exchange Server 2010

The following Outlook 2010 improvements are available through Exchange Server 2010.

  • Greater calendar reliability Improvements in Outlook 2010 and Exchange Server 2010 logic make calendars more reliable than in Office Outlook 2007. Improvements include conflict resolution in online mode to resolve conflicts when there are different updated versions of an item on the server and on the client. Also, multiple instances of a recurring meeting can now be changed independently of one another.

    Exchange Server 2010 introduces the Calendar Repair Assistant (CRA). CRA can automatically detect and correct inconsistencies that occur for single and recurring meeting items for mailboxes that are on an Exchange Server 2010 mailbox on which the Microsoft Exchange Mailbox Assistants service runs.

  • Improved retention and compliance functionality Users can apply retention policy to a message or a folder. IT can enforce policies on built-in folders (Inbox, sent items, and so on). Also, an online archive provides separate, online-only folders for long-term retention and archiving.

  • Simplified administration By using role-based access control (RBAC), you can control resources and the features that users can access. You create role assignment policies for each specialized user group and customize those role assignment policies to grant more-restrictive or less-restrictive permissions to the groups. For example, you could create a Compliance Offer role to conduct mailbox searches for legal discovery, a Human Resources role to update employee information in the company directory, or a Help Desk role to manage mailbox quotas. Users can also manage some tasks on their own, such as creating and managing distribution groups or tracking message delivery.

For more information about Microsoft Exchange Server 2010, see Microsoft Exchange 2010 (http://go.microsoft.com/fwlink/p/?LinkId=163579).

What's removed

This section provides information about removed features in Outlook 2010.

Administration tab

The Administration tab has been removed from the Properties dialog box for Public Folders. The Folder Assistant button is now on the General tab. The Moderated Folder button has been removed, and folder moderation is no longer available. For more information, see Public folder moderation has been deprecated in Outlook 2010 (http://go.microsoft.com/fwlink/p/?LinkId=227779).

ANSI offline Outlook data files (.ost) for Exchange synchronization

ANSI offline Outlook data files (.ost) can no longer be created (unless overridden by Group Policy). By default, newly created profiles in Outlook 2010 are in Unicode.

We recommend Unicode Outlook_2nd_NoVer data files (.ost) in all scenarios, except when alternate display names are required. To use alternate display names, configure Group Policy to set the default Outlook data files (.ost) to ANSI. The Group Policy keys to set are in the Outlook 2010 Group Policy template in Microsoft Outlook 2010\Account Settings\Exchange and Microsoft Outlook 2010\Miscellaneous\PST Settings. Note that ANSI .ost files do not work for profiles that contain multiple Microsoft Exchange Server accounts.

AutoArchive-based retention

Users can no longer deploy AutoArchive-based retention settings through Outlook 2010 by using Group Policy. Users who need retention policies are encouraged to explore the Messaging Records Management (MRM) features in Microsoft Exchange Server 2007 and Microsoft Exchange Server 2010.

Calendar rebasing tool

The calendar rebasing tool is removed in Outlook 2010. Calendar rebasing was introduced in Microsoft Office Outlook 2007, and was accessed by clicking Tools, Options, Calendar Options, Time zone, and then making selections in the Time zone drop-down list. Calendar rebasing is now available through a separate Web tool, Time Zone Data Update Tool for Microsoft Office, which is currently available to users from the Microsoft Download Center.

The Change Time zone button is no longer available in the Time zone dialog box, and all underlying code and user interface code are removed. New calendar items that are created in Outlook 2010 can display start and end times correctly without the need for rebasing. Users can use Time Zone Data Update Tool to rebase down-level clients and servers.

Customization of Contact Activity Search folders

In Outlook 2010, the Activities tab on the Contact Folder Properties dialog box is removed because of low usage. This feature enabled you to customize the list of folder groups available to search when in the Activities view on the individual Contact item.

DAV connectivity for HTTP account types

Distributed Authoring and Versioning (DAV) connectivity is removed in Outlook 2010. DAV is an old mechanism used when you connect to Windows Live Hotmail and synchronize e-mail. A new mechanism for Hotmail connectivity exists, and enables synchronization of e-mail, contacts, and calendar synchronization through a Web download. There is no visible loss of functionality to Hotmail users. Users who connect to other DAV accounts (non-Hotmail accounts) lose connectivity and are unable to synchronize e-mail.

Exchange 2000 connectivity

Outlook 2010 cannot connect to Microsoft Exchange Server 2000 or earlier versions of Exchange. Users who run Exchange Server 2000 in their environments will receive an error message when Outlook 2010 attempts to connect to the server. The error message states that the server version is not supported. Public folders in Microsoft Outlook 2010 also cannot connect to Exchange Server 2000, although an error message does not appear. Users have to migrate to Exchange Server 2003, Exchange Server 2007, or Exchange Server 2010.

Exchange Message Security feature support

Support for the Exchange Message Security feature in Outlook 2010 is removed. Customers must use S/MIME to support message security. The infrastructure to support the Exchange Message Security feature was deprecated in Exchange 2000 Server SP2. For more information about S/MIME, see Understanding S/MIME (http://go.microsoft.com/fwlink/p/?linkId=167356).

Most Recently Used list

The list of last opened Other User's Folder in the File | Open menu is removed. As a replacement, consider using delegates, adding additional Exchange accounts to user profiles or sharing tasks and calendars. The Other User's Folder is still available in Outlook 2010 by clicking the ribbon File tab and Open.

Outlook integrity check tool (.ost)

The Outlook Offline Folder (.ost) integrity check tool (scanost.exe) is not included in Outlook 2010. This tool was recommended in previous versions for fixing errors in Outlook data files (.ost).

If there is an issue with a specific folder, you can resync the folder:

  1. Right-click the folder and then click Properties.

  2. In the dialog box that appears, click the Clear Offline Items button and then click OK.

  3. On the Outlook 2010 ribbon, click the Send/Receive tab.

  4. Click Update Folder.

Otherwise, we recommend that you delete the .ost file and let Outlook download information again from Exchange. The exception is if you have local data that is not present on the server. In that case, we recommend that you export the data to an Outlook Data File (.pst), delete the .ost file, allow the server data to download again, and then import the .pst file data by using the Do not import duplicates option that can be accessed through the Open option on the File tab.

Photo resize options

The Outlook 2010 options to resize attached photo do not include 640 x 480 or 800 x 600 pixels. If you decide to resize an image, Outlook 2010 uses the largest of the three previously supported choices (1024 x 768). This is by default.

Also, the resize options have been moved to the File tab.

These changes were made to simplify the resize options and make them more discoverable.

Postmarking

The Postmarking feature is removed in Outlook 2010. The When sending e-mail, Postmark the message to help e-mail clients distinguish regular e-mail from junk e-mail option is removed from the Junk E-mail Options dialog box and Postmarks are not generated by Outlook 2010.

Preview of published Office Online calendars

The Office Online Calendar Sharing Service Web site enabled users to view and manage their shared calendars in a Web browser without having to subscribe to the published calendar. Within Outlook, users could select the Preview this Calendar option when they were notified that a calendar was shared to them.

The Web site for Outlook Calendar Sharing Service is discontinued with Outlook 2010. Therefore, the Preview this Calendar option is removed in Outlook 2010. Users can still publish their calendars for sharing. However, to view the contents of the calendar, users must subscribe to the calendar for viewing within Outlook. For Web access, users must subscribe to the calendar in Windows Live Calendar. Users who subscribe to the published Office Online Calendar in Outlook are not affected.

Quick View

Quick View is a file viewer that was included with Windows 95, Windows 98, and Windows NT 4.0. The related code in Outlook was removed in Outlook 2010. There is no related change to the user experience for those who are on supported operating systems.

Remote Mail

Remote Mail is removed from Outlook 2010. The Remote Mail functionality is replaced by Cached Mode, which was introduced in Outlook 2003.

Search Toolbar add-in

The Search Toolbar add-in setup code is removed in Outlook 2010. The Search Toolbar add-in enables local indexing of online mode Exchange Server mailbox stores by using Windows Desktop Search. As a result of this change, e-mail in online Exchange mailboxes does not appear in the results of Windows Explorer searches. The online indexing add-in is a legacy component that adversely affects the performance of Outlook during startup and shutdown. Users will now experience improved Outlook reliability and significantly lower Exchange bandwidth usage. For fast search, use Cached Exchange Mode or for online mode, use Exchange Search in Exchange 2007 and Exchange Server 2010.

Send Link to This Folder

In Office Outlook 2007 and in some earlier versions, this feature opens a new mail message that has an attached .xnk file that links to the public folder. Because of increased security in Office Outlook 2007, access is denied to Microsoft Exchange Server public folder shortcuts with an .xnk file name extension. This is by default. So, in Outlook 2010, the Send Link to This Folder on the Public Folder shortcutt menu is removed. Instead, consider using SharePoint Server for collaboration.

Send Options

In Outlook 2010, the ability to specify the format for e-mail messages by using Send Options is removed. This feature was previously useful for sending e-mail to people who would receive an e-mail on an Apple computer. Apple computers can now read e-mail messages in Multipurpose Internet Mail Extensions (MIME) type. In Office Outlook 2007, to find the Send Options command enter an e-mail address in the To line, resolve the e-mail address, right-click the e-mail address and select Send Options.

Shade group headings

The ability to shade group headings is removed in Outlook. In Office Outlook 2007, to access this feature right-click on the column heading, select Custom…, Customize current view and then click Other Settings.

Third-party Exchange client extensions do not load

Third-party Exchange client extensions do not load on Outlook 2010. We recommend that users contact their Exchange client extension vendor for more information about an update to their solutions. Third-party exchange client extensions are replaced by add-ins built by using Microsoft Visual C++, Visual Studio Tools for Office, or third-party tools that can create an Outlook COM add-in.

Web browser support

Web browser support is removed in Outlook 2010. The following related features have also been removed.

  • View Web pages within Outlook

  • Save as Web Page option for Calendar

  • Search the Internet within Outlook

  • Navigate to Web pages within Outlook

Note:

If you want an alternative way to save your calendar as a webpage, insert your calendar into an e-mail message and then save it as an .html file by using the following method. After you create the file, you can configure it by using Microsoft Word 2010.

To save your calendar as a webpage:

  1. On the ribbon, click New E-mail.

  2. In the body of the e-mail message, position your cursor where you want to insert your calendar.

  3. On the Insert tab, click Calendar.

  4. On the Date Range drop-down list, select the date range that you want to include for your calendar and then click OK.

  5. On the File tab, click Save As, and then do the following in the Save As dialog box:

    1. In the navigation pane, click the folder where you want to save the file.

    2. In the File name box, type the name that you want to use for your calendar

    3. On the Save as type drop-down list, select HTML.

    4. Click Save.

Migration considerations

Even though several new features and user interface changes are added in Outlook 2010, the Outlook data files (.ost and .pst) and Outlook profile file (.prf) formats in Outlook 2010 are compatible with earlier releases.

Outlook data files (.pst and .ost)

With Outlook 2010, users can open and use Outlook data files that were created in earlier versions of Outlook. Users who have Outlook data files (.pst) can continue to use the files without converting or migrating the files. Users whose Exchange accounts are configured to use Cached Exchange Mode have offline Outlook data files (.ost). You do not have to re-create these .ost files if you perform an in-place upgrade to Outlook 2010.

Note that moving .ost files between computers is not supported. Therefore, you should not manually copy .ost files between computers. Additionally, the User State Migration Tool (USMT) cannot be used to migrate .ost files.

By default, Outlook .pst and .ost files that are created by using Office Outlook 2003 through Outlook 2010 are in the updated Unicode file format that allows for larger file sizes (the 2-gigabyte (GB) limit is eliminated). The non-Unicode ANSI data file format s also supported by Outlook 2010.

If users currently have non-Unicode ANSI-formatted .ost files, we recommend that you upgrade the .ost files to Unicode.

  • To determine whether users' .ost files are in ANSI or Unicode format, see How to determine the mode that Outlook 2007 or Outlook 2003 is using for offline folder files (http://go.microsoft.com/fwlink/p/?LinkId=159924).

  • For information about how to force an upgrade of an existing non-Unicode (ANSI) formatted .ost file to Unicode format, see the section "Force upgrade of non-Unicode ANSI format .ost files to Unicode" in Configure Cached Exchange Mode in Outlook 2010.

Outlook profile file (.prf)

As in earlier versions of Outlook, you can continue to use the Outlook profile file (.prf) to provide options for specifying additional Outlook settings or MAPI services. The Outlook 2010 .prf file format has changed but Office Outlook 2007, Office Outlook 2003, and Outlook 2002 versions of the file will work with Outlook 2010. If you plan to make updates to the .prf file for an Outlook 2010 deployment, we recommend that you re-create the .prf file by using the Office 2010 Office Customization Tool (OCT), export the settings to a new .prf file, and use that file to specify the additional Outlook settings or MAPI services that you want.

Reverting to Office 2007 from Office 2010

Because of the changes in Outlook 2010 that enable multiple Exchange e-mail accounts, user profiles that were upgraded to Outlook 2010 will not work if the user removes Outlook 2010, reinstalls Office Outlook 2007, and then attempts to start Office Outlook 2007 by using the same user profile. In this scenario, the user profile must be removed and re-created in Windows through the Control Panel and Mail options.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 is updated to VBA 7.0. VBA 7.0 settings are reset to their defaults after migration instead of automatically repopulating. This occurs because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
2007 Office system and previous versions | HKEY_CURRENT_USER\Software\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\Software\Microsoft\VBA\7.0\Common

For more information, see User registry settings to migrate to Office 2010.

See Also

Concepts

Changes in Office 2010 (for IT pros)

Other Resources

Outlook 2010 Resource Center
Changes in Outlook 2007


Changes in PowerPoint 2010 (for IT pros)

IT Pros can learn about the new, changed, and deprecated features of Microsoft PowerPoint 2010 and how these changes can impact migration plans. If you plan to migrate from PowerPoint 2003, we suggest that you review Changes in Office PowerPoint 2007 (http://go.microsoft.com/fwlink/p/?LinkId=169005).

Note:

Are you looking for help using new features in PowerPoint 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248000) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248002).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in PowerPoint 2010.

Fluent UI

The PowerPoint 2010 user interface is updated from the Microsoft Office Fluent user interface (UI) that was introduced in the 2007 Microsoft Office system. The Microsoft Office Fluent UI is designed to make it easier for people to find and use the full range of features that Office applications provide, and to preserve an uncluttered workspace. For more information about the Fluent UI, see the resources in Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

The ribbon

The ribbon, part of the Fluent UI, was designed to optimize key PowerPoint presentation scenarios to make them easier to use. The ribbon provides quicker access to all the commands in PowerPoint 2010 and allows for easier future additions and customizations. You can also customize the ribbon. For example, you can create custom tabs and custom groups to contain frequently used commands. To help maximize the editing of your presentation space on the page, the ribbon can also be hidden while writing.

Backstage view

The Microsoft Office Backstage is now part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, helps you find frequently used features for managing your PowerPoint presentation files. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier release of Microsoft Office.) The Backstage view is used to manage files and the data about the files, such as creating and saving files, inspecting for hidden metadata or personal information, and setting file options.

File format

The PowerPoint 2010 file format enables new features such as sharing on the Web, linked presentation co-authoring, and versioning. PowerPoint 2010 will continue to work on Office PowerPoint 2007 presentations.

Protected View

Files from a potentially unsafe location (such as the Internet or an e-mail attachment) or files that contain active content (such as macros, data connections, or ActiveX controls) are validated and can open in Protected View. When you open files in Protected View mode, the editing functions are disabled. You can open and edit files from trusted sources by clicking Enable Editing. You can also explore data about the files in the Backstage view.

Collaboration and sharing features

PowerPoint 2010 supports co-authoring functionality. Co-authoring functionality simplifies collaboration by enabling multiple users to work productively on the same presentation without intruding on one another's work or locking one another out. Office 2010 offers co-authoring functionality for PowerPoint 2010, Microsoft Word 2010, and Microsoft OneNote 2010 documents on Microsoft SharePoint Server 2010. New co-authoring functionality is also supported in Microsoft Excel Web App and Microsoft OneNote Web App. The changes are as follows:

  • New content is automatically highlighted.

  • Author information for any added or shared content is identified by a color-coded bar showing the author's initials.

  • Version support lets users see when and by whom changes were made to a presentation, and automatically highlights changes relative to earlier versions of the presentation.

  • Faster synchronization of pages so that changes are displayed to all authors in near real-time.

Presentations to live and virtual audiences

PowerPoint 2010 has a remote slide show capability that lets you present a slide show over the Web or a network connection to virtual attendees or live attendees, or both. Some common broadcast scenarios are as follows:

  • Ad hoc one-on-one broadcast.

  • Invite multiple viewers to view a presentation remotely at any time.

  • Present a slide show to both live and remote attendees at the same time in the context of a training session, meeting, or conference call.

Working with text and objects

PowerPoint 2010 provides improved editing tools with a new set of Photo Effects that enable you to transform your images.

  • Video and audio editing

  • Graphics, transitions, and animations

  • Help and translation

Top of page

What's changed

This section summarizes the changes in PowerPoint 2010.

Arrange Group

The Arrange Group is now the Arrange menu.

Insert a shape

Previously, Drawing Tools (on the Format tab) automatically display when you insert a shape on a slide. This is no longer the case. The tab appears, but it does not open automatically. You can double-click the shape to bring up the tools.

Selection pane

The Selection pane is a feature that lists all objects in a presentation. In PowerPoint 2010 it is now located on the Arrange menu on the Home tab.

What's removed

This section provides information about removed features in PowerPoint 2010.

Maximum sound file size

The audio/video link and embed feature has replaced the maximum sound file size embed feature. In Microsoft Office PowerPoint 2007, this appears in two locations: 1) as Max Sound File Size (KB) in Sound Tools | Options | Sound Options and 2) Link sounds with file size greater than in PowerPoint Options. This feature was necessary before because you were only able to embed of .wav files less than a certain size, as specified at one of the two places. In PowerPoint 2010, you can embed any file of any size so that these two features are no longer necessary.

The functionality is still there, but only as part of the new audio/video insertion behavior. The feature itself is deprecated.

You will not see Max Sound File Size (KB) in the ribbon and Link sounds with file size greater than in PowerPoint Options. Instead, the audio/video link and embed feature will replace this functionality. You will be able to do the same thing with fewer limitations and also do it directly when a media file is inserted.

In PowerPoint 2010, the user can choose whether to embed any file directly by using the Insert dialog box. Therefore, Max Sound File Size and Link sounds with files size greater than boxes are no longer needed. You can embed any file kind of any size instead of being limited to .wav files less than 50 MB.

Save as Web Page

The entry points for Save as Web Page have been removed.

Top of page

Migration considerations

This section provides information about features and changes that administrators should consider when migrating from Microsoft Office PowerPoint 2007 to Microsoft PowerPoint 2010.

PowerPoint Presentation Files (.ppt/.pptx)

The default file format for presentations created in PowerPoint 2010 has not changed from PowerPoint 2007, which is an XML-enabled file format. PowerPoint 2010 does not support saving to PowerPoint 95 (or earlier) file formats, nor Pack and Go Wizard (.ppz) files. For more information about new file formats in Office 2010, see File Formats that are supported in PowerPoint 2010 (http://go.microsoft.com/fwlink/p/?LinkId=184681&clcid=0x409).

To ensure that a presentation in PowerPoint 2010 can be viewed in PowerPoint 2003 or earlier versions, you can run the Compatibility Checker in PowerPoint 2010. The Compatibility Checker finds potential compatibility issues between PowerPoint 2010 and earlier versions of PowerPoint, and creates a report to help you resolve any issues.

With all the new media capabilities, photo effects, graphics, and formatting capabilities in PowerPoint 2010, knowing how they will translate when the file is opened in an earlier version is important. For example, the new photo effects are stored in the file in such a way that when you open the file in PowerPoint 2007, the photos that use the new effects look exactly as they did in PowerPoint 2010. However you cannot modify the effect if you return to PowerPoint 2007.

The new slide transitions are mapped to a PowerPoint 2007 transition when the presentation is viewed in PowerPoint 2007, and any improved slide transitions revert to the original look in PowerPoint 2007. Embedded videos will work to view in PowerPoint 2007, because PowerPoint 2007 Service Pack 2 was updated to include support for embedded videos. However, if you applied some PowerPoint 2010 effects to the video in PowerPoint 2010, such as crop it to a shape, apply 3-D to it, layer shapes, or apply a duotone, it will return to a default video and play without the special effects.

For information about formatting compatibility with PowerPoint 2003 or earlier versions, see Features that change when you open a PowerPoint 2010 presentation in PowerPoint 2003 or earlier (http://go.microsoft.com/fwlink/p/?LinkId=184658&clcid=0x409).

Storing or sharing files

PowerPoint 2010 supports exporting files to all previous file formats that were found in PowerPoint 2007 and OpenDocumentation Presentations. In the Microsoft Office Backstage view, there is a quick-click sharing capability to send a presentation via e-mail as an attachment, as a link to the presentation on a Web server, or as a .pdf or .xps copy. You can also share the presentation via an instant message, in the Presentation Window, via Internet Fax, by publishing to Microsoft SharePoint 2010 Products or any specific location, or packaging it for a CD.

Presentation security

In Office PowerPoint 2007, new security features were introduced to help ensure that a presentation was safely managed after it left the user's hands. In PowerPoint 2010, the permissions can still be set, but now through the Backstage view. Security features include the following:

  • Prevent unintended changes to a final version of a document by using the Mark as Final command.

  • Provide assurance as to the authenticity, integrity, and origin of the presentation by adding a digital signature.

  • Assign permissions that prevent other users from copying, printing, or editing the presentation by selecting the access level specific to their requirements.

  • Manage document properties through the Backstage view.

PowerPoint Viewer

The Viewer is not included with an installation of Office. Therefore, for users who require viewing a PPT/PPTX presentation offline, a new PowerPoint Viewer is available online. The Viewer lets you view presentations created in Microsoft PowerPoint 2000, PowerPoint 2002, PowerPoint 2003, PowerPoint 2007, and PowerPoint 2010. The Viewer also supports opening password-protected PowerPoint presentations.

The Viewer cannot be installed side-by-side with 64-bit Microsoft Office, and cannot open files created in PowerPoint 95 or earlier versions. Support is limited to Windows XP, Windows Server 2003, Windows Vista, and Windows 7. Windows 2000 and Windows 98 are not supported. Unlike previous viewers, users will have the option to use Reading mode or Full Screen Slide Show mode.

Macro recorder

The macro recorder, used to automate frequent tasks, is not available in PowerPoint 2010. Instead, you can use Microsoft Visual Basic for Applications (VBA) to create or configure macros. If you create a macro in a version of PowerPoint earlier than PowerPoint 2007 by using the macro reader, use VBA to configure the macro.

If you want to access developer controls, write code, or create macros, do the following to display the Developer tab:

  1. Click the File tab.

  2. Select Options.

  3. In the PowerPoint Options dialog box, click Customize Ribbon.

  4. In Customize the Ribbon, in the Main Tabs list, select the Developer tab, click Add, and then click OK.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To correct this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Changes in Office 2010 (for IT pros)
System requirements for Office 2010

Other Resources

Co-authoring overview


Changes in Project 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft Project 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using new features in Project 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248018) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248019).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Project 2010.

Fluent UI

The Project 2010 user interface is redesigned and now uses the Microsoft Office Fluent user interface (UI). Introduced in the 2007 Microsoft Office system, the Fluent UI makes it easier for people to find and use the full range of features that Office applications provide, and to preserve an uncluttered workspace. For more information about the Fluent UI, see the resources in Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

Backstage view

The Microsoft Office Backstage view is part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, helps you find frequently used features for managing your Microsoft Project files. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier releases of Microsoft Office.) The Backstage view is used to manage Microsoft Project Server connections, and to check out and publish projects.

Team Planner

Project Professional 2010 contains the Team Planner, a resource scheduling view that lets users see at a glance what their team members are working on and move tasks from one person to another. Users can also view and assign unassigned work, view over-allocations, and see task names and resource names.

Synchronization with SharePoint lists

In Project Professional 2010, users can export project files to a list in Microsoft SharePoint Server 2010 or Microsoft SharePoint Foundation 2010. This provides a quick and easy way for a project manager to share status or create reports that can be viewed across the organization. Microsoft Project Web Access is not required to synchronize with a SharePoint list.

For more information, see the following:

  • Project 2010: Introducing Sync to SharePoint (http://go.microsoft.com/fwlink/p/?LinkId=212030)

  • Microsoft Project 2010 and SharePoint Foundation 2010 (http://go.microsoft.com/fwlink/p/?LinkId=212031)

  • Use Project with SharePoint (http://go.microsoft.com/fwlink/p/?LinkId=212033)

  • SharePoint Foundation 2010 (http://go.microsoft.com/fwlink/p/?LinkId=126317)

Manual scheduling

Project 2010 changes how projects are scheduled. Factors such as task dependencies and the project calendar no longer automatically adjust task dates when a task is manually scheduled. This feature can be especially useful for early planning when the duration of a task might not yet be known. Users can place a manually scheduled task anywhere in their schedules, and Project 2010 will not move it. Project managers who are accustomed to automatic scheduling with past versions of Project can turn off the new manual scheduling feature, either for specific tasks or for the whole project. Some projects may require the powerful scheduling engine of Project to handle scheduling.

Placeholder tasks

Placeholder tasks let users create a plan by using task names only. Users can enter any combination of start date, finish date, and duration and fill in the rest later.

Inactive tasks

Users can make tasks inactive and still keep them in their projects. The main value of this feature is that custom field information, resource assignments, and all other data stays in the task. (Note that these factors do not contribute to roll-ups.)Inactive tasks often have important information (such as cost information) that can be valuable for archival purposes and what-if planning.

Top-down summary

Creating subtasks and then rolling them up into summary tasks is no longer restricted. In Project 2010, users can create summary tasks first, and the summary tasks can have dates that do not exactly match the roll-up dates of the subtasks. At the beginning of the planning phase, users might only have some high-level information about key deliverables and major milestones of their projects. In Project 2010, users can divide projects into high-level phases based on the overall timeline and budget. This means that it is not necessary for dates of individual work items to line up exactly with dates of the high-level phases.

Compare projects

The compare projects feature in Project 2010 now includes Gantt bars to help users see more clearly how one version of a project differs from another version.

Timeline

Project 2010 now includes a timeline view. For new files, the timeline view is automatically displayed above most other views. This shows a concise overview of the whole schedule. Otherwise, users can turn on the timeline view manually. Users can add tasks to the timeline, print it, or paste it into an e-mail message for an easy-to-view project summary.

Enhanced copy and paste

This feature lets users copy and paste content between Microsoft Office programs and Project 2010, and keep formatting, outline levels, and column headers.

Excel-like features

Features similar to those in Microsoft Excel are available in Project 2010. These include the following:

  • Simplified adding of new columns. When in sheet view, a user can click the Add New Column heading, and then type or select the name of a new or existing column. An existing column can also be quickly renamed by clicking its title and typing a different column name.

  • Enhanced filter UI makes it easier for users to find tasks and resources.

  • 32-bit color support and text wrapping enable users to create views that resemble Excel reports.

Find frequently used commands quickly

The most frequently used commands can now be found easily. By right-clicking any item in a view, such as bar, table cell, or chart, a mini-toolbar with a quick list of frequently used commands is displayed.

The view slider

In Project 2010, users can quickly zoom in and out of the time phased section of a view by using a slider in the status bar. Move the view slider to the right to zoom in a schedule and move the slider to the left to zoom out. The view slider works in the Gantt chart, network diagram, calendar, and all graph views.

Backwards compatibility

Project 2010 is compatible with previous versions of Microsoft Project.

Users can create files in Microsoft Project 2007 or earlier and then open and edit them in Project 2010, although certain features of Project 2010 are not enabled. If you save the earlier version files in the Project 2010 format, all Project 2010 is available.

In addition, you can create files in Project 2010 and then convert them to the Project 2007,Project 2003 , Project 2000 file formats.

What's changed

This section provides information about changed features in Project 2010.

Dialog boxes

The following dialog boxes contain features that are changed:

  • Spelling options

  • Customize

  • Service options

  • Options

VBA object model

The Microsoft Visual Basic for Applications (VBA) object model in Project Standard 2010 and Project Professional 2010 includes new classes, methods, properties, and enumerations that support the new features in Project 2010. For more information, see Tables of VBA Object Model Changes (http://go.microsoft.com/fwlink/p/?LinkId=216929) and Working with VBA in Office 2010 (32-bit) and Office 2010 (64-bit) (http://go.microsoft.com/fwlink/p/?LinkId=216930).

What's removed

This section provides information about removed features in Project 2010.

Custom forms

The ability to create and use custom forms through the user interface (Tools | Customize | Forms) is removed in Project 2010. If users previously created custom forms in their application, the forms can no longer be accessed.

This is an outdated and rarely used feature. The amount of effort required to maintain the feature (for example, updating the controls to be compatible with Project 2010) is not feasible. Use Microsoft Visual Basic for Applications (VBA) to create custom forms that replace the previously created forms. Customers usually use VBA, Visual Studio Tools for Office (VSTO), or other methods to perform the same task.

OWC resource availability graphs

Because OWC is removed in Microsoft Office 2010, resource availability graphs have changed in Project 2010, and users can no longer see proposed availability on the selected task without temporarily assigning a resource to the task. In addition, users lose the split when they select to see the graph, can no longer graph multiple resources together (you must do this one at a time), and do not see numbers next to the graph saying how high the bars are. The team builder experience is also different from the assign resource experience. Team builder starts PWA, and the assigned resource uses resource graphs in Project 2010. The new graphs are customizable and are now printable.

Add-ins, sample macros, and project guide

Add-ins, sample macros, and sample project guide are not included with Project 2010.

The following add-ins are incorporated into Project 2010:

  • Compare Project Versions

  • Adjust Dates

The following add-ins are removed:

  • Pert Analysis

  • Copy picture (no longer automatically creates an Office document and cannot export to the JPG format)

  • Format_Duration

  • ResMgmt_TaskEntry

  • Rollup_Formatting

  • Toggle_Read_only

  • Update_File

Save as Excel Pivot Table

Save as Excel Pivot Table is replaced by Desktop Reports in Project 2010, Professional and Standard.

The ability to save directly into a pivot table is removed.

The File | Save As menu previously included the following:

  • Save as XLS

  • Save as XLS Pivot Table

The File | Save As menu now includes the following:

  • Save as XLS

  • Save as XLSX

  • Save as XLSB

Project 2010 now supports the new file formats in Microsoft Excel 2010. Users should use desktop reports to generate a normalized version of their tasks in Excel 2010.

Migration considerations

When planning a migration to Project 2010, review what is new, changed, and removed for Project 2010.

Moving from Project 2003 to Project 2010

To move from Microsoft Office Project 2003 to Project 2010, you must first convert your Project 2003 data to the Microsoft Project 2007 file format. You do this through the Migration tool, a command-line utility that is available on the Project 2007 installation disk.

Note:

Another option for migrating Project 2003 to Office Project 2007 data is to use the Project Server 2010 virtual migration environment (VME). The VME is a virtualized Project 2007 environment that contains all the necessary applications and utilities required to migrate Project 2003 data to Project 2007. For more information, see Virtual Migration Environment (VME) Guide for Project Server 2010.

Running different versions of Project on the network

Project 2010 enables the user to save files in Project 2007 file format. Therefore, both versions can easily share data and run on the same network. Both can even be installed on the same computer though only one version can run at a time. For more information, see Use Project with previous versions (http://go.microsoft.com/fwlink/p/?LinkId=216931).

However, the 64-bit and 32-bit editions of Project cannot be installed on the same computer. For more information, see 64-bit editions of Office 2010.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Microsoft Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To resolve this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Plan an upgrade to Office 2010

Other Resources

Project Server 2010 upgrade overview


Changes in Publisher 2010 (for IT pros)

IT Pros can learn about the new, changed, and deprecated features of Microsoft Publisher 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using new features in Publisher 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248021) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248022).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Publisher 2010.

The ribbon

The ribbon, part of the Microsoft Office Fluent user interface (UI), was designed to optimize key Publisher scenarios to make them easier to use. The ribbon in Publisher 2010 provides quicker access to all the commands and allows for easier future additions and customizations. You can also customize the ribbon. For example, you can create custom tabs and custom groups to contain frequently used commands. To help maximize the note-taking space on the page, the ribbon can also be hidden while writing.

Backstage view

The Microsoft Office Backstage is part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, helps you find frequently used features for managing your Publisher 2010 files. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier releases of Microsoft Office.) The Backstage is used to manage files and the data about the files, such as creating and saving files, inspecting for hidden metadata or personal information, and setting file options.

Simplified, cleaner workspace

In the new workspace, users will see object boundaries only when they want them (for example, when they pause on or select an object), and alignment guides when they need them (for example, as they drag an object). Users can also move from page to page quickly by using the new page navigation pane, which displays single-page or double-page thumbnails.

Note:

The ribbon and the Backstage view are features of the Microsoft Office Fluent user interface, which is a feature of Microsoft Office 2010 applications. This it easier for users to find and use Office 2010 features. For more information about the Microsoft Office Fluent user interface, see Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

Integrated print and preview experience

Print and Print Preview are integrated so that it is easier for users to get a more accurate view of what their publications will look like when they are printed. This includes the ability to make print adjustments while viewing the effect of the changes in a large preview of their publication. Users can view multiple pages at the same time, view page boundaries, page numbers, and sheet rulers while in print preview, and even view a simulation of a two-sided document as if it were held up to a light — to see the front and back at the same time, as the publication will look when printed.

Save file as .pdf or .xps

Users can save files in the .pdf or .xps file format. This feature can be blocked by using Group Policy. Also, .pdf files can be password-protected for an added layer of security.

64-bit edition

Publisher 2010 64-bit edition can be installed on Windows 64-bit operating systems, and is backward-compatible with other versions of Publisher. Users can open, edit, and save any Publisher 2003, Office Publisher 2007, Publisher 2010 32-bit edition, or Publisher 2010 64-bit edition file on a computer that is running either a 32-bit or 64-bit Windows operating system. For more information, see 64-bit editions of Office 2010.

What's changed

This section summarizes the feature changes in Publisher 2010.

Improved picture technology

Users can more easily work with pictures in their publications with the following picture technology improvements:

  • Cropping Users can rotate and resize pictures, crop them into non-rectangular shapes, and preview the images while keeping the picture in the desired size, shape, and location.

  • Replacing pictures Users can replace pictures by drag-and-drop, swap two pictures in a single operation, and paste pictures copied outside from Publisher into a placeholder in Publisher.

  • Using picture placeholders Users can maintain placeholder dimensions when a picture is inserted. For example, pictures either too small or too large for a placeholder are automatically resized.

  • Add captions Users can now add captions to their pictures, choosing from a gallery of caption designs and layouts, and make changes easily.

Object alignment

Users can use visual alignment guides to align objects to other objects or text, but can ultimately determine where they want to place their objects. This includes the ability to offset-align an object.

Improved access to templates and building blocks online

Users can use templates and insert building blocks of content (for example, mastheads, borders, and graphics) to create professional-looking pages. Publisher 2010 makes it easier for users to access the Publisher online community to get pre-built templates and building blocks, and share ones they create.

Catalog merge

Catalog merge, which lets users merge text and images from a database (such as Microsoft Excel, Microsoft Access, or Microsoft Outlook) is more easily accessed through the UI. Users will be able to initiate catalog merge at any point while making their publications.

What's removed

This section provides information about removed features in Publisher 2010.

Web mode

Creating new Web sites and Web publications is not available in Publisher 2010. However, users can still edit Web publications created in an earlier version of Publisher. Publisher 2010 does not display a folder of Web site templates, or a user interface access point to change a publication to Web mode. However, users see a Web mode tab when they open a Web publication created in an earlier version of Publisher.

Outdated application settings

Users no longer have access to several settings that were available in Tools | Options. This includes changes to the following dialog boxes: Spelling options, Customize, Service options, and several tabs in Options. This also includes removal of or changes to the following in Settings: Show basic colors in color palette, Show TipPages + Reset Tips button, Show underline for merge fields and business information fields, Automatically synchronize formatting, and Use a wizard for blank publications.

Migration considerations

When planning a migration to Publisher 2010, review what is new, changed and removed for Publisher 2010.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To correct this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Changes in Office 2010 (for IT pros)


Changes in SharePoint Designer 2010 (for IT pros)

Published: May 12, 2010

IT Pros can learn about the new, changed, and deprecated features of Microsoft SharePoint Designer 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using new features in SharePoint Designer 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=224715).

In this article:

  • What's removed

  • Migration considerations

What's removed

This section provides information about removed features in SharePoint Designer 2010.

Contributor Settings

In Office SharePoint Designer 2007, Contributor Settings was used to configure and enable Contributor mode, a limited access mode. Users who opened a site for editing in Office SharePoint Designer 2007 had access to different commands or features, depending on which Contributor group they were assigned to and which editing restrictions had been assigned to that Contributor group. Contributor Settings worked at the site level, and the settings could not be inherited by any subsites of a parent site. Contributor Settings was not a security feature, it was designed to be used in an environment where site managers were confident of the intentions of the users and was intended to help prevent accidental changes to a Web site.

Contributor Settings is removed in Microsoft SharePoint Designer 2010 because the feature was complicated, underused, and did not integrate well with the SharePoint Products and Technologies permission model, because users could bypass the restrictions imposed by the feature. The functionality is replaced by a mix of reliance on the SharePoint Products and Technologies permission model and the SharePoint Role Designer feature.

Database features

The database features in Microsoft FrontPage and Office SharePoint Designer 2007 do not apply to SharePoint Product and Technologies Web sites and are not supported in Microsoft SharePoint Designer 2010. The features that are removed in Microsoft SharePoint Designer 2010 include the following:

  • Database Interface Wizard Creates a new database-driven Web site in Office SharePoint Designer 2007.

  • Database Results Wizard Creates Web pages that contain the database results Web component, also known as a WebBot, in Office SharePoint Designer 2007. SharePoint Designer 2010 does not support the Database Results WebBot. When you view a Web page or if you use Design view in SharePoint Designer 2010 to open an existing database results page, the Database Results WebBot is rendered as an HTML comment.

  • Database tab of the Site settings dialog box Manages database connection settings in Office SharePoint Designer 2007.

Layout tables

In Office FrontPage 2003 and Office SharePoint Designer 2007, you could create Web page layouts by using layout tables and cells. A layout table is the framework you create for a page layout. Layout cells are the regions within that framework that contain the content in a page, including text, images, Web parts, and other elements. Together, layout tables and cells represent horizontal and vertical regions that users can add to Web pages, which provide visual structure for your content.

CSS layout features have replaced the layout tables feature in Microsoft SharePoint Designer 2010, and the extensive HTML comments that layout tables rely on are not recognized. If you open a Web page that contains an existing layout table in SharePoint Designer 2010, the layout table functions correctly. However, you cannot use SharePoint Designer 2010 to insert a new layout table.

Microsoft Script Editor (MSE)

In Office SharePoint Designer 2007 and previous versions of Microsoft FrontPage, you could use the Microsoft Script Editor (MSE) to add text, edit HTML tags, and edit any Microsoft Visual Basic Scripting Edition (VBScript) code in a data access page. MSE also provided IntelliSense features for script creation and editing. You could also use the Script Editor to view your page as it would appear in a Web browser. Microsoft SharePoint Designer 2010 does not include Microsoft Script Editor.

Publish, backup, and restore remote Web site

SharePoint Designer 2010 is designed for users to work on — instead of designing and publishing — SharePoint Products and Technologies Web sites. In contrast, Microsoft FrontPage was designed as a server-agnostic Web site creation and management tool. Legacy features for publishing and connecting to remote Web sites and managing the transfer of Web sites and Web content are removed in SharePoint Designer 2010.

SharePoint Designer 2010 is not designed to take the place of server administration tasks such as backup or restore. Operations — such as backup, restore, content migration, and other management tasks that affect entire SharePoint Products and Technologies Web sites — should be completed by using the Central Administration Web page.

Back up a Web site

SharePoint Designer 2010 is designed to work with content on an existing SharePoint Products and Technologies Web site. To back up a Web site, an administrator for the SharePoint Products and Technologies Web site uses the Central Administration Web site for the collection.

Restore a Web site

SharePoint Designer 2010 is designed to work with content on an existing SharePoint Products and Technologies Web site. To restore a Web site, an administrator for the SharePoint Products and Technologies Web site uses the Central Administration Web site for the collection.

FTP

FrontPage provided a built-in FTP client for connecting to servers without Microsoft FrontPage server extensions. The built-in FTP client enabled users to open sites over FTP and then publish an entire Web site or manage individual files on the remote Web server. Because SharePoint Designer 2010 is designed for working with SharePoint Products and Technologies Web sites, and these servers already have the necessary underlying code installed, an FTP client is not required and is removed.

Import Web site wizard

SharePoint Designer 2010 is designed to work with content on an existing SharePoint Products and Technologies Web site. Therefore, the ability to import a Web site from another server or from a file location is removed.

Publish Web site

SharePoint Designer 2010 is designed to work with content on a SharePoint Products and Technologies Web site. Therefore, the ability to create, edit, or publish a disk-based Web site and work with remote Web sites is removed. Unlike SharePoint Designer 2010, Office SharePoint Designer 2007 did support disk-based Web sites. When you edited Web pages from a Web site folder, metadata such as your logon name was saved for each file edited and used to display the author information, such as Created by or Modified by, for files in the Office SharePoint Designer 2007Web Site views and File Properties dialog box. By clearing the Manage the Web site using Office SharePoint Designer 2007 metadata files check box in the Site Settings dialog box, you could choose to remove the metadata from the Web site folder on your local computer. Because the ability to open and work with disk-based Web sites is removed, this privacy concern does not apply to SharePoint Designer 2010.

Web package

A Web package can contain Web pages, templates, Web components, themes, graphics, style sheets, and other elements. Web packages are CAB files (with .fwp file name extensions) that you use to import or export from a Web site. When working with a SharePoint Products and Technologies Web site, SharePoint Designer 2010 provides direct access to importing or exporting Web packages. SharePoint Designer 2010 does not import Web package files.

There are two alternative methods that we recommend to deploy packaged functionality when you are working with a SharePoint Products and Technologies Web site. The first method is that you can use a custom site template. Custom site templates are stored as an .stp file in the SharePoint database. Second, you can use the Windows SharePoint Services solution framework. You can use solutions to package and deploy custom features, site definitions, templates, Web parts, and assemblies. The Windows SharePoint Services solution framework lets you bundle all the components for extending Windows SharePoint Services in a solution file. A solution file is a cabinet format file but it has a .wsp extension. A solution is a deployable, reusable package that contains a set of features, site definitions, and assemblies that apply to sites, and that you can individually enable or disable. You can use the solution file to deploy the contents of a Web Part package. This includes assemblies, class resources, .dwp files, and other package components.

Views

Views in FrontPage and Office SharePoint Designer 2007 offered various ways to view the files and edit Web pages in your Web site. Each view offered its own advantages for performing Web site creation, editing, maintenance, and management tasks. SharePoint Designer 2010 includes changes to the Reports, Navigation, and Hyperlinks views.

Reports view

In Office SharePoint Designer 2007, Reports view enables you to run reports for information such as the number and kind of images on your page, broken or outdated hyperlinks, or pages that might be slow to load. In FrontPage and Office SharePoint Designer 2007, Reports view provides access to statistics that let you monitor all aspects of your Web site. You can examine detailed information about the performance of your Web site and also information about your visitors. You can also use the reports to find and fix many common problems, keep track of the development on your Web site, and continue to improve and tailor your Web site to enhance the user experience.

SharePoint Designer 2010 changes the way that you access reports and has removed those reports that are not useful in a SharePoint Products and Technologies Web site.

Navigation view

In FrontPage or Office SharePoint Designer 2007, the Navigation view provides an overhead look at the navigation structure of your Web site and shows the Web pages that are a part of the navigation structure of the Web site as a flowchart. The Navigation view and Navigation task pane do not work well with SharePoint Products and Technologies Web sites and have been replaced by new features such as site navigation and the quick launch bar.

Hyperlinks view

Hyperlinks view provides a visual representation of all the hyperlinks related to a specific Web page in a Web site. When you select a Web page in the hyperlinks view, all the other Web pages in that Web site that contain hyperlinks that connect to the selected Web page are displayed, and a line connects the Web pages. Along with displaying these hyperlinks, the hyperlinks from the Web page to any resource — image, Web page, or other object — is displayed together with an indication of the link validity.

The Hyperlinks view is removed from SharePoint Designer 2010, because this approach to hyperlinks is not useful in a SharePoint Products and Technologies Web site. The error checking features in SharePoint Designer 2010 let you check for broken links, unused pages, cascading style sheets usage, and master page usage.

Migration considerations

When planning a migration to SharePoint Designer 2010, review what is new, changed, and removed for SharePoint Designer 2010.


Changes in SharePoint Workspace 2010 (for IT pros)

IT Pros can learn about the new, changed, and deprecated features of Microsoft SharePoint Workspace 2010 and how these changes can impact migration plans.

Note:

Are you looking for help using new features in SharePoint Workspace 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248025) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248026).

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in SharePoint Workspace 2010.

SharePoint integration

SharePoint Workspace 2010 enables SharePoint Server 2010 users to create a personal SharePoint workspace, which is a local, synchronized cache of document and list content on a SharePoint site. This feature allows information workers who have access to a SharePoint site to easily access and contribute to SharePoint document libraries and lists from offline locations and when they are working online.

SharePoint Workspace user interface

The appearance and behavior of the Fluent user interface (UI) in SharePoint Workspace 2010 is optimized for familiarity to SharePoint users.

What's changed

This section summarizes the feature changes in SharePoint Workspace 2010.

SharePoint Workspace product

The Groove client application is now the Microsoft SharePoint Workspace client application. Like Office Groove 2007, SharePoint Workspace 2010 enables users to create a local, synchronized cache of document content on a SharePoint site. However, in SharePoint Workspace this is achieved by creating a personal, synchronized SharePoint workspace instead of using a SharePoint Files tool in an Office Groove 2007 workspace. Like Office Groove 2007, SharePoint Workspace 2010 enables users to create Groove workspaces and shared folders. The appearance and behavior of the SharePoint Workspace 2010 user interface is updated for more continuity with SharePoint team spaces.

Tools location

The list of tools has moved from the horizontal tab arrangement in the lower part of Workspace Explorer to a vertical arrangement on the File tab in SharePoint Workspace 2010. Reordering tools by dragging them to a new location in the UI is no longer supported. However, SharePoint Workspace 2010 users can now decide to order tools by type or alphabetically. This change makes tools more visible to users.

User credentials

To improve consistency with other Microsoft Office 2010 applications, SharePoint Workspace 2010 has changed its security approach from a Groove-specific logon password or smartcard to Windows logon credentials for authenticating users. Elimination of the Groove-specific logon credentials helps provide a more secure and manageable environment. When users log on to SharePoint Workspace 2010, a message appears indicates that a Groove password or smartcard is no longer required for logging on to Groove and that accounts will be protected by using their Windows logon credentials. Authentication to SharePoint sites is unchanged. SharePoint Workspace 2010 users authenticate to SharePoint sites by using SharePoint Server credentials, as in Office Groove 2007.

Roles and permissions

In SharePoint Workspace 2010, permissions are automatically defined for Roles in Groove 2010 workspaces. Permissions continue to be editable in Groove 2007 workspaces.

Workspace Manager

The Office Groove 2007 Workspace Manager displays a list of a user's workspaces. This includes the workspace type, status information, and the last unread date and time. In SharePoint Workspace 2010, the Workspace Manager no longer exists as separate feature because the Launchbar provides comparable functionality.

What's removed

This section provides information about removed features in SharePoint Workspace 2010. The following Office Groove 2007 capabilities are not supported in SharePoint Workspace 2010, usually because the capability is unnecessary, or to avoid confusion with or duplication of similar functionality that is provided by another application.

Alerts on contacts

The Office Groove 2007 option to set an alert on specific contacts to indicate their online presence in a workspace is removed in SharePoint Workspace 2010. Alerts that were set on contacts in Microsoft Office Groove 2007 do not appear in SharePoint Workspace 2010. Instead of setting an alert on a contact, SharePoint Workspace 2010 users can use Microsoft Lync to "tag" the contact.

E-mail invitation

Support of the mailto protocol for sending Groove workspace invitations and contact information through e-mail clients other than Microsoft Outlook 2010 is removed in SharePoint Workspace 2010. The Send e-mail invitations using Microsoft Outlook check box is removed from the Preferences dialog box. Users who have Outlook 2010 as their e-mail client will not be affected by this change. However, users who have other e-mail clients or instant messaging applications must copy the invitation and paste it into the message. Limitations of the mailto protocol prevented it from working correctly for all languages and from providing the internationalization support that users required.

Groove Forms Designer

The Groove Forms Designer is removed in SharePoint Workspace 2010. The Groove Forms Designer functionality is replaced by the Lists tool, which includes a designer capability that lets developers import Microsoft InfoPath 2010 form templates. When Office Groove 2007 users upgrade to SharePoint Workspace 2010, the forms in existing Groove workspaces will work as expected. Application developers must use a Office Groove 2007 client installation to maintain or modify legacy custom forms in existing Groove workspaces.

Groove InfoPath Forms

The Groove InfoPath Forms Designer is removed in SharePoint Workspace 2010. After upgrading, the forms in existing Groove workspaces will work as expected. We recommend that you use Microsoft InfoPath 2010 to edit or create forms. SharePoint Workspace 2010 users can import new forms that are created in InfoPath 2010 into a Groove workspace.

Custom tools

The Custom tool feature is removed in SharePoint Workspace 2010. SharePoint Workspace users cannot add a custom tool or create custom groupings of tools. In Office Groove 2007, a user could find the Custom Tool option in the Add tool dialog box.

Groove Workspace Explorer contact list

The area of the Workspace Explorer that contains tools and lists and the ability to display a contact list as part of Workspace Explorer is removed in SharePoint Workspace 2010. The functionality of working with contacts is otherwise unchanged and users can continue to work with contacts on the Launchbar.

Groove Workspace Explorer workspace list

The area of the Workspace Explorer that contains tools and lists and the ability to display a workspace list as part of Workspace Explorer is removed in SharePoint Workspace 2010. The functionality of working with a workspace is otherwise unchanged and users can continue to work with workspaces on the Launchbar.

Lite Chat invitations

Microsoft Lync is integrated into Office 2010. Because Lync supports multiuser chat, support for Lite Chat invitations in SharePoint Workspace 2010 is removed as a redundant feature.

Connect tool

SharePoint Workspace enables users to create a local, synchronized cache of document content on a SharePoint site through a personal, synchronized SharePoint workspace. This process replaces the Office Groove 2007 Connect tool. Therefore, the Connect tool is removed.

Navigate Together feature

The Navigate Together feature in the Office Groove 2007 Options menu is removed in SharePoint Workspace 2010. By using this feature, one person could navigate through the UI and then have all users who were in Navigate Together mode navigate through the workspace UI together. In SharePoint Workspace 2010, users who need to move through the UI with other users must coordinate directly with the other users during the session, either by telephone or by instant messaging.

Communicator

The Windows API-based Microsoft Office Communicator 2007 integration is removed in Microsoft SharePoint Workspace 2010 because Microsoft Office-based integration replaces it. This provides a richer, more robust, and more consistent experience across all Office 2010 applications. Users can see information and actions available on SharePoint Workspace 2010 contacts.

Suspended icon overlay

When members are suspended in an Office Groove 2007 workspace, their contact name is marked with a Suspended icon and they are grouped under a Suspended heading in a member's lists. In SharePoint Workspace 2010, the Suspended icon is removed and suspended users are grouped under a Suspended heading only if the Members pane is sorted by status.

Tooltip information about user entering tool

In Office Groove 2007, every time that a user enters a tool in any workspace, every user receives a ScreenTip: "<User A> has entered <tool name>". To improve performance and to minimize the distraction that users experience, especially in workspaces with many members, this ScreenTip notification functionality is removed in SharePoint Workspace 2010. Users can still use the numbered presence indicator on the tool name to see the names of the users in a tool.

Multiple identities

In Office Groove 2007, a user could create multiple identities within a single account. This feature was sometimes confusing for users. Therefore, the ability to create multiple identities for an account is removed in SharePoint Workspace 2010. SharePoint Workspace 2010 supports one account for one identity only. If existing Office Groove 2007 accounts have multiple identities, upon upgrade, those identities are maintained as part of the account. Note that the ability to create multiple accounts is still supported.

Push-to-talk and voice memos

Office Groove 2007 provided a button UI that users could click to converse by voice over IP. This functionality was not always effective and rarely used. Therefore, it is removed in SharePoint Workspace 2010. Similarly, Office Groove 2007 voice memos that could be attached to an instant message are removed in SharePoint Workspace 2010.

Ink chat

The Office Groove 2007 chat capability provided Ink mode options that let users draw chat entries by dragging with the mouse. Ink mode options were not of prime importance to most users and do not exist in SharePoint Workspace 2010.

Migration considerations

Application developers must use an Office Groove 2007 client installation to maintain or modify any legacy custom forms that are retained in a Groove workspace after migration from Office Groove 2007 to SharePoint Workspace 2010. Forms Designer functionality is replaced by the Lists tool, as mentioned earlier in this article.

See Also

Other Resources

Deploy SharePoint Workspace 2010


Changes in Visio 2010 (for IT pros)

IT Pros can learn about the new, changed, and deprecated features of Microsoft Visio 2010 and how these changes can impact migration plans. If you are migrating from Microsoft Office Visio 2003, we suggest that you review Changes in Office Visio 2007 (http://go.microsoft.com/fwlink/p/?LinkId=169007).

Note:

Are you looking for help using new features in Visio 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248027) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248028).

In this article:

  • What's new

  • What's changed

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Visio 2010.

Fluent UI

The Visio 2010 user interface is redesigned and now uses the Microsoft Office Fluent user interface (UI). First introduced in the 2007 Microsoft Office system, the Fluent UI is designed to make it easier for people to find and use the full range of features that Office applications provide, and to preserve an uncluttered workspace. For more information about the Fluent UI, see the resources in Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

The ribbon

The ribbon, part of the Fluent UI, was designed to optimize key Visio design scenarios to make them easier to use. The ribbon provides quicker access to all the commands in Visio 2010 and allows for easier future additions and customizations. You can also customize the ribbon. For example, you can create custom tabs and custom groups to contain frequently used commands. To help maximize the editing of your presentation space on the page, the ribbon can also be hidden while you write. All existing Visio Software Development Kit (SDK) sample applications will be changed to use the RibbonX extensibility framework.

Backstage view

The Microsoft Office Backstage is part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File tab, helps you find frequently used features for managing your Visio drawings. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier release of Microsoft Office.) The Backstage view is used to manage files and the data about the files, such as creating and saving files, inspecting for hidden metadata or personal information, and setting file options.

ShapeSheet IntelliSense

If you are new to ShapeSheet formulas in Visio, they are similar to the formulas in Excel, except you can use them to program and recalculate shapes. A ShapeSheet spreadsheet stores information for every Visio shape. Within a ShapeSheet, formulas from previous versions of Visio are still valid.

The IntelliSense is new to Visio 2010. This feature does an automatic lookup and auto-complete for formulas.

Some of the benefits of ShapeSheet IntelliSense are as follows:

  • Keyword lookup

  • Keyword auto-complete

  • Keyword definition pop-up

  • Function signature hints pop-up

  • Parenthesis matching

  • Multi-line formula input for developers

  • Supports local and cross-sheet references

Top of page

What's changed

This section summarizes the changes in Visio 2010.

Status bar

The following status items are removed from the status bar in Visio 2010, but still appear in the Size & Position window:

  • X

  • Y

  • Begin X

  • Begin Y

  • End X

  • End Y

Customize ink pens

The Customize Pens dialog box is removed in Visio 2010 and replaced with the new Pens model that is used by OfficeArt and OneNote. Visio 2010 no longer persists settings for five distinct pens in the registry. Users can no longer see an entry point for the Customize Pens dialog box or access the dialog box by any means. Instead, users can customize ink pen properties by using the controls on the Ink Tools tab.

Color by Value

The Color By Value add-on no longer functions in Visio 2010. It is replaced by the Data Graphics feature set, which provides more functionality. You can no longer see the Color By Value add-on in the Add-Ons hierarchical control. Shapes no longer contain right-click actions to open the add-on. Object model calls from shapes that invoke the legacy Color By Value add-on result in an alert about the new Data Graphics functionality and a suggestion to view the Data Graphics Help files.

Visual Studio Add-in/Add-on Wizard

The Visual Studio Add-in/Add-on wizard, which is included with the Visio 2010 SDK, was changed from the earlier version. The wizard in Visio 2010 SDK creates Visio add-on projects, but no longer creates add-in projects. Wizard support for Visio 2010 VSTO add-in projects is available natively in Microsoft Visual Studio 2010.

What's removed

This section provides information about removed features in Visio 2010.

ShapeStudio

The ShapeStudio tool available in previous versions of the Visio SDK has been removed from the Visio 2010 SDK.

Status bar

The following status items are removed from the status bar in Visio 2010:

  • Begin

  • End

  • Dx

  • Dy

  • Snap

  • Top

  • Bottom

  • Left

  • Right

  • Tile

  • Tile Row

  • Tile Column

  • Ancestor

The status bar in the Fluent UI focuses on higher priority status items, many of which have the added utility of being actionable.

Find Shape feature

The Find Shape server feature previously available in Visio enabled users to search for shapes installed on Microsoft Web sites. Additional, new, and updated shapes were then made available together with those already on the local computer.

The Find Shape feature no longer connects to the Internet to look for additional Visio shapes as did in previous versions. The Find Shape feature no longer connects to additional Web servers that an administrator might have set up to host additional shapes. Instead, users must download the content from Office Online. Users can access download instructions by using the Find Shapes Online command on the More Shapes menus.

With this change, the Find Shape feature will display search results found only on the local computer.

In Visio 2010, the user can toggle the user interface on and off by using the Search for Shapes toggle available on the More Shapes menu.

Stencil docking

The redesign of the Shapes Window in Visio 2010 is now optimized for the vertical orientation of the window. Therefore, in Visio 2010, stencils are docked on the left or right of the Shapes Window with docking in the top and bottom positions no longer allowed.

Top of page

Migration considerations

This section provides information about features and changes that administrators should consider when migrating from Microsoft Office Visio 2007 to Microsoft Visio 2010. A noticeable change is that Visio has joined the rest of the Microsoft Office products design and uses the Microsoft Office Fluent user interface (UI). In Visio 2010, you navigate the features by using the ribbon, the Quick Access Toolbar, and the Microsoft Office Backstage view.

Process Repository

In Visio 2010, you can easily manage collections of process diagrams that are typically stored on network file shares. You can ensure that you are editing the most recent version and updating a user if any changes were made to the process diagrams. For many administrators and managers who supervise these document repositories, ensuring diagrams comply with internal standards and tracking all the processes involved can be overwhelming. The Visio Process Repository, a new site template that is included with Microsoft SharePoint Server 2010, uses the collaborative features in SharePoint Server 2010, including:

  • Check in/Check out

  • Versioning

  • Workflow

These features integrate with several new process management features in Visio 2010. The result is that, in a few clicks, a SharePoint administrator can create a Visio Process Repository that is preconfigured for easy storage and management of Visio process diagrams. A Repository site contains a library for documentation, a task list, and a discussion board. The Process Diagrams document library is designed to store processes and comes prepopulated with several templates that can be used to create new process diagrams.

Publish a process diagram to a repository

You can check a diagram for validation issues prior to publishing by using the Validation feature. When you are ready, you can save the document back to the repository by using the Save to SharePoint billboard in the Backstage view. To save a document to the repository, follow these steps:

  1. In the Backstage view, click the File tab.

  2. Click Save & Send.

  3. Under Save & Send, click Save to SharePoint.

  4. Select the desired Process Diagrams document library and file type.

  5. Click Save As to save the document.

  6. The process diagram will be listed in the Process Diagrams document library at this point. The document library has two special columns:

    1. Keywords This column displays the swim-lane headings of each cross-functional flowchart in the document library.

    2. Category This column displays the validation status of each document. When used with the Diagram Validation feature in Visio 2010, it is easier for administrators and managers to monitor whether the processes in the repository meet their organization's standards.

Because the Process Repository is built on top of SharePoint Server 2010, you can take advantage of other SharePoint features. For example, you can:

  • Set up workflows.

  • Set up automatic e-mail notifications when documents change.

  • View revision history for a given document.

  • Visio Services in SharePoint Server 2010 is a service application that lets users view the processes in a browser with one click, even if they do not have Visio installed on their computers. For more information, see Visio Services overview (SharePoint Server 2010) (http://go.microsoft.com/fwlink/p/?LinkId=184088).

Visio Viewer

Visio Viewer 2002 and Visio Viewer 2003 have been discontinued. If you use Visio Viewer 2007, ensure that you have the latest upgrades or you can move to the Visio 2010 (Beta) Viewer. The Visio 2010 Viewer has all the functionality of the previous viewers, and includes all the security fixes. If you do not want to update to the Visio 2010 Viewer, you must update your existing viewer by following these steps:

  1. If you use Viewer 2002 or Viewer 2003, uninstall it and install Visio 2007 Viewer.

  2. Install Visio Viewer 2007 Service Pack 1.

  3. Install the security update for Visio Viewer 2007. For more information, see Microsoft Knowledge Base article 973709: Security Update for Microsoft Office Visio Viewer 2007 (http://go.microsoft.com/fwlink/p/?LinkId=184092).

You can also update the view by using Microsoft Update. However, it might involve multiple runs of Microsoft Update to download the relevant updates.

Customization and options

In Visio 2010, there are many settings and customizations that can be made to personalize the user experience. For more information, see Plan customizations and options for Visio 2010.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To correct this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

See Also

Concepts

Changes in Office 2010 (for IT pros)
System requirements for Office 2010

Other Resources

Visio Beta SDK


Changes in Word 2010 (for IT pros

IT Pros can learn about the new, changed, and deprecated features of Microsoft Word 2010 and how these changes can impact migration plans. If you are migrating from Microsoft Office Word 2003, we suggest that you review Changes in Office Word 2007 (http://go.microsoft.com/fwlink/p/?LinkId=169004).

Note:

Are you looking for help using new features in Word 2010? Visit Office.com to learn how to use new features (http://go.microsoft.com/fwlink/p/?LinkId=248029) and find out what features are discontinued or modified (http://go.microsoft.com/fwlink/p/?LinkId=248058).

In this article:

  • What's new

  • What's changed?

  • What's removed

  • Migration considerations

What's new

This section highlights new features in Word 2010.

Fluent UI

The Word 2010 user interface is redesigned and now uses the Microsoft Office Fluent user interface (UI). Introduced in the 2007 Microsoft Office system, the Fluent UI is designed to make it easier for people to find and use the full range of features that Office applications provide, and to preserve an uncluttered workspace. For more information about the Fluent UI, see the resources in Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=111045).

The ribbon

The ribbon, part of the Fluent UI, was designed to optimize key Word 2010 documentation scenarios to make them easier to use. The ribbon provides quicker access to all the commands in Word 2010 and allows for easier future additions and customizations. You can also customize the ribbon. For example, you can create custom tabs and custom groups to contain frequently used commands. To help maximize the editing of your documentation space on the page, the ribbon can also be hidden while you write.

Backstage view

The Microsoft Office Backstage is part of the Fluent UI and a companion feature to the ribbon. The Backstage view, which can be accessed from the File menu, helps you find frequently used features for managing your Word documentation files. (The File tab replaces the Microsoft Office Button and File menu that were used in earlier release of Microsoft Office.) The Backstage view is used to manage files and the data about the files, such as creating and saving files, inspecting for hidden metadata or personal information, and setting file options.

File format

The Word 2010 file format enables new features such as co-authoring, new graphic and text effects, and new numbering formats. Word 2010 works with Office Word 2007 documents.

Protected View

Files from a potentially unsafe location (such as the Internet or an e-mail attachment) or files that contain active content (such as macros, data connections, or ActiveX controls) are validated and can open in Protected View. When you open files in Protected View mode, the editing functions are disabled. You can open and edit files from trusted sources by clicking Enable Editing. You can also explore data about the files in the Backstage view.

Collaboration and sharing features

Word 2010 supports co-authoring functionality. Co-authoring functionality simplifies collaboration by enabling multiple users to work productively on the same document without intruding on one another's work or locking one another out. Office 2010 offers co-authoring functionality for Word 2010, Microsoft PowerPoint 2010, and Microsoft OneNote 2010 documents on Microsoft SharePoint Server 2010. New co-authoring functionality is also supported for Microsoft Excel Web App and Microsoft OneNote Web App. When working with documents that are not located on a server that runs SharePoint Server 2010, Word 2010 only supports single-user editing. The changes are as follows:

  • New content is automatically highlighted.

  • Author information for any added or shared content is identified by a color-coded bar showing the author's initials.

  • Version support lets users see when and by whom changes were made to a document, and automatically highlights changes relative to earlier versions of the document.

  • Faster synchronization of pages so that changes are displayed to all authors in near real-time.

Document authoring and graphic enhancements

Word 2010 provides improved editing tools with a new set of Picture Tools that enable you to transform your documents into artistically engaging documents. New editing tools are as follows:

  • Picture Correction Options

  • Artistic Effect Options

  • Background Removal

  • Picture Layout Options

Top of page

What's changed?

This section summarizes the changes in Word 2010.

Custom XML markup from XML-based file formats

Word 2010 no longer reads the custom XML markup that may be contained within .DOCX, .DOCM, .DOTX, .DOTM or .XML files. Word 2010 can still open these files, but any customer XML markup is removed. For more details, please refer to KB #2445060

Cut, copy, and paste

Cut, copy, and paste is the most common way to move content between applications. Word 2010 can copy and paste content in many formats. Word 2010 has many options available at paste time through the Preview before you paste. Paste options include the following:

  • Keep Source Formatting

  • Merge Formatting

  • Use Destination Theme

  • Keep Text Only

Document map

The authoring experience is improved with new ways to navigate content by heading, page, or object. The document map is replaced by the navigation pane. Instead of the document map, users see a new navigation pane in its place. Users can see all the headings of a document, their relative positions, and the current location. With that available, moving between various headings is made by clicking parts of the pane. Outlines can be collapsed to hide nested headings, for long complex documents. Users can no longer see revision marks on headings within the map. Instead, users see the final result of the revisions within the pane.

The overall benefit of this change is a cleaner interface that matches the look of the ribbon. Users also have access to some new functionality as follows:

  • Manipulate the headings within the pane to rearrange the content in the document.

  • Integration with the Find feature, highlighting the headings with the find results.

The resizable pane consists of the following:

  • A text box for the new Find feature

  • A view switcher for changing view types

  • Buttons for skipping to the Next and Previous items

  • The main region, a list of navigable items, with scrolling when it is necessary

The pane is shown by default, but can be hidden through a toggle button at the top of the scroll bar, via the View tab, or the navigation control in Reading mode. The check box to access the navigation pane is the same as the former document map (only the name is changed).

Print preview

The Print preview experience and the Print dialog box have been combined into the Print Place through the Backstage view. This feature is consistent across all Office applications. It can be invoked through the object model for third-party developers to create add-ins for Word 2010. The workflow process is still the same by using CTRL+P or by selecting Print in the Backstage. The Print Preview Edit Mode was fully deprecated.

RTF file format

The RTF file format is no longer enhanced to include new features and functionality. Features and functionality that are new to Word 2010 and future versions of Word are lost when they are saved in RTF. In addition, Word 2010 supports a new converter interface based on Open XML Formats.

Smart tags

Text is no longer automatically recognized by a smart tag recognizer and will no longer display a purple dotted underline. Instead, users will be able to trigger recognition and view custom actions associated with text by selecting the text and clicking the Additional actions on the context menu. Once the user has moved the IP outside the current paragraph, the text tagging will be cleared for that paragraph. There are changes to the object model to reflect that text marked by a smart tag recognizer will not be stored in the document.

Views

In Word 2010, when you click the View tab, the options are as follows:

  • Print Layout

  • Full Screen Reading

  • Web Layout

  • Outline

  • Draft (Normal)

What's removed

This section provides information about removed features in Word 2010.

Person Name removal of smart tag

The Person Name (Outlook E-mail Contacts) smart tag will be removed and replaced with functionality that uses the Global Address List (GAL) through Microsoft Office Communicator. In Word the functionality will be replaced by the "additional actions" functionality described earlier in this article, but in Excel the functionality will be completely removed. The 2007 Office system will be the last version that supports this functionality.

AutoSummary

AutoSummary is the feature that lists the Title, Subject, Author, Keywords, and Comments. This feature was available from the Tools menu. In Word 2010, this feature is no longer used. If you insert an abstract into the document, that is not AutoSummary data and will remain. However, if the document was in a summary view when it is saved, it will not be after you open it.

Microsoft Office Document Imaging (MODI)

MODI provided a common document imaging and scanning solution for Office. It was also the basis of the Fax feature for Office. When MODI was installed, it was the default handler for .tif, .tiff, and .mdi files. In Office 2010, MODI is fully deprecated. This change also affects the setup tree, which no longer shows the MODI Help, OCR, or Indexing Service Filter nodes on the Tools menu. The Internet Fax feature in Office 2010 uses the Windows Fax printer driver to generate a fixed file format (TIF). MODI and all its components are deprecated for 64-bit Office 2010.

Research and Reference pane

The Research and Reference pane is removed from Windows Internet Explorer 7. Therefore, the shortcut ALT+Click in Microsoft Word 2010 no longer takes users to that pane. The Research and Reference feature brought up a research pane to search all Intranet sites and portals.

Mail Merge by using a Works database

Users cannot perform a mail merge in Microsoft Word 2010 or Microsoft Publisher 2010 by using a Microsoft Works database, because of a change in the object model. This primarily affects users who have configured a recurring mail merge that reads content from a Works database. We recommend that you use Works to export the data and then create a new data source for performing the mail merge operation.

Search Libraries button

The Search Libraries button is removed from the Insert Citations menu (on the References Tab).

WLL (Word Add-in Libraries)

WLL files are deprecated for 32-bit Office 2010 and are not supported in 64-bit Office 2010. A WLL is an add-in for Microsoft Word that you can build with any compiler that supports building DLLs.

Migration considerations

This section describes changes to consider when you migrate from Office Word 2007 to Word 2010.

Migrating Word files

The default file format has not changed in Microsoft Office 2010. The XML-based file format was introduced in the 2007 Microsoft Office system and continues to be used. For a review of the XML file format, see Overview of the XML file formats in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=182085).

When you open a document in Word 2010, it will open in one of three modes:

  • Word 2010

  • Word 2007 compatibility mode

  • Word 97-2003 compatibility mode

To determine which mode the document is in, check the document's title bar. If (Compatibility Mode) appears after the file name, the document is in either Word 2007 compatibility mode or Word 97-2003 compatibility mode. You can continue to work in compatibility mode or you can convert your document to the Word 2010 file format.

  1. Click the File tab.

  2. Perform one of the following:

    • To convert the document without saving a copy, click Info, and then click Convert.

    • To create a new copy of the document in Word 2010 mode, click Save As, type a new name for the document in the File name box, and then click Word Document in the Save as Type list.

  3. Click Info, and then click Convert.

Compatibility Checker

The Compatibility Checker lists elements in a document that are not supported or that will behave differently in Word 2007 or in Word 97-2003 format. Some of these features will be permanently changed and will not be converted to Word 2010 elements, even if you later convert the document to Word 2010 format.

Embedded Word 2010 objects

Open XML embedded objects can be converted to enable users on earlier versions of Word to be able to change them.

  1. Right-click the embedded object.

  2. Point to Document Object, and then click Convert.

  3. In the Convert dialog box, click Convert To.

  4. In the Object type list, select Microsoft Word 97-2003 Document.

Equations

If you save a document in Word 97-2003 format, equations will be converted to images that you cannot edit. However, if you later convert the document to Word 2010 file format and no changes have been made to the equation images in an earlier version, the equations will become text and you will be able to change them.

SmartArt graphics

When you save a document that contains a SmartArt graphics in Word 97-2003 format, the graphics will be converted to static images. You will be unable to change text inside a graphic, change its layout, or change its general appearance. If you later convert the document to Word 2010 format and no changes have been made to the images in an earlier version, the graphic will be changed back to a SmartArt object.

Migration considerations from Office 97-2003 to Office 2010

Many of the changes from Office 97-2003 to Office 2010 are no different from Office 97-2003 to the 2007 Office system.

For a list of migration considerations from Office 97-2003 to the 2007 Office system, see Migration considerations for Word 2007 (http://go.microsoft.com/fwlink/p/?LinkId=182089).

The following changes in Word 2010 might affect migration:

  • AutoText is being moved back to Normal.dotm to facilitate autocomplete. For users going from Office Word 2003 to Word 2010, we recommend that you move the document to %AppData%\Word\Startup, and then follow the steps to upgrade a document. Office Word 2007 users will find their autotext automatically moved.

  • AutoText gallery is now available in the Quick Parts gallery. Therefore, users no longer have to remember to move their autotext to the Quick Parts gallery.

  • Word will automatically migrate building blocks to Word 2010 when you first start the application. This is done by creating a copy of the existing building blocks file and putting it in a new directory, %AppData%\Document Building Block\{||cc}\14, and the striping the building blocks that were provided with Office Word 2007 from the file.

  • Similarly to Word 2007, Word 2010 gives you a new Normal.dotm on the first start. Your old normal file will be named normalold.dotm. If you want to restore your setting from Word 2007, right-click the file, and then click Open. Once in Word, you should use the Convert button in the Backstage view to convert the normal file to Word 2010 format.

VBA settings migration

In Office 2010, Visual Basic for Applications (VBA) 6.0 was updated to VBA 7.0. VBA 7.0 settings were reset to their defaults after migration instead of automatically repopulating. This occurred because the registry settings for VBA are in a different hive in Office 2010, as shown in the following table.

Version | Registry subkey
Office 2000 through Office 2007 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\6.0\Common
Office 2010 | HKEY_CURRENT_USER\SOFTWARE\Microsoft\VBA\7.0\Common

To correct this problem, copy the VBA 6.0 registry keys from the 6.0 hive to the 7.0 hive.

For more information, see User registry settings to migrate to Office 2010 and Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=185841).

Top of page

See Also

Concepts

Changes in Office 2010 (for IT pros)
System requirements for Office 2010

Other Resources

Co-authoring overview


Tools for Office 2010

Microsoft Office 2010 offers a variety of useful tools. The following table lists and describes those tools and provides links to appropriate resources for each.

Office 2010 Tools

Area Tool Description Resources

Hardware inventory / compatibility

Microsoft Assessment and Planning (MAP) Toolkit

The Microsoft Assessment and Planning (MAP) Toolkit is an inventory, assessment, and reporting tool that can securely run in small or large IT environments without requiring the installation of agent software on any computers or devices.

The MAP Toolkit performs a detailed analysis of hardware and device compatibility for migration to Microsoft Office 2010, Windows 7, and Windows Server 2008 R2. The hardware assessment examines the installed hardware and determines whether migration is recommended. If it is not recommended, the reports tell you why it is not.

In addition, this version of MAP has expanded its capabilities into assessment areas of Hyper-V server virtualization, desktop security, and Microsoft SQL Server 2008 R2 migration.

Microsoft Assessment and Planning (MAP) Toolkit for Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=152859)

TechNet - Solution Accelerators - Microsoft Assessment and Planning Toolkit (http://go.microsoft.com/fwlink/p/?LinkId=209196)

Download the Microsoft Assessment and Planning Toolkit (http://go.microsoft.com/fwlink/p/?LinkId=209200)

Software inventory

Microsoft Software Inventory Analyzer (MSIA)

The Microsoft Software Inventory Analyzer (MSIA) enables you to generate an inventory of core Microsoft products that are installed on a local computer, or throughout a network.

The MSIA is built specifically to be a starting point to work with Microsoft Software Asset Management. To that end, MSIA works with networks that have 250 computers or fewer, and locates only Microsoft software.

Microsoft Software Inventory Analyzer (http://go.microsoft.com/fwlink/p/?LinkId=152860)

Microsoft Software Asset Management (http://go.microsoft.com/fwlink/p/?LinkId=152861)

Office add-ins

Office Environment Assessment Tool

The Office Environment Assessment Tool (OEAT) helps an organization determine the kinds of add-ins and the extent to which add-ins for Microsoft Office applications are used on users' computers. OEAT collects and reports add-in information about Office 2010 and earlier versions to Microsoft Office 97.

Office Environment Assessment Tool (OEAT) user's guide for Office 2010

Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink/p/?linkid=171092)

Office add-ins

Microsoft Office Code Compatibility Inspector

The Microsoft Office Code Compatibility Inspector helps an enterprise or small business update Visual Basic for Applications (VBA) and Visual Studio Tools for Office code so that it is compatible with Office 2010. The Inspector does not correct code; it inspects code. It then comments specific lines of code that reference items in the object model that have changed in some way or have been deprecated.

Microsoft Office Code Compatibility Inspector user's guide

Office 2010 Tool: Compatibility Inspector (http://go.microsoft.com/fwlink/p/?LinkId=171093)

User settings

User State Migration Tool

The Windows User State Migration Tool (USMT) 4.0 enables you to migrate user files and settings during large deployments of Windows Vista and Windows 7 operating systems. USMT captures desktop and application settings, user accounts and users' files, and then migrates them to a new Windows installation.

One component of the USMT is ScanState. ScanState scans the source computer, collects the files and settings and creates a store. ScanState does not modify the source computer. By default, ScanState compresses the files and stores them as an image file (USMT4.mig).

Use the User State Migration Tool 4.0 to migrate to Office 2010

User State Migration Tool 4.0 User's Guide (http://go.microsoft.com/fwlink/p/?LinkId=152865)

File / document management

Office Migration Planning Manager (OMPM)

The Office Migration Planning Manager (OMPM) checks for, and reports on, file properties to help you analyze an environment and determine any issues that you might experience when you convert from Office 97-Office 2003 file formats to the file formats for the 2007 Office system and Microsoft Office 2010 systems.

OMPM for Office 2010 supports two new kinds of scanning: macro scanning and x64 migration scanning:

  • The macro scanner optionally scans any macros it encounters for migration concerns, reports any issues it finds in the database, and optionally inserts comments into the macros identifying the issue with links to possible resolutions.

  • The x64 migration scanner scans macros, ActiveX controls, and other COM objects (such as add-ins) in Office files for incompatibilities (for example, declaring 4-byte pointers instead of 8-byte pointers).

Office Migration Planning Manager (OMPM) for Office 2010

Office 2010 Tool: Office Migration Planning Manager (OMPM) (http://go.microsoft.com/fwlink/p/?LinkId=199599)

Security

Microsoft Security Assessment Tool 4.0

Microsoft Security Assessment Tool (MSAT) 4.0 consists of more than 200 questions that cover infrastructure, applications, operations, and people. The questions, associated answers, and recommendations are derived from generally accepted best practices, standards such as ISO 17799 and NIST-800.x, and recommendations and prescriptive guidance from the Microsoft Trustworthy Computing Group and other external security sources.

Microsoft Security Assessment Tool (http://go.microsoft.com/fwlink/p/?LinkId=152866)

Management

System Center Configuration Manager

Microsoft System Center Configuration Manager 2007 can assess, deploy, and update servers, client computers, and devices — across physical, virtual, distributed, and mobile environments.

Client status reporting in System Center Configuration Manager 2007 R2 provides up-to-date information about the manageability of client computers in a System Center Configuration Manager 2007 hierarchy. A site administrator can use this information to determine individual client problems and to maintain a more accurate site database. The information can also help increase software distribution success rates.

System Center Configuration Manager TechCenter (http://go.microsoft.com/fwlink/p/?LinkId=152867)

Licensing

Microsoft Volume Licensing Service Center (VLSC)

The VLSC provides many online reporting services and tools that you can use to track and manage your existing Microsoft software assets.

Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=152868)

Volume activation

Volume Activation Management Tool (VAMT) 2.0

VAMT 2.0 lets you easily manage Windows and Office 2010 client products that have volume license keys installed. You can specify a group of products to activate by using Active Directory Domain Services (AD DS), workgroup names, IP addresses, computer names, or a generic LDAP query. Only VAMT 2.0 and later versions support Office 2010 in addition to Windows.

Volume Activation Management Tool (http://go.microsoft.com/fwlink/p/?LinkId=183042)

Deployment

Microsoft Deployment Toolkit (MDT) 2010 Update 1

MDT 2010 Update 1 is the newest version of MDT, a solution accelerator for operating system and application deployment. MDT is the recommended process and tool set for automating Windows 7 and Office 2010 deployments.

MDT 2010 Update 1 supports Office 2010 and easily exposes the Office customization options including Office Customization Tool (OCT) and Config.xml.

Microsoft Deployment Toolkit (MDT) 2010 Update 1 (http://go.microsoft.com/fwlink/p/?LinkId=159061)

Configurations

Group Policy Management Console (GPMC)

The Group Policy Management Console (GPMC) is the UI console that you can use to author and manage domain-based Group Policy objects (GPOs). The GPMC displays linking, permissions, and security filtering information that are relevant to a GPO. It also generates settings reports on a GPO in either HTML or XML format.

Group Policy Management Console Technical Reference (http://go.microsoft.com/fwlink/p/?LinkId=152869)

Deployment

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool

This tool includes an \Admin folder that contains the Office Customization Tool (OCT) and OCT files, and ADMX and ADML versions of the Office 2010 Administrative Template files for Windows Vista, Windows 7, Windows Server 2008, or earlier versions of Windows.

Also available is an updated Microsoft Excel 2010 workbook, which provides the latest information and settings for both Group Policy and OCT.

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (downloads)(http://go.microsoft.com/fwlink/p/?LinkId=189316)

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool

Configurations

Office Customization Tool (OCT)

OCT is part of the Setup program and enables you to maintain a standard set of customizations for deployment including Setup (install, licensing, and so on), Features (control locally installed components), additional content (add/remove files and registry keys), and Outlook configuration. See View Office Customization Tool output in Office 2010 for a sample Microsoft Visual Basic script that administrators can use to view the settings that are stored in OCT .msp files.

Note:

OCT is available only with volume license editions of Office 2010 and the 2007 Microsoft Office system.

Office Customization Tool in Office 2010

Office Customization Tool Settings Reference (http://go.microsoft.com/fwlink/p/?LinkId=189316)

View Office Customization Tool output in Office 2010

Help

Microsoft Desktop Deployment Planning Services (DDPS)

Microsoft Desktop Deployment Planning Services (DDPS) offers customers 1 to 15 days of deployment planning services, depending on how much Microsoft Software Assurance they purchase for Office software. Customers work with consultants to develop a high-level desktop deployment plan for their environments and to assess the overall cost of upgrading to the latest versions of Windows and Office.

DDPS includes an option for completing a desktop proof-of-concept that features Office 2010 and Windows 7.

Desktop Deployment Planning Services (http://go.microsoft.com/fwlink/p/?LinkId=201935)

Software Assurance for Volume Licensing (http://go.microsoft.com/fwlink/p/?LinkId=152871)

Building a Technical Proof of Concept for the Joint Deployment of Windows 7 and Microsoft Office 2010(http://go.microsoft.com/fwlink/p/?LinkId=201937)

Operations

Fix it Solutions

Fix it Solutions let you fully uninstall Microsoft Office 2003, 2007 Microsoft Office system, and Office 2010 suites without damaging other Windows components.

To use Fix it Solutions, see Microsoft Knowledge Base article 290301: How do I uninstall Office 2003, Office 2007 or Office 2010 suites if I cannot uninstall it from Control Panel? (http://go.microsoft.com/fwlink/p/?LinkId=201860)

Operations

The Microsoft Service Pack Uninstall Tool for the 2007 Microsoft Office Suite

The Microsoft Service Pack Uninstall Tool for the 2007 Microsoft Office Suite allows administrators and advanced users to remove the 2007 Office Suite SP2 client updates without uninstalling the whole product.

The Microsoft Service Pack Uninstall Tool for the 2007 Microsoft Office Suite (http://go.microsoft.com/fwlink/p/?LinkId=144518)


Changes introduced in the 2007 Office system

Published: May 12, 2010

This section provides a summary of changes in the 2007 Microsoft Office system for IT administrators who might not be familiar with that version of the product. The 2007 Office system introduced features and improvements that help IT administrators configure, deploy, and maintain their Office installations. These features provided benefits that let administrators work more efficiently and help reduce administrative costs.

In this section:

Article | Description
Setup changes introduced in the 2007 Office system | Provides a summary of the Setup changes that were introduced in the 2007 Office system. This includes changes in Setup architecture, language architecture, and customization model.
Product and feature changes introduced in the 2007 Office system | Provides a summary of the product and feature changes that were introduced in the 2007 Office system. This includes changes in file format, security, and user interface, and object model.


Setup changes introduced in the 2007 Office system

The Setup changes that were introduced in the 2007 Microsoft Office system are summarized in this article.

In this article:

  • Setup architecture

  • Language-neutral architecture

  • Customization model

Setup architecture

The Setup program for the 2007 Office system was redesigned to support a more efficient installation process. Most of the tools and procedures were new but the overall objective was the same as it was for any previous deployment of Office: to install the correct configuration on users' computers as efficiently as possible.

In the 2007 Office system release, much of the complexity of this process was absorbed by the new Setup program. Setup handles the most difficult parts for you behind the scenes, and the steps that you take to customize and distribute the product are simpler than in any earlier version. This information also applies to the Office 2010 release of the product because the basic Setup architecture has not changed in this release.

Setup features comparison

The following table compares Setup features that were introduced in the 2007 Office system release to their closest counterparts in previous versions (Microsoft Office 2000, Office XP, and Office 2003). This information also applies to Office 2010.

Previous version | 2007 Office system and Office 2010 release | Function
Windows Installer (Msiexec.exe) | Setup program (Setup.exe) | Installation program
Administrative installation point | Local installation source (LIS) | Location of stored program files
One MSI file per product | Multiple MSI files per product | Windows Installer files
Core English version plus MUI Pack | Language-neutral architecture | Deploy multiple languages at the same time
Setup.ini file | Config.xml file | Customize installation file
Setup command line | Config.xml file | Customize installation file
Custom Installation Wizard | Office Customization Tool (OCT) | Customize installation of products
Custom Maintenance Wizard | Office Customization Tool | Customize installation of products
Office Profile Wizard | Group Policy settings | Group Policy Management Console (GPMC) and Group Policy Object Editor Microsoft Management Console (MMC) snap-ins are used to manage policy settings

Setup files

In versions of Office earlier than the 2007 Office system, each product consisted of a single Windows Installer package (MSI file). The chief role of Setup.exe was to call Windows Installer (Msiexec.exe) to install the package. Because Setup passed its command line to Windows Installer, it was possible to manage the installation process by setting Windows Installer properties on the command line.

Starting with the 2007 Office system release, a single Office product consists of multiple MSI files. This is the same in the Office 2010 release of the product as the basic Setup architecture has not changed in this release. Setup — not Windows Installer — combines the language-neutral core product package with one or more language-specific packages to create a complete product. No individual MSI file represents a product that anyone can install or use, and Setup is required to assemble the correct set of MSI files and to coordinate the installation process from start to finish.

The Office product that you install is defined in the XML files on the installation point. Setup reads data in these XML files, assembles the required set of MSI files for the product, copies all the necessary files to the local installation source, and only then calls Windows Installer to complete the installation process.

Note:

You cannot use the Windows Installer command line (Msiexec.exe) to install any product in the 2007 Office system release or in Office 2010, nor can you set Windows Installer properties on the Setup command line. However, you can use the new deployment tools to customize all aspects of the installation process, exactly as you did in previous versions. For more information, see Setup architecture overview for Office 2010.

Language-neutral architecture

If you installed previous versions of Office in an international setting, you first installed the core English version and then deployed one or more Multilingual User Interface (MUI) Packs to provide additional language versions to users. You may have used the Custom Installation Wizard to configure the MUI Pack, and then edited the Setup.ini file to chain the MUI Pack installation to the primary English installation.

The language-neutral architecture that was introduced in the 2007 Office system eliminates the need to chain language packs and condenses the process to a single installation. This also applies to Office 2010 as the language architecture has not changed in this release. After you create your initial network installation point (which always includes a core product), you copy all the additional language folders that you need to the same location. These language folders contain the language-specific packages, or building blocks, that Setup combines with the core product to create a complete product in any language (including English). After you create a network installation point with multiple languages, you can enable Setup to manage the process of assembling the correct language version for each user automatically from the available language options.

When users run Setup for a particular Office product, Setup detects that there is more than one language available and automatically combines the core package with the language that matches the user locale, which is set in Windows. Only one language version is copied to the local installation source; only one product appears in Add or Remove Programs in Control Panel. Without additional steps on your part, other than dragging language folders to the network installation point, you ensure that users in New York get the English language version, users in Tokyo get the Japanese language version, users in Paris get the French language version, and so on.

Customizing a multi-language installation is similarly streamlined. You create only one customization file per product, regardless of the number of languages that you are deploying. Most configuration options apply to the core product. The minority of language-specific customizations — for example, the feature installation state for the Japanese Input Method Editor (IME) — are applied where appropriate and otherwise ignored.

Note:

When you customize the installation, you can specify that Setup install more than one language on users' computers or that Setup install a particular language regardless of the user locale setting. For more information about the new multi-language architecture, see "Language-neutral design" in Setup architecture overview for Office 2010.

Customization model

In versions of Office products earlier than the 2007 Office system, several tools were required to customize Setup and to manage Office after installation. However, the 2007 Office system introduced a consistent, streamlined customization model. You can use one of several methods to customize the installation, although the best method depends on what you are customizing and whether you want users to be able to change the default configuration. This also applies to Office 2010 as the customization model has not changed in this release.

Choosing a customization tool

The following table summarizes the customization methods introduced in the 2007 Office system and describes the recommended or required scenarios for each method. This also applies to Office 2010.

Tool or method Scenarios Results

Use the Office Customization Tool to create a Setup customization file (.msp file).

Recommended for most customizations, including:

  • Accepting License Terms and entering a volume license key

  • Running Setup without user interaction

  • Customizing features and user settings

  • Distributing an Outlook profile

Setup installs a default configuration on all computers to which this .msp file is applied.

Users can modify most settings after the installation.

Edit the Config.xml file.

Required for the following customizations:

  • Specifying the path of the network installation point

  • Specifying languages to install

  • Pointing Setup to a custom Config.xml or Setup customization file

  • Copying the local installation source to the user's computer without installing Office

  • Chaining additional products to the primary installation

Setup installs the specified products and languages on all computers installed with this Config.xml file.

Settings specified in Config.xml take precedence over duplicate settings in the Setup customization file.

Add options or properties to the Setup command line.

Available for only the following customizations:

  • Pointing Setup to a custom Config.xml or Setup customization file

  • Modifying an existing installation

  • Repairing the product

  • Uninstalling the product

Setup applies your customizations when it first installs Office or when it runs in maintenance mode.

You cannot set Windows Installer properties on the command line.

Use the Group Policy Object Editor Microsoft Management Console (MMC) snap-in to specify policy settings.

Used to configure highly restricted or lightly managed configurations for user and computer settings.

Administrators use Group Policy to define configurations once and then rely on the operating system to enforce that state.

Group Policy for computers is applied at computer startup and Group Policy for users is applied when users log on. Group Policy is also applied subsequently in the background periodically.


Product and feature changes introduced in the 2007 Office system

Several product and feature changes were introduced in the 2007 Microsoft Office system. This article summarizes them.

In this article:

  • File format

  • Security

  • User interface

  • Object model

  • Access 2007

  • Excel 2007

  • Outlook 2007

  • Word 2007, PowerPoint 2007, and OneNote 2007

File format

The 2007 Office system release introduced a default file format for Office Word 2007, Office Excel 2007, and Office PowerPoint 2007. The default format was changed to XML in response to customer requests. XML format provides the following benefits:

  • Enables more rapid document creation from different data sources

  • Enables easier data mining and content reuse

  • Reduces the size of Word, Excel, and PowerPoint files

  • Improves data recovery in corrupted files

Service Pack 2 (SP2) for the 2007 Office system also added support for the following:

  • OpenDocument Format (ODF). SP2 lets you open, edit, and save documents in version 1.1 of the ODF for Word, for Excel, and for PowerPoint. Users of these Office programs can now open, edit, and save files in the OpenDocument Text (*.odt), OpenDocument Spreadsheet (*.ods), and OpenDocument Presentations (*.odp) formats.

    Group Policy settings and Office Customization Tool (OCT) settings were added for managing OpenDocument Format and Open XML Formats in the 2007 Office system. For more information, see Group Policy and Office Customization Tool settings that address OpenDocument Format and Open XML Formats in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=158303).

  • Extensible File Formats: Word, Excel, and PowerPoint now include a converter interface that lets you plug third-party custom file formats into these Office programs. A developer can create a converter for files of a particular extension. When this converter is installed on a user's computer, the custom file format effectively behaves like a built-in file format. Specifically, users can open files of this format and save them by using the Open or Save UI. They can even set the custom format as their default file format.

  • Built-in Save As PDF/XPS support was also added in SP2. PDF/XPS support is built into SP2 for Word, for Excel, and for PowerPoint. Users no longer have to download the add-in separately.

For more information about the file format changes that were introduced in the 2007 Office system, see File format reference for the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=155218).

Security

The Trust Center was introduced in the 2007 Office system, and hosts all security settings for Office applications in one location. The Trust Center also provides a document menu bar that replaces the security prompts when a file opens. By default, potentially dangerous content is blocked in the file without prompting. Therefore, there are no security decisions when the file opens. If content is blocked, the document menu bar appears and informs the user. Clicking the document menu bar displays a dialog box that has the disabled content and the options to enable or disable the content.

The Trust Center also has new security settings (previously Low, Medium, High, and Very High) that are more descriptive and provide more flexibility.

To learn about security features that were introduced in the 2007 Office system, see the resources in the Security and protection for the 2007 Office release (http://go.microsoft.com/fwlink/p/?LinkId=155221) section.

User interface

Office Word 2007, Office Excel 2007, Office Access 2007, Office PowerPoint 2007, and Office Outlook 2007 introduced a new ribbon interface (Microsoft Office Fluent user interface) instead of the menu bar in previous versions. The ribbon is an area across the top of the screen that is divided into tabs. Commands are organized within each tab. This change greatly improves the user's ability to use and find features in the 2007 Office system.

Most commands continue to work as before. There is minimal need to edit macros or application code due to the new ribbon interface.

For more information about the Microsoft Office Fluent user interface introduced in the 2007 Office system, see the Microsoft Office Fluent User Interface Resource Center (http://go.microsoft.com/fwlink/p/?linkid=111045). In Office 2010, additional applications add the fluent UI.

Object model

Because of improvements introduced in the 2007 Office system, there are differences in the object model. Because of these changes, you should test all applications to ensure they are compatible with the 2007 Office system. Some features of the object model were added, changed, or removed. In some instances, the functionality might still be available, but might be removed in future versions of Office. For more information about object model changes in 2007 Office system, see Differences in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=155230).

Access 2007

Office Access 2007 introduced a new file format. Whereas versions of Access earlier than Office Access 2007 used the MDB format, Office Access 2007 saves files in the new ACCDB format. One key feature of the ACCDB format is the ability to store complex data. Storing complex data requires the presence of a new system table, MSysFlattenedMapping, plus a series of built-in schema tables. The MSysFlattenedMapping table and the built-in schema tables are automatically created when a new ACCDB file is created.

Excel 2007

In addition to the new user interface and file format changes, Office Excel 2007 introduced major changes in the following areas:

  • Grid size. The grid size for Office Excel 2007 worksheets was greatly expanded to 1,000,000 rows by 16,000 columns (compared to 65,536 rows by 256 columns in Office Excel 2003). This change could result in Range Names that conflict with the new references, and can also affect the ability to save a worksheet to an earlier version.

  • Formulas and functions. The Analysis ToolPak was integrated into Office Excel 2007 to improve the installation process. This required that calls to Analysis ToolPak functions are changed so that the syntax is the same as the syntax used for built-in functions. Also, some integrated functions might conflict with user-defined functions. Changes to statistical functions provide more precision. By using multi-threaded calculation, Office Excel 2007 provides increased performance when it runs on computers that have more than one logical processor.

  • Charting. Charts created in Office PowerPoint 2007 or Office Word 2007 (not in compatibility mode) are native charts, not Microsoft Graph OLE objects. The data for a Graph in PowerPoint or Word is now in Office Excel 2007, instead of in the Graph datasheet. Macros written to use the Microsoft Graph object model must be changed. Existing macros continue to work in Office Excel 2007, but charts should transition to the new object model.

Outlook 2007

Office Outlook 2007 introduced improvements in the Calendar, Tasks, and other features. One of the biggest changes was that instead of using the Exchange Security Form (ESF), a custom form for administering Office Outlook 2007 security options when you are connected to a Microsoft Exchange Server mailbox, you use Group Policy. This changes the method that you use to lock down Office Outlook 2007 in a network environment. Some situations still require use of the ESF, because of Group Policy restrictions. For example, hosted Exchange situations still require using the ESF to lock down Office Outlook 2007.

Word 2007, PowerPoint 2007, and OneNote 2007

Office Word 2007, Office PowerPoint 2007, and Office OneNote 2007 introduced changes as follows.

  • Word changes included: new XML file formats; new user interface, graphics, and formatting capabilities; improved proofing tools; new sharing and collaboration features; new security features; and improved troubleshooting and recovery features.

  • PowerPoint changes included: new XML file formats; new user interface, graphics, and formatting capabilities; improved proofing tools; new sharing and collaboration features; new security features; and improved troubleshooting and recovery features.

  • OneNote changes included: Deleted Pages feature was removed; Show Ink Groups feature on the Tools menu was removed; and the title area in Microsoft Office OneNote 2007 was removed

For more information about feature changes that were introduced in the 2007 Office system, see Differences in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkID=155230).


Technical diagrams for Office 2010

The following technical diagrams are visual representations of recommended solutions. They include poster-sized documents, each of which is available in three different file formats: Microsoft Office Visio 2007/Visio 2010 (.vsd), PDF, and XPS. You might need extra software to view these files. See the following table for information about opening these files.

File type Software

.vsd

Visio 2010, Office Visio 2007, or the free Visio viewer (http://go.microsoft.com/fwlink/p/?LinkId=118761&clcid=0x409)

To use the Visio viewer:

  • Right-click the VSD link.

  • Click Save Target As.

  • Save the file to your computer.

  • Open the file from your computer.

.pdf

Any PDF viewer, such as Adobe Reader (http://go.microsoft.com/fwlink/p/?LinkId=134751&clcid=0x409)

.xps

Windows 7, Windows Vista, Windows XP with .NET Framework 3.0, or XPS Essentials Pack (http://go.microsoft.com/fwlink/p/?LinkId=134750&clcid=0x409)

Models

Models are 34-by-44-inch posters that provide detail about a specific technical area. These models are intended to be used with corresponding articles on TechNet. These models are created by using Microsoft Visio 2010 or Office Visio 2007. You can modify the Visio files to illustrate how you plan to incorporate Microsoft Office 2010 in your own environment.

Title | Description
Deployment Options for Microsoft Office 2010 Deployment Options for Office 2010 - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168621) | Describes and illustrates the client deployment methods for Office 2010. Deployment options include network share, Group Policy startup scripts, managed deployment, and virtualization. Use this model with the following article: Choose an option for deploying Office 2010.
Deploy Multilanguage Packs for Microsoft Office 2010 Deploy Multilanguage Packs for Office 2010 - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168622) | Describes and illustrates how to deploy multilanguage packs for Office 2010. Elements include evaluation criteria, planning considerations, and deployment tasks. Use this model with the following article: Plan for multilanguage and Proofing Tools deployment for Office 2010.
64-bit Client Installation of Microsoft Office 2010 64-bit Client Installation of Office 2010 - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168620) | Describes and illustrates the 64-bit client installation of Office 2010. Elements include setup overview, processes, requirements, deployment considerations, and supported scenarios. Use this model with the following article: 64-bit editions of Office 2010.
Virtualization Overview - Architecture Virtualization Overview - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168624) | Describes and illustrates the architectural overview of virtualization technology and the different models that are possible. Use this model with the following article: Plan for virtualization for Office 2010.
Application Virtualization - Delivery Methods Virtualization - Delivery Methods - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168624) | Describes and illustrates delivery methods of virtualization, focused on sequencing. Use this model with the following article: Plan for virtualization for Office 2010.
Application Virtualization for the Mobile User Virtualization - Stand-alone Architecture - Model Download (http://go.microsoft.com/fwlink/p/?LinkID=168624) | Describes and illustrates stand-alone delivery method of virtualized applications for mobile users. Use this model with the following article: Plan for virtualization for Office 2010.
Volume Activation of Microsoft Office 2010 Volume Activation of Microsoft Office 2010 Model Download (http://go.microsoft.com/fwlink/p/?LinkID=188811) | Describes the volume activation methods for Office 2010 and illustrates typical network scenarios. Use this model with the following article: Plan volume activation of Office 2010.
Preparing Users for an Office 2010 Deployment Thumbnail sketch: Office 2010: Preparing End Users Download (http://go.microsoft.com/dwlink/?LinkID=225243) | Illustrates methods for preparing users for an Office 2010 deployment.

If you want to create posters that use the same symbols that are used in these posters, download Visio shapes for posters (go.microsoft.com/fwlink?/p/LinkID=226664).


Help and support for Office 2010

There are several support options for the Microsoft Office 2010 suites. This article describes some of the options that are available.

In this article:

  • Support options in the Backstage

  • Other support options

Support options in the Backstage

The Microsoft Office Backstage is new feature within the Fluent user interface (UI) throughout the Office 2010 suites. The Backstage view provides the following options for finding help:

  • Getting Started Links to the Getting Started Web site, which helps users quickly learn Office 2010 applications.

  • Contact Us A link to connect users to the Microsoft Help and Support Web Pages where you can find Product Solution Centers and Customer Service Solution Centers.

Other support options

Outside of the Backstage, you can still find help as it was in the previous versions. Other support options include the following:

  • F1 The standard help Function key still brings up the Microsoft Help and How-To within each product in the Office 2010 suites. This command can be easily added to the Quick Access Toolbar for quick reference.

  • Microsoft Download Center You can download help and product updates from the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=162268).

  • Office 2010 Resource Centers You can find information for IT administrators about Office 2010 on the Office 2010 resources page (http://go.microsoft.com/fwlink/p/?LinkId=167841). Specific resources include Evaluate and Get Started, Plan the Deployment, Configure and Deploy, Application Compatibility, Migration and Upgrade, Volume Activation and Licensing, Feature Changes, and System Requirements.


Assessing the compatibility of Office 2010

Some of the tools and methods that can help you assess your current environment in preparation for the deployment of Microsoft Office 2010 are covered in the following articles.

Article | Description
System requirements for Office 2010 | Describes the system requirements for the products in the Microsoft Office 2010 suites.
Assessment tools for Office 2010 | Describes some of the tools that are available to help complete the assessment step in the planning process for deploying Office 2010.
Application compatibility for Office 2010 | Provides the primary resources for Office 2010 application compatibility information and includes links to the new application compatibility tools and documentation.
Document compatibility for Office 2010 | Provides the primary resources for Office 2010 document compatibility information and includes links to the new document compatibility tools and documentation, such as the Office Migration Planning Manager (OMPM).
Assess how Outlook 2010 works with different versions of Exchange Server | Provides information about how Microsoft Outlook 2010 works with a variety of e-mail servers, and how you can take advantage of an even richer feature set by using Outlook 2010 with Microsoft Exchange Server 2010.
64-bit editions of Office 2010 | Provides information about 64-bit versions of Office 2010 products, including supported scenarios, deployment considerations, and an overview of the Setup process.


System requirements for Office 2010

Updated: February 19, 2013

If you are upgrading from earlier versions of Microsoft Office to Microsoft Office 2010, review the current system requirements.

A hardware upgrade should not be necessary when you upgrade to Office 2010 from Office 2003 or the 2007 Microsoft Office system. However, you might have to upgrade to a supported operating system. If you upgrade to Office 2010 from Office 2000 or Office XP, you must ensure that the hardware and operating system meet the minimum system requirements for the Office 2010 suites.

In this article:

  • Overview

  • Microsoft Office Professional and Professional Academic 2010

  • Microsoft Office Professional Plus 2010

  • Microsoft Office Standard 2010

  • Microsoft Office Home and Student 2010

  • Microsoft Office Home and Business 2010

  • Microsoft Access 2010

  • Microsoft Excel 2010

  • Microsoft InfoPath 2010

  • Microsoft OneNote 2010

  • Microsoft Outlook 2010

  • Microsoft PowerPoint 2010

  • Microsoft Project Professional 2010

  • Microsoft Publisher 2010

  • Microsoft SharePoint Workspace 2010

  • Microsoft Visio 2010 (Premium, Professional, Standard)

  • Microsoft Word 2010

Overview

From the outset, a key design criterion for Office 2010 was to minimize the need for additional system resources. A comparison of the system requirements for recent Office versions is shown in the following table.

Component | Office 2003 | Office 2007 | Office 2010
Computer and processor | 233 MHz | 500 MHz | 500 MHz
Memory (RAM) | 128 MB | 256 MB | 256 MB
Hard disk | 400 MB | 2 GB | 3 GB
Display | 800 × 600 | 1024 × 768 | 1024 × 576*

*All display requirements for Office 2010 are designed to allow for good performance on both portable and desktop computers.

Processor and RAM requirements for Office 2010 are the same as for the 2007 Office system. Therefore, if your computer meets the 2007 Office system requirements, you can run Office 2010.

The recommended hard disk space has increased with Office 2010 because of new features, Microsoft Office-wide ribbon implementation, and in some cases different applications that are included in the Office suites. For example, Microsoft Office Professional 2010 includes OneNote, whereas Microsoft Office Professional 2007 did not. Also, the system requirements are rounded up to the nearest 0.5 GB to be conservative. For example, if we measure an application's required hard disk space to be 1.99 GB, our recommendation will be 2.5 GB. Our hard disk system requirements are intentionally larger than the actual disk space usage of the software.

A graphics processor will help increase the performance of certain features, such as drawing charts in Microsoft Excel 2010 or transitions, animations, and video integration in Microsoft PowerPoint 2010. Use of a graphics processor with Office 2010 requires a Microsoft DirectX 9.0c compliant graphics processor with 64-MB video memory. These processors were widely available in 2007, and most computers available today include a graphics processor that meets or exceeds this standard. However, if you or your users do not have a graphics processor, you can still run Office 2010.

When you choose the product suite or individual program to deploy in the environment, evaluate the computer before deployment to ensure it meets the minimum operating system requirements.

Microsoft Office Professional and Professional Academic 2010

The following table lists the system requirements for Microsoft Office Professional Plus 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher; 1 gigahertz (GHz) required for Microsoft Outlook with Business Contact Manager.

Memory

256 megabytes (MB) of RAM or higher; 512 MB recommended for graphics features, Microsoft Outlook Instant Search, Microsoft Outlook with Business Contact Manager, Communicator, and certain advanced functionality.

Hard disk

3.5 gigabyte (GB) available disk space.

Display

1024 × 768 or higher-resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Additional

Requirements and product functionality can vary based on the system configuration and operating system.

Other

  • Certain inking features require running Windows XP Tablet PC edition, Windows Vista, or Windows 7. Speech recognition functionality requires a close-talk microphone and audio output device.

  • Connectivity to Microsoft Exchange 2000 Server, Microsoft Exchange Server 2003, Microsoft Exchange Server 2007, or Microsoft Exchange Server 2010 is required for certain advanced functionality in Office Outlook 2007. Instant Search requires Windows Desktop Search 3.0. Dynamic Calendars require server connectivity.

  • Graphics hardware acceleration requires a DirectX 9.0c graphics card with 64-MB or greater video memory.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • 512 MB of RAM or higher recommended for Microsoft Outlook Instant Search. Grammar and contextual spelling in Word 2010 is not turned on unless the computer has 1 GB of memory.

  • Microsoft Silverlight plug-in. See Get started with Microsoft Silverlight (http://go.microsoft.com/fwlink/p/?LinkID=169372).

Microsoft Office Professional Plus 2010

The following table lists the system requirements for Microsoft Office Professional Plus 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or later versions; 1 gigahertz (GHz) required for Microsoft Outlook with Business Contact Manager.

Memory

256 megabytes (MB) of RAM or higher; 512 MB recommended for graphics features, Microsoft Outlook Instant Search, Microsoft Outlook with Business Contact Manager, Communicator, and certain advanced functionality.

Hard disk

3.5 gigabyte (GB) available disk space.

Display

1024 × 768 or higher-resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Additional

Requirements and product functionality can vary based on the system configuration and operating system.

Other

  • Certain inking features require running Windows XP Tablet PC edition, Windows Vista, or Windows 7. Speech recognition functionality requires a close-talk microphone and audio output device.

  • Connectivity to Microsoft Exchange 2000 Server, Microsoft Exchange Server 2003, Microsoft Exchange Server 2007, or Microsoft Exchange Server 2010 is required for certain advanced functionality in Office Outlook 2007. Instant Search requires Windows Desktop Search 3.0. Dynamic Calendars require server connectivity.

  • Graphics hardware acceleration requires a DirectX 9.0c graphics card with 64-MB or greater video memory.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • 512 MB of RAM or higher recommended for Microsoft Outlook Instant Search. Grammar and contextual spelling in Word 2010 is not turned on unless the computer has 1 GB memory.

  • Microsoft Silverlight plug-in. See Get started with Microsoft Silverlight (http://go.microsoft.com/fwlink/p/?LinkID=169372).

Microsoft Office Standard 2010

The following table lists the system requirements for Microsoft Office Standard 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor; 1 gigahertz (GHz) required for Outlook with Business Contact Manager.

Memory

256 megabytes (MB) of RAM or higher; 512 MB recommended for graphics features, Microsoft Outlook Instant Search, Microsoft Outlook with Business Contact Manager, Communicator, and certain advanced functionality.

Hard disk

3 gigabyte (GB) available disk space.

Display

1024 × 768 or higher-resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Additional

Requirements and product functionality can vary based on the system configuration and operating system.

Other

  • Certain Microsoft OneNote features require Windows Desktop Search 3.0, Windows Media Player 9, Microsoft ActiveSync 4.1, microphone, audio output device, video recording device, TWAIN-compatible digital camera, or scanner; sharing notebooks requires users to be on the same network.

  • Certain advanced functionality requires connectivity to Microsoft Exchange Server 2003, Microsoft SharePoint Server 2010, or Microsoft SharePoint Foundation 2010.

  • Certain features require Windows Search 4.0.

  • Graphics hardware acceleration requires a DirectX 9.0c graphics card with 64-MB or higher video memory.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply). Internet Explorer 7 or Internet Explorer 8 is required to receive broadcast presentations.

Microsoft Office Home and Student 2010

The following table lists the system requirements for Microsoft Office Professional Plus 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) of RAM or higher; 512 MB recommended for graphics features, Microsoft Outlook Instant Search, Microsoft Outlook with Business Contact Manager, Communicator, and certain advanced functionality.

Hard disk

3 gigabyte (GB) available disk space.

Display

1024 × 576 or higher-resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Additional

Requirements and product functionality can vary based on the system configuration and operating system.

Other

  • Certain advanced functionality requires connectivity to Microsoft Exchange Server 2007, Microsoft SharePoint Server 2010, Microsoft Office Communications Server 2007, or Microsoft SharePoint Foundation 2010.

  • Certain Microsoft OneNote features require Windows Desktop Search 3.0, Windows Media Player 9, Microsoft ActiveSync 4.1, microphone, audio output device, video recording device, TWAIN-compatible digital camera, or scanner; sharing notebooks requires users to be on the same network.

  • Send to Microsoft OneNote Print Driver and Integration with Business Connectivity Services requires Microsoft .NET Framework 3.5 or Windows XPS features.

  • Certain features require Windows Search 4.0.

  • Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires an Internet connection.

  • 512 MB of RAM or higher recommended for Microsoft Outlook Instant Search. Grammar and contextual spelling in Word 2010 is not turned on unless the computer has 1 GB memory.

  • Microsoft Silverlight plug-in. See Get started with Microsoft Silverlight (http://go.microsoft.com/fwlink/p/?LinkID=169372).

Microsoft Office Home and Business 2010

The following table lists the system requirements for Microsoft Office Professional Plus 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) of RAM; 512 MB recommended for graphics features, Microsoft Outlook Instant Search, and certain advanced functionality.

Hard disk

3 gigabyte (GB) available disk space.

Display

1024 × 576 or higher-resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Additional

Requirements and product functionality can vary based on the system configuration and operating system.

Other

  • Certain advanced functionality that is required connectivity to Microsoft Exchange Server 2007, Microsoft SharePoint Server 2010, Microsoft Office Communications Server 2007, or Microsoft SharePoint Foundation 2010.

  • Certain Microsoft OneNote features require Windows Desktop Search 3.0, Windows Media Player 9, Microsoft ActiveSync 4.1, microphone, audio output device, video recording device, TWAIN-compatible digital camera, or scanner; sharing notebooks requires users to be on the same network.

  • Send to Microsoft OneNote Print Driver and Integration with Business Connectivity Services requires Microsoft .NET Framework 3.5 or Windows XPS features.

  • Graphics hardware acceleration requires a DirectX 9.0c graphics card with 64-MB or higher video memory.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet Explorer 7 or Internet Explorer 8 required to receive broadcast presentations. Internet functionality requires an Internet connection.

  • 512 MB of RAM or higher recommended for Microsoft Outlook Instant Search. Grammar and contextual spelling in Word 2010 is not turned on unless the computer has 1 GB memory.

  • Microsoft Silverlight plug-in. See Get started with Microsoft Silverlight (http://go.microsoft.com/fwlink/p/?LinkID=169372).

Microsoft Access 2010

The following table lists the system requirements for Microsoft Access 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) of RAM or higher.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 768 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Importing data from Excel 2010 or Outlook 2010 requires Excel 2010 or Outlook 2010.

  • Integration with Business Connectivity Services requires Microsoft .NET Framework 3.5.

  • Product functionality and graphics can vary based on your system configuration. Some features can require additional or advanced hardware or server connectivity. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

Microsoft Excel 2010

The following table lists the system requirements for Microsoft Excel 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM or higher.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor.

Video card requirements: Pixel Shader 20 and Vertex Shader 2.0. Driver date later than 11/1/2004. WHQL certified.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Certain inking features require running Microsoft XP Tablet PC edition, Windows Vista, or Windows 7. Speech recognition functionality requires a close-talk microphone and audio output device. Information Rights Management features require access to a computer that is running Windows Server 2003 with SP1 or Windows Server 2008 and Windows Rights Management Services.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Connectivity to a compute cluster is required for running user-defined functions on a compute cluster.

  • Internet Fax is not available on Windows Vista, Windows Vista Home Basic, or Windows Vista Home Basic.

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

Microsoft InfoPath 2010

The following table lists the system requirements for Microsoft InfoPath 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM or higher.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 768 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Email-based collaboration requires Microsoft Outlook 2010.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Internet Fax is not available on Windows Vista, Windows Vista Home Basic, or Windows Vista Home Basic.

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

Microsoft OneNote 2010

The following table lists the system requirements for Microsoft OneNote 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM or higher.

Hard disk

1.5 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Some features require Windows Desktop Search 3.0, Windows Media Player 9.0, Microsoft Active Sync 4.1, microphone, audio output device, video recording device (such as a webcam), TWAIN-compatible digital camera or scanner. Sharing notebooks requires users to be on the same network.

  • WDS 4 preferred, DirectX no longer needed, router with UPnP no longer needed, Windows Mobile no longer needed.

  • Microsoft OneNote functionality works on both 32-bit and 64-bit.

  • Sharing notebooks requires users to be on the same network.

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • For the Microsoft OneNote print driver: Microsoft .NET Framework 3.0, Windows XPS features installed on Windows Vista, Windows 7, Windows Server 2008, Windows Server 2008 R2, XPS features installed before Microsoft Office are installed on operating system.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • 1.2-gigahertz (GHz) processor or higher and 1 GB OF RAM or higher recommended for Microsoft OneNote Audio Search. Close-talking microphone required. Audio Search not available in all languages.

Microsoft Outlook 2010

The following table lists the system requirements for Microsoft Outlook 2010, and resources to help evaluate the applications and hardware that you might need to get the most out of Outlook 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

512 megabytes (MB) OF RAM recommended for accessing Microsoft Outlook data files larger than 1GB.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

For integration with Microsoft Exchange Server 2010 (optional)

For a list of some of the new Outlook 2010 features that are enabled with Microsoft Exchange Server 2010, see Changes in Outlook 2010 (for IT pros) and What's New in Exchange 2010 (http://go.microsoft.com/fwlink/p/?linkId=164425).

Exchange 2010 System Requirements (http://go.microsoft.com/fwlink/p/?linkId=164426).

Learn more about Microsoft Exchange Server 2010 (http://go.microsoft.com/fwlink/p/?linkId=164427).

For integration with Microsoft Office Communicator or Microsoft Lync (optional)

Microsoft Office Communicator 2007, Office Communicator 2007 R2, and Microsoft Lync 2010 are supported with Outlook 2010. Office Communicator 2005 is not supported. For a list of some of the new Outlook 2010 features that are enabled with Office Communicator 2007, Office Communicator 2007 R2, and Lync 2010, see Changes in Outlook 2010 (for IT pros).

Office Communicator Server 2007 R2 Supportability Guide (http://go.microsoft.com/fwlink/p/?linkId=164429).

Learn more about the next generation of unified communications - Microsoft Lync (http://go.microsoft.com/fwlink/p/?linkId=164430).

Other

  • Microsoft Exchange Server 2003 is the earliest version for using Exchange Server with Outlook 2010.

  • Certain inking features require running Windows XP Tablet PC Edition, Windows Vista, or Windows 7; speech recognition functionality requires a close-talk microphone and audio output device; Information Rights Management features require access to a computer that is running Windows Server 2003 with SP1 or Windows Server 2008 and Windows Rights Management Services.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • Grammar and contextual spelling in Microsoft Outlook is not turned on unless the computer has 1 GB memory.

Microsoft PowerPoint 2010

The following table lists the system requirements for Microsoft PowerPoint 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) OF RAM or higher. When embedding video, 512 MB OF RAM is recommended.

Hard disk

1.5 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor.

Video card requirements: Pixel Shader 20 and Vertex Shader 2.0. Driver date later than Nov. 1, 2004. WHQL certified.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Certain inking features require running Windows XP Tablet PC edition, Windows Vista, or Windows 7; speech recognition functionality requires a close-talk microphone and audio output device; Information Rights Management features require access to a computer that is running Windows Server 2003 with SP1 and Windows Rights Management Services.

  • Internet Explorer 6, Internet Explorer 7, Internet Explorer 8, 32-bit browser only. Internet functionality is required and Internet access (fees might apply).

  • User of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • Internet Fax not available on 64-bit operating system.

Microsoft Project Professional 2010

The following table lists the system requirements for Microsoft Project Professional 2010.

Component Requirement

Computer and processor

700-megahertz (MHz) processor or higher.

Memory

512 megabytes (MB) RAM or higher.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 768 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Windows Server 2008 with SP2 (64-bit) running Microsoft SharePoint Server 2010 is required for certain advanced collaboration functionality. Office Outlook 2003 SP2, Microsoft Outlook 2005, Outlook 2007, or Outlook 2010 is required to use the Import Microsoft Outlook Tasks feature. Visual Reports require Office Excel 2003 SP2, Microsoft Excel 2007, or Excel 2010 and Microsoft Office Visio Professional 2007, or Visio 2010.

  • Microsoft Project Server 2010 is required for Enterprise Microsoft Project, portfolio, and resource management capabilities. Microsoft Project Web App and Microsoft Exchange Server 2007 SP1, or Microsoft Exchange Server 2010 are required for importing tasks to the Microsoft Outlook calendar or tasks list.

  • SharePoint Server 2010 (installed with Project Server 2010) is required for publishing projects and Windows Workflow Foundation. Microsoft .NET Framework version 3.5 is required for the Resource Substitution Wizard.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 7 or Internet Explorer 8 Internet functionality requires Internet access (fees might apply).

  • To enable the feature that allows synchronizing Project 2010 with a SharePoint task list, you must install either Microsoft Access 2010 or Microsoft Visio 2010.

  • Before installing Project 2010 to use Visual Reports with Office 2010, you must install Office 2010, Visio 2010 and Microsoft SQL Server 2008Analysis Services 10.0 OLE DB provider (available as a free download from Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkID=262016).

  • To use Project 2010 with Microsoft Office Live Workspace you must have a Microsoft account.

Product functionality and graphics can vary based on your system configuration.

Some features might require additional or advanced hardware or server connectivity.

Microsoft Publisher 2010

The following table lists the system requirements for Microsoft Publisher 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM or higher.

Hard disk

1.5 gigabyte (GB) available disk space.

Display

1024 × 768 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Certain inking features require running Windows XP Tablet PC Edition, Windows Vista, or Windows 7; speech recognition functionality requires a close-talk microphone and audio output device.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet connectivity and a Windows Live ID, to share Templates and Building Blocks.

Microsoft SharePoint Workspace 2010

The following table lists the system requirements for SharePoint Workspace 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM or higher.

Hard disk

1.5 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW) which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Integration with SharePoint Services requires connectivity to Microsoft SharePoint Server 2010.

  • No support exists for downgrading or reverting to an earlier version of an Office Groove 2007 account after you start the upgrade process.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 7 or Internet 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • Each computer must be upgraded to Microsoft SharePoint Workspace to run Microsoft SharePoint Workspace accounts on multiple computers.

Microsoft Visio 2010 (Premium, Professional, Standard)

The following table lists the system requirements for Microsoft Visio Premium 2010, Microsoft Visio Professional 2010, and Microsoft Visio Standard 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM, 512 MB RAM recommended for certain advanced functionality.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 768 or higher resolution monitor.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Certain advanced collaboration functionality requires connectivity to a computer that is running Windows Server 2003 with SP1 or Windows Server 2008 and Windows SharePoint Services.

  • Multi-touch features require Windows 7 and a touch enabled device.

  • Certain inking features require running Microsoft XP Tablet PC edition, Windows Vista, or Windows 7.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004 or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

Microsoft Word 2010

The following table lists the system requirements for Microsoft Word 2010.

Component Requirement

Computer and processor

500-megahertz (MHz) processor or higher.

Memory

256 megabytes (MB) RAM; 512 MB RAM recommended for certain advanced functionality.

Hard disk

2 gigabyte (GB) available disk space.

Display

1024 × 576 or higher resolution monitor

Video card requirements: Pixel Shader 20 and Vertex Shader 2.0. Driver date later than Nov. 1, 2004. WHQL certified.

Operating system

Supports only the 32-bit edition of Office 2010:

  • Windows XP with Service Pack 3 (SP3)

  • Windows Server 2003 Service Pack 2 (SP2), MSXML 6.0

  • Windows Server 2003 R2

Supports both 32-bit or 64-bit editions of Office 2010:

  • Windows Vista with Service Pack 1 (SP1)

  • Windows 7

  • Windows 8

  • Windows Server 2008

  • Windows Server 2008 Service Pack 2 (SP2)

  • Windows Server 2008 R2

  • Windows Server 2008 R2 Service Pack 1 (SP1)

  • Windows Server 2012

  • Terminal Server

  • Windows on Windows (WOW), which allows installation of 32-bit versions of Office 2010 on 64-bit operating systems, excluding Windows Server 2003, 64-bit and Windows XP, 64-bit.

Doesn't support any edition of Office 2010:

  • Windows Server 2003, 64-bit

  • Windows XP, 64-bit

Other

  • Certain inking features require running Windows XP Tablet PC edition, Windows Vista, or Windows 7; speech recognition functionality requires a close-talk microphone and audio output device.

  • Publications can be sent by using Office Outlook 2007, Outlook Express 6.0, or Windows Live Mail; recipients can view in many email clients and web-based services.

  • Use of graphics hardware acceleration requires DirectX 9.0c compatible graphics card with drivers dated 11/1/2004, or later.

  • Internet Explorer 6, Internet Explorer 7, or Internet Explorer 8, 32-bit browser only. Internet functionality requires Internet access (fees might apply).

  • Actual requirements and product functionality might vary based on the system configuration and operating system. See http://www.office.com/products (http://go.microsoft.com/fwlink/p/?LinkId=169378).

  • Co-authoring requires Microsoft SharePoint Foundation 2010 or a Windows Live SkyDrive account, and might require more memory.

  • Grammar and contextual spelling in Word 2010 is not turned on unless the computer has 1 GB memory.

See Also

Concepts

64-bit editions of Office 2010

Other Resources

Volume Activation for Office 2010
Microsoft Software License Terms for Microsoft Office 2010 Retail

Change History

Date | Description
February 19, 2013 | Updated operating system information in each table.
May 29, 2010 | Initial publication


Assessment tools for Office 2010

Several tools are available to help you complete the assessment step in a planning process. This article lists and describes those tools.

Assessment tools

Area Tool Description Resources

Project assessment / business case

Microsoft Rapid Economic Justification guide

The Microsoft Rapid Economic Justification guide walks you step-by-step through the project assessment process in two to four weeks — from fiscal analysis to boardroom presentation. It includes tools, templates, and how-to information to help you make a compelling business case for an IT project.

Microsoft Rapid Economic Justification guide (http://go.microsoft.com/fwlink/p/?LinkId=152858)

Hardware inventory / compatibility

Microsoft Assessment and Planning (MAP) Toolkit

The Microsoft Assessment and Planning (MAP) Toolkit is an inventory, assessment, and reporting tool that can securely run in small or large IT environments without requiring the installation of agent software on any computers or devices.

The MAP Toolkit performs a detailed analysis of hardware and device compatibility for migration to the Microsoft Office 2010, Windows 7, Windows Server 2008 R2, and more. The hardware assessment examines the installed hardware and determines whether migration is recommended. If it is not recommended, the reports tell you why it is not.

In addition, MAP has expanded its capabilities into assessment areas of Hyper-V server virtualization, desktop security, and Microsoft SQL Server 2008 R2 migration.

Microsoft Assessment and Planning (MAP) Toolkit for Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=152859)

Software inventory

Microsoft Software Inventory Analyzer (MSIA)

With the Microsoft Software Inventory Analyzer (MSIA), you can generate an inventory of core Microsoft products installed on a local computer, or throughout a network.

The MSIA is built specifically to be a starting point to work with Microsoft Software Asset Management. To that end, MSIA works with networks that have 250 computers or fewer, and locates only Microsoft software.

Microsoft Software Inventory Analyzer (http://go.microsoft.com/fwlink/p/?LinkId=152860)

Microsoft Software Asset Management (http://go.microsoft.com/fwlink/p/?LinkId=152861)

Office add-ins

Office Environment Assessment Tool

The Office Environment Assessment Tool (OEAT) is designed to help an organization determine the types of add-ins and the extent to which add-ins for Microsoft Office applications are used on users' computers. OEAT collects and reports add-in information about Microsoft Office 97 and later versions.

Office Environment Assessment Tool (OEAT) user's guide for Office 2010

Office add-ins

Microsoft Office Code Compatibility Inspector

The Microsoft Office Code Compatibility Inspector is designed to help an enterprise or small business update Visual Basic for Applications (VBA) and Visual Studio Tools for Office code so that it is compatible with Office 2010. The Inspector does not correct code; it inspects code. It then comments specific lines of code that reference items in the object model that have changed in some way or have been deprecated.

Microsoft Office Code Compatibility Inspector user's guide

User settings

User State Migration Tool

You can use Windows User State Migration Tool (USMT) 4.0 to migrate user files and settings during large deployments of Windows Vista and Windows 7 operating systems. USMT captures desktop and application settings, user accounts and users' files, and then migrates them to a new Windows installation.

One component of the USMT is ScanState. ScanState scans the source computer, collects the files and settings and creates a store. ScanState does not modify the source computer. By default, ScanState compresses the files and stores them as an image file (USMT4.mig).

User State Migration Tool 4.0 User's Guide (http://go.microsoft.com/fwlink/p/?LinkId=152865)

File / document management

Office Migration Planning Manager (OMPM)

The Office Migration Planning Manager (OMPM) checks for, and reports on, file properties to help you analyze an environment and determine any issues that you might experience when you convert from Office 97-Office 2003 file formats to the file formats for the 2007 Office system and Microsoft Office 2010 systems.

OMPM for Office 2010 supports two new types of scanning: macro scanning and x64 migration scanning. The macro scanner optionally scans any macros it encounters for migration concerns, reports any issues it finds in the database, and optionally inserts comments into the macros identifying the issue with links to possible resolutions. The x64 migration scanner scans macros, ActiveX controls, and other COM objects (such as add-ins) in Office files for incompatibilities (for example, declaring 4-byte pointers instead of 8-byte pointers).

Office Migration Planning Manager (OMPM) for Office 2010

Security

Microsoft Security Assessment Tool 4.0

Microsoft Security Assessment Tool (MSAT) 4.0 consists of more than 200 questions that cover infrastructure, applications, operations, and people. The questions, associated answers, and recommendations are derived from generally accepted best practices, standards such as ISO 17799 and NIST-800.x, and recommendations and prescriptive guidance from the Microsoft Trustworthy Computing Group and other external security sources.

Microsoft Security Assessment Tool (http://go.microsoft.com/fwlink/p/?LinkId=152866)

Security

System Center Configuration Manager

Microsoft System Center Configuration Manager 2007 can assess, deploy, and update servers, client computers, and devices — across physical, virtual, distributed, and mobile environments.

Client status reporting in System Center Configuration Manager 2007 R2 provides up-to-date information about the manageability of client computers in a System Center Configuration Manager 2007 hierarchy. A site administrator can use this information to identify individual client problems and to maintain a more accurate site database. The information can also help increase software distribution success rates.

System Center Configuration Manager TechCenter (http://go.microsoft.com/fwlink/p/?LinkId=152867)

Licensing

Microsoft Volume Licensing

Microsoft Volume Licensing provides many online reporting services and tools that you can use to track and manage your existing Microsoft software assets.

Manage Your Volume Licenses (http://go.microsoft.com/fwlink/p/?LinkId=152868)

Configurations

Group Policy Management Console (GPMC)

The Group Policy Management Console (GPMC) is the UI console to author and manage domain-based Group Policy objects (GPOs). The GPMC displays linking, permissions, and security filtering information relevant to a GPO. It also generates settings reports on a GPO in either HTML or XML format.

Group Policy Management Console Technical Reference (http://go.microsoft.com/fwlink/p/?LinkId=152869)

Configurations

View XML content from Office Customization Tool (OCT) customization files

See View XML content from Office Customization Tool customization files (http://go.microsoft.com/fwlink/p/?LinkId=169720) for a sample Microsoft Visual Basic script that administrators can use to view the settings that are stored in OCT .msp files.

View XML content from Office Customization Tool customization files http://go.microsoft.com/fwlink/p/?LinkId=169720

Help

Microsoft Desktop Deployment Planning Services (DDPS)

Microsoft Desktop Deployment Planning Services (DDPS) offers customers 1 to 15 days of deployment planning services, based on how much Microsoft Software Assurance they purchase on Office software. Customers work with consultants to develop a high-level desktop deployment plan for their environments and to assess the overall cost of upgrading to the latest versions of Windows and Office.

Desktop Deployment Planning Services (http://go.microsoft.com/fwlink/p/?LinkId=201935)

Software Assurance for Volume Licensing(http://go.microsoft.com/fwlink/p/?LinkId=152871)


Application compatibility for Office 2010

Links to the new application compatibility tools and resources for Microsoft Office 2010 are listed in the following table. These resources are especially useful for IT professionals who have to evaluate application compatibility issues and implement a plan for fixing incompatible Microsoft Office applications.

In this documentation:

Article | Description
Office 2010 application compatibility guide | Describes the application compatibility testing and remediation process for a deployment of Office 2010. This information is useful to IT professionals who will evaluate application compatibility issues and implement a plan for fixing incompatible applications.
Office Environment Assessment Tool (OEAT) user's guide for Office 2010 | Contains information about how to use the Office Environment Assessment Tool (OEAT) to assess your existing environment before you deploy Office 2010.
Microsoft Office Code Compatibility Inspector user's guide | Describes how to use the tool to inspect VBA code that you created in previous versions of Microsoft Office and also how to use the tool to help you to make any Windows Application Programming Interface (API) calls in your code compatible with the 64-bit edition of Office 2010.
Compatibility Resource Center on TechNet (http://go.microsoft.com/fwlink/p/?LinkID=186766&clcid=0x409) | Provides links to content, videos, and tools that are used for application compatibility planning and assessment in Office 2010. Also provides a list of applications that are compatible with Office 2010.


Office 2010 application compatibility guide

Published: May 12, 2010

The application compatibility testing and remediation process for Microsoft Office 2010 deployments identifies compatibility issues and helps you develop plans to fix them. This information is useful primarily to IT professionals who evaluate and mitigate application compatibility issues. Developers who are upgrading Office applications might also find this information useful. After completing the process that is described in this article, administrators and developers will have a better understanding of which add-ins and applications interact with Office and how to migrate them to Office 2010.

This article does not cover document compatibility, conversion, or migration. For information about converting legacy Office files and using compatibility mode, see Document compatibility for Office 2010.

In this article:

  • Introduction to application compatibility in Office 2010

  • The application compatibility assessment and remediation process

  • Plan for compatibility testing

  • Assess the environment

  • Test and remediate compatibility issues

Introduction to application compatibility in Office 2010

Developers and expert users have been writing code to extend Office since the first Office products were introduced. As Office has evolved with feature changes, feature removals, and changes to file formats, so too has the likelihood that older add-ins and customizations might not work correctly when they are used with Office 2010. Not surprisingly, the topic of application compatibility can be challenging for organizations that have Office files dating back a decade or more.

Office 2010 has many product improvements and other changes that might affect compatibility with existing files, macros, add-ins, and Microsoft Visual Studio solutions. The following list describes some of those changes.

  • Features that have been removed Add-ins and applications can break when they have dependencies on features (and their corresponding object models) that have been removed from Office 2010.

  • Feature changes Updated features and their object models can cause add-ins and applications not to operate as expected. Sometimes these changes are obvious, and other times they are only discovered after thorough testing.

  • 64-bit incompatibilities Office 2010 is available in both 32-bit and 64-bit versions. The 64-bit version is designed for users who need more memory capacity when they work with complex Microsoft Excel spreadsheets or Microsoft Project files. If you plan to deploy the 64-bit version of Office, you must consider that ActiveX controls, add-ins, and Microsoft Visual Basic for Applications (VBA) solutions created to work on 32-bit client computers might not work with the 64-bit versions of Office 2010.

Several tools and solutions are available to assess and remediate application compatibility issues with Office 2010. For IT administrators, the new Office Environment Assessment Tool (OEAT) can help to identify add-ins and applications that interact with Office. Developers can perform additional testing by using the new Microsoft Office 2010 Code Compatibility Inspector tool to pinpoint potentially incompatible code within VBA projects or Visual Studio code. In cases where applications cannot be fixed, administrators can use solutions such as Remote Desktop Services (Terminal Services), parallel installations, and the new Microsoft Application Virtualization (App-V) to maintain the previous, compatible Office environment alongside Office 2010.

The following sections briefly describe the Office 2010 application compatibility assessment tools.

Office Environment Assessment Tool (OEAT) OEAT is a new scanning tool for Office 2010 that identifies add-ins that are installed on users' computers. OEAT collects and reports add-in information for Microsoft Office 97, Microsoft Office 2000, Microsoft Office XP, Microsoft Office 2003, and the 2007 Microsoft Office system. OEAT also compares the list of discovered third-party add-ins to a list of compatible add-ins that is tracked by the Independent Software Vendor (ISV) Application Compatibility Visibility Program.

To download OEAT, see Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink?linkid=171092).

ISV Application Compatibility Visibility Program This new program tracks independent software vendors (ISVs) who pledge that their products are compatible with Office 2010. ISVs submit information about their products through a special ISV portal, and Microsoft publishes this list to the Compatibility for Microsoft Office 2010 Resource Center (http://go.microsoft.com/fwlink/?LinkId=186766). OEAT also uses this list to highlight known compatible add-ins in the summary report.

To view the current list of ISVs that participate in this program, see Compatibility for Microsoft Office 2010 (http://go.microsoft.com/fwlink/?LinkId=186766).

Microsoft Office 2010 Code Compatibility Inspector (OCCI) The Microsoft Office 2010 Code Compatibility Inspector compares existing VBA, Visual Basic .NET, and C# source code for object model API calls that are incompatible with Office 2010. The tool integrates with both Microsoft Visual Basic for Applications 7.0 (VBA 7) and Microsoft Visual Studio 2008 or Microsoft Visual Studio 2010 and includes a basic scanner. When an inspector tool finds code that is incompatible with Office 2010, the tool adds a comment to the code for the developer to reference and fix later. The inspector tool also scans code for Declare statements and references to DLLs used by ActiveX controls that need to be updated to be compatible with 64-bit Office 2010.

To download OCCI, see Office 2010 Tool: Compatibility Inspector (http://go.microsoft.com/fwlink?linkid=181874).

The following table describes the kinds of Office-based customizations that many organizations will encounter and the tool that is used to assess each customization. Because some of these customizations were common for earlier versions of Office, the links to additional information often point to developer documentation for Office 2003 and earlier.

Type of customization Description Assessment tool

Automation add-ins (.xll or .wll)

Automation add-ins let developers incorporate an existing Office 2010 application's functionality into custom applications. An example of an Office Automation add-in is a CRM application that writes customer's billing data to a Microsoft Excel worksheet.

For more information about Automation add-ins, see Excel COM add-ins and Automation add-ins (http://go.microsoft.com/fwlink/?LinkId=186622).

OEAT

COM add-in (Windows .dll)

Introduced as part of Microsoft Office 2000, COM add-ins let developers use the programming language and environment of their choice when they create Office-based solutions. After a COM add-in is written, it is then compiled as a .dll file. The .dll file can be loaded by one or more Office applications and can interact with Office object models.

For more information about COM add-ins, see What Is a COM Add-in? (http://go.microsoft.com/fwlink/?LinkId=186623).

OEAT

Office 97-2003 format VBA add-ins (.dot, .wll, .xla, .xll, .ppa)

Office 2007-2010 format VBA add-ins (.dotm, .xlam, .ppam)

VBA template add-ins are created by using Microsoft Visual Basic for Applications (VBA).

For more information about VBA add-ins, see Getting Started with VBA in Office 2010 (http://go.microsoft.com/fwlink/?LinkId=186624). For clarification about the differences between Microsoft Word templates and add-ins, see Word Document Templates vs. Word Add-ins (Global Templates) (http://go.microsoft.com/fwlink/?LinkId=186625).

OEAT and OCCI

Office 2007-2010 format VBA macro-enabled files (.docm, .xlsm, .pptm)

These files contain VBA macro code but are not saved as add-ins.

OEAT will detect macro-enabled Word and Excel files that are stored in the Startup folder or that are loaded as global templates. OEAT will not discover macro-enabled files that are stored in other locations, nor will OEAT discover macro-enabled PowerPoint files in any location.

For more information about macro-enabled files, see File formats supported in Office 2010.

OEAT and OCCI

Office add-ins created by using Visual Studio

Office add-ins created by using Visual Studio let organizations customize Office applications to add specific features that are needed for business processes.

Visual Studio supports two kinds of solutions that might be used in your organization:

  • Document-level customizations These customizations consist of an assembly that is associated with a single document, workbook, or template in Microsoft Word or Microsoft Excel. Features in document-level customizations are available only when the associated document is open. These customizations cannot make application-wide changes, such as displaying a new menu item or ribbon tab when any document is open.

  • Application-level add-ins These add-ins consist of an assembly that is associated with an Office application. The add-in can call into the object model to automate and extend the application, and it can use any of the classes in the Microsoft .NET Framework.

OEAT can be used to detect application-level add-ins only.

For more information about Office add-ins created by using Visual Studio, see Office Solutions Development Overview (http://go.microsoft.com/fwlink/?LinkId=188380).

OEAT and OCCI

The application compatibility assessment and remediation process

The following figure shows a summary of the application compatibility assessment and remediation process. Each task defined in this figure has a corresponding section in this article.

The application compatibility process
Note:

This guide does not cover document compatibility, conversion, or migration. For information about converting legacy Office files and using compatibility mode, see Document compatibility for Office 2010.

Plan for compatibility testing

Planning for the assessment, remediation, and piloting of add-ins and applications is an important first step in the overall process of application compatibility testing. Although it might be tempting to rely on previous results of the 2007 Office system compatibility testing, we do not recommend this and it will only delay a successful deployment.

Plan for assessment

The following sections describe planning tasks that will help you prepare to assess the add-ins and applications in your organization.

Create central repository for assessment documentation and results

To help manage the assessment and remediation process, we recommend that you build a central repository of discovered applications and their status. A solution such as Microsoft SharePoint Server 2010 can help keep all project members up-to-date and the project itself on track.

Identify stakeholders

Stakeholders are the people or groups who approve and allocate resources to the project. By identifying stakeholders early in the planning process, the application compatibility project team can communicate and validate the project deliverables to those that have a vested interest.

The following table describes the typical stakeholder roles in an application compatibility project.

Role | Responsibility
Application Owner | Ensures that the business process done by using the previous Office version continues uninterrupted after the upgrade.
Project Sponsor | Promotes the success of the Office upgrade and positive publicity within the organization.

Assign roles for the project participants

The following table describes possible roles and their respective responsibilities that have to be filled in an application compatibility project.

Role | Responsibility
Project manager | Ensures the overall flow of the project, and manages overall resources, metrics, and risks.
Compatibility validation tester | Follows the test plan and tests Office components for any potential incompatibility issues, including file format, macros, add-ins, or Office Automation.
OEAT operator | Understands and performs setup and configuration of OEAT.
Remediation lead | Performs the actions that resolve compatibility issues on Office customizations.
Regression tester | Ensures that the remediation performed on an Office object is successful. This role is often filled by the remediation lead.
User acceptance tester | Representative of an affected business unit who determines that the remediation of an application was successful and that it does not interfere with other customizations or actions. This should never be the person who performs the remediation or regression testing.
Business analyst or owner | Owns the code and documentation of the applications and add-ins that are critical to the business unit.
Deployment group lead | Owns and tracks the timeliness of the complete technical process. Might delegate some reporting or administration activities.
Application packaging group | Owns the Office 2010 installation package.
Client (Desktop) team | Owns the deployment of the Office 2010 package via the organization's configuration management tool, such as Systems Center Configuration Manager (SCCM).
Service desk | Provides functional support of Office for the testers and, when the migration is complete, the users.

Identify and interview business units

The next step in assessment planning is to identify your departmental or business unit groupings and interview their representatives to understand how the current set of add-ins is fulfilling their business needs. Knowing the importance of each add-in, its purpose, why it was made, what it does, and who made it are all important in making an informed decision about how to remediate the add-in and correct issues as they are found.

Some add-ins for Office applications might have been created informally within your organization. Therefore, you might need to do some investigative work to track down an owner and the original source code, if it still exists.

You can use the following form as a template for an interview questionnaire.

Application information

Business unit

Application name

Application contact/owner

AppID

Version

Priority

Tier

Office 2010 compatibility status if known (Pass, Fail)

Compatibility issue description if available

Number of users

Office version used by the application (XP, 2003, 2007, 2010, and so on)

Describe the kind of usage (for example, exports an Office document, add-in to Office application, and so on)

Office suite components used by the application

Word

Excel

Access

PowerPoint

Other

Does this application use complex Office objects such as charts, PivotTable reports, or drawing art?

Is this a data entry or front-end application? If yes, provide details.

Which language(s) does the application support?

Identify client computers to scan

After you determine the different business units that need their client computers scanned, you can start the process of identifying a statistically relevant sampling of client computers for each business unit. Not every client computer in your organization needs to be scanned. However, in some cases (depending on the size of the organization), scanning the entire environment or an entire group or organizational unit (OU) might be less restrictive (or easier) than delineating separate client computers to participate. A statistically relevant sampling of no more than 20 percent should provide enough information to successfully assess and remediate the compatibility issues in your Office 2010 environment.

Important:

All client computers that run OEAT must have Microsoft .NET Framework 2.0 or later installed. For more information about OEAT requirements, see Office Environment Assessment Tool (OEAT) user's guide for Office 2010.

If your organization lacks an up-to-date client inventory, consider running the Microsoft Assessment and Planning (MAP) Toolkit to generate a client inventory and assess Office 2010 readiness. From this inventory, you can work with business group leaders to select a subset of client computers for assessment by using OEAT. For more information about the MAP Toolkit, see Microsoft Assessment and Planning Toolkit (http://go.microsoft.com/fwlink/?LinkId=149448).

Plan for remediation

The following sections will help you establish baseline criteria to classify and remediate incompatible applications. Coming to an agreement early in the planning process will help you avoid disagreements or other delays after the assessment and testing results are available.

Determine how applications will be classified and prioritized

Enterprises develop, deploy, and maintain a variety of Office-based applications and add-ins, all of which might have significantly different values to the organization. Therefore, it is important to organize applications into classes or tiers based on the value of the application to the business. A simple method is to classify an application as either mission-critical or not. Additional classifications to consider are as follows:

  • In-house and third-party applications

  • Departmental applications

  • Unmanaged solutions, such as templates, add-ins, and macros that are created by end-users

  • Number of users of the application

  • Use of the application by executives

  • Expected lifetime of the application

The following table describes how an organization might classify and prioritize different kinds of Office customizations.

Customization | Mission critical | Non-mission critical
Automation add-ins | Proactive OEAT scan, test, and remediation | React to user discovered
COM add-ins | Proactive OEAT scan, test, and remediation | React to user discovered
VBA add-ins | Proactive OEAT and OCCI scan, test, and remediation | React to user discovered

To further help prioritize mission-critical applications, you can classify them as Tier 1, Tier 2, or Tier 3. Sample classification guidance for each tier is as follows:

  • Tier 1: Mission Critical Failure of mission-critical applications is damaging to business continuity or revenue of the organization. Any application that is used by executives should be considered mission-critical, regardless of the number of users or business priority of the application. This tier also includes applications that are used by more than 10 percent of the organization's users.

  • Tier 2: Business Critical These applications are business-critical or are used by 10 percent or more of the organization's users. This tier can also include applications that are used by 1 to 10 percent of the organization's users and be of any business priority. These are not mission-critical or revenue affecting applications. However, they could indirectly increase expenses or reduce revenues by affecting productivity.

  • Tier 3: Business Applications These applications are not mission-critical and can affect as few as 10 employees or up to 1 percent of the organization. They are usually tools that help small tasks and that have a low impact on the business.

Identify remediation strategies

After you define criteria to classify applications, you should identify potential remediation strategies. Although the actual remediation work is difficult to plan, you can establish generic strategies that can guide the resolution of issues for each kind of customization. The following table provides suggested remediation strategies based on the kind of application and its expected lifetime.

Type | Potential strategy
In-house application that has a limited lifetime | Retire the application and find a new process.
In-house application that has a long lifetime | Rewrite or rework the code to fit the new object model.
Third-party application that has a limited lifetime | Retire the application and find a new process.
Third-party application that has a long lifetime | Contact the vendor for update or replacement.
Application is not working | Reinstall the application with a new directory structure or create a virtual environment for the application.

As you remediate the applications, you might find that their priority can change from your initial assessment. You should put a strict process in place for remediation assessments to only allow an application to move up in tier (but not down). For information about how Microsoft IT categorized and prioritized applications, see Deploying the 2007 Office System at Microsoft (http://go.microsoft.com/fwlink/?LinkId=178278).

Microsoft also has prescriptive information on TechNet about known issues that occur when you migrate Office customizations. For more information, see Product and feature changes in Office 2010 (for IT pros). There are also Microsoft partners who have tools that help the remediation process.

Plan for piloting

The project team must consider how add-ins and applications will be piloted. Specifically, the team should identify the following:

  • Which users will participate in the pilot.

  • How users in the pilot will report issues.

  • Whether helpdesk employees will assist in the pilot and, if so, how they will be trained.

  • When the pilot will begin. For example, some organizations begin pilot testing early, during the planning phase, to obtain early feedback as they move through the process.

The following resources are available to help you plan for piloting. These resources are not specific to Office 2010 compatibility testing. However, many of the principles covered in these resources still apply.

  • Designing a Pilot Project (http://go.microsoft.com/fwlink/?LinkId=186680)

  • Microsoft Operations Framework: Conduct a Pilot Test (http://go.microsoft.com/fwlink/?LinkId=186683)

  • Understanding the Migration Process (http://go.microsoft.com/fwlink/?LinkId=186684)

Assess the environment

During the assessment phase, you collect an inventory of add-ins and applications by running OEAT against a statistically relevant subset of client computers. After you analyze the results and prioritize applications, you will be ready for the testing and remediation phase.

Run OEAT

OEAT can be run from a network share or distributed to users. OEAT scans client computers and then saves the results of the scans to a designated location, usually a network share. After the scans are completed, you can use OEAT to compile the results into a Microsoft Excel spreadsheet for use during the remediation process.

Depending on your environment, you can deploy OEAT in one of the following ways:

  • Active Directory environments Deploy OEAT by using an Active Directory Login script. As users log in, OEAT is executed automatically and the results are saved to the designated location.

  • Managed environments Deploy OEAT by using a management solution such as Systems Management Server (SMS) or System Center Configuration Manager (SCCM).

  • Unmanaged or non-centralized IT environments Create a share for OEAT and provide instructions to users on how to manually run a scan.

For information about how to deploy and use OEAT, see Office Environment Assessment Tool (OEAT) user's guide for Office 2010. To download OEAT, see Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink?linkid=171092).

Review OEAT results

When the client computer scans are complete, use the Compile results option in OEAT to create a spreadsheet that summarizes the results of all client computers that were scanned. The spreadsheet contains multiple worksheets, including the following:

  • SummaryReport This worksheet contains summary information that will help you determine whether your scanned client computers are ready for Office 2010. The worksheet includes data on average free space, processors, computer manufacturers, Windows installations (including service pack levels), and Office installations. The resulting data could be interesting from a configuration management perspective in that client computers might not be running the versions of Office or Windows that you expect.

  • MicrosoftOfficeAddins This worksheet contains a list of all add-ins that are included with Office.

  • AddinsNotShippedWithOffice This worksheet contains a list of all add-ins that are not included with Office. Much of your assessment and planning will come from this report. You can sort the list by application, view the last accessed or modified dates, and view the number of client computers on which the add-in was detected. You can also compare version numbers of the same add-ins to determine whether some subsets of the client computers are out-of-date, which could indicate an issue with configuration management processes in your organization.

On the AddinsNotShippedWithOffice worksheet, start with the Compatibility column to see the compatibility status of each add-in. OEAT generates the data for this column by comparing the discovered add-ins with the list of compatible add-ins that are tracked by the ISV Compatibility Program. The possible compatibility status results are as follows:

  • UNKNOWN The add-in is currently not in the Microsoft vendor list of Office 2010-compatible add-ins. Therefore, the status of this add-in is unknown. Note that this status could change as new vendor data is made available to OEAT. Each time that you compile the spreadsheet, you have the option to download new vendor data.

  • PARTIAL MATCH OEAT reports this status in two cases: OEAT found a match for the vendor name only. Or, OEAT found a match for the vendor name and product name, but the version number did not match. Use the link provided in the URL column to check the vendor list for compatible add-ins from the vendor.

  • EXACT MATCH This status is shown when the vendor name matches, the product name matches, and the version number of the add-in is equal to or greater than the version that was reported by the vendor.

Important:

The Compatibility column is not shown if you choose not to download compatibility data when prompted in the final version of OEAT, or if you are using the beta version of OEAT. You can download the final version of OEAT from the Microsoft Download Center.

Finalize remediation plans

At this point, you are ready to correlate OEAT results with the prioritization criteria that you established during the planning phase. When you set a schedule for this work, make sure that you allow additional time to investigate and prioritize add-ins that were not identified during the business unit interviews. To understand the scope of incompatibilities of VBA add-ins and Visual Studio add-ins, the development team can run OCCI during this phase to understand how much of the underlying code will need to be changed.

Test and remediate compatibility issues

During this phase, you and your development team will start to test mission-critical and other high-priority add-ins and applications to find specific compatibility issues with Office 2010. After the incompatibilities are identified, the development team will begin remediating incompatible add-ins and applications based on the work that you did in the planning phase.

As multiple applications and add-ins are remediated, you cannot assume that these remediations will function together. You have to test all remediations together and then pilot these in a real-world scenario. Each step is important in validating the remediations, stabilizing the overall deployment of Office 2010, and ultimately creating a more successful migration.

Test add-ins and applications

The following flowcharts provide general guidance for developers who are testing different kinds of applications to identify incompatibilities with Office 2010. For additional guidance, see the following resources:

  • Planning and Testing for Application Deployment (http://go.microsoft.com/fwlink/?LinkId=186685)

  • LOB Application Compatibility Using Microsoft IT's LOB Application Compatibility Testing Processes (http://go.microsoft.com/fwlink/?LinkId=186686)

General application testing

The following flowchart provides a high-level view of application testing. Subsequent flowcharts in this section describe the testing process for specific kinds of Office applications, such as add-ins, macros and scripts, and Office Automation testing.

Application testing flowchart

Office add-in testing

Office add-in testing flowchart

Macros and scripts testing

Macro testing flowchart

Office Automation testing

Office automatic testing flowchart

Run Office Code Compatibility Inspector tool

As part of the overall testing process, developers can run the OCCI tool to scan for known changes or deprecations to object model members. OCCI also scans VBA Declare statements and references to DLLs used by ActiveX controls that need to be updated to be compatible with 64-bit Office 2010. When the tool encounters potential compatibility issues, it adds a comment in the code to bring the issue to the developer's attention.

Each time that an Inspector scan is complete, a summary and detailed report of what was found in the project is provided. Items that are scanned include the following:

  • Changes Any syntactical change to an object model member is flagged. OCCI detects usage of any object model member that has changed since Office 97.

  • Deprecations Any usage of a deprecated object model member is flagged. OCCI detects usage of any object model member that has been deprecated since Office 97.

For more information about how to use OCCI, see the Microsoft Office Code Compatibility Inspector user's guide. For application-specific development resources, such as details about object model changes since earlier versions of Office, see Microsoft Office 2010 (http://go.microsoft.com/fwlink/?LinkId=206197).

Remediate add-ins and applications

There are several approaches to correct an application or add-in that has a compatibility issue with Office 2010. The following sections briefly describe remediation options.

Get updates from vendors

OEAT reports provide links to add-ins known to be compatible. However, some applications might not be on this list. In this case, you have to contact the vendor directly. Be prepared to develop temporary workarounds if the updated add-in will not be available in time for your migration, or if the add-in will not be updated (or the vendor is no longer in business). If a temporary workaround is not available, consider virtualization or a parallel installation.

Update internal applications

When you have the source code and understand how the add-in or application functions, or you have documentation and the original development team is still active or can be consulted, you have an ideal situation to update an internal application. The process of updating internal applications is greatly simplified with the use of OCCI, which identifies incompatible functions within the source code. The development team will still need to perform the necessary fixes themselves. However, they will have a much easier time locating the incompatible code by using OCCI.

Note:

If the platform for writing the internal application is very old (such as Visual Basic 6, or earlier versions), we recommend that you consider a complete rewrite of the tool by using the .NET Framework.

The following guidance is useful for developers who need to update internal applications.

Add-ins created by using Visual Studio

The runtime components for Office 2010 were created so that Microsoft Visual Studio Tools for Applications (VSTA) and Visual Studio 2008 .NET add-ins, document solutions, and spreadsheet solutions will all run on 64-bit Office 2010. These runtime components are installed with Office 2010. Therefore, an administrator does not have to include a separate installation for this runtime. However, there are other considerations that are needed.

In a Visual Studio project, C# or Visual Basic code can be compiled into Microsoft Intermediate language (MSIL) when the Any CPU option is used. At runtime, the MSIL is Just in Time (JIT) compiled to the correct chip set, either AMD or Intel 32-bit or 64-bit. However, this technology does not apply to the .NET Framework in versions 1.0 and 1.1. These versions do not enable this 64-bit transformation.

Even conforming .NET Framework 2.0 code must be reviewed because any calls to a process invoke (p/invoke) in your code are native (processor architecture specific). If you try to call native API methods by using p/invoke, you can have issues with your VSTO solution running correctly on 64-bit Office 2010.

Issues can also occur if the code makes deliberate calls to a Win32 API that does not have exactly the same signature (method name, parameter list, and DLL name) of an equivalent Win64 API. This is true for any solution, whether it is an Office solution or Windows-based solution.

For more information about how to author solutions for 64-bit Office 2010, see 64-bit Applications for Visual Studio 2005 (http://go.microsoft.com/fwlink/?LinkId=178279) and 64-bit Applications for Visual Studio 2010 (http://go.microsoft.com/fwlink/?LinkId=152431) in the MSDN technical library.

VBA solutions and macros

Solutions and macros that are created by using Visual Basic for Applications (VBA) will function as long as they interface with the Office 2010 object model. However, certain calls might be deprecated and will no longer function. If VBA code uses Windows API calls, these calls are likely to 32-bit DLLs. A simple fix is to update the code so that the Declare statements use the PtrSafe keyword. OCCI can be used to identify these Declare statements. For more information about VBA 64-bit compatibility, see Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/?LinkId=186639).

ActiveX controls

ActiveX controls that are native 32-bit controls (which are likely to be any controls that are compatible with the 2007 Office system and previous Office versions) are not supported in 64-bit Office 2010. Remediation for any of these controls will require a recompile (if the source code is available), asking or waiting for a vendor update, or using a virtualization method. Again, for more information about VBA 64-bit compatibility, see Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/?LinkId=186639).

Outlook applications

Outlook 2010 enforces a new fast shutdown process for add-ins. The new shutdown process prevents add-ins from causing long delays by holding on to resources after the user exits Outlook. Although this change could adversely affect some existing add-ins, add-in vendors and IT administrators can resolve those effects by forcing Outlook to revert to the standard add-in shutdown process. For more information about the new shutdown process, see Shutdown Changes for Outlook 2010 (http://go.microsoft.com/fwlink/?LinkId=203255).

Exchange Client Extensions (ECEs) do not load in Outlook 2010. Some third-party applications, such as archiving or security solutions, use ECEs and must be updated for Outlook 2010. For more information, see Announcing the deprecation of Exchange Client Extensions (http://go.microsoft.com/fwlink/?LinkId=203888).

If you are installing 64-bit Outlook 2010, you must update 32-bit MAPI applications, add-ins, and macros for Outlook to 64-bit. For more information, see 64-bit editions of Office 2010, Building MAPI Applications on 32-Bit and 64-Bit Platforms (http://go.microsoft.com/fwlink/?LinkId=203889), and Developing Outlook 2010 Solutions for 32-Bit and 64-Bit Systems (http://go.microsoft.com/fwlink/?LinkId=208699).

Use parallel installations or virtualization

When there is no practical recode or rewrite solution, there are additional options that can assist you in finding a solution to a compatibility issue.

  • If you are waiting for vendor updates for an add-in that might be delivered at some date past your deployment date, you can opt to install Office 2003 or earlier in parallel with Office 2010 (or just the specific applications that are waiting for vendor updates, for example, such as Office Excel 2003).

    Note:

    If you are moving to a 64-bit version of Office 2010, you cannot have a parallel installation of the 2007 Office system (or earlier version) installed at the same time. All previous versions are available only in 32-bit versions.

  • If you are running Windows 7, you can install a parallel installation of Office 2003 (or earlier) in Windows XP compatibility mode, or if you are on an older version of Office, you can install it in a virtual computing environment.

  • Use App-V (formally known as SoftGrid). For more information about App-V, see Microsoft Application Virtualization 4.6 (http://go.microsoft.com/fwlink/?LinkId=143973).

  • Use Windows Terminal Services and perform one of two options:

    • If you have Windows Server 2003, you can use Windows Terminal Services to provide desktop computers that can run these solutions remotely with an earlier version of Office.

    • If you have Windows Server 2008, you can install RemoteApp. This will give users the feeling of the legacy application and the legacy version of Office on their client computers. For more information about RemoteApp, see Deploy Windows Server 2008 Terminal Services RemoteApp (http://go.microsoft.com/fwlink/?LinkId=178280).

Pilot remediated add-ins and applications

Conducting the pilot is the last major step before deployment of Office 2010. The pilot is the ultimate proving ground for the remediated options, and it should be part of the project team's role to remain involved throughout the piloting of Office 2010 to capture and correct any problems that occur. During the pilot, your release management team monitors a controlled environment in which users perform their typical business tasks by using the new features, including remediated applications and add-ins that interact with Office 2010. This demonstrates that the remediations function as expected and that the organization's business requirements are met.

As issues are reported in the pilot, an iterative approach should be taken to remediate the problems found, design a new test case, perform tests, and then deploy the updated applications back into the pilot for additional review. Specific focus should be given to how well these options work, user feedback, and any issues that limit the scope or functionality of the add-in or application that was remediated.

For more information about how to stabilize and pilot applications, see Stabilize Service Management Function (http://go.microsoft.com/fwlink/?LinkId=115624) in Microsoft Operations Framework 4.0 in the TechNet technical library.

See Also

Concepts

Office Environment Assessment Tool (OEAT) user's guide for Office 2010
Microsoft Office Code Compatibility Inspector user's guide

Other Resources

Compatibility for Microsoft Office 2010 Resource Center on TechNet
Upgrading Solutions to Office 2010 with Application Compatibility Tools and Guidance (MSDN)
Office 2010 Development Resources by Application (MSDN)
Send feedback about the Office 2010 compatibility tools


Office Environment Assessment Tool (OEAT) user's guide for Office 2010

This user's guide for the Office Environment Assessment Tool (OEAT) will help you work successfully with OEAT. Before you use this guide, we recommend that you perform the planning steps described in Office 2010 application compatibility guide and that you are ready to run OEAT to scan your organization's client computers for add-ins and applications that interact with Microsoft Office.

A new version of OEAT is available as of July 2011. To download the Update 1 version of OEAT, see Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink/p/?linkid=171092).

In this article:

  • About OEAT

  • What's new in OEAT

  • OEAT requirements

  • Deploying OEAT

  • Working with OEAT data

  • Troubleshooting OEAT errors

  • Appendix

About OEAT

OEAT is a free downloadable executable (.exe) file that scans client computers for add-ins and applications that interact with Microsoft Office 97, Microsoft Office 2000, Microsoft Office XP, Microsoft Office 2003, the 2007 Microsoft Office system, and Microsoft Office 2010. You use OEAT during the assessment phase of your application compatibility and remediation project, which is described in detail in Office 2010 application compatibility guide. The following figure shows how OEAT fits into the overall process of assessing application compatibility.

Flowchart showing OEAT in the assessment process

OEAT detects add-ins and applications by using the following two methods:

  • OEAT checks a predetermined list of folders and registry locations on each client computer for the presence of add-ins that are used for Microsoft Outlook, Microsoft Word, Microsoft Excel, and Microsoft PowerPoint. The add-in types include Automation add-ins, COM add-ins, VBA add-ins, and application-level add-ins created by using Visual Studio.

  • Optionally, OEAT runs a passive scan against client computers to monitor for applications that call Office APIs. The passive scan works by enabling auditing on certain registry keys (over a configurable period of hours or days) that are used when Office APIs are called. Based on this auditing, OEAT can determine which applications are calling Office APIs. This includes each executable name and version, and the date and time that the executable was run. When the auditing period is complete, OEAT disables auditing on the registry keys.

You can customize how OEAT runs by using a built-in wizard to generate a settings file (Settings.xml). The options include whether to run a passive scan, whether to scan the client computer silently (with no user interaction), and the UNC path or local path where the scan results are saved. You deploy Settings.xml together with OEAT.exe, either in a central shared folder or deployed to individual client computers by using products such as Microsoft Systems Management Server (SMS) or Microsoft System Center Configuration Manager. You can also deploy an execution script (based on sample that is provided later in this article) to automate invoking the command-line version of OEAT from each client computer.

For each client computer that is scanned, OEAT generates a uniquely named .xml file that contains details about add-ins and applications that are detected, and also system information about each client computer, such as drive space, memory, and the versions of Office and Windows that are installed. OEAT can save each .xml file to a central shared folder, or you can use System Center Configuration Manager to collect .xml files saved on each client computer.

When all client scans are complete, you can use a function within OEAT to compile the .xml scan results for each client computer into an Microsoft Excel spreadsheet. As part of this compilation, OEAT can compare the discovered add-ins and applications against the list of compatible add-ins that are tracked by the Microsoft Independent Software Vendor (ISV) Application Compatibility Visibility Program. You can then use the resulting spreadsheet to analyze and prioritize add-ins and applications for testing and remediation.

What's new in OEAT

OEAT has been updated as of July 2011. The Update 1 version is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?linkid=171092).

The following fixes and enhancements are available in this release:

  • Passive scanning works in all languages.

  • Scan result files are named by using a GUID instead of a MAC address. This change eliminates naming conflicts that can occur in some environments.

  • When compiling scan results on a computer that does not have Internet access, OEAT can use a local copy of the vendors list (vendors.xml) that has been downloaded from another computer.

Important:

Scan result files that are generated by the previous version of OEAT are not compatible with the newly released version. You must scan clients by using the new version of OEAT.

OEAT requirements

This section describes the requirements for running OEAT for scanning client computers and for managing the resulting data.

Requirements for scanning client computers

All client computers that run OEAT must have Microsoft .NET Framework 2.0 or a later version installed. In addition, each user account that runs OEAT must meet the following requirements:

  • If a user runs OEAT from the network, the user's account must have the following permissions on the shared folder where OEAT.exe is stored:

    • NTFS permissions Read, Execute, and Write

    • Shared folder permissions Change and Read

  • If you configure Settings.xml to enable passive scanning, each user account that runs OEAT must be a member of the Administrators group on the local computer. This membership is required so that the user's account has permissions to enable auditing on registry keys for Word, PowerPoint, Excel, and Microsoft Outlook CLSID Automation keys. There are two workarounds available if you want to run passive scanning on client computers where users are not local administrators. For more information about these workarounds, see Troubleshooting OEAT errors later in this article.

Requirements for managing OEAT

Administrators run OEAT to configure the Settings.xml file and to compile scan results. The computer from which you run OEAT for management purposes must meet the following requirements:

  • The computer must have access to the Internet to download the latest compatibility data from the ISV Application Compatibility Visibility Program. If the computer does not have Internet access, use the procedure that is described in Compile the scan results to download a copy of the vendor data (vendors.xml) from another computer that has Internet access.

  • The following software must be installed on the computer:

    • Microsoft .NET Framework 2.0 or a later version

    • 2007 Office system or Office 2010 (for compiling scan results into an Excel spreadsheet)

Deploying OEAT

This section describes the tasks that you perform when you deploy OEAT. The following flowchart shows the tasks in the process. Each task corresponds to a heading in this article.

OEAT process flowchart

Choose a deployment method

The Office 2010 application compatibility guide provides guidance for choosing which client computers to scan. A statistically relevant sample of 20 percent of client computers in each business unit should be sufficient. As you choose which client computers to scan, you must consider whether you have a managed environment and whether you want OEAT to run locally on each client computer or over the network. Organizations will typically choose among one of the following deployment methods:

  • Managed deployment Use System Center Configuration Manager or Systems Management Server to distribute OEAT.exe and its related files to each client computer. For additional guidance, see the blog post Deploying Office Environment Assessment Tool (OEAT) with ConfigMgr (http://go.microsoft.com/fwlink/p/?LinkId=225020).

  • Group Policy deployment Use Group Policy to deploy OEAT.exe and its related files to each client computer, and configure Settings.xml to save the scan results to a shared folder.

  • Unmanaged deployment Copy OEAT.exe and its related files to a shared folder and provide instructions to users for running OEAT. For example, you can e-mail a link to a script that launches the command-line version of OEAT, or you can provide step-by-step instructions that describe how to launch the OEAT user interface and run the scan. Configure Settings.xml to save the scan results in a shared folder, or instruct users to e-mail the scan results.

Important:

You can perform a passive scan only if you provide a script or instructions for launching OEAT from the command line. Running a scan by using the OEAT user interface will not invoke a passive scan, even if you configured OEAT to run a passive scan in the settings file (Settings.xml). The command-line parameters for OEAT are available in OEAT command-line parameters later in this article.

Create the OEAT settings file

After you download OEAT, you can customize how OEAT runs by creating a settings file that specifies options such as passive scanning and the location (local or shared folder) where the results files are stored. You can create the settings file by using a wizard that is launched from the OEAT user interface. When you complete the wizard, OEAT creates the settings file (Settings.xml) in the same folder as OEAT.exe. Running the settings wizard is optional. However, if you do run the wizard and create a settings file, make sure that you distribute Settings.xml together with OEAT.exe.

To configure OEAT settings

  1. Double-click OEAT.exe. The OEAT user interface appears.

    Opening screen of OEAT

  2. In the Run the settings file wizard section, click the Run wizard button.

  3. On the Welcome to the OEAT - Setup Wizard page, click Next.

  4. On the Environment Scanning Information page, click each more information link to view a list of the items that are scanned on each computer. To continue, click Next.

  5. On the Passive Scan Settings page, perform the following tasks:

    1. Select Yes to perform a passive scan, if you want, and then specify the length of time that auditing will be enabled on registry keys that are used by Office API calls. Passive scanning identifies external processes that automate Office applications, such as a solution that automates Excel to create a workbook and load data into it. We recommend that you select this option when you do not have a clear inventory of solutions that interact with Office applications. Choose a time period that is long enough to collect a representative sample of solutions yet short enough to finish before the clients restart, which will reset the auditing period.

      OEAT passive scan settings

    2. Select the Run hidden (silent) on the client while scanning check box if you want the scan to run in the background without user interaction. Click Next.

  6. In the Results Folder Location page, type the local path, mapped drive, or UNC of the share to which scan results will be saved. For example: \\server name\share name\results. Click Next.

  7. On the Finished page, click Finish.

  8. Verify that Settings.xml was created in the same folder as OEAT.exe.

Create the OEAT execution script

To automate the scans performed by OEAT, you can create a script that executes OEAT.exe from the command-line and saves the script in the folder that contains OEAT.exe. In the script sample that follows, make sure that you replace <server> and <share> with the server and shared folder that contains OEAT.exe. You can distribute the script to designated users as a logon script or by another method. Regardless of how you distribute the script, it must run with administrative rights on the local computer.

The following is a JScript code sample that you can edit to use in your environment.

JScript Copy Code
// ***************************************************************
// Office Environment Assessment Tool Script
// CREATED: 8-14-2009
// VERSION:1.0
// PURPOSE:To launch the OEAT application from specified
//              UNC share with the SCAN switch.
// ***************************************************************

/* create a scripting object */
w =  new ActiveXObject("WScript.Shell");

/* shell the OEAT.exe scanner */
w.run("\\\\<server>\\<share>\\oeat.exe -scan");

/* done */

Deploy OEAT and collect the scan results

Deploy OEAT by using the method that you chose in Choose a deployment method earlier in this article. If you chose passive scanning, make sure that you wait until the auditing period has passed before you try to collect or compile the scan results. Also, note that if a client computer is restarted while a passive scan is taking place, the auditing period is reset.

Compile the scan results

After the scan results are collected in a central folder, use one of the following procedures to compile OEAT scan results into an Excel spreadsheet. If the computer that contains the scan results has Internet access, you can compile the scan results by using OEAT on that computer. If the computer does not have Internet access, or if proxy issues are preventing OEAT from downloading the vendors.xml list, you can install OEAT on a different computer that does have Internet access, and then copy the downloaded vendors.xml file to the computer where the scan results are located.

To compile scan results from a computer that has Internet access

  1. Navigate to the folder that contains the scan results and the OEAT.exe file.

  2. Double-click OEAT.exe.

  3. On the Welcome to the Office Environment Assessment Tool page, click Compile results.

    A message box prompts you to choose whether to download the latest vendor list. Click Yes to download the vendor list.

  4. A window opens and displays a progress bar that shows the progress of the compilation. The file OEAT Report.xlsx is automatically launched in Excel when the compilation is completed.

To download the vendors list from one computer and compile the scan results from another

  1. Install OMPM on any computer that has Internet access and that meets the requirements described earlier in Requirements for managing OEAT.

  2. Double-click OEAT.exe.

  3. On the Welcome to the Office Environment Assessment Tool page, click Scan your system.

  4. After the scan is completed, click Compile results.

    A message box prompts you to choose whether to download the latest vendor list. Click Yes to download the vendor list, and then close Excel file that opens automatically after the compilation is complete.

  5. In the folder where you installed OEAT.exe, locate the file that is named vendors.xml, and then copy vendors.xml to the OEAT management computer that does not have Internet access. Be sure to copy the file to the same folder where OEAT.exe and the scan results are located.

  6. On the OEAT management computer, double-click OEAT.exe.

  7. On the Welcome to the Office Environment Assessment Tool page, click Compile results.

    A message box prompts you to choose whether to download the latest vendor list. Click No. OEAT compiles the scan results by using the vendors.xml file that you manually copied.

  8. A window opens and displays a progress bar that shows the progress of the compilation. The file OEAT Report.xlsx is automatically launched in Excel when the compilation is completed.

Working with OEAT data

This section describes the contents of the OEAT report and provides some examples of how you can best use the results data.

OEAT report overview

The compiled Excel file contains multiple worksheets, including the following:

  • SummaryReport This worksheet contains summary information that will help you determine whether your scanned client computers are ready for Office 2010. The worksheet includes data on average free space, processors, computer manufacturers, Windows installations (including service pack levels), and Office installations. The resulting data could be interesting from a configuration management perspective in that client computers might not be running the versions of Office or Windows that you expect.

  • MicrosoftOfficeAddins This worksheet contains a list of all add-ins that are installed with Office.

  • AddinsNotShippedWithOffice This worksheet contains a list of all add-ins that are not included with Office. Much of your assessment and planning will come from this report. You can sort the list by application, view the last accessed or modified dates, and view the number of client computers on which the add-in was detected. You can also compare version numbers of the same add-ins to determine whether some subsets of the client computers are out-of-date, which could indicate an issue with configuration management processes in your organization.

On the AddinsNotShippedWithOffice worksheet, start with the Compatibility column to see the compatibility status of each add-in. OEAT generates the data for this column by comparing the discovered add-ins with the list of compatible add-ins that are tracked by the ISV Compatibility Program. The possible compatibility status results are as follows:

  • UNKNOWN The add-in is currently not in the Microsoft vendor list of Office 2010-compatible add-ins. Therefore, the status of this add-in is unknown. Note that this status could change as new vendor data is made available to OEAT. Each time that you compile the spreadsheet, you have the option to download new vendor data.

  • PARTIAL MATCH OEAT reports this status in two cases: OEAT found a match for the vendor name only. Or, OEAT found a match for the vendor name and product name, but the version number did not match. Use the link provided in the URL column to check the vendor list for compatible add-ins from the vendor.

  • EXACT MATCH This status is shown when the vendor name matches, the product name matches, and the version number of the add-in is equal to or greater than the version that was reported by the vendor.

Important:

The Compatibility column is not shown if you choose not to download compatibility data when prompted in the final version of OEAT, or if you are using the beta version of OEAT. You can download the final version of OEAT from the Microsoft Download Center.

View top 10 add-ins

The MicrosoftOfficeAddins and AddinsNotShippedWithOffice tabs contain a count column that displays the number of times each add-in or application is detected. You can filter this list to show the top 10 add-ins and applications by using the following method:

  1. On the MicrosoftOfficeAddins or AddinsNoShippedWithOffice tab, in the count column heading, click the down arrow.

  2. Point to Number Filters, and then click Top 10. Adjust the AutoFilter if you want, and then click OK.

Organize results by application

Although you might want to study possible compatibility issues for each application in Office, at first you can focus on only one application. You can select to view the data from one Office application — such as Excel in the app column — and get a list of only the add-ins and applications that interface with Excel.

View unknown add-ins

After you have filtered the list by application and by the top 10, you can again filter the list of applications that are UNKNOWN or PARTIAL MATCH in the compatibility column. By using filters again, you can also remove from the list all add-ins that are already known to be compatible with Office 2010.

Check for inconsistencies in configuration management

After you have compiled a list of add-ins per application that are not specifically known to work with Office 2010, you can then order the list from most to least common and are the top 10 of concern. From this point, you can perform the following steps:

  • Study the version information From the items reviewed, check the version of the add-ins or applications. Do you already have the most recent version supported by the vendor? Is the application fully deployed? Can you contact the vendor to verify the latest version?

  • Note the last access date Determine if an add-in or application was used in your environment recently. If it has an old access date, you can check the systems that report that particular add-in in the RawData worksheet to see whether it is used by current users.

  • Use the Load column The Load column lets you know if the add-in is loaded when Office runs. OEAT notes this behavior as follows:

    • (0) Not loaded

    • (1) Loaded at next startup only

    • (2) Loaded on demand

    • (3) Loaded at startup

    • (8) Loaded on demand

    • (9) Loaded on demand

    • (16) Loaded first time, then loaded on demand

Create PivotChart and PivotTable reports

There other opportunities for displaying the data by using PivotChart reports or highlighting specific information by using PivotTable reports. For more information about Excel PivotChart and PivotTable reports, see Overview of Excel charts (http://go.microsoft.com/fwlink/p/?LinkId=178194) and Overview of PivotTable reports (http://go.microsoft.com/fwlink/p/?LinkId=178195).

Troubleshooting OEAT errors

This section helps you troubleshoot issues that you might encounter when you use OEAT.

Passive scanning fails and the message "Error setting permissions on registry keys" appears in the errors.log file

If a user who is not a local administrator attempts to run a passive scan, a series of errors are written to an error file (errors.log) in the same folder as OEAT.exe. The errors in the log are as follows:

... SCAN: Error setting permissions on registry keys. PERMISSION ERROR: System.UnauthorizedAccessException: Attempted to perform an unauthorized operation. … at OfficeAddinScanner.clsWatcher.addAudits()

If you need to run a passive scan against client computers without the user being a local administrator, you can perform the following workarounds:

  • Create a Group Policy object (GPO) that sets Change permissions for the user on the following audit keys.

    • Excel = HKEY_CLASSES_ROOT\CLSID\{00024500-0000-0000-C000-000000000046}

    • PowerPoint = HKEY_CLASSES_ROOT\CLSID\{91493441-5A91-11CF-8700-00AA0060263B}

    • Word = HKEY_CLASSES_ROOT\CLSID\{000209FF-0000-0000-C000-000000000046}

    • Outlook = HKEY_CLASSES_ROOT\CLSID\{0006F03A-0000-0000-C000-000000000046}

    For more information about how to set audit key values by using a GPO, see How to use Group Policy to audit registry keys in Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=178196).

  • Deploy OEAT to run under the Local System account on each client computer by using a management solution such as Systems Management Server or System Center Configuration Manager. Configure the tool to run from the Startup folder or Windows Run registry key, and then collect the scan results file from each client computer.

Passive scanning fails and the message "SCAN: Error setting up passive scan. Some or all identity references could not be translated." appears in the errors.log file

This error message appears when client computers are running localized versions of Windows in which the names of security groups are not in English. The failure occurs because OEAT has a hard-coded dependency on the English name of the Everyone group. In clients that use a language version other than English, the Everyone group might be localized for the specific language of the client. On these clients, passive scanning fails.

A new version of OEAT is available that fixes this issue. To download the new version, see Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink/p/?linkid=171092).

In some environments, identical MAC addresses cause scan result files to have identical names

Customers have reported that in some environments, such as Citrix environments, scan results cannot be consolidated or compiled because the scan results file for each client uses the same file name. A new version of OEAT is available that uses GUIDs to ensure that scan result files use unique names. To download the new version, see Office 2010 Tool: Office Environment Assessment Tool (http://go.microsoft.com/fwlink/p/?linkid=171092).

The vendor list (vendors.xml) cannot be downloaded

Proxy issues can prevent OEAT from downloading the vendors list (vendors.xml) on computers that have Internet access. If downloading the vendors list fails, use the procedure in Compile the scan results to download vendors.xml from a separate computer, such as a home computer, that does not use a proxy server.

You receive the error "Old format or invalid type library" when you compile OEAT scan results

This error occurs when you are compiling OEAT scan results from a client computer that runs the English version of Excel and your current locale is configured for a language other than English. In this situation, Excel will try to locate the language pack for the configured language. If the language pack is not found, the error is reported. To work around this issue, change your locale to match the version of Excel that you are running on the client computer, and then try to compile the scan results again.

Appendix

This appendix describes OEAT command-line parameters and the locations where OEAT searches for add-ins and applications.

OEAT command-line parameters

You can run OEAT at the command prompt or in a script by using the set of parameters shown in the following table.

Parameter | Description
-scan | Runs OEAT.exe with the scan option. This parameter requires that Settings.xml file is saved to the same folder as OEAT.exe.
-setup | Runs the Setup wizard that creates the Settings.xml file.
-compile | Compiles the scan result files into an XML file. This file is saved to the folder that is specified in the Settings.xml file. If no Settings.xml file exists, the default configuration is used and the compiled data is saved to a file in the current folder.
-help | Opens the Help window.
-debug | Stops the scan if there is an error and displays a message box that describes the error.

Additional parameters are available for use with the Oeat.exe -scan command. The syntax is:

OEAT.EXE -scan <path to settings.xml> <path to errors.log>

For example, you can use this command in the following ways:

  • Oeat.exe -scan [default] %temp%\errors.log

  • Oeat.exe -scan \\someotherserver\path\settings.xml

  • Oeat.exe -scan \\someotherserver\path\settings.xml %temp%\errors.log

  • Oeat.exe -scan %temp%\settings.xml \\server\share\errors.log

  • Oeat.exe -scan %temp%\settings.xml %temp%\errors.log

When using these parameters, note the following requirements:

  • The settings file must be named settings.xml.

  • The errors log file must be named errors.log.

  • You do not need both the settings and error paths, but you cannot specify the errors path without specifying the settings path first.

  • You can specify [default] for the settings.xml path to have OEAT use the one in the same folder the OEAT.EXE.

Locations scanned by OEAT

Folders scanned:

%programfiles%\Microsoft Office\Office9\Xlstart

%programfiles%\Microsoft Office\Office10\Xlstart

%programfiles%\Microsoft Office\Office11\Xlstart

%programfiles%\Microsoft Office\Office12\Xlstart

%programfiles%\Microsoft Office\Office9\STARTUP

%programfiles%\Microsoft Office\Office10\STARTUP

%programfiles%\Microsoft Office\Office11\STARTUP

%programfiles%\Microsoft Office\Office12\STARTUP

%programfiles%\Microsoft Office\Office14\STARTUP

%appdata%\Microsoft\Excel\XLSTART

%appdata%\Microsoft\Word\STARTUP

%appdata%\Microsoft\AddIns

Extensions discovered within the scanned folders:

PowerPoint: ppa, ppam

Excel: xla, xlm, xll, xlam

Word: dot, dotm, .wll

Office: .dll

Registry locations scanned:

PowerPoint:

HKEY_CURRENT_USER\SOFTWARE\Microsoft\Office\PowerPoint\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\PowerPoint\AddIns

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\PowerPoint\AddIns

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\PowerPoint\AddIns

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\PowerPoint\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\PowerPoint\Addins

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\9.0\PowerPoint\AddIns

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\10.0\PowerPoint\AddIns

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\11.0\PowerPoint\AddIns

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\12.0\PowerPoint\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0\PowerPoint\Addins

Outlook:

HKEY_CURRENT_USER\Software\Microsoft\Office\Outlook\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\Outlook\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\Outlook\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Outlook\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Outlook\Addins

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Outlook\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\9.0\Outlook\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\10.0\Outlook\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\11.0\Outlook\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\12.0\Outlook\Addins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0\Outlook\Addins

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Outlook\Addins

Excel:

HKEY_CURRENT_USER\Software\Microsoft\Office\Excel\Addins\

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\Excel\Add-in Manager

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\Excel\Add-in Manager

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Excel\Add-in Manager

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Excel\Add-in Manager

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Excel\Add-in Manager

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\Excel\Addins\

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\Excel\Options::OPEN#

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\Excel\Options::OPEN#

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Excel\Options::OPEN#

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Excel\Options::OPEN#

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Excel\Options::OPEN#

Word:

HKEY_CURRENT_USER\Software\Microsoft\Office\Word\Addins\

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\Word\Add-ins

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\Word\Add-ins

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Word\Add-ins

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Word\Add-ins

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Word\Add-ins

HKEY_LOCAL_MACHINE\Software\Microsoft\Office\Word\Addins\

HKEY_CURRENT_USER\Software\Microsoft\Office\9.0\Word\Options::STARTUP-PATH

HKEY_CURRENT_USER\Software\Microsoft\Office\10.0\Word\Options::STARTUP-PATH

HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Word\Options::STARTUP-PATH

HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Word\Options::STARTUP-PATH

HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Word\Options::STARTUP-PATH

Registry keys monitored during passive scan:

{00024500-0000-0000-C000-000000000046}

{91493441-5A91-11CF-8700-00AA0060263B}

{000209FF-0000-0000-C000-000000000046}

{0006F03A-0000-0000-C000-000000000046}

See Also

Concepts

Office 2010 application compatibility guide

Other Resources

Compatibility Resource Center on TechNet


Microsoft Office Code Compatibility Inspector user's guide

The Microsoft Office Code Compatibility Inspector helps you troubleshoot compatibility issues in your Microsoft Visual Basic for Application (VBA) Macros and add-ins.

Use the Microsoft Office Code Compatibility Inspector to inspect VBA code that you created in previous versions of Microsoft Office and to help you make any Windows Application Programming Interface (API) calls in your code compatible with the 64-bit edition of Microsoft Office 2010.

In this article:

  • About the Inspector

  • Installation

  • Inspecting VBA code

  • Inspecting Visual Studio code

  • Using the Inspector

  • Additional resources

About the Inspector

The Microsoft Office Code Compatibility Inspector for is designed to help an enterprise or small business update Visual Basic for Applications (VBA) and Visual Studio Tools for Office code so that it is compatible with Office 2010. The Inspector does not correct code; it inspects code, and then comments specific lines of code that reference items in the object model that have been changed or deprecated. (In VBA code, the tool also comments Declare statements for 64-bit compatibility.) You can then modify the code based on the comments, or use the links that are provided in the comments to view topics on the Web that are pertinent to a particular line of your code.

Again, it is up to you to modify the code if you determine that it needs to be modified.

The key features of the Office Code Compatibility Inspector include the following:

  • It consists of four add-ins that load, one add-in per application, in Excel 2010, PowerPoint 2010, Word 2010, and Visual Studio 2008.

  • It runs on a per-user or a per-document basis. For VBA, users open a document and run the tool from the Developer tab. For Visual Studio projects, the developer runs the tool from the Tools menu.

  • It scans the projects in the current document or Visual Studio Solution by using a simple text search, looking for parentObject.Property combinations, and scans Declare statements for 64-bit compatibility (in VBA).

  • It adds comments in the code where it finds other potential issues.

  • It displays a summary and a detailed report of its findings after it completes its inspection.

You cannot use this tool to inspect code from Microsoft Outlook or Microsoft Access. However, you can use the tool to inspect Excel, PowerPoint, and Word code for interaction with the Outlook object model.

Installation

To install the Office Code Compatibility Inspector, follow these steps:

  1. Download the Update 1 version of OCCI from Office 2010 Tool: Compatibility Inspector (http://go.microsoft.com/fwlink/p/?LinkId=171093). Save it to your desktop or some other location that is convenient to you, and then browse to the file and open it to start the installation.

    • You can choose to install only the Visual Studio add-in.

    • You can choose to install only the Office add-ins.

    • Or, you can choose to install both.

  2. Follow the prompts and then choose Finish to complete the installation.

Displaying the Developer tab

For each Office application in which you plan to use the tool, do the following:

  1. Open Excel 2010, PowerPoint 2010, or Word 2010 if it is not already open.

  2. On the File tab, choose Options.

  3. Choose Customize Ribbon.

  4. Under Choose commands from on the left side of the dialog box, choose Popular Commands.

  5. Under Customize the ribbon on the side of the dialog box, choose Main tabs, and then choose the Developer check box.

  6. Choose OK.

Enable VBA project access

For each Office application in which you plan to use the tool, do the following:

  1. Open Excel 2010, PowerPoint 2010, or Word 2010 if it is not already open.

  2. On the File tab, choose Options.

  3. Choose Trust Center.

  4. Choose Trust Center Settings.

  5. On the Macro Settings tab, select Trust access to the VBA project object model.

Inspecting VBA code

To inspect a document for compatibility, follow these steps:

  1. Open the document in Excel 2010, PowerPoint 2010, or Word 2010.

  2. On the Developer tab, choose Inspect VBA Code.

    Figure 1. Code Compatibility Inspector options on the Developer tab

    Inspector options on the Developer tab

  3. In the Inspect VBA Project dialog box, select or clear the options as appropriate, and then choose Inspect.

    Figure 2. Inspect VBA Project dialog box

    Inspect VBA Project dialog box

    1. Choose Inspect Visual Basic for Application Projects so you can inspect the VBA project for items in the object model that have changed or have been removed.

    2. Choose Inspect Declare statements if your project will only be run on Office 2010, or your project might run on a system that is running 64-bit Office 2010.

    3. Choose Add comments to place comments in your code where the tool identifies potential compatibility issues. The comments that the Inspector adds look similar to the following example.

      Visual Basic Copy Code
      '<VBA_INSPECTOR>
'      <DEPRECATION>
'        <MESSAGE>Potentially contains ... </MESSAGE>
'        <ITEM>AnswerWizard.ResetFileList</ITEM>
'        <URL>http://go.microsoft.com/fwlink/p/?LinkID=171730</URL>
'      </DEPRECATION>
'<VBA_INSPECTOR>

    4. Choose Detailed Report to create a report at the end of the inspection process. The report is a text file that looks similar to the following example.

      Copy Code
      SUMMARY:
========

Document scanned:        c:\TestFile.xls
Date Scanned:            Thursday, November 12, 2009
Total lines scanned:     101
Total items found:       1
Deprecated items:        0
Changed items:           1
Redesigned items:        0
Declare statements:      0

DETAILS:
========

MODULE:            Module1
FUNCTION:          Macro1
LINE:              19
TYPE:              CHANGE
ITEM:              Workbook.VBProject
URL:               http://go.microsoft.com/fwlink/p/?LinkID=170116
CODE:              For Each comp In
ActiveWorkbook.VBProject.VBComponents

  4. After the Inspector completes its scan, it displays a summary report similar to the following.

    Figure 2a. Code Compatibility Inspector Summary

    Code Compatibility Inspector Summary

    • Total lines scanned - Total number of VBA code lines scanned in the document.

    • Total items found - Total number of problematic items that the Inspector found in the code, including Declare statements to update, changed items, deprecated items, and items affected by design changes.

    • Deprecated items - Items in the code that were removed from the object model, or are no longer supported in it. If your code is dependent on a deprecated item, you must rewrite that portion of the code.

    • Changed items - Items in the code that use a command whose syntax has changed. If your code uses outdated syntax, you must update the code.

    • Redesigned items - Items in the code whose syntax is the same and still exists, but whose updated design might yield unexpected results against your code. For example, formatting a particular text box might have changed because of new text services, and as a result, your code might create a text box, but the layout of the text in the box might be different from previous versions.

    • Declare statements - Total number of Windows API statements detected in the VBA code and then updated for 64-bit compatibility by adding the PTRSAFE keyword.

Inspecting Visual Studio code

To inspect a document for compatibility, follow these steps:

  1. Open the solution that you want to inspect in Visual Studio Tools for Office.

  2. On the Tools menu, choose Inspect VSTO Code.

    Figure 3. VSTO Tools menu

    VSTO Tools menu

  3. In the Inspect VSTO Project dialog box, select or clear the options as appropriate, and then choose Inspect.

    Figure 4. Inspect VSTO Project dialog box

    Inspect VSTO Project dialog box

    1. Select Inspect Visual Studio Tools for Office Source (VB.NET and C#) to inspect your Visual Studio Tools for Office project for items in the object model that have been changed or removed.

    2. Choose Add comments to place comments in your code where the tool identifies potential compatibility issues. The comments that the Inspector adds look similar to the following example.

      C# Copy Code
      //<VSTO_INSPECTOR>
//  <DEPRECATION>
//      <MESSAGE>Potentially contains removed items...</MESSAGE>
//      <ITEM>[mso]AnswerWizard.ResetFileList</ITEM>
//      <URL>http://go.microsoft.com/fwlink/p/?LinkID=171730</URL>
//  </DEPRECATION>
//</VSTO_INSPECTOR>

    3. Choose Detailed Report to create a report at the end of the inspection process. The report is a text file that looks similar to the following example.

      Copy Code
      SUMMARY:
========

Solution scanned:        ExcelAddIn1
Date scanned:            Thursday, November 12, 2009
Total lines scanned:     43
Total items found:       3
Deprecated items:        3
Changed items:           0
Redesigned items:        0

DETAILS:
========

MODULE:      ThisAddIn.cs
FUNCTION:    ThisAddIn_Startup
LINE:        17
TYPE:        DEPRECATION
APP:         mso
ITEM:        AnswerWizard
URL:         http://go.microsoft.com/fwlink/p/?LinkID=171730
CODE:        xlApp.AnswerWizard.ResetFileList();

MODULE:      ThisAddIn.cs
FUNCTION:    ThisAddIn_Startup
LINE:        19
TYPE:        DEPRECATION
APP:         xls
ITEM:        SmartTagRecognizers
URL:         http://go.microsoft.com/fwlink/p/?LinkID=170614
CODE:        xlApp.SmartTagRecognizers.Recognize = true;

MODULE:      ThisAddIn.cs
FUNCTION:    ThisAddIn_Startup
LINE:        22
TYPE:        DEPRECATION
APP:         xls
ITEM:        SmartTags
URL:         http://go.microsoft.com/fwlink/p/?LinkID=170617
CODE:        MessageBox.Show(r.SmartTags.Count.ToString());

    4. Choose Backup to back up your project files before inspecting your code.

  4. After the Inspector completes its scan, it displays a summary report similar to the following.

    Figure 5. Code Compatibility Inspector Summary

    Code Compatibility Inspector Summary

    • Total lines scanned - Total number of Visual Basic .NET or C# code lines scanned in the document.

    • Total items found - Total number of problematic items that the Inspector found in the code, including changed items, deprecated items, and items affected by design changes.

    • Deprecated items - Items in the code that were removed from the object model, or are no longer supported in it. If your code is dependent on a deprecated item, you must rewrite that portion of your code.

    • Changed items - Items in the code that use a command whose syntax has changed. If your code uses outdated syntax, you must update the code.

    • Redesigned items - Items in the code whose syntax is the same and still exists, but whose updated design might yield unexpected results against your code. For example, formatting a particular text box might have changed because of new text services, and as a result, your code might create a text box, but the layout of the text in the box might be different from previous versions.

    • Declare statements - Total number of Windows API statements detected in the VBA code and then updated for 64-bit compatibility by adding the PTRSAFE keyword.

Using the Inspector

If the Inspector finds Changed, Deprecated, or Redesigned items in your code, you must debug your code and resolve any issues. We recommend that you perform a full test pass on your code, inspecting each function. As you debug your code, check for Office Code Compatibility Inspector comments above the lines that break your code. Those comments should help you to determine the underlying problem with that particular line of code. If the problem is not immediately obvious to you, paste the URL that is in the comments into your browser to get more information.

Removing comments in VBA

To remove the comments from the code after you complete the process and verify your code for Office 2010 compatibility, choose Remove Comments on the Developer tab in your Office 2010 application.

The Inspector removes all comments that it placed in your VBA project and then notifies you how many items it removed.

Figure 6. Message that specifies the number of items removed

Message that specifies the number of items removed

Removing comments in Visual Studio

To remove the comments from the code after you complete the process and verify your code for Office 2010 compatibility, choose Remove VSTO Inspector Comments on the Tools menu in Visual Studio.

The Inspector removes all comments that it placed in your Visual Studio Tools for Office project and then notifies you how many items it removed.

Figure 6a. Message that specifies the number of items removed

Message that specifies the number of items removed

Additional resources

For more information, see the following resources:

  • Office Environment Assessment Tool (OEAT): Office Compatibility (http://go.microsoft.com/fwlink/p/?LinkId=171092)

  • Office 2010 application compatibility guide

  • Office Environment Assessment Tool (OEAT) user's guide for Office 2010

  • Office Migration Planning Manager overview for Office 2010

  • Compatibility Resource Center on TechNet (http://go.microsoft.com/fwlink/p/?LinkID=186766)


Document compatibility for Office 2010

The primary resources for Microsoft Office 2010 document compatibility and conversion are listed in the following table. These resources are especially useful for IT professionals who have to evaluate and resolve the document compatibility issues that can occur while you are using compatibility mode or after you convert to the Open XML format.

In this documentation:

Article | Description
Plan for using compatibility mode in Office 2010 | Provides guidance to IT administrators who are preparing their environment and users for using compatibility mode to edit Office documents.
Plan for document conversion in Office 2010 | Provides guidance for assessing and converting binary Office documents to the Open XML format as part of an Office 2010 migration.
Office Migration Planning Manager (OMPM) for Office 2010 | Provides an overview of the Office Migration Planning Manager (OMPM), which is a collection of tools that enables you to prepare an environment for migration to Microsoft Office 2010.
Document compatibility reference for Excel 2010, PowerPoint 2010, and Word 2010 | Provides resources about compatibility functionality. It includes technical references and resources for users.
File format reference for Office 2010 | Provides information about the file formats that are supported in Microsoft Office 2010, including the Open XML Formats.
Compatibility Resource Center on TechNet (http://go.microsoft.com/fwlink/p/?LinkID=186766&clcid=0x409) | Provides links to content, videos, and tools that are used for document compatibility planning and conversion in Office 2010.


Plan for using compatibility mode in Office 2010

Although standardizing on the Microsoft Open XML file format is the best way to minimize compatibility issues, this goal can be difficult to achieve for organizations that plan to deploy Microsoft Office 2010 over a period of months or years. Even after the migration is complete, users might continue to collaborate with partners, customers, and other organizations that use earlier versions of Office. To help users maintain productivity during all phases of an Office 2010 migration, you can let users continue to work in the 97-2003 binary file format (*.doc, *.xls, and *.ppt) and use the compatibility features that are included with Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

In this article:

  • Overview of Office document compatibility in Office 2010

  • Is using compatibility mode right for your organization?

  • Preparing Office 2010 users for using compatibility features

  • Changing default file formats and other settings for Office 2010 documents

  • Planning security settings for binary files that are opened in Office 2010

Overview of Office document compatibility in Office 2010

When planning a migration to Office 2010, you face the challenge of not only determining which versions of Office documents are being used in your organization, but also assessing how those documents will function when users open and save them by using different versions of Office. Your task can be even more challenging if you are performing this assessment for millions of documents of varying complexity, age, and history.

Nevertheless, in the middle of planning an Office migration, it is easy to forget that converting Office 2003 and earlier binary files to the Open XML format is not a strict requirement of Office 2010 migration. Organizations that do not have a strong business requirement to convert binary files to the Open XML format can skip the bulk conversion process completely. They can let users edit binary files in compatibility mode, which is enabled automatically when a user opens a binary file in Excel 2010, PowerPoint 2010, or Word 2010. Compatibility mode disables certain features that are exclusive to these applications in Office 2010 so that the binary files remain compatible with previous versions of Office.

The disadvantage of using compatibility mode is that Office 2010 users cannot use the full feature set of Office 2010. Users who need full Office 2010 functionality can create new Office documents in Open XML format, or convert existing binary files to Open XML while they edit them. To edit Open XML files after the files are created or converted to the Open XML format, users of Office 2003 or earlier versions of Office must have the Compatibility Pack installed. More details about the Compatibility Pack are provided in Preparing Office 2010 users for using compatibility features, later in this article.

Is using compatibility mode right for your organization?

Reviewing a simple list of document management characteristics can help you decide whether using compatibility features in Office 2010 is sufficient for your organization. For example, if your organization does not use extensive document management policies or systems, you may not have to spend time identifying Office documents to convert and you may not need to perform a conversion. You might also find that business groups in your organization have different requirements, some of which can only be met by conversion, and other requirements that can be satisfied by using the compatibility features.

The following considerations will help you decide whether to pursue compatibility, conversion, or both.

Compatibility is the better strategy if your organization or business group:

  • Relies on end-users to troubleshoot issues with their own Office documents.

  • Does not have business justification for converting binary files to Open XML format.

  • Is not adversely affected by feature differences that occur when compatibility mode is used.

Conversion is the better strategy if your organization or business group:

  • Uses document management products and understands the location and kind of Office documents that are managed by those products.

  • Manages documents by using retention, compliance, information rights management, or auditing policies.

  • Needs conversion to Open XML format as a business justification for migrating to Office 2010.

  • Supports Office documents through a Help Desk or IT department.

The instructions in the remainder of this article will help you prepare to work in compatibility mode. However, if your organization chooses conversion as its strategy, you can conduct the assessment and conversion of binary Office files by using the Office 2010 Migration Planning Manager (OMPM), which is available on the Microsoft Download Center. For more information, see Plan for document conversion in Office 2010 and Office Migration Planning Manager overview for Office 2010

If you need guidance on assessing the compatibility of Office add-ins and applications, see Office 2010 application compatibility guide.

Preparing Office 2010 users for using compatibility features

As part of your overall Office 2010 training plan, you should provide guidance to users on how to use compatibility mode. Topics to cover include the features that are disabled in compatibility mode, the visual clues that indicate that compatibility mode is being used, and, if using Open XML is supported by their business group, how to exit compatibility mode by converting files to Open XML format.

The following table provides links to information that you can use to prepare users for working in compatibility mode.

Functionality Excel 2010 PowerPoint 2010 Word 2010

Enabling compatibility mode

Work in compatibility mode in Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196420)

Features are lost when you open a presentation created in an earlier version of PowerPoint(http://go.microsoft.com/fwlink/p/?LinkID=207536&clcid=0x409)

Use Word 2010 to open documents created in earlier versions of Word (http://go.microsoft.com/fwlink/p/?LinkId=196421)

Create a document to be used by previous versions of Word (http://go.microsoft.com/fwlink/p/?LinkId=196422)

Feature differences when compatibility mode is used

Excel 2010 features that are not supported in earlier versions of Excel (http://go.microsoft.com/fwlink/p/?LinkId=196436)

Features are lost when you open a presentation created in an earlier version of PowerPoint(http://go.microsoft.com/fwlink/p/?LinkID=207536&clcid=0x409)

Feature availability in each mode (http://go.microsoft.com/fwlink/p/?LinkId=196437)

Converting files to Office 2010 format (exiting compatibility mode)

Convert a workbook to the Excel 2010 file format (http://go.microsoft.com/fwlink/p/?LinkId=196423)

Convert a PowerPoint presentation from a previous version to PowerPoint 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196424)

Convert a document to the Word 2010 mode (http://go.microsoft.com/fwlink/p/?LinkId=196425)

Office 2010 users who create or edit files in the Open XML format can convert the files to binary format by using the Save As command and selecting the appropriate 97-2003 format ( .doc, .ppt, or .xls). Compatibility Checker will alert the users to any content in the file that is not supported by earlier versions of the application. If you expect this to be a common scenario, you can also provide guidance on how to use Compatibility Checker. See the articles listed in the following table:

Functionality | Excel 2010 | PowerPoint 2010 | Word 2010
Running Compatibility checker | Check an Excel 2010 workbook for compatibility with earlier versions of Excel (http://go.microsoft.com/fwlink/p/?LinkID=196429) | Determine whether a PowerPoint 2010 presentation is compatible with PowerPoint 2003 or earlier (http://go.microsoft.com/fwlink/p/?LinkId=196430) Compatibility Checker (http://go.microsoft.com/fwlink/p/?LinkId=196431) | Compatibility changes between versions (http://go.microsoft.com/fwlink/p/?LinkId=196432)

If your Office 2010 users will be creating new files in the Open XML format, you must deploy the Compatibility Pack to users who will use Microsoft Office 2000, Office XP, or Office 2003 to edit files. The Compatibility Pack is not required for the 2007 Office system with Service Pack 2 (SP2) or later versions. To download the Compatibility Pack, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=191166).

For links to additional reference topics about compatibility features, see Document compatibility reference for Excel 2010, PowerPoint 2010, and Word 2010.

Changing default file formats and other settings for Office 2010 documents

By using the Office Customization Tool (OCT) and Group Policy, you can configure Office to save new Office documents in binary (97-2003) format instead of Open XML, the default file format. Changing the default file format is useful if you have business reasons that require users to continue to create new files in binary format. In addition to settings for default file format, there are also settings to configure how Word 2010 saves Open XML files to make them compatible with Word 2007 and Word 2003.

The following table describes the location of some file format options in the Group Policy Administrative Template files (ADM, ADMX, ADML) and the OCT for Office 2010. You can find a full list of settings related to file formats in Group Policy and Office Customization Tool settings in Office 2010 for OpenDocument and Office Open XML formats.

Setting | Application | Location in OCT and Group Policy | Default setting | Compatibility setting
Default file format | Excel 2010 | Microsoft Excel 2010\Excel Options\Save | Excel Workbook (*.xlsx) | Excel 97-2003 Workbook (*.xls)
 | PowerPoint 2010 | Microsoft PowerPoint 2010\PowerPoint Options\Save | PowerPoint Presentation (*.pptx) | PowerPoint 97-2003 Presentation (*.ppt)
 | Word 2010 | Microsoft Word 2010\Word Options\Save | Word Document (*.docx) | Word 97-2003 Document (*.doc)
Set default compatibility mode on file creation | Word 2010 | Microsoft Word 2010\Word Options\Save | Full functionality mode | Word 2007 mode or Word 2003 mode
Save As Open XML in compatibility mode | Word 2010 | Microsoft Word 2010\Word Options\Save | Disabled; users can decide whether a converted file is compatible with previous versions of Word | Enabled; converted files are always compatible with previous versions of Word

To download the OCT, the Group Policy Administrative Templates, and a workbook that provides information about Office 2010 Group Policy settings and OCT settings, see Office 2010 Administrative Template files (ADM, ADMX/ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316).

The following sections provide more details about these settings.

Default file format

Although we recommend leaving the default set to Open XML, you can change the default to binary format if there are business reasons that require users to continue to work in binary files. For example, if you are performing a phased migration of Office 2010 and have not yet deployed the Compatibility Pack, you will want Office 2010 users to continue to create and work in binary files so that users of Office 2003 or earlier can edit the files. When your deployment is complete, we recommend changing back to the default so that all newly created files use the Open XML format.

Set default compatibility mode on file creation (Word 2010 only)

This policy setting lets you specify the versions of Word (2003, 2007, or 2010) that you want new Word documents in Open XML format to be compatible with. Three configurations options are available for this setting:

  • Word 2003: This mode disables features in Word that are incompatible with Word 2003.

  • Word 2007: This mode disables features in Word that are incompatible with Word 2007.

  • Full functionality mode: This mode ensures that all new features remain enabled. This is the default setting for Word.

Selecting the Word 2003 option configures Word to create new Open XML files that have Word 2007 and Word 2010 features disabled. Doing so ensures that the Open XML files do not contain content that Word 2003 users cannot edit. However, users of Office 2003 and earlier must still have the Compatibility Pack installed before they can edit Word Open XML files that are compatible with Word 2003.

If you select Full functionality mode, there is no effect on the Word 2007 users. Word 2007 can open and edit Word 2010 documents. The only difference is that new features in Word 2010 are not available in Word 2007.

Save As Open XML in compatibility mode (Word 2010 only)

When a user uses the Save As command to convert a binary file to the Open XML format, the user has the option of selecting the Maintain compatibility with previous versions of Word check box. When users select this check box, the newly converted document is compatible with Word 2007. Features that are exclusive to Word 2010 are disabled. The user then edits the document in Word 2007 compatibility mode.

When you enable this policy, the Maintain compatibility with previous versions of Word check box is selected and hidden, and Word 2010 will always save the file so that it is compatible with Word 2007.

Planning security settings for binary files that are opened in Office 2010

Office binary files are susceptible to file format attacks that exploit the integrity of a file. These attacks occur when someone who intends to add malicious code modifies the structure of a file. The malicious code is run remotely and is used to elevate the privilege of restricted accounts on the computer. As a result, attackers could gain access to a computer that they did not previously have access to. This could enable an attacker to read sensitive information from the computer's hard disk drive or to install malware, such as a worm or a key logging program.

Office 2010 includes new features to make viewing and editing binary files safer. Each of these features has settings that you should consider as part of your deployment planning. The following sections provide brief descriptions of these features, their planning considerations, and links to more information.

Office File Validation

Office File Validation is a new security feature in Office 2010 that helps prevent file format attacks by scanning Office binary file formats before they are opened in Word 2010, Excel 2010, or PowerPoint 2010. To validate files, Office File Validation compares a file's structure to a predefined file schema, which is a set of rules that determine what a readable file looks like. If Office File Validation detects that a file's structure does not follow all rules described in the schema, the file does not pass validation.

Any files that fail validation are opened in Protected View. Users can decide to enable editing for files that fail validation but are opened in Protected View. Users are also prompted to send Office File Validation information to Microsoft. Information is collected only for files that fail validation.

Office 2010 provides several settings that let you configure how the Office File Validation feature behaves. These settings let you do the following:

  • Disable Office File Validation.

  • Specify Office file behavior when a file fails validation.

  • Prevent Office 2010 from sending Office File Validation information to Microsoft.

Although we recommend that you do not change the default settings for Office File Validation, your organization might have to configure Office File Validation settings to suit special security requirements. For more information, see Plan Office File Validation settings for Office 2010.

Office Protected View

Protected View is a new security feature in Office 2010 that helps mitigate exploits to users' computers by opening files in a restricted environment so they can be examined before they are opened for editing in Word 2010, Excel 2010, and PowerPoint 2010. When a file is opened in Protected View, users can view the file content but they cannot edit, save, or print the file content. Active file content, such as ActiveX controls, add-ins, database connections, hyperlinks, and Visual Basic for Applications (VBA) macros, is not enabled. Users can copy content from the file and paste it into another file. In addition, Protected View prevents users from viewing the details of digital signatures that are used to sign a document, presentation, or workbook.

By default, Protected View is enabled in Excel 2010, PowerPoint 2010, and Word 2010. However, files open in Protected View only under certain conditions. In some cases, files bypass Protected View and are opened for editing. For example, files that are opened from trusted locations and files that are trusted documents bypass several security checks and are not opened in Protected View.

We recommend that you do not change the default behavior of Protected View. Protected View is an important part of the layered defense strategy in Office 2010. It works with other security features such as Office File Validation and File Block. However, we recognize that your organization might have to change Protected View settings to suit special security requirements. To that end, Office 2010 provides several settings that let you configure how the Protected View feature behaves. You can use these settings to do the following:

  • Prevent files that are downloaded from the Internet from opening in Protected View.

  • Prevent files that are stored in unsafe locations from opening in Protected View.

  • Prevent attachments opened in Microsoft Outlook 2010 from opening in Protected View.

  • Add locations to the list of unsafe locations.

For more information about how to configure Protected View, see Plan Protected View settings for Office 2010.

See Also

Concepts

Document compatibility reference for Excel 2010, PowerPoint 2010, and Word 2010

Other Resources

Compatibility Resource Center on TechNet


Plan for document conversion in Office 2010

Because your business runs on the content that it creates, edits, and consumes every day, you must understand the potential effect of a Microsoft Office 2010 migration on this content. An important question to consider is whether to convert some or all binary Office files to the Open XML format. In many cases, an organization can limit a conversion project to business-critical files and use compatibility mode for the remaining files. Conversely, organizations that have document management processes and retention, auditing, and classification policies are likely have business needs that require a wide-scale conversion. Organizations that use 2007 Office system and that have already standardized on the Open XML file format do not have to convert or remediate existing Open XML files for use with Office 2010.

In this article:

  • Overview of file conversion in Office 2010

  • Is conversion right for your organization?

  • Is OMPM the appropriate tool for your organization?

  • Planning guidance for using OMPM in large environments

Overview of file conversion in Office 2010

When you plan a migration to Office 2010, you must consider whether to convert some or all your organization's binary Office files, such as .doc, .ppt, and .xls files, to the Open XML format. Open XML format, which was introduced in the 2007 Office system, is an XML-based file format that provides benefits such as smaller file size and improved information security, compared to binary files. Standardizing on Office 2010 and the Open XML format helps eliminate compatibility issues that can occur when users work in different file formats and in different versions of Office. However, most files in binary format open as expected in Office 2010 when users use compatibility mode. Therefore, not every file must be converted. If compatibility mode meets your business needs for most files, you can reduce the time and effort that is required for conversion by focusing on business-critical files and those that are identified as containing potential compatibility issues.

After evaluating the choices of performing a full file conversion or using compatibility mode, many organizations determine that using the compatibility features in Office 2010 is sufficient for their needs and they skip the bulk conversion process completely. As the migration progresses, Office 2010 users in these organizations have the option of saving new files in Open XML format and converting binary files while they edit them. Users who have not yet migrated to Office 2010 can still edit the Open XML files by using the Compatibility Pack. By using this "convert as you go" method, the most-used files are eventually converted to Open XML by users, and older, unused files remain in binary format.

However, maintaining both binary and Open XML files is not the best solution for all organizations. Some organizations should strongly consider conversion, especially if they are migrating to Office 2010 specifically for new features. This is particularly true for organizations that exhibit the following characteristics:

  • They use document management products and understand the location and kinds of files that are managed by those products.

  • They manage documents by using retention, compliance, Information Rights Management (IRM), or auditing policies.

  • They rely on business-critical documents that would be better managed by having the IT department proactively convert the files.

  • They used the smaller file size of Open XML files (compared to binary files) as a business justification for migrating to Office 2010.

The conversion process includes identifying and assessing the files to be converted, the conversion itself, and remediating formatting or other issues in converted documents. Microsoft provides the Office 2010 Migration Planning Manager (OMPM) to help you with the assessment and conversion process. You can use the tools in OMPM to scan Office 97 through Office 2003 files for conversion issues, create reports to help you analyze the scan data, store the scan data, and (optionally) to convert binary Office files to the Open XML file formats. This article contains guidance on evaluating OMPM and using it in large environments. You can find more information about OMPM in Office Migration Planning Manager overview for Office 2010, and you can download OMPM from the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=204300).

Is conversion right for your organization?

Some organizations have hundreds of thousands, or even millions, of Office documents in binary format. Strong business requirements for conversion must exist before you commit to a conversion project of this size. In addition, you must have a good understanding of where files are stored and the formats in which they are stored. If the business requirements and scope of the project are unclear, you should first determine whether working with compatibility mode meets your business needs for some or all your organization's files. The following resources can help you decide:

  • Read the article Overview of the XML file formats in Office 2010 to learn more about the benefits of the Open XML formats.

  • Read the article Plan for using compatibility mode in Office 2010 to review the considerations for working in compatibly mode and decide whether the trade-offs are worth the time that you save by skipping the conversion.

The timing and length of your Office 2010 migration project can also affect the business value that you gain by converting files. You gain little value from converting binary files to Open XML during a long migration if only a few users run Office 2010. A long migration might also require multiple conversions because some users of earlier versions of Office continue to create files in binary format. If your business needs dictate a conversion, we recommend that you identify the users who share documents and migrate them as closely together as possible. Users of Office 2003 and previous versions must use the Compatibility Pack to view and edit Open XML files. To review system requirements and download the Compatibility Pack, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=204348).

Is OMPM the appropriate tool for your organization?

If you decide to convert binary Office files to Open XML format, you must decide which tool to use for assessment and conversion. Microsoft provides the Office Migration Planning Manager (OMPM) for Office 2010 to help you assess and perform bulk conversions of binary files to the Open XML format. Third-party solutions are also available. The following information about OMPM can help you decide whether OMPM is the appropriate tool for your organization.

OMPM components

OMPM includes the following components:

  • File scanner The OMPM File Scanner (Offscan.exe) is a command-line tool that scans files for conversion issues on clients, file servers, and document repositories that can be accessed through WebDAV. OMPM provides two kinds of scans:

    • A deep scan that you can perform on Office documents to crawl document properties that provide indicators of potential conversion issues. This is the default scan.

    • A light scan that quickly identifies the Office documents on a user's computer or network file system.

  • Database support OMPM provides a set of batch files that you can use to import the XML log files that are generated by the OMPM File Scanner. The databases that OMPM supports are described in Administrative computer requirements.

  • Reporting OMPM provides a Microsoft Access 2010-based reporting solution that produces various reports for your analysis and enables you to define file sets for automated processing.

  • Bulk conversion OMPM includes the Office File Converter (OFC), a command-line tool that does a bulk conversion of specific files to the Office 2010 file formats.

  • Version extraction OMPM includes a Version Extraction Tool (VET) tool, a command-line tool that extracts multiple saved versions of a document in Word 97-2003 format to individual version files in Office 2010.

Enhancements for OMPM 2010

OMPM is updated for Office 2010 with the following improvements:

  • Bulk macro compatibility scanning This feature incorporates logic from Office Code Compatibility Inspector (OCCI) tool to produce a count of the potential number of VBA issues caused by changes in the object model. A new option in the offscan.ini file enables this scan.

  • Bulk 64-bit compatibility scanning This feature incorporates logic from OCCI to produce a count of potential number of 64-bit (declare) VBA issues due to use of 64-bit Office. A new option in the offscan.ini file enables this scan.

  • Date filtering for scans This feature lets you exclude the scanning of files that have not been accessed or modified within a specified period of time..

  • SQL Server 2008 and SQL Server 2008 R2 support For additional requirements for using SQL Server 2008 R2, see Administrative computer requirements.

Considerations for choosing OMPM

If you are considering using OMPM, review the following details about OMPM to help you decide whether to use this tool or invest in third-party conversion tools.

Files that OMPM scans

OMPM can scan for files that are created by the following Microsoft Office applications:

  • Access

  • Excel

  • PowerPoint

  • Project

  • Publisher

  • Visio

  • Word

For a complete list of file types that are scanned for these applications, see the section "Files scanned by the OMPM File Scanner" in Set up the Office Migration Planning Manager File Scanner for Office 2010.

Files that OMPM does not scan

OMPM does not scan .pdf files or files that are created by the following Microsoft Office applications:

  • Outlook

  • FrontPage

  • OneNote

  • InfoPath

OMPM does not scan documents that are password-protected or Information Rights Management (IRM)-protected. In addition, the OMPM File Scanner does not scan embedded objects within documents. However, it does report that the document contains embedded objects.

Reporting and remediation considerations

For each file scanned, OMPM reports a status of No Issue, Green, Yellow, or Red. Documents flagged as No Issue are better candidates for conversion. Documents that have a Green status are also candidates for conversion because they will contain only minor, cosmetic conversion issues. Documents that have Yellow or Red status contain known compatibility issues that will cause legacy objects or information not to convert at all or as expected.

OMPM scan results indicate whether binary Office files will have issues if they are converted to Open XML file format. For each file scanned, OMPM shows the issue type and a brief description of the issue that can occur if the file is converted. OMPM does not provide any specific information about potential compatibility issues if Office files are left in their binary format (97-2003 or older) and are accessed by using compatibility mode.

OMPM does not make any changes to files to fix compatibility issues. In fact, OMPM does not scan for bugs. Instead, it identifies known compatibility issues that can occur when a file is converted to the Open XML format, based on application features that were significantly changed or removed.

When scanning a file for macros, OMPM scans the file against all Office programs to determine which programs might have compatibility issues with the file. This can cause an unexpectedly large number of issues in the Functionality Issue Count column of the Macro Summary tab. Although the count is inflated, you can still use these results to identify the files that will have the most issues after conversion. For a more accurate count of macro issues for a given file, use the Office Code Compatibility Inspector, which is available on the Compatibility for Microsoft Office 2010 page on TechNet.

We recommend running a test conversion of sample files before you conduct a bulk conversion. A user will have to inspect the samples one by one and compare them to the original to determine whether the conversion resulted in any appearance or other issues. You must also plan for additional remediation to fix broken macros and links in converted files because OMPM does not fix these issues as part of the conversion. If you must have automatic remediation as part of the bulk conversion process, we recommend that you evaluate third-party conversion solutions.

Planning guidance for using OMPM in large environments

If you are an administrator who plans to use OMPM in a large environment, the following guidelines will be helpful.

Identify and prioritize files to scan using OMPM

Work with the business group owners to determine which clients, servers, and document repositories to scan by using OMPM. Business groups should also assign priority or importance to each set of files so that you can decide the order in which to scan them. Low-priority file sets can be scanned last, as time allows, or not at all. You can also communicate the scan process to users and ask them to identify which of their files are critical for conversion. By asking the users directly, you make them aware of the upcoming conversion and reduce the number of files to be scanned.

You might find it easier to scan all files and then use the OMPM results to better prioritize files. A common usage of the OMPM is to assess quantity, location, potential Office file conversion issues, and the last modified date for files. The last modified date property of Office files can be especially useful to decision makers because they might find that most Office files have not been accessed in a very long time. Therefore, there might not be a business reason to keep the files. If that is the case, you can clean up network shares by archiving out-of-date Office files to free significant disk space.

Prepare users for working with converted files

Microsoft provides several resources that help end-users learn the new user interface and features in Office 2010. Use the following resources to prepare end-users:

  • Training resources The User Readiness and Training Resource Center (http://go.microsoft.com/fwlink/p/?LinkID=202000) on TechNet contains an up-to-date list of training resources, such as interactive guides, Office Ribbon guides, e-learning courses, and more.

  • How-to articles The topic Document compatibility reference for Excel 2010, PowerPoint 2010, and Word 2010 in the Office 2010 Resource Kit provides links to articles that are written for end-users of Excel 2010, PowerPoint 2010, and Word 2010. The topics that are covered include the following:

    • Enabling compatibility mode

    • Converting files to Office 2010 format (exiting compatibility mode)

    • Running Compatibility Checker

    • Features that change when you open an Office 2010 file in an earlier version of Office

Tips for scanning large quantities of files by using OMPM

The article Office Migration Planning Manager (OMPM) for Office 2010 provides a starting point for you to begin the actual process of file scanning. If you plan to scan millions of files, use the following guidance to help simplify the scanning process.

  • Clean up files old files before you scan them. This is your opportunity to clean up your files shares and document sprawl.

  • Do not scan files that have not been modified in the most recent 6 to 12 months. OMPM 2010 supports the exclusion of files that have not been accessed or modified during a specified time. Work with business groups to determine whether scanning old files is necessary. If not, exclude those files from scanning and conversion. After the migration to Office 2010 is complete, create a plan for removal or back up of the documents that are in old file formats.

  • Focus on business-critical files, especially those that are owned by groups that create complex documents. Work with your business groups to determine which documents are considered business-critical or that must be converted for legal or compliance reasons. If applicable, use document complexity as your basis for prioritizing file scanning. For example, specific business groups, such as Finance, typically have more complex documents that require careful review and testing.

  • Scan shared folders first. The files in shared folders are more centralized, and the results can be a good sample that you can use to determine whether additional scans are needed. For example, if the files in the shared folder are more than a year old, you might decide not to convert those files.

  • Run multiple instances of offscan.exe. We recommend that you run multiple instances of the scanner (to scale out) by using a unique RunID (as set in the offscan.ini file) per scan. We advise against setting up a single instance of offscan.exe to run against a large number of files (tens of thousands).

  • Scan by folder structure. Use the folder structure as the logical unit of files to scan by. For example, if a shared folder has a top level folder and subfolders, run individual scans against the subfolders instead of trying to run the scanner against the whole shared folder.

  • Run offscan.exe on multiple clients. To scale out the number of concurrent scans, run offscan.exe on multiple clients. This is a good approach because it is likely that no one IT administrator has permissions to all shared folder locations. By using this approach, you can scan millions of Office files in several days.

  • Do not scale up by using servers to run OMPM. The design of Offscan.exe does not support scaling up, such as using more powerful hardware.

  • Use System Center Configuration Manager (SCCM) to scan clients. The OMPM user guide provides more details about how to use SCCM to deploy offscan.exe, run the scan, and then collect the scan log xml file. For more information, see Run the Office Migration Planning Manager File Scanner for Office 2010.

Tips for dealing with millions of OMPM scan results

Although the initial OMPM assessment might discover millions of files, our OMPM customers tell us that typically only 1-2% of those files are flagged as having potential conversion issues. Here are some tips for making the results more manageable. You can find additional information in the topic Analyze Office Migration Planning Manager Reports for Office 2010

  • Ensure that your project plan allows sufficient time for analyzing OMPM results. When reviewing the results, understand that the OMPM report is a "worst-case scenario" of potential issues, but most warnings are not serious enough to prevent conversion.

  • The Access-based reporting tool only can display databases of one million records or fewer. If you have more files than that, we recommend the following workarounds (shown in order of preference):

    • Break up the scan into several smaller scans.

    • Import OMPM scan data into a single large database and query it directly instead of using the Access-based report.

    • Run one large scan but import subsets of the files into separate databases.

  • The reports do not determine duplicates. Therefore, attempt to eliminate duplicate files and determine the file of record or master file.

  • Analyze large Excel files and old Access files. Can these files use the newer Excel and Access Services capabilities? Should these files be migrated to SQL Server?

  • Pay additional attention to files that have links in them (and the child files, too). Links to other documents can break after the files are converted because the file name extensions change as part of the conversion process.

  • If your organization uses SharePoint Server, consider working with a third-party vendor to help you migrate your business-critical files to a SharePoint site. The vendor can also help you train users to start sharing documents in SharePoint sites instead of sending them in email messages.

See Also

Concepts

Office Migration Planning Manager (OMPM) for Office 2010
Microsoft Office Code Compatibility Inspector user's guide
Overview of the XML file formats in Office 2010
File format reference for Office 2010

Other Resources

Compatibility Resource Center on TechNet
Download OMPM for Office 2010
Download OCCI for Office 2010


Office Migration Planning Manager (OMPM) for Office 2010

Published: May 12, 2010

The Office Migration Planning Manager (OMPM) is a collection of tools that helps you prepare an environment for migration to Microsoft Office 2010. OMPM can scan your environment in three ways: scan from an administrative computer, scan from a central share, and locally scan on the client computers. Because most users scan their environments from an administrative computer, that configuration is assumed. Other scanning scenarios are noted as needed.

Article | Description
Office Migration Planning Manager overview for Office 2010 | Provides an overview of OMPM, including a description of the contents of the OMPM download package, requirements for running OMPM, and a high-level overview of using OMPM tools.
Set up the Office Migration Planning Manager File Scanner for Office 2010 | Describes how to set up the OMPM File Scanner and install OMPM, and describes the kinds of files that are generated by an OMPM scan, including log files and .cab files.
Run the Office Migration Planning Manager File Scanner for Office 2010 | Describes how to run the OMPM File Scanner from a command line on an administrative client computer, run from the central share, and run on each client computer. Also provides references to the Offscan.ini file.
Import Office Migration Planning Manager log files into a database | Describes how to import OMPM log files into a database, import data files, import action files, and fix import failures.
Analyze Office Migration Planning Manager Reports for Office 2010 | Describes how to configure reports, review scan coverage and errors, review compatibility issues, and filter reports.

See Also

Concepts

Office Migration Planning Manager reference for Office 2010

Other Resources

Getting started with OMPM 2010


Office Migration Planning Manager overview for Office 2010

This Office Migration Planning Manager (OMPM) overview discusses the contents of the OMPM download package, requirements for running OMPM, and a high-level overview of using OMPM tools.

In this article:

  • About OMPM

  • What's new in OMPM

  • OMPM download package contents

  • Using OMPM tools

  • Deploying the OMPM File Scanner

  • How the OMPM File Scanner works

  • Administrative computer requirements

  • Client computer requirements

  • OMPM required permissions

About OMPM

OMPM is a collection of tools that enables you to prepare an environment for migration to Microsoft Office 2010. OMPM can be a very important part of an Office 2010 migration plan. You can use the tools in OMPM to any of the following:

  • Scan Office 97 through Office 2003 files for conversion issues

  • Scan for macro compatibility issues

  • Create reports to help you analyze the scan data

  • Store the scan data, and convert older Office files into the Office 2010 file formats

OMPM checks for, and reports on, file properties and contents to help you analyze the environment and determine any issues that you might experience when you convert from Microsoft Office versions 97 through 2003 file formats to Office 2010 file formats. OMPM includes the following components:

  • The OMPM File Scanner (Offscan.exe), a command-line tool that scans files for conversion issues and stores the results in XML log files in a configurable location and, optionally, can bundle these log files into .cab files. The OMPM File Scanner performs two kinds of scans:

    • A light scan that quickly identifies the Office documents on a user's computer or network file system.

    • A deep scan that you can perform on Office documents to crawl document properties that provide indicators of potential conversion issues.

    • A macro scan that quickly identifies the count of potential issues in VBA code included in document macros, or from 64-bit Office 2010 changes. Macro scanning is available only for Microsoft Excel, PowerPoint, and Word files that were created by using versions of Office ranging from Office 97 through Office 2007.

    Important:

    Files from Microsoft Outlook, Microsoft FrontPage, Microsoft OneNote, and Microsoft InfoPath are not included in either the light or deep scan.

  • A set of utilities that you can use to import the XML log files that are generated by the OMPM File Scanner into one or more of the following databases:

    • Microsoft SQL Server 2005

    • Microsoft SQL Server 2005 Express Edition

    • Microsoft SQL Server 2008

    • Microsoft SQL Server 2008 Express Edition

    • Microsoft SQL Server 2008 R2

    • Microsoft SQL Server 2008 R2 Express Edition

  • A Microsoft Access 2010-based reporting solution that provides different reports for your analysis and enables you to define file sets for automated processing.

  • The Office File Converter (OFC), which lets you perform bulk conversions of specific Office files that are in version 97 through 2003 formats to the Office 2010 file formats.

  • The Version Extraction Tool (VET), which lets you extract multiple saved versions of a single Word 97-2003 document to individual files in Word 2010.

For more information about the OFC and VET, see Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET).

What's new in OMPM

OMPM 2010 Update 1 delivers improvements to the reliability and performance of the OMPM tools. OMPM 2010 Update 1 is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=199599).

Important:

If you are using a previous version of OMPM, you cannot re-use existing client scan results, databases, or any exported data with the new version of OMPM. You must create new databases and re-scan clients by using the new version.

The following list highlights some of the key improvements in Update 1 of the OMPM File Scanner, the Office File Converter (OFC) tool, and the Version Extraction Tool (VET).

  • Improved performance of the OMPM File Scanner

  • Consistency in macro analysis across OMPM and Office Code Compatibility Inspector (OCCI)

  • Reliability improvements in the OFC and VET tools

  • Improved usability of the reporting tool

OMPM download package contents

The OMPM installation process extracts the OMPM components into the following redistributable subfolders:

  • Scan The folder that contains the OMPM File Scanner.

  • Report The folder that contains OMPM Reports. To export file lists from OMPM Reports, the database folder and related components must also be available.

  • Database The folder that contains scripts to provision and populate the OMPM database.

  • Tools The folder that contains tools the Office File Converter (OFC) and Version Extraction Tool (VET).

Using OMPM tools

The following is a high-level view of the process to use the OMPM tools in your Office migration.

  1. Use the OMPM file scanner to scan computers and generate log or .cab files that with scan results data. For more information, see Set up the Office Migration Planning Manager File Scanner for Office 2010.

  2. Import the log or .cab files into the OMPM database. For more information, see Import Office Migration Planning Manager log files into a database.

  3. Use OMPM Reports to prepare reports from the data in the OMPM database. For more information, see Analyze Office Migration Planning Manager Reports for Office 2010.

  4. Based on your report analysis, perform any of the following:

    • Use the Office Code Compatibility Inspector (OCCI) tool to assist the remediation of the files that are identified with potential macro compatibility issues. Because bulk scanning is not supported in OCCI, we recommend that you use OMPM to generate a list of issues and then use OCCI to scan each identified file for details about the macro compatibility issues.

    • Use the Office File Converter (OFC) to do bulk conversions of specific Office files that are in version 97 through 2003 file formats to the Office 2010 file formats.

    • Use the Version Extraction Tool to extract multiple saved versions of a single Word 97-2003 document to individual files in Word 2010.

Note:

Although OMPM reports on files that have embedded hyperlinks to Office files, the OFC does not resolve or update hyperlinks. Because converting files to OpenXML changes their file extensions, any hyperlinks that point to converted files will be broken.

Deploying the OMPM File Scanner

There are three possible methods for installing and running the OMPM File Scanner in your environment:

  1. Centrally-run scan Download to an administrative client computer and use that computer to scan specified network locations. This method is the simplest scanning approach and is often used for small-scale, targeted assessments.

  2. Distributed scan from shared folder Download to a central file share and use that share to scan all environment client computers. This method is useful for enabling a consistent file scan across a group of client computers.

  3. Decentralized scan Download to each environment client computer for local scanning. This method will deliver the most efficient scan execution results.

You can choose one or more of these deployment strategies to fit the needs of your environment. For more information about these methods, see Set up the Office Migration Planning Manager File Scanner for Office 2010.

How the OMPM File Scanner works

The OMPM File Scanner collects information about the computer and recursively scans the designated path for Office files. The OMPM File Scanner then records the results in an XML log file to the designated destination path.

The OMPM File Scanner performs the following tasks in a single scan:

  • Scans the computer for Office files in the folders that you specify in the FoldersToScan setting in the Offscan.ini configuration file.

  • Scans the computer for properties, such as operating system, memory, and language ID.

  • Scans for file property information, such as file name, path, size, format, created date, modified date, and file owner.

  • If the AccessScan setting is set to 1 in Offscan.ini, scans Access files and displays results on the Access Compatibility tab of the reporting tool.

  • If this is a deep scan, scans for compatibility issues moving from binary file formats to OpenXML file formats.

  • If macro scan is configured, OMPM 2010 scans any macros it encounters for migration concerns that are due to changes in the object model and logs the total count of potential issues.

  • Writes an XML log file to the destination path, displaying results for each file scan.

  • If the CABLogs setting is set to 1 in Offscan.ini, adds the XML log files to a series of .cab files for later import to a SQL Server computer for reporting analysis.

  • Logs failures to the XML log files.

Note:

  • You can use the /d parameter to prevent OMPM from changing the Last Accessed Date on files that the scanner has Write permission to. If you do not use this parameter, or if the scanner does not have Write access to scanned files, you might experience unexpected results when you use the SkipOldAccessedFiles and OldAccessDate settings in the offscan.ini file. Specifically, those settings are obeyed for the first scan and old files are skipped, but because Last Access Date property settings are updated for skipped files, the previously skipped files are scanned during subsequent scans

  • The OMPM File Scanner does not transmit data to Microsoft Corporation.

Administrative computer requirements

The requirements in the following table are for the administrative computer on which the OMPM File Scanner will run and where file scan reporting will be completed.

Operating system System components

Requirements for OMPM database provisioning or data import tools on the administrative computer.

Warning:

Maintain import tools, log file share, and database on the same server for optimal performance, or keep on same subnet to reduce network traffic.

Windows Server 2003 SP1

Windows Server 2008

Windows Server 2008 R2

Windows XP SP3

IExpress 2.0 runs on XP

Windows Vista SP3

IExpress 2.0 runs on Vista

Windows 7

IExpress 2.0 runs on Win7

Warning:

Create self-extracting packages using IExpress. Do not use self-installing packages.

OMPM Reports

Reports requires Office Access 2007 or Access 2010, 32-bit versions only.

Database components

System components

SQL Server 2005 (Only English edition is supported)

4 GB free disk space

SQL Server 2008 (Only English edition is supported)

4 GB free disk space

Requires use of the Microsoft SQL Server 2005 Backward Compatibility Components available in the Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkId=199601)

SQL Server 2008 R2 (Only English edition is supported)

4 GB free disk space

Requires use of the Microsoft SQL Server 2005 Backward Compatibility Components that are available in the Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkId=199601).

SQL Server 2005 Express Edition (http://go.microsoft.com/fwlink/p/?LinkId=95582)

Warning:

Only use for maximum 100,000 scan-able files.

2 GB free disk space

SQL Server 2008 Express Edition (http://go.microsoft.com/fwlink/p/?LinkId=199604)

Warning:

Only use for maximum 100,000 scan-able files.

2 GB free disk space

Requires use of the Microsoft SQL Server 2005 Backward Compatibility Components available in the Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkId=199601)

SQL Server 2008 R2 Express

Warning:

Only use for maximum 100,000 scan-able files.

2 GB free disk space

Requires use of the Microsoft SQL Server 2005 Backward Compatibility Components available in the Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkId=199601)

SQLXML 4.0 SP1

Enables XML support for SQL Server database. Available as part of the Microsoft SQL Server 2008 Feature Pack, October 2008 (http://go.microsoft.com/fwlink/p/?LinkId=199601)

SQLXML 3.0 SP3 is also supported for 32-bit computers. 64-bit computers must use SQLXML 4.0 SP1.

Sqlcmd.exe command-line utility (bundled with SQL Server and SQL Server Express Editions)

Sqlcmd.exe must be on client computer from which SQL provisioning and import tools are run.

Bcp.exe command-line utility (bundled with SQL Server and SQL Server Express Editions)

Bcp.exe must be on client computer from which SQL provisioning and import tools are run.

Network

System components

File share required to stage XML log files collected by OMPM File Scanner. Needs read/write/create permissions.

File share 1 GB free space

Client computer requirements

The requirements in the following table are for client computers on which the OMPM File Scanner will run.

Operating system/OMPM components Related components

Windows Server 2008

Windows Server 2008 R2

Windows XP SP3

DAO version 3.5 or 3.6 (included in Access 2000, Access 2003, Access 2007, and Access 2010; and in Windows XP, Windows Vista, Windows 7, Windows Server 2003, and Windows Server 2008. This is only required for Access file scanning)

Windows Vista

Windows Script version 5.6, 5.7, or 5.8

Windows 7

Visual C Runtime (msvcrt.dll)

Internet Explorer, versions 5 through 8

Browser is required to view supporting articles describing the discovered compatibility issues.

Office File Converter (OFC) requirement for any computer that contains files to be converted.

Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint File Formats http://go.microsoft.com/fwlink/p/?LinkId=78517

Version Extraction Tool (VET) requirement for any computer on which Vet.exe will run.

Microsoft .NET Framework 2.0 or later (http://go.microsoft.com/fwlink/p/?LinkId=224870)

If the Microsoft .NET Framework is not installed, individual components must be installed separately on the PATH system variable.

Kernel32.dll, Msjet40.dll, Crypt32.dll, Ole32.dll, Oleaut32.dll, User32.dll, Advapi.dll

OMPM Reports (on client computers that have data for analysis)

Reports requires Access 2007 or Access 2010, 32-bit versions only.

OMPM File Scanner (Office does not have to be installed to use)

Performing deep scans of Access files requires Access 2007 or Access 2010

OMPM File Scanner (Scanning doc storage systems, such as the SharePoint document library)

Web-based Distributing Authoring and Versioning IIS 6.0 required

Warning:

Only the IIS 6.0 version of WebDAV is supported. For SSL-enabled doc libraries, use Windows Vista WebDAV. Prior versions of WebDAV client are not supported.

OMPM required permissions

When you configure the environment for the use of OMPM, assign the permissions as shown in the following table.

Component Permission required

Offscan.ini file

Read/write permissions on all computers.

Offscan.exe

  • Read for Offscan.ini

  • Read/write for any directory that stores scan logs

  • Read for any file to be scanned

  • Read/write for files to be scanned by using the /d option

Database tools

  • Read for files that contain scan laws

  • Owner permission to the computer that is running SQL Server (configure/import data)

Reporting tool

  • Read access to report ompm.accdr

  • Read/write access to the SQL database

  • Owner permission for OMPM 2010 SQL database

Version Extraction Tool (VET)

  • Read to files to be converted

  • Read/write to the directory where converted files are stored

Office File Converter (OFC)

  • Read to Ofc.ini (if you intend to modify it, you need Read/write

  • Read to files to be converted

  • Read/write to the directory where converted files are stored

See Also

Concepts

Set up the Office Migration Planning Manager File Scanner for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010
Import Office Migration Planning Manager log files into a database
Analyze Office Migration Planning Manager Reports for Office 2010
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)
Office Migration Planning Manager reference for Office 2010

Other Resources

Getting started with OMPM 2010


Set up the Office Migration Planning Manager File Scanner for Office 2010

Setting up the OMPM file scanner is the first step in assessing documents for compatibility with Microsoft Office 2010. Download OMPM from the Microsoft Office Migration Planning Manager 2010 Update 1 download page (http://go.microsoft.com/fwlink/p/?LinkId=199599), and then use the guidance in this article to deploy and install OMPM and to become familiar with the OMPM components and the files that are generated by an OMPM scan.

In this article:

  • Downloading OMPM Update 1

  • Setting up the OMPM file scanner

  • Installing OMPM

  • Uninstalling OMPM

  • Files generated by an OMPM scan

  • Files scanned by the OMPM File Scanner

Downloading OMPM Update 1

The OMPM 2010 Update 1 installation package is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=199599). Numerous fixes and improvements are available for the OMPM File Scanner, the Office File Converter (OFC) tool, and the Version Extraction Tool (VET).

Important:

If you are using an earlier version of OMPM, you cannot re-use existing client scan results, databases, or any exported data with the new version of OMPM. You must create new databases and re-scan clients by using the new version.

Setting up the OMPM file scanner

To analyze your environment, you can configure the OMPM File Scanner in three ways:

  • Centrally-run scan The centrally-run method is the most often used method for distributing OMPM. It is typically employed to scan shared document repositories. To centrally run the file scan, put all required OMPM File Scanner files (which consist of the contents of the Scan folder) on an administrative client computer, and then run the OMPM File Scanner from that computer, scanning computers over the network. Specify the folders that you want to scan by configuring the value of the FoldersToScan setting in offscan.ini. By distributing the OMPM files centrally, you can change the OMPM file scanner configuration file (offscan.ini) on the administrative computer without having to redistribute it to every computer on the network.

  • Distributed scan from shared folder To use the distributed scan from the shared folder method, place the required OMPM File Scanner files (which consist of the contents of the Scan folder) on a central share. Then run the OMPM File Scanner from that share on the target client computers, scanning local computer hard drives or servers. This method also lets you change the OMPM File Scanner configuration file (offscan.ini) in the central location without having to redistribute it to every computer on the network. For this method, you also have the option of copying a script to each computer that starts the OMPM File Scanner from a file share. The scanner is invoked on a client computer by a command similar to the following:

    Pushd \\<OMPM Admin Server>\<Scan shared folder>

    Then, you execute offscan.exe from this newly mapped location. You must start offscan.exe from a mapped location to enable the scanner to recognize the scan configuration file. You can start the scan manually on clients or by using a script. Scanning can be performed silently on the client computers to keep the process transparent to the users.

  • Decentralized scan To use the decentralized scan method, distribute and run the OMPM file scanner files (the contents of the Scan folder) on each client computer and run the OMPM File Scanner locally. You can distribute the file scanner components by using your selected software installation tool, which includes logon scripts, Microsoft Deployment Kit Lite Touch, or System Center Configuration Manager. You can automatically save Cab files to the central log server by configuring the administrative client shared server location as the scan log destination in the DestinationPath setting in the offscan.ini configuration file. We recommend that you use this method if you plan to scan lots of files on each client computer.

When it runs, Offscan.exe silently installs itself on the client computer being scanned to ensure the executable file can be tracked. It also automatically uninstalls itself after it finishes a scan. If installations of Offscan.exe remain on computers on the network after you complete the scans, they can be safely removed.

The following files, which are contained in the Scan folder in the OMPM download package, are the required files for running the OMPM file scanner:

  • OFFSCAN.EXE OMPM File Scanner program

  • ACCSCAN.DLL Application library modules

  • OFFSCAN.INI Configuration file

  • MSVBVM50.DLL Visual Basic 5.0 runtime version

  • SYSTEM.MDW Access system database

When you run offscan.exe, it reads the offscan.ini configuration file for specifics about how to run the file scan. You must configure offscan.ini before you distribute OMPM file scanner files or run a file scan. For information about the settings that you can configure in the offscan.ini configuration file, see Office Migration Planning Manager Offscan.ini settings for Office 2010.

Installing OMPM

Where you install the OMPM files depends on the deployment method that you select. For more information, see the descriptions about the Centrally-run scan, Distributed scan from shared folder, and Decentralized scan methods.

To install OMPM

  1. On the central administration computer, at a command prompt, type the following, and then press ENTER: MigrationPlanningManager2010Update1.exe

  2. Review the usage terms, and then click Accept.

  3. Confirm the location of the extracted files. The default location is c:\ompm. Change the location if you want, and then click Extract. Extraction is completed at the location that you specified.

Uninstalling OMPM

The following procedures provide steps for uninstalling OMPM from an administration computer and a client computer. The OMPM files are installed on the administration computer or client computers, depending on the deployment method that you chose. For more information, see the descriptions about the Centrally-run scan, Distributed scan from shared folder, and Decentralized scan methods.

To uninstall OMPM from an administration computer

  1. At a command prompt, type: DeleteDB.bat<ComputerName>\<SQLServerName> <DatabaseName>

  2. Delete the following folders (and their contents) from the original setup location (for example, c:\ompm): Catalog, Database, Report, Scan, and Tools.

  3. Delete the OMPM 2010 scan log files from the location that is specified in the DestinationPath setting in the offscan.ini configuration file.

To uninstall OMPM on a client computer

  1. Delete any distributed components from each client computer.

  2. To safely track scanner executions, delete registry entries made by the scanner.

    • OMPM scan registry entries are stored in the HKCU\Software\Microsoft\OMPM key.

    • Do not delete RunID entries. Otherwise you might use the same RunID for another scan and duplicate the scan results.

Files generated by an OMPM scan

The OMPM File Scanner collects information about the computer and recursively scans the designated path for Office files. The OMPM File Scanner then records the results in a set of XML log files in the folder that is defined by the Destination setting in the offscn.ini configuration file. Optionally, the logs can be compressed into a .cab file after the scan by configuring the CABLogs setting in the offsca.ini configuration file.

In addition, OMPM includes the latest Access Compatibility Toolkit, which it uses automatically when you scan Microsoft Access files together with it (provided you have set the AccessScan setting to 1 in the Offscan.ini file), and shows the results on the Access Compatibility tab of the reporting tool.

Log and .cab files generated by the OMPM File Scanner

For each computer that it scans, the OMPM File Scanner writes an XML log file to the destination folder that you specified in the accompanying Offscan.ini file. This initial log file contains both scan and computer details. After this, the OMPM File Scanner creates an XML log file for each additional Office file that it scans. The file name for each log file is in the form of a GUID that has a prefix that indicates the kind of log file.

The OMPM File Scanner creates four log files to record properties about the computer scanned, file scanned, scan summary, and errors. The following table shows a typical set of log files.

File name | Description
Scan_{40D1300A-F0BE-4D68-ADBF-36C78EE030A1}.xml | Scan log (one per scan)
File_{F575D370-1E7A-486E-9FC6-4BB83C7770DD}.xml | File properties log (one per unique file scanned)
Sum_{75C5A590-A789-4B16-A2EB-E3934BCB01B1}.xml | Summary log
Err_{61CF0E6F-71E1-4878-9E9F-C1D35EBA3506}.xml | Error log (one per unique error occurrence)

The individual log files can be compressed into .cab files to make transport to the Microsoft SQL Server database more efficient. Each .cab file can contain up to 10,000 log files. After the log files are added to the .cab file, the original log files are deleted. When a .cab file reaches 10,000 log files, the OMPM File Scanner creates a new .cab file for the next 10,000 files. You can disable .cab file creation by changing the CABLogs setting in Offscan.ini from the default setting, 1, to 0 (not recommended, for performance reasons, if you scan more than several thousand files).

The .cab files use the file name from the ScanID GUID and they are appended by an index number. Three .cab files generated on the same computer might generate names such as the following:

  • Computer1 {2FA87EDF-4393-4BCF-8829-8776F82DEDD5}00001.cab

  • Computer1 {2FA87EDF-4393-4BCF-8829-8776F82DEDD5}00002.cab

  • Computer1 {2FA87EDF-4393-4BCF-8829-8776F82DEDD5}00003.cab

Creating .cab files can be harmful to performance if log files are saved over a network. Log files should generally be stored on computers that are geographically close to scanned computers and on the same subnet. Use the setting CABlogs=1 in the Offscan.ini file to disable the creation of .cab files.

Files scanned by the OMPM File Scanner

The following table shows the file types that are scanned by the OMPM File Scanner, together with file types that are included in the light scan and macro scan only.

Note:

The OMPM file scanner does not scan files in the OpenXML format (.xlsx, .pptx, .docx) unless you explicitly add them to the Ext setting in Offscan.ini.

Microsoft Office 97 - 2003 programs Light and deep scan file types Light scan only Macro scan only

Access

  • .mdb

  • .mde

  • .mdz

  • .adp

  • .ade

  • .mdt

  • .mda

  • .accda

  • .accdb

  • .accdr

  • .accdu

  • .accde

  • .accdt

  • .accdc

Excel

  • .xls

  • .xlt

  • .xla

  • .xlm

  • .xlw

  • .htm

  • .html

  • .mhtml

  • .mht

  • .xlc

  • .wk1

  • .wk3

  • .wk4

  • .wj1

  • .wj2

  • .wj3

  • .fj3

  • .fmt

  • .fm3

  • .all

  • .wks

  • .wq1

  • .dbf

  • .xlsm

  • .xltm

PowerPoint

  • .ppt

  • .pot

  • .pps

  • .ppa

  • .pptm

  • .ppam

  • .potm

Project

  • .mpp

  • .mpt

Publisher

.pub

Visio

  • .vsd,

  • .vss

  • .vst

  • .vdx

  • .vtx

  • .vsx

Word

  • .doc

  • .dot

  • .wiz

  • .docm

  • .dotm

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010
Import Office Migration Planning Manager log files into a database
Analyze Office Migration Planning Manager Reports for Office 2010
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)

Other Resources

Getting started with OMPM 2010


Run the Office Migration Planning Manager File Scanner for Office 2010

Published: May 12, 2010

After you configure the offscan.ini file, you can run the Office Migration Planning Manager (OMPM) file scanner from the command line. This article explains how to run the file scanner and describes the Offscan.ini settings and values. Offscan.ini is the configuration file that the OMPM File Scanner reads to obtain information about how to perform the scan. If you have not yet installed OMPM, see Set up the Office Migration Planning Manager File Scanner for Office 2010 to get started.

In this article:

  • Offscan.ini settings

  • Run the OMPM File Scanner from an administrative client computer

  • Run the OMPM File Scanner from a central share

  • Run the OMPM File Scanner on each client computer by using System Center Configuration Manager or a similar tool

  • Run the OMPM File Scanner on each client computer

  • Important considerations for running the OMPM file scanner

Offscan.ini settings

The OMPM file scanner performs actions that are based on the settings that are configured in the offscan.ini configuration file. You must configure settings in offscan.ini before you run a scan. The settings in offscan.ini define the type, scope, and analysis of your scans. Offscan.ini is included in the OMPM Scan folder. For information about all available configuration options in the offscan.ini configuration file, see Office Migration Planning Manager Offscan.ini settings for Office 2010.

Important:

The configuration file must be named Offscan.ini to be recognized, and it must be in the same directory as the file scanner tool, Offscan.exe.

Run the OMPM File Scanner from an administrative client computer

To run the OMPM file scanner from an administrative client computer, put all of the OMPM required files on the administrative client computer and configure the Offscan.ini file to scan computers over the network. The Offscan.ini is in the same folder as Offscan.exe, which you run at a command line as described in the next section. Use the FoldersToScan and FoldersToExclude settings in Offscan.ini to control which network locations are scanned. For more information about how to set up the OMPM File Scanner, see Set up the Office Migration Planning Manager File Scanner for Office 2010.

Important:

The OMPM tool has been updated as of July 2011, The release is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=199599). Numerous fixes and enhancements are available for the OMPM File Scanner, the Office File Converter (OFC) tool, and the Version Extraction Tool (VET). If you are using a previous version of OMPM, you cannot re-use existing client scan results, databases, or any exported data with the new version of OMPM. You must create new databases and re-scan clients by using the new version.

To run OMPM File Scanner from an administrative client computer

  1. Verify that the administrative client computer meets all OMPM requirements. For more information, see Administrative computer requirements..

  2. Edit the settings in the Offscan.ini file that apply to the way that you want the scan to be performed.

  3. From a command line, move to the directory where the OMPM File Scanner files is located, and then type: offscan.exe

    To run the command in quiet mode, you can use the -q parameter; for example, offscan.exe -q

Run the OMPM File Scanner from a central share

To run the OMPM file scanner from a central share, put all required files on the share, and then configure the Offscan.ini file to scan computers over the network. When you run the file scanner from a central share, you must do so from a mapped drive location. The recommended syntax to invoke the scanner in this configuration is as follows:

  1. Pushd\\server\share

  2. Offscan.exe

Run the OMPM File Scanner on each client computer by using System Center Configuration Manager or a similar tool

You can use Microsoft System Center Configuration Manager 2007, a third-party software distribution program, or a script to distribute the OMPM File Scanner and run it locally on each computer in the environment.

System Center Configuration Manager 2007 encrypts the data that it transmits. If you use another software distribution package, refer to the product documentation for information about whether it encrypts the data. If you are not using System Center Configuration Manager 2007, be aware that scanning files over a network could lead to potential security issues, much like reading or editing any document over a network can create security issues.

For a sample script that runs the OMPM file scanner from a central share, see Sample script to run the Office Migration Planning Manager File Scanner from a file share for Office 2010.You can use System Center Configuration Manager 2007, another software distribution package, or a script to distribute the sample script.

You can also run the OMPM File Scanner from a central share by using a logon script. We highly recommend that you store the log files in a central destination that is geographically close to the computers that are running scans and one that is located on the same subnet. For example, if you are scanning files in New York and Beijing, you should have a server near New York and one near Beijing to collect the scan XML and CAB files. You can configure the store location by using the DestinationPath property in Offscan.ini and distributing different versions of Offscan.ini to the scan jobs at each site.

To run OMPM file scanner

  1. Verify that each client computer contains the OMPM requirements. For more information, see Client computer requirements.

  2. Edit the offscan.ini configuration file settings that apply to your scan requirements.

  3. Save the OMPM scan components to a share folder for which client computers have permissions.

  4. At a command prompt, type: pushd \\<server>\<share folder>

    To run the command in quiet mode, use the -q parameter; for example: offscan.exe -q

  5. At a command prompt, type: offscan.exe.

The scan log files are saved to the location that is specified in the DestinationPath setting in offscan.ini. This can be either a network share or local folder.

Run the OMPM File Scanner on each client computer

For computers that are not always connected to the network, such as portable computers and computers that are in branch offices, running OMPM locally is a good option. You can distribute all appropriate files via CD, user-initiated download, or logon script.

If you want to distribute the OMPM File Scanner by using a logon script, you can use IExpress 2.0 to create a distribution package. For more information, see Use IExpress 2.0 to create a distribution package for Office Migration Planning Manager File Scanner in Office 2010.

Important considerations for running the OMPM file scanner

Consider the following general points before you run the OMPM file scanner:

  • Files from Microsoft Outlook, Microsoft FrontPage, Microsoft OneNote, and Microsoft InfoPath are not included in either the light or the deep scan.

  • The OMPM File Scanner does not perform deep scans against documents that are password-protected or Information Rights Management (IRM)-protected. However, light scans are supported for these kinds of files.

  • The SkipOldAccessed and SkipOldModified settings are used only when deep scanning is enabled. These settings are ignored during light scans.

  • The network paths that you specify for scanning must be valid. Be sure to verify them. If a network path is invalid, a non-specific error message is logged: Unknown Error: 0x80070035.

  • Access databases that contain autoexec macros are not scanned.

  • Although OMPM reports on files that have embedded hyperlinks to Office files, the OFC does not resolve or update hyperlinks. Because converting files to OpenXML changes their file name extensions, any hyperlinks that point to converted files will be broken.

  • On computers that are running Windows 7, the OMPM File Scanner does not detect CTRL_CLOSE, CTRL_LOGOFF and CTRL_SHUTDOWN events. This means that, if the command windows is closed while the scan is running, or if you log off or shut down the computer, the scan is marked as complete and is not restarted.

  • The Offscan.exe time elapsed counter is off by a large percentage after moderate to large scans. The elapsed time that is shown is longer than the actual elapsed time of the scan.

  • You can use the /d parameter to prevent OMPM from changing the Last Accessed Date on files that the scanner has Write permission to. If you do not use this parameter, or if the scanner does not have Write access to scanned files, you might experience unexpected results when you use the SkipOldAccessedFiles and OldAccessDate settings in the offscan.ini file. Specifically, those settings are obeyed for the first scan and old files are skipped, but because Last Access Date property settings are updated for skipped files, the previously skipped files will be scanned during subsequent scans.

  • For local scans only (where offscan.exe and offscan.ini are accessed from the same computer), the following properties in offscan.ini support environment variables: [FoldersToScan], [FoldersToExclude], and [DestinationPath]. For example, you can specify %temp%, which resolves as the location in which to store temporary files. If the environment variable cannot be resolved because of a misspelling or another reason (for example, if you specified %temps% instead of %temp%), the OMPM File Scanner treats the entry as a folder name and not as an environment variable.

  • The OMPM File Scanner does not scan embedded objects within documents. However, it does report that the document contains embedded objects.

  • If you plan to use the Office File Converter (OFC) tool to convert files, the Microsoft Office Compatibility Pack must be located on the computer on which you run ofc.exe. Neither Office nor the Office Compatibility Pack is required to run a file scan. However, if you plan to perform a detailed file scan of Microsoft Access versions 97 through 2003, you must have Access 2007 or Access 2010 installed to be able to complete the scan of the Access files.

For more information about using the OFC and VET, see Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET).

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Import Office Migration Planning Manager log files into a database
Analyze Office Migration Planning Manager Reports for Office 2010
Office Migration Planning Manager reference for Office 2010
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)

Other Resources

Getting started with OMPM 2010


Import Office Migration Planning Manager log files into a database

After you use the Office Migration Planning Manager (OMPM) file scanner to scan your computers, you can import the resulting log or .cab files into the OMPM database. This article describes how to create the OMPM database, import OMPM log files into the database, fix import failures, and delete the database.

In this article:

  • Create an OMPM database

  • Import log files into an OMPM database

  • Fix import failures

  • Delete an OMPM database

Important:

The OMPM tool has been updated as of July 2011, The release is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=199599). Numerous fixes and enhancements are available for the OMPM File Scanner, the Office File Converter (OFC) tool, and the Version Extraction Tool (VET). If you are using a previous version of OMPM, you cannot re-use existing client scan results, databases, or any exported data with the new version of OMPM. You must create new databases and re-scan clients by using the new version.

Create an OMPM database

Before you create an OMPM database, verify that you have one of the following versions of SQL Server installed:

  • SQL Server 2005

  • SQL Server 2005 Express Edition

  • SQL Server 2008

  • SQL Server 2008 R2 Express

On the computer where you plan to use OMPM, you can use the CreateDB.bat file (located in the Database folder that is installed by OMPM) to provision an OMPM database. At the command prompt, navigate to the Database folder, and then type the following: CreateDB.bat <Computer/SQLServerName> <DatabaseName>.

Import log files into an OMPM database

The import script automates the process of importing the XML log file data or .cab files directly into a database server. The following two batch files are included in the Database folder:

  • ImportScans.bat Lets you import into the database the scan logs that are created by the OMPM File Scanner (Offscan.exe).

  • ImportActions.bat Lets you import into the database the action logs that are created by the Office File Converter (OFC) tool and the Version Extraction Tool (VET). For more information about the OFC and VET, see Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET).

You can start to import as soon as you have .xml files or .cab files generated by the OMPM File Scanner. You do not have to wait until all the data is collected. However, we recommend that you wait until all of the data from a specific computer is collected. You can run the import tool multiple times to add new information to the database when the data is collected.

Use the following procedures to import scan and action data into the database. Before you run either procedure, be aware that you should not run more than one import at the same time. Always let one import to complete before you start the next import. Running more than one import at the same time could result in data corruption. You can obtain help for either command by using the command prompt to navigate to the Database folder, and then typing the following: ImportScans.bat /? or ImportActions.bat /?.

Import OMPM File Scanner data files into the database

Use the following procedure to import log files that contain scan data obtained by the OMPM File Scanner. We recommend that you keep databases smaller than 1 million scan records if you plan to use the OMPM reporting tool. This can be accomplished by ensuring that individual scan runs of Offscan.exe do not include more than 1 million files, or by importing the data from a single run of more than 1 million files into multiple databases. (Tip: 100 scan .cab files contain 1 million or fewer files.) Include the Scan_{GUID}.XML in all databases if you choose the second option. For more information about Scan_{GUID}.XML, see Fix import failures later in this article.

To import OMPM File Scanner data files into the database

  1. Verify that you have the following permissions:

    • Database operator permissions

    • Read/write permissions for the storage location

  2. At a command prompt, navigate to the folder where OMPM is installed, navigate to the Database folder, and then type:

    Copy Code
    ImportScans.bat <ComputerName>\<SQLServerName> <DatabaseName> <PathToLogFiles>

Import OMPM File Scanner action files into the database

Use the following procedure to import log files that contain action data obtained by the OMPM File Scanner, Office File Converter, or Version Extraction Tool.

To import OMPM File Scanner action files into the database

  1. Verify that you have the following permissions:

    • Database operator permissions

    • Read/write permissions for the storage location

  2. At a command prompt, navigate to the folder where OMPM is installed, navigate to the Database folder, and then type:

    Copy Code
    ImportActions.bat <ComputerName>\<SQLServerName> <DatabaseName> <PathToLogFiles>
Important:

Do not interrupt the import process. If an interruption occurs, you must reset the ImportInProgress bit and then restart the import. To reset the ImportInProgress bit, run the following command at the command prompt:

osql.exe -S <sqlserver> -d <database> -n -h-1 -E -Q "Update Process_Control Set ImportInProgress = 0"

Parameters for ImportScans.bat and ImportActions.bat

The parameters for ImportScans.bat and ImportActions.bat are shown in the following table. You can obtain more information about either command by typing the following at a command line: ImportScans.bat /? or ImportActions.bat /?.

Parameter Description

ComputerName

The name of the computer that is hosting the Microsoft SQL Server database.

SQLServerName

The name of the SQL Server computer where the new database is created. Required.

DatabaseName

The name of the database. Required.

PathToLogFiles

The local (or UNC) path of the folder where the log files are stored. The operator must have read/write/create permissions to this location. Required.

Note:

The default path for scan data log files in offscan.ini is C:\OMPM\SCANDATA. The default path for action log files is C:\OMPM\ACTIONLOGS.

For example, if the computer name is COMPUTER1, the database server is SQLEXPRESS, the database name is OMPM001, and the log files are stored in C:\OMPM\SCANDATA, type the following at the command prompt:

Copy Code
ImportScans.bat COMPUTER1\SQLEXPRESS OMPM001 c:\OMPM\SCANDATA

When the log files are successfully imported, the contents move to the imported subfolder in the original <PathToLogFiles> folder.

Files that were stored in <PathToLogFiles> are moved to the subfolder OMPMImported. To run the import by using the same set of files to a different database, copy the files back to <PathToLogFiles>.

Fix import failures

If you encounter a fatal error when you import the scan data, the OMPM database might be corrupted or you might be missing one file associated with the first .cab file. The scanner produces a single SCAN_{GUID}.xml with the first .cab file that it creates. The .xml file describes the configuration of the scan run. This includes RunID, folders to scan, and all the other properties set in the offscan.ini configuration file. For an import to be successful, the scan .xml file must be present. If you cannot find that first .cab file or the scan .xml file inside it, run the scan again to create a new scan .xml file. Because the database is populated with information from .cab files, you can use the .cab files to restore the data. If you still have all of the .cab files, you have not lost any data. The high-level process for fixing this situation is as follows:

  • Delete the existing database.

  • Create a new database.

  • Move all of the .cab files out of the OMPMImported folder.

  • Re-import the scan data and action .cab files.

You can use the following procedure to delete and restore the OMPM database.

To fix import failures

  1. At a command prompt, navigate to the OMPM\Database folder, and then type:

    Copy Code
    DeleteDB.bat <ComputerName>\<SQLServerName> <DatabaseName>
    Warning:

    This will delete the entire database. All data previously entered into the database will be lost.

    For example, if the computer name is COMPUTER1, the database server is SQLEXPRESS, and the database name is OMPM001, type the following at the command prompt:

    Copy Code
    DeleteDB.bat COMPUTER1\SQLEXPRESS OMPM001

  2. At a command prompt, navigate to the OMPM\Database folder, and then type:

    Copy Code
    CreateDB.bat <ComputerName>\<SQLServerName> <DatabaseName>

    For example, if the computer name is COMPUTER1, the database server is SQLEXPRESS, and the new database name will be OMPM001, type the following at the command prompt:

    Copy Code
    CreateDB.bat COMPUTER1\SQLEXPRESS OMPM001

  3. Move all of the .cab files that are in the OMPM\SCANDATA\OMPMImported folder up one level to the OMPM\SCANDATA folder, or to another folder if you prefer. Move all of the folders that are in the OMPM\ACTIONLOGS\OMPMImported folder up one level to the OMPM\ACTIONLOGS folder, or to another folder if you prefer.

  4. At a command prompt, navigate to the OMPM\Database folder, and then type:

    Copy Code
    ImportScans.bat <ComputerName>\<SQLServerName> <DatabaseName> <PathToLogFiles>

    For example, if the computer name is COMPUTER1, the database server is SQLEXPRESS, the database name is OMPM001, and the log files are stored in C:\OMPM\SCANDATA, type the following at the command prompt:

    Copy Code
    ImportScans.bat COMPUTER1\SQLEXPRESS OMPM001 c:\OMPM\SCANDATA

  5. At a command prompt, navigate to the OMPM\Database folder, and then type:

    Copy Code
    ImportActions.bat <ComputerName>\<SQLServerName> <DatabaseName> <PathToLogFiles>

    For example, if the computer name is COMPUTER1, the database server is SQLEXPRESS, the database name is OMPM001, and the log files are stored in C:\OMPM\ACTIONLOGS, type the following at the command prompt:

    Copy Code
    ImportActions.bat COMPUTER1\SQLEXPRESS OMPM001 c:\OMPM\ACTIONLOGS

Delete an OMPM database

Use DeleteDB.bat to delete an existing OMPM database. All data stored in the database will be lost. To use DeleteDB.bat, type the following at the command prompt: DeleteDB.bat <Computer/SQLServerName> <DatabaseName>.

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Analyze Office Migration Planning Manager Reports for Office 2010
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)
Schema for the Office Migration Planning Manager database in Office 2010


Analyze Office Migration Planning Manager Reports for Office 2010

Use the OMPM Reports tool to review and report on compatibility results that are identified by the Office Migration Planning Manager (OMPM) file scanner. You use the OMPM Reports tool after you deploy OMPM, scan files for compatibility issues, and then import the results into a database. If you have not performed these steps, see Office Migration Planning Manager overview for Office 2010 to get started.

In this article:

  • Configure OMPM Reports

  • Review Scan Coverage and Errors

  • Review Office 2010 Compatibility

  • Analyze Excel, Word, or PowerPoint files that use macros

  • Review Access Compatibility

Important:

The OMPM tool has been updated as of July 2011, The release is available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=199599). Numerous fixes and enhancements are available for the OMPM File Scanner, the Office File Converter (OFC) tool, and the Version Extraction Tool (VET). If you are using a previous version of OMPM, you cannot re-use existing client scan results, databases, or any exported data by using the new version of OMPM. You must create new databases and re-scan clients by using the new version.

You can use OMPM Reports to perform the following actions:

  • Review OMPM File Scanner results for Office 97 through Office 2003 files for a specific scan, or for a specific computer

  • Create a list of files with conversion issues

  • Export the list of files that have conversion issues to an XML file that can be used by the Office File Converter (OFC) or the Version Extraction Tool (VET)

Configure OMPM Reports

OMPM Reports (OMPM.accdr) is in the Report folder in the OMPM download package.

Important:

Use of OMPM.accdr requires the 32-bit version of Access 2007 or Access 2010. If you are using the 64-bit version of Access 2010, you receive the following error message when you attempt to view reports: "Execution of this application has stopped due to a run-time error. The application can't continue and will be shut down."

To use OMPM Reports

  1. In the Reports folder where you installed OMPM, double-click OMPM.accdr. Click Yes at the security prompt.

  2. On the OMPM Welcome page, in the Server drop-down box, select the computer that is running the Microsoft SQL Server or Microsoft SQL Server 2005 Express Edition database that you are using to store scan data. If the server is not the default for a computer, it must be specified as the named instance in the form <ComputerName>\<ServerName>. By default, SQL Server installs itself as the default instance on a server, but SQL Server 2005 Express Edition installs itself by using SQLEXPRESS as the named instance.

  3. In the Database drop-down box, select the name of the database. Click Connect. If you have already connected to a database, OMPM Reports automatically opens the database. If you want to connect to a different database, click Connect.

Review Scan Coverage and Errors

Use the following procedure to review the scan results for a specific scan. Only scanner coverage and errors are reported. Use the Office 2010 Compatibility report to review the upgrade issues that are identified by the scanner.

To review scan coverage and errors

  1. On the OMPM Welcome page, select Scan Coverage and Errors. This brings up the Scan Results page.

  2. Select a Run ID at the top of the Scan Results page to view the results for that run of the OMPM File Scanner.

  3. To view the scan results for a specific computer, select the computer in Scan results for each computer in the run selected above. The scan results appear in Scan errors for the run and computer selected above.

Severity levels

The severity levels in the following table map to the kinds of errors that might occur during a bulk conversion of files to the Office 2010 format.

Issue Level ID | Description
1 (Red) | Known issues that can cause significant data loss such as Microsoft Word 2010 edit version loss, or cause a conversion to fail.
2 (Yellow) | Files convert to the Office 2010 format. However, some format or minor data loss issues might occur.
3 (Green) | Light cosmetic issues, no data loss.

Errors for Word, Excel, and PowerPoint

The following table provides a complete list of the errors the scanner can generate for Microsoft Word, Microsoft Excel, and Microsoft PowerPoint.

Issue ID | Title | Description | Issue level ID
1000 | File Deleted | The file no longer exists at the requested location. | 1 (Red)
1001 | File Access Error | The file location cannot be accessed, probably because a computer is inaccessible. | 2 (Yellow)
1002 | File Modified | The file modified date does not match the modified date in the file list. | 1 (Red)
1003 | No Write Permissions | The user account does not have permissions to write to the file. | 2 (Yellow)
1010 | Not Deep Scanned | The file has not been deep scanned yet. | 2 (Yellow)
1021 | Scan Skipped: Old Last Accessed Date | Scan of the file was skipped because the last access date of the file is earlier than the specified scan parameter | 2 (Yellow)
1022 | Scan Skipped: Old Last Modified Date | Scan of the file was skipped because the last modified date of the file is earlier than the specified scan parameter | 2 (Yellow)
1050 | Warning: File Not Scanned | Warning: File cannot be scanned. Review the Scan Coverage and Errors report for more information | 2 (Yellow)
1100 | Document contains versions | Edited versions of the document will be removed when the file is opened in Word 2010, even in compatibility mode. | 1 (Red)
1200 | Send for review data | This file has review comments and contains a hidden baseline copy of the original. Microsoft PowerPoint 2010 discards the hidden copy. Saving the file removes the hidden copy permanently. Users cannot tell which edits reviewers made if they reopened the file in previous versions. | 1 (Red)
1201 | Embedded documents | There are potential performance, security, and fidelity issues with embedded documents. | 2 (Yellow)
1202 | VBA code | This file contains embedded VBA code. This can create security, fidelity, performance, and solution compatibility issues. Check this file for compatibility with PowerPoint 2010. | 2 (Yellow)
1203 | Microsoft Script Editor (MSE) data | When this file is opened, PowerPoint 2010 discards MSE data that was stored in shapes. Saving the file removes the data permanently. Solutions that depend on this data might break. | 1 (Red)
1204 | Presentation broadcast data | When this file is opened, PowerPoint 2010 discards configuration settings for HTML broadcast presentations. Saving the file removes the settings permanently. To broadcast in an earlier version, the user must manually reenter the settings. | 1 (Red)
1205 | Document routing | When this file is opened, PowerPoint 2010 discards routing information. Saving the file removes the routing information permanently. To route the presentation in an earlier version, the user must manually reenter the routing information. | 1 (Red)
1206 | Publish and subscribe data | When this file is opened, PowerPoint 2010 discards Macintosh Publish and Subscribe information. Saving removes that information permanently. If an earlier version of the file is reopened, the Publish and Subscribe feature no longer function. | 2 (Yellow)
1207 | Large number of OLE objects | This file contains many embedded objects. This can create security, fidelity, performance, and solution compatibility issues. Check this file for compatibility with PowerPoint 2010. | 2 (Yellow)
1300 | Open format not supported | This file format will not open in Microsoft Excel 2010. | 1 (Red)
1301 | Save format not supported | You cannot save to this file format in Excel 2010. | 2 (Yellow)
1302 | HTML will be a publish-only file format | The HTML file format is a publish-only file format in Excel 2010. The file opens in Excel 2010, but when it is saved to an Excel 2010 format, the file is static. | 1 (Red)
1303 | Links in workspace files might be broken | A workspace file (.xlw) might contain links to other workbooks. The .xlw file might be broken if the links are changed during an upgrade. | 3 (Green)
1304 | File format is earlier than Excel 97 | This file format is from a version before Excel 97. It cannot be scanned for migration. | 2 (Yellow)
1305 | SharePoint linked lists in the file | Linked lists are read-only in Excel 2010. | 2 (Yellow)
1306 | Microsoft Script Editor present in the file | Microsoft Script Editor (MSE) is not included in Excel 2010. UI access to MSE is not available, and object model calls will return an error. | 1 (Red)
1307 | Linked workbooks in the file | Linked workbooks are identified to help pinpoint upgrade issues. The path of the linked workbook and the number of occurrences are identified. Linked workbooks have different file name extensions when they are converted to the Excel 2010 file format. | 2 (Yellow)
1308 | Charts in the workbook | Excel 2010 charts might not be displayed in the same as they are in Excel 2003. | 3 (Green)
1309 | English Language Formulas in the workbook | English Language Formulas (ELFs) are turned on. Even though ELFs are not included in Excel 2010, they are changed to cell references so they can continue to work in Excel 2010. | 3 (Green)
1310 | Embedded documents in the file | Embedded documents are not scanned for compatibility issues. | 2 (Yellow)
1311 | MSOWC.dll is referenced | This file uses features of the Office 2000 Web Components (MSOWC.dll). The Office 2000 Web Components are not installed as part of the Office 2010. You might have to install them separately. | 3 (Green)
1312 | OWC10.dll is referenced | This file uses features of the Office XP Web Components (MSOWC.dll). The Office XP Web Components are not installed as part of the Office 2010. You might have to install them separately. | 3 (Green)
1313 | OWC11.dll is referenced | This file uses features of the Office 2003 Web Components (MSOWC.dll). The Office 2003 Web Components are not installed as part of the Office 2010.You might have to install them separately. | 3 (Green)

Review Office 2010 Compatibility

Use the following procedure to review Office 97-2003 files for compatibility issues with Office 2010. For a list of filtering criteria that you can select from the Office 2010 Release Compatibility page in OMPM reports, see Office Migration Planning Manager 2010 reports filtering reference for Office 2010. For information about using the OFC and VET, see Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET).

To review Office 2010 compatibility

  1. On the OMPM Welcome page, select Office 2010 Compatibility. The Office 2010 Compatibility page opens.

  2. Do one of the following:

    • Load a filter that you previously saved by clicking the Load Filter button at the bottom of the page, or

    • Specify your file filter settings in Select a File Filter, along the left side of the page.

  3. To apply the filter, click the Apply Filter button at the top of the 2010 Office release Compatibility page. Use the tabs on the right side of the page and follow these steps.

    1. Select the Issue Summary tab to view a summary of the issues that were identified by the OMPM File Scanner by severity, type, and frequency. You can open the summary in a new window by clicking New Window at the bottom of the page.

    2. To view issues and edit their severity level, click Manage Issues at the bottom of the Issue Summary page, and review or edit issues on the resulting Manage Issues dialog box. If you review the impact of an issue and the issue is not important for your document set, you can also change the issue level in this dialog box. You can use this to organize your files into processing groups of Red, Yellow, and Green status.

    3. Select the Computer Summary tab to view a summary of the issues for each computer that was scanned. You can bring up the summary in a new window by clicking New Window at the bottom of the page. To obtain a printable report, click Report View at the bottom of the page.

    4. Select the Scanned Files tab to view files that match the criteria set by the filter that you applied. You can bring up the summary for all files in a new window by clicking New Window at the bottom of the page. To obtain a printable report, click Report View at the bottom of the page.

    5. Select the Created Files tab to view files that were created by using the Office File Converter or Version Extraction Tool. You can open the summary for all files in a new window by clicking New Window at the bottom of the page. To obtain a printable report, click Report View at the bottom of the page.

    6. To save the filter, click the Save Filter button at the bottom of the page.

    7. Export the files to an XML file for use by the Office File Converter or Version Extraction Tool by clicking the Export button at the bottom of the page.

Analyze Excel, Word, or PowerPoint files that use macros

If you enable macro scanning in Offscan.ini, OMPM 2010 provides a report that shows you the files that contain macros that use VBA code. The report shows the number of objects that the scanner identifies as changed from the current state to the Office 2010 model. If you enable 64-bit macro scanning in Offscan.ini, the macro report also contains a column that displays the number of potential issues that can occur if the current VBA code is used with 64-bit Office 2010.

To analyze Excel, Word, or PowerPoint files that use macros

  1. On the OMPM Welcome page, click Office 2010 Compatibility.

  2. Click the Macro Summary tab to view a summary of the issues for each file that was scanned. You can view the summary in a new window by clicking New Window at the bottom of the page. To obtain a printable report, click Report View at the bottom of the page. Only files that contain macros are included in this view.

  3. Review the number of potential issues that are listed in the Functionality Issue Count column. The number that is listed in the column is the number of potentially changed objects that the scanner identified in the VBA code.

  4. Review the number of potential issues that are listed in the x64 Compatibility Issue Count column. The number listed that column is the number of potentially changed objects that the scanner identified in the VBA code.

  5. Review the files that are listed in this view with file owners to assess the need to update them to Office 2010 compatibility.

  6. Engage with a developer to correct these files by using the Office Code Compatibility Inspector (OCCI).

Review Access Compatibility

Use the following procedure to discover issues that apply to migrating Microsoft Access versions 97 through 2003.

To review Access compatibility

  1. On the OMPM Welcome page, select Access Compatibility. The Access Reporting page opens.

  2. On the Access Reporting page, look at the date of the last analysis (next to Analyze). If you have run a scan after that date, or if you have never run Analyze, click Analyzer Settings on the Access Reporting page, specify the settings that you want, and then click Analyze. If you do not have to configure the settings and want to start an analysis of the scan data, click Analyze on the Access Reporting page.

    Note:

    Clicking Analyze prompts you with the message: "Analysis can take quite a long time and should not be canceled mid-run. Are you sure you want to continue?" If your scan data covers fewer than 100,000 Access databases, the analysis usually takes only a few minutes. If there are more than 100,000 databases, the analysis can take a long time. You might prefer to run the analysis overnight.

  3. To search the Access scan data by field, select QuickSearch on the Access Reporting page. This page lists files that OMPM has analyzed. Use QuickSearch to find a specific database file by name, or a list of databases in a specific path or on a specific computer.

  4. To view or print interactive reports for Access data, select Reports on the Access Reporting page. The View Reports tab opens. On the left navigation pane, you can select from the following reports:

    • Database and Issue Details A list of issues for each database file.

    • Database Issues Grouped by Issue A list of all databases that are identified as having a specific issue.

    • Executive Summary An overview of issues for all analyzed databases, without the file-level details.

    • Active versus Old Databases A list of analyzed databases that shows whether they are active or inactive, based on their LastModified property.

    • Conversion Issue-Database is an MDE file A list of .mde files and .mdb files that have identical names.

    • Conversion issue-Replicated database A list of databases that use replication.

    • Conversion issue-Reserved name in Form/Report/Macro A list of databases that contain a reserved name in a form, report, or macro.

  5. To view interactive charts that help you find databases that have certain attributes, select Charts on the Access Reporting page. The Database Charts screen opens. You can then select from the following charts:

    • Date Last Opened Database count per year opened.

    • Database Rating Database count by level of user intervention required.

    • Access Version Database count by version of Access.

    • File Size Database count by file size.

    • Conversion Issues Database count by conversion issue.

    • Warning Level Database count by warning level.

  6. To view databases and database objects on a per-file basis, data, select File Details on the Access Reporting page.

  7. To view database issues on a per-file basis, select Conversion Issues on the Access Reporting page. For a list of Access errors, see "Access errors" in this section.

Access errors

The following table is a list of all the OMPM Access Errors:

Issue ID | Issue Text | User Intervention | Issue Type | User Intervention Priority
1 | Too many code or class modules | Required | Error | 1
2 | Sort Order and System Language do not match | Likely | Warning | 2
3 | Replicated Database | Required | Warning | 1
4 | Database is an MDE file | Required | Error | 1
5 | DAO 2.5/3.5 compatibility layer | None | Note | 3
6 | Microsoft Jet SQL help | None | Note | 4
7 | Additional References | Likely | Warning | 2
8 | Missing References | Likely | Warning | 2
9 | Reserved Name in Form/Report/Macro | None | Note | 4
10 | Linked Tables | Unlikely | Warning | 3
11 | Database in uncompiled state | None | Note | 4
12 | Backup database | None | Note | 4
13 | Sample database | None | Note | 4
14 | Old database | None | Note | 4
15 | Secure database: User Level Security | Likely | Error | 2
16 | Secured database: Database password | Likely | Error | 2
17 | System database | None | Note | 4
18 | Unsupported legacy format | Likely | Warning | 2
19 | Unsupported legacy format - forms, reports, and modules will be lost | Required | None | 1

Errors 1-17 are the complete list of errors that can be generated by the Access Conversion Toolkit. Documentation for 1-17 can be found in the Access Conversion Toolkit. The documentation is Flash-based and requires the installation of the toolkit. To install the toolkit, see Access 2003 Conversion Toolkit (http://go.microsoft.com/fwlink/p/?LinkId=131929).

Errors 18 and 19 are new to OMPM and mean:

  • Error 18 - Microsoft Office Access 2007 no longer opens files that were created in Access 2.0.

  • Error 19 - Office Access 2007 will open a file that was created in Access 95, but will not read its forms, reports, or modules.

See Also

Concepts

Office Migration Planning Manager 2010 reports filtering reference for Office 2010
Office Migration Planning Manager overview for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010
Import Office Migration Planning Manager log files into a database
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)

Other Resources

Getting started with OMPM 2010


Office Migration Planning Manager reference for Office 2010

The articles that are listed in the OMPM References table contain reference information about the Office Migration Planning Manager (OMPM) for Microsoft Office 2010.

OMPM References

Article | Description
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET) | Describes two Office Migration Planning Manager (OMPM) tools that help you manage binary Office files during a migration to Microsoft Office 2010: the Office File Converter (OFC) and the Version Extraction Tool (VET)
Schema for the Office Migration Planning Manager database in Office 2010 | Describes the schema for the OMPM database for imported .cab files that contain scan data. Provides information about how to troubleshoot import issues and how to create a customer report.
Sample script to run the Office Migration Planning Manager File Scanner from a file share for Office 2010 | Provides a sample script code that can be used to run the OMPM File Scanner from a central file share.
Office Migration Planning Manager Offscan.ini settings for Office 2010 | Describes the settings and values that are available in Offscan.ini, which OMPM File Scanner reads to perform its scan.
Use IExpress 2.0 to create a distribution package for Office Migration Planning Manager File Scanner in Office 2010 | Describes how to create a distribution package for OMPM File Scanner by using IExpress 2.0.
Office Migration Planning Manager 2010 reports filtering reference for Office 2010 | Provides a table that lists the filtering criteria that you can select on the 2010 Office Release Compatibility page in OMPM reports.

See Also

Concepts

Office Migration Planning Manager (OMPM) for Office 2010

Other Resources

Getting started with OMPM 2010


Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)

Published: July 29, 2011

The Office Migration Planning Manager (OMPM) includes two tools to help you manage binary Office files during a migration to Microsoft Office 2010. You can use the Office File Converter (OFC) to convert binary files in bulk to the OpenXML format that is used by Office 2010 and the 2007 Office system. Use the Version Extraction Tool (VET) to extract multiple saved versions of a single Word 97-2003 document to individual files. Both tools are typically used together with scan results that are generated by OMPM.

Convert files in bulk by using OFC

Before using OFC, review the following usage guidelines.

  • The Microsoft Office Compatibility Pack must be installed on the computers that contain the files that you want to convert. For more information, see Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint File Formats (http://go.microsoft.com/fwlink/p/?LinkID=77512).

  • The OFC converts binary .doc files to the .docx file format that is used by Word 2007. As a result, when a user opens a converted .docx file in Word 2010, the file is opened in Word 2007 compatibility mode. The OFC does not support conversion of .doc files to the Word 2010 .docx format. Users can convert the files individually to the Word 2010 .docx format by clicking the File tab, and then clicking Convert.

  • The OFC can convert to a maximum depth of 10 folders. For example, DestinationPathTemplate=I:\Converted\*1\*2\*3\*4\*5\*6\*7\*8\*9\ works correctly. However, DestinationPathTemplate=I:\Converted\*1\*2\*3\*4\*5\*6\*7\*8\*9\*10\ does not work. To work around this issue, use commands such as net use or subst to shorten the path.

Before running the Office File Converter, first edit the ofc.ini file to set the appropriate parameters.

To convert files

  1. At a command prompt, navigate to the folder where OFC is installed.

  2. Type the following command:

    ofc <ofc.ini>

The parameter for this command is as follows.

Parameter | Description
ofc.ini | The location of the ofc.ini file. If no path is specified, OFC looks in the same directory as the executable. Optional.
Note:

If you set FileListFolder and FoldersToConvert to the same set of files, the set of files will be converted twice.

Ofc.ini Settings

The following table shows the settings and values in ofc.ini.

Setting Description Possible Values If value is missing If value is not valid

[Run]

Section lists unique ID and description of this conversion. Required.

Conversion stops with error message.

Error: [Run] section heading invalid or missing in OFC.INI.

RunID

Tracking number for the current Conversion. Use this to group Conversions from different computers in the Reporting Tool. Required.

Must be numeric

Conversion stops with error message.

Error: Invalid or missing RunID value in OFC.INI.

Description

Text that is used to describe the current conversion run. Optional.

Free-form text, truncated to 255 characters

Ignore.

Not applicable.

LogDestinationPath

Location for the log file that is generated when the FileList setting is used. Required.

This setting does not generate log files that capture the text that is displayed in the Command Prompt window during conversion. Use the ">" command (for example, ofc.exe > C:\Log.txt) to save any command shell output to a text file.

Physical or mapped drive or UNC. For example: c:\Conversion\logs

\\server\vba\logs

Environment variables are also supported.

Conversion stops with error message.

Error: Invalid or missing 'LogDestinationPath' value in OFC.INI.

[ConversionOptions]

Section heading for a part of the .INI file that deals with conversion options. Required, unless there are no conversion options that are specified in the .ini file.

Conversion stops with error message.

Error: [ConversionOptions] section heading invalid or missing in OFC.INI.

DoNotCab

Enables users to disable creating CAB files of log files. Optional.

Valid values are

1 - disables creating CAB files of log files

0 - enables CAB'ing of log files

Conversion stops with error message.

Error: Invalid or missing DoNotCab value in OFC.INI.

MacroControl

Determines if the converter includes any macro projects during conversion. A setting of 1 causes the OFC to produce macro-free OpenXML document formats (such as .docx, xlsx, pptx). Macro/VBA code in the original documents will not be migrated. Optional.

Valid values are

1 - disregard VBA on conversion

0 - match macro state of source document.

Defaults to 0.

Error: Invalid 'MacroControl' value in OFC.INI.

[FoldersToConvert]

Section lists directories to convert for stand-alone operation. FileList will be ignored. Optional.

List of folders.

Ignored if input file passed.

Error: [FoldersToConvert] section invalid in OFC.INI.

ConvertSubfolders

If folders are specified, a setting of 1 causes the OFC to traverse subfolders, converting all Word, XL, & PPT documents. Optional.

0 or 1

Defaults to 0.

Error: Invalid 'ConvertSubfolders' value in OFC.INI.

[ConversionInfo]

Section lists input file and destination information. Required.

[ConvertedFolders]

Conversion stops with error message.

Error: [ConversionInfo] section heading invalid or missing in OFC.INI.

FileList

Path to FileList. Optional.

Error if not present and [FoldersToConvert] empty.

SourcePathTemplate

A sequence of *\ that determines how many directories from the source path will be captured. You can use wildcard characters so that an asterisk (*) represents a single segment of the path. Optional.

When you run SourcePathTemplate locally, it includes network path infomation. For example, a file at C:\Documents\file.doc is specified as *1\=machinename, *2\=C:\, *3\=Documents, and *4\=file.doc

Any physical or mapped drive or UNC. * or '.'

Error: Invalid 'SourcePathRoot' value in OFC.INI.

DestinationPathTemplate

Used to determine location of converted file. You can use wildcard characters so that an asterisk (*) plus a number represents a single segment of the path. See the examples below this table. Optional.

Any physical or mapped drive or UNC. * or '.'

Error: Invalid 'DestinationPathRoot' value in OFC.INI.

The following examples show how you can use the SourcePathTemplate and DestinationPathTemplate settings.

Example 1

In this example, the source files are located in \\userfiles\<user name>\docs\ and the desired output is to \\newserver\docs\<user name>\.

To achieve this result, the SourcePathTemplate and DestinationPathTemplate settings should appear as follows:

Copy Code
SourcePathTemplate = *\*\*\
DestinationPathTemplate = \\newserver\*3\*2

In this case, DestinationPathTemplate assigns a number for each directory segment that is represented by an asterisk in SourcePathTemplate, so that:

*1 = userfiles

*2 = <user name>

*3 = docs

The following table shows sample source file locations and the resulting locations for converted files that have the settings that are shown above.

Source Destination
Copy Code
\\userfiles\Cliff\docs\notes.doc
Copy Code
\\newserver\docs\Cliff\notes.docx
Copy Code
\\userfiles\Bob\docs\Personal\Rept1.doc
Copy Code
\\newserver\docs\Bob\Personal\Rept1.docx
Copy Code
\\userfiles\James\docs\New Folder\Schedule.doc
Copy Code
\\newserver\docs\James\New Folder\Schedule.docx

Example 2

In this example, the source files are located in the My Documents folders on users' local computers. The UNC path is \\<computer name>\<drive letter>$\Documents and Settings\<user name>\My Documents\. The desired output is to \\DocServer\docs\<user name>\.

To achieve this result, configure the SourcePathTemplate and DestinationPathTemplate settings as follows:

Copy Code
SourcePathTemplate = *\*\*\*\*\
DestinationPathTemplate = \\DocServer\*4\

In this case, DestinationPathTemplate assigns a number for each directory segment that is represented by an asterisk in SourcePathTemplate so that:

*1 = <computer name> (for example, DESKTOP3)

*2 = <drive letter>$ (for example, c$)

*3 = Documents and Settings

*4 = <user name> (for example, bobsmith)

*5 = My Documents

The following table shows sample source file locations and the resulting locations for converted files that have the above settings.

Source Destination
Copy Code
\\DESKTOP3\c$\Documents and Settings\bobsmith\My Documents\Plans.doc
Copy Code
\\DocServer\bobsmith\Plans.docx
Copy Code
LPTP4\d$\Documents and Settings\James\My Documents\Reports\q1.xls
Copy Code
\\DocServer\James\Reports\q1.xlsx

Use VET for extracting versions of Word files

You can use the Version Extraction Tool (VET) included in OMPM to extract versions of files from Word files that were created in Office 2000, Office XP, and Office 2003 that contain versioning. By using this tool, you can use the list of files generated by the OMPM reporting utility.

Note:

VET requires Microsoft .NET Framework 2.0 or later (http://go.microsoft.com/fwlink/p/?LinkId=224870) and Microsoft Word 2003.

To extract versions from Word files

  1. At a command prompt, navigate to the folder where VET is installed.

  2. Type:

    vet <OMPM file list directory> <output directory>

The parameters for this command are as follows:

Parameter | Description
OMPM file list directory | Location of the file list that is generated by OMPM. Required.
output directory | The directory to which you want to copy all of the versions of the Word files. Required.

For example, to use file lists contained in the c:\ompm\filelists directory and extract versions to the c:\ompm\output directory, you would type:

vet c:\ompm\filelists c:\ompm\output

VET error messages

The following table show the error messages that VET writes both to the log and to the action file.

Error Message | Description
IssueID 9090: Could not open document <document name>. | The original document that was flagged as having versions did not open in Word.
IssueID 9096: Could not get the number of versions for document <document name>. | VET was unable to query the document for the number of versions in the named document. The object model command Versions.Count failed.
IssueID 9091: Could not delete existing version folder <folder path>. | An existing versions folder exists for a specific file, and VET was unable to delete it and could not create a new folder for the new version files.
IssueID 9092: Could not create directory to hold versions <directory name>. | VET was unable to create a directory to hold the versions extracted for a specific document.
IssueID 9093: Failed to access version item. | VET was unable to access the version using the Word object model command Versions.Item(i).
IssueID 9094: Failed to open version <version number> from <file name>. | VET was unable to open the version that was specified using the Word object model command Versions.Item(i).Open().
IssueID 9095: Failed to save version <version number> from <file name> to <version folder name>. | VET was unable to save the specified version from the document to the versions folder.

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010
Import Office Migration Planning Manager log files into a database
Analyze Office Migration Planning Manager Reports for Office 2010
Office Migration Planning Manager reference for Office 2010


Office Migration Planning Manager 2010 reports filtering reference for Office 2010

The filtering criteria that you can select on the 2010 Office Release Compatibility page in Office Migration Planning Manager (OMPM) reports are listed in the following table.

After you apply a filter, the Scanned Files and Created Files windows contain the first 1,000 files that are returned. You can sort or filter by any column by using data sheet column headers. However, the results only apply to those 1,000 files. For example, if you sort by File Format, OMPM reports returns the same 1,000 files but has sorted them by file format. To sort or filter on all files in that scanner run, click New Window i at the bottom of the Scanned Files or Created Files window.

Filtering Criteria: Office Release Compatibility Report

Field | Description
Scanner Run | A list of all run descriptions and their IDs. Filters to all files that were scanned in that scanner run. Note: The data displayed for each file is from the latest scanner run.
Issue Type | Filters by type of issue, including Access Error, Scanner Error, Tool Error, and Upgrade Issue. Filters to all files that have that issue.
Select Issues of Specified Type | Shows unresolved issues filtered to the specified issue type.
Select Resolved Issues and Actions | Shows issues that have been resolved by user actions, such as converting the file.
Max Issue Level | Filters by the maximum issue level found in a file, including Red, Yellow, and Green. For example, if a file has a red issue and a green issue, it is filtered with a red issue.
File Format | Filters by file format. You can select individual programs, or you can select Excel/PowerPoint/Word to select all files that can be converted to the .xml file formats in Microsoft Office 2010.
File Extension | Filters by file name extension.
Modified Before | Shows files that have a last modified date that is before the date specified.
Modified After | Shows files together with a last modified date that is after the date specified.
File Access | Filters by the file access that the scanner had to each file. For example, if the file is located on a drive that is read-only for the scanner, the file is listed as read-only.
Min Size (KB) | Shows files that are the file size specified or bigger.
Domain | Filters by domain. The string must be an exact match.
Computer Name | Filters by computer name. The string must be an exact match.
Path Begins With | Shows files where the long path name begins with the characters specified.
Name Begins With | Shows files where the file name begins with the characters specified.
System Folders | Shows files from the selected system folders. The system folder <undefined> filters to files not found in system folders.
Selected Filter SQL | This is a read-only field that shows the most recently applied SQL clause. Click the Customize SQL button to edit the SQL clause. Click Clear SQL Filter to return to editing the filter in the form view. Advanced: When customizing SQL, you can insert filter criteria by using a field in the form view and clicking Add Selected Criteria to insert those criteria into the SQL query.

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Analyze Office Migration Planning Manager Reports for Office 2010
Convert binary Office files by using the Office File Converter (OFC) and Version Extraction Tool (VET)

Other Resources

Getting started with OMPM 2010


Schema for the Office Migration Planning Manager database in Office 2010

A schema is created in the Office Migration Planning Manager (OMPM) database when you import .cab files that contain scan data. If you are troubleshooting import issues and want to know the schema of the database, or if you want to create a custom report from the data in the database by using a tool that is not provided by OMPM, the information in this article may be useful to you.

You do not need to set up this schema to prepare the OMPM database for the first import because it is created by OMPM.

In this article:

  • Schema for the OMPM File Scanner

  • Schema for OMPM Compatibility Report data

  • Schema for Access data

Schema for the OMPM File Scanner

Output from the OMPM File Scanner populates the OMPM File Scanner schema. All tables in the OMPM File Scanner schema start with the prefix "os." The tables in the OMPM File Scanner schema fall into two categories:

  • Scan data

  • File data

OMPM File Scanner schema: scan data

The scan data tables in the OMPM File Scanner schema include all information related to output from the OMPM File Scanner, except for file data. ScanID is the primary key.

The following table provides descriptions for each table for scan data in the OMPM File Scanner schema.

Table | Description | Fields
osScan | Descriptive information for a scan that will run, including the RunID | ScanID RunID Description DestinationPath ScanMyDocuments ScanDesktop DeepScan ComputerName UserName DNS OS LCID PhysicalMemory ScanDAO AccessScan DisableConvDialog MaxCopyFileSize TempPath
osScanSummary | Scan results | ScanID StartDateTime EndDateTime NumFilesScanned NumLogFiles Recoveries
osScanIncludedFolder | Source location for the included folders in a scan search instance | ScanID FolderPath
osScanExcludedFolder | Source location for the excluded folders in a scan search instance | ScanID FolderPath
osScanMappedDrive | Drive mappings discovered by a scan instance | ScanID DriveLetter DrivePath
osErrorText | Types of scanner failures | ErrorID ErrorDescription
osError | Errors by type, per scan instance | osErrorID ScanID ScanFileID ErrorID ErrorInfo
osWarning | Warnings by type, per scan instance | osWarningID ScanID ScanFileID WarningID WarningInfo
osMacroIssue | Macro Issue counts, per scan instance | osMacroIssueID ScanID ScanFileID FunctionIssueCount X64IssueCount

OMPM File Scanner schema: file data

The file data tables in the OMPM File Scanner schema include file-related information that is discovered by the OMPM File Scanner during a scan. ScanFileID is the primary key.

The following table provides descriptions for each table for file data in the OMPM File Scanner schema.

Table | Description | Fields
osScanFile | File information collected during a light scan by the OMPM File Scanner | ScanFileID ScanID FileName FilePath ShortFilePath FileSize FileExtension FileFormatID CreatedDate ModifiedDate FileOwner IsReadOnly HashCode CSIDL
osFileFormat | The kinds of files found by the OMPM File Scanner | FileFormatID Description
osWordProperty | Information collected during a deep scan by the OMPM File Scanner for potential Microsoft Word issues | ScanFileID HaveVersions
osVBAProperty | Information collected during a deep scan by the OMPM File Scanner for files that contain VBA macros | ScanFileID CertIssuedBy CertIssuedTo CertSerialNum CertValidFrom CertValidTo SigTimeStampSigningTime SigTimeStampSignerName
osPowerPointProperty | Information collected during a deep scan by the OMPM File Scanner for potential Microsoft PowerPoint issues | ScanFileID hasSendForReviewData hasEmbeddings hasVBA hasMicrosoftScriptEditorData hasPresentationBroadcastData hasDocumentRoutingSlip hasPublishandSubscribeData hasLargeNumberofOLEObjects
osExcelProperty | Information collected during a deep scan by the OMPM File Scanner for potential Microsoft Excel issues | ScanFileID FileOpenNotSupported FileSaveNotSupported WorkspaceFile HTMLSaved OWC9 OWC10 OWC11 FileFormat LastSavedVersion EmbeddedDocs WSSLinkedList MSERedcords ErrorChecking AccessDBConnection SharedWorkBook LinkedContent Charts OfficeArtShapes ELFEnabled StandardList ATP RelationalPivot OLAPPivot CondFormat
osExcelPropertyLinked | Information collected during a deep scan by the OMPM File Scanner for Excel files that contain linked cells | ScanFileID Link

Schema for OMPM Compatibility Report data

Output from the Office File Converter and Version Extraction Tool, together with queries against scanned data from the OMPM File Scanner, populate the OMPM Compatibility Report data schema. All tables in the OMPM Compatibility Report data schema start with the prefix "om." The tables in the OMPM Compatibility Report data schema fall into two categories:

  • Tools, actions, and issues data

  • File location data

OMPM Compatibility Report data schema: tools, actions, and issues data

The tools, actions, and issues tables in the OMPM Compatibility Report data schema include information about the OMPM tool that was used, the actions that the administrator performed for a file, and the issues that were identified by the deep scan function of the OMPM File Scanner.

The following table provides descriptions for each table for tools, actions, and issues data in the OMPM Compatibility Report data schema.

Table | Description | Fields
omIssue | Issues found by OMPM File Scanner, Office File Converter, or Version Extraction Tool. | IssueId Title Description HelpURL IssueLevelId IssueTypeId
omIssueLevel | Pre-defined issue levels (red, yellow, and green). | IssueLevelId Description
omIssueType | Pre-defined issue categories. | IssueTypeId Description IsPromoted
omFileIssue | Maps issues to files. | FileId IssueId IssueDate IsResolved
omToolIssue | Maps issues to tools. | ToolId IssueId
omTool | Tool definitions. | ToolId Title Description HelpURL Version
omAction | Action taken for a file, including whether the file was modified. | FileId ToolId ActionDate ActionOptions FileModifiedDate
omActionFile | Files that were created by an action, such as a .docx file that was created by the Office File Converter. | FileId ToolId ActionDate FileCategoryId Name Path ComputerName Domain
omActionIssue | Issue that was found or resolved by a tool in OMPM. | FileId ToolId ActionDate IssueId IsResolved PostStatus PostDate
omAccessRatings | Pre-defined ratings for Access issues. | FileID RatingId
omAccessIssue | Conversion and other issues that were found in Access files during the scan. | FileID IssueId
omCSIDL | The system folder identifier for a file. For more information about CSIDL values, see CSIDL (http://go.microsoft.com/fwlink?linkid=71501). | CSIDL Name
omFilter | Compatibility report filters saved from OMPM Reports. | FilterId Name SQLText Advanced
omFileCategory | The action name (for example, "Upgrade") that created a file in the omActionFile table. | FileCategoryId Description

OMPM Compatibility Report data schema: file location data

The following table provides descriptions for file location data tables in the OMPM Compatibility Report data schema. FileID is the primary key.

Table | Description | Fields
omFile | File information, including location and modifiers for actions that change the state of the file. | FileId LastScanFileId Name Path ShortPath Extension FileFormatId Size CreatedDate ModifiedDate Owner UserContent ComputerName DNS HashCode CSIDL MaxIssueLevel IsReadOnly
omFileScanFile | Maps entries in omAccessIssue from the corresponding omFile entry to osScanFile, which specifies the FileID needed to obtain details from the Access tables. | FileId ScanFileId

Schema for Access data

The following table provides descriptions for each Access table in the OMPM database schema.

Table | Description | Fields
AccessVersionsProperties | Contains information about the version properties in an Access file. | VersionCode Version
AccessSystemFiles | Contains information about Access system files. | Name
AccessSampleFiles | Contains information about Access sample files. | Name
AccessReservedWords | Contains information about reserved words in an Access file. | Name
AccessSettings | Contains information about the settings of an Access file. | SettingName DateValue
AccessQueriesTypeLookupProperties | Contains information about lookup properties for query types in an Access file. | TypeID TypeFriendlyName
AccessIssuesProperties | Contains information about issue properties for an Access file. | IssueId IssueText UserIntervention IssueType UserInterventionPriority
AccessBackupTokens | Contains information about backup tokens for an Access file. | Name
AccessDatabasesRatingProperties | Contains information about database rating properties for an Access file. | RatingID Rating
AccessFieldTypeLookupProperties | Contains information about lookup properties for field types in an Access file. | FieldType FieldTypeFriendlyName
AccessForms | Contains information about forms in an Access file. | FileID FormName
AccessReferences | Contains information about references in an Access file. | FileID ReferenceName GUID FullPath IsBroken Kind Major Minor
AccessMacros | Contains information about macros in an Access file. | FileID MacroName
AccessQueries | Contains information about queries in an Access file. | FileID QueryName SQL Connect Type
AccessTables | Contains information about tables in an Access file. | FileID TableName RecordCount Connect
AccessModules | Contains information about modules in an Access file. | FileID ModuleName
AccessReports | Contains information about reports in an Access file. | FileID ReportName
AccessFields | Contains information about fields in an Access file. | FileID TableName FieldName FieldType
AccessProperties | Contains information about properties in an Access file. | FileID ScanID TableCount QueryCount FormCount ReportCount MacroCount ModuleCount ReferenceCount CollatingOrder Version ReplicaID DesignMasterID ANSIQueryMODE AccessVersion Build ProjVer StartupForm NoConvertDialog DatabaseOwner IsCompiled IsSample IsBackup IsOld IsSystem

See Also

Concepts

Import Office Migration Planning Manager log files into a database
Office Migration Planning Manager overview for Office 2010

Other Resources

Getting started with OMPM 2010


Sample script to run the Office Migration Planning Manager File Scanner from a file share for Office 2010

You can use the sample script contained in this article to run the Office Migration Planning Manager (OMPM) File Scanner from a central file share. You can deploy the script with Microsoft System Center Configuration Manager 2007, another software deployment application, or a script.

For more information about how to set up and run OMPM File Scanner, see Set up the Office Migration Planning Manager File Scanner for Office 2010 and Run the Office Migration Planning Manager File Scanner for Office 2010.

Copy Code
'*************************************************************************************
' File Name: OffScan.vbs
' Version: 1.0
' Purpose: Executes offscan.exe and generate the MIF message based on output of offscan.exe
'*************************************************************************************
Option Explicit
''On Error Resume Next

Dim oFso, oWsh, g_strRoot, g_SourcePath, g_optFile, g_intReturnCode

'------------------- Creating Objects -------------------------------
Set oFso  = Wscript.CreateObject("Scripting.FileSystemObject")
Set oWsh  = Wscript.CreateObject("Wscript.Shell")

'-------------  Get the Parent Folder -------------------------------
g_strRoot = oFso.GetParentFolderName(Wscript.ScriptFullName)
g_optFile   = oWsh.ExpandEnvironmentStrings("%temp%\offscan_output.txt")
g_SourcePath    = oFso.BuildPath(g_strRoot,"bits\offscan.exe")

If oFso.FileExists(g_optFile) Then
oFso.DeleteFile g_optFile
End If
g_intReturnCode= oWsh.Run("%comspec% /c " & g_SourcePath & " >> " & g_optFile,0,True)

'// Remove this if network copy is not requried
CopycabfiletoNetworkLocation

Quit()

'****************************************************************************************************************
'Sub Name : GenerateMIFMessage()
'Purpose: Generates the MIF message
'****************************************************************************************************************

Sub GenerateMIFMessage()
'On Error Resume Next
Dim l_varGetFile,l_strReadFile,l_strLine, l_oMIFGen, l_strMifMessage
If oFso.FileExists(g_optFile) Then
Set l_varGetFile = oFso.GetFile(g_optFile)
Set l_strReadFile = l_varGetFile.OpenAsTextStream(1,-2)
Do While l_strReadFile.AtEndofStream = False
l_strLine = l_strReadFile.ReadLine
If Not Trim(l_strLine) = "" Then
If Instr(lcase(l_strLine),"total time") or Instr(lcase(l_strLine),"total number") Then
If Trim(l_strMifMessage) = "" Then
l_strMifMessage = g_intReturnCode & ":" & l_strLine
Else
l_strMifMessage = l_strMifMessage & ";" & l_strLine
End If
End If
If Instr(lcase(l_strLine),"error:") Then
If Trim(l_strMifMessage) = "" Then
l_strMifMessage = g_intReturnCode & ":" & Split(Split(l_strLine,".")(0),":")(1)
Else
l_strMifMessage = l_strMifMessage & ";" & Split(Split(l_strLine,".")(0),":")(1)
End If
End If
End If
Loop
Set l_strReadFile = Nothing
Set l_varGetFile  = Nothing
Else
l_strMifMessage="Output file NOT found"
End If

Set l_oMIFGen = WScript.CreateObject("ISMIFCOM.InstallStatusMIF")
l_oMIFGen.Create "OffScan.MIF", "Microsoft", "Office File Scanner", "1.0", "ENU", 1, l_strMifMessage, 1

End Sub

'*************************************************************************************
' Sub Name: Quit
' Purpose: Exit
'*************************************************************************************

Sub Quit()
'On Error Resume Next
GenerateMIFMessage()
Set oWsh = Nothing
Set oFso = Nothing
Wscript.Quit(0)
End Sub

'*************************************************************************************
'Sub Name : CopycabfiletoNetworkLocation()
'Purpose: Copy the cab file to specified common folder
'*************************************************************************************

Sub CopycabfiletoNetworkLocation()
'On Error Resume Next
Dim l_strDemoFolder, l_strFile, l_oFileCollection
Dim l_offSacnIniPath, l_SourceFolder, l_destinationFolder

l_offSacnIniPath="bits\offscan.ini"
l_SourceFolder="%temp%\offscan" '%temp%\offscan - this shold be same as in offscan.ini file.

'//--------------- Specify the Share name (share name should end with "\" )--------------------
l_destinationFolder= "\\server\sharename\"

l_offSacnIniPath    = oFso.BuildPath(g_strRoot,l_offSacnIniPath)

If oFso.FileExists(l_offSacnIniPath) Then
l_SourceFolder = oWsh.ExpandEnvironmentStrings(l_SourceFolder)
Set l_strDemoFolder = oFso.GetFolder(l_SourceFolder)
Set l_oFileCollection = l_strDemoFolder.Files
For Each l_strFile in l_oFileCollection
oFso.CopyFile l_strFile,l_destinationFolder
Next
Set l_oFileCollection = Nothing
Set l_strDemoFolder = Nothing
End If

If oFso.FileExists(g_optFile) Then
oFso.CopyFile g_optFile,l_destinationFolder
End If
End Sub

See Also

Concepts

Import Office Migration Planning Manager log files into a database
Run the Office Migration Planning Manager File Scanner for Office 2010
Analyze Office Migration Planning Manager Reports for Office 2010
Office Migration Planning Manager overview for Office 2010

Other Resources

Getting started with OMPM 2010


Office Migration Planning Manager Offscan.ini settings for Office 2010

The settings and values that you can specify in the Offscan.ini file are listed and described in the Offscan.ini settings table in this article. Offscan.ini is the configuration file that the Office Migration Planning Manager (OMPM) File Scanner reads to obtain information about how to perform the OMPM File Scanner scan. The Offscan.ini file must be edited before you can run the OMPM File Scanner.

The OMPM File Scanner scans a set of files one time per RunID. The RunID is a unique ID number that you assign to this setting in the offscan.ini file. It specifies one scan. To scan the same set of files again, provide a different RunID.

Offscan.ini settings table

The following table shows the settings and values in Offscan.ini.

Setting Required? Description Possible values If value is missing If value is not valid

[Run]

Required

Defines the scan execution identifier.

Section head

Scanning stops.

Not applicable

RunID=

Required

Tracking number for the current scan. Use this to group scans from different computers in the Reports.

The purpose of RunID is to uniquely identify scan results in the OMPM reporting database. You can only use a single RunID one time on each client computer. This avoids duplicate log information from being generated. Use an alternate RunID to run subsequent scans.

1 through 2,147,483,646. The default value is 1001.

Scan ends. If value is a previously used RunID on the same client computer, the scan immediately finishes, and you see the following message: "The scan with the specified RunID has already been completed on this Computer for this User. Scan Complete".

End scan

Description=

Optional

Text used to describe the current scan.

Free-form text, truncated to 255 characters.

Ignore.

Not applicable

[Scan]

Required

Define scan actions to be executed.

Section head

Scanning stops

Not applicable

DestinationPath=

Required

Path where log files are placed.

Physical or mapped drive or UNC, e.g., c:\scan\logs or \\server\logshare

The default location is c:\ompm\scandata

Environment variables are supported for local scans only (see note that follows this table).

End scan and display usage information to console.

If the directory does not exist, the directory is created as configured. If the entire path is incorrect, an error is displayed on the computer and the scan is stopped.

ScanMyDocuments

Optional

Ensures the user's My Documents folder is scanned whether My Documents is within the path that is specified in SourcePath or redirected to another hard disk drive or network share.

1 - Scan My Documents wherever the folder is.

0 - do not scan My Documents if the path is not under that indicated by SourcePath.

The default value is 0.

No special handling for My Documents folder.

Ignore

ScanDesktop

Optional

Ensures the user's Desktop folder is scanned, whether Desktop is within the path that is specified in SourcePath or redirected to another hard disk drive or network share. Optional.

1 - Scan Desktop wherever the folder is.

0 - do not scan Desktop if the path is not under that indicated by SourcePath.

The default value is 0.

No special handling for Desktop folder.

Ignore

DeepScan=

Optional

Specify whether this is a deep scan. Deep scan must be enabled to allow OMPM scanner to look for file compatibility changes.

0 - perform a light scan.

1 - perform a deep scan.

The default value is 1.

Performs a light scan.

Performs a light scan

CABLogs=

Optional

Disable creation of CAB files.

0 - do not allow creation of CAB files.

1 - allow creation of CAB files.

The default value is 0.

Will not create CAB files.

Does not create CAB files

Verbose=

Optional

Specify whether to display scan activity on the screen.

0 - do not print output to the screen.

1 - print output to the screen.

The default value is 1.

Does not print output to the screen.

Does not print output to the screen

Recovery=

Optional

Restart a failed scan when you run the OMPM File Scanner again.

0 - do not restart failed scans.

1 - restart failed scans.

The default value is 1.

Does not attempt to restart failed scans.

Does not attempt to restart failed scans

LogOutput=

Optional

Specify whether to write output to a file.

0 - do not write output to a file.

1 - write output to a file.

The default value is 1.

Does not write output to a file.

Does not write output to a file

SkipOldAccessedFiles

Optional

Enables scan filtering based on the last accessed date of files. If enabled, files with last access dates that are older than the specified date are logged as skipped files. They are not scanned.

This setting is used only when deep scanning is enabled (DeepScan=1). This setting is ignored during light scans (DeepScan=0).

1 - Offscan skips files that have a Last Accessed Date that is less than OldAccessedDate

0 - offscan does not skip old files based on Last Accessed Date

The default value is 0.

No files are skipped.

No files are skipped

OldAccessedDate

Optional

Defines the date to use for filtering file scanning by last accessed date, Must be activated by using the SkipOldAccessedFiles setting. The date format is YYYY/MM/DD.

Valid date

The default value is 2005/01/01

No files are skipped.

The scan stops

SkipOldModifiedFiles

Optional

Enables scan filtering based on the last modified date of files. If enabled, files that have last modified dates that are older than the specified date are logged as skipped files. They are not scanned.

This setting is used only when deep scanning is enabled (DeepScan=1). This setting is ignored during light scans (DeepScan=0).

1 - offscan skips files that have a Last Modified Date that is less than OldModifiedDate

0 - offscan does not skip old files based on Last Modified Date

The default value is 0.

No files are skipped.

No files are skipped

OldModifiedDate

Optional

Defines the date to use for filtering file scanning by last modified date, Must be enabled by using the SkipOldModifiedFiles setting. The date format is YYYY/MM/DD.

Valid date

The default value is 2005/01/01

No files are skipped.

The scan stops

VerboseSkipping

Optional

Defines whether skipped files are displayed on the screen during scanning.

1 - every file skipped is displayed

0 - skipped files are not displayed

The default value is 1.

Skipped files are not displayed.

Skipped files are not displayed.

ScanMacros

Optional

Specify whether to scan files for macro VBA code to determine the number of potential object model changes from the current version to Office 2010.

1 - offscan attempts to scan macros in scanned filetypes for API or object model compatibility issues. Files that contain macros require additional time for scanning. Therefore, scanning times can increase for document sets that contain large numbers of macros.

0 - offscan does not attempt to scan macros for API or object model issues

The default value is 0.

Files are not scanned for macro issues.

Files are not scanned for macro issues.

ScanMacrosx64

Optional

Specify whether to scan macro VBA code to determine the number of potential 64-bit Office changes from the current version to Office 2010 64 bit.

1 - offscan attempts to scan macros in scanned filetypes for API or object model compatibility issues. Files that contain macros require additional time for scanning. Therefore, scanning times can increase for document sets that contain large numbers of macros.

0 - offscan does not attempt to scan macros for API or object model issues

The default value is 0.

Files are not scanned for 64-bit macro issues.

Files are not scanned for 64-bit macro issues

[FoldersToScan]

Optional

Section lists folder trees to scan. Sub-folders are also scanned.

Section head

Environment variables are supported for local scans only (see note that follows this table).

If a folder that is specified for scanning does not exist, OMPM File Scanner generates an error message and aborts the scan.

Folder=

Optional

Lists the folder that is included in the scan. All files within this folder and sub-folders are scanned. You can add a Folder entry for each folder (and its included subfolders) that you want to include in the scan.

Define local drives, UNC paths, or WebDAV paths.

Examples:

Local: C:\samplefolder or C:\%localappdata%

Server: \\servername\share

WebDAV(SharePoint): \\server\DAVwwwRoot

No value is specified by default.

OMPM File Scanner scans all local physical drives.

OMPM File Scanner ignores and logs paths that are not valid and continues scanning the remaining defined folders. OMPM File Scanner scans all local physical drives if no valid folders are defined.

[FoldersToExclude]

Optional

Section lists folders to exclude from the scan. Sub-folders are also excluded. If [FoldersToExclude] contains folders that do not exist on the computer, the scan stops.

Section Head.

Environment variables are supported for local scans only (see note that follows this table).

No folder is excluded from the scan.

If FoldersToScan and FoldersToExclude include the same folders, an error is written to tblErrors and the scan ends.

Error is:

" "Error: Cannot include and exclude the same path. Make sure each path only appears once in the config file."

Scan Aborted

Folder=

Optional

Lists a folder to be excluded in the scan. All files within this folder and sub-folders are scanned. Optional.

Define local drives, UNC paths, or WebDAV paths.

Environment variables are supported for local scans only (see note that follows this table).

You can add a Folder entry for each folder that you want to exclude from the scan.

Examples:

Local: C:\samplefolder or C:\%localappdata%

Server: \\servername\share

WebDAV(SharePoint): \\server\DAVwwwRoot

No default value is specified

OMPM scans files in accordance with the defined folderstoscan section. No folder is excluded from the scan.

Ignores and logs invalid paths and continues scanning the remaining defined folders

[Network]

Optional

If you are scanning over a network, use the Network section to retry on some limited errors.

If a retry is not successful, an error is logged and the scan continues

Section head

Retry is not attempted

Retry is not attempted

RetryCount

Optional

Number of retries per file before it moves to the next file.

Integer.

The default value is 10.

RetryInterval

Optional

Number of milliseconds to wait between retries.

Integer.

The default value is 1000.

RetryTimeout

Optional

The number of sequential files to retry before stopping the scan. Optional.

Integer.

0 - infinite number of files.

The default value is 10.

[Application]

Required

Sections that contain specific settings for each Office application.

Section heads:

Access

Excel

PowerPoint

Project

Publisher

Visio

Word

If section is missing, the application document files are not scanned.

If [Application] is not a known value, the section is ignored.

Ext=

Required

List of extensions to be scanned for the application. Required, if [Application] is present. For a list of file types that are scanned by the OMPM File Scanner, see Office Migration Planning Manager overview for Office 2010

Extensions are defined for each application.

For example, "doc" or "dot" (a comma-separated list without the preceding "." character). You can add more extension types if you use other extensions for particular document types, such as .LET for Word letter documents.

Note:

The OMPM file scanner does not scan files in the OpenXML format (.xlsx, .pptx, .docx) unless you explicitly add them to this setting.

Defaults by application:

Access: mdb, mde, mdz, adp, ade, mdt, mda, accda, accdb, accdr, accdu, accde, accdt, accdc

Excel xls, xlt, xla, XLC, XLM, xlsm, xltm

PowerPoint: ppt, pot, pps, ppa, pptm, ppam, potm

Project: mpp, mpt

Publisher:pub

Visio: vsd, vss, vst, vdx, vtx, vsx

Word: doc, dot, wiz, docm, dotm

If there are no values in Ext= in any [Application] section, the OMPM File Scanner finishes without scanning the files.

File type is ignored.

[Access]

Optional

Configuration settings for Access.

Section head

ScanDAO=

Optional

Specify whether to collect data access object (DAO) properties from the Access databases that are scanned.

0 - do not collect DAO properties.

1 - collect DAO properties.

The default value is 1.

Collect DAO properties.

Collect DAO properties.

AccessScan=

Optional

Specify whether to collect Access properties from the Access databases that are scanned. To collect Access properties, the OMPM File Scanner must be running on a computer that has Access 95 or a later version installed on it. Access databases that contain autoexec macros are not scanned.

0 - do not collect Access properties.

1 - collect Access properties.

The default value is 0.

Do not collect Access properties.

Do not collect Access properties.

DisableConvDialog=

Optional

Specify whether to prevent the conversion dialog box from appearing the next time that a user opens a version of an Access database that is earlier than Access 2002 or Access 2003 in either Access 2002 or Access 2003. If you set DisableConfDialog=1, the LastModified date of the Access database changes.

0 - do not prevent the conversion dialog box from appearing.

1 - prevent the conversion dialog box from appearing.

The default value is 0.

Do not prevent the conversion dialog box from appearing.

Do not prevent the conversion dialog box from appearing.

MaxCopyFileSize=

Optional

Specify the maximum file size in megabytes (MB) that the OMPM File Scanner copies for the collection of Access properties. When collecting Access properties, the OMPM File Scanner makes a copy of the database, which it opens and scans. This preserves the LastModified date for the database. You can use this setting to limit the file size that is copied.

Integer.

The default value is 0.

Important:

When you scan Access databases, you must configure it to a value that is greater than the size of the largest database that you want to scan. You cannot leave this value at 0.

If this results in a timeout during the scan, modify the following settings under [Network]: set RetryCount to 15, and RetryInterval to 1500.

Defaults to 0 MB.

Defaults to 0 MB.

TempPath=

Optional

Specify the folder path where the OMPM File Scanner copies Access databases before it scans them.

Drive letter or UNC path.

The default value is null.

Use the folder path that is specified for the TEMP variable in the Windows operating system that is running on your computer.

Use the folder path that is specified for the TEMP variable in the Windows operating system that is running on your computer.

Note:

For local scans only (where offscan.exe and offscan.ini are accessed from the same computer), the following properties in Offscan.ini support environment variables: [FoldersToScan], [FoldersToExclude], and [DestinationPath]. For example, you can specify %temp%, which resolves as the location to store temporary files. If the environment variable cannot be resolved due to a misspelling or other reason (for example, if you specified %temps% instead of %temp%), the OMPM File Scanner treats the entry like a folder name and not an environment variable.

See Also

Concepts

Office Migration Planning Manager (OMPM) for Office 2010

Other Resources

Getting started with OMPM 2010


Use IExpress 2.0 to create a distribution package for Office Migration Planning Manager File Scanner in Office 2010

You can use IExpress 2.0 to create a distribution package for Office Migration Planning Manager (OMPM) File Scanner by using the following procedure.

Create a distribution package for OMPM File Scanner

Use the following procedure to create an executable file that you can distribute to users. When a user runs the executable file, the OMPM File Scanner files are copied to the user's computer. IExpress 2.0 is available only on Windows XP and Windows Vista.

To create a distribution package for OMPM File Scanner

  1. Edit offscan.ini by using the appropriate variables for your environment.

  2. On a computer that is running Windows XP, click Start, click Run, type iexpress, and then click OK. This starts the IExpress Wizard.

  3. On the Welcome to IExpress 2.0 page, select Create new Self Extraction Directive file, and then click Next.

  4. On the Package purpose page, select Extract files and run an installation command, and then click Next.

  5. On the Package title page, type a title for the package, and then click Next.

  6. On the Confirmation prompt page, select No prompt, and then click Next.

  7. On the License agreement page, select Do not display a license, and then click Next.

  8. On the Packaged files page, click Add, and then select all files from the Scan directory where OMPM is installed. The list should contain the following files:

    • OFFSCAN.EXE

    • ACCSCAN.DLL

    • OFFSCAN.INI

    • MSVBVM50.DLL

    • SYSTEM.MDW

    • WORD.XML

    • EXCEL.XML

    • COMMONTERMS.XML

    • PPT.XML

  9. When you finish adding files, click Next.

  10. On the Install Program to Launch page, in the Install Program box, type c:\ompm\offscan.exe. In the Post Install Command box, enter the command that you want to use to copy .cab files from the scanned computer to the location where you want to store all .cab files. For example, to copy the .cab files from C:\Scan\Logs to the logs directory on a computer named Server1, type copy c:\scan\logs\*.* \\Server1\logs. Click Next.

  11. On the Show window page, select Hidden, and then click Next.

  12. On the Finished message page, select No message, and then click Next.

  13. On the Package Name and Options page, enter the path and file name that you want for this distribution package. Select the options that you want, and then click Next.

  14. On the Configure restart page, select No restart, and then click Next.

  15. On the Save Self Extraction Directive page, select Save Self Extraction Directive (SED) file, edit the path and file name, and then click Next.

  16. On the Create package page, click Next. When the package is created, click Finish to exit.

See Also

Concepts

Office Migration Planning Manager overview for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Set up the Office Migration Planning Manager File Scanner for Office 2010
Run the Office Migration Planning Manager File Scanner for Office 2010

Other Resources

Getting started with OMPM 2010


Document compatibility reference for Excel 2010, PowerPoint 2010, and Word 2010

The following tables describe compatibility functionality and resources for Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

Downloads

Tool | Excel | PowerPoint | Word
Compatibility Pack (Same version for all applications) | Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=191166) | Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=191166) | Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=191166)
Office Viewers | Excel Viewer (http://go.microsoft.com/fwlink/p/?LinkId=196417) | PowerPoint Viewer (http://go.microsoft.com/fwlink/p/?LinkId=196418) | Word Viewer (http://go.microsoft.com/fwlink/p/?LinkId=196419)

Procedures and references for end-users

Functionality Excel 2010 PowerPoint 2010 Word 2010

Enabling compatibility mode

Work in compatibility mode in Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196420)

Features are lost when you open a presentation created in an earlier version of PowerPoint(http://go.microsoft.com/fwlink/p/?LinkID=207536)

Use Word 2010 to open documents created in earlier versions of Word (http://go.microsoft.com/fwlink/p/?LinkId=196421)

Create a document to be used by previous versions of Word (http://go.microsoft.com/fwlink/p/?LinkId=196422)

Converting files to Office 2010 format (exiting compatibility mode)

Convert a workbook to the Excel 2010 file format (http://go.microsoft.com/fwlink/p/?LinkId=196423)

Convert a PowerPoint presentation from an earlier version to PowerPoint 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196424)

Convert a document to the Word 2010 mode (http://go.microsoft.com/fwlink/p/?LinkId=196425)

Open or save a file in another format

Save As (http://go.microsoft.com/fwlink/p/?LinkId=196426)

Open or save a presentation in a different file format (http://go.microsoft.com/fwlink/p/?LinkId=196427)

Use Word to open or save a file in another file format (http://go.microsoft.com/fwlink/p/?LinkId=196428)

Running Compatibility Checker

Check an Excel 2010 workbook for compatibility with earlier versions of Excel (http://go.microsoft.com/fwlink/p/?LinkID=196429)

Determine whether a PowerPoint 2010 presentation is compatible with PowerPoint 2003 or earlier (http://go.microsoft.com/fwlink/p/?LinkId=196430)

Compatibility Checker (http://go.microsoft.com/fwlink/p/?LinkId=196431)

Compatibility changes between versions (http://go.microsoft.com/fwlink/p/?LinkId=196432)

Opening and saving files in Office Document Format (ODF)

Use Excel to open or save a worksheet in the OpenDocument Spreadsheet (.ods) format (http://go.microsoft.com/fwlink/p/?LinkId=196433)

Use PowerPoint to open or save a presentation in the OpenDocument Presentation (.odp) format (http://go.microsoft.com/fwlink/p/?LinkId=196434)

Use Word to open or save a document in the OpenDocument Text (.odt) format (http://go.microsoft.com/fwlink/p/?LinkId=196435)

Technical reference

Functionality | Excel 2010 | PowerPoint 2010 | Word 2010
Compatibility modes | Excel 97-2003 compatibility mode | PowerPoint 97-2003 compatibility mode | Word 2007 compatibility mode Word 97-2003 compatibility mode
Feature differences when Compatibility mode is used | Excel 2010 features that are not supported in earlier versions of Excel (http://go.microsoft.com/fwlink/p/?LinkId=196436) | Features are lost when you open a presentation created in an earlier version of PowerPoint(http://go.microsoft.com/fwlink/p/?LinkID=207536) | Feature availability in each mode (http://go.microsoft.com/fwlink/p/?LinkId=196437)
Features that change when you open an Office 2010 file in an earlier version of Office | Excel 2010 features that are not supported in earlier versions of Excel (http://go.microsoft.com/fwlink/p/?LinkId=196436) | Features that change when you open a PowerPoint 2010 presentation in PowerPoint 2003 or earlier (http://go.microsoft.com/fwlink/p/?LinkId=196438) | Features that behave differently in earlier versions (http://go.microsoft.com/fwlink/p/?LinkId=196439)
Feature differences between Open XML and OpenDocument formats | Differences between the OpenDocument Spreadsheet (.ods) format and the Excel (.xlsx) format (http://go.microsoft.com/fwlink/p/?LinkId=196440) | Differences between the OpenDocument Presentation (.odp) format and the PowerPoint (.pptx) format (http://go.microsoft.com/fwlink/p/?LinkId=196441) | Differences between the OpenDocument Text (.odt) format and the Word (.docx) format (http://go.microsoft.com/fwlink/p/?LinkId=196442)
Supported file formats | File formats that are supported in Excel 2010 | File formats that are supported in PowerPoint 2010 | File formats that are supported in Word 2010

See Also

Concepts

Plan for using compatibility mode in Office 2010
File format reference for Office 2010

Other Resources

Compatibility Resource Center on TechNet


File format reference for Office 2010

Published: March 31, 2011

The primary resources for file formats and file name extensions for Microsoft Office 2010 are listed in the following table.

In this documentation:

Article | Description
Overview of the XML file formats in Office 2010 | Describes the benefits and structure of the Open XML Formats used in Microsoft Office 2010 to simplify the exchange of data between Office applications and enterprise business systems.
XML file name extensions in Office 2010 | Describes the Open XML file formats and the file name extensions that are used by Microsoft Word 2010, Microsoft Excel 2010, and Microsoft PowerPoint 2010.
File formats supported in Office 2010 | Describes the file formats that are supported in Microsoft Word 2010, Microsoft Excel 2010, and Microsoft PowerPoint 2010. Also provides information about other kinds of supported and unsupported file formats.
Group Policy and Office Customization Tool settings in Office 2010 for OpenDocument and Office Open XML formats | Describes the Group Policy settings and the Office Customization Tool (OCT) settings that address OpenDocument Format and Open XML Formats in Microsoft Office 2010.
Migrating to Microsoft Excel 2010 (white paper) | Provides information about migrating to Microsoft Excel 2010. Includes descriptions of functional differences and how the differences might affect workbooks; solutions for some of the common issues that might occur during migration; and resources to help diagnose additional migration issues.


Overview of the XML file formats in Office 2010

The Open XML file formats simplify the exchange of data between Office applications and enterprise business systems. Based on open standards, these XML file formats enable the rapid creation of documents from different data sources and speed up document assembly, data mining, and content reuse.

The 2007 Office system supports the ECMA-376 Office Open XML Formats standard, which was later submitted to ISO/IEC and was published in late 2008 as the ISO/IEC 29500 Office Open XML Formats standard. Office 2010 provides read support for ECMA-376, read/write support for ISO/IEC 29500 Transitional, and read support for ISO/IEC 29500 Strict.

Documentation for the ISO/IEC 29500 Office Open XML Formats is available from ISO/IEC, and documentation for ECMA-376 is available from Ecma International. For detailed information about how these formats are supported in Office 2010 and the 2007 Office system, see Microsoft Office File Format Documents (http://go.microsoft.com/fwlink/p/?LinkId=191143) on MSDN.

In this article:

  • Benefits of the Open XML Formats

  • Structure of the Open XML Formats

Benefits of the Open XML Formats

The Open XML Formats provide several benefits for developers, IT professionals, and users. These benefits include the following:

  • Compact file format Documents are automatically compressed, up to 75 percent smaller.

  • Improved damaged file recovery Modular data storage enables files to open even if a component within the file, such as a chart or table, is damaged.

  • Safer documents Embedded code, such as OLE objects or Microsoft Visual Basic for Applications (VBA) code, is stored in a separate section within the file so that it can easily be identified for special processing. IT administrators can block the documents that contain unwanted macros or controls. This helps make documents safer for users when they are opened.

  • Easier integration Developers have direct access to specific contents within the file, such as charts, comments, and document metadata.

  • Transparency and improved information security Documents can be shared confidentially because personally identifiable information and business-sensitive information, such as user names, comments, tracked changes, and file paths, can easily be identified and removed.

  • Compatibility By installing the Microsoft Office Compatibility Pack, users of Microsoft Office 2000, Microsoft Office XP, and Microsoft Office 2003 editions can open, edit, and save documents in one of the new XML formats.

Structure of the Open XML Formats

The basic structure of the Open XML Formats consists of the following five elements, which are described in more detail in the sections that follow.

  • Start part The highest order part in the hierarchy.

  • XML parts Files or folders consisting of XML that comprise the content of the file.

  • Non-XML parts Parts that are not XML and generally are either images or OLE objects.

  • Relationship part A type of part that generally points to other parts to define the relational hierarchy of the part structure.

  • ZIP package Bundles parts into a single file.

Start part

The start part, an XML part that is a relationship part and could be considered the highest order part, determines the file type. For example, if the name of the core container is WordDoc, the file name extension is .docx.

XML parts

When an Office XML formatted file is saved in Office 2010 or the 2007 Office system, the file is divided into a set of logical parts that describes the entire file. For Microsoft Word, dividing the file into these parts enables the file to be easily queried or modified outside of the original Office application.

For example, it is easier for a developer to remove document properties from a file because the properties are placed in a single part, and the part can be deleted from within the document container by deleting the part. With WordprocessingML (provided as an optional XML file format in Office 2003), removing comments involved parsing the entire file to find and remove the XML representing the contents of the comment. With the new file format, feature-related data is divided into parts. Comments, links, headers, footers, and other data are in separate parts that can be removed. You do not need to parse the entire Word document.

Non-XML parts

Non-XML parts are generally images and OLE objects. Any file type that uses binary content or does not use XML is identified as non-XML. A non-XML part is usually a file attached to or embedded within a document. The Word XML format schema documentation explains the literal relationship and schema hierarchy used by Word for files of this type.

Relationship part

A relationship part is an XML part that points to other parts and defines the relational hierarchy of the parts. Most high-level XML parts are relationship parts. XML parts that contain data and do not point to other parts are also known as primitives, and usually have a content type of application/xml.

ZIP package

Using a ZIP package provides the following benefits in all applications:

  • Open standard The ZIP compression algorithm is a well-defined open standard.

  • Reduced file size Files are generally smaller than an equivalent binary file. On average, Word Open XML files are 75 percent smaller than their binary counterparts, depending on the number of images.

  • Increased robustness Files are more robust and less sensitive to potential errors in the file. Previous files required the file to be completely intact to function correctly.

Although use of a ZIP package means the file is binary, the WinFX application programming interface (API) set provides native support for the package format in the System.IO.Packaging name space. This enables developers to create tools that process the format and work directly against the logical model (the parts) without having to consider expansion or compression of the package.

See Also

Other Resources

Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint File Formats


XML file name extensions in Office 2010

The Open XML file formats and their extensions that are used by Microsoft Word 2010, Microsoft Excel 2010, and Microsoft PowerPoint 2010 are listed in the following tables. For a list of all file formats and extensions that are supported by Word, Excel, and PowerPoint, see File formats supported in Office 2010.

Word 2010 or Word 2007 file type | Extension | Description
Word Document | .docx | The default Word file format. Cannot store VBA macro code.
Word Macro-Enabled Document | .docm | Uses the same basic XML format as the Word document format, but can store VBA macro code. This file type is created when VBA macro code is present in the file.
Word Template | .dotx | The default format for a Word template. Created when document styles and formatting are saved. Cannot store VBA macro code.
Word Macro-Enabled Template | .dotm | Stores macro code for use with other Word documents. Does not always contain macro code, but is configured to support the storage of macro code. Word documents created from a macro-enabled template do not inherit the VBAProject part of the template. By default, documents are saved as .docx files even when they are created from a Word macro-enabled template.

Excel 2010 or Office Excel 2007 file type | Extension | Description
Excel Workbook | .xlsx | The default Excel file format. Cannot store VBA macro code or Microsoft Excel 4.0 macro sheets (.xlm files in Excel 4.0).
Excel Macro-Enabled Workbook | .xlsm | Uses the same basic XML format as the Excel Workbook, but can store VBA macro code. Users saving an Excel workbook that has VBA code or Excel 4.0 macro sheets (.xlm files in Excel 4.0) are prompted to use this file format.
Excel Template | .xltx | The default file format for an Excel template. Cannot store VBA macro code or Excel 4.0 macro sheets (.xlm files in Excel 4.0).
Excel Macro-Enabled Template | .xltm | Can contain a VBAProject part or Excel 4.0 macro sheets (.xlm files in Excel 4.0). Workbooks created from this template inherit the VBAProject part or Excel 4.0 macro sheets that exist in the template.
Excel Add-In | .xlam | A supplemental program that runs additional code. Excel add-ins use the Open XML file format to store data, and they support using VBA projects and Excel 4.0 macro sheets.

PowerPoint 2010 or PowerPoint 2007 file type | Extension | Description
PowerPoint Presentation | .pptx | The default PowerPoint XML format. Cannot contain a VBAProject part (the part that stores VBA macro code) or Action settings.
PowerPoint Macro-Enabled Presentation | .pptm | The same basic XML format as the PowerPoint XML presentation format, but can store VBA macro code. Users saving a PowerPoint XML presentation file that contains VBA macro code are prompted to use this file type.
PowerPoint Template | .potx | An XML-based PowerPoint template. Created when a presentation does not have a VBAProject part and does not use Action settings.
PowerPoint Macro-Enabled Template | .potm | Users saving a PowerPoint XML template that contains VBA macro code are prompted to use this file type. Presentations created from this template do not inherit the VBAProject part or Action settings.
PowerPoint Add-In | .ppam | PowerPoint presentation designed to be executed as a supplemental program. All PowerPoint add-ins are macro-enabled.
PowerPoint Show | .ppsx | An XML-based PowerPoint auto-running slide show. Cannot contain a VBAProject part.
PowerPoint Macro-Enabled Show | .ppsm | An XML-based PowerPoint slide show file that contains a VBAProject part. Created when the auto-running slide show includes VBA macro code.

See Also

Concepts

Overview of the XML file formats in Office 2010
File formats supported in Office 2010


File formats supported in Office 2010

Published: June 10, 2010

Supported and unsupported file formats and their extensions are listed in the following tables for Microsoft Word 2010, Microsoft Excel 2010, and Microsoft PowerPoint 2010. This article also provides information about other kinds of supported and unsupported file formats.

In this article:

  • File formats that are supported in Word 2010

  • File formats that are supported in Excel 2010

  • File formats that are supported in PowerPoint 2010

  • Additional file format information

File formats that are supported in Word 2010

The following table describes the file formats that are supported in Word 2010, alphabetized by extension.

Extension | Name of file format | Description
.doc | Word 97-2003 Document | The binary file format for Word 97-2003.
.docm | Word Macro-Enabled Document | The XML-based and macro-enabled file format for Word 2010 and Office Word 2007. Stores Visual Basic for Applications (VBA) macro code.
.docx | Word Document | The default XML-based file format for Word 2010 and Office Word 2007.
.dot | Word 97-2003 Template | Template for Word 97-2003 files.
.dotm | Word Macro-Enabled Template | Template for creating new Word 2010 and Office Word 2007 files that contain macros. If you want to include UI customizations or macros in the template, use this file format.
.dotx | Word Template | Template for creating new Word 2010 and Office Word 2007 files that do not contain macros.
.htm, .html | Web Page | A Web page that is saved as a folder that contains an .htm file and all supporting files, such as images, sound files, cascading style sheets, scripts, and more. Good for posting on a site or editing with Microsoft Office FrontPage or another HTML editor.
.htm, .html | Web Page, Filtered | Saving in the Web Page, Filtered file format removes Microsoft Office-specific tags. If you save in filtered HTML and then re-open the file in an Office application, text and general appearance will be preserved. However, some features might work differently.
.mht; .mhtml | Single File Web Page | A Web page as a single file that includes an .htm file and all supporting files, such as images, sound files, cascading style sheets, scripts, and more.
.odt | OpenDocument Text | A file format for saving Word 2010 files so that they can be opened in document applications that use the OpenDocument format. You can also open documents in the .ods format in Word 2010. Formatting might be lost when users save and open .ods files.
.pdf | PDF | Portable Document Format (PDF), a PostScript-based electronic file format developed by Adobe Systems that preserves document formatting and enables file sharing. Files using the PDF file format can be saved but not opened by using Word 2010.
.rtf | Rich Text Format | RTF controls the representation and formatting of a document, both on the screen and in print. When they use the .rtf file format, documents created under different operating systems and with different software applications can be transferred between those operating systems and applications.
.txt | Plain Text | When you save a Word 2010 document as a .txt file, you lose all formatting.
.wps | Works 6-9 Document | This is the default file format of Microsoft Works, versions 6.0 through 9.0.
.xml | Word 2003 XML Document | The XML format supported in Office Word 2003.
.xml | Word XML Document | The XML file format supported in Word 2010 and Office Word 2007 (Open XML).
.xps | XPS Document | XML Paper Specification, a file format that preserves document formatting and enables file sharing. When the XPS file is viewed online or printed, it keeps exactly the format that you intended, and the data in the file cannot be easily changed. Files using the XPS Document file format can be saved but not opened by using Word 2010.

File formats that are supported in Excel 2010

The following tables describe the file formats that are supported in Excel 2010.

Extension | Name of file format | Description
.csv | CSV (Comma delimited) | Saves a workbook as a comma-delimited text file for use on another Windows operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.csv | CSV (Macintosh) | Saves a workbook as a comma-delimited text file for use on the Macintosh operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.csv | CSV (MS-DOS) | Saves a workbook as a comma-delimited text file for use on the MS-DOS operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.dbf | DBF 3, DBF 4 | dBase III and IV. Users can open these files formats in Excel. However, users cannot save an Excel file to dBase format.
.dif | DIF (Data Interchange Format) | Saves only the active sheet.
.htm, .html | Web Page | A Web page that is saved as a folder that contains an .htm file and all supporting files, such as images, sound files, scripts, and more.
.mht, .mhtml | Single File Web Page | A Web page that is saved as a single file that includes an .htm file and all supporting files, such as images, sound files, scripts, and more.
.ods | OpenDocument Spreadsheet | A file format for saving Excel 2010 files so that they can be opened in spreadsheet applications that use the OpenDocument Spreadsheet format, such as Google Docs and OpenOffice.org Calc. You can also open spreadsheets in the .ods format in Excel 2010. Formatting might be lost when you save and opening .ods files.
.pdf | PDF | Portable Document Format, a format that preserves document formatting and enables file sharing. When the PDF format file is viewed online or printed, it keeps the format that you intended. Data in the file cannot be easily changed. The PDF format is also useful for documents that will be reproduced by using commercial printing methods.
.prn | Formatted Text (Space delimited) | Lotus space-delimited format. Saves only the active sheet.
.slk | SYLK (Symbolic Link Format) | Saves only the active sheet.
.txt | Text (Tab delimited) | Saves a workbook as a tab-delimited text file for use on another Windows operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.txt | Text (Macintosh) | Saves a workbook as a tab-delimited text file for use on the Macintosh operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.txt | Text (MS-DOS) | Saves a workbook as a tab-delimited text file for use on the MS-DOS operating system, and ensures that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
.txt | Unicode Text | Saves a workbook as Unicode text, a character encoding standard that was developed by the Unicode Consortium. Saves only the active sheet.
.xla | Excel 97-2003 Add-In | The Excel 97-2003 Add-In, a supplemental program that runs additional code and supports VBA projects.
.xlam | Excel Add-In | The XML-based and macro-enabled Add-In format for Excel 2010 and Office Excel 2007. An Add-In is a supplemental program that runs additional code. Supports VBA projects and Excel 4.0 macro sheets (.xlm).
.xls | Excel 97-Excel 2003 Workbook | The Excel 97-Excel 2003 Binary file format.
.xls | Microsoft Excel 5.0/95 Workbook | The Excel 5.0/95 Binary file format.
.xlsb | Excel Binary Workbook | The binary file format for Excel 2010 and Office Excel 2007. This is a fast load-and-save file format for users who need the fastest way possible to load a data file. Supports VBA projects, Excel 4.0 macro sheets, and all the new features that are used in Excel 2007 and Excel 2010. However, this is not an XML file format and is therefore not optimal for accessing and manipulating content without using Excel 2010 or Excel 2007 and the object model.
.xlsm | Excel Macro-Enabled Workbook | The XML-based and macro-enabled file format for Excel 2010 and Office Excel 2007. Stores VBA macro code or Excel 4.0 macro sheets (.xlm).
.xlsx | Excel Workbook | The default XML-based file format for Excel 2010 and Office Excel 2007. Cannot store VBA macro code or Microsoft Excel 4.0 macro sheets (.xlm).
.xlt | Excel 97 - Excel 2003 Template | The Excel 97 - Excel 2003 Binary file format for an Excel template.
.xltm | Excel Macro-Enabled Template | The macro-enabled file format for an Excel template for Excel 2010 and Office Excel 2007. Stores VBA macro code or Excel 4.0 macro sheets (.xlm).
.xltx | Excel Template | The default file format for an Excel template for Excel 2010 and Office Excel 2007. Cannot store VBA macro code or Excel 4.0 macro sheets (.xlm).
.xlw | Excel 4.0 Workbook | An Excel 4.0 file format that saves only worksheets, chart sheets, and macro sheets. You can open a workbook in this file format in Excel 2010. However, you cannot save an Excel file to this file format.
.xml | XML Spreadsheet 2003 | XML Spreadsheet 2003 file format.
.xml | XML Data | XML Data format.
.xps | XPS Document | XML Paper Specification, a file format that preserves document formatting and enables file sharing. When the XPS file is viewed online or printed, it maintains exactly the format that you intended, and the data in the file cannot be easily changed.
Note:

Excel 2010 does not support the following:

  • Excel Chart (Excel 2.0, 3.0, and 2.x file formats) (.xlc)

  • Lotus 1-2-3 file formats (all versions) (.wk1, .wk2, .wk3, .wk4, .wks)

  • Microsoft Works (all versions) (.wks)

  • DBASE II file format (.dbf)

  • Quattro Pro for MS-DOS file format (.wq1)

  • Quattro Pro 5.0 and 7.0 for Windows (.wb1, .wb3)

File formats that are supported in PowerPoint 2010

The following tables describe the file formats that are supported in PowerPoint 2010.

Extension | Name of file format | Description
.bmp | Device Independent Bitmap | A slide that is saved as a graphic for use on Web pages.
.emf | Enhanced Windows Metafile | A slide that is saved as a 32-bit graphic (for use with Microsoft Windows 95 and later versions).
.gif | GIF Graphics Interchange Format | A slide that is saved as a graphic for use on Web pages.
.jpg | JPEG File Interchange Format | A slide that is saved as a graphic for use on Web pages.
.odp | OpenDocument Presentation | A format that can be opened in presentation applications that use the OpenDocument Presentation format, such as Google Docs and OpenOffice.org Impress. You can also open presentations in the .odp format in PowerPoint 2010. Some information might be lost when you save and open .odp files.
.pdf | PDF | Portable Document Format, a PostScript-based electronic file format developed by Adobe Systems that preserves document formatting and enables file sharing.
.png | PNG Portable Network Graphics Format | A slide that is saved as a graphic for use on Web pages.
.pot | PowerPoint 97-2003 Template | A template for PowerPoint 97 to Office PowerPoint 2003 presentations.
.potm | PowerPoint Macro-Enabled Template | A template for PowerPoint 2010 and Office PowerPoint 2007 presentations that contain macros.
.potx | PowerPoint Template | A template for creating new PowerPoint 2010 and Office PowerPoint 2007 presentations.
.ppa | PowerPoint 97-2003 Add-In | A PowerPoint 97 to Office PowerPoint 2003 add-in.
.ppam | PowerPoint Add-In | An add-in that stores custom commands, Visual Basic for Applications (VBA) code, and specialized features.
.pps | PowerPoint 97-2003 show | A presentation that always opens in Slide Show view instead of in Normal view.
.ppsm | PowerPoint Macro-Enabled Show | A slide show that includes macros.
.ppsx | PowerPoint Show | A presentation that always opens in Slide Show view instead of in Normal view.
.ppt | PowerPoint 97-2003 Presentation | The default PowerPoint 97 to Office PowerPoint 2003 format.
.pptm | PowerPoint Macro-Enabled Presentation | A presentation that contains Visual Basic for Applications (VBA) code.
.pptx | PowerPoint Presentation | The default PowerPoint 2010 and Office PowerPoint 2007 XML-based file format.
.pptx | PowerPoint Picture Presentation | A PowerPoint 2010 or 2007 presentation where each slide is converted into a picture. Saving a file as a PowerPoint Picture presentation will reduce the file size. However, some information will be lost.
.rtf | Outline/RTF | A presentation outline that is saved as a text-only document that provides smaller file sizes and the ability to share macro-free files with other users who might not have the same version of PowerPoint or the operating system that you have. Any text in the notes pane is not saved with this file format.
.thmx | Office Theme | A style sheet that includes definitions of a color theme, font theme, and effect theme.
.tif | TIFF Tag Image File Format | A slide that is saved as a graphic for use on Web pages.
.wmf | Windows Metafile | A slide that is saved as a 16-bit graphic (for use with Microsoft Windows 3.x and later versions).
.wmv | Windows Media Video | A presentation that is saved as a video. PowerPoint 2010 presentations can be saved at High Quality (1024 x 768, 30 frames per second); Medium Quality (640 x 480, 24 frames per sec); and Low Quality (320 X 240, 15 frames per second). The WMV file format plays on many media players, such as Windows Media Player.
.xml | PowerPoint XML Presentation | The XML format that is supported in PowerPoint 2010 and Office PowerPoint 2007.
.xps | XPS Document | XML Paper Specification (XPS), an electronic paper format for exchanging documents in their final form.
Note:

PowerPoint 2010 does not support the following:

  • Opening or saving to PowerPoint 95 (or earlier) file formats

  • Pack and Go Wizard (.ppz) files.

  • Web Page (.htm, .html) files

Additional file format information

This section provides additional file formats and whether they are supported in the applications in Office 2010.

Microsoft Office Clipboard file formats

You can paste data from the Microsoft Office Clipboard into Word 2010, Excel 2010, and PowerPoint 2010 if the Office Clipboard data is in one of the formats shown in the following table.

File format Extension Description

Picture

.wmf or .emf

Pictures in Windows Metafile Format (WMF) or Windows Enhanced Metafile Format (EMF).

Note:

If you copy a Windows metafile picture from another program, Excel pastes the picture as an enhanced metafile.

Bitmap

.bmp

Pictures stored in Bitmap format (BMP).

Microsoft Excel file formats

.xls

Binary file formats for Excel versions 5.0/95, Excel 97-2003, and Excel 2010.

SYLK

.slk

Symbolic Link Format.

DIF

.dif

Data Interchange Format.

Text (tab-delimited)

.txt

Tab-separated text format.

CSV (Comma-delimited)

.csv

Comma-separated values format.

Formatted text (Space-delimited)

.rtf

Rich Text Format (RTF). Only from Excel.

Embedded object

.gif, .jpg, .doc, .xls, or .bmp

Microsoft Excel objects, objects from properly registered programs that support OLE 2.0 (OwnerLink), and Picture or another presentation format.

Linked object

.gif, .jpg, .doc, .xls, or .bmp

OwnerLink, ObjectLink, Link, Picture, or other format.

Office drawing object

.emf

Office drawing object format or Picture (Windows enhanced metafile format, EMF).

Text

.txt

Display Text, OEM Text.

HTML

.htm, .html

Hypertext Markup Language.

Note:

When you copy text from another program, Excel pastes the text in HTML format, regardless of the format of the original text.

Single File Web Page

mht, .mhtml

This file format integrates inline graphics, applets, linked documents, and other supporting items referenced in the document.

Opening or viewing unsupported file formats

If the file format that you want to use is not supported in Word 2010, Excel 2010, or PowerPoint 2010, you can try the following methods to open the file.

  • Search the Internet for a company that makes file format converters for file formats that are not supported in the application.

  • Save to a file format that another program supports. For example, you might want to import your Word, Excel, or PowerPoint file into another program that does not support the Word, Excel, or PowerPoint. However, the other program might support importing another supported file format, such as a text file format. In this case, you can save your work in text file format, and then from the other program, import the text file.

See Also

Concepts

Changes in Word 2010 (for IT pros
Changes in Excel 2010 (for IT pros)
Changes in PowerPoint 2010 (for IT pros)


Group Policy and Office Customization Tool settings in Office 2010 for OpenDocument and Office Open XML formats

This article lists the Group Policy settings and the Office Customization Tool (OCT) settings that address OpenDocument Format and Open XML Formats in Microsoft Office 2010.

In this article:

  • About the settings

  • Excel 2010 settings

  • PowerPoint 2010 settings

  • Word 2010 settings

Before you can use the settings discussed in this article, you must install the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316) download package, which contains new and updated Group Policy administrative template files and OCT files.

About the settings

For each setting, the following information is provided:

  • The application to which the setting applies

  • The setting name

  • What the setting does

  • The default configuration for the setting

  • Where to find the setting in the Group Policy Object Editor

    • Unless otherwise noted, you will find Group Policy settings under the User Configuration/Administrative Templates node of the Group Policy Object Editor when you edit a local or domain-based Group Policy object (GPO).

    Note:

    The locations in the Group Policy Object Editor presented in this article apply when you invoke the Group Policy Object Editor to edit a GPO. To edit local Group Policy, use the Local Group Policy Editor. To edit domain-based Group Policy, use the Group Policy Management Console (GPMC). Either tool invokes the Group Policy Object Editor when you edit a GPO. For more information, see Use Group Policy to enforce Office 2010 settings and Group Policy overview for Office 2010.

  • Where to find the setting in the Office Customization Tool (OCT)

    • Unless otherwise noted, you will find OCT settings on the Modify user settings page of the OCT when you configure a setup customization file.

    Note:

    If the geographic location of the computer on which you are running the OCT is set to a European location, when you create a new Setup customization .msp file, or open an existing customization .msp file for which file format settings have not been configured for Excel 2010, PowerPoint 2010, or Word 2010, you might be prompted to choose a default file format for users. You can choose to keep the current settings for the Setup customization file, or choose either Office Open XML formats (which support all the features of Office 2010), or OpenDocument formats. For more information about these file formats, click Learn more to access OCT help.

Excel 2010 settings

The following table lists the Group Policy settings and the OCT settings that address OpenDocument Format and Open XML Formats for Excel 2010.

Setting name What it does Default configuration Group Policy Object Editor location OCT location

Default file format

Specifies the default file format for new files that users create in Microsoft Excel. This includes the OpenDocument spreadsheet (.ods) file format.

Files are created in the Excel file format. Users may override this default setting and specify another file format.

Microsoft Excel 2010\Excel Options\Save

Microsoft Excel 2010\Excel Options\Save

Suppress file format compatibility dialog box for OpenDocument Spreadsheet format

Allows you to enable or disable the file format compatibility dialog box from appearing when users save a file as an OpenDocument spreadsheet (*.ods) file in Microsoft Excel.

The file format compatibility dialog box appears when users save as an OpenDocument Spreadsheet file in Excel.

Microsoft Excel 2010\Excel Options\Save

Microsoft Excel 2010\Excel Options\Save

OpenDocument Spreadsheet files

Determines whether users can open, view, edit, or save Excel files in OpenDocument Spreadsheet (*.ods) file format.

Users can open, view, edit, or save Excel files in *.ods file format.

Microsoft Excel 2010\Excel Options\Security\Trust Center\File Block Settings

Microsoft Excel 2010\Excel Options\Security\Trust Center\File Block Settings

Microsoft Office Open XML converters for Excel

Determines whether users can open, view, edit, or save Excel files in Open XML file format.

Users can open, view, edit, or save Excel files in Open XML file format.

Microsoft Excel 2010\Excel Options\Security\Trust Center\File Block Settings

Microsoft Excel 2010\Excel Options\Security\Trust Center\File Block Settings

Scan encrypted macros in Excel Open XML workbooks

Controls whether encrypted macros in Open XML documents are required to be scanned by using antivirus software before they are opened.

Note:

The behavior depends on whether the antivirus software uses the Microsoft Antivirus API.

Encrypted macros are disabled unless antivirus software is installed. Encrypted macros are scanned by your antivirus software when you attempt to open an encrypted workbook that contains macros.

Note:

If the antivirus software does not use the Microsoft Antivirus API, macros will always be blocked.

Microsoft Excel 2010\Excel Options\Security

Microsoft Excel 2010\Excel Options\Security

Protect document metadata for rights-managed Office Open XML Files

Determines whether metadata is encrypted in Office Open XML files that are protected by Information Rights Management (IRM).

When Information Rights Management (IRM) is used to restrict access to an Office Open XML document, any metadata associated with the document is not encrypted.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Protect document metadata for password protected files

Determines whether metadata is encrypted when an Office Open XML file is password protected.

When an Open XML document is protected with a password and saved, any metadata associated with the document is encrypted along with the rest of the document's contents. If this configuration is changed, potentially sensitive information such as the document author and hyperlink references could be exposed to unauthorized people.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Encryption type for password protected Office Open XML files

Allows you to specify an encryption type for Office Open XML files.

The default cryptographic service provider (CSP) is used. On computers that run Windows Vista, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider, AES-128, 128-bit. On computers that run Windows XP, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider (Prototype), AES-128, 128-bit. Note: This policy setting will not take effect unless the registry key HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\<Office application name>\Security\Crypto\CompatMode is set to 0. By default, the CompatMode registry key is set to 1.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Block opening of pre-release versions of file formats new to Excel 2010 through the Compatibility Pack for Office 2010 and Excel 2010 Converter

Controls whether users who have the Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2010 File Formats installed can open Office Open XML files that were saved with pre-release versions of Excel 2010. Excel Open XML files usually have the following extensions: .xlsx, .xlsm, .xltx, .xltm, .xlam.

Users of the compatibility pack will be unable to open Office Open XML files that were created in pre-release versions of Excel 2010.

Microsoft Office 2010\Office 2010 Converters

Microsoft Office 2010\Office 2010 Converters

Disable Package Repair

Allows you to disable the option to repair Open XML documents.

When an Office 2010 application detects that an Open XML document is corrupted, the user is given the option of repairing the corrupted document.

This setting cannot be configured by using Group Policy.

Microsoft Office 2010 (Machine)\Security Settings

PowerPoint 2010 settings

The following table lists the Group Policy settings and the OCT settings that address OpenDocument Format and Open XML Formats for PowerPoint 2010.

Setting name What it does Default configuration Group Policy Object Editor location OCT location

Suppress file format compatibility dialog box for OpenDocument Presentation format

Allows you to enable or disable the file format compatibility dialog box when you save a file as an OpenDocument presentation file in Microsoft PowerPoint.

The file format compatibility dialog box is not displayed when you save as an OpenDocument presentation file in PowerPoint.

Microsoft PowerPoint 2010\PowerPoint Options\Save

Microsoft PowerPoint 2010\PowerPoint Options\Save

OpenDocument Presentation files

Allows you to determine whether users can open, view, edit, or save PowerPoint files with the OpenDocument presentation (*.odp) file format.

OpenDocument presentation files are not blocked.

Microsoft PowerPoint 2010\PowerPoint Options\Security\Trust Center\File Block Settings

Microsoft PowerPoint 2010\PowerPoint Options\Security\Trust Center\File Block Settings

Microsoft Office Open XML converters for PowerPoint

Allows you to determine whether users can open, view, edit, or save PowerPoint files using Open XML file format converters.

PowerPoint files using Open XML file format converters are not blocked.

Microsoft PowerPoint 2010\PowerPoint Options\Security\Trust Center\File Block Settings

Microsoft PowerPoint 2010\PowerPoint Options\Security\Trust Center\File Block Settings

Scan encrypted macros in PowerPoint Open XML presentations

Controls whether encrypted macros in Open XML presentations are required to be scanned by using antivirus software before they are opened.

Encrypted macros are disabled unless antivirus software is installed. If antivirus software is installed, encrypted macros are scanned by users' antivirus software when they attempt to open an encrypted presentation that contains macros. If no vulnerabilities are detected, the macros can run.

Note:

If the antivirus software does not use the Microsoft Antivirus API, macros will always be blocked.

Microsoft PowerPoint 2010\PowerPoint Options\Security

Microsoft PowerPoint 2010\PowerPoint Options\Security

Turn on an external converter as the default for a file name extension

Allows you to enable an external file format converter as the default for a particular file name extension on a computer. To set this policy, you need to specify the file name extension (for example, ''odp'') for Value Name and the external file format converter via the converter's classname (for example, ''TestConverter'') for Value.

Microsoft PowerPoint processes files in an application-defined manner.

This setting cannot be configured by using Group Policy.

Microsoft PowerPoint 2010 (Machine)\Converters

Protect document metadata for rights-managed Office Open XML Files

Determines whether metadata is encrypted in Office Open XML files that are protected by Information Rights Management (IRM).

When Information Rights Management (IRM) is used to restrict access to an Office Open XML document, any metadata associated with the document is not encrypted.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Protect document metadata for password protected files

Determines whether metadata is encrypted when an Office Open XML file is password protected.

When an Open XML document is protected with a password and saved, any metadata associated with the document is encrypted along with the rest of the document's contents. If this configuration is changed, potentially sensitive information such as the document author and hyperlink references could be exposed to unauthorized people.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Encryption type for password protected Office Open XML files

Allows you to specify an encryption type for Office Open XML files.

The default cryptographic service provider (CSP) is used. On computers that run Windows Vista, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider, AES-128, 128-bit. On computers that run Windows XP, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider (Prototype), AES-128, 128-bit. Note: This policy setting will not take effect unless the registry key HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\<Office application name>\Security\Crypto\CompatMode is set to 0. By default, the CompatMode registry key is set to 1.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Block opening of pre-release versions of file formats new to PowerPoint 2010 through the Compatibility Pack for Office 2010 and PowerPoint 2010 Converter

Controls whether users who have the Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2010 File Formats installed can open Office Open XML files that were saved with pre-release versions of PowerPoint 2010. PowerPoint Open XML files usually have the following extensions: .pptx, .pptm, .potx, .potm, .ppsx, .ppsm, .ppam, .thmx, .xml.

Users of the compatibility pack will be unable to open Office Open XML files that were created in pre-release versions of PowerPoint 2010.

Microsoft Office 2010\Office 2010 Converters

Microsoft Office 2010\Office 2010 Converters

Disable Package Repair

Allows you to disable the option to repair Open XML documents.

When an Office 2010 application detects that an Open XML document is corrupted, the user is given the option of repairing the corrupted document.

This setting cannot be configured by using Group Policy.

Microsoft Office 2010 (Machine)\Security Settings

Word 2010 settings

The following table lists the Group Policy settings and the OCT settings that address OpenDocument Format and Open XML Formats for Word 2010.

Setting name What it does Default configuration Group Policy Object Editor location OCT location

Save As Open XML in Compatibility Mode

Allows you to hide the ''Maintain compatibility with previous versions of Word'' check box that appears in the Save As dialog when users save a file as an Open XML file format. This check box lets users preserve the fidelity of documents that open in compatibility mode when they save those documents to any of the Open XML file formats. Checking this box will prevent conversion to the version of Word that is saving the file. Conversion maximizes fidelity with the version of Word that is saving the file, and we recommend it for users who want their Word documents to be compatible with this version of Word. However, conversion might impact the fidelity and compatibility of some features when the file is opened by an earlier version of Word.

The ''Maintain compatibility with previous versions of Word'' check box appears in the Save As dialog when users save a file in an Open XML file format.

Microsoft Word 2010\Word Options\Save

Microsoft Word 2010\Word Options\Save

Do not display file format compatibility dialog box for OpenDocument text format

Allows you to enable or disable the file format compatibility dialog box that appears when users save a file as an OpenDocument text file in Word.

The file format compatibility dialog box appears when users save as an OpenDocument text file in Word.

Microsoft Word 2010\Word Options\Save

Microsoft Word 2010\Word Options\Save

Set default compatibility mode on file creation

Allows you to specify the default compatibility mode for users when they create new files in Word 2010: Word 2003, Word 2007, or full functionality mode (this mode ensures that all new features remain enabled). Note: Open XML file formats such as .docx and .dotx, support all three modes.

Full functionality mode is the default compatibility mode for users when they create new files in Word 2010.

Microsoft Word 2010\Word Options\Save

Microsoft Word 2010\Word Options\Save

Default file format

Allows you to determine the default file format for saving files in Word. This includes the OpenDocument text (.odt), and Open XML file formats. This policy setting is often set in combination with the ''Save As Open XML in Compatibility Mode'' policy setting.

Word saves new files in the Office Open XML format (*.docx).

Microsoft Word 2010\Word Options\Save

Microsoft Word 2010\Word Options\Save

OpenDocument Text files

Allows you to determine whether users can open, view, edit, or save Word files that use the OpenDocument text (*.odt) file format.

Users can open, view, edit, or save *.odt files in Word 2010.

Microsoft Word 2010\Word Options\Security\Trust Center\File Block Settings

Microsoft Word 2010\Word Options\Security\Trust Center\File Block Settings

Office Open XML converters for Word

Allows you to determine whether users can open, view, edit, or save Word files that use Open XML file format converters.

Word files that use Open XML file format converters are not blocked.

Microsoft Word 2010\Word Options\Security\Trust Center\File Block Settings

Microsoft Word 2010\Word Options\Security\Trust Center\File Block Settings

Scan encrypted macros in Word Open XML documents

Controls whether encrypted macros in Open XML Word documents are required to be scanned by using antivirus software before they are opened.

Encrypted macros are disabled unless antivirus software is installed. If antivirus software is installed, encrypted macros are scanned by users' antivirus software when they attempt to open an encrypted document that contains macros. If no vulnerabilities are detected, the macros can run.

Note:

If the antivirus software does not use the Microsoft Antivirus API, macros will always be blocked.

Microsoft Word 2010\Word Options\Security\Trust Center

Microsoft Word 2010\Word Options\Security\Trust Center

Protect document metadata for rights-managed Office Open XML Files

Determines whether metadata is encrypted in Office Open XML files that are protected by Information Rights Management (IRM).

When Information Rights Management (IRM) is used to restrict access to an Office Open XML document, any metadata associated with the document is not encrypted.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Protect document metadata for password protected files

Determines whether metadata is encrypted when an Office Open XML file is password protected.

When an Open XML document is protected with a password and saved, any metadata associated with the document is encrypted along with the rest of the document's contents. If this configuration is changed, potentially sensitive information such as the document author and hyperlink references could be exposed to unauthorized people.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Encryption type for password protected Office Open XML files

Allows you to specify an encryption type for Office Open XML files.

The default cryptographic service provider (CSP) is used. On computers that run Windows Vista, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider, AES-128, 128-bit. On computers that run Windows XP, the default CSP is Microsoft Enhanced RSA and AES Cryptographic Provider (Prototype), AES-128, 128-bit. Note: This policy setting will not take effect unless the registry key HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\<Office application name>\Security\Crypto\CompatMode is set to 0. By default, the CompatMode registry key is set to 1.

Microsoft Office 2010\Security Settings

Microsoft Office 2010\Security Settings

Block opening of pre-release versions of file formats new to Word 2010 through the Compatibility Pack for Office 2010 and Word 2010 Open XML/Word 97-2003 Format Converter

Controls whether users who have the Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2010 File Formats installed can open Office Open XML files that were saved with pre-release versions of Word 2010. Word Open XML files usually have the following extensions: .docx, .docm, .dotx, .dotm, .xml.

Users of the compatibility pack will be unable to open Office Open XML files that were created in pre-release versions of Word 2010.

Microsoft Office 2010\Office 2010 Converters

Microsoft Office 2010\Office 2010 Converters

Disable Package Repair

Allows you to disable the option to repair Open XML documents.

When an Office 2010 application detects that an Open XML document is corrupted, the user is given the option of repairing the corrupted document.

This setting cannot be configured by using Group Policy.

Microsoft Office 2010 (Machine)\Security Settings

See Also

Concepts

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Office Customization Tool in Office 2010
Use Group Policy to enforce Office 2010 settings

Other Resources

Ecma Office Open XML File Formats overview
Differences between the OpenDocument Spreadsheet (.ods) format and the Excel (.xlsx) format
Differences between the OpenDocument Presentation (.odp) format and the PowerPoint (.pptx) format
Differences between the OpenDocument Text (.odt) format and the Word (.docx) format


Migrating to Microsoft Excel 2010 (white paper)

This white paper was developed to aid IT professionals in the process of migrating to Microsoft Excel 2010. This document includes descriptions of the primary functional differences and how those variances might affect workbooks. This paper also includes information about some common issues that may occur during migration and offers solutions where applicable. Additional resources are provided to help diagnose any issues that are not described in this paper.

Download this white paper as a Microsoft Word document (.docx): Migrating to Microsoft Excel 2010 (http://go.microsoft.com/fwlink/p/?LinkId=196345)


Assess how Outlook 2010 works with different versions of Exchange Server

Updated: March 5, 2013

Microsoft Outlook 2010 works well with different email servers, but you can take advantage of an even richer feature set by using Outlook together with Microsoft Exchange Online or the latest version of Microsoft Exchange Server. Features of Outlook 2010 that work better with Exchange Online, Exchange Server 2010, and Exchange Server 2013 include the calendar, Room Finder, retention and compliance functionality, Conversation view, and conversation actions such as Ignore.

Note:

Outlook 2010 can't connect to a computer that is running Microsoft Exchange 2000 Server or earlier version of Exchange.

Features that are supported by different versions of Exchange Server

The following table shows how Outlook 2010 features are supported by each version of Exchange Server.

Outlook 2010 feature | Exchange 2013 / Exchange Online | Exchange 2010 | Microsoft Exchange 2007 SP2/SP3 | Microsoft Exchange Server 2003 SP2
Windows Rights Management Services (RMS) support for email. | X | X | X | X
Local copy of a user's mailbox to enable users to work offline (Cached Exchange mode). | X | X | X | X
Search Folders display the results of previously defined search queries of your Outlook folders. | X | X | X | X
Outlook Anywhere (RPC over HTTP) connections are automatically configured. | X | X | X |
Exchange Server settings are automatically detected over the Internet (Autodiscover). | X | X | X |
Exchange servers are automatically found in multi-forest environments. | X | X | X |
Out of Office improvements: separate internal/external Out of Office messages, external replies can be limited to Contacts folder entries, HTML formatting for reply messages, scheduling Out of Office replies during a specified time period only. | X | X | X |
Voice mail messages can be delivered in email messages. | X | X | X |
Managed Folders can help organizations to reduce the legal risks that are associated with email and other communications. | X | X | X |
Scheduling Assistant helps users decide the most convenient times for meetings and it includes easy checking for conference room availability. | X | X | X |
Free/Busy information is always up-to-date for users who have the Availability service. | X | X | X |
Tentative calendar booking is managed on the Exchange Server. Users do not have to run Outlook for other users to see their Free/Busy status for new meeting invites. | X | X | X |
Larger mailboxes are supported. Maximum data file size increased 2.5 times from Outlook 2007. | X | X | X |
Sender ID Anti-Spam can reduce the number of unsolicited email messages that enter the organization. | X | X | X |
Photos can be displayed for your colleagues in the global address list (GAL). | X | X | X |
When scheduling a meeting, Room Finder displays suggested times for the best time for your meeting (when most attendees are available). | X | X | X |
MailTips can help users make the correct choices when they send sensitive communications. | X | X |  |
Calendar details can be shared with external business partners by using federation. | X | X |  |
Microsoft speech technology converts voice mail messages into text that users receive in an email message or text message. | X | X |  |
RMS protected voice mail enables encrypted voice mail messages to be sent to a user's mailbox. | X | X |  |
Online Personal Archive eliminates the need for Personal Folder files (.pst). | X | X |  |
Message tracking lets you confirm that an email message was delivered. | X | X |  |
Note:

  • Data Loss Protection, apps for Office, and site mailboxes are new features that are available only with Outlook 2013 connected to a computer that runs Exchange Online or Exchange Server 2013. For more information about these new features, see What's new in Outlook 2013.

  • See License requirements for Personal Archive and retention policies.

  • For Exchange Server 2003, the server can be found automatically if the client computer is joined to a domain and the Exchange Server topology is installed within the same Active Directory organization as the user object.

  • If you have an on-premises Exchange Server and plan to add Exchange Online to co-exist in your environment, there are two things to consider:

    • There is no cross-premises manager delegation. If the manager's account is on Exchange Online, the delegate's account must be on Exchange Online too.

    • An account that is on-premises can't have "Send As" permissions for an account that is on Exchange Online.

  • Also be aware that the user authentication method is different between an on-premises Exchange Server and Exchange Online. An Exchange Online user enters their email address (as the user name) and password. However, the user can decide to save the password so that the user only has to enter it one time.

Additional Resources

See the following list for more information about how Outlook and Exchange versions work together:

  • Outlook 2010 includes the ability to automatically configure user accounts. To learn how the discovery mechanisms work and how to change an XML file to configure AutoDiscover for your organization, see Plan to automatically configure user accounts in Outlook 2010.

  • For more information about Exchange Server 2010, see What's New in Exchange Server 2010

  • For more information about Exchange Online, see Microsoft Exchange Online

  • For information about how Microsoft Outlook for Mac 2011 works with different versions of Exchange Server, see Outlook for Mac 2011 supported by different versions of Exchange Server.

See Also

Other Resources

What's new in Outlook 2013
What's New in Exchange 2013

Change History

Date | Description
March 05, 2013 | Added information about Exchange 2013 and Outlook 2013.
May 16, 2012 | Initial publication


64-bit editions of Office 2010

Processors that are 64-bit are becoming the standard for systems that range from servers to desktop computers. The 64-bit systems can use more virtual and physical memory than 32-bit systems. This lets users work with much larger data sets than they could previously, and to analyze and solve large computational problems. Microsoft Office 2010 introduces native 64-bit versions of Microsoft Office products to take advantage of this larger capacity. For example, this additional capacity is needed only by those Microsoft Excel users who require Excel spreadsheets that are larger than 2 gigabytes (GB). The 32-bit version of Office 2010 provides the same functionality and is also compatible with 32-bit add-ins. Therefore, the 32-bit version of Office 2010 is installed by default.

Note:

Are you looking for information about which edition of Office 2010 to install (32- or 64-bit)? If so, see Choose the 32-bit or 64-bit version of Microsoft Office (http://go.microsoft.com/fwlink/?LinkID=245825).

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but want to learn more about which edition of Office 2010 to install (32- or 64-bit), see Choose the 32-bit or 64-bit version of Microsoft Office (http://go.microsoft.com/fwlink/?LinkID=245825).

Office 2010 also provides support for 32-bit Office 2010 applications that run on 64-bit Windows operating systems by using Windows-32-on-Windows-64 (WOW64). WOW64 is the x86 emulator that enables 32-bit Windows-based applications to run seamlessly on 64-bit Windows systems. Office 2010 lets users continue to use existing Microsoft ActiveX Controls, Component Object Model (COM) add-ins, and Visual Basic for Applications (VBA), which are primarily 32-bit because no 64-bit versions are available yet for many add-ins. Supporting 32-bit Office 2010 applications that run on 64-bit operating systems allows for better compatibility with controls, add-ins, and VBA.

The recommendations for which edition of Office 2010 to install are as follows:

  • If users in your organization depend on existing extensions to Office, such as ActiveX controls, third-party add-ins, in-house solutions built on previous versions of Office, or 32-bit versions of programs that interface directly with Office, we recommend that you install 32-bit (x86) Office 2010 (the default installation) on computers that are running both 32-bit and 64-bit supported Windows operating systems.

  • If some users in your organization are Excel expert users who work with Excel spreadsheets that are larger than 2 gigabytes (GB), they can install the 64-bit (x64) edition of Office 2010. In addition, if you have in-house solution developers, we recommend that those developers have access to the 64-bit edition of Office 2010 so that they can test and update your in-house solutions on the 64-bit edition of Office 2010.

This article applies to the current release of Office 2010. For a visual representation of this information, see 64-bit Client Installation of Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=168620), which includes supported scenarios, deployment considerations, and an overview of the Setup process.

64-bit Client Installation of Office 2010 - Model

In this article:

  • Supported Windows operating systems

  • Architecture-specific folders and customization tools

  • Supported scenarios

  • Deployment considerations

  • Setup process

  • Assessing your current environment for application compatibility

Supported Windows operating systems

The supported Windows operating system editions for 64-bit Office 2010 client include the following:

  • 64-bit editions of Windows Vista with SP1

  • 64-bit editions of Windows Server 2008 with Service Pack 1

  • Windows 7

  • Windows Server 2008 R2

The following statements apply:

  • The 64-bit Office client can be installed only on 64-bit editions of Windows Vista with SP1, 64-bit editions of Windows Server 2008 with Service Pack 1, Windows 7, and Windows Server 2008 R2.

  • The 32-bit Office client is supported as a WOW64 installation. This is the default installation on 64-bit Windows operating systems. The 32-bit Windows-based applications run on 64-bit Windows, which allows for compatibility with 32-bit Office applications and add-ins.

  • Office 2010 server products (Microsoft SharePoint Server 2010, Microsoft SharePoint Foundation 2010, and Microsoft Project Server 2010) support the 64-bit edition of Windows Server 2008 with Service Pack 2, and Windows Server 2008 R2. For more information, see the following resources:

    • Determine hardware and software requirements (SharePoint Server 2010)

    • Determine hardware and software requirements (SharePoint Foundation)

    • Determine hardware and software requirements (Project Server 2010)

  • For click-to-run scenarios, the supported version is Office 2010 32-bit (WOW64) on computers that run the supported 64-bit editions of Windows operating systems.

Architecture-specific folders and customization tools

Office 2010 includes two architecture-specific folders: one for 32-bit and one for 64-bit.

Each of these folders contains the following:

  • A separate Config.xml file and Updates folder.

  • An architecture-specific Office Customization Tool (OCT). The OCT files are located in the Admin folder for the x86 (32-bit) and x64 (64-bit) folders, respectively.

    The 64-bit version of the OCT provides the same user interface, capabilities, and configurable settings as the 32-bit version. Office 2010 introduces XML versions of OPA files: OPAX files (.opax) for non-language specific resources and OPAL files (.opal) for language-specific resources.

    The OCT provides support for importing Setup customization files (.msp files) as follows:

    • 64-bit Setup customization files can be imported into 32-bit OCT and can then be used to customize 32-bit Office products.

    • 32-bit Setup customization files can be imported into 64-bit OCT and can then be used to customize 64-bit Office products.

      A 32-bit Setup customization file that is imported to 64-bit OCT is converted to 64-bit, and a 64-bit customization file that is imported to 32-bit OCT is converted to 32-bit. For more information about how to use the Import feature, see Import an Office 2010 Setup customization file.

If you have installed Office 2010 including Microsoft Outlook 2010, Outlook sets a registry key named Bitness of type REG_SZ on the computer on which it is installed. The Bitness registry key indicates whether the Outlook 2010 installation is 32-bit or 64-bit. This might be useful to administrators who are interested in auditing computers to determine the installed versions of Office 2010 in their organization.

  • Registry path: HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0\Outlook

  • Registry key: Bitness

  • Value: either x86 or x64

Supported scenarios

The scenarios that are supported in the Office 2010 64-bit client are as follows.

  • Enterprise In enterprise environments, the default is to install Office 2010 32-bit on computers that run either 32-bit or 64-bit editions of Windows operating systems.  We recommend this option.

    An alternate approach in enterprise environments is for administrators to do the following:

    • Install Office 2010 32-bit on computers that run 32-bit editions of Windows.

    • Install Office 2010 64-bit on computers that run 64-bit editions of Windows to take advantage of additional memory on the 64-bit computers.

  • Retail For users who install Office 2010 from DVDs onto computers that run a supported 64-bit Windows operating system, the installation is by default the 32-bit version of Office 2010 (WOW64).

    Retail users who run 64-bit Windows operating systems and do not have 32-bit Office products installed can install the native 64-bit version of Office 2010 from the x64 folder on the DVD.

  • Side-by-side installations No support is provided for side-by-side installations of 64-bit and 32-bit editions of Office, including across applications. For example, there is no support for side-by-side installations of the 2007 Microsoft Office system 32-bit with Office 2010 64-bit, or for Microsoft SharePoint Workspace 2010 64-bit and Microsoft Excel 2010 32-bit.

  • Upgrades The Office client upgrade scenarios are as follows:

    • A 2007 Office system 32-bit installation on a computer that runs a 32-bit Windows operating system can be upgraded to an Office 2010 32-bit version.

    • A 2007 Office system installation on a computer that runs a 64-bit Windows operating system can be upgraded to an Office 2010 32-bit (WOW64).

    • A 2007 Office system installation cannot be upgraded to a native Office 2010 64-bit version.

Deployment considerations

Before you deploy 64-bit editions of Office 2010, you must evaluate the advantages and disadvantages and determine whether it is an appropriate deployment option for your specific environment. The following sections highlight benefits and issues that might affect compatibility, describe Outlook considerations, and list the applications that block and those that do not block a 64-bit Office 2010 installation.

A key consideration is that you cannot install native 64-bit Office 2010 on computers that have 32-bit Office applications and third-party add-ins installed. You must uninstall the 32-bit Office applications and add-ins before you can install 64-bit Office 2010. If you have 32-bit third-party Office applications and add-ins that are required for users, you can install the default option, which is 32-bit Office 2010 (WOW64 installation) on computers that run supported 64-bit editions of Windows. A list of applications that block and those that do not block a 64-bit Office 2010 is included. See Blocking and nonblocking Office applications in 64-bit installations.

In this section:

  • Advantages

  • Disadvantages

  • General feature deprecations

  • Considerations for Outlook applications

  • Blocking and nonblocking Office applications in 64-bit installations

Advantages

Running Office 2010 64-bit provides the following advantages:

  • Ability to use additional memory.

  • Excel 2010 can load much larger workbooks. Excel 2010 made updates to use 64-bit memory addressing to move beyond the 2-GB addressable memory boundary that limits 32-bit applications.

  • Microsoft Project 2010 provides improved capacity, especially when you are dealing with many subprojects to a large project.

  • Enhanced default security protections through Hardware Data Execution Prevention (DEP).

Disadvantages

The following issues might affect compatibility:

  • Microsoft Access MDE/ADE/ACCDE files Databases that have had their source code removed (such as .mde, .ade, and .accde files) cannot be moved between 32-bit and 64-bit editions of Office 2010. Such databases that are created by using 32-bit Office (any version) can be used only with 32-bit Office, and a database that is created on 64-bit Office can be used only on 64-bit Office.

  • ActiveX controls and COM add-ins ActiveX controls and add-in (COM) DLLs (dynamic link libraries) that were written for 32-bit Office will not work in a 64-bit process. As a result, Office 2010 64-bit solutions that try to load 32-bit ActiveX controls or DLLs will not work. Installations of 64-bit Office 2010 will run only 64-bit controls. Computers can have 64-bit and 32-bit controls installed, and Office 2010 64-bit can only run the 64-bit versions of the controls. The workaround for resolving these issues is to obtain 64-bit compatible controls and add-ins or to install Office 2010 32-bit (WOW).

    In addition to controls that load into Office applications, there are also Web-based solutions that use ActiveX controls in Microsoft Internet Explorer. Office 2010 64-bit editions install some Office 32-bit client-side controls for supporting solutions in a 32-bit browser (the default browser on current 64-bit Windows systems). The Edit in Datasheet view functionality is not supported if you install 64-bit Office 2010. However, the functionality is available if you install 32-bit Office 2010.

  • In-place activation The following issues might occur if there is not a match between the bitness of Office 2010 and registered applications:

    • An OLE server might not instantiate in place and might fail to open if the application registered is not the same bitness as the version of Office installed. (For example, if the OLE Server application is 32-bit and the version of Office installed is 64-bit.)

    • Inserting an object into an Office 2010 application document might fail in cross-bitness scenarios. (For example if you insert a 32-bit object in a 64-bit Office 2010 application document.)

  • Graphics rendering There are differences between the 32-bit and 64-bit Graphics Device Interface (GDI) that might have performance implications because of the lack of MMX support on 64-bit. Intel's MMX technology is an extension of the Intel architecture (IA) instruction set. The technology uses a single-instruction, multiple-data (SIMD) technique to speed up multimedia and communications software by processing data elements in parallel.

  • Visual Basic for Applications (VBA) VBA code that uses the Declare statement to access the Windows application programming interface (API) or other DLL entry points will see differences between 32-bit and 64-bit versions. The Declare statement must be updated with the PtrSafe attribute after inputs and outputs to the API have been reviewed and updated. Declare statements will not work in 64-bit VBA without the PtrSafe attribute. New data types are added to 64-bit Office 2010 VBA: LongLong and LongPtr. For more information about VBA, see the "64-bit VBA Overview" and "Declare Statement" articles in the Microsoft Visual Basic for Applications online Help in Office applications.

  • Windows Mobile Device Center (WMDC) synchronization WMDC does not synchronize with Microsoft Outlook 2010 if you use the 64-bit version of Outlook 2010. In such cases, an error message displays that states that there is no default mail client or the current mail client cannot fulfill the messaging. WMDC synchronizes correctly with the 32-bit version of Outlook 2010. To synchronize a Windows Phone with Outlook 2010 by using Windows Mobile Device Center, uninstall Outlook 2010 64-bit. Then use the original installer that you used to obtain Outlook 2010 64-bit to install Outlook 2010 32-bit. Outlook 2010 32-bit is the default option.

General feature deprecations

The following feature deprecations might affect compatibility:

  • Microsoft Access The Replication Conflict Viewer is removed from both the 32-bit and 64-bit installations of Office 2010. This functionality can still be implemented by using the ReplicationConflictFunction Property. ReplicationConflictFunction is a Microsoft Visual Basic for Applications (VBA) routine in the running database that can be used to resolve synchronization conflicts. For more information, see "How to: Set Properties of Data Access Objects in Visual Basic" in Access 2007 Developer Reference (http://go.microsoft.com/fwlink/p/?LinkId=150854).

  • Publisher The Microsoft Works database converter (wdbimp.dll) is removed from both 32-bit and 64-bit installations of Office 2010. This converter was previously used in the Mail Merge functionality to connect to a data source created in Microsoft Works.

  • Word Microsoft Office Document Imaging (MODI) and all its components are deprecated for both 32-bit and 64-bit Office 2010.The legacy Equation Editor is not supported on 64-bit Office 2010, but is supported for 32-bit Office 2010 installations (WOW64).

    WLL (Word Add-in libraries) WLL files are deprecated for 32-bit Office 2010 and are not supported in 64-bit Office 2010.

Considerations for Outlook applications

If you developed 32-bit Messaging Application Programming Interface (MAPI) applications, add-ins, or macros for Outlook, there are actions that you should take to change and rebuild the 32-bit applications to run on a 64-bit platform.

Starting with Office 2010, Outlook is available as a 32-bit application and a 64-bit application. The version (bitness) of Outlook that you choose depends on the edition of the Windows operating system (32-bit or 64-bit) and the edition of Office 2010 (32- or 64-bit) that is installed on the computer, if Office is already installed on that computer.

Factors that determine the feasibility of installing a 32-bit or a 64-bit version of Outlook include the following:

  • You can install 32-bit Office 2010 and 32-bit Microsoft Outlook 2010 on a supported 32-bit or 64-bit edition of the Windows operating system. You can install the 64-bit version of Office 2010 and 64-bit Outlook 2010 only on a supported 64-bit operating system.

  • The default installation of Office 2010 on a 64-bit edition of the Windows operating system is 32-bit Office 2010.

  • The bitness of an installed version of Outlook is always the same as the bitness of Office 2010, if Office is installed on the same computer. That is, a 32-bit version of Outlook 2010 cannot be installed on the same computer on which 64-bit versions of other Office 2010 applications are already installed, such as 64-bit Microsoft Word 2010 or 64-bit Microsoft Excel 2010. Similarly, a 64-bit version of Outlook 2010 cannot be installed on the same computer on which 32-bit versions of other Office applications are already installed.

MAPI applications include stand-alone applications such as Microsoft Lync, Microsoft Office Communicator, and MFCMAPI, and service providers such as address book, store, and transport providers. For MAPI method and function calls to work in a MAPI application (except for one Simple MAPI function, MAPISendMail), the bitness of the MAPI application must be the same as the bitness of the MAPI subsystem on the computer on which the application is targeted to run. The bitness of the MAPI subsystem, in turn, is determined by and is always the same as the bitness of the installed version of Outlook. For information about how to prepare Outlook applications for 32-bit and 64-bit platforms, see Building MAPI Applications on 32-bit and 64-bit Platforms (http://go.microsoft.com/fwlink/p/?LinkId=165489) and Developing Outlook 2010 Solutions for 32-Bit and 64-Bit Systems (http://go.microsoft.com/fwlink/p/?LinkId=208699).

Blocking and nonblocking Office applications in 64-bit installations

If 32-bit Office applications are installed on a computer, a 64-bit Office 2010 installation is blocked by default. The following section (Applications that block a 64-bit Office 2010 installation) lists the applications that block a 64-bit Office 2010 installation. The next section (Applications that do not block a 64-bit Office 2010 installation) lists exceptions; that is, applications that do not block the installation. In such cases, installation of 64-bit Office proceeds even if the listed 32-bit applications are installed on the computer.

Applications that block a 64-bit Office 2010 installation

The following applications block a 64-bit Office 2010 installation:

  • Microsoft Office Excel Viewer

  • Access database engine of Microsoft Access 2010

  • Microsoft Office 2010 (Click-to-run)

  • Compatibility Pack for the 2007 Office system

Applications that do not block a 64-bit Office 2010 installation

The following applications do not block a 64-bit Office 2010 installation:

  • Microsoft Visual Studio Web Authoring Component 2007

  • 2007 Microsoft Office system 64-bit components

  • Microsoft Office 2010 (OEM pre-installation)

  • Microsoft Office 2003 Web Components

  • Expressions Web Designer

  • Microsoft Office XP Web Components

  • Microsoft Expression Web 1

  • Microsoft Expression Web 1 Language Packs

  • Microsoft Expression Web 2

  • Microsoft Expression Web 2 Language Packs

  • Visual Basic for Applications 6.4 SDK

  • Visual Basic for Applications 6.4 SDK International Components

Setup process

This section describes the Setup sequence for a 64-bit Office client installation.

The Office 2010 installation DVD contains both the 32-bit and 64-bit versions of Office 2010 with two architecture-specific folders: one for 32-bit and one for 64-bit, as noted previously. Each of the architecture folders contains a Setup.exe file for the specific platform. There is also a Setup.exe file at the root folder. This is referred to as the platform chooser. The following figure shows the folder structure.

64-bit Office 2010 client DVD

The Setup sequence is the same as for a standard 32-bit Office client installation with the addition of specific checks that are performed for 64-bit Office 2010.

The following figure shows the checks that Setup performs for 64-bit installations.

Office 2010 Setup checks

The following figure shows how Setup determines whether to install the 32-bit or 64-bit version of Office 2010 when Setup is run from the root of the media source (DVD) that contains both the 32-bit and 64-bit versions of Office 2010.

Office 2010 Setup chooser

The following section summarizes the Setup sequence of events.

  1. Setup checks for 64-bit Office 2010 prerequisites.

    When you run Setup.exe from the x64 folder, Setup determines whether 32-bit Office applications are installed. If Setup detects 32-bit Office applications, it displays an error message that informs users that they must first uninstall all 32-bit Office applications if they want to continue with the installation of Office 2010 64-bit. The error message lists the installed 32-bit Office applications. If Setup does not detect 32-bit Office applications, it installs the 64-bit edition of Office 2010.

    Note:

    When you run Setup.exe from the x86 folder, Setup determines whether there are 64-bit Office 2010 applications installed. If Setup detects 64-bit Office 2010, an error message is displayed and Setup is blocked. If Setup does not detect 64-bit Office 2010, it installs the 32-bit edition of Office 2010.

    Office Professional Plus 2010 and Microsoft Office Professional 2010 will also be available as a combination release (DVD media) that includes both the 32-bit and 64-bit editions of Office 2010. If Setup is run from the root folder of the Office 2010 DVD that contains both 32-bit and 64-bit Office 2010, Setup performs the installation as follows:

    • On a computer that runs a supported 32-bit edition of Windows, Setup installs the 32-bit edition of Office 2010.

    • On a computer that runs a supported 64-bit edition of Windows, Setup checks for installed 64-bit Office applications, and then continues as follows:

      • If no 64-bit Office applications are installed on the computer, Setup installs Office 2010 32-bit. Office 2010 32-bit is the default installation on a 64-bit Windows operating system (uses WOW). This also applies if the administrator upgrades an existing 32-bit Office installation.

      • If 64-bit Office applications are installed, Setup installs Office 2010 64-bit.

  2. Setup reads XML data.

  3. Setup builds the feature tree.

  4. Setup creates the local installation source.

  5. Setup installs Office 2010.

  6. Setup applies the 64-bit OCT customization .msp file.

  7. Setup applies software updates.

For more information about the Setup sequence, see Setup process in Setup architecture overview for Office 2010.

Assessing your current environment for application compatibility

Office 2010 provides the following new application compatibility tools to help IT professionals evaluate application compatibility issues:

  • Office Environment Assessment Tool (OEAT) A tool that you can use to assess your existing environment before you deploy Office 2010. OEAT is designed to help you determine the kinds of add-ins and the extent to which add-ins for Microsoft Office applications are used in your environment. OEAT collects and reports add-in information about Microsoft Office 2000, Microsoft Office XP, Microsoft Office 2003, and the 2007 Microsoft Office system. It also determines the applications that interact with Office 2010 (by using COM) and provides a summary of the general state of the systems that are scanned. For more information, see Office Environment Assessment Tool (OEAT) user's guide for Office 2010.

  • Microsoft Office Code Compatibility Inspector A tool that you can use in Excel 2010, PowerPoint 2010, Word 2010, and Microsoft Visual Studio 2008 to troubleshoot issues with Microsoft Visual Basic for Application (VBA) macros and add-ins. The tool scans your code for known compatibility issues, and then notifies you if it finds items in the code from the object model that have changed in some way or have been removed. The code inspector tools find code that is incompatible because of changes and deprecations in the Office 2010 object model. The inspector tools can be used to scan code for Declare statements and can update the statements so that they are compatible with the 64-bit version of Office 2010. For more information, see Microsoft Office Code Compatibility Inspector user's guide.

  • Office Migration Planning Manager (OMPM) A tool for the 2007 Office system that can also be used to scan for conversion issues that are common to both the 2007 Office system and Office 2010. For more information, see Office Migration Planning Manager overview for Office 2010. A new version of OMPM for Office 2010 will be available shortly after the product releases.

For more information, see Office 2010 application compatibility guide.

Along with the introduction of 64-bit editions of Office 2010, Microsoft is releasing Microsoft Visual Basic for Applications 7.0 (VBA 7) to work with both 32-bit and 64-bit applications. For more information, see Compatibility Between the 32-bit and 64-bit Versions of Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=179546). The article discusses the changes that apply to the 64-bit version of Office 2010, introduces the new VBA 7 code base, and discusses compatibility issues between the 32-bit and 64-bit versions of Office 2010 and suggested solutions.

IT administrators can choose a version of Office 2010 (32- or 64-bit) client to download from the TechNet Evaluation Center's Download Microsoft Office Professional Plus 2010 page. Developers can download Office 2010 from the MSDN Evaluation Center's Download Microsoft Office Professional Plus 2010 page. Note that the recommended version is the 32-bit edition of Office 2010 in most scenarios. See the Introduction section for recommendations on which version of Office 2010 to install.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010
Setup architecture overview for Office 2010

Other Resources

Compatibility Between the 32-bit and 64-bit Versions of Office 2010
Download Microsoft Office Professional Plus 2010


Planning the deployment of Office 2010

Setup architecture and planning for Office 2010 desktop configurations, security, applications, migration, upgrades, virtualization, and Remote Desktop Services are discussed in the following articles.

Article | Description
Setup architecture overview for Office 2010 | Provides an overview of the Setup architecture for Office 2010, setup sequence of events, language-neutral design and deployment of multiple languages, customization methods, required local installation source, and updates process.
Plan a migration and upgrade strategy for Office 2010 | Provides information about how to plan the installation of the Microsoft Office 2010 suites, and how to migrate the user data, such as user and computers settings and documents created from the previously installed versions of Microsoft Office.
Plan desktop configurations for Office 2010 | Provides information and guidelines about items to consider before you deploy Office 2010.
Plan for volume activation of Office 2010 | Provides an overview of Microsoft Volume Licensing and Office Activation Technologies for Office 2010 and how describes how to plan for volume activation.
Internet Protocol version 6 support for Office 2010 | Provides information about the support for Internet Protocol version 6 (IPv6) addressing in Office 2010 applications.


Setup architecture overview for Office 2010

The Setup architecture in Microsoft Office 2010, first introduced in the 2007 Microsoft Office system, streamlines all aspects of installing, customizing, and maintaining Office.

The Setup program unifies and manages the complete installation process. This includes customizing users' Office configuration, deploying multiple languages at the same time, and applying software updates to new installations. This article contains an overview of the Setup architecture, setup sequence of events, language-neutral design and deployment of multiple languages, customization methods, required local installation source, and updates process.

The Setup architecture helps administrators manage areas such as the following more efficiently:

  • Deployment process so that Office is installed in the most efficient way for their environment.

  • Customization of Office so that users get optimal configuration on their computers.

  • Deployment of language-specific features for users who are located in offices around the world.

  • Deployment of Office in a way that makes future maintenance, including software updates, as efficient as possible.

In versions of Office earlier than the 2007 Office system, a single Office product such as Microsoft Office Standard was contained in a single Windows Installer (MSI) file. An MSI file is a relational database that Windows Installer uses to install a product. As with the 2007 Office system, the Office 2010 products consist of multiple MSI files, and no single MSI file represents a complete product. A language-neutral core package (MSI file) is combined with one or more language-specific packages to make a complete product. For example, an Office product such as Microsoft Office Professional Plus 2010 consists of the core package plus one or more language-specific packages. Setup assembles the individual packages, orchestrates a seamless installation, and handles customization and maintenance tasks during and after installation of Office on users' computers.

Office 2010 introduces native 64-bit versions of Office products to support 64-bit processors, which are becoming the standard for systems ranging from servers to desktop computers. Office 2010 also provides support for 32-bit Office 2010 applications that run on 64-bit Windows operating systems by using Windows-32-on-Windows-64 (WOW64). WOW64 is the x86 emulator that enables 32-bit Windows-based applications to run seamlessly on 64-bit Windows. Office 2010 lets users continue to use existing third-party Office add-ons, which are primarily 32-bit because no 64-bit versions are available yet for many add-ons. Providing support for 32-bit Office 2010 running on 64-bit operating systems prevents blocking the 32-bit add-ons. For more information about 64-bit editions of Office 2010, see 64-bit editions of Office 2010.

In this article:

  • Setup process

  • Language-neutral design

  • Streamlined customization model

  • Required local installation source

  • Consolidated update process

Setup process

Typically, the first step in a corporate installation of Office is to create a network installation point — a task as simple as copying all the files and folders from the Office product CD to a shared network location. At a minimum, the network installation point contains the language-neutral core package plus language-specific folders for one language. This installation point serves as the initial source for all users who install Office.

In the simplest scenario, you deploy an Office product from the network installation point with one language version and a single set of customizations for all users. Setup handles this scenario automatically. If you deploy multiple products or languages, you can add them to the same network installation point and specify exactly which products and languages to include in the installation. In all of these scenarios, Setup performs the same tasks to assemble the correct set of MSI files and to complete the installation.

Note:

The Office 2010 does not let you create an administrative installation point by running Setup with the /a command-line option to extract compressed source files, as was possible with Office versions earlier than the 2007 Office system. All installations now occur from the compressed source.

In this section:

  • Setup sequence of events

  • Including more than one product on the installation point

  • Running Setup interactively

Setup sequence of events

The basic Setup sequence of events is as follows and occurs in the same order in every deployment scenario:

  1. Run Setup.

  2. Check prerequisites.

  3. Read XML data.

  4. Build the feature tree.

  5. Create a local installation source on the user's computer.

  6. Install Office.

  7. Apply the customization file.

  8. Apply software updates.

Run Setup

Setup.exe is the program that begins all the mechanisms of the installation process. It is located at the root of the network installation point. You run Setup one time for each Office product that you install. When it runs, Setup searches the network installation point for an Office product to install. If the installation point contains more than one Office product, Setup gives the user a choice of products to install.

You can circumvent the selection process and determine which Office product is installed by pointing Setup.exe to the Config.xml file in a core product folder. For example, if you want to install Microsoft Office Professional Plus 2010, you can use the following command line:

\\server\share\Office14ProPlus\setup.exe /config \\server\share\Office14ProPlus\Pro.WW\Config.xml

where Office14ProPlus is the root of the network installation point.

In versions of Office earlier than the 2007 Office system, Setup.exe called Windows Installer (Msiexec.exe) to install Office. Although Setup still uses Windows Installer, Setup bypasses the Windows Installer executable program. The Msiexec.exe command line cannot be used to install the Office 2010 (or the 2007 Office system).

Note:

This version of Setup.exe recognizes only a few command-line options. For more information, see Setup command-line options for Office 2010.

Check prerequisites

When Setup starts, it checks for several installation prerequisites. This includes minimum operating system requirements and administrative permissions. A user must be an administrator of the client computer to install Office, or you must use a tool such as Microsoft Systems Management Server (SMS) or Microsoft System Center Configuration Manager 2007 to run the installation by using elevated permissions.

When you run Setup.exe from the x64 folder, Setup determines whether there are 32-bit Office applications installed. If Setup detects 32-bit Office applications, it displays an error message that informs users that they must first uninstall all 32-bit Office applications if they want to continue with the installation of Office 2010 64-bit. The error lists the installed 32-bit Office applications. If Setup does not detect 32-bit Office applications, it installs the 64-bit edition of Office 2010.

When you run Setup.exe from the x32 folder, Setup determines whether there are 64-bit Office 2010 applications installed. If Setup detects 64-bit Office 2010, an error message displays and Setup is blocked. If Setup does not detect 64-bit Office 2010, it installs the 32-bit edition of Office 2010. For more information, see 64-bit Setup process in 64-bit editions of Office 2010.

Note:

To install Office on computers where users lack administrative permissions, you must run Setup in a context that provides it with administrative permissions. After Office is installed, users without administrative permissions can run all installed features. This includes installing features on demand.

For example, in organizations where users are not the administrators of their computers, administrators can use the following methods of providing Office Setup with the appropriate permissions:

  • Log on to the computer as an administrator and install Office 2010.

  • Use a software management tool, such as Microsoft Systems Management Server or System Center Configuration Manager 2007.

  • Deploy Office 2010 to computers by using Group Policy computer startup scripts.

    For more information, see Deploy Office 2010 to users who are not administrators.

Read XML data

Setup collects information about each package on the installation point, collects default settings for the installation, and incorporates customizations that you specify. Setup collects all this information in the form of XML data from several sources:

  • Setup.xml and Package.xml files for each package Each folder on the installation point — both the folder for the language-neutral core package and the folder for each language-specific package — contains a Setup.xml and a Package.xml file (for example, ProPlusWW.xml for Microsoft Office Professional Plus 2010). Information in these files enables Setup to do the following:

    • Identify a product and the available languages for that product.

    • Match language-neutral and language-specific elements to create complete features.

    • Build a consolidated feature tree.

    • Collect the set of MSI files that are required for the installation.

    Note:

    The Setup.xml and Package.xml files are signed and cannot be modified. Altering these files causes Setup to fail.

  • Setup customization file Early in the installation process, Setup determines whether you have specified a Setup customization file (.msp file) for the product that is being installed. A Setup customization .msp file is created when administrators use the Office Customization Tool (OCT) to customize an installation of Office 2010. The OCT is part of the Setup program and is the recommended tool for most customizations. The customization file contains all the modifications that you specify for an installation. This includes customizations that control the installation process.

    The OCT is available in volume licensed versions of Office 2010. To determine whether your Office 2010 installation is a volume licensed version, check the Office 2010 installation disk to see whether it contains a folder named Admin. If the Admin folder exists, the disk is a volume license edition; otherwise, the disk is a retail edition.

    If no customization file is specified on the command line or in the Config.xml file, Setup searches the Updates folder on the installation point for a customization file specific to the product that is being installed. By default, the Updates folder is included on the installation point. In most cases, it is the recommended location in which to store both a Setup customization .msp file and software updates for all the Office products included on the installation point.

    Important:

    If you plan to deploy multiple Setup customization files (.msp files), you can place only one customization .msp file for each Office 2010 product that you are installing in the Updates folder for an initial installation. Only one Setup customization .msp file (patch) for each Office 2010 product that you are installing is supported in the Updates folder. You must deploy the rest of the customization .msp files for a product after the Office installation is completed.

    If you are deploying multiple Office 2010 products, such as Microsoft Office Professional Plus 2010 and Microsoft Visio Professional 2010, you can include one customization .msp file for Office Professional Plus 2010 and one customization .msp file for Visio Professional 2010 in the Updates folder. The customization .msp files that you place in the Updates folder will be deployed first. Therefore, they must include any Setup customizations that cannot be changed after the installation, for example, the installation location.

    If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates in the Updates folder. In scenarios such as this where the Updates folder includes both one Setup customization .msp file and product updates, Setup applies only the Setup customization .msp file with the initial installation and the product updates are applied after the installation is complete.

    Setup uses XML data appended to the customization file to determine how to install the product — for example, whether to run quietly or which features to display in the feature tree. Settings in a customization file overwrite default settings contained in the Setup.xml and Package.xml files.

    For more information about Setup customization files, see Streamlined customization model. For information about how to use the OCT, see Office Customization Tool in Office 2010.

  • Config.xml file Each core product folder contains a Config.xml file that directs Setup to install that product. You can edit Config.xml to customize the installation process. For example, you can use elements in Config.xml to specify which products or languages to include in the installation. Settings in Config.xml take precedence over settings in a customization file and default settings contained in the Setup.xml and Package.xml files.

    For more information about how and when to edit Config.xml, see Config.xml file in Office 2010.

Build the feature tree

Setup uses the information that is contained in the XML files to create a single feature tree that includes all the available applications and features in the product. You view the feature tree and specify which applications and features to install on users' computers by using the Office Customization Tool. If you let users run Setup interactively, they view the feature tree with your modifications in the Setup user interface.

For more information about how to specify which Office features to install, see Configure feature installation states for Office 2010.

Create a local installation source on the user's computer

Setup calls a program named Office Source Engine (Ose.exe) to create a required local installation source (LIS) on the user's computer. To create the local installation source, Setup copies files from the installation point to a hidden folder on the user's computer. The default location is \MSOCache\All Users at the root of the drive on which Office is installed. Later, Setup uses Windows Installer to install Office from this local installation source.

The local installation source provides several important benefits:

  • After Office is installed, Setup can repair, reinstall, or add Office features by using the local source.

  • Users who are applying software updates are less likely to be prompted for a network or CD source because an installation source is available locally.

  • You can deploy the local installation source in advance and trigger the installation of Office on users' computers later to reduce the load on the network. In this scenario, you can even run Setup from the local installation source. This lets users complete the Office installation by using no network connection.

For more information about the local installation source, see Required local installation source.

Install Office

When the installation starts, Setup checks for required disk space and feature dependencies, and then calls Windows Installer to install the correct set of packages (MSI files) on the user's computer from the local installation source. Setup uses the XML data described previously to determine which set of MSI files to include. The progress bar that Setup displays to users during the installation takes the whole installation process into account. This includes applying customizations and software updates from the Updates folder.

Note:

Although Setup uses Windows Installer to install Office, Windows Installer alone cannot install the individual MSI files independent of Setup.

Apply the customization file

During the installation process, Setup applies the customization file to the user's configuration. The result resembles the effect of applying a Windows Installer transform (MST file) in previous versions of Office: your customizations become the default configuration for users. In addition to the XML data that customizes the installation process, the customization file might include default user settings, feature installation states, Microsoft Outlook profiles, and other modifications to the user's configuration.

Customization files are product-specific; Setup applies only those files that are relevant to the product being installed.

Note:

If you plan to deploy multiple Setup customization .msp patches, you can place only one Setup customization .msp file for each Office 2010 product in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files after the Office installation is complete. As mentioned previously, only one customization for each product patch in the Updates folder is supported. The customization .msp file that you place in the Updates folder will be deployed first so it must include any Setup customizations that cannot be changed after the installation, for example, the installation location.

If you create different configurations for different groups of users, we recommend that you store the customization files in another location and then use the /adminfile option on the Setup command line to specify the file that you want. For example:

\\server\share\Office14\setup.exe /adminfile \\server\share\Office14\MyUpdates\Engineering.msp

where Office14 is the root of the network installation point.

Note:

When you precache the local installation source, Setup copies the Updates folder from the network installation point to the local installation source. In this manner, your customizations can be included in offline installation scenarios. This is the only circumstance in which Setup caches the customization file on the local computer before the installation. For more information, see Precache the local installation source for Office 2010.

Apply software updates

At the end of the installation process, Setup checks the Updates folder on the installation point for software updates (.msp files). Unlike Setup customization files that you create by using the Office Customization Tool, software updates are distributed by Microsoft to enhance the product.

If you are deploying Office to users and must also have to deploy a set of software updates, Setup can apply the updates as part of the initial installation process. Costing (estimated required disk space) and progress bar indicators all take this step of the installation process into account. From a user's perspective, the complete process is a single event. This model preserves the original installation point and still lets you give new users the most up-to-date version of the product.

Note:

The Updates folder is used only for initial or new installations of Office 2010. The Updates folder can contain only one Setup customization .msp patch, and multiple service packs and hotfixes that are in .msp format only.

For more information about the software update process, see Consolidated update process.

Including more than one product on the installation point

If the network installation point contains more than one Office 2010 product, Setup searches all folders and subfolders for Config.xml and Setup.xml files and then prompts the user to select a product to install.

If you are installing more than one Office product, it is more efficient to store all the products on the same installation point and then customize Setup to install a specific Office product on users' computers.

Note:

When you copy multiple Office products to the same installation point, you might be prompted to overwrite shared Setup files. Because these files are duplicated among all Office 2010 products, you do not need to recopy any of the duplicate folders. This efficient design saves space and ensures consistency when you create and replicate network installation points.

Running Setup interactively

You can choose to run the installation quietly so that users see little or none of the process. However, if you let users view the Setup user interface, the choices that you make affect several aspects of Setup behavior. For example:

  • If more than one Office product is available on the installation point and a user runs Setup.exe without command-line options, Setup gives the user a choice of products to install.

  • If more than one language is available on the installation point, Setup matches the language of Office to the Windows user locale on the user's computer. This is by default. However, if a user selects the Customize installation option, the Languages tab in the Setup interface gives the user a choice of all available languages on the network installation point.

  • If you enter a product key and accept the Microsoft Customer License Terms in the customization file or Config.xml, those Setup screens are not displayed to the user during Setup.

  • If you use a customization file to hide and lock certain features, those features are not displayed in the feature tree.

To find out more about how to customize display settings, see Customize Setup before installing Office 2010.

Language-neutral design

In Office 2010 (and in the 2007 Office system), an Office product such as Office Professional Plus 2010 is organized as follows:

  • Language-neutral elements are grouped in one core package (MSI file).

  • Language-specific elements are organized in separate packages by application.

This arrangement of files simplifies international deployments. The most basic installation of an Office product consists of the core package plus one language. Adding more languages is as simple as copying additional Single Language Packs (SLPs) to the network installation point — all work with the core product in exactly the same way. All language versions of Office, including the English language version, are deployed in the same manner. Setup combines the language-neutral core package with the language-specific packages in a seamless installation process.

Important:

The current Office 2010 release includes English, Chinese, French, German, Japanese, Spanish, and Russian language sources only. Later releases will provide additional languages.

In this section:

  • Language versions of Office

  • Language packs for Office

Language versions of Office

Every Office product must include at least one set of language-specific packages. You cannot deploy just the core package (MSI file) by itself. On the Office product CD and the network installation point, these language packages are contained in folders. Each folder name includes a language tag, in the form ll-cc (for example, en-us for English U.S.), that identifies the language. Each folder also contains a set of installation files.

For example, the Office Professional Plus 2010 product is spread out among the files in these folders. Elements that are not specific to any language, such as Winword.exe (the executable file for Microsoft Word 2010), reside in the core ProPlus.WW package. Other elements, such as Help and the user interface for Word 2010, reside in the appropriate language-specific package for Word or for shared Office features.

Both language-neutral and language-specific elements are required to make a functionally complete feature. Winword.exe by itself does not represent a Word application that anyone can use. Similarly, the core Office Professional Plus 2010 MSI file in the ProPlus.WW folder does not represent a complete Office product.

Setup assembles all these parts into a whole product. The Package.xml and Setup.xml files in each folder contain information that Setup uses to assemble complete features, build a consolidated feature tree, and collect the correct set of MSI files for the installation. After collecting the XML data and assembling the required MSI files, Setup uses Windows Installer to install Office on the user's computer. From a user's perspective, this process happens automatically and seamlessly.

You cannot deploy an individual application in Office 2010 by detaching the language-specific folder that contains the individual MSI file, such as the Word.en-us folder. However, you can determine which applications and features are installed on users' computers by customizing the installation.

Note:

None of the MSI files on an Office installation point can be installed independently by using Windows Installer or any other method. Also, none of the digitally signed XML files (Setup.xml and Package.xml) can be edited or altered. In Office 2010, Setup is required to collect the files and installation information and to orchestrate the installation process.

Language packs for Office

Language-specific packages are used in two contexts: in the language version of an Office product, and in the Single Language Pack (SLP) for that language. For example, the French version of Office Professional Plus 2010 will include a language-specific folder for each application and for shared features in Office Professional Plus 2010. The same folders will be included in the French SLP, which will include language-specific folders for other products in Office 2010.

Language packs can be deployed as separate products, or they can be used to deploy an Office product in multiple languages. You are not required to enter a unique product key for language packs, whether you are deploying them separately or as part of the installation of another product.

Note:

In versions of Office earlier than the 2007 Office system, enterprise customers added languages by deploying Multilanguage User Interface (MUI) packs after a U.S. English version of Office was installed. Localized versions, such as the Japanese version of Office Standard Edition, were not identical to the core version with a Japanese MUI pack. This design was simplified and improved in the 2007 Office system and is the same in Office 2010.

Streamlined customization model

In versions of Microsoft Office earlier than the 2007 Office system, several tools were required to customize Setup and to manage Office after installation. The 2007 Office system introduced a consistent, streamlined model. In Office 2010 (as in the 2007 Office system), administrators can use Setup to install, customize, and manage Office. To enforce specific user and computer settings, administrators can use Group Policy (see Using Group Policy).

In this section:

  • Using the Office Customization Tool

    • Customizing a new installation

    • Making changes to an existing Office installation

  • Using the Config.xml file to customize Office

  • Using Setup command-line options

  • Using Group Policy

Using the Office Customization Tool

You customize an Office installation by using the Office Customization Tool, a component of Setup, which is included in volume licensed versions of Office 2010 client. Start the OCT by running Setup with the /admin command-line option. By using the OCT, create a Setup customization file (.msp file), which you place in the Updates folder in the network installation point. As mentioned previously, the Updates folder is used only for initial or new installations of Office 2010, and only one customization patch in the Updates folder is supported.

A Setup customization file is an expanded form of a Windows Installer .msp file. Each file is configured for a specific product, such as Office Professional Plus 2010 or OneNote 2010. When you run Setup to install an Office product, Setup looks in the Updates folder for a customization file that corresponds to the product that you are installing. As Setup installs the product, it applies the customizations from this file.

You can create more than one Setup customization file to configure Office for different groups of users. When you run Setup, you specify the appropriate customization file to use for each installation by using the Setup command-line option /adminfile, or by using Config.xml (see Using the Config.xml file to customize Office).

For complete details on how to use the OCT to create a Setup customization file, see Office Customization Tool in Office 2010.

Customizing a new installation

By using a Setup customization file that you create with the OCT, you can modify the way Setup installs Office on a user's computer the first time. For example, the OCT lets you customize Office in the following ways:

  • Direct Setup to run without user interaction (quietly).

  • Predefine the product key and accept the Microsoft Software License Terms on behalf of the user.

  • Specify where to install Office files on the user's computer.

  • Choose whether to remove previous versions of Office before you install the Office 2010.

  • Determine which Office features are installed.

  • Specify the default values for a large number of user options, including Microsoft Outlook settings.

Note:

Office 2010 does not support side-by-side installations of 64-bit and 32-bit Office, including across applications. For example, there is no support for side-by-side installations of the 2007 Office system 32-bit with Office 2010 64-bit, or for Microsoft SharePoint Workspace 2010 64-bit and Microsoft Excel 2010 32-bit. You cannot use the Office 2010 customization tools to configure side-by-side installations or customizations of 64-bit and 32-bit Office. For example, you cannot create a custom side-by-side installation by using 64-bit Microsoft Office Professional 2010 and 32-bit Visio 2010 single image. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

For information about how to customize Setup, see Customize Setup before installing Office 2010.

Making changes to an existing Office installation

If you need to make changes to an existing Office installation, use the same tool that you used to customize the original installation: Run the OCT to update a Setup customization file or to create a new one. Then apply the customization file to the user's computer exactly as you would a software update, and the user's existing Office installation is updated with your customizations. This means that the customizations available when you install Office are also available when you modify Office after installation.

Note:

There are some customizations that Setup applies only when you are installing Office for the first time. These include: specifying where to install Office on the user's computer, defining the product key, and removing previous versions of Office applications. The OCT identifies which customizations apply only to a new installation.

Using the Config.xml file to customize Office

You can use the Config.xml file to make changes to your Office installation. You can customize most of the same options that you can with the Office Customization Tool, including a few additional ones not available in the OCT.

Using the Config.xml file is the recommended method for performing the following installation tasks:

  • Instructing Setup to copy the local installation source to the user's computer without installing Office.

  • Specifying the path of the network installation point.

  • Selecting which product or language to install.

  • Changing where Setup looks for Setup customization files and updates.

  • Making last-minute or one-off customizations that do not warrant running the OCT to create a new customization file.

If you put the Config.xml file in the same folder as Setup.exe, Setup finds and uses the file. You can also specify the location of the file by using the /config Setup command-line option.

Note:

If you specify both a Setup customization file and the Config.xml file, the customizations that you define in Config.xml take precedence over the same customizations in the customization file.

For a complete description of the contents and format of the Config.xml file, see Config.xml file in Office 2010.

Using Setup command-line options

Setup recognizes only a few command-line options in the Office 2010. This is the same as for 2007 Office system. The OCT is the primary tool to configure Setup properties and specify other customizations.

You can use Setup.exe commands to perform the following tasks:

  • Run the Office Customization Tool to create a Setup customization (.msp) file.

  • Apply the specified Setup customization file to the installation. For example, you can specify a path of a specific customization file (.msp file) or to the folder where you store customization files.

  • Specify the Config.xml file that Setup uses during the installation.

  • Run Setup in maintenance mode and make changes to an existing Office installation.

  • Run Setup to repair the specified product from the user's computer.

  • Run Setup to remove the specified product from the user's computer.

For more information about the Setup.exe commands, see Setup command-line options for Office 2010. For information about Windows Installer properties that were used in previous versions of Office, and about properties that can be used when you install Office 2010, see Setup properties in Office 2010.

Using Group Policy

Administrators can use Group Policy settings to define and maintain an Office configuration on users' computers. Group Policy is used to configure the Office 2010 policy settings contained in Administrative Templates, and the operating system enforces those policy settings. In an Active Directory environment, administrators can apply policy settings to groups of users and computers in a site, domain, or organizational unit to which a Group Policy object is linked. True policy settings are written to the approved registry keys for policy, and these settings have access control list (ACL) restrictions that prevent non-administrator users from changing them. This allows administrators to create highly restricted or lightly managed configurations.

Administrators can use policy settings for the Office 2010 applications to manage most options that configure the Office user interface, including the following:

  • Menu commands and their corresponding toolbar buttons

  • Shortcut keys

  • Most options in the Options dialog box

Note:

Most of the Office 2010 policy settings are also available in the OCT (OPA settings). To configure initial default settings in a Setup customization .msp file, administrators can use the OCT. However, users can modify most of the settings after the installation. Use Group Policy if you want to enforce specific configurations. Group Policy settings have precedence over OCT settings.

Required local installation source

In Office 2010, Setup creates a local installation source on the user's computer as part of the default installation process. Setup installs all Office 2010 products in a two-step process. First, Setup copies compressed installation source files to the user's computer. Second, Setup calls Windows Installer to perform the actual installation from the local installation source. After the installation is complete, the local installation source remains available for any Setup operations that require access to an original source. Minimum disk space requirements include the local installation source.

Note:

In Microsoft Office 2003, large organizations typically installed the product from an administrative installation point; installing from a local installation source was optional. In the Office 2010, however, the administrative installation option no longer exists, and the local installation source is a required part of the design.

The local installation source makes the process of distributing software updates more efficient and reliable. Neither the network installation point nor the user's local installation source is ever updated directly. Users' installations remain synchronized when they apply the client version of software updates.

Additional benefits of having a complete installation source always available on the local computer include the following:

  • You can deploy the local installation source to users before they install Office. This minimizes the effect on the network and ensures that all users install the product and begin to use Office 2010 applications at exactly the same time.

  • Users can perform maintenance tasks, such as applying software updates, without being prompted for their Office CD or a network source.

  • Traveling users, or users who have slow or intermittent network connections, can run Setup without access to the network if they have a local installation source installed in advance.

These benefits come at minimal cost. Although the local installation source does use some hard disk space, creating the local installation source and installing Office takes approximately the same amount of time as installing Office by itself.

In this section:

  • Creating a local installation source on users' computers

  • Deploying the local installation source by itself

Creating a local installation source on users' computers

When users install Office from the CD or from a network installation point, Setup creates the local installation source by using a program called the Office Source Engine (Ose.exe) to copy required installation files to a hidden folder on the local computer. The default location is \MSOCache\All Users at the root of the drive on which Office is installed.

Each package that comprises an Office product — both the language-neutral core package and one or more language-specific packages — has a separate download code and is cached in the subfolder under MSOCache\All Users. Setup always caches a complete local installation source, which includes all the files associated with the product that is being installed. If the installation point includes multiple languages, Setup caches only the packages for the languages that are installed on the user's computer.

When additional Office products are installed on the user's computer, those products are cached in the same local installation source.

Note:

If a user installs a second Office product on a different drive, Setup creates a second local installation source at the root of that drive. In this scenario, shared files might be duplicated between the two local installation sources. However, this design ensures that each local installation source is complete and functions correctly.

Users cannot unintentionally delete the local installation source or remove it by using the Setup user interface or the Windows Disk Cleanup Wizard. If the MSOCache folder is deleted or corrupted, Setup automatically re-creates or repairs the folder the next time that a source is required. If users do not have sufficient disk space, they are prompted to free some space. You can rely on the fact that every user has access to a source when you distribute new updates or customizations.

Note:

Once the local installation source is created, its location on the user's computer is fixed. Unless the user specifies a different drive, additional Office products installed later are always added to the existing MSOCache\All Users folder.

Deploying the local installation source by itself

Because Setup performs the installation of Office from the local installation source, you can minimize the demand on the network by deploying the installation source beforehand. For example by using your usual method for running Setup on users' computers, you can distribute the local installation source to one group of users at a time. Once all users have a precached source, you can have everyone run Setup to install Office at the same time. In this scenario, most of the installation activity occurs on the local computer instead of over the network.

For more information, see Precache the local installation source for Office 2010.

You can also run Setup directly from the local installation source on the local computer. Running Setup locally means that no activity, including loading Setup files and reading metadata, occurs over the network. In this scenario, you must identify the subfolder in MSOCache\All Users that contains the core product that you want to install. Each core product subfolder contains a copy of the Setup program, and running Setup from a specific folder installs that product. This method lets users install Office without relying on a network connection.

For more information, see Install Office 2010 from local installation source.

Consolidated update process

In versions of Office earlier than the 2007 Office system, you made a number of choices to ensure that client computers received the latest Office software updates and that client computers did not become out of sync with the administrative installation point. You might have configured Setup to chain software updates with new installations of Office, or you might have applied updates to the administrative installation point and reinstalled Office on all the client computers.

The architecture introduced in the 2007 Office system makes this process much simpler. In Office 2010 (as in the 2007 Office system), you create a network installation point that you never have to update. Instead, a simple copy operation makes software updates available for new installations. You update existing installations independent of the network installation point so you do not have to worry about keeping client computers synchronized with the installation source.

In this section:

  • Applying Office updates during new installations

  • Updating existing Office installations

Applying Office updates during new installations

When you obtain Office software updates from Microsoft, copy the updates into the Updates folder in the root of the network installation point. The existing files in the network installation point remain the same as when you first copied them from the Office CD.

Note:

You can use the Updates folder to incorporate the installation of updates with an initial installation of the Office 2010 products. Only Windows Installer update files that are contained in this folder are installed with the initial installation. Therefore, you must extract the updates from Microsoft Self-Extractor packages. You can also place a Setup customization .msp patch in the Updates folder to customize initial installations.

When you run Setup to install Office on a client computer, Setup looks in the Updates folder for software updates and incorporates the updates automatically as it installs Office. If there are multiple updates in the folder, Setup applies only those updates that are targeted at the Office product being installed. If the Updates folder includes both a Setup customization .msp patch and product updates, Setup applies only the Setup customization .msp patch with the initial installation and the product updates are applied after the installation completes. Setup also applies the updates in the correct sequential order. The result is that the user receives the latest updates with the new installation of Office.

Tip:

To direct Setup to look for software updates in a folder other than the Updates folder, use the SetupUpdates element in the Config.xml file. For more information, see SetupUpdates element in Config.xml file in Office 2010.

Updating existing Office installations

Once Office is installed, you apply software updates directly to the client computer without returning to the network installation point. You do this through a deployment management program such as Microsoft Systems Management Server or System Center Configuration Manager 2007, by using Windows Server Update Services, or by updating computers directly from the Internet by using Microsoft Update.

Note:

After Office is installed on a client computer, reinstalling Office reapplies only those software updates that were applied with the original installation. If you copied new software updates in the Updates folder, they are not applied during the reinstallation.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010
Setup command-line options for Office 2010
Setup properties in Office 2010
Setup changes introduced in the 2007 Office system
Customization overview for Office 2010


Plan a migration and upgrade strategy for Office 2010

You can learn about how to plan an upgrade to Microsoft Office 2010, registry key and user settings migration, USMT, and selecting a deployment option by reading the following articles.

In this documentation:

Article | Description
Plan an upgrade to Office 2010 | Describes the upgrade process for Microsoft Office 2010, including the various upgrade options and data migration paths.
User registry settings to migrate to Office 2010 | Lists the registry keys that are migrated when you use either the in-place upgrade or the uninstall-upgrade of Office 2010.
Choose an option for deploying Office 2010 | Provides areas of functionality you can use to deploy Office 2010, including network share, Group Policy startup scripts, managed deployment, application virtualization, and presentation virtualization.
Use the User State Migration Tool 4.0 to migrate to Office 2010 | Provides information about using USMT 4.0 to migrate existing Office user settings to Office 2010, and explains that the update to USMT 4.0 must be installed.


Plan an upgrade to Office 2010

Published: May 12, 2010

Before you upgrade to Microsoft Office 2010, review the upgrade options and data migration paths that are listed and described in this article. The information applies to the Office 2010 suites, Microsoft Project 2010, Microsoft Visio 2010, Microsoft Project Standard 2010, and Microsoft Project Professional 2010.

Important:

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • Overview of the upgrade process

  • Compare upgrade options and understand data migration

  • Migrate documents

Overview of the upgrade process

The following diagram shows the tasks involved for planning an upgrade to Office 2010. For this article, "Office 2010" includes the Office 2010 suites, Microsoft Project 2010, and Microsoft Visio 2010. Also, "Project 2010" includes Microsoft Project Standard 2010 and Microsoft Project Professional 2010.

Plan an upgrade to Office 2010

The process of upgrading to Office 2010 consists of two primary tasks:

  • Install Office 2010.

  • Migrate the user data, such as user and computer settings and documents that were created from the previously installed version of Microsoft Office.

When you plan an upgrade strategy, first decide on the best option for upgrading to Office 2010 in your organization. The upgrade type helps determine the available choices for data migration and how data migration is performed.

Compare upgrade options and understand data migration

There are three options for upgrading to Office 2010:

  • In-place upgrade The earlier version of Office, such as the 2007 Microsoft Office system, is already installed on computers.

  • Uninstall-upgrade The earlier version of Office, such as the 2007 Office system, is first uninstalled before the upgrade to Office 2010.

  • New operating system upgrade The computers get a new version of the operating system, such as Windows 7, and an upgrade to Office 2010.

Important:

We do not recommend the In-place upgrade option for enterprise customers. We strongly recommend the Uninstall-upgrade option instead. For information about how to perform the Uninstall-install option, see the Uninstall-install option section in Deploy different Office 2010 suites.

The following table lists the upgrade options and describes how the migration of the user and computer settings data occurs.

Upgrade option Migration of user and computer settings data

In-place upgrade

Migration is performed during installation of Office 2010.

Important:

We do not recommend this option for enterprise customers.

Uninstall-upgrade

Migration is performed during first use of each Office 2010 application.

Important:

We strongly recommend this upgrade option for enterprise customers.

New operating system upgrade

Migration is performed after the new operating system and Office 2010 are installed.

Migration of data to Office 2010 includes both the user and computer settings and the documents that were created from earlier versions of Office. For a list of the registry keys that are migrated, see User registry settings to migrate to Office 2010.

The documents that were created from the previously installed version of Office remain on the computers in their current formats and can be migrated or converted, as needed, at another time if an in-place upgrade or uninstall upgrade is used. When you perform a new operating system upgrade, you must move the documents from the source computers to a migration store before you install the new operating system. After that, you upgrade the computers to Office 2010.

After you decide on the best option for the organization, you have to determine the best migration strategy for the documents that were created by using earlier versions of Office.

Important:

Migration to Office 2010 is now supported by using either the User State Migration Tool (USMT) version 4.0, or the Microsoft Deployment Toolkit (MDT) 2010 Update 1 (http://go.microsoft.com/fwlink/p/?LinkId=159061). For more information about the USMT version 4.0, see Use the User State Migration Tool 4.0 to migrate to Office 2010.

Migrate documents

The following diagram shows the tasks involved in planning to migrate documents to Office 2010.

Migrate documents to Office 2010

These tasks are further defined in the following steps:

  1. Review changes and migration considerations When you plan your document migration, first review changes to the Office 2010 applications that you plan to install, such as what is new, changed, or removed. Then review any application-specific migration considerations. For more information, see Product and feature changes in Office 2010 (for IT pros).

  2. Plan file format support After you review the changes and migration considerations, determine a strategy for file format support after you upgrade to Office 2010. For more information, see FAQ: File format (http://go.microsoft.com/fwlink/p/?LinkId=166107).

  3. Assess by using OMPM Finally, use the Office Migration Planning Manager (OMPM) to examine the files in your environment, and then and decide whether to

    • archive them

    • convert them in bulk by using the Office File Converter available in OMPM, or

    • convert them manually

See Also

Concepts

System requirements for Office 2010
User registry settings to migrate to Office 2010
Tools for Office 2010


Choose an option for deploying Office 2010

Published: May 12, 2010

You can use five areas of functionality to deploy Microsoft Office 2010: network share, Group Policy startup scripts, managed deployment, application virtualization, and presentation virtualization. You can use any of these options or a combination of them, such as the managed deployment option to deploy and manage virtual Office 2010 applications. We do not support Office 2010 deployment by means of Group Policy Software Installation (GPSI). A workable alternative to GPSI is to assign computer startup scripts. This article describes each of the deployment options.

For a visual representation of the deployment options, see Deployment Options for Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=168621), which includes diagrams, descriptions, advantages, limitations, recommendations, and tools.

Deployment Options for Office 2010 - Model

Deployment options

Determine which of the following deployment options works best for your organization.

Network share

A simple way to deploy Office 2010 is to create a network installation point and copy the contents of the Microsoft Office CD onto the network share. Make sure that the network share is accessible by the targeted resources: users/computers.

Group Policy startup scripts

Administrators can use Group Policy to assign computer startup scripts to deploy Office 2010. A script can be written in any language that is supported by the client computer. Windows Script Host-supported languages, such as Microsoft Visual Basic Scripting Editing (VBScript) and JScript, and command files are the most common.

Managed deployment

Administrators can use change and configuration management software, such as Microsoft System Center Essentials and Microsoft System Center Configuration Manager, to deploy Office 2010 applications. The choice of System Center Essentials or Configuration Manager depends in part on the size of your organization.

Applicationvirtualization

Administrators can use Microsoft Application Virtualization (App-V) as part of a deployment option to allow users to run Office 2010 applications on their desktops. Microsoft Application Virtualization streams applications on demand to the desktop, from which the application is run. However, the application is not installed on the desktop.

Note:

Office Professional Plus for Office 365 does not support the use of Application Virtualization or Remote Desktop Services (formerly known as Terminal Services) for deployment.

Presentationvirtualization

Administrators can use Windows Server 2008 Terminal Services as a deployment option to allow users to operate the Office 2010 applications from their workstations. Terminal Services is run on a shared server and presents the application user interface on a remote system, such as a local workstation. Microsoft Application Virtualization for Terminal Services allows for the optimization of the Office 2010 application through the sequencing process of application virtualization and then uses Terminal Services to deliver the application as a presentation virtualization.


Use the User State Migration Tool 4.0 to migrate to Office 2010

After you install the latest update of the User State Migration Tool (USMT) 4.0, you can use it to migrate Microsoft Office 2003 and Microsoft Office 2007 settings to Microsoft Office 2010. You can also use it to move the settings between Office 2010 computers.

Using USMT 4.0 to migrate to Office 2010

USMT 4.0 is a tool that you can use to migrate user data and settings. It is included in the Windows Automated Installation Kit (Windows AIK). For more information about USMT 4.0, see User State Migration Tool 4.0 User's Guide (http://go.microsoft.com/fwlink/p/?LinkID=140373).

An update is available for USMT 4.0. It enables support for migration to Office 2010. The update includes a new migapp.xml file that has XML rules that support migrating Office 2010 application settings. After you install USMT 4.0, you must install the update to be able to use USMT 4.0 to migrate Office settings. The update is required if either the source or destination computer is running Office 2010. For information about downloading and installing the USMT 4.0 update, see Information about the User State Migration Tool (USMT) 4.0 update (http://go.microsoft.com/fwlink/p/?LinkId=210223).

For a list of user registry settings that you can migrate, see User registry settings to migrate to Office 2010.

Office setup and migration considerations

Because of the way that user settings are stored in the registry, USMT 4.0 can only migrate Office settings from an x64-based installation of Office to an x64-based installation of Office, or from an x86-based installation of Office to an x86-based installation of Office. Additionally, USMT 4.0 cannot migrate the Microsoft Word settings in the following registry key:

HKEY_CURRENT_USER\software\Microsoft\Office\<OfficeVersion>\Word\Data

USMT does not support migrating settings to a version of Office that is earlier than the version that is currently installed on the source computer. For example, USMT 4.0 cannot migrate settings from an Office 2007 installation to an Office 2003 installation.

Important:

To migrate application settings by using USMT 4.0, install applications on the destination computer before you run the LoadState command. For Office installations, you must run the LoadState command to apply settings before you start Office on the destination computer for the first time. If you start Office for a user before you run the LoadState command, many settings of Office will not migrate correctly. For more information, see Introduction to the best practices for USMT (http://go.microsoft.com/fwlink/p/?LinkID=207111).


Plan desktop configurations for Office 2010

To plan desktop configurations before you deploy Microsoft Office 2010, consider the topics that are discussed in the following articles.

Article | Description
Plan for OneNote 2010 | Describes how to plan a deployment of Microsoft OneNote 2010.
Plan for Outlook 2010 | Guides you through the things to consider when you deploy Microsoft Outlook 2010.
Plan for spelling checker settings in Office 2010 | Describes how to use either Group Policy or the Office Customization Tool (OCT) to manage the behavior of spelling checker in Office 2010.
Plan for SharePoint Workspace 2010 | Describes how to plan a deployment of Microsoft SharePoint Workspace 2010.
Plan customizations and options for Visio 2010 | Describes some of the customizations and options that are available in Microsoft Visio 2010.
Plan security for Office 2010 | Describes several new security controls in Office 2010 that help you plan a robust defense against threats while maintaining information worker productivity.
Plan Group Policy for Office 2010 | Provides information about how to use Group Policy to configure and enforce settings for Office 2010 applications.
Plan for multilanguage and Proofing Tools deployment for Office 2010 | Discusses planning considerations for deploying Office 2010 with multiple languages.
Plan for virtualization for Office 2010 | Describes what virtualization is, how you can use virtualization in your organization, and which method and type is best for your environment.
Plan for Remote Desktop Services (Terminal Services) | Provides information about how to plan the deployment of Office 2010 by using Remote Desktop Services (Terminal Services).
Plan for accessibility in Office 2010 | Provides an overview of the Microsoft Office Accessibility Checker, which can make Office 2010 products more accessible to users who have disabilities.


Plan for OneNote 2010

The planning process for deploying Microsoft OneNote 2010 is described in this article.

In this article:

  • Planning overview

  • Evaluate your organization's requirements

  • Review changes in OneNote 2010

  • Review migration considerations

  • Plan OneNote upgrades

  • Plan for OneNote Web App

  • Considerations for using OneNote with SharePoint products

Planning overview

The following figure summarizes the planning steps for deploying OneNote 2010 in the enterprise.

OneNote planning process diagram

Evaluate your organization's requirements

The planning process typically begins with an evaluation of your current environment to help determine your organization's requirements. Issues to consider include the following:

  • Ensuring that computers meet the system requirements for Microsoft Office 2010.

  • Whether you are upgrading from an earlier version of the product.

  • Migration considerations, such as file formats and user data settings migration.

  • Security considerations, such as whether to prevent users from sharing documents across the Internet.

  • Multilanguage requirements.

System requirements for OneNote 2010

Information about system requirements for OneNote 2010 is available in Microsoft InfoPath 2010 in System requirements for Office 2010.

For information about the tools that are available to help you assess hardware and software in your environment, see Assessment tools for Office 2010.

Upgrading to OneNote 2010

If you are performing an upgrade from an earlier version of Microsoft OneNote, see Plan OneNote upgrades later in this article for information about the new file format in OneNote 2010 and recommendations for upgrades from Microsoft Office OneNote 2007 and OneNote 2003.

Security considerations

To help you plan for Office 2010 application security in your organization, you will find information about security threats and the new security controls that are available in Office 2010 in these articles: Security overview for Office 2010, Understand security threats and countermeasures for Office 2010, and Plan security for Office 2010.

Multilanguage requirements

The Office 2010 language-neutral architecture simplifies deployment in multiple languages. An Office 2010 product, such as Microsoft Office Professional Plus 2010, consists of a language-neutral core package plus one or more language-specific packages. For information about how to deploy Office 2010 applications in multiple languages, see Plan for multilanguage and Proofing Tools deployment for Office 2010, and Customize deployment of language setup and Proofing Tools in Office 2010.

Review changes in OneNote 2010

As part of planning for OneNote 2010, you should review the changes in the current release. For a description of what is new, what is changed, and what is removed in OneNote 2010, see Changes in OneNote 2010 (for IT pros).

Review migration considerations

The next step in the planning process is to review migration considerations for users who are migrating from previous versions of OneNote to OneNote 2010. For information about the issues to consider, see Migration considerations in Changes in OneNote 2010 (for IT pros).

Plan OneNote upgrades

OneNote 2010 uses a new file format for saving files than in previous versions of the product, and many of the new OneNote 2010 features (such as math equations, versioning, linked note taking, and multilevel subpages) require the new format. The new file format lets you share your notebooks on the Web, so that you can use a Web browser to view and edit your notebook files. By default, new OneNote 2010 notebooks that you create are saved in the new file format.

The following sections provide information about upgrading from earlier versions of the product.

Upgrading from OneNote 2007

OneNote 2010 lets you view, open, and edit notebooks that are saved in the Microsoft Office OneNote 2007 file format. You can convert Office OneNote 2007 notebooks to OneNote 2010, and you can also convert them back to the Office OneNote 2007 format.

By default, existing Office OneNote 2007 notebooks are not automatically converted when you update from Office OneNote 2007 to OneNote 2010. Note that you cannot use Office OneNote 2007 to open and use notebooks that are saved in the OneNote 2010 file format.

One issue to consider is whether you need to share your notebooks with Office OneNote 2007 users. The recommendations for addressing this issue are as follows:

  • If you plan to share notebooks with Office OneNote 2007 users who do not have OneNote 2010 installed, we recommend that you do not upgrade those notebooks.

  • If you do not need to share notebooks with users of earlier versions of OneNote, we recommend that you convert existing notebooks to the OneNote 2010 format. This enables all of the new product features.

If you open an Office OneNote 2007 notebook, the application title bar displays "[Compatibility Mode]" to indicate that the file format is Office OneNote 2007.

To change the format of a notebook, right-click the notebook on the navigation bar, and then select Properties. In the Notebook Properties dialog, you can change the notebook format from Office OneNote 2007 to OneNote 2010, and you can also convert it back to the Office OneNote 2007 format.

Upgrading from OneNote 2003

OneNote 2003 notebooks are read-only in OneNote 2010 (and in Office OneNote 2007). This means that you cannot edit files that use the OneNote 2003 format in OneNote 2010 or in Office OneNote 2007.

To be able to continue to edit your OneNote 2003 notes when you upgrade from OneNote 2003 to OneNote 2010, you must upgrade your notebook to the OneNote 2010 format or the Office OneNote 2007 format. To do this, open the notebook in OneNote 2010, and then click the Information Bar that appears at the top of every page in your OneNote 2003 notebook.

OneNote 2003 notebooks that are converted to either the OneNote 2010 or the Office OneNote 2007 format cannot be changed back. Therefore, we recommend that you make a backup copy of the notebooks before you convert the files to a newer format.

Plan for OneNote Web App

Microsoft OneNote Web App is an online companion to OneNote 2010 that enables you to access and do light editing or sharing of OneNote notebooks from almost anywhere. By using OneNote Web App, you can access and edit notebooks from a Web browser, even on computers on which the full version of OneNote is not installed. Users can view, share, and work on documents with other users online across personal computers, mobile phones, and the Web.

Microsoft Office Web Apps are available to users through Windows Live and to business customers who have Office 2010 volume licensing and document management solutions that are based on Microsoft SharePoint 2010 Products. Business customers can run Office Web Apps installed on a server that is running Microsoft SharePoint Server 2010 or Microsoft SharePoint Foundation 2010. In enterprise environments, running Office Web Apps on servers that are running SharePoint 2010 Products enables better administrative control of the organization's data.

This section provides information about system requirements, and links to resources for downloading, deploying, and using Microsoft Office Web Apps.

We recommend that you read the following articles about Office Web Apps deployment if you plan to deploy OneNote Web App in your environment: Understanding Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185473), Planning Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185475), and Deploy Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185483).

In this section:

  • System requirements for Office Web Apps

  • Resources for deploying and using Office Web Apps

System requirements for Office Web Apps

The following table lists the system requirements for Office Web Apps.

System requirements | Details
Supported operating systems | Windows Server 2008 Windows Server 2008 R2 and Windows Server 2008 with Service Pack 2 (SP2)
Hardware | Processor: 64-bit; dual processor; 3 GHz RAM: 4 GB for stand-alone; 8 GB for farm Hard disk: 80 GB
Software | SharePoint Foundation 2010 -or- SharePoint Server 2010
Browser support | Internet Explorer 7.0 or later on Windows Safari 4.0 or later on Mac Firefox 3.5 or later on Windows, Mac, and Linux

Resources for deploying and using Office Web Apps

The following table lists resources for download information and documentation to help you plan, deploy, and use Office Web Apps and OneNote Web App in your organization.

Resource | Description
Microsoft Office Web Apps (Beta) (http://go.microsoft.com/fwlink/p/?LinkId=183997) | Download for Office Web Apps.
Understanding Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185473) | Information to help you understand an Office Web Apps on-premises solution and how it can benefit users in your organization.
Planning Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185475) | Information to help you plan an Office Web Apps on-premises solution in your organization.
Deploy Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185483) | Information to help you deploy Office Web Apps in your organization.
Manage Office Web Apps (Installed on SharePoint 2010 Products) (http://go.microsoft.com/fwlink/p/?LinkId=185498) | Information to help you manage Office Web Apps in your organization.

Considerations for using OneNote with SharePoint products

This section summarizes the key issues that you need to consider when you use OneNote 2010 with SharePoint 2010 Products.

Turn off Require Check Out

Co-authoring allows multiple users to collaborate on the same document at any time, without interfering with each other's changes or locking out other users. When you set up and manage co-authoring, you need to consider the following:

  • Check Out When a user checks out a document from a SharePoint Server 2010 library for editing, this locks the document for editing to that user only, which prevents co-authoring. The Require Check Out setting should not be enabled in document libraries where co-authoring will be used. By default, Require Check Out is not enabled in SharePoint Server 2010. Users should not check out documents manually when co-authoring is being used.

Versioning

Unlike Microsoft Word 2010 and Microsoft PowerPoint 2010, OneNote 2010 stores version information within the OneNote file itself. For this reason, administrators should follow these recommended practices when storing OneNote notebooks in a SharePoint Server 2010 document library:

  • Do not enable minor versioning. This is the default setting in SharePoint Server 2010.

  • If major versioning is enabled, we recommend that you set a reasonable maximum number of versions to store. The complete version history of the file is stored in each major version that SharePoint creates, which can result in sub-optimal storage efficiency. If you want to enable major versions, we recommend that you select the Keep the following number of major versions setting. This prevents an unbounded number of versions from being created because of prolonged editing of the file, which could exceed the site storage quota. By default, major versioning is not enabled in SharePoint Server 2010.

For more information about how to plan for version control and check-out, see Versioning, content approval, and check-out planning (SharePoint Server 2010) (http://go.microsoft.com/fwlink/p/?LinkId=186210).

Mixed Environment with Microsoft Office OneNote 2007

OneNote 2010 is compatible with the Office OneNote 2007 file format and supports co-authoring with Office OneNote 2007 users. In mixed environments, notebooks must be saved in the Office OneNote 2007 file format so that Office OneNote 2007 and OneNote 2010 users can work together on the notebook. By upgrading to the OneNote 2010 file format, however, users gain a number of key features, including compatibility with the OneNote Web App which allows users without the full version of OneNote installed to edit and co-author notebooks.

OneNote 2010 includes the ability to upgrade Office OneNote 2007 files to OneNote 2010 files at any time, providing an easy upgrade path for organizations that are moving from a mixed environment to a unified environment on Office 2010.

See Also

Concepts

Changes in OneNote 2010 (for IT pros)
Changes in Office 2010 (for IT pros)

Other Resources

Deploy Office Web Apps (Installed on SharePoint 2010 Products)
Microsoft OneNote 2010 Beta Help blog


Plan for Outlook 2010

To help you plan for the deployment of Microsoft Outlook 2010, review the articles in the following table.

Article | Description
Planning overview for Outlook 2010 | Provides an overview of the planning process and guides you through the factors to consider when you plan the deployment of Outlook 2010.
Determine when to install Outlook 2010 | Describes the requirements, advantages, and disadvantages of various strategies you can use in the deployment of Outlook 2010.
Determine which features to enable or customize in Outlook 2010 | Provides an initial list of some of the Microsoft Outlook features that you might need to configure and deploy with Microsoft Outlook 2010.
Plan an Exchange deployment in Outlook 2010 | Provides information to consider when you plan a Cached Exchange Mode deployment of Outlook 2010.
Plan to automatically configure user accounts in Outlook 2010 | Describes the two discovery mechanisms to automatically configure user accounts in Outlook 2010: Autodiscover and Common Settings Discover.
Installing Outlook 2010 and using Cached Exchange Mode in a Remote Desktop Services environment | Provides planning information about using Remote Desktop Services (RDS) to access Microsoft Office 2010 applications.
Plan for compliance and archiving in Outlook 2010 | Discusses the planning considerations to deploy Retention Policy and Personal Archive features with Outlook 2010 and Microsoft Exchange Server 2010.
Plan for security and protection in Outlook 2010 | Describes features in Outlook 2010 that can help keep an organization's e-mail messaging secure.
Plan antivirus scanning for Outlook 2010 | Provides information about precautions to take when planning for antivirus scanning of Outlook files and e-mail messages.


Planning overview for Outlook 2010

Published: May 12, 2010

A close review of your organization's messaging requirements will help you plan an optimal Microsoft Outlook 2010 deployment. This article guides you through the things to consider when you deploy Outlook 2010.

In this article:

  • Determining an organization's needs

  • Choosing when and how to install Outlook

  • Security and privacy considerations

  • Upgrading from an earlier version of Outlook

  • Additional considerations when planning an upgrade

  • Upgrading from other mail and scheduling programs

Determining an organization's needs

The organization's messaging environment helps shape the Outlook 2010 deployment. Factors to consider include whether you are upgrading Outlook, installing the application for the first time, planning for roaming or remote users, or choosing a combination of these and other factors.

Upgrade or initial installation

If you are upgrading to Outlook 2010 from an earlier version of Microsoft Outlook, consider whether you will migrate previous settings, modify user profiles, and use new customization options. The Office Customization Tool (OCT) enables you to migrate users' current settings and make other customizations, such as define new Microsoft Exchange servers (including Exchange Online) or customize new features. User settings are migrated automatically by default, except for security settings.

If you are deploying Outlook on client computers for the first time, each user needs an Outlook profile to store information about e-mail messaging server connections and other important Outlook settings. You can use the OCT or deploy an Outlook Profile (.prf) file to define profile settings for users.

For more information, see the following articles.

  • Office Customization Tool in Office 2010

  • Customize Outlook profiles by using an Outlook Profile (PRF) file

Migrating data

If the organization uses a different mail client, you might have to migrate data from those clients to Outlook 2010. The importers that are provided in Outlook (for example, for Eudora Light) might be helpful. Importers cannot be configured to run automatically. Use importers to migrate data for individual users.

Remote and roaming users

You can customize Outlook to optimize the experience for remote and roaming users, and to set up Outlook for multiple users on the same computer.

You might want to configure features such as Outlook Anywhere (known as RPC over HTTP in earlier versions of Outlook) and Cached Exchange Mode for remote users. These features enhance the user experience when Outlook is used over slower or less reliable connections. By using Outlook Anywhere, you can configure connections that enable users to connect more securely from the Internet to Exchange servers in your organization or to Exchange Online without using a virtual private network (VPN) connection. Cached Exchange Mode is an Outlook feature that was introduced with Office Outlook 2003. It creates a local copy of users' mailboxes. Cached Exchange Mode is recommended for all configurations, but especially benefits remote users. The feature enables users to have more reliable access to their Outlook data, whether or not they are connected to a network. For more information, see Configure Outlook Anywhere in Outlook 2010 and Plan an Exchange deployment in Outlook 2010.

When multiple users share the same computer, use Windows logon features on the computer's operating system to manage user logon verification. Unless you deploy application virtualization, users must use the same version of Outlook because only one version of Outlook can be installed on the same computer. To learn more about how to set up multiple Outlook users on the same computer, see Using Outlook on a computer you share with other people (http://go.microsoft.com/fwlink/p/?LinkId=100528).

Multilingual requirements

Microsoft Office 2010 provides broad support for deployment in international or multilingual environments. As with the 2007 Microsoft Office system, the Office 2010 product consists of the language-neutral core package plus one or more language-specific packages. In addition to the proofing tools that are included in each language version, you can download and deploy proofing tools for other languages to help multilingual groups work with and edit files in many languages. For more information, see Plan for multilanguage and Proofing Tools deployment for Office 2010.

Outlook 2010 supports Unicode throughout the product to help multilingual organizations seamlessly exchange messages and other information in a multilingual environment.

Client and messaging server platforms

Some features of Outlook 2010 (for example, Cached Exchange Mode) require Microsoft Exchange Server as a messaging platform. Although Outlook 2010 works well with earlier versions of Exchange, some features of Outlook 2010 require specific versions of Exchange. Because of this and other improved integration with Exchange throughout Outlook 2010, we recommend that you combine Outlook 2010 with the latest version of Exchange Server or use Exchange Online. For more information, see Assess how Outlook 2010 works with different versions of Exchange Server.

Deployment customization decisions for Outlook 2010 depend on which version of Exchange Server you use. If you currently use Exchange Server as your messaging server and you have not upgraded to Exchange 2003 or a later version, consider coordinating the Exchange Server upgrade or Exchange Online migration with the deployment timing for Outlook 2010. Exchange Server 2003 is the earliest version of Exchange Server that can be used with Outlook 2010.

If you have an on-premise Exchange Server and plan to add Exchange Online to co-exist in your environment, there are two things to consider:

  • There is no cross-premises manager delegation. If the manager's account is on Exchange Online, the delegate's account must be on Exchange Online too.

  • An account that is on-premise cannot have "Send As" permissions for an account that is on Exchange Online.

Also be aware that the user authentication method is different between an on-premise Exchange Server and Exchange Online. An Exchange Online user enters his or her email address (as the user name) and password. However, the user can decide to save the password so the user only has to enter it one time.

Choosing when and how to install Outlook

You have options for when and how you install Outlook 2010. For example, consider whether which of the following would be best for your organization:

  • Install or upgrade Outlook for different groups of users in stages, or at the same time.

  • Install Outlook as a stand-alone application.

  • Install Outlook before, during, or after Office 2010 installation.

Each organization has a different environment and might make a different choice about timing Outlook 2010 upgrades. For example, you might have a messaging group that is responsible for upgrading Outlook and a separate group that plans deployment for other Microsoft Office applications. In this case, it might be easier to upgrade Outlook separately from the rest of Office, instead of attempting to coordinate deployment between the two groups.

Note that Outlook 2010 cannot coexist with previous versions of Outlook on the same computer. If you have to use previous versions, do not install Outlook 2010 or deploy Outlook 2010 with application virtualization. For more information, see Determine when to install Outlook 2010.

Customizing Outlook settings and profiles

You can customize an Outlook installation to handle Outlook user settings and profiles in two ways:

  • Specify Outlook user settings in the OCT.

  • Specify options for managing new and existing Outlook profiles in the OCT or use an Outlook Profile file (.prf).

For example, you can enable Outlook users to migrate their current profiles and settings while default profiles and settings are defined for new Outlook users. You can also modify existing profiles and establish new default profiles for new Outlook users. If you deploy Outlook 2010 with Microsoft Exchange Server 2010 or Exchange Online, you can add more than one Exchange account for a profile by using the OCT or .prf file.

When you use the OCT to customize Outlook, you save choices and other installation preferences in the customization file that is applied during Setup. Later, you update settings and profile information by opening the file in the OCT and saving a new copy of the file.

For more information about how to configure Outlook profiles, see Office Customization Tool in Office 2010 and Customize Outlook profiles by using an Outlook Profile (PRF) file. These articles also apply to environments that have Exchange Online deployed.

Important:

There is a known issue in which an additional Exchange account is added to the Outlook profile when a user who already has an exchange account in the profile is upgraded from Outlook 2003 or Outlook 2007. This issue can occur while you are upgrading Outlook and applying customizations by using a custom OCT file (.msp) or .prf file that is configured to "Modify Profile" and "Define changes to make to the existing default profile."

To prevent multiple Exchange accounts from being created in one profile when you upgrade users to Outlook 2010, you must download and use the Service Pack 1 (SP1) version of the OCT, which is available from the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=189316). To update the OCT, replace the /Admin folder that is in your Office 2010 installation files or installation image with the new /Admin folder that is included in the download package. If you do not use the SP1 version of the OCT, you must create a .prf file and set the properties BackupProfile=False and UniqueService=Yes. For the steps to do this, see Multiple Exchange accounts created in Outlook 2010 with existing Outlook profiles after upgrading from an earlier Office version using a custom MSP (http://go.microsoft.com/fwlink/p/?LinkId=199704).

Configuring subscriptions and other sharing features

As with Office Outlook 2007, Outlook 2010 includes features that let you easily subscribe to new sources of content and share the features with users inside and outside your organization. Content sources include Microsoft SharePoint Foundation 2010 and SharePoint Foundation 2010 contacts, tasks, and calendars, together with local and Internet-based calendars (iCals).

Really Simple Syndication (RSS) is another sharing feature that enables users to subscribe to internal or Internet-based sources of syndicated content (.xml files) to avoid having to check a site for new information. You can deploy specific RSS feeds or calendar subscriptions to users, configure settings to manage how users can share these subscriptions or content, specify how often the servers update users' copies of the data, and more.

Using Outlook with Remote Desktop Services (Terminal Services)

Remote Desktop Services in Windows Server enables you to install a single volume licensed copy of Outlook 2010 on a Remote Desktop Services-enabled computer. Instead of having Outlook run on local computers, multiple users connect to the server and run Outlook from that server.

To achieve optimal results when you use Outlook with Remote Desktop Services, pay attention to how you customize your Outlook configuration. For example, in Outlook 2010 you can configure Cached Exchange Mode with Remote Desktop Services. However, you will have to provide sufficient disk space to accommodate each user's mailbox on the Remote Desktop Session Host server computer (terminal server). Note that Outlook might be part of an environment that includes other applications that are provided on the same Remote Desktop Session Host computer. For more information, see Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (Outlook 2010) (white paper).

Collaboration Data Objects dependencies

Collaboration Data Objects (CDO) is not supported in Outlook 2010. Although some solutions that depend on CDO 1.2.1 might continue to run, CDO 1.2.1 is not designed for a multiple Exchange account environment and unexpected results can occur. For Outlook solutions, use the Outlook object model instead of CDO 1.2.1.

AutoArchive

Outlook mailboxes grow as users create and receive items. To keep mailboxes manageable, users need another place to store — or archive — older items that are important but rarely used. It is typically most convenient to automatically move these older items to the archive folder and to discard items whose content has expired and is no longer valid. Outlook 2010 AutoArchive can manage this process automatically for users. However, we recommend that you use the Personal Archive feature in Microsoft Exchange Server 2010 Messaging Records Management (MRM) (or in Exchange Online) because it eliminates the need for Personal Folder files (.pst). By using Personal Archive in Exchange Server 2010 or in Exchange Online, the e-mail archive folders are stored online so that users can access the archived files by using Microsoft Outlook Web App or from a secondary computer by using Outlook 2010. By using either of these client applications, users can view an archive mailbox and move or copy messages between their primary mailboxes and the archive.

Note that when Personal Archive is enabled, AutoArchive is not available to the user and does not archive messages.

If you plan to deploy Outlook 2010 with Exchange Server 2010 or Exchange Online, consider using the Exchange Server Personal Archive feature instead of Outlook 2010 AutoArchive. For more information, see Understanding Personal Archive: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=169269), Plan for compliance and archiving in Outlook 2010, and Microsoft Exchange Online Archiving(http://go.microsoft.com/fwlink/p/?LinkId=218120).

If you choose to use the AutoArchive feature in Outlook 2010, you can configure the settings to customize Outlook 2010 AutoArchive by using the Outlook Group Policy template (Outlk14.adm). Or you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings.

Outlook data files (.pst)

If you plan to deploy Outlook 2010 with Exchange Server 2010 or Exchange Online, we recommend that you use the Personal Archive feature in Exchange Server 2010 Messaging Records Management (MRM) (or in Exchange Online) because it eliminates the need for Outlook data files (.pst). By using the Personal Archive in Exchange Server 2010 or in Exchange Online, the e-mail archive is stored online so that users can access the archived files by using Microsoft Outlook Web App or from a secondary computer by using Outlook 2010. By using either of these client applications, users can view an archive mailbox and move or copy messages between their primary mailboxes and the archive. For more information, see Understanding Personal Archive: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=169269), Plan for compliance and archiving in Outlook 2010, and Microsoft Exchange Online Archiving (http://go.microsoft.com/fwlink/p/?LinkId=218120).

If you plan to deploy Outlook 2010 with Exchange Server 2003 or Exchange Server 2007, you can configure .pst files to be stored locally (recommended) or on a network share. For more information about the requirements for using .pst files on a network share, see Limits to using personal folders (.pst) files over LAN and WAN links (http://go.microsoft.com/fwlink/p/?LinkId=246616).

Retention policies

Retention policy settings can help users follow retention policy guidelines that your organization establishes for document retention. With Outlook 2010, you cannot deploy AutoArchive-based retention settings through Outlook 2010 by using Group Policy. If you must deploy retention policies, explore the Messaging Records Management (MRM) features in Exchange Server 2010. For more information, see Messaging Records Management: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=169263) and Plan for compliance and archiving in Outlook 2010.

Security and privacy considerations

Outlook includes many security and privacy features some of which are highlighted in the following sections. For more information about how to plan for security and privacy in Outlook 2010, see Plan for security and protection in Outlook 2010 and Choose security and protection settings for Outlook 2010.

The Trust Center for Office

The Trust Center, introduced with the 2007 Office system, provides a central location for security and privacy options. The Very High, High, Medium, and Low security levels that were used in earlier versions of Office have been replaced with a more streamlined security system.

Limiting viruses and junk e-mail messages for users

Outlook 2010 includes features to help minimize the spread of viruses and to help users avoid junk e-mail.

As in Office Outlook 2007, in Outlook 2010 you can configure virus-prevention and other security settings in Group Policy to support the needs of an organization. You can also use the Outlook Security Template to configure settings, as in earlier releases of Outlook. By using either configuration method, you can, for example, modify the list of file types that are blocked in e-mail messages.

The Object Model (OM) Guard that helps prevent viruses from using the Outlook Address Book (OAB) to spread is updated. Outlook checks for up-to-date antivirus software to help determine when to display OAB access warnings and other Outlook security warnings.

Outlook 2010 has several features to help users reduce receipt of junk e-mail messages. Outlook 2010 includes a Junk E-mail Filter that replaces the rules that were used in previous versions of Outlook to filter mail. Messages caught by the filter are moved to the Junk E-mail folder, where they can be viewed or deleted later. Outlook 2010 includes a Postmarking feature that was introduced with Office Outlook 2007 that can help the Junk E-mail filter determine valid e-mail messages.

Junk e-mail senders can include a Web beacon in HTML e-mail messages that includes external content, such as graphic images. When users open or view the e-mail, the Web beacons verify that their e-mail addresses are valid. This increases the probability that they will receive more junk e-mail messages. Outlook 2010 reduces the probability that users will become targets for future junk e-mail by blocking automatic picture downloads from external servers by default.

Outlook 2010 helps protect against issues created by phishing e-mail messages and deceptive domain names. By default, Outlook screens phishing e-mail messages — e-mail that seems to be legitimate but is designed to capture personal information, such as a user's bank account number and password. Outlook also helps prevent the receipt of e-mail messages from deceptive users by warning about suspicious domain names in e-mail addresses. Outlook 2010 supports internationalized domain names (IDNs) in e-mail addresses. IDNs allow people to register and use domain names in their native languages instead of online English. IDN support allows phishers to send homograph attacks, a situation in which a look-alike domain name is created by using alphabet characters from different languages, not just English, with the intention of deceiving users into thinking that they are visiting a legitimate Web site.

For more information, see Choose security and protection settings for Outlook 2010 and Plan for limiting junk e-mail in Outlook 2010.

Configuring cryptographic features

Outlook provides cryptographic features for sending and receiving security-enhanced e-mail messages over the Internet or local intranet. You can customize features in an Outlook 2010 deployment to set cryptographic options that are appropriate for your organization.

You can also implement additional features to help enhance security in e-mail messaging. For example, you can provide security labels that match your organization's security policy. An Internal Use Only label might be implemented as a security label to apply to e-mail messages that are not to be sent or forwarded outside your company.

For more information, see Plan for e-mail messaging cryptography in Outlook 2010.

Restricting permission on e-mail messages

Information Rights Management (IRM) helps users prevent sensitive e-mail messages and other 2007 Office system content, such as documents and worksheets, from being forwarded, edited, or copied by unauthorized people. In Outlook 2010, users can use IRM to mark e-mail messages with "Do not forward," which automatically restricts permission for recipients to forward, print, or copy the message. In addition, you can define customized Office-wide IRM permission policies for your organization's needs and can deploy the new permission policies for users to use with e-mail messages or other Office documents. For more information, see Plan for Information Rights Management in Office 2010.

Outlook 2010 and e-mail protocols and servers

Outlook 2010 can be used with many e-mail servers and services. The primary e-mail servers and services supported by Outlook include the following:

  • Simple Mail Transfer Protocol (SMTP)

  • Post Office Protocol version 3 (POP3)

  • Internet Mail Access Protocol version 4 (IMAP4)

  • Messaging Application Programming Interface (MAPI) for Exchange Server (version 2003 and later)

  • Other messaging and information sources, including Hewlett-Packard OpenMail. Use of these additional service providers is made possible by the way in which Outlook 2010 uses the MAPI extensibility interface.

HTTP is supported with the installation of the Outlook Connector.

Users can use Outlook 2010 without an e-mail server to use the Contacts, Tasks, and Calendar features in a stand-alone configuration.

Upgrading from an earlier version of Outlook

You can install Outlook 2010 over any previous installation of Outlook. As in other Office 2010 applications, user settings that are stored in the registry are migrated. If a MAPI profile already exists on a user's computer, you typically can configure a deployment to continue using the profile. However, if you are upgrading from an Internet Mail Only installation of Outlook 2000 or earlier, you might have to re-create user profiles.

Outlook 2010 cannot coexist with previous versions of Outlook on the same computer. If you determine that users need an earlier version, do not install Outlook 2010 or deploy Outlook 2010 with application virtualization.

When you upgrade users from an earlier version of Outlook, you must make choices about how to configure user profiles, consider Cached Exchange Mode issues, and be aware of fax and forms changes.

For an overview of feature changes and migration considerations, see Changes in Outlook 2010 (for IT pros).

Upgrading to Office 2010 with Cached Exchange Mode enabled

The process of upgrading users who currently have Cached Exchange Mode enabled in either Office Outlook 2003 or Office Outlook 2007 is straightforward. If you do not change Cached Exchange Mode settings, the same settings are kept for Outlook 2010. There is no change to the .ost or OAB file format, and you do not have to re-create these files during an upgrade.

However, if ANSI Outlook data files (.ost) are in the organization's environment, you might have to take additional steps when you migrate files to Outlook 2010. Users who have non-Unicode (ANSI) formatted data files (.ost) and large Exchange mailboxes can experience errors when Outlook attempts to synchronize their mailboxes to their .ost files. We recommend that you upgrade users' .ost files to the Unicode format because Outlook Unicode files do not have the 2-gigabyte (GB) size limit of Outlook ANSI files. Unicode is the default file format for Outlook 2010. For information about how to force an upgrade of an existing non-Unicode (ANSI) formatted .ost file to Unicode format, see the section "To force upgrade of non-Unicode ANSI format .ost files to Unicode" in the article Configure Cached Exchange Mode in Outlook 2010.

For additional Cached Exchange Mode planning considerations, see Plan an Exchange deployment in Outlook 2010.

Additional considerations when planning an upgrade

To prepare for an upgrade, you must determine answers to the following additional questions:

  • Should you upgrade to Exchange Server 2010 or migrate to Exchange Online to take advantage of new features such as integrated e-mail archive, centralized rights management, support for multiple Exchange accounts, MailTips, Voice Mail Preview and Protected Voice Mail? For more information, see Microsoft Exchange 2010 (http://go.microsoft.com/fwlink/p/?LinkId=163579), Microsoft Exchange Online (http://go.microsoft.com/fwlink/p/?LinkId=218118), and Assess how Outlook 2010 works with different versions of Exchange Server.

  • Should you make changes to Outlook user profiles as part of your upgrade? For example, you might define a new Exchange server (like Exchange Online) or enable new features of Outlook 2010. For more information about how to customize Outlook profiles, see Office Customization Tool in Office 2010, Customize Outlook profiles by using an Outlook Profile (PRF) file and Determine which features to enable or customize in Outlook 2010. All three articles apply to Office Outlook 2010 with Exchange Server 2003 or later versions and Exchange Online.

  • How should you create and store a backup of your existing installation? Before you upgrade to any new release, we recommend that you back up existing data. For more information about how to back up Outlook files, see Back up Outlook data with the Microsoft Outlook Personal Folders Backup tool (http://go.microsoft.com/fwlink/p/?LinkId=81366).

  • How will users learn about the new interface and features of Office 2010? For more information, see the User Readiness and Training Resource Center (http://go.microsoft.com/fwlink/p/?LinkId=202000).

  • Will any discontinued features or new or changed functionality affect when and how you upgrade? For a list of changes from earlier versions of Outlook, see Changes in Outlook 2010 (for IT pros).

  • Will you have to assess and remediate Outlook add-ins in your environment?

    • Outlook 2010 enforces a new fast shutdown process for add-ins. The new shutdown process prevents add-ins from causing long delays by holding on to resources after the user exits Outlook. Although this change could adversely affect some existing add-ins, add-in vendors and IT administrators can resolve those effects by forcing Outlook to revert to the standard add-in shutdown process. For more information about the new shutdown process, see Shutdown Changes for Outlook 2010 (http://go.microsoft.com/fwlink/p/?LinkId=203255). For more information about add-in assessment and remediation, see Office 2010 application compatibility guide.

    • Exchange Client Extensions (ECEs) do not load in Outlook 2010. Some third-party applications such as archiving or security solutions use ECEs and must be updated for Outlook 2010. For more information, see Announcing the deprecation of Exchange Client Extensions (http://go.microsoft.com/fwlink/p/?LinkId=203888).

    • If you are installing 64-bit Outlook 2010, you must update 32-bit MAPI applications, add-ins, and macros for Outlook to 64-bit. For more information, see 64-bit editions of Office 2010, Building MAPI Applications on 32-Bit and 64-Bit Platforms (http://go.microsoft.com/fwlink/p/?LinkId=203889) and Developing Outlook 2010 Solutions for 32-Bit and 64-Bit Systems (http://go.microsoft.com/fwlink/p/?LinkId=208699).

Upgrading from other mail and scheduling programs

You can upgrade to Outlook 2010 from other e-mail and scheduling programs. The process can be simplified by using the Import feature in Outlook.

The following table lists migration paths supported by Outlook 2010.

Software program | Version
Outlook Express | 4. x, 5. x, 6. x
Eudora Pro, Eudora Light | 2. x, 3. x, 4. x, 5. x, 6. x, 7. x
Note:

You cannot import Microsoft Mail files to Outlook 2010, and you cannot share information between Outlook 2010 and Schedule Plus.

See Also

Concepts

Office Customization Tool in Office 2010
Changes in Outlook 2010 (for IT pros)
Plan an Exchange deployment in Outlook 2010

Other Resources

Outlook 2010 Resource Center
Learn about Microsoft Exchange Online


Determine when to install Outlook 2010

Published: May 8, 2010

You can install Microsoft Outlook 2010 before, during, or after an installation of other applications in Microsoft Office 2010. You can also deploy Outlook 2010 to different groups of users at different times.

Note that installing Outlook 2010 without Microsoft Word 2010 limits Outlook 2010 functionality in the following ways: 1) The Outlook 2010 e-mail editor has fewer features, and 2) Internet Fax functionality is not available.

This article describes the requirements, advantages, and disadvantages of each installation strategy.

In this article:

  • Installing Outlook with Office

  • Installing Outlook before Office

  • Installing Outlook after Office

  • Staging an Outlook deployment

Installing Outlook with Office

You can install Outlook 2010 as part of an overall upgrade to Office 2010. Outlook 2010 is included in most editions of the Microsoft Office system.

Install Outlook 2010 with Office 2010 to eliminate the additional steps that you must follow to create separate application deployments.

Installing Outlook before Office

You might install Outlook 2010 in the following scenarios before you deploy other applications in Office 2010:

  • To test custom solutions that rely on previous versions of Office applications (such as Microsoft Office Word 2007 or Microsoft Office Excel 2007) before you install the current version.

  • When your messaging support group has the resources to install Outlook 2010 now, but the desktop applications support group must install the rest of Office later. Note that Outlook 2010 cannot coexist with previous versions of Microsoft Outlook. If users or tools require a previous version, do not install Outlook 2010 until your environment can support Outlook 2010 or deploy Outlook 2010 with application virtualization.

To install Outlook 2010 before you install Office 2010, do the following:

  1. Customize Office Setup to install only Outlook 2010 from a network installation point.

  2. Use the Office Customization Tool (OCT) to create or update a Setup customization file that installs Office 2010 from the same network installation point.

For details about how to install Office 2010 applications in stages, see Stage deployment of applications in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=162650).

Advantages of installing Outlook before Office

If you deploy Outlook 2010 quickly, users can start to use new features without waiting for testing or technical support to become available for a complete upgrade.

Disadvantages of installing Outlook before Office

Installing Outlook 2010 before you install the rest of Office 2010 has several disadvantages:

  • When you deploy the other Office 2010 applications later, you must customize the installation process to preserve your original Outlook 2010 settings.

  • The Outlook 2010 editor has reduced functionality unless Word 2010 is also installed. For more information, see Using Outlook 2010 with or without Word 2010 installed (http://go.microsoft.com/fwlink/p/?LinkId=195840).

  • Attachment Preview in Outlook 2010 does not work for Microsoft Office 2007 file types or earlier.

  • When you use the same network installation point for Outlook 2010 and Office 2010, you must take additional steps to modify the installation options.

Installing Outlook after Office

You can wait to install Outlook 2010 until after you have installed the Office 2010. If any of the following scenarios applies to your organization, you might consider delaying your deployment of Outlook 2010:

  • You plan to coordinate your Outlook 2010 deployment with a future upgrade of Microsoft Exchange Server or a migration to Exchange Online.

  • You want to convert IBM Lotus Notes to a Exchange Server solution before you upgrade to Outlook 2010.

  • The desktop support group has the resources to upgrade to the Office 2010 now, but the messaging support group must wait to deploy Outlook 2010.

To install Outlook 2010 after you install Office 2010, do the following:

  1. Customize Office Setup to install only Office 2010 without Outlook 2010 from a network installation point.

  2. Use the OCT to create or update a Setup customization file that installs Outlook 2010 from the same network installation point.

For details about how to install Office 2010 applications in stages, see Stage deployment of applications in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=162650).

Advantages of installing Outlook after Office

In many organizations, it makes sense to coordinate an Outlook 2010 deployment with an upgrade of an e-mail server, instead of with an upgrade of other desktop applications. For example, if you plan to upgrade to a new version of Exchange Server or migrate to Exchange Online, you might plan an Outlook 2010 upgrade to follow immediately afterward — independently from an upgrade of other Office 2010 applications — to take advantage of features that work together between the e-mail server and client.

Disadvantages of installing Outlook after Office

When you install Office without Outlook 2010, you must use the OCT to customize Setup. This ensures that previous versions of Outlook are not removed from users' computers.

Regardless of when or how you install Outlook 2010 separately from Office 2010, you must perform additional steps to manage customizations to the installation process.

Staging an Outlook deployment

Some groups in an organization might be ready to immediately upgrade to Outlook 2010, but other groups might need more time. The following situations might warrant a staged deployment of Outlook 2010:

  • The usual policy is to stage upgrades to help ensure a smooth rollout of new software throughout the organization.

  • You have remote systems support groups (for example, in regional sales offices) that require autonomy in scheduling upgrades for their areas.

  • Some groups want to wait until after a project deadline before they make changes to their local computers.

  • You have limited resources for staging and upgrading systems throughout an organization.

Advantages of staging a deployment

Staging your Outlook 2010 deployment gives you more flexibility in managing your upgrading resources. In addition, pilot users immediately become familiar with the new features and productivity improvements of Outlook 2010.

In most circumstances, users encounter no significant technical problems when they work with different versions of Outlook. Outlook 2010 users can communicate seamlessly with users of Office Outlook 2007 and Office Outlook 2003. However, if users have delegate access in Outlook, the person who grants Delegate permissions and the delegate have to use the same version of Outlook.

Disadvantages of staging a deployment

You must consider the logistics of scheduling and managing a staged deployment. An organization might require additional resources to support users on different versions of the same product; for example, it might need additional training for Help desk staff.

For details about how to install Office 2010 applications in stages, see Stage deployment of applications in the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=162650).

See Also

Concepts

Planning overview for Outlook 2010

Other Resources

Stage deployment of applications in the 2007 Office system
Outlook 2010 Resource Center


Determine which features to enable or customize in Outlook 2010

Published: May 12, 2010

Some features that you might have to configure and deploy with Microsoft Outlook 2010, such as Contact Cards and the Outlook Social Connector, are discussed in this article. For security and protection features, see Plan for security and protection in Outlook 2010.

You can customize the installation of Outlook 2010 by using Group Policy or the Office Customization Tool (OCT). To enforce settings, use Group Policy with the Outlook 2010 Group Policy template (Outlk14.adm), and for some settings, such as those for Contact Cards, the Microsoft Office 2010 Group Policy template (Office14.adm).

  • For information about how to download the Outlook 2010 administrative template, and about other Office 2010 Administrative Templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool.

  • For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

To configure default settings, in which case users can change the settings, use the OCT. The OCT settings are in corresponding locations of the Group Policy settings on the Modify user settings page of the OCT. For more information about the OCT, see Office Customization Tool in Office 2010.

Contact Cards and Outlook Social Connector are two new features that you can configure by using Group Policy and the OCT. The Outlook 2010 features, Quick Steps and Clean Up, cannot be configured by using Group Policy or the OCT. Also, the MailTips feature is only administratively configurable through Microsoft Exchange Server 2010. However, users can customize their settings for these three features in Outlook 2010. To access user settings for Clean Up and MailTips, on the File tab, click Options, and then click Mail. To manage Quick Steps in Outlook 2010, on the Home tab, in the Quick Steps group, click the lower-right expand button.

For more information about how to configure MailTips in Exchange Server 2010, see Understanding MailTips (http://go.microsoft.com/fwlink/p/?linkId=181931) and Managing MailTips (http://go.microsoft.com/fwlink/p/?linkId=181934).

In this article:

  • AutoArchive

  • Contact Cards

  • Conversation view

  • Global Address List synchronization

  • Internet Calendars

  • Instant Search

  • Navigation Pane

  • Outlook Social Connector

  • Search Folders

  • SharePoint Server Colleague add-in

AutoArchive

Outlook 2010 AutoArchive helps determine how e-mail is managed in user mailboxes. You can configure AutoArchive settings for users in your organization, determining, for example, how frequently to run AutoArchive and whether to prompt users before they run AutoArchive.

If you plan to deploy Outlook 2010 with Exchange Server 2010, consider using the Exchange Server 2010 Personal Archive feature instead of Outlook 2010 AutoArchive. For more information, see Understanding Personal Archive: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=169269).

For planning compliance and archiving considerations, see Plan for compliance and archiving in Outlook 2010.

By default, AutoArchive is turned on and runs automatically at scheduled intervals, removing older and expired items from folders. Older items are those that reach the archiving age that a user specifies (the default archiving age varies by the kind of Outlook item). Expired items are mail and meeting items whose content is no longer valid after a certain date, such as a mail item set to expire two months ago that still appears in a user's Inbox.

Users can specify an expiration date on items in Outlook 2010 at the time they create or send the item or at a later date. When the item expires, it is unavailable and shows in the folder list with a strike-through mark on the item.

When AutoArchive runs, it can delete items or move items to an archive folder, depending on the settings that you specify.

The archive file is an Outlook data file (.pst file) that appears as Archive Folders in the Outlook 2010 folder list. The first time that AutoArchive runs, Outlook 2010 creates the archive file automatically in the following location:

%UserProfile%\AppData\Local\Microsoft\Outlook\Archive.pst

You can lock down the settings to customize AutoArchive by using the Outlook Group Policy template (Outlk14.adm). The settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Other\AutoArchive. Or, you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

The settings that you can configure for AutoArchive are shown in the following table.

Option | Description
Turn on AutoArchive | Sets AutoArchive to run for users, with a frequency specified by the Run AutoArchive every <x> days setting.
Run AutoArchive every <x> days | Specifies an AutoArchive interval in number of days.
Prompt before AutoArchive runs | Notifies users that AutoArchive will run.
Delete expired items (e-mail folders only) | Deletes expired e-mail messages, instead of moving them to an archive folder.
Archive or delete old items | Moves Outlook items to the archive file or delete the items.
Show archive folder in folder list | Displays the archive folder in the user's Outlook folder list.
Clean out items older than | Specifies how long to keep items before archiving or deleting them.
Permanently delete old items | Permanently deletes items, instead of moving them to the Deleted Items folder.

Contact Cards

In Microsoft Office 2010, Contact Cards appear when you rest the mouse pointer over a name, for example a sender's name in an e-mail message or the author's name in an Office 2010 document. If you install Office 2010 with Office Communicator 2007 R2, Office or Communicator Server 2007 R2, Contact Cards displays a person's availability and lets you easily start a conversation directly through instant messaging, voice call, or video. When you expand the Contact Card, you can view the Contact, Organization, and Member Of tabs. The Contact tab is the default view and it displays information such as department, office location, and work telephone number. The Organization tab displays the contact's manager and contacts that share the same manager. The Member Of tab displays the distribution lists for which the contact is a member.

In Office 2010, you can customize Contact Cards to turn off certain features and specify where presence icons are displayed. For the Contact tab on the Contact Card, you can replace labels and values. The specific settings that you can configure for Contact Cards are described in the following two sections. Note that there is a known issue with the Group Policy and OCT settings for customizing the Contact tab; however, a workaround is available. To customize the Contact tab, you must manually deploy the appropriate registry keys. See Contact Card Contact Tab customization workaround (http://go.microsoft.com/fwlink/p/?LinkId=184612).

Contact Card

In Group Policy, the settings in the following table are found under User Configuration\Administrative Templates\Microsoft Office 2010\Contact Card. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Configure presence icon | Specifies where the presence icons are displayed. Display all Displays the presence icons. Display some Displays only in the Contact Card and in lists in Microsoft SharePoint 2010 Products. Display None Presence icons are not displayed.
Display legacy GAL dialog | Displays the global address list (GAL) dialog box instead of the Contact Card when users double-click a contact in Outlook.
Do not display Hover Menu | Stops the Hover Menu from displaying when a user pauses on a contact's presence icon or display name with the cursor.
Do not display photograph | Prevents display of the contact photograph on the Contact Card, e-mail header, reading pane, fast search results, GAL dialog box, and File tab.
Remove Member Of tab | Removes the Member Of tab on the Contact Card.
Remove Organization tab | Removes the Organization tab on the Contact Card.
Turn off click to IM option | Removes the Instant Messaging (IM) option from the Contact Card and Outlook ribbon.
Turn off click to telephone | Removes the telephone option from the Contact Card and Outlook ribbon.
Turn off presence integration | Turns off IM presence integration for Office 2010 applications.

Contact tab

There is a known issue with the Group Policy and OCT settings for customizing the Contact tab; however, a workaround is available. To customize the Contact tab, you must manually deploy the appropriate registry keys. See Contact Card Contact Tab customization workaround (http://go.microsoft.com/fwlink/p/?LinkId=184612).

The following Contact tab settings under User Configuration\Administrative Templates\Microsoft Office 2010\Contact Card in Group Policy and in the corresponding locations on the Modify user settings page of the OCT will be fully functional in a later release of the Administrative Templates.

To customize the Contact Card Contact tab in Outlook 2010, use the replace MAPI property settings option. To customize the Contact Card Contact tab for other Office 2010 applications such as Microsoft Word 2010, use the replace AD attribute settings option.

For information about Active Directory attributes, see Property Sets in Exchange 2007 (http://go.microsoft.com/fwlink/p/?LinkId=183812) and Attributes defined by Active Directory (Windows) ( http://go.microsoft.com/fwlink/p/?LinkId=183814). For information about MAPI properties, see Mail User Properties (http://go.microsoft.com/fwlink/p/?LinkId=183815)

Option | Description
Move Calendar Line | Enable and set the line number to move the Calendar field value to another location on the Contact Card. This action replaces the field value that was in that location.
Move Location Line | Enable and set the line number to move the Location field value to another location on the Contact Card. This action replaces the field value that was in that location.
Replace Label - Title | Enable and enter a new label name for the Title (title, department) field.
Replace Label - Office | Enable and enter a new label name for the Office (office location) field.
Replace Label - Work | Enable and enter a new label name for the Work (work phone) field.
Replace Label - Mobile | Enable and enter a new label name for the Mobile (mobile phone) field.
Replace Label - Home | Enable and enter a new label name for the Home (home phone) field.
Replace Label - E-mail | Enable and enter a new label name for the E-mail (e-mail address) field.
Replace Label - Calendar | Enable and enter a new label name for the Calendar (calendar free/busy information) field.
Replace Label - Location | Enable and enter a new label name for the Location (location information) field.
Replace AD attribute - "title, department" | Enable and enter the Active Directory (AD) attribute to replace the Title field value. For example, to display the e-mail alias, enter the AD attribute: sAMAccountName. If you enable this setting, also set Replace MAPI property - "title, department".
Replace AD attribute - "office location" | Enable and enter the Active Directory (AD) attribute to replace the Office field value. If you enable this setting, also set Replace MAPI property - "office location".
Replace AD attribute - "work phone" | Enable and enter the Active Directory (AD) attribute to replace the Work field value. If you enable this setting, also set Replace MAPI property - "work phone".
Replace AD attribute - "mobile phone" | Enable and enter the Active Directory (AD) attribute to replace the Mobile field value. If you enable this setting, also set Replace MAPI property - "mobile phone".
Replace AD attribute - "home phone" | Enable and enter the Active Directory (AD) attribute to replace the Home field value. If you enable this setting, also set Replace MAPI property - "home phone".
Replace AD attribute - "e-mail address" | Enable and enter the Active Directory (AD) attribute to replace the E-mail field value. If you enable this setting, also set Replace MAPI property - "e-mail address".
Replace AD attribute - "calendar free/busy information" | Enable and enter the Active Directory (AD) attribute to replace the Calendar field value. If you enable this setting, also set Replace MAPI property - "calendar free/busy information".
Replace AD attribute - "location information" | Enable and enter the Active Directory (AD) attribute to replace the Location field value. If you enable this setting, also set Replace MAPI property - "location information".
Replace MAPI property - "title, department" | Enable and enter the MAPI property to replace the Title field value. For example, to display the e-mail alias, enter the MAPI property: 0x3a00001f. If you enable this setting, also set Replace AD attribute - "title, department".
Replace MAPI property - "office location" | Enable and enter the MAPI property to replace the Office field value. If you enable this setting, also set Replace AD attribute - "office location".
Replace MAPI property - "work phone" | Enable and enter the MAPI property to replace the Work field value. If you enable this setting, also set Replace AD attribute - "work phone".
Replace MAPI property - "mobile phone" | Enable and enter the MAPI property to replace the Mobile field value. If you enable this setting, also set Replace AD attribute - "mobile phone".
Replace MAPI property - "home phone" | Enable and enter the MAPI property to replace the Home field value. If you enable this setting, also set Replace AD attribute - "home phone".
Replace MAPI property - "e-mail address" | Enable and enter the MAPI property to replace the E-mail field value. If you enable this setting, also set Replace AD attribute - "e-mail address".
Replace MAPI property - "calendar free/busy information" | Enable and enter the MAPI property to replace the Calendar field value. If you enable this setting, also set Replace AD attribute - "calendar free/busy information".
Replace MAPI property - "location information" | Enable and enter the MAPI property to replace the Location field value. If you enable this setting, also set Replace AD attribute - "location information".

Conversation view

The Conversation view provides a threaded view of e-mail messages in an Microsoft Outlook folder. To access the Conversation view in Outlook 2010, click View, and then select the Show as Conversations check box.

The settings that you can configure for Conversation view in Group Policy and the OCT are shown in the following table. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Preferences\E-mail Options. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option Description

Configure Cross Folder Content in Conversation view

Enable and select the e-mail folder content to include in Conversation view.

On and cross-store E-mail displayed is from all connected Outlook data files whether they are cached on the local computer or online.

Off E-mail displayed in Conversation view is only from the current folder (such as the Inbox).

On and current E-mail displayed in Conversation view is only from the current Outlook data file being viewed.

On and local E-mail displayed is only from the current Outlook data file being viewed and any other local Outlook data file (such as a personal data file (.pst)).

Do not use Conversational arrangement in Views

There is a known issue with the explanatory text for this setting, which will be corrected in a later release of the Administrative Templates.

If you do not configure this setting, the Outlook 2010 views will display Date view as the default. Enable to turn off Conversation view to prevent users from using Conversation View in Outlook 2010. Disable to turn on Conversation View as the default Outlook 2010 view.

Global Address List synchronization

Outlook 2010 synchronizes its Contacts folder entries to contacts in the Exchange Global Address List (GAL) when they have matching SMTP addresses. This synchronization is one-way: from the GAL to the Outlook Contacts folder.

Discrepancies in contact phone numbers might arise when the phone entries in users' Outlook Contacts folder are created in a different format from the one that is used in the corporate GAL. For example, a locale might require one type of phone number prefix format for calling from within the country and another prefix format for calling from outside the country. If a user creates his or her Outlook 2010 contacts with the prefix formats that are required to dial from outside the country, a "move correction" takes place when Outlook 2010 contacts are updated by using details from the GAL.

In a move correction, the telephone numbers that the user creates in his or her Outlook contacts are overwritten and moved to an adjacent phone number field. For example, the telephone number in the "Business" field is moved to the "Business 2" field. For more information about move corrections, see Contact corrections that Outlook makes during GAL synchronization.

After synchronization, you cannot reverse the changes in bulk. However, a user can manually update Outlook contacts, or if there are many differences, the user's Exchange mailbox can be restored. A programmatic solution is possible, but requires complex data validation to pull the previous values from the Notes field. These solutions quickly become unfeasible for a large enterprise.

However, if contact synchronization is a large issue in your organization, you can disable GAL synchronization for Outlook 2010, either before you deploy Microsoft Office 2010, or when you see potential for this situation occurring.

Contact corrections that Outlook makes during GAL synchronization

If an Outlook contact is updated through GAL synchronization, Outlook "corrects" contact fields that do not match by using one of the following methods:

  • Normal correction In a normal correction, Outlook logs the old value of the field in the Notes field and then updates the field by using the new value from the GAL.

  • Move correction In a move correction, Outlook moves the old value of the field to an adjacent field. If this action is unsuccessful, Outlook performs a normal correction. If all fields in a contact group are full, the move correction becomes a normal correction

For the following fields, a move correction is the default correction method that is used. For all other fields Outlook always performs a normal correction.

  • Business Phone Group

    • Business Phone

    • Business 2 Phone

    • Other Phone

  • Home Phone Group

    • Home Phone

    • Home 2 Phone

    • Other Phone

  • Mobile Phone Group

    • Mobile Phone

    • Other Phone

  • Business Address Group

    • Business Address

    • Other Address

  • Home Address Group

    • Home Address

    • Other Address

Configuring GAL synchronization

By default, GAL synchronization is enabled in Outlook 2010. You can disable GAL synchronization with Outlook contacts by configuring the Block Global Address List synchronization setting in Group Policy. After you apply this Group Policy setting, users cannot change the configuration.

If you use the OCT to disable GAL synchronization, users can enable it in the user interface (UI). To do this, they click the View tab on the ribbon, click the drop-down arrow next to the People Pane button, select the Account Settings command from the list, and then click the Settings button at the bottom of the Social Network Accounts dialog box.

You can configure the GAL synchronization settings in the following table. In Group Policy, you can find the settings under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Social Connector. The OCT settings are in corresponding locations on the Modify user settings page of the OCT. For the steps to configure these settings, see Disable global address list synchronization for Outlook 2010.

Option | Description
Block Global Address List synchronization | Blocks the synchronization of contacts between Outlook and the GAL. If you disable or do not configure this setting, GAL synchronization is allowed.
Set GAL contact synchronization interval | Controls how often (in minutes) contact information is synchronized between Outlook and connected social networks. By default, if you disable or do not configure this policy, contact information is synchronized one time per day or every 1,440 minutes.

You can configure GAL sync to prompt before updating, instead of updating without prompting, (which is default behavior) by configuring the registry settings that are listed in the following table. For the steps to deploy the registry data, see Disable global address list synchronization for Outlook 2010.

Root Data type Key Value name Value data

HKEY_CURRENT_USER

DWORD

Software\ Microsoft\Office\Outlook\SocialConnector

ScheduleContactGALSync

Configures the GAL synchronization configuration. However, the user can override the configuration through the user interface by clicking the View tab on the ribbon, clicking the drop-down arrow next to the People Pane button, selecting the Account Settings command, and then clicking the Settings button in the Social Network Accounts dialog box.

0 = Do not synchronize contacts with the GAL

1 = Automatically update contacts with the latest GAL information

2 = Prompt before updating contacts with the latest GAL information

HKEY_CURRENT_USER

String

Software\ Microsoft\Office\Outlook\SocialConnector

GalSyncExcludedLocales

For country codes, see ISO 3166-1 alpha-3 (http://go.microsoft.com/fwlink/p/?LinkId=197158).

Important:

This registry value is only honored when the ScheduleContactGALSync key does not exist. The ScheduleContactGALSync is created if the user manually sets GAL synchronization options through the user interface.

Internet Calendars

An Internet Calendar (iCal) is a calendar that you can publish to an Internet site, where other users can view it or subscribe to it. You can create an iCal from your calendar, send it as an attachment in an e-mail message, upload to Office.com, or upload it to a WebDAV server to publish it. You can also receive an iCal file as a file attachment in an e-mail message or download an iCal file to subscribe to a third-party calendar. For more information, see Introduction to publishing Internet Calendars (http://go.microsoft.com/fwlink/p/?LinkId=193168).

With Outlook 2010, you can customize iCal subscription features. You can disable iCal subscriptions in Outlook 2010 if, for example, you are concerned about bandwidth usage and want to delay introducing iCal subscriptions. By default, iCal subscriptions are enabled. You can also deploy iCal subscriptions as default subscriptions that users can change or delete. Or, you can lock down iCal subscriptions so that users cannot make changes or remove them. However, users can add new iCal subscriptions. By default, there are no iCal subscriptions. However, users can add and remove them.

Outlook 2010 sets the synchronization interval so that each iCal subscription is updated at the publisher's recommended interval. Users can override the default interval unless you disallow that option. If users set the update frequency to a short interval, it can cause performance problems.

By enabling the Override published sync interval option in Group Policy, you can enforce the publisher's update intervals so that users cannot change the intervals. This setting is used for all iCal subscriptions. You cannot set this option differently for different subscriptions.

The settings that you can configure for iCal in Group Policy and the OCT are shown in the following table. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Account Settings\Internet Calendars. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Options | Description
Automatically download attachments | Automatically downloads attachments (such as graphics) on Internet Calendar appointments.
Default Internet Calendar subscriptions | Enable and add the URLs that are to be added to each user's profile as an Internet Calendar subscription.
Disable roaming of Internet Calendars | Enable so that Internet Calendars are available only on the client that originally linked them.
Do not include Internet Calendar integration in Outlook | Prevents users from subscribing to Internet Calendars in Outlook.
Override published sync interval | Prevents users from overriding the sync interval published by Internet Calendar providers.

Instant Search

In Microsoft Outlook 2010, users can use the Instant Search feature to quickly locate an item, such as an e-mail message, a task, or an appointment. Items that match the search are highlighted. Users can filter results by typing additional letters (known as wordwheeling).

Instant Search in Outlook 2010 works by accessing indexed content. Indexing Outlook content results in quicker search results. By default, the text of all unrestricted Outlook items — including attachments — is indexed, a process that starts when Outlook 2010 runs for the first time. You can turn off full text indexing, or you can turn off only attachments indexing. Indexing occurs in the background and only when there is additional processing capacity available on the user's computer.

The following Windows settings determine how Outlook manages search indexing:

  • HKEY_CURRENT_USER\Software\Policies\Microsoft\Windows\Search\PreventIndexingOutlook

  • HKEY_CURRENT_USER\Software\Policies\Microsoft\Windows\Search\PreventIndexingEmailAttachments

Encrypted items and items that are restricted by using Information Rights Management (IRM) are not indexed.

If you install Outlook 2010 on a computer that is running Windows Vista or Windows 7, you can configure searching indexing options for Outlook by using Group Policy or the OCT.

The settings that you can configure for Instant Search are shown in the following table. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Preferences\Search Options. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Change color used to highlight search matches | Selects the background color that will be used for highlighting matches in search results (default is yellow).
Do not display hit highlights in search results | Turns off search hit highlighting.
Do not include display search results as the user types | Prevents display of search results as the user types a search query (turn off Word Wheel functionality).
Do not include the Online Archive in All Mail item search | Sets the default action in All Mail Item search not to include search results from the Online Archive.
Expand scope of searches | Expands the scope for Instant Search to all folders in the current module (for example, Mail or Calendar). By default, Instant Search in Outlook returns results only from the selected folder.
Prevent clear signed message and attachment indexing | Prevents indexing of the body and attachments of clear-text signed messages. The sender, subject line, and date continue to be indexed and searchable.
Prevent installation prompts when Windows Desktop Search component is not present | Prevents display of a dialog box that asks whether users want to download Windows Desktop Search (if it is not already installed). Also removes the links in Outlook that let users download Windows Desktop Search.
Turn off automatic search index reconciliation | Turns off the automatic verification of the integrity of the Outlook search index, which runs every 72 hours.

Navigation Pane

You can configure the modules in the Navigation Pane in Outlook 2010 (such as Calendar, Mail, and so on) to appear in a specific order for users, or to display only certain modules.

You can use the Office Customization Tool (OCT) Add registry entries option to distribute registry keys that specify how modules are displayed. You cannot use Group Policy to lock down Navigation Pane options.

The following table lists the registry settings that you can configure for a custom installation.

Root Data type Key Value name Value data

HKEY_CURRENT_USER

REG_DWORD

Software\Microsoft\Office\14.0\Outlook\Preferences

NumBigModules

Controls how many large buttons (each representing a Navigation Pane module) appear on the Navigation Pane. The default is 4. The maximum number that you can specify to be displayed is 8.

HKEY_CURRENT_USER

REG_SZ

Software\Microsoft\Office\14.0\Outlook\Preferences

ModuleOrder

Determines the order in which the modules are displayed on the Navigation Pane. The data is an ordered list of indexes, where each position represents a Navigation Pane module, and the number in that position determines where the matching module appears.

The default is 1,2,3,4,5,6,7,8. The index positions match this list: Mail, Calendar, Contacts, Tasks, Notes, Folder List, Shortcuts, Journal. For example, if the user switches Mail to be the third module showing, and Contacts to be the first, the registry value has this data: 3,2,1,4,5,6,7,8

HKEY_CURRENT_USER

REG_SZ

Software\Microsoft\Office\14.0\Outlook\Preferences

ModuleVisible

Determines whether a module is visible on the Navigation Pane. The values match the positions that are used in the module ordering list.

The default is 1,1,1,1,1,1,1,0. For example, the first position determines whether Mail is shown. By default, the Journal is not shown in the Navigation Pane. You can choose to not display other modules also. For example, to not display Contacts, Tasks, Notes, or Shortcuts, set this data: 1,1,0,0,0,1,0,0.

Outlook Social Connector

The Outlook Social Connector (OSC) is an add-in that exposes social network data including friends, profiles, activities, and status information from social networks in Outlook 2010. In the People Pane at the bottom of an e-mail message, you can see information about the sender such as their picture, name, and title; view your communication history with this person including meetings and attachments; and view their activity feeds from social networks.

You can create an OSC provider to synchronize and surface social network updates in Outlook. Popular social networks such as LinkedIn, Facebook, and Windows Live are offering providers for the OSC. You can also use OSC provider extensibility to build providers for line-of-business applications or internal corporate websites and to integrate their services into Outlook. For more information, see Outlook Social Connector 1.1 Provider Reference (http://go.microsoft.com/fwlink/p/?LinkId=208703).

To take advantage of the features that are available with the Outlook Social Connector, you must run Outlook 2010 in Cached Exchange Mode with Windows Desktop Search and have Microsoft SharePoint Server 2010 My Site configured for users. In this configuration, local items — such as e-mail messages, meetings, and attachments from the sender — will be included in the communication history. Additionally, with My Site configured you can view the activity feed from the sender's My Site.

If you run Outlook 2010 in Online Mode, only items related to the sender that are stored on the server will be shown in the communication history. Also, only activity feed information about the sender from on-demand social network providers, such as Facebook, can be shown. Activity feeds from My Site will not be available.

To include information from users' My Site in the Outlook Social Connector, you must run Outlook 2010 in Cached Exchange Mode with Windows Desktop Search and set the MySiteHost registry key as described in the following table.

Root | Data type | Key | Value name | Value data
HKEY_CURRENT_USER | REG_SZ | Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost | URL | Your My Site URL - for example, http://Office/MySite.
HKEY_CURRENT_USER | REG_SZ | Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost | DisplayName | Optional: The name to display to the user in the Outlook Social Connector - for example, MySite.

You can control the social network providers from which users can view activity feeds. You can prevent activity feeds from all social network providers by enabling the Prevent social network connectivity setting in Group Policy. Or, you can deploy specific providers by using the Specify list of social network providers to load setting in the OCT and prevent other providers from being installed by using the Block specific social network providers setting in Group Policy.

You can also control whether to allow the Outlook Social Connector or social network providers to prompt users for updates or manage the updates yourself by using the Do not show social network info-bars setting in Group Policy.

The settings that you can configure for Conversation view in Group Policy and the OCT are shown in the following table. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Social Connector. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Block Global Address List synchronization | Blocks synchronization between Outlook and the global address list.
Block network activity synchronization | Blocks synchronization of activity information between Outlook and social networks.
Block social network contact synchronization | Blocks synchronization of contacts between Outlook and social networks.
Block specific social network providers | Specify the list of social network providers to block by Program ID (ProgID). A provider's ProgID is registered under HKEY_CURRENT_USER\Software\Microsoft\Office\Outlook\SocialConnector\SocialNetworks.
Do not allow on-demand activity synchronization | Prevents on-demand synchronization of activity information between Outlook and social networks.
Do not download photos from Active Directory | Does not download contact photos from Active Directory.
Do not show social network info-bars | Prevents displaying information-bar messages that will prompt users to upgrade the Outlook Social Connector when updates are available or to install or update social network providers.
Prevent social network connectivity | Turns off social network connectivity in the Outlook Social Connector. Outlook Social Connector will still allow personal information management (PIM) aggregation so that users can view information about a chosen contact from their Outlook 2010 data files (for example, e-mail messages exchanged and meetings with that contact).
Set GAL contact synchronization interval | Controls how often contact information is synchronized between Outlook and connected social networks (in minutes). By default, if you disable or do not configure this policy, contact information is synchronized one time per day or 1,440 minutes.
Specify activity feed synchronization interval | Controls how often activity feed information is synchronized between Outlook and connected social networks (in minutes). By default, if you disable or do not configure this policy, activity information is synchronized every 60 minutes.
Specify list of social network providers to load | Enter a list of social network providers (by ProgID) that will be loaded by the Outlook Social Connector. A provider's ProgID is registered under HKEY_CURRENT_USER\Software\Microsoft\Office\Outlook\SocialConnector\SocialNetworks.
Turn off Outlook Social Connector | Turns off the Outlook Social Connector.

Search Folders

Outlook folders are where items are stored — such as new e-mail messages (Inbox folder), sent e-mail messages (Sent Items folder), or saved e-mail messages (folders that you can create). Search Folders are virtual folders that contain views of all e-mail items that match specific search criteria. E-mail messages are not stored in Search Folders.

Search Folders display the results of previously defined search queries of your Outlook 2010 folders. The e-mail messages remain stored in one or more Outlook folders. Each Search Folder is a saved search that is kept up to date. By default, Search Folders monitor all Outlook folders for new items that match the criteria of the Search Folder. However, you can configure which folders are monitored. In Outlook 2010, click Folder, and then click Customize This Search Folder.

When users create a Search Folder, they have several default Search Folder options to choose from, such as Mail with attachments or Mail from specific people. They can also create custom Search Folders. To create a Search Folder in Outlook 2010, click Folder in the ribbon, and then click New Search Folder.

By default, Search Folders remain active for 1,000 days. You can configure how long Search Folders remain active for Cached Exchange Mode accounts and for online Exchange Server accounts. You can specify the number of days after which Search Folders become dormant — that is, items listed in the Search Folder are no longer up to date with current searches of Outlook folders. A dormant Search Folder appears in italic in a user's navigation pane. When a user opens a dormant Search Folder, the view is refreshed and the elapsed time count begins again.

The time period that you specify with this setting begins the last time that a user clicked the Search Folder. You can specify a different number of days for users in Exchange Online Mode and in Cached Exchange Mode. Separate counts are maintained for each Search Folder for each mode. If you enable and specify zero days for the option Keep search folders in Exchange online, Search Folders in Exchange Online Mode are always dormant. Similarly, if you specify zero days for the option Keep search folders in offline, Search Folders in Cached Exchange Mode are always dormant.

You can also limit the number of Search Folders allowed in each user mailbox, or you can disable the Search Folders user interface completely.

Note:

If users use Search Folders in Online Mode (using a mailbox on the Exchange Server) instead of in Cached Exchange Mode, the number of users who can be supported by the Exchange Server might be decreased.

The settings that you can configure for Search Folders in Group Policy and the OCT are shown in the following table. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Search Folders. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Do not create Search Folders when users start Outlook | A known issue exists for this policy setting. Default Search Folders are removed in Outlook 2010. This policy does not affect new or existing profiles in Outlook 2010.
Keep search folders in Exchange online | Specify the number of days to keep a Search Folder active when Outlook is running in Online Mode.
Keep search folders offline | Specify the number of days to keep a Search Folder active Outlook is running in offline or cached mode.
Maximum Number of Online Search Folders per Mailbox | Specify the maximum number of Search Folders for Exchange. Does not affect the number of Search Folders on a client computer.

SharePoint Server Colleague add-in

The Microsoft SharePoint Server Colleague add-in in Outlook 2010 scans the user's Sent Items folder to look for names and keywords along with the frequency of those names and keywords. The list of possible colleagues is updated periodically and stored under the user's profile on the user's local computer. This list is accessed through the Add Colleagues page on a user's SharePoint My Site intranet site where they can choose the colleagues that they want to add to their My Site page. The user can approve or reject contact names and keywords adding them to the Ask Me About Web Part. For more information, see Plan user profiles (SharePoint Server 2010) (http://go.microsoft.com/fwlink/p/?LinkId=182364) and Manage the information you share through your My Site and profile (http://go.microsoft.com/fwlink/p/?LinkId=198208).

By default, the SharePoint Server 2010 Colleague add-in is installed and turned on when you install Outlook 2010. However, to use the SharePoint Server 2010 Colleague add-in, you must have both SharePoint Server 2010 and Outlook 2010 installed. You must also deploy the My Site URL registry data that is listed in the following table. For the steps to deploy the registry data, see Enable SharePoint Server 2010 Colleague in Outlook 2010.

Root | Data type | Key | Value name | Value data
HKEY_CURRENT_USER | REG_SZ | Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost | URL | Your My Site URL - for example, http://Office/MySite.
HKEY_CURRENT_USER | REG_SZ | Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost | DisplayName | Optional: The name to display to the user - for example, MySite.

The settings to disable or lock down the SharePoint Server Colleague add-in by using Group Policy are listed in the following table and are found under the Microsoft Office 2010 settings: User Configuration\Administrative Templates\Microsoft Office 2010\Server Settings\SharePoint Server. Or, you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings. The OCT settings are in the corresponding location on the Modify user settings page of the OCT under the Microsoft Office 2010 settings. For the steps to configure these settings, see Configure Colleagues for My Site.

Option Description

Enable Colleague Import Outlook Add-in to work with Microsoft SharePoint Server

Enable this setting to turn on the SharePoint Server Colleague add-in for Outlook 2010.

Disable this setting to turn off this feature. If you do not set this option, the Colleague add-in is turned on by default.

Maximum number of days to scan from today to determine the user's colleagues for recommendation

Enable this setting to specify how many days prior to today to scan the Outlook sent items for the user's colleague recommendation list. For example, if you use the default, which is 20 days, the SharePoint Server Colleague add-in will scan items sent in the last 20 days.

The larger the number of days specified, the more accurate the recommendation. The smaller the number of days, the faster the recommendations are generated.

Maximum number of items to scan from today to determine the user's colleagues for recommendation

Enable this setting to specify the maximum number of sent items to scan for the user's colleague recommendation list.

Maximum number of recipients in an Outlook item to scan to determine the user's colleagues for recommendation

Enable this setting to specify the maximum number of recipients in an Outlook sent item to scan for the user's colleague recommendation list.

Maximum number of rows fetched per request while populating a lookup in the SharePoint list control

Enable this setting to specify the maximum number of rows to retrieve per request while populating the SharePoint list control.

Minimum time before starting Colleague recommendation scan

Enable this setting to specify the minimum idle time (in milliseconds) to wait before the SharePoint Server Colleague add-in begins to scan the Outlook Sent Items folder.

Minimum time to wait before rescanning the Outlook mailbox for new recommendations

Enable this setting to specify the minimum time (in hours) to wait before rescanning the OutlookSent Items folder for new colleague recommendations.

See Also

Concepts

Plan for security and protection in Outlook 2010
Configure user settings for Office 2010
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Office Customization Tool in Office 2010
Group Policy overview for Office 2010

Other Resources

Outlook 2010 Resource Center


Plan an Exchange deployment in Outlook 2010

Microsoft Outlook 2010 offers two basic connectivity modes when you are connected to a Microsoft Exchange Server computer: Cached Exchange Mode or Online Mode.

This article discusses which connectivity mode might be appropriate for your environment and also provides planning considerations and settings for Cached Exchange Mode deployments in Outlook 2010.

In this article:

  • Overview

  • Choosing between Cached Exchange Mode and Online Mode

  • How Cached Exchange Mode can help improve the Outlook user experience

  • Outlook features that can reduce the effectiveness of Cached Exchange Mode

  • Synchronization, disk space, and performance considerations

  • Managing Outlook behavior for perceived slow connections

  • Options for staging a Cached Exchange Mode deployment

  • Upgrading current Cached Exchange Mode users to Outlook 2010

  • Deploying Cached Exchange Mode to users who already have .ost files

  • Configuring Cached Exchange Mode

  • Additional resources

Overview

When an Outlook 2010 account is configured to use Cached Exchange Mode, Outlook 2010 works from a local copy of a user's Microsoft Exchange mailbox stored in an offline data file (.ost file) on the user's computer, together with the Offline Address Book (OAB). The cached mailbox and OAB are updated periodically from the Exchange Server computer.

Cached Exchange Mode was introduced in Outlook 2003 to provide users a better online and offline experience. Cached Exchange Mode lets users move between connected and disconnected environments without interrupting their experience in Outlook. Also, it insulates users from network latency and connectivity issues while they are using Outlook.

In contrast, Online Mode works directly by using information from the server. When new information is required in Outlook, a request is made to the server and the information is displayed. Mailbox data is only cached in memory and never written to disk.

Cached Exchange Mode or Online Mode can be selected by the user during account setup or by changing the account settings. The mode can also be deployed by using the Office Customization Tool (OCT) or Group Policy.

Important:

There is a known issue in which an additional Exchange account is added to the Outlook profile when a user who already has an exchange account in the profile is upgraded from Outlook 2003 or Outlook 2007. This issue can occur while you are upgrading Outlook and applying customizations by using a custom OCT file (.msp) or .prf file that is configured to "Modify Profile" and "Define changes to make to the existing default profile."

To prevent multiple Exchange accounts from being created in one profile when you upgrade users to Outlook 2010, you must download and use the Service Pack (SP1) version of the OCT, which is available from the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=189316). To update the OCT, replace the /Admin folder that is in your Office 2010 installation files or installation image with the new /Admin folder that is included in the download package. If you do not use the SP1 version of the OCT, you must create a .prf file and set the properties BackupProfile=False and UniqueService=Yes. For the steps to do this, see Multiple Exchange accounts created in Outlook 2010 with existing Outlook profiles after upgrading from an earlier Office version using a custom MSP (http://go.microsoft.com/fwlink/p/?LinkId=199704).

Choosing between Cached Exchange Mode and Online Mode

When to use Cached Exchange Mode

Cached Exchange Mode is the premier configuration in Outlook 2010. We recommend it in all circumstances, except those specifically indicated in When to use Online Mode later in this article.

Although we recommend Cached Exchange Mode in most user configurations, it is especially valuable in the following scenarios:

  • Portable computer users who frequently move in and out of connectivity.

  • Users who frequently work offline or without connectivity.

  • Users who have high-latency connections (greater than 500ms) to the Exchange Server computer.

When to use Online Mode

Online Mode is the legacy method of connecting to Microsoft Exchange. It is a fully supported configuration in Office Outlook 2003, Outlook 2007, and Outlook 2010. Online Mode has value in certain scenarios in which the behavior of Cached Exchange Mode is unwanted. Example scenarios include the following:

  • "Kiosk" scenarios in which a particular computer has many users who access different Outlook accounts and the delay to download e-mail messages to a local cache is unacceptable.

  • Heavily regulated compliance or secure environments in which data must not be stored locally for any reason. In these environments, we recommend that you evaluate Encrypting File System (EFS) or BitLocker in addition to Cached Exchange Mode as a potential solution.

  • Very large mailboxes on computers that do not have enough hard disk space for a local copy of the mailbox.

  • Very large mailboxes (greater than 25 GB) on which performance considerations become an issue in Cached Exchange Mode.

  • Virtualized or Remote Desktop Services (Terminal Services) environments that run Outlook 2007 or Outlook 2003. Cached Exchange Mode is not supported when you run Outlook 2007 or Outlook 2003 on a computer running Remote Desktop Services (Terminal Services).

  • Virtualized or Remote Desktop Services (Terminal Services) environments that run Outlook 2010 on which disk size or disk input/output (I/O) limitations prevent running Cached Exchange Mode at the desired scale.

If you work with a very large mailbox, you can reduce the size of the local data file by using synchronization filters. For more information, see Create a synchronization filter (http://go.microsoft.com/fwlink/p/?LinkID=193917) and Optimizing Outlook 2007 Cache Mode Performance for a Very Large Mailbox (http://go.microsoft.com/fwlink/p/?LinkID=193918).

If you work with a very large mailbox on which performance considerations become an issue in Cached Exchange Mode, see How to troubleshoot performance issues in Outlook (http://go.microsoft.com/fwlink/p/?LinkID=193920).

Special considerations

Outlook 2010 supports running in Cached Exchange Mode in a Remote Desktop Services (Terminal Services) environment that has multiple users. When you configure a computer running Remote Desktop Services (Terminal Services) to use Cached Exchange Mode, you must consider additional storage space that is required and disk I/O requirements of multiple client access.

By default, new Exchange accounts that are set up on a computer running Remote Desktop Services (Terminal Services) will use Online Mode. Upon setup, the user can decide to enable Cached Exchange Mode or this setting can be controlled by using the Use Cached Exchange Mode for new and existing Outlook profiles option in the Office Customization Tool or Group Policy.

In very limited bandwidth environments, Cached Exchange Mode can be configured to download only e-mail headers and a 256-character preview of the message body. For more information, see Configure Cached Exchange Mode in Outlook 2010.

Even when it is configured in Cached Exchange Mode, Outlook 2010 must contact the server directly to do certain operations. These operations will not function when Outlook is not connected and can take longer to complete on high-latency connections. These operations include the following:

  • Working with Delegate mailbox data stores.

  • Working with Shared Folders that have not been made available offline. For more information, see Configure Offline Availability for a Shared Folder(http://go.microsoft.com/fwlink/p/?LinkID=193926).

  • Retrieving Free/Busy information.

  • Setting, modifying, or canceling an Out of Office message.

  • Accessing Public Folders.

  • Retrieving rights to a rights-protected message.

  • Editing rules.

  • Retrieving MailTips.

How Cached Exchange Mode can help improve the Outlook user experience

Use of Cached Exchange Mode provides the following key benefits:

  • Shields the user from network and server connection issues.

  • Facilitates switching from online to offline for mobile users.

By caching the user's mailbox and the OAB locally, Outlook no longer depends on continuous network connectivity for access to user information. While connected, Outlook continuously updates users' mailboxes so that the mailboxes are kept up to date. If a user disconnects from the network — for example, by removing a portable computer, such as a laptop, from a docking station — the latest information is automatically available offline.

In addition to using local copies of mailboxes to improve the user experience, Cached Exchange Mode optimizes the type and amount of data sent over a connection with the server. For example, if the On slow connections, download only headers setting is configured in the Office Customization Tool, Outlook changes the type and amount of data sent over the connection.

Note:

Outlook checks the network adapter speed on the user's computer to determine a user's connection speed, as supplied by the operating system. Reported network adapter speeds of 128 kilobytes (KB) or lower are defined as slow connections. Under some circumstances, the network adapter speed might not accurately reflect data throughput for users. For more information about adjusting the behavior of Outlook in these scenarios, see Managing Outlook behavior for perceived slow connections later in this article.

Outlook can adapt to changing connection environments by offering different levels of optimization, such as disconnecting from a corporate local area network (LAN), going offline, and then re-establishing a connection to the server over a slower, dial-up connection. As the Exchange Server connection type changes — for example, to LAN, wireless, cellular, or offline — transitions are seamless and do not require changing settings or restarting Outlook.

For example, a user might have a portable computer at work with a network cable connection to a corporate LAN. In this scenario, the user has access to headers and full items, including attachments. The user also has quick access and updates to the computer that runs Exchange Server. If a user disconnects the portable computers from the LAN, Outlook switches to Trying to connect mode. The user can continue to work uninterruptedly with the data in Outlook. If a user has wireless access, Outlook can re-establish a connection to the server and then switch back to Connected mode.

If the user later connects to the Exchange Server computer over a dial-up connection, Outlook recognizes that the connection is slow and automatically optimizes for that connection by downloading only headers and by not updating the OAB. In addition, Outlook 2010 and Office Outlook 2007 include optimizations to reduce the amount of data that is sent over the connection. The user does not need to change settings or restart Outlook in this scenario.

Outlook 2010 also includes the Need Password mode. A Need Password message is displayed when Outlook is in a disconnected state and requires user credentials to connect; for example, when a user clicks Cancel in a credentials authentication dialog box. When Outlook is disconnected but is not offline, a user-initiated action (such as clicking Send/Receive or the Type Password button on the ribbon) causes Outlook to prompt again for the password and to display a Trying to connect message until the user can successfully authenticate and connect.

Outlook features that can reduce the effectiveness of Cached Exchange Mode

Some Outlook features reduce the effectiveness of Cached Exchange Mode because they require network access or bypass Cached Exchange Mode functionality. The primary benefit of using Cached Exchange Mode is that the user is shielded from network and server connection issues. Features that rely on network access can cause delays in Outlook responsiveness that users would not otherwise experience when they use Cached Exchange Mode.

The following features might rely on network access and can cause delays in Outlook unless users have fast connections to Exchange Server data:

  • Delegate access, when folders are not cached locally (local cache is the default).

  • Opening another user's calendar or folder that is not cached locally (local cache is the default).

  • Using a public folder that is not cached.

For more information, see Managing Outlook folder sharing in Synchronization, disk space, and performance considerations later in this article.

We recommend that you disable or do not implement the following features, or combination of features, if you deploy Cached Exchange Mode:

  • The toast alert feature with digital signatures on e-mail messages Outlook must check a server to verify a digital signature. By default, when new messages arrive in a user's Inbox, Outlook displays a toast message that contains a part of an e-mail message. If the user clicks the toast message to open a signed e-mail message, Outlook uses network access to check for a valid signature on the message.

  • Multiple Address Book containers The Address Book typically contains the global address list (GAL) and user Contacts folders. Some organizations configure subsets of the GAL, which display in the Address Book. These subset address books can also be included in the list that defines the search order for address books. If subset address books are included in the search order list, Outlook might need to access the network to check these address books every time that a name is resolved in an e-mail message that a user is composing.

  • Custom properties on the General tab in Properties dialog box for users The Properties dialog box appears when you double-click a user name (for example, on the To line of an e-mail message). This dialog box can be configured to include custom properties unique to an organization, such as a user's cost center. However, if you add properties to this dialog box, we recommend that you not add them to the General tab. Outlook must make a remote procedure call (RPC) to the server to retrieve custom properties. Because the General tab shows by default when the Properties dialog box is accessed, an RPC would be performed every time that the user accessed the Properties dialog box. As a result, a user who runs Outlook in Cached Exchange Mode might experience noticeable delays when he or she accesses this dialog box. To help avoid such delays, you create a new tab on the Properties dialog box for custom properties, or include custom properties on the Phone/Notes tab.

Certain Outlook add-ins can affect Cached Exchange Mode. Some add-ins can access Outlook data by using the object model to bypass the expected functionality of the Download only headers and On slow connections, download only headers settings in Cached Exchange Mode. For example, full Outlook items, not only headers, download if you use Microsoft ActiveSync technology to synchronize a hand-held computer, even over a slow connection. In addition, the update process is slower than if you download the items in Outlook, because one-time-only applications use a less-efficient kind of synchronization.

Synchronization, disk space, and performance considerations

Cached Exchange Mode uses a local copy of the user's Exchange mailbox, and in some cases, you can improve the performance of cached mode for your whole organization or for a group of users; for example, users who work remotely.

Manual synchronization of Exchange accounts no longer necessary

Cached Exchange Mode works independently of existing Outlook Send/Receive actions to synchronize users' .ost and OAB files with Exchange Server data. Send/Receive settings update users' Outlook data in the same way the settings did in earlier versions of Outlook.

Users who have Send/Receive-enabled Exchange accounts and who synchronize Outlook data by pressing F9 or by clicking Send/Receive might not realize that manual synchronization is no longer necessary. In fact, network traffic and server usage can be adversely affected if users repeatedly execute Send/Receive requests to Exchange Server. To minimize the effects, inform users that manual Send/Receive actions are unnecessary in Cached Exchange Mode. This might be especially helpful for remote users who typically used Outlook in offline mode with earlier Outlook versions and used Send/Receive to synchronize the data or just before they disconnected from the network. This kind of data synchronization now occurs automatically in Cached Exchange Mode.

Another way to manage the issue is to disable the Send/Receive option for users. However, we do not recommend this because it can create problems for some users; for example, when you upgrade current Outlook users with POP accounts and existing customized Send/Receive groups to Outlook 2010. In this situation, if you disable the Send/Receive option, users cannot download POP e-mail messages or HTTP e-mail messages by using the Outlook Connector.

Offline Address Book access advantages

Cached Exchange Mode enables Outlook to access the local Offline Address Book (OAB) for user information, instead of requesting the data from Exchange Server. Local access to user data greatly reduces the need for Outlook to make RPCs to the Exchange Server computer, and lessens much of the network access that is required for users in Exchange online mode or in previous versions of Outlook.

When users have a current OAB installed on their computers, only incremental updates to the OAB are needed to help prevent unnecessary server calls. Outlook in Cached Exchange Mode synchronizes the user's OAB with updates from the Exchange Server copy of the OAB every 24 hours. You can help control how often users download OAB updates by limiting how often you update the Exchange Server copy of the OAB. If there is no new data to synchronize when Outlook checks, the user's OAB is not updated.

Note:

We recommend that users use the default Unicode OAB. The ANSI OAB files do not include some properties that are in the Unicode OAB files. Outlook must make server calls to retrieve required user properties that are not available in the local OAB, which can result in significant network access time when users do not have a Full Details OAB in Unicode format.

Offline folder (.ost file) recommendations

When you deploy Cached Exchange Mode for Outlook, be aware that users' local .ost files can increase 50 percent to 80 percent over the size of the mailbox reported in Exchange Server. The format Outlook uses to store data locally for Cached Exchange Mode is less space-efficient than the server data file format. This results in the use of more disk space when mailboxes are downloaded to provide a local copy for Cached Exchange Mode.

When Cached Exchange Mode first creates a local copy of a user's mailbox, the user's current .ost file, if one exists, is updated. If users currently have non-Unicode ANSI-formatted .ost files, we recommend that you upgrade their .ost files to Unicode. Non-Unicode (ANSI) Outlook files have a limit of 2 gigabytes (GB) of data storage. The maximum size for Unicode .ost files is configurable, with the default being 50 GB of data storage.

Also, make sure that users' .ost files are located in a folder that has sufficient disk space to accommodate users' mailboxes. For example, if users' hard drives are partitioned to use a smaller drive for system programs (the system drive is the default location for the folder that contains the .ost file), specify a folder on another drive that has more disk space as the location of users' .ost files.

  • For more information about how to deploy .ost files in a location other than the default location, see To configure a default .ost location by using Group Policy in Configure Cached Exchange Mode in Outlook 2010.

  • To determine whether your users' .ost files are in ANSI or Unicode format, see How to determine the mode that Outlook 2007 or Outlook 2003 is using for offline folder files (http://go.microsoft.com/fwlink/p/?LinkId=159924).

  • For information about how to force an upgrade of an existing non-Unicode (ANSI) formatted .ost file to Unicode format, see To force upgrade of non-Unicode ANSI format .ost files to Unicode in Configure Cached Exchange Mode in Outlook 2010.

  • For more information about how to configure the Unicode .ost file size, see How to configure the size limit for both (.pst) and (.ost) files in Outlook 2007 and in Outlook 2003 (http://go.microsoft.com/fwlink/p/?LinkId=159750).

Managing performance issues

Most users will find that Cached Exchange Mode performs faster than online mode. However, many factors influence a user's perception of Cached Exchange Mode performance, including hard disk size and speed, CPU speed, .ost file size, and the expected level of performance.

For troubleshooting tips about diagnosing and addressing performance issues in Outlook, see Microsoft Knowledge Base article 940226: How to troubleshoot performance issues in Outlook 2007 (http://go.microsoft.com/fwlink/p/?linkid=100887) and Performance tips for deploying Outlook 2007 (http://go.microsoft.com/fwlink/p/?LinkId=160227).

Managing Outlook folder sharing

By default, if a user's Microsoft Outlook 2010 profile is configured in Cached Exchange mode, all items in the folders that are accessible by the Outlook profile in the shared mailbox are downloaded to the user's local cache. This includes any other mailboxes or shared folders the user has added to the profile. This is a change from Microsoft Office Outlook 2007, in which only shared non-mail folder items are cached by default.

For more information, see Configure Cached Exchange Mode in Outlook 2010.

Public Folder Favorites considerations

Cached Exchange Mode can be configured to download and synchronize the public folders included in users' Favorites folders for Outlook Public Folders. By default, Public Folder Favorites are not synchronized. However, you might want to enable this option if your organization uses public folders extensively. You can configure an option to download Public Folder Favorites in the .ost when you customize your Cached Exchange Mode deployment.

If users' Public Folders Favorites folders include large public folders, their .ost files can also become large. This can adversely affect Outlook performance in Cached Exchange Mode. Before you configure Cached Exchange Mode to enable this option, ensure that users are selective about the public folders that are included in their Public Folder Favorites. Also, ensure that users' .ost files are large enough, and are in folders that have sufficient disk space, to accommodate the additional storage requirements for the public folder downloads.

Managing Outlook behavior for perceived slow connections

Outlook is configured to determine a user's connection speed by checking the network adapter speed on the user's computer, as supplied by the operating system. If the reported network adapter speed is 128 KB or lower, the connection is defined as a slow connection.

When a slow connection to an Exchange Server computer is detected, Outlook helps users have a better experience if they reduce the amount of less-critical information that is synchronized with the Exchange Server computer. Outlook makes the following changes to synchronization behavior for slow connections:

  • Switches to downloading only headers.

  • Does not download the Offline Address Book or OAB updates.

  • Downloads the body of an item and associated attachments only when it is requested by the user.

Outlook continues to synchronize the Outlook data with mobile devices, and some client-side rules might run.

Note:

We recommend that you do not synchronize mobile devices with the Cached Exchange Download only headers setting enabled. When you synchronize a mobile device — for example, by using ActiveSync — full items are downloaded in Outlook, and the synchronization process is less efficient than with regular Outlook synchronization to users' computers.

The Download only headers setting for synchronization is designed for Outlook users who have dial-up connections or cellular wireless connections, to minimize network traffic when there is a slow or expensive connection.

Under some circumstances, the network adapter speed might not accurately reflect data throughput for users. For example, if a user's computer is connected to a local area network (LAN) for fast access to local file servers, the network adapter speed is reported as fast because the user is connected to a LAN. However, the user's access to other locations on an organization's network, including the Exchange Server computer, might use a slow link, such as an ISDN connection. For such a scenario, where users' actual data throughput is slow although their network adapters report a fast connection, you might want to configure an option to change or lock down the behavior of Outlook; for example, by disabling automatic switching to downloading only headers by using the Group Policy Object Editor option, Disallow On Slow Connections Only Download Headers. Similarly, there might be connections that Outlook has determined are slow but which provide high data throughput to users. In this case, you might also disable automatic switching to downloading only headers .

You can configure the On slow connections, download only headers option in the OCT, or lock down the option by using Group Policy Object Editor to set Disallow On Slow Connections Only Download Headers. For more information about how to customize this setting, see Configure Cached Exchange Mode in Outlook 2010.

Options for staging a Cached Exchange Mode deployment

Stage the rollout over time if you plan to upgrade a large group of users from a deployment of Outlook without Cached Exchange Mode to Outlook 2010 with Cached Exchange Mode enabled. Outlook without Cached Exchanged Mode is the case for Outlook 2002 or earlier, or Office Outlook 2003, or for Office Outlook 2007 without Cached Exchange Mode installed. A staged rollout over time helps your organization's Exchange Server computers manage the requirements of creating or updating users' .ost files.

Caution:

If most user accounts are updated to use Cached Exchange Mode at the same time and then start Outlook at the same time (for example, on a Monday morning after a weekend upgrade), the Exchange Server computers have significant performance issues. These performance issues can sometimes be reduced; for example, if most of the users in your organization have current .ost files. But in general, we recommend staging deployment of Cached Exchange Mode over a period of time.

The following scenarios include examples of how you can deploy Cached Exchange Mode to avoid a large initial performance impact on the Exchange Server computers and, in some cases, minimize the time users spend waiting for the initial synchronization:

  • Retain Outlook .ost files when you deploy Cached Exchange Mode. Because existing .ost files are merely updated with the latest mailbox information when Outlook with Cached Exchange Mode starts for the first time, retaining these .ost files when you deploy Cached Exchange Mode can help reduce the load on your organization's Exchange Server computers. Users who already have .ost files will have less Outlook information to synchronize with the server. This scenario works best when most users already have .ost files that have been synchronized recently with Exchange Server. To retain .ost files while you deploy Outlook with Cached Exchange Mode, do not specify a new Exchange Server computer when you customize Outlook profile information in the OCT. Or, when you customize Outlook profiles in the OCT, clear the Overwrite existing Exchange settings if an Exchange connection exists (only applies when modifying the profile) check box. (If you specify an Exchange Server computer when you configure and deploy Outlook with this option enabled, Outlook replaces the Exchange service provider in the MAPI profile, which removes the profile's entry for existing .ost files.) If you are currently using non-Unicode (ANSI) .ost files, we recommend that you upgrade users' .ost files to Unicode for improved performance and functionality. In this case, the old non-Unicode (ANSI) .ost files cannot be retained; they would be re-created in the Unicode format.

    For information about how to force an upgrade of an existing non-Unicode (ANSI) formatted .ost file to Unicode format, see "Force upgrade of non-Unicode ANSI format .ost files to Unicode" in Configure Cached Exchange Mode in Outlook 2010.

  • Provide seed .ost files to remote users, and then deploy Cached Exchange Mode after users have installed the .ost files that you provide. If most users in your organization do not currently have .ost files or are not using Cached Exchange Mode, you can deploy Outlook 2010 with Cached Exchange Mode disabled. Then, before the date on which you plan to deploy Cached Exchange Mode, you provide initial, or seed, .ost files to each user with a snapshot of the user's mailbox; for example, by providing or mailing to the user a CD that contains the file together with installation instructions. You might also want to provide a recent version of your organization's Office Address Book (OAB) with Full Details. You configure and deploy Cached Exchange Mode when users confirm that they have installed the files.

    When you update your Outlook deployment to use Cached Exchange Mode later, Exchange Server updates users' existing .ost files and there is much less data to synchronize than there would be if a new .ost file and OAB were created for each user. To create individual CDs for each user's .ost file can be time-consuming. Therefore, this seed-file deployment option might be most useful for select groups of remote users who would otherwise spend lots of time waiting for the initial mailbox and OAB synchronization, perhaps at a high cost, depending on their remote connection scenario.

    For more information about how to create initial .ost files, see Providing an initial OST file for an Outlook Cached Exchange Mode deployment (http://go.microsoft.com/fwlink/p/?LinkId=74518). The article describes the creation initial .ost files for Office Outlook 2003. The process works similarly for Office Outlook 2007 and Outlook 2010.

  • Deploy Outlook with Cached Exchange Mode to groups of users over time. You can balance the workload on the Exchange Server computers and the local area network by upgrading groups of users to Cached Exchange Mode over time. You can reduce the network traffic and server-intensive work of populating .ost files with users' mailbox items and downloading the OAB by rolling out the new feature in stages. The way that you create and deploy Cached Exchange Mode to groups of users depends on your organization's usual deployment methods. For example, you might create groups of users in Microsoft Systems Management Server (SMS), to which you deploy a SMS package that updates Outlook to use Cached Exchange Mode. You deploy SMS to each group over a period of time. To balance the load as much as you can, choose groups of users whose accounts are spread across groups of Exchange Server computers.

Upgrading current Cached Exchange Mode users to Outlook 2010

The process of upgrading users to Outlook 2010 with Cached Exchange Mode already enabled in Office Outlook 2003 or Outlook 2007 is straightforward. If you do not change Cached Exchange Mode settings, the same settings are kept for Outlook 2010. There is no change to the .ost or OAB file format, and you do not have to re-create these files during an upgrade.

However, be aware that in Outlook 2010, by default, shared mail and non-mail folders that users access in other mailboxes are downloaded and cached in the user's local .ost file when Cached Exchange Mode is enabled. This behavior differs from Outlook 2007 in which only shared non-mail folders are cached by default. Therefore, when a user's existing Office Outlook 2003 profile has Cached Exchange Mode enabled and that profile is upgraded to Outlook 2010, shared mail and non-mail folders are downloaded when the user accesses them. This can be problematic if your organization uses shared folders extensively and if you have .ost files that are close to the file limit (2 GB for ANSI .ost files and 20 GB by default for Unicode .ost files). When these factors are both present, you may experience performance issues and other problems if you download shared folders. For more information about file size limits, see The file size limits of .pst and .ost files are larger in Outlook 2010 (http://go.microsoft.com/fwlink/p/?LinkId=223378).

For new Outlook 2010 profiles or for upgrading existing Office Outlook 2003 or Outlook 2007 profiles, you can use the OCT or Group Policy to disable the download shared folder option and therefore help prevent problems with downloading shared folders. Be aware that the setting Download non-mail shared folders applies to both mail and non-mail folders in Outlook 2010.

If you want to disable the caching of shared mail folders (like a delegated Inbox) but non shared non-mail folders (like Calendar), see By default, shared mail folders are downloaded in Cached mode in Outlook 2010 (http://go.microsoft.com/fwlink/p/?LinkId=223376).

In addition, be aware that caching for shared folders works differently from other caching for Cached Exchange Mode. For shared folders, replication to the local .ost file starts only when the user clicks the shared folder. After a user starts caching for the folder by clicking it, Outlook updates the folder in the same way as it does other Outlook folders that are synchronized in Cached Exchange Mode. However, if the user does not go to the folder at least one time every 45 days (the default value), the locally cached data for the folder is removed from the .ost file and will be not be downloaded until the user clicks on the folder again.

To configure the number of days when cached shared data is removed from the .ost file, you can configure the Synchronizing data in shared folders option in the OCT or Group Policy. For more information about how to configure Cached Exchange Mode, see Configure Cached Exchange Mode in Outlook 2010.

Deploying Cached Exchange Mode to users who already have .ost files

Some Outlook users who connect to Exchange Server in online mode might have .ost files. If these users have a non-Unicode (ANSI) formatted .ost file and large Exchange mailboxes, they might experience errors when Outlook attempts to synchronize their mailboxes to their .ost files. We recommend that you upgrade users' .ost files to the Unicode format as Outlook Unicode files do not have the 2-GB size limit that Outlook ANSI files do. Unicode is the default file format for Outlook 2010. For information about how to force an upgrade of an existing non-Unicode (ANSI) formatted .ost file to Unicode format, see To force upgrade of non-Unicode ANSI format .ost files to Unicode in Configure Cached Exchange Mode in Outlook 2010.

Configuring Cached Exchange Mode

You can lock down the settings to customize Cached Exchange Mode by using the Outlook Group Policy Administrative template (Outlk14.adm). Or, you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings.

By using Group Policy, you can help prevent users from enabling Cached Exchange Mode in Outlook 2010, and you can enforce download options for Cached Exchange Mode or configure other Cached Exchange Mode options. For example, you can specify the default times between Exchange Server synchronizations when data changes on an Exchange Server computer or on the client computer.

For steps to lock down settings by using Group Policy, see Configure Cached Exchange Mode in Outlook 2010.

The following table shows some of the settings that you can configure for Cached Exchange Mode. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Account Settings\Exchange\Cached Exchange Mode. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Disallow Download Full Items | Enable to turn off the Download Full Items option in Outlook. To find this option, click the Send/Receive tab, and then click Download Preferences.
Disallow Download Headers | Enable to turn off the Download Headers option in Outlook. To find this option, click the Send/Receive tab.
Disallow Download Headers then Full Items | Enable to turn off the Download Headers then Full Items option in Outlook. To find this option, click the Send/Receive tab, and then click Download Preferences.
Disallow On Slow Connections Only Download Headers | Enable to turn off the On Slow Connections Download Only Headers option in Outlook. To find this option, click the Send/Receive tab, and then click Download Preferences.
Download Public Folder Favorites | Enable to synchronize Public Folder Favorites in Cached Exchange Mode.
Download shared non-mail folders | Enable to synchronize shared non-mail folders in Cached Exchange Mode.
Use Cached Exchange Mode for new and existing Outlook profile | Enable to configure new and existing Outlook profiles to use Cached Exchange Mode. Disable to configure new and existing Outlook profiles to use Online Mode.

The following table shows some additional settings that you can configure for Exchange connectivity. In Group Policy, the settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Account Settings\Exchange. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Option | Description
Automatically configure profile based on Active Directory Primary SMTP address | Enable to prevent users from changing the SMTP e-mail address used to set up a new account from the one retrieved from Active Directory.
Configure Outlook Anywhere user interface options | Enable to let users view and change user interface (UI) options for Outlook Anywhere.
Do not allow an OST file to be created | Enable to prevent offline folder use.
Restrict legacy Exchange account | Enable to restrict which account is the first account that is added to the profile.
Set maximum number of Exchange accounts per profile | Enable to set the maximum number of Exchange accounts allowed per Outlook profile.
Synchronizing data in shared folders | Enable to control the number of days that elapses without a user accessing an Outlook folder before Outlook stops synchronizing the folder with Exchange.

Additional resources

For more information about how to plan a Cached Exchange Mode deployment, see the following resources.

  • When you use Office Outlook 2003, Office Outlook 2007, or Outlook 2010 with Exchange Server-based systems, you can use Cached Exchange Mode and other features to enhance the user experience regarding issues such as high latency, loss of network connectivity, and limited network bandwidth. To learn about these improvements, see Client Network Traffic with Exchange 2003 white paper (http://go.microsoft.com/fwlink/p/?LinkId=79063).

  • Outlook 2010 includes the ability to automatically configure user accounts. To learn how the discovery mechanisms work and how to modify an XML file to configure Autodiscover for your organization, see Plan to automatically configure user accounts in Outlook 2010.


Plan to automatically configure user accounts in Outlook 2010

Autodiscover and Common Settings Discover are the two discovery mechanisms that can automatically configure user accounts in Microsoft Outlook 2010.

In this article:

  • Overview

  • Using Autodiscover with DNS

  • Autodiscover transaction summary

  • The Autodiscover XML schema

  • Common Settings Discover

Overview

As with Microsoft Office Outlook 2007, Outlook 2010 includes the ability to automatically configure user accounts. Outlook 2010 uses one of two discovery mechanisms to automatically configure accounts: Autodiscover and Common Settings Discover.

Autodiscover is a standards-based XML file that can be configured by an administrator for an Internet service provider (ISP) or a corporation, or dynamically generated by a service, such as the Client Access server role in Microsoft Exchange Server 2007 or Microsoft Exchange Server 2010. This is the recommended mechanism for settings discovery, because it provides optimal performance. It also minimizes the possibility of configuration error on the client computer, because the settings are defined explicitly and deliberately by the administrator of the mail servers.

Common Settings Discover is less configurable, and less sophisticated, but configures most mail servers around the world based on common settings. It tries encrypted connections first. If these connections fail, it prompts the user to try connections that are not encrypted, and tries the same servers again without encryption. Many ISPs today do not require encryption, but have it enabled so that users can configure their accounts by using encryption.

For information about how to deploy and manage the Autodiscover service for Exchange Server 2007, see Overview of Autodiscover Service: Exchange 2007 Help (http://go.microsoft.com/fwlink/p/?linkId=183290). For Exchange Server 2010, see Understanding the Autodiscover Service: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?linkId=183289).

Using Autodiscover with DNS

Autodiscover in Outlook 2010 is an XML file that is put in one of two locations, based on the domain name provided by the user. For the Internet, Autodiscover relies on the Domain Name System (DNS) to find the XML file. The XML file location is based on the e-mail address that the user provides. For example, if barbara@contoso.com is entered as the user's e-mail address, Outlook 2010 looks for the XML file in the following locations and in the following order:

  1. https://contoso.com/autodiscover/autodiscover.xml

  2. https://autodiscover.contoso.com/autodiscover/autodiscover.xml

If your company also has a Web site at the root domain (for example, contoso.com), the second option (the Autodiscover "host (A) resource record" solution) lets you run the Web server and the Autodiscover file or service on separate servers. For smaller companies, the additional management of having separate DNS records can be ignored, and a single server can run both the Web site and the Autodiscover service (for example, the option 1 listed previously).

The connection must be established by using Secure Sockets Layer (SSL), and a valid SSL certificate must be present. SSL is required because a company or an Internet service provider (ISP) could choose to provide only encrypted access to their mail servers. In this scenario, if Outlook 2010 first checks non-SSL locations or allows failover to a non-SSL location, and a user types an e-mail address and password in a vulnerable security situation such as a man-in-the-middle attack, the automatic configuration service in Outlook 2010 could weaken security by being the weakest link in the connection chain if a non-SSL connection is allowed. Without an encrypted connection, the automatic configuration service could allow a non-encrypted Web site to configure mail server settings and allow authentication with a user name and password to the non-encrypted site. Instead, SSL is required by the Autodiscover protocol to maintain the compatibility with companies and ISPs that demand secure configuration routines.

However, if a company or an ISP chooses to host many e-mail domains, Outlook 2010 can follow an HTTP redirect or DNS Service (SRV) resource record (this DNS SRV record lookup functionality is included in Office Outlook 2007 Service Pack 1 and later versions) that is not encrypted to a secure Web site that stores the settings. For example, suppose that contoso.com is a hosted e-mail domain, and that the hosting service runs the Autodiscover file at hoster.com. In this scenario, the autodiscover prefix can be used by the hosting company to direct Outlook 2010 to a secure site that contains the Autodiscover settings.

  • HTTP redirect: http://autodiscover.contoso.com/autodiscover/autodiscover.xml --> redirects to https://autodiscover.hoster.com/autodiscover/autodiscover.xml

  • DNS SRV: _autodiscover._tcp.contoso.com --> points to https://autodiscover.hoster.com/autodiscover/autodiscover.xml

In both examples, users will see a warning dialog box in Outlook 2010 stating that they are being redirected to autodiscover.hoster.com for server settings. The dialog box provides the option to allow the redirection and lets users ignore future prompts about the redirect site (in this example, autodiscover.hoster.com).

Autodiscover protocol details

In a domain environment that has Service Connection Point (SCP) configured, an SCP lookup will be performed first. Otherwise, the first connection attempt is always an HTTPS POST verb to domain, where the user has entered the e-mail address e-mail@domain. If the settings are successfully retrieved, no additional network calls are made. If the settings are not retrieved, an HTTPS POST verb is performed to autodiscover.domain. If settings are not retrieved from this site, a final HTTP GET and DNS SRV record lookup is performed only to the autodiscover.domain site. This HTTP GET and DNS SRV record lookup can only redirect to a secure site. (If settings are present at the HTTP location, Outlook 2010 will not configure them because the connection was not encrypted.)

Outlook 2010 can follow up to 10 redirects of any type. That is, you can follow an HTTPS POST redirect, HTTP GET redirect, or use the Autodiscover redirect XML schema tags detailed later in this article. After 10 redirections cannot obtain the settings, the settings discovery fails.

Static XML vs. Web service XML

The POST verb is used so that Outlook 2010 can issue a request to a dynamic Web service, such as the Client Access server role in Exchange 2007 and Exchange Server 2010. However, if a static XML file is sufficient or if you are not running an Autodiscover Web service, the XML response returned in a customized 405 (POST verb not supported) response from any Web server will also work as the configuration XML used by Outlook 2010.

Using Autodiscover locally

It is possible to configure the registry on your computer to look for a local XML file that defines the server settings. However, we strongly recommend that the settings be hosted on a live server instead so that they can be easily updated. For testing purposes, adding entries to the registry can force Outlook 2010 to use local XML files to configure an e-mail domain that is not configured on the server. The server overrides the local XML for better security and configuration control.

For example, to provide contoso.com e-mail address settings from a local XML file, you could configure the following registry value:

[HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Outlook\Autodiscover] "contoso.com"="%PROGRAMFILES%\Microsoft Office\Office14\contoso.xml"

In this example, the XML settings file is located here: %PROGRAMFILES%\Microsoft Office\Office14\contoso.xml. A sample XML settings file is provided later in this article.

Precedence for XML settings

Outlook 2010 configures the server type based on the order in which servers are defined in the Autodiscover XML settings file. For example, if a mail service provider enables users to log on by using both the POP3 protocol and the IMAP protocol, but prefers that users use the POP3 protocol, the POP3 settings should be listed first in the Autodiscover file.

Autodiscover transaction summary

The order of operations for Autodiscover settings discovery in Outlook 2010 is summarized as follows:

  1. Automatically retrieve the e-mail address from the Active Directory directory service if the computer is joined to a domain.

  2. Retrieve the name of the Exchange Server computer if found, and store the name for later.

  3. Look for Service Connection Point (SCP) objects or SCP pointer objects that correspond to the user's e-mail address, and find the correct Autodiscover server to connect to. Then,, connect to the server and retrieve the settings.

  4. If the previous step fails, try DNS discovery of Autodiscover XML (allowing for 10 redirects).

    1. HTTPS POST: https://domain/autodiscover/autodiscover.xml

    2. HTTPS POST: https://autodiscover.domain/autodiscover/autodiscover.xml

    3. HTTP GET: http://autodiscover.domain/autodiscover/autodiscover.xml (only to follow redirects, not to obtain settings)

    4. DNS SRV lookup: _autodiscover._tcp.domain (only to follow the redirect to which the SRV resource record points)

  5. If the previous step fails, try local XML discovery and use the XML found on the local computer, if applicable.

  6. If the previous step fails but the name of the Exchange Server computer is found in step 2, configure the Exchange account based on the name of the Exchange Server computer.

  7. If the previous step is not applicable, try Common Settings Discover, as described in Common Settings Discover later in this article.

The Autodiscover XML schema

The XML schema for Autodiscover in Outlook 2010 is described in the following sections.

POST request sent by Outlook

When retrieving XML settings to configure an e-mail account, Outlook 2010 always uses a POST verb. The HTTP POST is as shown in the following code sample.

Copy Code
<!-- REQUEST TO SERVER. In HTTP POST DATA -->
<?xml version="1.0" encoding="utf-8" ?>
<Autodiscover xmlns="http://schemas.microsoft.com/exchange/autodiscover/outlook/requestschema/2006">
<Request>
<AcceptableResponseSchema>http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a</AcceptableResponseSchema>

<!-- EMailAddress: Optional
This tag indicates the user's email address.
-->
<EMailAddress>JohnDoe@sample.com</EMailAddress>
</Request>
</Autodiscover>

XML response schema

A server might respond to an Outlook 2010 POST in several ways. If a static XML file is sufficient, such as a POP3 service that is provided by an Internet service provider (ISP) where the server names are the same for all users, a customized 405 POST error message that has the XML content will be sufficient. If an Autodiscover service is running, the response might be dynamically calculated based on the user's POST shown in the previous section. Regardless, the response schema is as shown in the following code sample.

Copy Code
<!-- RESPONSE FROM THE SERVER -->
<?xml version="1.0" encoding="utf-8" ?>
<Autodiscover xmlns="http://schemas.microsoft.com/exchange/autodiscover/responseschema/2006">
<!-- Response: Required
This tag serves as an indication that the retrieved XML is an Autodiscovery Response
-->
<Response xmlns="http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a">
<!-- User: Optional
This tag gives user-specific information.  Autodiscover must be UTF-8 encoded.
-->
<User>
<!-- DisplayName: Optional
The server may have a good formal display name.  The client can decide to accept it or change it.  This will save the user time in the default case.
-->
<DisplayName>John Doe</DisplayName>
</User>

<!-- Account: Required
This tag specifies the type of account, such as Email vs Newsgroups, vs SIP server, etc.
-->
<Account>
<!-- AccountType: Required
This value indicates the type of the account.
VALUES:
email: The values under this Account tag indicate configuration settings for an email server.
nntp: The values under this Account tag indicate configuration settings for a NNTP server. (not used by Outlook 2007)
-->
<AccountType>email | nntp</AccountType>

<!-- Action: Required
This value indicates if the goal of this account results is to provide the settings or redirect to another web server that can provide results.
VALUES:
redirectUrl: If this value is specified, then the URL tag will specify the http: or https: URL containing the Autodiscover results to be used.  In order to prevent the server from being able to send the client into an infinite loop, the client should stop redirecting after 10 redirects.
redirectAddr: If this value is specified, then the XML tag will specify the e-mail address that Outlook should use to execute Autodiscover again.  In other words, the server is telling the client that the e-mail address the client should really be using for Autodiscover is not the one that was posted, but the one specified in this tag.
settings: If this value is specified, then the XML will contain the settings needed to configure the account.  The settings will primarily be under the PROTOCOL tag.
-->
<Action>redirectUrl | redirectAddr | settings</Action>

<!-- RedirectUrl: Required if ACTION tag has value of 'redirectUrl'. Otherwise this tag must not exist.
The value will be a https: URL that the client should use to obtain the Autodiscover settings or a http: URL that the client should use for further redirection.
-->
<RedirectUrl>redirect.URL</RedirectUrl>

<!-- RedirectAddr: Required if ACTION tag has value of 'redirectAddr'. Otherwise this tag must not exist.
The value will be an email address that the client should use to rediscover settings using the Autodiscover protocol.
-->
<RedirectAddr>email@address</RedirectAddr>

<!-- Image: Optional
This is a JPG picture to brand the ISP configuration experience with. The client can choose whether or not they download this picture to display. (not used by Outlook 2007)
-->
<Image>http://path.to.image.com/image.jpg</Image>

<!-- ServiceHome: Optional
This is a link to the ISP's Home Page. The client can choose whether or not they expose this link to the user. (not used by Outlook 2007)
-->
<ServiceHome>http://web.page.com</ServiceHome>

<!-- Protocol: Required if ACTION tag has value of 'settings'. Otherwise, this tag must not exist.
The tag encloses the specifications for a single account type.  The list of Protocol tags are in order of preference of the server.  The client may over ride the preference.
-->
<Protocol>
<!-- TYPE: Required.
The value here specifies what kind of mail account is being configured.
POP3: The protocol to connect to this server is POP3. Only applicable for AccountType=email.
SMTP: The protocol to connect to this server is SMTP. Only applicable for AccountType=email.
IMAP: The protocol to connect to this server is IMAP. Only applicable for AccountType=email.
DAV: The protocol to connect to this server is DAV. Only applicable for AccountType=email.
WEB: Email is accessed from a web browser using an URL from the SERVER tag. Only applicable for AccountType=email. (not used by Outlook 2007)
NNTP: The protocol to connect to this server is NNTP. Only applicable for AccountType=nntp. (not used by Outlook 2007)
-->
<Type>POP3 | SMTP | IMAP | DAV | WEB | NNTP</Type>

<!-- ExpirationDate: Optional.
The value here specifies the last date which these settings should be used. After that date, the settings should be rediscovered via Autodiscover again. If no value is specified, the default will be no expiration.
-->
<ExpirationDate>YYYYMMDD</ExpirationDate>

<!-- TTL: Optional.
The value here specifies the time to live in hours that these settings are valid for. After that time has elapsed (from the time the settings were retrieved), the settings should be rediscovered via Autodiscovery again. A value of 0 indicates that no rediscovery will be required. If no value is specified, the default will be a TTL of 1 hour.
-->
<TTL>168</TTL>

<!-- Server: Required.
The value here specifies the name of the mail server corresponding to the server type specified above.
For protocols such as POP3, SMTP, IMAP, or NNTP, this value will be either a hostname or an IP address.
For protocols such as DAV or WEB, this will be an URL.
-->
<Server>mail.contoso.com</Server> <!--IP Addr or DNS name of server-->

<!-- Port: Optional.
The value specifies the Port number to use.  If no value is specified, the default settings will be used depending on the mail server type.  This value is not used if the SERVER tag contains an URL.
-->
<Port>110</Port>

<!-- LoginName: Optional.
This value specifies the user's login.  If no value is specified, the default will be set to the string preceding the '@' in the email address.  If the Login name contains a domain, the format should be <Username>@<Domain>.  Such as JoeUser@SalesDomain.
-->
<LoginName>johndoe</LoginName>

<!-- DomainRequired: Optional.  Default is off.
If this value is true, then a domain is required during authentication.  If the domain is not specified in the LOGINNAME tag, or the LOGINNAME tag was not specified, the user will need to enter the domain before authentication will succeed.
-->
<DomainRequired>on | off</DomainRequired>

<!-- DomainName: Optional.
This value specifies the user's domain. If no value is specified, the default authentication will be to use the e-mail address as a UPN format <Username>@<Domain>. Such as JoeUser@SalesDomain.
-->
<DomainName></DomainName>

<!-- SPA: (Secure Password Authentication) Optional.
This value specifies whether or not secure password authentication is needed.
If unspecified, the default is set to on.
-->
<SPA>on | off</SPA>

<!-- SSL: Optional.
This value specifies whether secure login is needed.
If unspecified, the default is set to on.
-->
<SSL>on | off</SSL>

<!-- AuthRequired: Optional.
This value specifies whether authentication is needed (password).
If unspecified, the default is set to on.
-->
<AuthRequired>on | off</AuthRequired> <!-- Optional: Is Authentication required? -->

<!-- UsePOPAuth: Optional.
This value can only be used for SMTP types.
If specified, then the authentication information provided for the POP3 type account will also be used for SMTP.
-->
<UsePOPAuth>on | off</UsePOPAuth>

<!-- SMTPLast: Optional.  Default is off.
If this value is true, then the SMTP server requires that email be downloaded before sending email via the SMTP server.  This is often required because the SMTP server verifies that the authentication succeeded when downloading email.
-->
<SMTPLast>on | off</SMTPLast>
</Protocol>
</Account>
</Response>
</Autodiscover>

Sample XML responses

The XML response that is returned depends on the configuration defined by the ISP.

ISP with POP3 and SMTP service

The following XML file would be configured as a custom 405 error response at either https://contoso.com/autodiscover/autodiscover.xml or https://autodiscover.contoso.com/autodiscover/autodiscover.xml.

Copy Code
<?xml version="1.0" encoding="utf-8" ?>
<Autodiscover xmlns="http://schemas.microsoft.com/exchange/autodiscover/responseschema/2006">
<Response xmlns="http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a">
<Account>
<AccountType>email</AccountType>
<Action>settings</Action>
<Protocol>
<Type>POP3</Type>
<Server>mail.contoso.com</Server>
<Port>995</Port>
<DomainRequired>off</DomainRequired>
<SPA>off</SPA>
<SSL>on</SSL>
<AuthRequired>on</AuthRequired>
</Protocol>
<Protocol>
<Type>SMTP</Type>
<Server>mail.contoso.com</Server>
<Port>587</Port>
<DomainRequired>off</DomainRequired>
<SPA>off</SPA>
<SSL>on</SSL>
<AuthRequired>on</AuthRequired>
<UsePOPAuth>on</UsePOPAuth>
<SMTPLast>on</SMTPLast>
</Protocol>
</Account>
</Response>
</Autodiscover>

ISP with POP3, IMAP, and SMTP services with POP3 preference for clients

The following XML file would be configured exactly as described in the previous section.

Copy Code
<?xml version="1.0" encoding="utf-8" ?>
<Autodiscover xmlns="http://schemas.microsoft.com/exchange/autodiscover/responseschema/2006">
<Response xmlns="http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a">
<Account>
<AccountType>email</AccountType>
<Action>settings</Action>
<Protocol>
<Type>POP3</Type>
<Server>mail.contoso.com</Server>
<Port>995</Port>
<DomainRequired>off</DomainRequired>
<SPA>off</SPA>
<SSL>on</SSL>
<AuthRequired>on</AuthRequired>
</Protocol>
<Protocol>
<Type>IMAP</Type>
<Server>mail.contoso.com</Server>
<Port>993</Port>
<DomainRequired>off</DomainRequired>
<SPA>off</SPA>
<SSL>on</SSL>
<AuthRequired>on</AuthRequired>
</Protocol>
<Protocol>
<Type>SMTP</Type>
<Server>mail.contoso.com</Server>
<Port>587</Port>
<DomainRequired>off</DomainRequired>
<SPA>off</SPA>
<SSL>on</SSL>
<AuthRequired>on</AuthRequired>
<UsePOPAuth>on</UsePOPAuth>
<SMTPLast>on</SMTPLast>
</Protocol>
</Account>
</Response>
</Autodiscover>

XML redirect to a common XML file location

To redirect users to a common XML file location, the following XML file should be configured at a hosted domain location, at a URL that is not encrypted. By using this XML file, a message is displayed to users explaining that they are being redirected to another site for Autodiscover settings.

For example, if the hosted domain location was hoster.com providing contoso.com e-mail addresses, the file would be located at http://autodiscover.contoso.com/autodiscover/autodiscover.xml. The contents of the file, in this example, would be as shown in the following code sample.

Copy Code
<?xml version="1.0" encoding="utf-8" ?>
<Autodiscover xmlns="http://schemas.microsoft.com/exchange/autodiscover/responseschema/2006">
<Response xmlns="http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a">
<Account>
<AccountType>email</AccountType>
<Action>redirectUrl</Action>
<RedirectUrl>https://autodiscover.hoster.com/autodiscover/autodiscover.xml</RedirectUrl>
</Account>
</Response>
</Autodiscover>

Users can instead be redirected by configuring an ordinary HTTP 302 redirect at the source location. Outlook 2010 follows both 302 redirects and redirectUrl tags in an XML response.

Note that the XML file contents for all Autodiscover responses must be named Autodiscover.xml.

Common Settings Discover

If the required settings for automatically configuring a user account in Outlook 2010 cannot be found by the methods described in the previous Autodiscover sections, a fallback algorithm is used to detect servers by using common names and well-known ports.

In Outlook 2010, the automatic configuration of a Webmail account will set the account type to IMAP by default for IMAP-supported Webmail accounts such as Google Gmail. If users prefer POP3 settings, they can manually adjust the protocol settings after the settings are determined by Outlook 2010 by selecting the Manually configure server settings option in the Add New Account dialog box. To make this selection straightforward for users, mail service providers that provide both POP3 and IMAP protocols should use the same server names for each protocol. Then, the user needs only to change a selection box, switching from IMAP to POP3.

Outlook 2010 tries a variety of incoming and outgoing server settings in parallel to maximize performance and minimize wait time for the user. The settings that Outlook 2010 attempts to configure for users are listed in the following tables. All encrypted settings are tried first, and mutually exclusively. Then, settings that are not encrypted are tried, if the user consents.

IMAP settings

First, encrypted settings are tried. For an IMAP server, the connection permutations are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 993 | SSL | SPA
 | email@domain | 993 | SSL | no SPA
 | email@domain | 993 | TLS | SPA
 | email@domain | 993 | TLS | no SPA
 | email@domain | 143 | SSL | SPA
 | email@domain | 143 | SSL | no SPA
 | email@domain | 143 | TLS | SPA
 | email@domain | 143 | TLS | no SPA
 | email | 993 | SSL | SPA
 | email | 993 | SSL | no SPA
 | email | 993 | TLS | SPA
 | email | 993 | TLS | no SPA
 | email | 143 | SSL | SPA
 | email | 143 | SSL | no SPA
 | email | 143 | TLS | SPA
 | email | 143 | TLS | no SPA
imap.domain | email@domain | 993 | SSL | SPA
 | email@domain | 993 | SSL | no SPA
 | email@domain | 993 | TLS | SPA
 | email@domain | 993 | TLS | no SPA
 | email@domain | 143 | SSL | SPA
 | email@domain | 143 | SSL | no SPA
 | email@domain | 143 | TLS | SPA
 | email@domain | 143 | TLS | no SPA
 | email | 993 | SSL | SPA
 | email | 993 | SSL | no SPA
 | email | 993 | TLS | SPA
 | email | 993 | TLS | no SPA
 | email | 143 | SSL | SPA
 | email | 143 | SSL | no SPA
 | email | 143 | TLS | SPA
 | email | 143 | TLS | no SPA
domain | email@domain | 993 | SSL | SPA
 | email@domain | 993 | SSL | no SPA
 | email@domain | 993 | TLS | SPA
 | email@domain | 993 | TLS | no SPA
 | email@domain | 143 | SSL | SPA
 | email@domain | 143 | SSL | no SPA
 | email@domain | 143 | TLS | SPA
 | email@domain | 143 | TLS | no SPA
 | email | 993 | SSL | SPA
 | email | 993 | SSL | no SPA
 | email | 993 | TLS | SPA
 | email | 993 | TLS | no SPA
 | email | 143 | SSL | SPA
 | email | 143 | SSL | no SPA
 | email | 143 | TLS | SPA
 | email | 143 | TLS | no SPA

Next, permutations that are not encrypted are tried, after the user is asked to continue with connection attempts that are not encrypted. The IMAP settings that are not encrypted that Outlook 2010 attempts to configure are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 143 | Clear | SPA
 | email@domain | 143 | Clear | no SPA
 | email | 143 | Clear | SPA
 | email | 143 | Clear | no SPA
imap.domain | email@domain | 143 | Clear | SPA
 | email@domain | 143 | Clear | no SPA
 | email | 143 | Clear | SPA
 | email | 143 | Clear | no SPA
domain | email@domain | 143 | Clear | SPA
 | email@domain | 143 | Clear | no SPA
 | email | 143 | Clear | SPA
 | email | 143 | Clear | no SPA

POP3 settings

First, encrypted settings are tried. For a POP3 server, the connection permutations are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 995 | SSL | SPA
 | email@domain | 995 | SSL | no SPA
 | email@domain | 995 | TLS | SPA
 | email@domain | 995 | TLS | no SPA
 | email@domain | 110 | SSL | SPA
 | email@domain | 110 | SSL | no SPA
 | email@domain | 110 | TLS | SPA
 | email@domain | 110 | TLS | no SPA
 | email | 995 | SSL | SPA
 | email | 995 | SSL | no SPA
 | email | 995 | TLS | SPA
 | email | 995 | TLS | no SPA
 | email | 110 | SSL | SPA
 | email | 110 | SSL | no SPA
 | email | 110 | TLS | SPA
 | email | 110 | TLS | no SPA
pop3.domain | email@domain | 995 | SSL | SPA
 | email@domain | 995 | SSL | no SPA
 | email@domain | 995 | TLS | SPA
 | email@domain | 995 | TLS | no SPA
 | email@domain | 110 | SSL | SPA
 | email@domain | 110 | SSL | no SPA
 | email@domain | 110 | TLS | SPA
 | email@domain | 110 | TLS | no SPA
 | email | 995 | SSL | SPA
 | email | 995 | SSL | no SPA
 | email | 995 | TLS | SPA
 | email | 995 | TLS | no SPA
 | email | 110 | SSL | SPA
 | email | 110 | SSL | no SPA
 | email | 110 | TLS | SPA
 | email | 110 | TLS | no SPA
pop.domain | email@domain | 995 | SSL | SPA
 | email@domain | 995 | SSL | no SPA
 | email@domain | 995 | TLS | SPA
 | email@domain | 995 | TLS | no SPA
 | email@domain | 110 | SSL | SPA
 | email@domain | 110 | SSL | no SPA
 | email@domain | 110 | TLS | SPA
 | email@domain | 110 | TLS | no SPA
 | email | 995 | SSL | SPA
 | email | 995 | SSL | no SPA
 | email | 995 | TLS | SPA
 | email | 995 | TLS | no SPA
 | email | 110 | SSL | SPA
 | email | 110 | SSL | no SPA
 | email | 110 | TLS | SPA
 | email | 110 | TLS | no SPA
domain | email@domain | 995 | SSL | SPA
 | email@domain | 995 | SSL | no SPA
 | email@domain | 995 | TLS | SPA
 | email@domain | 995 | TLS | no SPA
 | email@domain | 110 | SSL | SPA
 | email@domain | 110 | SSL | no SPA
 | email@domain | 110 | TLS | SPA
 | email@domain | 110 | TLS | no SPA
 | email | 995 | SSL | SPA
 | email | 995 | SSL | no SPA
 | email | 995 | TLS | SPA
 | email | 995 | TLS | no SPA
 | email | 110 | SSL | SPA
 | email | 110 | SSL | no SPA
 | email | 110 | TLS | SPA
 | email | 110 | TLS | no SPA

Next, permutations that are not encrypted are tried, after the user is asked to continue with connection attempts that are not encrypted. The POP3 settings that are not encrypted that Outlook 2010 attempts to configure are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 110 | Clear | SPA
 | email@domain | 110 | Clear | no SPA
 | email | 110 | Clear | SPA
 | email | 110 | Clear | no SPA
pop3.domain | email@domain | 110 | Clear | SPA
 | email@domain | 110 | Clear | no SPA
 | email | 110 | Clear | SPA
 | email | 110 | Clear | no SPA
pop.domain | email@domain | 110 | Clear | SPA
 | email@domain | 110 | Clear | no SPA
 | email | 110 | Clear | SPA
 | email | 110 | Clear | no SPA
domain | email@domain | 110 | Clear | SPA
 | email@domain | 110 | Clear | no SPA
 | email | 110 | Clear | SPA
 | email | 110 | Clear | no SPA

SMTP settings

First, encrypted settings are tried. For an SMTP server, the connection permutations are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 587 | SSL | SPA
 | email@domain | 587 | SSL | no SPA
 | email@domain | 587 | TLS | SPA
 | email@domain | 587 | TLS | no SPA
 | email@domain | 25 | SSL | SPA
 | email@domain | 25 | SSL | no SPA
 | email@domain | 25 | TLS | SPA
 | email@domain | 25 | TLS | no SPA
 | email | 587 | SSL | SPA
 | email | 587 | SSL | no SPA
 | email | 587 | TLS | SPA
 | email | 587 | TLS | no SPA
 | email | 25 | SSL | SPA
 | email | 25 | SSL | no SPA
 | email | 25 | TLS | SPA
 | email | 25 | TLS | no SPA
 | Anonymous | 587 | SSL | not applicable
 | Anonymous | 587 | TLS | not applicable
 | Anonymous | 25 | SSL | not applicable
 | Anonymous | 25 | TLS | not applicable
smtp.domain | email@domain | 587 | SSL | SPA
 | email@domain | 587 | SSL | no SPA
 | email@domain | 587 | TLS | SPA
 | email@domain | 587 | TLS | no SPA
 | email@domain | 25 | SSL | SPA
 | email@domain | 25 | SSL | no SPA
 | email@domain | 25 | TLS | SPA
 | email@domain | 25 | TLS | no SPA
 | email | 587 | SSL | SPA
 | email | 587 | SSL | no SPA
 | email | 587 | TLS | SPA
 | email | 587 | TLS | no SPA
 | email | 25 | SSL | SPA
 | email | 25 | SSL | no SPA
 | email | 25 | TLS | SPA
 | email | 25 | TLS | no SPA
 | Anonymous | 587 | SSL | not applicable
 | Anonymous | 587 | TLS | not applicable
 | Anonymous | 25 | SSL | not applicable
 | Anonymous | 25 | TLS | not applicable
domain | email@domain | 587 | SSL | SPA
 | email@domain | 587 | SSL | no SPA
 | email@domain | 587 | TLS | SPA
 | email@domain | 587 | TLS | no SPA
 | email@domain | 25 | SSL | SPA
 | email@domain | 25 | SSL | no SPA
 | email@domain | 25 | TLS | SPA
 | email@domain | 25 | TLS | no SPA
 | email | 587 | SSL | SPA
 | email | 587 | SSL | no SPA
 | email | 587 | TLS | SPA
 | email | 587 | TLS | no SPA
 | email | 25 | SSL | SPA
 | email | 25 | SSL | no SPA
 | email | 25 | TLS | SPA
 | email | 25 | TLS | no SPA
 | Anonymous | 587 | SSL | not applicable
 | Anonymous | 587 | TLS | not applicable
 | Anonymous | 25 | SSL | not applicable
 | Anonymous | 25 | TLS | not applicable

Next, permutations that are not encrypted are tried, after the user is asked to continue with connection attempts that are not encrypted. The SMTP settings that are not encrypted that Outlook 2010 attempts to configure are as shown in the following table.

Server | User name | Port | TLS/SSL | SPA
mail.domain | email@domain | 25 | Clear | SPA
 | email@domain | 25 | Clear | no SPA
 | email | 25 | Clear | SPA
 | email | 25 | Clear | no SPA
 | Anonymous | 25 | Clear | not applicable
smtp.domain | email@domain | 25 | Clear | SPA
 | email@domain | 25 | Clear | no SPA
 | email | 25 | Clear | SPA
 | email | 25 | Clear | no SPA
 | Anonymous | 25 | Clear | not applicable
domain | email@domain | 25 | Clear | SPA
 | email@domain | 25 | Clear | no SPA
 | email | 25 | Clear | SPA
 | email | 25 | Clear | no SPA
 | Anonymous | 25 | Clear | not applicable

See Also

Other Resources

Overview of Autodiscover Service: Exchange 2007 Help
Understanding the Autodiscover Service: Exchange 2010 Help


Installing Outlook 2010 and using Cached Exchange Mode in a Remote Desktop Services environment

By using Remote Desktop Services (RDS), you can use Microsoft Outlook 2010 without upgrading every computer in your organization. Users can work in the latest Microsoft Office 2010 environment even when their computers have limited hard disk space, memory, or processing speed.

Remote Desktop Services lets you run Microsoft Windows-based programs on a server and display the programs remotely on client computers. For example, you can install a single copy of Outlook 2010 on a computer running Remote Desktop. Then, instead of running Outlook locally, multiple users can connect to the Remote Desktop computer and run Outlook from there.

Note:

For more information about how to install applications in Office 2010, see Plan to deploy Office 2010 in a Remote Desktop Services environment.

In this article:

  • Cached Exchange Mode with Remote Desktop Services

  • Outlook features that are disabled with Remote Desktop Services

  • Enabling remote sound

  • Unlocking registry settings

Cached Exchange Mode with Remote Desktop Services

Cached Exchange Mode is supported when Outlook 2010 is deployed in a RDS environment. However, for better scalability, we recommend that you use Online Mode with RDS for large deployments. For more information, see Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (Outlook 2010) (white paper) (http://go.microsoft.com/fwlink/p/?LinkId=208740).

Note:

If Cached Exchange Mode is turned off, offline data files are not available.

Outlook features that are disabled with Remote Desktop Services

You cannot use the following Outlook features when you run Outlook in an RDS environment:

  • Forms Designer and the Microsoft Visual Basic Scripting Edition (VBScript) editor.

    You can view a custom form. However, you cannot design a new form or revise an existing form.

  • Changing the Time Zone in Outlook.

    Changing this setting in Outlook updates a system setting.

  • Changing Zone security settings in Outlook.

    Changing this setting in Outlook updates a system setting.

  • Changing the status of a Microsoft Exchange Client Extension.

    You cannot configure the status. However, if the Exchange Client Extension is already on, the extension should work correctly.

  • Adding stationery that was not included with Outlook as part of the RDS installation.

  • Outlook animations are disabled.

    Examples of Outlook animations include Send/Receive animation and the Search Folder creation icon.

Enabling remote sound

By default, when Office 2010 is used over a Remote Desktop Protocol (RDP) session, the New Mail sound uses the Default Beep sound and not the New Mail Notification sound.

To establish the correct sound, first ensure that the audio is enabled on the Remote Desktop computers. For more information, see HOW TO: Use Group Policy to Permit Users to Redirect and Play Audio in a Remote Desktop Session to Terminal Services in Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=105038) or You Do Not Hear Any Sound During a Terminal Server Session (http://go.microsoft.com/fwlink/p/?LinkId=105039).

Next, configure the settings for remote computer sound on the Remote Desktop Connection (RDC) client, as shown in the following procedure.

Configure the settings for remote computer sound on the RDC client

  1. Click Start, point to All Programs, point to Accessories, point to Communications, and then click Remote Desktop Client.

  2. In the Remote Desktop Connection dialog box, click Options.

  3. Click the Local Resources tab.

  4. In the Remote Computer Sound section, click Bring to this Computer in the drop-down list.

  5. Click Connect to use the new settings.

  6. On the Remote Desktop computer session, click Start, point to Control Panel, click Sound, and then click the Sounds tab.

  7. In the Program section, locate Windows\Default Beep and assign a *.WAV file. You can reassign the Windows Notify.wav file from the New Mail Notification to the Windows\Default Beep.

  8. Click OK.

Unlocking registry settings

By default, Remote Desktop clients do not have write access to the registry on the Remote Desktop computer, except to the registry hive under HKEY_CURRENT_USER. To run some Outlook features, you might have to give users write access to some keys and subkeys. For example, unlock the subkey HKEY_CLASSES_ROOT\CLSID to let users use the custom MAPI forms for Outlook 2010.


Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (Outlook 2010) (white paper)

This white paper is an addendum to the document Remote Desktop Session Host Capacity Planning in Windows Server 2008 R2 (http://go.microsoft.com/fwlink/p/?LinkId=196861). Use it while you evaluate the deployment of Outlook 2010 in Cached Exchange Mode to your Remote Desktop Session Host (RDSH) environment. This white paper covers the three major areas that you should consider during your deployment planning:

  • Storage footprint

  • Performance impact

  • Networked storage

Download this white paper as a Microsoft Word document (.docx): Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (http://go.microsoft.com/fwlink/p/?LinkId=200170).


Plan for compliance and archiving in Outlook 2010

The Retention Policy and Personal Archive features of Microsoft Outlook 2010 and Exchange Server 2010 can enable users to comply with mail retention policies, and to have enough space to store their business-critical information. This article will help you plan a deployment of the two features.

Even if your organization does not strictly enforce compliance, the Personal Archive is a great solution to migrate your organization away from personal Microsoft Outlook data files (.pst) or third-party archiving solutions. The Personal Archive enables users to archive their e-mail messages in a managed location for backup, data recovery, and compliance needs.

Archive policies are available only when you use Outlook 2010 as part of Microsoft Office Professional Plus 2010 with an Exchange Server 2010 account, and the Exchange administrator has enabled Personal Archive. For more information, see License requirements for Personal Archive and retention policies (http://go.microsoft.com/fwlink/p/?LinkId=213850).

In this article:

  • Planning a Retention Policy deployment

  • Planning a Personal Archive deployment

Planning a Retention Policy deployment

Retention Policy is an effective way to let you enforce e-mail retention policies on messages stored on a server that is running Exchange Server 2010. Additionally, Retention Policy can be used as an aid to help users stay under their mailbox quota. Retention Policy can be applied at the mailbox, folder, and individual e-mail level, and is only supported for e-mail messages. Other message types, such as calendar or tasks items, are not supported with Outlook 2010 and Exchange Server 2010. To enforce Retention Policy, e-mail messages must be stored in a mailbox or personal archive on an Exchange Server computer.

As part of planning a Retention Policy deployment, consider the following key steps:

  • Work with your company's legal or compliance department to define policies.

  • Determine which combination of mailbox, folder, and user policies is appropriate.

  • Upgrade the users to Retention Policy.

  • Inform the users about Retention Policy.

  • For users under investigation, place them on Retention Hold or Legal Hold.

Defining your Retention Policies

Deciding on which Retention Policies have to be available for your organization, departments, and users should be a conversation that you have with your legal or compliance department. Your company might be subject to government or additional regulation that can be enforced by using Retention Policies. Because departments can be under different regulations, you should organize your policies into logical, easy-to-manage groups. Once you understand the policies that your company must follow, you can determine how to best implement those policies.

Personal Tags are the policies that you can give to users to apply to individual messages and folders they have created. When you define the policies that users will follow, we recommend no more than 10 Personal Tags be used. More than that can overwhelm users. Furthermore, in the Assign Policy gallery on the ribbon, Outlook will only show 10 Personal Tags at a time. If a user has to access more than 10 Personal Tags, they can select More Retention Policies in the Assign Policy gallery.

Determining which types of policies to create

Now that you know which groups of users need which Retention Policies, you can determine how you want to implement those policies.

There are three major types of Retention Policies.

  1. Default Policy Tag This is a policy that is deployed by the Exchange administrator and is applied to all user-created folders and all e-mail messages in a user's mailbox. This policy cannot be changed by the user. This is the only policy type that guarantees all e-mail messages will have at least one policy applied to them.

  2. Retention Policy Tag This is a type of policy that can be applied to the following special folders in the user's mailbox:

    • Inbox

    • Drafts

    • Sent Items

    • Deleted Items

    • Junk E-mail

    • Outbox

    • RSS Feeds

    • Sync Issues

    • Conversation History

    Note:

    Policies on these special folders cannot be changed by the user even if there is no Retention Policy Tag applied to the folder.

  3. Personal Tag This is a type of policy that will appear in the Retention Policy user interface (UI) for the user to apply to folders that they create and to individual e-mail messages.

    1. Users cannot apply these policies to any of the special folders listed under Retention Policy Tag earlier in this section.

    2. Users can apply these policies to e-mail messages within special folders, but not the folder itself.

    3. Users can apply these policies to their own user-created folders.

    Note:

    Search folders do not support retention policies because they do not contain actual e-mail messages.

Personal Tags

For users to set a Retention Policy on a folder or e-mail message, they must be provided with one or more Personal Tags. By default, the Ribbon Assign Policy gallery shows the first 10 policies (Personal Tags) in alphabetical order. This menu list shows the most recently used policies. However, as additional policies are used, they will be displayed in alphabetical order on the ribbon. When a user applies a policy to a folder by using the folder properties dialog box, the full list of available Personal Tags is shown.

The Personal Tags that are created for the user should have names that clearly describe the type of content that requires the policy. For example, if e-mail messages that mention a patent have to be retained for 7 years, create a policy that is titled "Patent Information" and set it for 2,555 days. Outlook will automatically translate the number of days into a human-readable format and append the length after the title. So, in Outlook, the policy will appear as Patent Information (7 years).

You should also add a description of the policy so that users can get more clarification on which e-mail messages are in scope for that Personal Tag. The description should describe in detail the type of content that falls under that policy. For example:
Policy: Patent Information (7 years)
Description: All email messages that are related to a patent.

This is the order in which a policy takes precedence on an e-mail message:

  1. Policy on the e-mail (Personal Tag)

  2. Policy on the folder that contains the e-mail

  3. Policy on the parent of that folder, and the parent folders above

  4. Policy on the mailbox (Default Policy Tag)

For example: A user has a folder named Financial Documents with the Finance (- 3 years) Retention Policy applied to it. One of the e-mail messages in the folder describes finance department policy and resides in the Financial Documents folder for easy reference. The user can mark that e-mail message with a Retention Policy of Reference (- Never) so that the e-mail messages are never deleted, even though the folder policy is Finance (- 3 years).

Distribution lists

If your organization uses Distribution Lists, a Personal Tag that deletes e-mail messages after 1-4 weeks can help users manage their mailbox quota easier. Users can create an Outlook rule to automatically apply the policy to e-mail messages or to have messages delivered to a folder that has the policy applied.

Retention policy warm up period and training

Training users on Retention Policy is important to make sure that they know how to use the system correctly, and that they understand when and why their e-mail messages are being deleted. You should make sure that users understand why the data is being retained or destroyed so that they can apply Personal Tags appropriately, and that they know what content will be destroyed after a certain time.

Suggested steps:

  1. Assign policies to user's mailboxes and put their mailboxes on Retention Hold. This will prevent any policy from deleting e-mail messages. For more information, see Place a Mailbox on Retention Hold (http://go.microsoft.com/fwlink/p/?LinkId=195158).

  2. Give users instructions on how to use Retention Policy. Explain that during the warm-up period, users must apply policies to folders and messages otherwise old message could be deleted. For more information, see Assign Retention Policy to E-mail Messages (http://go.microsoft.com/fwlink/p/?LinkId=195157).

  3. A few days before the end of the warm-up period, remind users of the warm-up deadline.

  4. At the deadline, remove users from Retention Hold.

Because it can take users some time to adjust to any new system, instituting a warm-up time period to help users ease into working with Retention Policy is very important. Users must be able to apply the correct Personal Tags to the correct folders and get used to the idea of their information being automatically deleted. We recommend that you give users at least 3 months of using Retention Policy with their e-mail before you remove the Retention Hold from users' mailboxes. This way, users can see and have access to the Retention Policy features before any of their information is destroyed. This makes it easier for users to integrate Retention Policy into their workflow and understand what is occurring to their e-mail messages.

Warning:

If you do not have a warm-up period, important e-mail messages could be deleted before the user was able to apply a longer policy.

Similarly, during any period in which users will not be monitoring their e-mail messages, such as being away on extended vacation or parental leave, their mailboxes should be put on Retention Hold. This is so that their information is not accidentally deleted. When they return to work and have had enough time to go through their e-mail messages, turn off Retention Hold.

Important:

If you use a Default Policy Tag, or Retention Policy Tag on the user's mailbox or special folders, and the user uses cached mode to connect to Exchange, there will be an initial degradation in performance in Outlook while their Outlook profile is updated with the policy information. The time that is required to process the data file depends on its size and the speed of the computer. Users should be informed of the performance impact as their mailbox is updated.

Or, you can delete the user's Outlook profile and create a new profile for that account. When the user starts Outlook, Outlook will download the e-mail messages with the policy information already added. Depending on the size of the account's mailbox, this might be faster than updating the existing account. However, after you create a new profile with that account, all messages must be indexed again to enable searching in Outlook.

Educating users about Retention Policy

Users should be informed about the following aspects of Retention Policy because it will affect their experience and the ultimate effectiveness of your company's Retention Policies. For more information, see Assign Retention Policy to E-mail Messages (http://go.microsoft.com/fwlink/p/?LinkId=195157).

  • Users should check and change, if it is necessary, the Retention Policies on their folders so that messages are not accidentally deleted at the end of the warm-up period.

  • During the warm-up period, the Retention Policies will not automatically delete messages.

  • The Default Policy Tag will delete all e-mail messages that are older than the policy length unless the users change the Retention Policy on their folders or individual e-mail messages. The retention length of the Default Policy Tag should be clearly stated.

  • It is not possible for users to change the folder policy on special folders such as the Inbox, Sent Items, and Deleted Items folders. If there is a policy on the special folders, the policy should be clearly stated.

  • If users want messages in a special folder to have a different policy, they can manually apply a Personal Tag to those messages.

  • If a user adds a Personal Tag to an e-mail message, that Personal Tag will take precedence over the folder policy, or the Default Policy Tag.

  • Retention Policy only applies to e-mail messages. Therefore, all meetings and appointments on their calendars will not be deleted.

  • Subfolders inherit their parent folder's Retention Policy.

  • Retention Policy does not delete messages in Outlook data files (.pst).

  • Users can apply a Retention Policy to a message by using the Assign Policy gallery in the ribbon.

  • Users can apply a Retention Policy to folders they have created by using Set Folder Policy in the Assign Policy gallery.

  • Users can get a list of all messages that will expire within 30 days by selecting View Items Expiring Soon in the Assign Policy gallery.

  • Users can determine which Retention Policy is being applied to a message by looking under the CC line in the Reading Pane or at the bottom on the reading inspector.

Users under legal hold or investigation

There are two options for legal hold with Outlook 2010 and Exchange Server 2010: Retention Hold and Litigation Hold. Retention Hold makes it obvious to the user that the mailbox has been put on hold. Litigation Hold is silent and does not indicate to the user that the mailbox is under investigation.

The following table summarizes which features are available with Retention Hold and Litigation Hold. The Recoverable Items and Copy on Write features are explained in the following sections.

Feature | Retention Hold | Litigation Hold
Retention policies are enforced on the server | No | Yes. Deletions are captured in a hidden folder in the user's mailbox so they are not destroyed.
Archive policies are enforced on the server | No | Yes
The Recoverable Items container can empty itself | Yes | No
Copy on Write is turned on | No | Yes

Recover Deleted Items

The Recover Deleted Items folder in Exchange, previously known as the Dumpster, provides a holding area for items that are deleted by the user in Outlook, Microsoft Outlook Web Access (OWA), and other e-mail clients. Users can recover items they have deleted in Outlook and OWA by accessing the Recover Deleted Items folder. For more information, see Recover Deleted Items (http://go.microsoft.com/fwlink/p/?LinkId=195172).

By default, the Recover Deleted Items folder keeps deleted items for 14 days or until the storage quota for the folder is reached. The Recover Deleted Items folder will remove items on a first in, first out (FIFO) basis if the folder storage quota is exceeded. If Litigation Hold for a user's mailbox is turned on, the Recover Deleted Items folder cannot be purged by using either of these methods. This ensures that the data that was deleted can be searched and recovered. For more information, see Understanding Legal Hold (http://go.microsoft.com/fwlink/p/?LinkId=195174).

Copy on Write

With Exchange Server 2010, you can ensure that all versions of an e-mail message are saved with the Copy on Write feature. This feature will copy the original version of an e-mail message that was modified and store it in a hidden folder named Versions. The properties on an e-mail message that can trigger a copy can be found in Understanding Legal Hold (http://go.microsoft.com/fwlink/p/?LinkId=195174). This functionality is automatically turned on by using Litigation Hold.

Using Retention Hold

If you have a user whose e-mail messages are subject to investigation and should not be deleted, Retention Hold can be turned on for that user's mailbox. By using Retention Hold, you can display a comment in the Backstage view, which will inform the user of the Retention Hold status. If users have a Personal Archive, they will have to manually move messages to the archive. Retention Hold prevents the server from letting Retention and Archive policies to delete or move messages.

While a user's mailbox is on Retention Hold, that user's mailbox quota should be increased to let them to keep e-mail messages that are relevant to the investigation.

When a user is put on Retention Hold, they should be informed of the following:

  • Retention Policies and Archive Polices will no longer delete or move messages.

  • The user can manually move messages to the Personal Archive, if they have one.

Using Litigation Hold

If you have a user who is frequently under legal investigation or is part of many investigations at the same time, Litigation Hold is a way to ensure that all of the user's e-mail messages are being retained without affecting the e-mail user experience. By using Litigation Hold, Outlook does not inform the user that the user's mailbox is on hold. This can be useful in internal investigation.

Because Retention and Archive policies let users delete and move messages, Litigation Hold enables the user to work as if they are not under investigation. The Recover Deleted Items folder captures all deleted items, and the Copy on Write feature captures all versions of e-mail messages. The combination of these features relieves the burden of maintaining information that might be pertinent to a legal investigation. For more information, see Understanding Legal Hold (http://go.microsoft.com/fwlink/p/?LinkId=195174).

Planning a Personal Archive deployment

A Personal Archive can be used to replace Outlook data files (.pst) used to archive e-mail messages in your organization. Also, it can give users additional room for e-mail messages that they must keep for compliance reasons.

As part of planning a Personal Archive deployment, consider the following key steps:

  • Determine your organization's archive policies.

  • Educate users about the Personal Archive.

  • Manage the Outlook data files (.pst) in your organization.

Determining your archive policies

By default, the following archive policies are created for a user when they are given a Personal Archive:

  • Default Policy (- 2 years) The default archive policy applies to a user's entire mailbox. It archives all e-mail messages for which the received date is older than 2 years.

  • Personal Tags By default, the following Personal Tags are given to users to apply to their folders and e-mail messages.

    • 6 months

    • 1 year

    • 2 years

    • 5 years

    • Never

Archive policies cannot be applied through Exchange to special folders in the user's mailbox, such as the Inbox and Sent Items folders. By default, all folders in the user's mailbox will inherit the Default Policy. But the user can change the policy on any folder or e-mail message by using Personal Tags.

Educating users about the Personal Archive

Users should be informed about the following aspects of the Personal Archive, because it will affect their experience and the way they use the feature. We recommend a warm-up period during which archive policies are set on users' mailbox folders. This is so that users are not surprised when e-mail messages are moved to the archive overnight.

  • The Personal Archive cannot be used when the user is offline, or if a connection to the user's Exchange Server computer cannot be established.

  • Over a 24 hour window, Exchange Server automatically moves e-mail messages that are ready to be archived. Therefore, users who set an archive policy on a folder will not see an immediate result of this action.

  • There is no way for the user to archive messages immediately by using Exchange Server. Messages that must be archived immediately must be moved to the archive by the user.

  • AutoArchive will not be available to the user and will not archive messages. If users have set up AutoArchive to delete or move messages to an Outlook data file (.pst), they must apply the appropriate Retention and Archive policies to achieve the same effect.

  • Folders that are created in the archive have the same Retention Policy as they did in the mailbox. Similarly, messages in the archive have the same Retention Policy (if one was applied) as they did in the mailbox. Messages with a Retention Policy will expire in the Personal Archive.

Managing Outlook data files (.pst) in your organization

To ensure that your organization's e-mail is not moved out of the user's mailbox or your organization's compliance infrastructure, you can deploy the DisableCrossAccountCopy registry key. This will prevent the user from saving the information to an Outlook data file (.pst), or from copying it to another e-mail account in Outlook. You can deploy this registry key by manually adding it to the user's registry or by using the Prevent copying or moving items between accounts setting in Group Policy.

This registry key provides more control than the two typically used registry keys DisablePST and PSTDisableGrow in Outlook 2010. Because it prevents users from moving data out of restricted accounts without limiting their .pst use, users are able to use personal e-mail accounts in Outlook that might deliver e-mail messages to a .pst file. They are also able to read messages and copy messages from their existing .pst file. The DisableCrossAccountCopy registry key is recommended to completely replace the need for DisablePST and PSTDisableGrow for these reasons. Optionally, you can also prevent users from copying data out of their synchronized lists in Microsoft SharePoint 2010 Products.

The DisableCrossAccountCopy registry key is located in HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Outlook\.

Registry entry Type Value Description Deployment

DisableCrossAccountCopy

REG_MULTI_SZ

There are three string values that can be defined for this registry key:

  1. An asterisk (*) will restrict copying or moving messages out of any account or Outlook data file (.pst).

  2. Domain name of e-mail account to be restricted. You can specify the domain of the accounts that you want to restrict. For example, contoso.com.

  3. SharePoint This string will restrict copying or moving data out of all SharePoint lists.

Defines accounts or Outlook data files (.pst) where moving or copying data out of that location is not allowed.

This registry key can be deployed by manually adding it to the user's registry or by using the Prevent copying or moving items between accounts setting in Group Policy.

Or, you can set the DisableCrossAccountCopy in Group Policy by enabling the Prevent copying or moving items between accounts setting under User Configuration\Administrative Templates\Microsoft Outlook 2010\Account Settings\Exchange.

If your organization has already deployed the DisablePST or PSTDisableGrow registry keys, they will not affect the behavior of the DisableCrossAccountCopy key. If the DisableCrossAccountCopy registry value is configured with Outlook 2010, Outlook ignores the DisablePST and PSTDisableGrow registry keys. In this scenario, you cannot eliminate Outlook data files (.pst) completely. However, no corporate data can be moved to Outlook data files (.pst) when the DisableCrossAccountCopy key is set.

If you have users who do not use Outlook 2010, all three keys can be deployed at the same time. However, for most organizations, the DisablePST and PSTDisableGrow registry keys are unnecessary.

The following is the list of ways that copying or moving e-mail messages out of an account or Outlook data file (.pst) will be restricted:

  • Users cannot drag-and-drop messages from a restricted account into another account or Outlook data file (.pst).

  • Users cannot use the Move menu to move or copy messages from a restricted account into another account or Outlook data file (.pst).

  • When using AutoArchive, all accounts that have been restricted will not have the option to archive data.

  • In the Mailbox Cleanup menu of the Backstage view, the Archive option will not list restricted accounts as an option for archiving.

  • Rules will not move messages out of the restricted accounts.

  • Users will be unable to export messages from restricted accounts.

  • The Clean Up feature will not delete redundant parts of e-mail conversations in restricted accounts.

To prevent users from moving or copying messages from restricted accounts to their computers, you can deploy the DisableCopyToFileSystem registry key.

The DisableCopyToFileSystem registry key is located in HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Outlook\.

Registry entry Type Value Description Deployment

DisableCopyToFileSystem

REG_MULTI_SZ

There are three string values that can be defined for this registry key:

  1. An asterisk (*) will restrict a user from dragging messages from any account or Outlook data file (.pst) to the computer.

  2. Domain name of e-mail account to be restricted. You can specify the domain of the accounts that you want to restrict. For example, contoso.com.

  3. SharePoint This string will restrict dragging data out of all SharePoint lists to the computer.

Defines accounts or Outlook data files (.pst) where dragging messages to the computer is not allowed.

This registry key can be deployed by manually adding it to the user's registry.

See Also

Other Resources

Place a Mailbox on Retention Hold
Understanding Legal Hold
Understanding Retention Tags and Retention Policies: Exchange 2010 Help
Understanding Personal Archive: Exchange 2010 Help


Plan for security and protection in Outlook 2010

To help keep your organization's email messaging secure, plan for security and protection in Microsoft Outlook 2010. We recommend that you review the following articles as you do your planning.

Article | Description
Choose security and protection settings for Outlook 2010 | Describes how to customize many of the security-related features in Outlook 2010, including how the security settings are enforced, which kind of ActiveX controls can run, custom forms security, and programmatic security settings.
Plan attachment settings in Outlook 2010 | Describes how to configure Outlook 2010 attachment security settings by using Group Policy and the Outlook 2010 template (Outlk14.adm).
Plan for e-mail messaging cryptography in Outlook 2010 | Describes how to configure security features in Outlook 2010 to help users send and receive cryptographic e-mail messages.
Plan for limiting junk e-mail in Outlook 2010 | Discusses how the Outlook 2010 Junk E-mail Filter works, and which settings you can configure for the Junk E-mail Filter and for automatic picture download.


Choose security and protection settings for Outlook 2010

You can customize many of the security-related features in Microsoft Outlook 2010. This includes how the security settings are enforced, which kind of ActiveX controls can run, custom forms security, and programmatic security settings. You can also customize Outlook 2010 security settings for attachments, Information Rights Management, junk e-mail, and encryption, which are covered in additional articles listed in Additional settings later in this article.

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but you want to learn more about security features in Outlook 2010, see How Outlook helps protect you from viruses, spam, and phishing (http://go.microsoft.com/fwlink/p/?LinkId=202522).

In this article:

  • Overview

  • Specify how security settings are enforced in Outlook

  • How administrator settings and user settings interact in Outlook 2010

  • Working with Outlook COM add-ins

  • Customize ActiveX and custom forms security in Outlook 2010

  • Customize programmatic settings in Outlook 2010

  • Additional settings

Overview

By default, Outlook is configured to use high security-related settings. High security levels can result in limitations to Outlook functionality, such as restrictions on e-mail message attachment file types. You might have to lower default security settings for your organization. However, be aware that lowering any default security settings might increase the risk of virus execution or propagation.

Before you start to configure security settings for Outlook 2010 by using Group Policy or the Outlook Security template, you must configure the Outlook Security Mode in Group Policy. If you do not set the Outlook Security Mode, Outlook 2010 uses the default security settings and ignores any Outlook 2010 security settings that you have made.

For information about how to download the Outlook 2010 adminstrative template, and about other Office 2010 Administrative Templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

Specify how security settings are enforced in Outlook

As with Microsoft Office Outlook 2007, you can configure security options for Outlook 2010 by using Group Policy (recommended) or change security settings by using the Outlook Security template and publish the settings to a form in a top-level folder in Exchange Server public folders. Unless you have Office Outlook 2003 or earlier versions in your environment, we recommend that you use Group Policy to configure security settings. To use either option, you must enable the Outlook Security Mode setting in Group Policy and set the Outlook Security Policy value. Default security settings in the product are enforced if you do not enable this setting. The Outlook Security Mode setting is in the Outlook 2010 Group Policy template (Outlk14.adm) under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings. When you enable the Outlook Security Mode setting, you have the four Outlook Security Policy options, which are described in the following table.

Outlook Security Mode option | Description
Outlook Default Security | Outlook ignores any security-related settings that are configured in either Group Policy or the Outlook Security template. This is the default setting.
Use Outlook Security Group Policy | Outlook uses the security settings from Group Policy (recommended).
Use Security Form from 'Outlook Security Settings' Public Folder | Outlook uses the settings from the security form published in the designated public folder.
Use Security Form from 'Outlook 10 Security Settings' Public Folder | Outlook uses the settings from the security form published in the designated public folder.

Customize security settings by using Group Policy

When you use Group Policy to configure security settings for Outlook 2010, consider the following factors:

  • Settings in Outlook Security template must be manually migrated to Group Policy. If you previously used the Outlook Security template to manage security settings and now choose to use Group Policy to enforce settings in Outlook 2010, you must manually migrate the settings that you configured earlier to the corresponding Group Policy settings for Outlook 2010.

  • Customized settings configured by using Group Policy might not be active immediately. You can configure Group Policy to refresh automatically (in the background) on users' computers while users are logged on, at a frequency that you determine. To make sure that that new Group Policy settings are active immediately, users must log off and log back on to their computers.

  • Outlook checks security settings only at startup. If security settings are refreshed while Outlook is running, the new configuration is not used until the user closes and restarts Outlook.

  • No customized settings are applied in Personal Information Manager (PIM)-only mode. In PIM mode, Outlook uses the default security settings. No administrator settings are necessary or used in this mode.

Special environments

When you use Group Policy to configure security settings for Outlook 2010, consider whether your environment includes one or more of the scenarios shown in the following table.

Scenario Issue

Users who access their mailboxes by using a hosted Exchange Server

If users access mailboxes by using a hosted Exchange Server, you might use the Outlook Security template to configure security settings or use the default Outlook security settings. In hosted environments, users access their mailboxes remotely. For example, they can use a virtual private network (VPN) connection or use Outlook Anywhere (RPC over HTTP). Because Group Policy is deployed by using Active Directory and in this scenario, the user's local computer is not a member of the domain, Group Policy security settings cannot be applied.

Also, by using the Outlook Security template to configure security settings, users automatically receive updates to security settings. Users cannot receive updates to Group Policy security settings unless their computer is in the Active Directory domain.

Users with administrative rights on their computers

Restrictions to Group Policy settings are not enforced when users log on with administrative rights. Users with administrative rights can also change the Outlook security settings on their computer and can remove or alter the restrictions that you have configured. This is true not only for Outlook security settings, but for all Group Policy settings.

Although this can be problematic when an organization intends to have standardized settings for all users, there are mitigating factors:

  • Group Policy overrides local changes at the next logon. Changes to Outlook security settings revert to the Group Policy settings when the user logs on.

  • Overriding a Group Policy setting affects only the local computer. Users with administrative rights affect only security settings on their computer, not the security settings for users on other computers.

  • Users without administrative rights cannot change policies. In this scenario, Group Policy security settings are as secure as settings configured by using the Outlook Security template.

Users who access Exchange mailboxes by using Outlook Web App

Outlook and Outlook Web App do not use the same security model. OWA has separate security settings stored on the Exchange Server computer.

How administrator settings and user settings interact in Outlook 2010

Security settings that are defined by the user in Outlook 2010 work as if they are included in the Group Policy settings that you define as the administrator. When there is a conflict between the two, settings with a higher security level override settings with a lower security level.

For example, if you use the Group Policy Attachment Security setting Add file extensions to block as Level 1 to create a list of Level 1 file name extensions to be blocked, your list overrides the default list provided with Outlook 2010 and overrides the user's settings for Level 1 file name extensions to block. Even if you allow users to remove file name extensions from the default Level 1 group of excluded file types, users cannot remove file types that were added to the list.

For example, if the user wants to remove the file name extensions .exe, .reg, and .com from the Level 1 group, but you use the Add Level 1 file extensions Group Policy setting to add .exe as a Level 1 file type, the user can only remove .reg and .com files from the Level 1 group in Outlook.

Working with Outlook COM add-ins

A Component Object Model (COM) add-in should be coded so that it takes advantage of the Outlook trust model to run without warning messages in Outlook 2010. Users might continue to see warnings when they access Outlook features that use the add-in, such as when they synchronize a hand-held device with Outlook 2010 on their desktop computer.

However, users are less likely to see warnings in Outlook 2010 than in Office Outlook 2003 or earlier versions. The Object Model (OM) Guard that helps prevent viruses from using the Outlook Address Book to propagate themselves is updated in Office Outlook 2007 and Outlook 2010. Outlook 2010 checks for up-to-date antivirus software to help determine when to display address book access warnings and other Outlook security warnings.

The OM Guard cannot be modified by using the Outlook security form or Group Policy. However, if you use default Outlook 2010 security settings, all COM add-ins that are installed in Outlook 2010 are trusted by default. If you customize security settings by using Group Policy, you can specify COM add-ins that are trusted and that can run without encountering the Outlook object model blocks.

To trust a COM add-in, you include the file name for the add-in, in a Group Policy setting with a calculated hash value for the file. Before you can specify an add-in as trusted by Outlook, you must install a program to calculate the hash value. For information about how to do this, see Manage trusted add-ins for Outlook 2010.

If you enforce customized Outlook security settings with the Microsoft Exchange Server security form published in an Exchange Server public folder, you can learn how to trust COM add-ins. Scroll down to the Trusted Code tab section in the Microsoft Office 2003 Resource Kit article, Outlook Security Template Settings (http://go.microsoft.com/fwlink/p/?LinkId=75744).

If the user continues to see security prompts after the add-in is included in the list of trusted add-ins, you must work with the COM add-in developer to resolve the problem. For more information about coding trusted add-ins, see Important Security Notes for Microsoft Outlook COM Add-in Developers (http://go.microsoft.com/fwlink/p/?LinkId=74697).

Customize ActiveX and custom forms security in Outlook 2010

You can specify ActiveX and custom forms security settings for Outlook 2010 users. Custom forms security settings include options for changing how Outlook 2010 restricts scripts, custom controls, and custom actions.

Customize how ActiveX controls behave in one-off forms

When Outlook receives a message that contains a form definition, the item is a one-off form. To help prevent unwanted script and controls from running in one-off forms, Outlook does not load ActiveX controls in one-off forms by default.

You can lock down the settings to customize ActiveX controls by using the Group Policy Outlook 2010 template (Outlk14.adm). Or you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings. In Group Policy, use the Allow ActiveX One Off Forms setting under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security. In the OCT, the Allow ActiveX One Off Forms setting is in corresponding location on the Modify user settings page of the OCT. For more information about the OCT, see Office Customization Tool in Office 2010.

When you enable Allow ActiveX One Off Forms setting, you have three options, which are described in the following table.

Option Description

Allows all ActiveX Controls

Allows all ActiveX controls to run without restrictions.

Allows only Safe Controls

Allows only safe ActiveX controls to run. An ActiveX control is safe if it is signed with Authenticode and the signer is listed in the Trusted Publishers List.

Load only Outlook Controls

Outlook loads only the following controls. These are the only controls that can be used in one-off forms.

  • Controls from fm20.dll

  • Microsoft Office Outlook Rich Format Control

  • Microsoft Office Outlook Recipient Control

  • Microsoft Office Outlook View Control

If you do not configure any of these options, the default is to load only Outlook controls.

Customize custom forms security settings

You can lock down the settings to configure security for custom forms by using the Group Policy Outlook 2010 template (Outlk14.adm). Or you can configure default settings by using the OCT, in which case users can change the settings. In Group Policy, the settings are under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Custom Form Security. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

The settings that you can configure for scripts, custom controls, and custom actions are shown in the following table:

Option Description

Allow scripts in one-off Outlook forms

Run scripts in forms where the script and the layout are contained in the message. If users receive a one-off form that contains script, users are prompted to ask whether they want to run the script.

Set Outlook object model Custom Actions execution prompt

Specifies what occurs when a program attempts to run a custom action by using the Outlook object model. A custom action can be created to reply to a message and circumvent the programmatic send protections previously described. Select one of the following:

  • Prompt user enables the user to receive a message and decide whether to allow programmatic send access.

  • Automatically approve always allows programmatic send access without displaying a message.

  • Automatically deny always denies programmatic send access without displaying a message.

  • Prompt user based on computer security enforces the default configuration in Outlook 2010.

Customize programmatic settings in Outlook 2010

As an administrator of Outlook 2010, you can configure programmatic security settings to manage restrictions for the Outlook object model. The Outlook object model lets you programmatically manipulate data that is stored in Outlook folders.

Note:

The Exchange Server Security template includes settings for Collaboration Data Objects (CDO). However, using CDO with Outlook 2010 is not supported.

You can use Group Policy to configure programmatic security settings for the Outlook object model. In Group Policy, load the Outlook 2010 template (Outlk14.adm). The Group Policy settings are located under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Programmatic Security. These settings cannot be configured by using the Office Customization Tool.

The following are descriptions of the Group Policy options for programmatic settings. You can choose one of the following settings for each item:

  • Prompt user Users receive a message allowing them to choose whether to allow or deny the operation. For some prompts, users can choose to allow or deny the operation without prompts for up to 10 minutes.

  • Automatically approve Outlook automatically grants programmatic access requests from any program. This option can create a significant vulnerability, and we do not recommend it.

  • Automatically deny Outlook automatically denies programmatic access requests from any program and the user does not receive a prompt.

  • Prompt user based on computer security Outlook relies on the setting in the "Programmatic Access" section of the Trust Center. This is the default behavior.

The settings that you can configure for programmatic security settings for the Outlook object model are shown in the following table.

Option | Description
Configure Outlook object model prompt when accessing an address book | Specifies what happens when a program attempts to gain access to an address book by using the Outlook object model.
Configure Outlook object model prompt when accessing the Formula property of a UserProperty object | Specifies what happens when a user adds a Combination or Formula custom field to a custom form and binds it to an Address Information field. By doing this, code can be used to indirectly retrieve the value of the Address Information field by getting the Value property of the field.
Configure Outlook object model prompt when executing Save As | Specifies what happens when a program attempts to programmatically use the Save As command to save an item. When an item has been saved, a malicious program could search the file for e-mail addresses.
Configure Outlook object model prompt when reading address information | Specifies what happens when a program attempts to gain access to a recipient field, such as To, by using the Outlook object model.
Configure Outlook object model prompt when responding to meeting and task requests | Specifies what happens when a program attempts to send mail programmatically by using the Respond method on task requests and meeting requests. This method is similar to the Send method on mail messages.
Configure Outlook object model prompt when sending mail | Specifies what happens when a program attempts to send mail programmatically by using the Outlook object model.

Additional settings

The following table lists the articles that cover additional security settings not included in this article.

Feature | Related resources
ActiveX controls | Plan security settings for ActiveX controls for Office 2010
Attachments | Plan attachment settings in Outlook 2010
Cryptography | Plan for e-mail messaging cryptography in Outlook 2010
Digital signatures | Plan digital signature settings for Office 2010
Junk e-mail | Plan for limiting junk e-mail in Outlook 2010
Information Rights Management | Plan for Information Rights Management in Office 2010
Protected view | Plan Protected View settings for Office 2010

See Also

Concepts

Plan security for Office 2010

Other Resources

Outlook 2010 Resource Center


Plan attachment settings in Outlook 2010

In Microsoft Outlook 2010, you can specify that attachments to Outlook items (such as e-mail messages or appointments) are restricted based on the file type of the attachment. A file type can have either a Level 1 or Level 2 restriction. You can also configure what users can do with attachment restrictions. For example, you could allow users to change the restrictions for a group of attachment file types from Level 1 (user cannot view the file) to Level 2 (user can open the file after saving it to disk).

Note:

To enforce attachment settings, you must first configure the method that Outlook 2010 uses to enforce security settings by using Group Policy. For information about how to set the Outlook 2010 method to enforce security settings, see Specify how security settings are enforced in Outlook in Choose security and protection settings for Outlook 2010.

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but you want to learn more about how to share files that have restricted file types, see Blocked attachments in Outlook (http://go.microsoft.com/fwlink/p/?LinkId=188575).

In this article:

  • Overview

  • Add or remove Level 1 file name extensions

  • Add or remove Level 2 file name extensions

  • Configure additional attachment file restrictions

Overview

There is restricted access to some attachments in items (such as e-mail messages or appointments) in Outlook 2010. Files that have specific file types can be categorized as Level 1 (the user cannot view the file) or Level 2 (the user can open the file after saving it to disk).

By default, Outlook 2010 classifies several file types as Level 1 and blocks files that have those extensions from being received by users. Examples include .cmd, .exe, and .vbs file name extensions. As an administrator, you can use Group Policy to manage how a file type is categorized for e-mail attachment blocking. For example, you can change a file type categorization from Level 1 to Level 2 or create a list of Level 2 file types. There are no Level 2 file types by default.

You can configure Outlook 2010 attachment security settings by using Group Policy and the Outlook 2010 template (Outlk14.adm). Most of the attachment security settings are the found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Attachment Security. Settings to prevent users from customizing attachment security settings and to use Protected View for attachments received from internal senders are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security. Attachment security settings cannot be configured by using the Office Customization Tool (OCT).

For more information about Protected View, see Plan Protected View settings for Office 2010.

For information about how to download the Outlook 2010 adminstrative template, and about other Office 2010 Administrative Templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

Add or remove Level 1 file name extensions

Level 1 files are hidden from the user. The user cannot open, save, or print a Level 1 attachment. (If you specify that users can demote a Level 1 attachment to a Level 2 attachment, Level 2 restrictions apply to the file.) If a user receives an e-mail message or appointment that has a blocked attachment, the InfoBar at the top of the item displays a list of the blocked files. (The InfoBar does not appear on a custom form.) When you remove a file type from the Level 1 list, attachments that have that file type are no longer blocked. For the default list of Level 1 file types, see Attachment file types restricted by Outlook 2010.

The settings in the following table let you add or remove Level 1 file types from the default list. In Group Policy, these settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Attachment Security. These settings cannot be configured by using the OCT.

Option | Description
Add file extensions to block as Level 1 | Specifies the file types (usually three letters) you want to add to the Level 1 file list. Do not enter a period before each file name extensions. If you enter multiple file name extensions, separate them with semicolons.
Remove file extensions blocked as Level 1 | Specifies the file types (usually three letters) you want to remove from the Level 1 file list. Do not enter a period before each file type. If you enter multiple file types, separate them with semicolons.

Add or remove Level 2 file name extensions

With a Level 2 file type, the user is required to save the file to the hard disk before the file is opened. A Level 2 file cannot be opened directly from an item.

When you remove a file type from the Level 2 list, it becomes a regular file type that can be opened, saved, and printed in Outlook 2010. There are no restrictions on the file.

The settings in the following table let you add or remove Level 2 file types from the default list. In Group Policy, these settings are found under User Configuration\Administrative Templates\ Microsoft Outlook 2010\Security\Security Form Settings\Attachment Security. These settings cannot be configured by using the OCT.

Option | Description
Add file extensions to block as Level 2 | Specifies the file name extension (usually three letters) you want to add to the Level 2 file list. Do not enter a period before each file name extension. If you enter multiple file name extensions, separate them with semicolons.
Remove file extensions blocked as Level 2 | Specifies the file name extension (usually three letters) you want to remove from the Level 2 file list. Do not enter a period before each file name extension. If you enter multiple file name extensions, separate them with semicolons.

Configure additional attachment file restrictions

The settings in the following table are additional settings that you can configure for attachments in Group Policy. In Group Policy, these settings are found under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Attachment Security. These settings cannot be configured by using the OCT.

Option | Description
Display Level 1 attachments | Enables users to access all attachments that have Level 1 file types by first saving the attachments to disk, and then opening them (as with Level 2 attachments).
Allow users to demote attachments to Level 2 | Enables users to create a list of attachment file name extensions to demote from Level 1 to Level 2. If you do not configure this Group Policy setting, the default behavior in Outlook is to ignore the user's list. The registry key in which users create the list of file types to demote is: HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Outlook\Security\Level1Remove. In the registry key, users specify the file name extensions (usually three letters) to remove from the Level 1 file list, separated with semicolons.
Do not prompt about Level 1 attachments when sending an item | Prevents users from receiving a warning when they send an item that contains a Level 1 attachment. This option affects only the warning. Once the item is sent, recipients might be unable to view or access the attachment, depending on their security settings. If you want users to be able to post items to a public folder without receiving this prompt, you must enable this setting and the Do not prompt about Level 1 attachments when closing an item setting.
Do not prompt about Level 1 attachments when closing an item | Prevents users from receiving a warning when they close an e-mail message, appointment, or other item that contains a Level 1 attachment. This option affects only the warning. Once the item is closed, the user cannot view or gain access to the attachment. If you want users to be able to post items to a public folder without receiving this prompt, you must enable this setting and the Do not prompt about Level 1 attachments when sending an item setting.
Display OLE package objects | Displays OLE objects that have been packaged. A package is an icon that represents an embedded or linked OLE object. When you double-click the package, the program that was used to create the object either plays the object (for example, if the object is a sound file) or opens and displays the object. Allowing Outlook to display OLE package objects can be problematic, because the icon can be easily changed and used to disguise malicious files.

The settings in the following table are found in Group Policy under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security. These settings cannot be configured by using the OCT.

Action | Description
Prevent users from customizing attachment security settings | When enabled, users cannot customize the list of file types that are allowed as attachments in Outlook, regardless of how you have configured other Outlook security settings.
Use Protected View for attachments received from internal senders | When enabled, attachments received from senders within your organization open in Protected View. This setting only applies to Microsoft Outlook accounts that connect to a Microsoft Exchange Server computer.

See Also

Concepts

Choose security and protection settings for Outlook 2010
Attachment file types restricted by Outlook 2010
Plan Protected View settings for Office 2010

Other Resources

Outlook 2010 Resource Center


Plan for e-mail messaging cryptography in Outlook 2010

Microsoft Outlook 2010 supports security-related features to help users send and receive cryptographic e-mail messages. These features include cryptographic e-mail messaging, security labels, and signed receipts.

Note:

To obtain full security functionality in Microsoft Outlook, you must install Outlook 2010 with local administrative rights.

In this article:

  • About Cryptographic messaging features in Outlook 2010

  • Managing cryptographic digital IDs

  • Security labels and signed receipts

  • Configuring Outlook 2010 cryptographic settings

  • Configuring additional cryptography settings

About Cryptographic messaging features in Outlook 2010

Outlook 2010 supports cryptographic messaging features that enable users to do the following:

  • Digitally sign an e-mail message. Digital signing provides nonrepudiation and verification of contents (the message contains what the person sent, without any changes).

  • Encrypt an e-mail message. Encryption helps ensure privacy by making the message unreadable to anyone other than the intended recipient.

Additional features can be configured for security-enhanced messaging. If your organization provides support for these features, security-enhanced messaging enables users to do the following:

  • Send an e-mail message that uses a receipt request. This helps verify that the recipient is validating the user's digital signature (the certificate that the user applied to a message).

  • Add a security label to an e-mail message. Your organization can create a customized S/MIME V3 security policy that adds labels to messages. An S/MIME V3 security policy is code that you add to Outlook. It adds information to the message header about the sensitivity of the message. For more information, see Security labels and signed receipts later in this article.

How Outlook 2010 implements cryptographic messaging

The Outlook 2010 cryptography model uses public key encryption to send and receive signed and encrypted e-mail messages. Outlook 2010 supports S/MIME V3 security, which allows users to exchange security-enhanced e-mail messages with other S/MIME e-mail clients over the Internet or intranet. E-mail messages encrypted by the user's public key can be decrypted only by using the associated private key. This means that when a user sends an encrypted e-mail message, the recipient's certificate (public key) encrypts it. When a user reads an encrypted e-mail message, the user's private key decrypts it.

In Outlook 2010, users are required to have a security profile to use cryptographic features. A security profile is a group of settings that describes the certificates and algorithms used when a user sends messages that use cryptographic features. Security profiles are configured automatically if the profile is not already present when:

  • The user has certificates for cryptography on his or her computer.

  • The user begins to use a cryptographic feature.

You can customize these security settings for users in advance. You can use registry settings or Group Policy settings to customize Outlook to meet your organization's cryptographic policies and to configure (and enforce, by using Group Policy) the settings that you want in the security profiles. These settings are described in Configuring Outlook 2010 cryptographic settings later in this article.

Digital IDs: A combination of public/private keys and certificates

S/MIME features rely on digital IDs, which are also known as digital certificates. Digital IDs associate a user's identity with a public and private key pair. The combination of a certificate and private/public key pair is called a digital ID. The private key can be saved in a security-enhanced store, such as the Windows certificate store, on the user's computer, or on a Smart Card. Outlook 2010 fully supports the X.509v3 standard, which requires that public and private keys are created by a certification authority in an organization, such as a Windows Server 2008 computer that is running Active Directory Certificate Services or by a public certification authority such as VeriSign. For information about which option might be best for your organization, see Digital certificate: Self-signed or issued by CAs in Plan digital signature settings for Office 2010.

Users can obtain digital IDs by using public Web-based certification authorities such as VeriSign and Microsoft Certificate Services. For more information about how users can obtain a digital ID, see the Outlook Help topic Get a digital ID (http://go.microsoft.com/fwlink/p/?LinkId=185585). As an administrator, you can provide digital IDs to a group of users.

When certificates for digital IDs expire, users typically must obtain updated certificates from the issuing certification authority. If your organization relies on Windows Server 2003 Certificate Authority (CA) or Active Directory Certificate Services (AD CS) in Windows Server 2008 for certificates, Outlook 2010 automatically manages certificate update for users.

Managing cryptographic digital IDs

Outlook 2010 provides ways for users to manage their digital IDs — the combination of a user's certificate and public and private encryption key set. Digital IDs help keep users' e-mail messages secure by letting them exchange cryptographic messages. Managing digital IDs includes the following:

  • Obtaining a digital ID. For more information about how users can obtain a digital ID, see the Outlook Help topic Get a digital ID (http://go.microsoft.com/fwlink/p/?LinkId=185585).

  • Storing a digital ID, so you can move the ID to another computer or make it available to other users.

  • Providing a digital ID to other users.

  • Exporting a digital ID to a file. This is useful when the user is creating a backup or moving to a new computer.

  • Importing a digital ID from a file into Outlook. A digital ID file might be a user's backup copy or might contain a digital ID from another user.

  • Renewing a digital ID that has expired.

A user who performs cryptographic messaging at more than one computer must copy his or her digital ID to each computer.

Places to store digital IDs

Digital IDs can be stored in three locations:

  • Microsoft Exchange Global Address Book Certificates generated by CA or by AD CS are automatically published in the global address book (GAL). Externally generated certificates can be manually published to the global address book. To do this in Outlook 2010, on the File tab, click Options, and then click Trust Center. Under Microsoft Outlook Trust Center, click Trust Center Settings. On the E-mail Security tab, under Digital IDs (Certificates), click the Publish to GAL button.

  • Lightweight Directory Access Protocol (LDAP) directory service External directory services, certificate authorities, or other certificate providers can publish their users' certificates through an LDAP directory service. Outlook allows access to these certificates through LDAP directories.

  • Microsoft Windows file Digital IDs can be stored on users' computers. Users export their digital ID to a file from Outlook 2010. To do this, on the File tab, click Options, and then click Trust Center. Under Microsoft Outlook Trust Center, click Trust Center Settings. On the E-mail Security tab, under Digital IDs (Certificates), click the Import/Export button. Users can encrypt the file when they create it by providing a password.

Providing digital IDs to other users

If a user wants to exchange cryptographic e-mail messages with another user, they must have each other's public key. Users provide access to their public key through a certificate. There are several ways to provide a digital ID to other users, including the following:

  • Use a certificate to digitally sign an e-mail message. A user provides his or her public key to another user by composing an e-mail message and digitally signing the message by using a certificate. When Outlook users receive the signed message, they right-click the user's name on the From line, and then click Add to Contacts. The address information and the certificate are saved in the Outlook user's contacts list.

  • Provide a certificate by using a directory service, such as the Microsoft Exchange Global Address Book. Another alternative is for a user to automatically retrieve another user's certificate from an LDAP directory on a standard LDAP server when he or she sends an encrypted e-mail message. To gain access to a certificate in this manner, users must be enrolled in S/MIME security with digital IDs for their e-mail accounts.

    A user can also obtain certificates from the global address book.

Importing digital IDs

Users can import a digital ID from a file. This is useful, for example, if a user wants to send cryptographic e-mail messages from a new computer. Each computer from which the user sends cryptographic e-mail messages must have the user's certificates installed. Users export their digital ID to a file from Outlook 2010. To do this, on the File tab, click Options, and then click Trust Center. Under Microsoft Outlook Trust Center, click Trust Center Settings. On the E-mail Security tab, under Digital IDs (Certificates), click the Import/Export button.

Renewing keys and certificates

A time limit is associated with each certificate and private key. When the keys provided by CA or by AD CS approach the end of the designated time period, Outlook displays a warning message and offers to renew the keys. Outlook prompts the user, offering to send the renewal message to the server on each user's behalf.

If users do not choose to renew a certificate before it expires, or if they use another certification authority instead of in CA or AD CS, the user must contact the certification authority to renew the certificate.

Security labels and signed receipts

Outlook 2010 includes support for S/MIME V3 Enhanced Security Services (ESS) extensions about security labels and signed receipts. These extensions help you provide security-enhanced e-mail communications within your organization and to customize security to fit your requirements.

If your organization develops and provides S/MIME V3 security policies to add custom security labels, the code in the security policies can enforce attaching a security label to an e-mail message. Two examples of security labels include the following:

  • An Internal Use Only label might be implemented as a security label to apply to mail that should not be sent or forwarded outside your company.

  • A label can specify that certain recipients cannot forward or print the message, if the recipient also has the security policy installed.

Users can also send security-enhanced receipt requests with messages to verify that the recipients recognize the user's digital signature. When the message is received and saved (even if it is not yet read) and the signature is verified, a receipt implying that the message was read is returned to the user's Inbox. If the user's signature is not verified, no receipt is sent. When the receipt is returned, because the receipt is also signed, you have verification that the user received and verified the message.

Configuring Outlook 2010 cryptographic settings

You can control many aspects of Outlook 2010 cryptography features to help configure more secure messaging and message encryption for your organization by using the Outlook 2010 Group Policy template (Outlook14.adm). For example, you can configure a Group Policy setting that requires a security label on all outgoing mail or a setting that disables publishing to the global address list. You can also use the Office Customization Tool (OCT) to configure default settings, which enables users to change the settings. Also, there are cryptography configuration options that can only be configured by using registry key settings.

For more information about how to download the Outlook 2010 adminsitrative template, and about other Office 2010 Administrative Templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

For more information about the OCT, see Office Customization Tool in Office 2010.

You can lock down the settings in the following table to customize cryptography. In the OCT, on the Modify user settings page, these settings are under Microsoft Outlook 2010\Security\Cryptography. In Group Policy, these settings are under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Cryptography.

Cryptography option Description

Always use TNEF formatting in S/MIME messages

Always use transport neutral encapsulation format (TNEF) for S/MIME messages instead of the format specified by the user.

Do not check e-mail address against address of certificates being used

Do not verify user's e-mail address by using address of certificates that are used for encryption or signing.

Do not display 'Publish to GAL' button

Disable the Publish to GAL button on the E-mail Security page of the Trust Center.

Do not provide Continue option on Encryption warning dialog boxes

Disable the Continue button on encryption settings warning dialog boxes. Users will not be able press Continue to send the message.

Enable Cryptography Icons

Display Outlook cryptography icons in the Outlook user interface (UI).

Encrypt all e-mail messages

Encrypt outgoing e-mail messages.

Ensure all S/MIME signed messages have a label

Require all S/MIME-signed messages to have a security label. Users can attach labels to e-mail messages in Outlook 2010. To do this, on the Options tab, in the More Options group, under Security, click the Security Settings button. In the Security Properties dialog box, select Add digital signature to this message. Under Security Label for Policy, select a label.

Fortezza certificate policies

Enter a list of policies allowed in the policies extension of a certificate that indicate the certificate is a Fortezza certificate. List policies separated by semicolons.

Message formats

Choose message formats to support: S/MIME (default), Exchange, Fortezza, or a combination of these formats.

Message when Outlook cannot find the digital ID to decode a message

Enter a message to display to users (maximum 255 characters).

Minimum encryption settings

Set to the minimum key length for an encrypted e-mail message. Outlook will display a warning message if the user tries to send a message by using an encryption key that is below the minimum encryption key value set. The user can still choose to ignore the warning and send by using the encryption key originally chosen.

Replies or forwards to signed/encrypted messages are signed/encrypted

Enable to turn on signing/encryption when replying/forwarding a signed or encrypted message, even if the user is not configured for S/MIME.

Request an S/MIME receipt for all S/MIME signed messages

Request a security-enhanced receipt for outgoing signed e-mail messages.

Require SUITEB algorithms for S/MIME operations

Use only Suite-B algorithms for S/MIME operations.

Required Certificate Authority

Set the name of the required certification authority (CA). When a value is set, Outlook disallows users from signing e-mail by using a certificate from a different CA.

Run in FIPS compliant mode

Require Outlook to run in FIPS 140-1 mode.

S/MIME interoperability with external clients:

Specify the behavior for handling S/MIME messages: Handle internally, Handle externally, or Handle if possible.

S/MIME receipt requests behavior

Specify an option for how S/MIME receipt requests are handled:

  • Open message if receipt can't be sent

  • Don't open message if receipt can't be sent

  • Always prompt before sending receipt

  • Never send S/MIME receipts

Send all signed messages as clear signed messages

Send signed e-mail messages in clear text.

Sign all e-mail messages

Require digital signatures on all outgoing e-mail messages.

Signature Warning

Specify an option for when signature warnings display to users:

  • Let user decide if they want to be warned. This option enforces the default configuration.

  • Always warn about invalid signatures.

  • Never warn about invalid signatures.

URL for S/MIME certificates

Provide a URL at which users can obtain an S/MIME receipt. The URL can contain three variables (%1, %2, and %3), that will be replaced by the user's name, e-mail address, and language, respectively.

When you specify a value for URL for S/MIME certificates, use the following parameters to send information about the user to the enrollment Web page.

Parameter | Placeholder in URL string
User display name | %1
SMTP e-mail name | %2
User interface language ID | %3

For example, to send user information to the Microsoft enrollment Web page, set the URL for S/MIME certificates entry to the following value, including the parameters:

www.microsoft.com/ie/certpage.htm?name=%1&email=%2&helplcid=%3

For example, if the user's name is Jeff Smith, e-mail address is someone@example.com, and user interface language ID is 1033, the placeholders are resolved as follows:

www.microsoft.com/ie/certpage.htm?name=Jeff%20Smith&email=someone@example.com&helplcid=1033

The settings in the following table are in Group Policy under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Cryptography\Signature Status dialog box. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Cryptography option Description

Attachment Secure Temporary Folder

Specify a folder path for the Secure Temporary Files Folder. This overrides the default path and we do not recommend it. If you must use a specific folder for Outlook attachments, we recommend that:

  • You use a local directory (for best performance).

  • You place the folder under the Temporary Internet Files folder (to benefit from the enhanced security on that folder).

  • The folder name is unique and difficult to guess.

Missing CRLs

Specify the Outlook response when a certificate revocation list (CRL) is missing: warning (default) or display error.

Digital certificates contain an attribute that shows where the corresponding CRL is located. CRLs contain lists of digital certificates that have been revoked by their controlling certification authorities (CAs), typically because the certificates were issued incorrectly or their associated private keys were compromised. If a CRL is missing or unavailable, Outlook cannot determine whether a certificate has been revoked. Therefore, an incorrectly issued certificate or one that has been compromised might be used to gain access to data.

Missing root certificates

Specify the Outlook response when a root certificate is missing: neither error nor warning (default), warning or display error.

Promote Level 2 errors as errors, not warnings

Specify the Outlook response for Level 2 errors: display error or warning (default). Potential Error Level 2 conditions include the following:

  • Unknown Signature Algorithm

  • No Signing Certification Found

  • Bad Attribute Sets

  • No Issuer Certificate Found

  • No CRL Found

  • Out of Date CRL

  • Root Trust Problem

  • Out of Date CTL

Retrieving CRLs (Certificate Revocation Lists)

Specify how Outlook behaves when CRL lists are retrieved:

  • Use system default. Outlook relies on the CRL download schedule that is configured for the operating system.

  • When online always retrieve the CRL. This option is the default configuration in Outlook.

  • Never retrieve the CRL.

Configuring additional cryptography settings

The following section provides additional information about configuration options for cryptography.

Security policy settings for general cryptography

The following table shows additional Windows registry settings that you can use for your custom configuration. Theses registry settings are located in HKEY_CURRENT_USER\Software\Microsoft\Cryptography\SMIME\SecurityPolicies\Default. There is no corresponding Group Policy.

Registry entry | Type | Value | Description
ShowWithMultiLabels | DWORD | 0, 1 | Set to 0 to attempt to display a message when the signature layer has different labels set in different signatures. Set to 1 to prevent display of message. Default is 0.
CertErrorWithLabel | DWORD | 0, 1, 2 | Set to 0 to process a message that has a certificate error when the message has a label. Set to 1 to deny access to a message that has a certificate error. Set to 2 to ignore the message label and grant access to the message. (The user still sees a certificate error.) Default is 0.

See Also

Concepts

Plan for security and protection in Outlook 2010
Plan security for Office 2010
Plan digital signature settings for Office 2010

Other Resources

Get a digital ID


Plan for limiting junk e-mail in Outlook 2010

Learn how the Outlook 2010 Junk E-mail Filter works and which settings you can configure for it and for Automatic Picture Download.

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but you want to learn more about how to configure Outlook junk e-mail options on your computer, see Overview of the Junk Email Filter (http://go.microsoft.com/fwlink/p/?LinkId=231278).

In this article:

  • Overview

  • Supported account types

  • Support in Exchange Server

  • Configuring the Junk E-mail Filter user interface

  • Configuring Automatic picture download

Overview

Microsoft Outlook 2010 includes features that can help users avoid receiving and reading junk e-mail messages. These include the Junk E-mail Filter and the ability to disable automatic content download from external servers.

Automatic picture download settings help reduce the risk of Web beacons activating in e-mail messages by automatically blocking the download of pictures, sounds, and other content from external servers in e-mail messages. By default, automatic content download is disabled.

Note:

Outlook 2010 automatically saves active content that you choose to download from the Internet. Like Office Outlook 2007 and earlier versions, Outlook 2010 prompts you before it downloads active content that can serve as a Web beacon. However, unlike Office Outlook 2007 and earlier versions, when you close the item, you are not prompted to save the changes. Instead, the downloaded content is automatically saved.

The Junk E-mail Filter helps users avoid reading junk e-mail messages. By default, the filter is turned on, and the protection level is set to Low, which is designed to filter the most obvious junk e-mail messages. The filter replaces the rules for processing junk e-mail messages in previous versions of Outlook (before Microsoft Office Outlook 2003). The filter incorporates technology built into the software to evaluate e-mail messages to determine whether the messages are likely to be junk e-mail, in addition to filtering lists that automatically block or accept messages to or from specific senders.

The Junk E-mail Filter contains two parts:

  • Three Junk e-mail Filter lists: Safe Senders, Safe Recipients, and Blocked Senders.

  • The Junk E-mail Filter that evaluates whether an unread message should be treated as junk e-mail based on several factors that include the message content and whether the sender is included in Junk E-mail Filter lists.

All settings for the Junk E-mail Filter are stored in each user's Outlook profile. You can override the profile settings by using Group Policy or set default Junk E-mail Filter configurations by using the Office Customization Tool (OCT).

The Junk E-mail Filter is provided for a subset of Outlook 2010 account types. The types are listed in the following section, Supported account types. The filter works best when it is used with Microsoft Exchange Server 2003 and later versions. Note that Exchange Server 2003 is the earliest version of Exchange Server that can be used with Outlook 2010.

When Outlook users are upgraded to Outlook 2010, existing Junk E-mail Filter lists are maintained, unless you deploy new lists to users.

Supported account types

Outlook 2010 supports junk e-mail filtering for the following account types:

  • Microsoft Exchange Server e-mail accounts in Cached Exchange Mode

  • Microsoft Exchange Server e-mail accounts when mail is delivered to a personal Outlook Data File (.pst)

  • HTTP accounts

  • POP accounts

  • Windows Live Hotmail accounts

  • IMAP accounts

The following account types are not supported for the Outlook 2010 Junk E-mail Filter:

  • Microsoft Exchange Server e-mail accounts in Online mode

  • Third-party MAPI providers

Support in Exchange Server

If users use Cached Exchange Mode or download to a personal Outlook Data File (.pst), the Junk E-mail Filter lists that are available from any computer are also used by the server to evaluate mail. This means that if a sender is a member of a user's Blocked Senders list, mail from that sender moves to the Junk E-mail folder on the server and is not evaluated by Outlook 2010. In addition, Outlook 2010 uses the Junk E-mail Filter to evaluate e-mail messages.

Configuring the Junk E-mail Filter user interface

You can specify several options to configure how the Junk E-mail Filter works for your users. These include the following:

  • Set the Junk E-mail Filter protection level.

  • Permanently delete suspected junk e-mail messages or move the messages to the Junk E-mail folder.

  • Trust e-mail messages from users' Contacts.

The default values for the Junk E-mail Filter are designed to help provide a positive experience for users. However, you can configure these settings to different defaults and set other options and policies when you deploy Outlook 2010 to your organization.

Junk e-mail settings are set only one time. When the user first starts Outlook 2010, the settings are configured in the profile that the user selects. Other profiles the user has, or may create later, do not include the settings that you have configured. Instead, default settings are used.

Default values for the Junk E-mail Filter settings are as follows:

  • Junk E-mail protection level: Set to LOW

  • Permanently delete Junk E-mail: Set to OFF

  • Trust E-mail from Contacts: Set to OFF

You can use the OCT to configure these options to specify default values for users, or the options can be enforced by Group Policy. For information about how to configure options for the Junk E-mail Filter, see Configure junk e-mail settings in Outlook 2010.

Important:

  • If you configure default values by using the OCT or enforce settings by using Group Policy, the setting Junk Mail Import list must be configured so the new configurations can be applied.

  • For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

  • For more information about the OCT, see Office Customization Tool in Office 2010.

You can configure the following settings for the Outlook 2010 Junk E-mail filter. In the OCT, on the Modify user settings page, these settings are under Microsoft Outlook 2010\Outlook Options\Preferences\Junk E-mail. In Group Policy, these settings are under User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Preferences\Junk E-mail.

Junk e-mail option | Description
Add e-mail recipients to users' Safe Senders Lists | Automatically add all e-mail recipients to users' Safe Senders Lists.
Hide Junk Mail UI | In Group Policy, disable junk e-mail filtering and hide related settings in Outlook.
Hide warnings about suspicious domain names in e-mail addresses | Enable to hide warnings about suspicious domain names in the e-mail addresses.
Junk Mail Import List | Option in the OCT. You must enable this setting to enable other junk e-mail settings configured in the OCT or in Group Policy.
Junk E-mail protection level | Select the level of junk e-mail protection for users: No Protection, Low, High, Trusted Lists Only.
Overwrite or Append Junk Mail Import List | Change default from overwrite Junk Mail Import list to append to the list.
Permanently delete Junk E-mail | Permanently delete suspected junk e-mail instead of moving it to the Junk E-mail folder.
Specify path to Blocked Senders list | Specify a text file that contains a list of e-mail addresses to append to or overwrite the Blocked Senders list.
Specify path to Safe Recipients list | Specify a text file that contains a list of e-mail addresses to append to or overwrite the Safe Recipients list.
Specify path to Safe Senders list | Specify a text file that contains a list of e-mail addresses to append to or overwrite the Safe Senders list.
Trust E-mail from Contacts | Trust e-mail addresses included in users' Contacts folders.

Deploying default Junk E-mail Filter lists

You can deploy default Junk E-mail Filter lists to your users. The Junk E-mail Filter uses these lists as follows:

  • Safe Senders list E-mail messages that were received from the e-mail addresses in the list or from any e-mail address that includes a domain name in the list are never treated as junk e-mail.

  • Safe Recipients list E-mail messages sent to the e-mail addresses in the list or to any e-mail address that includes a domain name in the list are never treated as junk e-mail.

  • Blocked Senders list E-mail messages that were received from the e-mail addresses in the list or from any e-mail address that includes a domain name in the list are always treated as junk e-mail.

If a domain name or e-mail address is a member of both the Blocked Senders list and the Safe Senders list, the Safe Senders list takes precedence over the Blocked Senders list. This reduces the risk that mail that users want might be treated as junk e-mail by mistake. The lists are stored on the Exchange server and are available if users roam.

To deploy the Junk E-mail Filter lists, you create the lists on a test computer and distribute the lists to your users. You can distribute the lists by putting the lists on a network share, or if you have remote users not connected to the domain, you can use the OCT to add the files by using the Add files option. The lists that you provide are default lists. If you deploy the lists by using Group Policy, users can change the lists during their Outlook session. When users restart Outlook, Group Policy will append the list by default or, if you have enabled Overwrite or Append Junk Mail Import List, their changes will be overwritten with the original list that you deployed. For information about how to create and deploy default lists, see Configure junk e-mail settings in Outlook 2010.

Configuring Automatic picture download

Messages in HTML format often include pictures or sounds. Sometimes these pictures or sounds are not included in the message, but are instead downloaded from a Web server when the e-mail message is opened or previewed. This is typically done by legitimate senders to avoid sending extra-large messages.

However, junk e-mail senders can use a link to content on external servers to include a Web beacon in e-mail messages, which notifies the Web server when users read or preview the message. The Web beacon notification validates the user's e-mail address to the junk e-mail sender, which can result in more junk e-mail being sent to the user.

This feature, to not automatically download pictures or other content, can also help users avoid viewing potentially offensive material (for external content linked to the message) and, if they are on a low bandwidth connection, to decide whether an image warrants the time and bandwidth to download it. Users can view the blocked pictures or content in a message by clicking the InfoBar under the message header or by right-clicking the blocked image.

By default, Outlook 2010 does not download pictures or other content automatically, except when the external content comes from a Web site in the Trusted Sites zone, or from an address or domain specified in the Safe Senders List. You can change this behavior so that content from any of the zones (Trusted Sites, Local Intranet, and Internet) will be downloaded automatically or blocked automatically.

You can configure the following settings for automatic picture download. In the OCT, on the Modify user settings page, these settings are under Microsoft Outlook 2010\Security\Automatic Picture Download Settings. In Group Policy, these settings are under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Automatic Picture Download Settings.

Automatic picture download option | Description
Automatically download content for e-mail from people in Safe Senders and Safe Recipients lists | Enable this option to automatically download content when e-mail message is from someone in the user's Safe Senders list or to someone in the user's Safe Recipients list.
Block Trusted Zones | Disable this option to include Trusted Zones in the Safe Zones for Automatic Picture Download.
Display pictures and external content in HTML e-mail | Enable this option to automatically display external content in HTML mail.
Do not permit download of content from safe zones | Disable this option to automatically download content for sites in Safe Zones (as defined by Trusted Zones, Internet, and Intranet settings).
Include Internet in Safe Zones for Automatic Picture Download | Automatically download pictures for all Internet e-mail.
Include Intranet in Safe Zones for Automatic Picture Download | Automatically download pictures for all Intranet e-mail

For information about how to configure automatic picture download, see Configure junk e-mail settings in Outlook 2010.

See Also

Concepts

Configure junk e-mail settings in Outlook 2010


Plan antivirus scanning for Outlook 2010

Published: October 25, 2011

When you plan antivirus scanning for Microsoft Outlook 2010 files and email messages, take precautions to prevent the issues that can arise.

Scanning Outlook files

Outlook Data Files (*.pst) and Offline Folder files (*.ost) are the most frequently-accessed Outlook files. If you use antivirus software to perform file-level scanning on them, while Outlook is in use, data corruption issues might result.

Data corruption issues might also result when you scan Outlook address book files (*.oab ), Outlook nickname files (*.nk2 ), Send/receive settings files (*.srs ), *.xml files, outcmd.dat, and Outlprnt, although the possibilities of this occurrence are significantly reduced because people access these files far less frequently.

Scanning email messages

We we do not recommend that you scan *.pst, *.ost, and other Outlook files directly. Instead, we recommend that you scan email message attachments on the email server and on the Outlook client computer.

  • To scan email messages that are on an email server you must use antivirus software that was developed to scan incoming and outgoing e-mail.

    • To scan email messages that are on the Exchange Server, use an antivirus software program that is Exchange-aware.

    • If your email messages are on an email server that is located at an Internet service provider (ISP), verify that the ISP is using antivirus software to scan incoming and outgoing email messages.

  • To scan the attachments that are included in email messages on the client computer, use antivirus software on the client computer. We recommend this in case an unwanted message reaches your email client because antivirus software on the email server failed to identify it.


Plan for spelling checker settings in Office 2010

Depending on your objectives, you can use either Group Policy or the Office Customization Tool (OCT) to manage the behavior of spelling checker in Office 2010. To determine which of these tools to use, you must decide whether or not you want users to be able to change your configurations:

  • Group Policy enables you to set policies, which are configurations that users cannot change.

  • The OCT enables you to set preferences, which are configurations that users can change through the user interface (UI). Preferences are deployed during Office 2010 setup.

The Office 2010 Group Policy and OCT settings are available in the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316) download package. The download package also contains an Excel 2010 workbook ("Office2010GroupPolicyAndOCTSettings.xls") that has more information about the settings. It includes registry information that can be useful if you want to configure spelling checker options by using a script.

In this article:

  • Office 2010 general spelling checker settings

  • InfoPath 2010 spelling checker settings

  • OneNote 2010 spelling checker settings

  • Outlook 2010 spelling checker settings

  • PowerPoint 2010 spelling checker settings

  • Publisher 2010 spelling checker settings

  • Word 2010 spelling checker settings

The sections in this article are grouped by application. Each section contains a table that lists the setting names, descriptions, the behavior that occurs when you enable, disable, or do not configure the setting, and the location of the setting in the Group Policy object editor and OCT.

Note:

  • The locations in the Group Policy Object Editor apply when you invoke the Group Policy Object Editor to configure a GPO. To configure local Group Policy, use the Local Group Policy Editor. To configure domain-based Group Policy, use the Group Policy Management Console (GPMC). Either tool invokes the Group Policy Object Editor when you configure a GPO. For more information, see Use Group Policy to enforce Office 2010 settings and Group Policy overview for Office 2010.

  • The locations in the OCT are available on the Modify user settings page. For more information about the OCT, see Office Customization Tool in Office 2010.

  • For more information about the spelling checker options that users can change through the UI, see Choose how spelling and grammar checking work (http://go.microsoft.com/fwlink/p/?linkID=202126).

Office 2010 general spelling checker settings

The following table lists the settings that apply globally to Office 2010.

Name | Description | When enabled | When disabled | When not configured | Group Policy object editor location | OCT location
Improve proofing tools | Controls whether the Help Improve Proofing Tools feature sends usage data to Microsoft. | Data is sent to Microsoft if users decide to participate in the Customer Experience Improvement Program (CEIP). | Data is not collected or sent to Microsoft. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection
Flag Repeated Words | Allows users to flag or ignore repeated words. | Spelling checker flags repeated words. | Spelling checker does not flag repeated words. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling
Ignore words in UPPERCASE | Allows users to ignore words that are written in UPPERCASE. | Spelling checker ignores words that are written in UPPERCASE. | Spelling checker does not ignore words that are written in UPPERCASE. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling
Ignore words with numbers | Allows users to ignore words that contain numbers. | Spelling checker ignores words that contain numbers. | Spelling checker does not ignore words that contain numbers. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling
Ignore Internet and file addresses | Allows users to ignore URLs and file paths. | Spelling checker ignores URLs and file paths. | Spelling checker does not ignore URLs and file paths. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling
Suggest from main dictionary only. | Allows users to select words from the main dictionary only. | Spelling checker lets users select words from the main dictionary only. | Spelling checker lets users select words from other sources. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft Office 2010\Tools | Options | Spelling\Proofing Data Collection | Microsoft Office 2010\Tools | Options | Spelling

InfoPath 2010 spelling checker settings

The following table lists the settings that apply to InfoPath 2010.

Name | Description | When enabled | When disabled | When not configured | Group Policy object editor location | OCT location
Hide spelling errors | Allows users to hide spelling errors (the wavy line under a misspelled word) | Spelling errors (the wavy lines under a misspelled word) are hidden. | Spelling errors are designated by a wavy line that is under the misspelled word. | Same as if it is enabled, except users can change the setting through the UI. | Microsoft InfoPath 2010\InfoPath Options\Spelling & Grammar | Microsoft InfoPath 2010\InfoPath Options\Spelling & Grammar
Disable commands | Allows the administrator to disable UI options. | The administrator can disable the following UI option: Home tab | Spelling Menu | Set Proofing Language | UI option is enabled. | Same as if it is disabled, except users can change the setting through the UI. | Microsoft InfoPath 2010\Disable Items in User Interface\Predefined | Not available in the OCT.

OneNote 2010 spelling checker settings

The following table lists the settings that apply to OneNote 2010.

Name Description When enabled When disabled When not configured Group Policy object editor location OCT location

OneNote Spelling Options

Determines the following spelling options for users

  • No spell checking

  • Check spelling as you type

  • Hide spelling errors

  • Check spelling but hide errors

One or more options can be enabled.

One or more options can be disabled.

Same as enabling the "Check spelling as you type" option, but users can change this through the UI.

Microsoft OneNote 2010\OneNote Options\Spelling

Microsoft OneNote 2010\OneNote Options\Spelling

Outlook 2010 spelling checker settings

The following table lists the settings that apply to Outlook 2010.

Name Description When enabled When disabled When not configured Group Policy object editor location OCT location

General

Enables or disables the following spelling options for users:

  • Always check spelling before sending

  • Ignore original message text in software

One or more options can be enabled.

One or more options can be disabled.

Both options are enabled, but users can change this through the UI.

Microsoft Outlook 2010\Outlook Options\Spelling

Microsoft Outlook 2010\Outlook Options\Spelling

PowerPoint 2010 spelling checker settings

The following table lists the settings that apply to PowerPoint 2010.

Name | Description | When enabled | When disabled | When not configured | Group Policy object editor location | OCT location
Use contextual spelling | Enables or disables contextual spelling for users. | Contextual spelling is enabled for users. | Contextual spelling is disabled for users. | Same as if it is enabled, except users can change through the UI. | Microsoft PowerPoint 2010\PowerPoint Options\Proofing | Microsoft PowerPoint 2010\PowerPoint Options\Proofing
Check spelling as you type | Enables PowerPoint 2010 to check the spelling while the user types. | Check spelling as you type is enabled for users. | Check spelling as you type is disabled for users. | Same as if it is enabled, except users can change through the UI. | Microsoft PowerPoint 2010\PowerPoint Options\Proofing | Microsoft PowerPoint 2010\PowerPoint Options\Proofing

Publisher 2010 spelling checker settings

The following table lists the settings that apply to Publisher 2010.

Name Description When enabled When disabled When not configured Group Policy object editor location OCT location

Check spelling as you type

Enables or disables the following options:

  • Check spelling as you type.

  • Hide spelling errors.

  • ''Check spelling as you type'' and ''Hide spelling errors'' are both enabled.

One or more of the options can be enabled.

One or more of the options can be disabled.

Check spelling as you type is enabled, but users can change this through the UI.

Microsoft Publisher 2010\Publisher Options\L_Proofing

Microsoft Publisher 2010\Publisher Options\L_Proofing

Word 2010 spelling checker settings

The following table lists the settings that apply to Word 2010.

Name | Description | When enabled | When disabled | When not configured | Group Policy object editor location | OCT location
Check grammar with spelling | Allows users to configure spelling checker to check the grammar at the same time that they check the spelling. | Spelling checker checks for grammar when it checks spelling. | Spelling checker does not check for grammar when it checks spelling. | Same as if it is enabled, except users can change through the UI. | Microsoft Word 2010\Word Options\Proofing\AutoFormat as you type\Automatically as you type | Microsoft Word 2010\Word Options\Proofing
Delay before starting background spelling checker | Allows the administrator to add a delay, expressed in milliseconds.Milliseconds (e.g. 5000 milliseconds = 5 seconds), before background spelling checker starts.) | The administrator can specify a delay in milliseconds, between 0 - 2147483647. | There is no delay. | There is no delay. | Microsoft Word 2010\Word Options\Proofing\AutoFormat as you type\Automatically as you type | Microsoft Word 2010\Word Options\Proofing

See Also

Reference

Plan for proofing tools

Concepts

Group Policy overview for Office 2010
Use Group Policy to enforce Office 2010 settings


Plan for SharePoint Workspace 2010

When you plan a Microsoft SharePoint Workspace 2010 deployment, consider your organization's needs and objectives, especially in the context of the deployment options that are discussed here.

The following references may also be helpful:

  • For information about how to deploy SharePoint Workspace 2010 after planning your objectives, see Configure and customize SharePoint Workspace 2010.

  • For information about how to deploy SharePoint Workspace 2010 for a Microsoft Groove Server-managed environment, see Deployment for Groove Server 2010.

In this article:

  • Topology options for SharePoint Workspace 2010

  • Network settings for SharePoint Workspace 2010

  • Scalability and performance considerations

  • Security considerations

  • SharePoint Workspace user authentication

  • Alternate access mapping

  • SharePoint list and library actions and settings

  • Search options

  • SharePoint Workspace backup and recovery

Topology options for SharePoint Workspace 2010

SharePoint Workspace 2010 is a client for Microsoft SharePoint Server 2010 and Microsoft SharePoint Foundation 2010 that supports online and offline collaboration. SharePoint Workspace enables anytime synchronization of local content with documents and lists on a SharePoint site. SharePoint Workspace also provides options that support peer collaboration through the creation of Groove workspaces and shared folders that do not require SharePoint connections. SharePoint Workspace is included with Microsoft Office Professional Plus 2010. See SharePoint Workspace 2010 overview for more information about SharePoint Workspace.

Planning a SharePoint Workspace 2010 deployment begins with selecting a topology that best supports your collaboration strategy. To start, consider the operating environment and your organization's requirements. The following table lists key decision factors:

Capability | Requirement
Is SharePoint Server 2010 or SharePoint Foundation 2010 used in the organization? | Yes|No
Do some team contributors have to work offline? | Yes|No
Do you have to support flexible, agile peer collaboration, where users have to connect from different locales and time zones? | Yes|No
Does the organization permit the use of peer collaboration software? | Yes|No
Does team collaboration have to extend outside a private network or LAN to trusted partners and field sites? | Yes|No
Is Active Directory used in your organization? | Yes|No
Are valuable contributions expected from clients that have no access to the organization's SharePoint sites? | Yes|No
Is centralized management of peer collaboration necessary for the organization's security and management infrastructure? | Yes|No

The following table shows how various SharePoint Workspace topologies address these requirements:

SharePoint Workspace topologies and capabilities

Topology Capabilities

SharePoint Workspace as a SharePoint client

This topology supports or builds upon:

  • Access to SharePoint Server 2010 or SharePoint Foundation 2010 document libraries and lists.

  • Team contributors who work online and offline.

SharePoint Workspace as a peer collaboration client

This topology supports or builds upon:

  • Team contributors working online and offline.

  • Flexible, agile peer collaboration. Groove workspaces support multiple communication protocols and organizations can control which ports are open for peer message transport.

  • Team collaboration that is extended outside a private network to trusted partners and field sites.

  • Valuable contributions from clients that have no access to the organization's SharePoint sites.

SharePoint Workspace as a SharePoint and peer collaboration client

This topology supports or builds upon:

  • Access to SharePoint Server 2010 or SharePoint Foundation 2010 document libraries and lists.

  • Team contributors working online and offline.

  • Flexible, agile peer collaboration. Groove workspaces support multiple communication protocols. This lets organizations control which ports are open for peer message transport.

  • Team collaboration that extends outside a private network to trusted partners and field sites.

  • Valuable contributions from clients that have no access to the organization's SharePoint sites.

SharePoint Workspace and Groove Server as a managed collaboration system

This topology supports or builds upon:

  • Centralized management of peer collaboration to address the organization's security and management requirements.

  • Team contributors working online and offline.

  • Flexible, agile peer collaboration.

  • Team collaboration extended outside a private network to trusted partners and field sites.

  • Valuable contributions from clients that have no access to the organization's SharePoint sites.

  • Existing integration with Active Directory system.

For more information about this deployment topology, see Groove Server 2010.

The next four sections of this article describe how the listed SharePoint Workspace deployment topologies map to collaboration needs.

SharePoint Workspace as a SharePoint client

SharePoint Workspace as a SharePoint client is most suitable for organizations with SharePoint team members and partners who have to contribute content from outside the corporate infrastructure — from data that is collected in the field or from locations that do not have a SharePoint server connection. This topology provides SharePoint Workspace users with the following collaboration option:

  • The ability to easily create a SharePoint workspace that establishes a connection between a SharePoint server and a SharePoint Workspace client. This enables a single SharePoint team member or partner to take SharePoint site content onto a local computer. By using a SharePoint workspace, a contributor can add, change, and delete content for a SharePoint document library or list whether online or offline, regardless of connectivity to a SharePoint server. Synchronization of content updates between the SharePoint Workspace client and SharePoint sites occurs automatically when the client is online so that contributors can share the work that they performed while offline as easily as they can share the work that they generate while connected to the Internet.

Note:

The SharePoint Workspace client lets users create SharePoint workspaces and peer workspaces. Peer workspace types can be Groove workspaces or Shared Folders, as described in SharePoint Workspace as a SharePoint and peer collaboration client. To deploy SharePoint Workspace exclusively as a SharePoint client, supporting SharePoint workspaces only, you can include with your deployment a policy that prohibits peer workspace options, as described in Configure and customize SharePoint Workspace 2010.

For this configuration, a basic level of client management can be achieved by using Windows and Active Directory tools.

SharePoint workspaces rely on SharePoint Workspace communications and dynamics technology to support individual client-to-SharePoint connections that enable SharePoint Workspace users to work with and synchronize SharePoint document and list content on their local computers. Figure 1 shows a basic setup of SharePoint Workspace to Microsoft SharePoint Server 2010.

Figure 1. SharePoint Workspace connection to SharePoint

SharePoint Workspace connection to SharePoint

SharePoint Workspace as a peer collaboration client

SharePoint Workspace as a peer collaboration client is most suitable for organizations that have to provide information workers with a well-equipped, easy-to-use collaboration environment where neither Microsoft SharePoint Server 2010 nor Microsoft SharePoint Foundation 2010 is available. This topology gives SharePoint Workspace users two peer collaboration options:

  • The ability to easily and quickly create Groove workspaces where information workers can collaborate safely with trusted peers without the need of a virtual private network (VPN) and with access to a full set of local online and offline collaboration tools. Groove workspace collaboration tools support document creation and sharing, online discussions, meeting management, and Microsoft InfoPath forms, in an environment of real-time collaboration among team members and partners located inside or outside the corporate firewall.

  • The ability to create Shared Folders where SharePoint Workspace users can collaborate on content within designated Windows folders on workspace member desktops.

For this configuration, a basic level of client management can be achieved by using Windows and Active Directory tools.

For peer collaboration through Groove workspaces and Shared Folders, SharePoint Workspace builds on its communications and dynamics foundation and provides a workspace manager module with a set of tools, a contacts manager, a message manager, and an implementation of standards-based Public Key Infrastructure (PKI) to help secure Groove workspaces and authenticate workspace members. Groove workspace data resides on client computers and built-in security provisions ensure that workspace member data is encrypted over the network. The core capabilities of SharePoint Workspace tools and components can be used on two client computers that are directly connected over a local area network (LAN), as shown in Figure 2.

Figure 2. Groove workspace peer connections on a LAN

SharePoint Workspace LAN connect

To sustain peer communications for Groove workspaces and Shared Folders, when a client is connected to a wide area network (WAN), offline, or behind a firewall, SharePoint Workspace relies on supporting Microsoft Groove Server Manager and Relay services, as shown in Figure 3. These servers, Microsoft-hosted or installed onsite, help ensure timely communication regardless of user context or Internet-wide environmental conditions.

Figure 3. Groove workspace connections beyond a LAN

SharePoint Workspace with Groove workspaces

SharePoint Workspace as a SharePoint and peer collaboration client

SharePoint Workspace as a SharePoint and peer collaboration client is most suitable for organizations that have to synchronize client desktop content with SharePoint document libraries and lists while extending collaboration to ad hoc teams that work outside the SharePoint document framework. This option merges the previously described topologies to give SharePoint Workspace users the following collaboration options:

  • The ability to create a SharePoint workspace that establishes a connection between a SharePoint server and a SharePoint Workspace client. This enables a single SharePoint team member or partner to take SharePoint site content onto a local computer, as described in SharePoint Workspace as a SharePoint client.

  • The ability to easily create Groove workspaces where trusted peers can collaborate safely without the need of a VPN, as described in SharePoint Workspace 2010 overview.

  • The ability to create Shared Folder workspaces where SharePoint Workspace users can collaborate on content within designated Windows folders on workspace member desktops.

For this configuration, a basic level of client management can be achieved by using Windows and Active Directory tools.

SharePoint Workspace communications and dynamics modules, together with TCP/IP protocols summarized in Network settings for SharePoint Workspace 2010, support message transport and content synchronization between individual clients and SharePoint servers, and between client peers. Figure 4 shows a SharePoint Workspace client/server system that involves a SharePoint server, Groove Server Relay and management services, and four SharePoint Workspace clients:

Figure 4. SharePoint Workspace with SharePoint and Groove servers

SharePoint Workspace connections outside of LAN

SharePoint Workspace and Groove Server as a managed collaboration system

When Groove workspaces and Shared Folders are used, installation of Microsoft Groove Server 2010 onsite as part of SharePoint Workspace deployment provides optimal client administration. Groove Server provides two applications that facilitate SharePoint Workspace deployment and operation in an enterprise: Groove Server Manager provides management, reporting, and policy distribution services, and Groove Server Relay facilitates client communications. This system can function with or without SharePoint Server and can be extended to partners outside corporate firewalls. For more information about Groove Server 2010, see Groove Server 2010.

The following table shows how SharePoint Workspace topology options can serve a range of scenarios.

SharePoint Workspace scenarios and topologies

Scenario Description Chosen topology and required components

Financial services company

  • Scope: City-wide

  • Size: 2,000 employees

  • SharePoint Workspace users: 1,000

  • SharePoint infrastructure in place

SharePoint Workspace as SharePoint client only

Required components:

  • SharePoint Server

  • SharePoint Workspace clients

State higher-education system

  • Scope: State-wide

  • Size: 4,000 employees

  • SharePoint Workspace users: 2,000

  • No existing SharePoint installation

SharePoint Workspace as a peer collaboration client

Required components:

  • SharePoint Workspace clients that have Internet connectivity

Regional healthcare system

  • Scope: Region

  • Size: 10,000 employees

  • SharePoint Workspace users: 8,000

  • SharePoint infrastructure in place

SharePoint Workspace as a SharePoint and peer collaboration client

Required components:

  • SharePoint Server

  • SharePoint Workspace clients

  • Internet connectivity

Multinational corporation

  • Scope: Global

  • Size: 500,000 employees

  • SharePoint Workspace users: 50,000

  • IT department: Yes

Groove Server and SharePoint Workspace as a SharePoint managed collaboration system

Required components:

  • Microsoft Groove Server 2010

  • SharePoint Workspace clients

  • Active Directory system (recommended)

  • Internet connectivity (recommended)

Network settings for SharePoint Workspace 2010

Microsoft SharePoint Workspace 2010 automatically configures Windows Firewall network ports for optimal operation. To verify client port connections or to configure Microsoft SharePoint Server and SharePoint Workspace ports for SharePoint workspaces only, start the Windows Firewall Control Panel add-in and configure settings as necessary.

For more information about SharePoint Workspace protocols, see Microsoft protocol documents (http://go.microsoft.com/fwlink/p/?LinkId=162294).

The following table describes which ports are required for which protocols in SharePoint Workspace.

Client port settings for SharePoint Workspace 2010

SharePoint Workspace client port settings Protocols supported Description

80/TCP - Outgoing

Microsoft File Synchronization by SOAP over HTTP Protocol (MS-FSSHTTP)

Microsoft Groove HTTP Encapsulation of Simple Symmetric Transport Protocol (MS-GRVHENC)

Supports the following communications:

  • For SharePoint workspaces — Synchronization of document and list content between Microsoft SharePoint Server and SharePoint Workspace clients.

  • For Groove workspaces and Shared Folders — Transmission of SSTP messages among SharePoint Workspace clients and Groove Relay servers when neither SSTP port 2492/TCP nor port 443/TCP is available. Encapsulates SSTP transmissions in HTTP.

  • For Groove workspaces and Shared Folders — SOAP communication between SharePoint Workspace clients and Groove management servers.

443/TCP - Outgoing

HTTPS

Microsoft Groove HTTP Encapsulation of Simple Symmetric Transport Protocol Security Protocol (MS-GRVSSTPS)

Supports the following communications:

  • For SharePoint workspaces — Synchronization of SSL-protected content between Microsoft SharePoint Server and SharePoint Workspace clients.

  • For Groove workspaces and Shared Folders — Transmission of SSTP messages among SharePoint Workspace clients and relay servers when SSTP port 2492/TCP is not available. Utilizes Secure HTTP Tunneling technology.

2492/TCP - Incoming and outgoing

Microsoft Groove Simple Symmetric Transport Protocol (MS-GRVSSTP)

Supports the following communications:

  • For Groove workspaces and Shared Folders — Transmission of SSTP messages among SharePoint Workspace clients and relay servers.

1211/UDP - Incoming and outgoing

Local Area Network Device Presence Protocol (LANDPP)

Supports following communications:

  • For Groove workspaces and Shared Folders — Local area network (LAN) device presence detection between SharePoint Workspace clients.

Scalability and performance considerations

This section provides system capacity information to help you plan for optimal system performance within the scope of expected SharePoint workspace usage in your organization. In this discussion, performance refers to document open, save, and update times, as well as upload and download times.

Performance and scalability

SharePoint Workspace stores downloaded SharePoint library documents in the common Office Document Cache (ODC) on the client device. The number of SharePoint Workspace documents that are stored in this cache has a direct impact on client system memory and performance. Because the ODC supports multiple Office applications, the implications of cache utilization by one Office application can extend to other Office applications on the system. In the case of SharePoint Workspace 2010, as more documents are stored in the ODC for synchronization, system memory fills up and performance decreases. As the number of cached SharePoint documents approaches 10,000, depending on file size, types, and contents, available memory and performance may decrease significantly. This approximate upper limit is based on tests in a controlled environment. The limit may be higher or lower in actual scenarios with documents of different sizes, types, and contents.

The size and number of documents that are synchronized with SharePoint can vary widely, even in a single organization. To anticipate and mitigate client performance and operational problems, try to plan for the expected maximum use case by implementing usage guidelines to prevent overloading the cache and related resources.

SharePoint Workspace 2010 hardware requirements are intended for most basic use cases, where the cache may contain fewer than 500 files and file size averages no more than 300 KB. These requirements specify client installation on a single-core processor of 256 MHz, with 256 MB of RAM and a 1.5 GB drive. To optimize for a better user experience in a heavier use environment, the following equipment is recommended as a minimum:

  • Dual core processor, 2GHz

  • 4 GB RAM

  • 200 GB hard disk drive

If you expect to support client document caches that hold more than 500 documents on average, and some of them contain more than 300 KB of text, possibly with complex graphics and video clips, you should consider the higher-level hardware requirements.

The suggested limits are the result of tests conducted on the following hardware:

Intel Xeon CPU E5410 @ 2.33GHz, 4GB RAM, Single Disk 200GB

If necessary, you can take the following step to help control SharePoint Workspace performance:

  • Limit file downloads to headers only by setting the following DWORD value in the Registry: HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Groove\DefaultDocumentLibraryContentDownloadSettingHeadersOnly

    Warning:

    Serious problems might occur if you modify the registry incorrectly. These problems could require you to reinstall the operating system. Microsoft cannot guarantee that these problems can be solved. Modify the registry at your own risk. Always make sure that you back up the registry before you modify it, and that you know how to restore the registry if a problem occurs. For more information about how to back up, restore, and modify the registry, see the Microsoft Knowledge Base article Windows registry information for advanced users.

For information about baseline SharePoint Workspace hardware requirements, see System requirements for Office 2010.

For information about the built-in mechanisms provided by SharePoint Server 2010 and SharePoint Workspace 2010, see Performance monitoring and throttling.

For information about SharePoint Server system requirements, see Deployment for SharePoint Server 2010 (http://go.microsoft.com/fwlink/p/?LinkId=188459).

Performance monitoring and throttling

SharePoint Server 2010 moderates the flow of client communications by throttling requests when built-in server health monitors indicate that server performance is lagging because of heavy workload. When SharePoint workspaces are used, SharePoint Workspace clients respond to SharePoint Server back-off signals by adjusting the frequency of server requests. SharePoint Workspace synchronization frequency adjustments reflect SharePoint workspace activity and SharePoint site changes, in such a way that the periodicity is lower when activity is minimal than when activity is greater. These adjustments reduce overall client bandwidth usage while they improve server performance.

In the case of Groove workspaces, SharePoint Workspace provides built-in performance provisions and relies on Groove Server Relay services, hosted by Microsoft or installed onsite, to optimize communications. To optimize performance, SharePoint Workspace transmits Groove workspace data directly from client to client when network conditions allow it. When data is addressed to a client that cannot be reached directly, SharePoint Workspace sends data over relay servers that optimize message transmission. Total bandwidth use under conditions of high traffic is often less when relay servers help in message transmission.

For more information about SharePoint performance monitoring and throttling, see Plan for caching and performance.

Security considerations

SharePoint Workspace client exchanges with SharePoint sites rely on synchronization protocol and external mechanisms for security, such as those provided by VPNs or Secure Socket Layer (SSL) technology. Therefore, we recommend SSL encryption for SharePoint connections from outside a corporate domain. You can configure Group Policy settings that apply across an Active Directory organizational unit, as described in Configure and customize SharePoint Workspace 2010. In addition, you can secure the SharePoint site from unauthorized access by setting access control lists appropriately. For guidance about how to set access control for users to synchronize with SharePoint libraries and lists, see Security and protection for SharePoint Foundation 2010 or Security and protection for SharePoint Server 2010.

SharePoint Workspace uses strong cryptographic and encryption technologies to protect SharePoint Workspace accounts, which are the secure repositories for each user's cryptographic keys, identity, contacts, messages, and unique workspace identifiers. Windows authentication and users' Windows logon credentials are used to unlock SharePoint Workspace accounts.

SharePoint Workspace 2010 does not encrypt SharePoint Workspace 2010 documents and other binary files, including SharePoint workspace content, on disk. Therefore, consider using BitLocker Drive Encryption to encrypt all content on client data drives. For more information see BitLocker Drive Encryption (http://go.microsoft.com/fwlink/p/?LinkId=163122). You can strengthen protection by blocking Windows Search in the SharePoint Workspace Data directory, to prevent generation of Search indexes that are not encrypted. However, be aware that content shared with other clients that are not equally protected will remain not encrypted and searchable.

For Groove workspaces and Shared Folders, SharePoint Workspace uses native symmetric and public key cryptographic technologies to authenticate, encrypt, and protect transmissions between clients over the network. Strong encryption protects the following content on-disk: Groove instant messages, Groove invitations, Groove Discussion and Notepad entries, archived Groove workspaces, and Forms tool templates.

SharePoint Workspace user authentication

SharePoint Workspace 2010 uses Windows logon and the Data Protection API (DPAPI) to authenticate the user and access the SharePoint Workspace account. This single sign-on user (SSO) logon means that additional SharePoint Workspace-specific credentials are not required.

For authenticating SharePoint Workspace users to SharePoint Server, SharePoint Workspace supports the following SharePoint Server methods: Windows authentication and forms-based authentication. Typically, Windows authentication is used for internal SharePoint Workspace user access to SharePoint sites. Forms-based authentication can be used for external SharePoint Workspace user access to SharePoint sites.

For authenticating SharePoint Workspace users to one another (for Groove workspaces, Shared Folders, and messaging), SharePoint Workspace relies on its native public key infrastructure (PKI).

For more information about Single Sign-On for SharePoint Server, see Enterprise Single Sign-On (http://go.microsoft.com/fwlink/p/?LinkId=162302).

For more information about forms-based authentication, see Configure Forms Based Authentication (http://go.microsoft.com/fwlink/p/?LinkID=149721).

Alternate access mapping

SharePoint Server supports alternate access mapping, which lets you define multiple URLs per site. When SharePoint workspaces are used, you can take advantage of this capability to ensure that SharePoint Workspace can synchronize with multiple SharePoint Server site URLs. Defining multiple URLs is useful for deployment scenarios in which the URL of a web request received by Internet Information Services (IIS) differs from the URL that was typed by a SharePoint user; for example, in scenarios that include reverse proxy publishing and load balancing.

If you have defined Alternate Access Mappings (AAM) for Microsoft SharePoint Server or SharePoint Foundation in the context of a Unified Access Gateway (UAG) server, you must configure the UAG server so that the correct alternate access mappings for target SharePoint server URLs are retained when remote SharePoint Workspace users try to access and synchronize content on a SharePoint site through the UAG.

To avoid synchronization problems for offline SharePoint Workspace 2010 clients who reconnect to SharePoint through UAG after working offline, upgrade UAG to Service Pack 1. Otherwise, disable address link translation for the following pages on the Unified Access Gateway server:

  • /_vti_bin/Lists.asmx

  • /_vti_bin/Webs.asmx

For more information about alternate access mapping, see Planning alternate access mappings (http://go.microsoft.com/fwlink/p/?LinkID=114854).

SharePoint list and library actions and settings

The following SharePoint Server 2010 actions and settings apply to SharePoint Workspace 2010:

  • File Synchronization via SOAP over HTTP Protocol — This protocol must be enabled to support synchronization of SharePoint library and list content with SharePoint workspaces on SharePoint Workspace clients.

  • Remote Differential Compression (RDC) — This Windows feature should be enabled to support File Synchronization via SOAP over HTTP Protocol.

  • Site Actions: Sync to SharePoint Workspace — SharePoint Workspace users connected to the SharePoint site can click Sync to SharePoint Workspace to create a SharePoint workspace on a local computer, or to synchronize content if a local SharePoint workspace already exists for the site. From the local workspace, the user can add, change, or delete content regardless of connectivity to the SharePoint site. Synchronization with the SharePoint site occurs automatically at set intervals while the user is connected, or the user can click the Sync tab in the SharePoint workspace to force synchronization.

    Note:

    Sync to SharePoint Workspace is also available as a ribbon option from a SharePoint document library or list.

  • Site Actions/Site Settings/Site Administration/Search and offline availability/Offline Client Availability — SharePoint site administrators must select this setting to enable SharePoint Workspace clients to access the site.

  • Secure Socket Layer (SSL) protection — SSL protection is recommended for the incoming port 80 interface that will support SharePoint communications with SharePoint Workspace clients.

Search options

SharePoint Workspace content can be searched by using Windows Search 4.0 or later versions. By default, Windows Search crawling (index creation) is enabled for some SharePoint Workspace content. SharePoint Workspace users can access Windows Search 4.0 by clicking Search on the Home tab of the ribbon, unless prevented from doing this by a Windows policy.

Administrators can block Windows Search of SharePoint Workspace content and can override any user search setting by deploying an Active Directory GPO, as described in Configure and customize SharePoint Workspace 2010. For information about how to use Windows Search, see the Windows Search Administrator Guides (http://go.microsoft.com/fwlink/?LinkID=164567).

SharePoint Workspace backup and recovery

All SharePoint Workspace account information resides on client computers. Account information includes cryptographic keys and user identity information. SharePoint Workspace provides mechanisms for user account backup and recovery. In addition, users can back up Groove workspaces as workspace archives.

To help safeguard SharePoint Workspace user accounts, encourage SharePoint Workspace users to observe the following best practices:

  • Enable SharePoint Workspace account recovery. The Enable account recovery setting can be accessed in SharePoint Workspace 2010 through the Account Preferences option and gives users a secure method for regaining access to accounts if a Windows logon must be reset. The Enable account recovery check box should remain selected on all clients, because it enables account recovery. Consider warning users against clearing this setting.

    Note:

    Enable account recovery also supports account portability and the ability to use the account on multiple computers. For organizations that must prevent users from porting their account to another computer, Microsoft Groove Server 2010 provides a policy that restricts managed accounts to a single computer. For information about how to deploy Groove Server at your site, see Deployment for Groove Server 2010.

  • Back up SharePoint Workspace user accounts to a file in a secure location. SharePoint Workspace supports account recovery in the event of a lost or corrupted account, by providing an option that enables users to save their accounts to a .grv file. Encourage users to regularly save their accounts to file in a secure location. Users can save their account by clicking the File tab on the ribbon and, in the Manage Account drop-down menu, selecting Account Preferences. Then they select Save Account as File on the Account tab, entering a file name and a password, for initial account recovery, when they are prompted. Note that Enable account recovery must be selected in the user's account preferences for a reset code to be sent and the account to be recovered if the password is forgotten. When this setting is enabled SharePoint Workspace sends a reset code to the e-mail address that was provided in the Account Configuration Wizard when the account was created. Users can then reset a recovered account.

To help safeguard Groove workspaces, encourage users to periodically back up each Groove workspace by clicking the File tab on the ribbon, selecting Share, and then configuring the Workspace as Archive option. For more information about how to back up and recover Groove workspaces, see SharePoint Workspace product help at Microsoft products online (http://go.microsoft.com/fwlink/p/?LinkId=162269).

Note:

Groove workspace data and tools reside on client computers. Therefore, if other team members share a Groove workspace, the lost workspace can be retrieved from another client computer.

See Also

Concepts

SharePoint Workspace 2010 overview
Configure and customize SharePoint Workspace 2010

Other Resources

Deployment for Groove Server 2010
Microsoft protocol documents
SharePoint Workspace and ODC


Plan customizations and options for Visio 2010

Learn about the customizations and options that are available in Microsoft Visio 2010.

In this article:

  • Application settings

  • Diagram templates

  • Customize Quick Shapes

  • Trusted documents

  • SharePoint and the Repository

Application settings

In Visio 2010, there are several ways to customize the application settings that you work with, from the application's appearance and behavior, to the rules that help you manage the work that you create.

Backgrounds and Borders & Titles galleries

The Backgrounds and Borders & Titles galleries on the Design tab are populated from the built-in stencils. However, the galleries can be customized by putting a stencil in the user's My Shapes folder (which is in the Documents or My Documents folder).

The stencils must be named as follows:

  • _BCKGRND.VSS for the Backgrounds gallery

  • _BORDERS.VSS for the Borders & Titles gallery

Note:

The files names must begin with an underscore.

If Visio finds a stencil that has this exact file name (which must be the same file name in all languages) in the My Shapes folder, it will use it to populate the gallery, instead of the stencil that was included with Visio 2010.

Warning:

The Shapes in these galleries have special behaviors that require knowledge of the Visio ShapeSheet to replicate.

To get a basis for the customized gallery content, follow these steps:

  1. Find the stencils that are included with Visio 2010, found in \Program Files\Microsoft Office\Office14\Visio Content\1033 (for English).

  2. Copy the files to your \My Shapes folder:

    1. Backgrounds (US and Metric)

      BCKGRN_U.VSS

      BCKGRN_M.VSS

    2. Borders & Title (US and Metric)

      BORDRS_U.VSS

      BORDRS_M.VSS

  3. Rename and customize the files.

Custom themes

In Microsoft Office Visio 2007, the introduction of the Themes feature made it easy to apply a professionally designed look to a diagram. In Visio 2010, the Themes feature takes advantage of the Microsoft Office Fluent user interface (UI) and is one of the features that demonstrates the Live Preview capability.

Visio custom themes are stored in the document, not in an external file. The way to deploy a custom theme is to define it in a Visio document and then save it as a template (*.vst) for use in the organization. The way that you create templates in Visio 2010 has not changed from Office Visio 2007 or earlier versions.

To create a custom theme that will be stored as a template, follow these steps:

  1. Click the Design tab.

  2. Click Colors.

  3. Click Create New Theme Colors.

  4. Select the theme name and colors, and then click OK.

  5. Click Effects.

  6. Click Create New Theme Effects.

  7. Select the desired effects, and then click OK.

All users will have to start their new drawings from that template to use the custom theme.

Custom validation rules

In Visio 2010, you can deploy custom templates that contain validation rule sets and rules to ensure that diagrams comply with certain company standards. A validation rule represents one kind of requirement that your diagram should follow. When a user runs validation, Visio displays a list of issues for requirements that have not been met.

A validation rule defines a logical test to be performed against the contents of the diagram. The validation rules are packaged together in rule sets. There can be multiple rule sets in a document. Each rule set can be active or inactive (off) and multiple sets can be active at the same time. Each rule set in a document has a unique name. The same rule might appear in multiple rule sets in a document, and the same rule set can appear in multiple documents that use the application. Microsoft Visio Premium 2010 provides rules in the Basic Flowchart, Cross-Functional Flowchart, Six Sigma Diagram, Microsoft SharePoint Workflow, and BPMN diagram templates. Custom rules and rule sets can be added to any template.

When validation is performed, Visio checks each rule active in the document against all the targets found in the document. For each target that does not meet the requirements specified by the rule, Visio creates a validation issue. All issues found during validation are displayed for the user in a single list.

Validation can be initiated by the user via the command button on the ribbon when the user wants to check their document for issues. These issues can be left unfixed or specifically ignored, which will suppress the issue for subsequent validation runs.

To access the validation feature, follow these steps:

  1. On the Process tab, select the Issues Window. This will open the Validation Window below the drawing.

  2. Then, on the Process tab, click the Check Diagram button.

When validation is triggered, there is no particular order of rules processed or shapes processed. However, a progress bar is shown after the operation takes longer than three seconds. The operation is stoppable, and Visio will display any issues found to this point.

If Visio finds more errors in the document than it can display in the Issues Window (currently 32767), validation is stopped automatically. A dialog box will display the message: "Diagram validation has been stopped because there are too many issues for Visio to track."

Once validation has stopped (complete or incomplete), if issues are found, Visio opens the Issues Window if it is currently not open and displays the issues.

Diagram templates

When you start Visio 2010, the first thing that you see is the new screen in the Microsoft Office Backstage view, where you can choose a template for the diagram that you will create. It resembles the Office Visio 2007 Getting Started screen. Visio 2010 documents are created in either U.S. units or metric units. The only SKU that contains both U.S. units and metric units is U.S. English (en-us). When you use this SKU, and create a new diagram, you can choose which units that you want to use. There is a setting and a Group Policy that can be customized to create the default as one of those two units when it is available and when the installation is en-us.

Customize Quick Shapes

The Shapes Window is redesigned in Visio 2010. Within the Shapes Window is a group named Quick Shapes. Quick Shapes is a subset of shapes that are used more frequently in a given stencil.

Quick Shapes can be customized through the user interface and these customizations are stored in the registry. The Quick Shapes count information for stencils is stored in the published components table and is the count used by default.

When a user customizes the stencil through the UI, Visio saves the Quick Shapes count and the master sort order in the registry under HKCU\Software\Microsoft\Office\14.0\Visio\Quick Shapes by using the following format:

Name: | Full file path of the stencil file
Type: | REG_BINARY
Data: | The Quick Shapes count and the sequence of master IDs, represented in binary form. The Quick Shapes count and each master ID are represented in 4 bytes

Trusted documents

Trusted documents is an improved feature in Office 2010 that interacts with document security features. It enables active content (for example, macros and ActiveX controls) in a document, based on the trust decision on the file, and can remember the selection every time that you open the document. Office versions earlier than the 2007 Office system prompted you for macros and other kinds of active content prior to opening a document every time.

In Office 2010, if you create or open a document that contains a macro, or receive a document that uses a data connection to a trusted server, and you have enabled the content in the trust record, you will not be prompted with a security notification for the content any more. When you use trusted documents, the trust is recorded on a per-file basis. The trust record is added to the Current User section of your local registry and contains the file's full path and other data, such as the creation time of the document.

Note:

Trust records are stored on a specific computer, so you will get prompted again if you open the file on another computer.

There are two entry points to make a document trusted. To make a document trusted, follow these steps:

  1. On the Message Bar, click Enable Content.

  2. Click the Message Bar for details. This will open the Backstage view.

    In the Backstage view, click Enable Content. This will display two additional options:

    1. Enable all content and make it a trusted document.

    2. Click the Advanced Options button to enable content for one time (similar to the 2007 Office system).

Trusting documents on a network share is riskier than trusting documents on your local hard disk drive because other users who have access to the network locations can modify the contents of your file. For this reason, a security warning is displayed the first time that you try to trust a document on a network location. In the Trust Center, you can disallow documents on a network location from being trusted. This causes Office to show you the security notification every time that you open a document on a network location.

In the Trust Center, you can modify settings to allow or disallow documents on a network from being trusted, disable the trusted documents feature, or reset all trusted documents so that they are no longer trusted. All these settings can be configured by the administrator by using Group Policy.

SharePoint and the Repository

In Visio 2010, you can save files to Microsoft SharePoint 2010 Products by using the Backstage view. To save files, follow these steps:

  1. Click the File tab.

  2. Click Save & Send.

  3. Click Save to SharePoint.

  4. Save the drawing as:

    Drawing (*.vsd) or Web Drawing (*.vdw)

  5. The Save As dialog box lets you confirm or refine your selection.

    If you select Web Drawing (*.vdw), ensure that you have SharePoint 2010 Products and Visio Services to have your diagram display in the browser.

See Also

Concepts

Changes in Visio 2010 (for IT pros)


Plan security for Office 2010

New security controls are available in Microsoft Office 2010 to help you plan a robust defense against threats while maintaining information worker productivity.

An organization's success often depends on the productivity of its information workers and the integrity and confidentiality of its intellectual property. Many IT departments find it difficult to satisfy these business needs because protection often comes at the expense of productivity. The articles listed in the following table describe the new security controls that are available in Microsoft Office 2010.

Article | Description
Security overview for Office 2010 | Provides an overview of new security controls in Microsoft Office 2010 that make it easier for IT professionals to build a robust defense against threats while maintaining information worker productivity.
Understand security threats and countermeasures for Office 2010 | Provides information to help you plan for a secure desktop configuration for Office 2010, including which security risks and threats are relevant to Office 2010, and which might pose a risk to the organization's business assets or processes.
Plan Trusted Locations settings for Office 2010 | Provides information about how to use the Trusted Locations feature in Office 2010 to differentiate safe files from potentially harmful files.
Plan Trusted Publishers settings for Office 2010 | Provides information about how to use the Trusted Publishers feature in Office 2010 to designate content publishers that you trust.
Plan security settings for add-ins for Office 2010 | Describes how to control the way add-ins behave, or to prevent users from running add-ins, by modifying the Office 2010 add-in settings.
Plan security settings for ActiveX controls for Office 2010 | Describes how to change the way Microsoft ActiveX controls behave in Office 2010 by modifying ActiveX control settings.
Plan security settings for VBA macros for Office 2010 | Describes how to control the way Visual Basic for Applications (VBA) and VBA macros behave by modifying Microsoft Office 2010 VBA and VBA macros settings.
Plan COM object categorization for Office 2010 | Describes how to control the behavior of certain COM objects in Office 2010 by using COM object categorization.
Plan Protected View settings for Office 2010 | Provides information about how to configure Protected View, a new security feature in Office 2010 that helps mitigate exploits to your computer by opening files in a restricted environment so they can be examined before the files are opened for editing.
Plan Office File Validation settings for Office 2010 | Provides information about how to configure Office File Validation, a new security feature in Office 2010 that helps prevent file format attacks by scanning Office binary file formats before the files are opened.
Plan password complexity settings for Office 2010 | Provides information about settings to enforce strong passwords, such as password length and complexity rules, when you use the Encrypt with Password feature in Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
Plan cryptography and encryption settings for Office 2010 | Provides information about cryptography and encryption in Microsoft Office 2010, and describes the settings that you can use to encrypt data.
Plan digital signature settings for Office 2010 | Provides information about how to digitally sign documents by using Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
Plan privacy options for Office 2010 | Describes how to configure privacy options in Office 2010 to meet an organization's security requirements.
Plan file block settings for Office 2010 | Provides information about Group Policy and Office Customization Tool (OCT) settings that you can configure to block specific file format types for Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
Plan for Information Rights Management in Office 2010 | Provides a summary of Information Rights Management (IRM) technology and how it works in Office applications.
Plan for security and protection in Outlook 2010 | Describes features in Microsoft Outlook 2010 that can help keep an organization's e-mail messaging secure.
Security articles for end users (Office 2010) | Lists and categorizes key Office 2010 security-related articles, videos, and training courses that IT administrators might want to share with end users.


Security overview for Office 2010

New security controls in Microsoft Office 2010 make it easier for IT professionals to build a robust defense against threats while maintaining information worker productivity. You can learn about the new security controls available in Office 2010 in this article.

Four of the new controls help harden and reduce the attack surface and help mitigate exploits. These new controls include the following:

  • Data Execution Prevention (DEP) support for Office applications A hardware and software technology that helps harden the attack surface by helping to protect against malicious code exploits.

  • Office File Validation A software component that helps reduce the attack surface by identifying files that do not follow a valid file format definition.

  • Expanded file block settings Settings managed in the Trust Center and through Group Policy that help reduce the attack surface by providing more specific control over the file types that an application can access.

  • Protected View A feature that helps mitigate attacks by enabling users to preview untrusted or potentially harmful files in a sandbox environment.

In addition to these new controls, Office 2010 provides several security improvements that further harden the attack surface by helping to ensure the integrity and confidentiality of data. These security enhancements include the following:

  • Cryptographic agility

  • Trusted time stamping support for digital signatures

  • Domain-based password complexity checking and enforcement

  • Encryption-strengthening enhancements

  • Improvements to the Encrypt with Password feature

  • Integrity checking of encrypted files

Office 2010 also provides several security improvements that have a direct affect on information worker productivity. Improvements in the Message Bar user interface, Trust Center user interface settings, and a trust model that persists users' trust decisions are some examples of the new features that help make security decisions and actions less intrusive to information workers. In addition, many of the new and enhanced security controls can be managed through Group Policy settings. This makes it easier for you to enforce and maintain the organization's security architecture.

In this article:

  • Layered defense is key

  • Helping users make better security decisions

  • Giving the administrator full control

  • Migrating security and privacy settings from Office 2003

Layered defense is key

Defense in depth, a central tenet of any effective security architecture, is a security strategy that implements multiple overlapping layers of defense against unauthorized users and malicious code. In mid-sized and large organizations, the layers of defense typically include the following:

  • Perimeter network protection, such as firewalls and proxy servers

  • Physical security measures, such as restricted data centers and server rooms

  • Desktop security tools, such as personal firewalls, virus scanning programs, and spyware-detection programs

A defense-in-depth strategy helps ensure that security threats are met with multiple and redundant security controls. For example, if a worm breaches the perimeter firewall and gains access to the internal network, it still has to pass through the virus-scanning program and the personal firewall to damage a desktop computer. A similar mechanism is built into the security architecture of Office 2010.

A four-layer approach

The security architecture of Office 2010 helps you extend the defense-in-depth strategy beyond desktop security tools by providing countermeasures for a layered defense. When implemented, these countermeasures take effect the moment a user attempts to open a file by using an Office 2010 application, and they continue to provide multiple layers of defense until the file is open and ready for editing. The following figure shows the four defensive layers that are built into the Office 2010 security architecture. It also shows some countermeasures that you can implement for each layer.

Four layers of security defense

Hardening the attack surface

This defensive layer helps harden the attack surface of Office 2010 applications by using a countermeasure known as Data Execution Prevention (DEP). DEP helps prevent buffer overflow exploits by identifying files that attempt to run code from a part of memory reserved only for data. By default, DEP is enabled in Office 2010. You can manage DEP settings in the Trust Center or through Group Policy settings.

Reducing the attack surface

This defensive layer helps reduce the attack surface of Office 2010 applications by limiting the kinds of files that applications can open and by preventing applications from running certain kinds of code that is embedded in files. To do this, Office applications use the following three countermeasures:

  • Office File Validation This software component scans files for format differences and based on the implemented setting can prevent a file from being opened for editing if the format is not valid. A file that contains a file format exploit against an Office 2010 application is one example of a file that is not valid. By default, Office File Validation is enabled and is primarily managed through Group Policy settings.

  • File block settings Introduced in the 2007 Microsoft Office system to help reduce the attack surface, these settings enable you to prevent applications from opening and saving certain file types. In addition, you can specify what will occur if you allow a file type to be opened. For example, you can specify whether a file type is opened in Protected View and whether editing is allowed. Several new file block settings have been added in Office 2010. You can manage file block settings in the Trust Center and through Group Policy settings.

  • Office ActiveX kill bit This new Office 2010 feature enables you to prevent specific ActiveX controls from running in Office 2010 applications without affecting how those controls run in Microsoft Internet Explorer. By default, Office ActiveX kill bit is not configured. However, you can configure this countermeasure by modifying the registry.

Mitigating exploits

This defensive layer helps mitigate exploits by opening potentially harmful files in an isolated sandbox environment. This sandbox environment, known as Protected View, enables users to preview files before they open them for editing in an application. By default, Protected View is enabled. However, you can turn it off and manage it in the Trust Center and through Group Policy settings.

Improving the user experience

This defensive layer mitigates exploits by reducing the number of security decisions users make and by improving the way users make security decisions. For example, documents that are considered untrustworthy are automatically opened in Protected View without any user feedback. Users can read and close these documents without making any security decisions, which in most cases means that they can effectively finish their work without being confronted with security prompts. If a user wants to edit a document that is in Protected View they can select the option to allow editing. Once editing is allowed, the document will not be opened in Protected View again. If the document contains active content, such as ActiveX controls and macros, a Message Bar appears that prompts the user whether to enable the active content. Once active content is enabled, the user will not be prompted again with the Message Bar for active content. You can configure Message Bar settings and Trusted Documents settings in the Trust Center and through Group Policy settings.

Enhanced hardening countermeasures

In addition to the countermeasures described in the previous section, Office 2010 provides several new and enhanced countermeasures for further hardening of the attack surface. These countermeasures help harden the attack surface by protecting the integrity and confidentiality of data.

Integrity countermeasures

Integrity settings help you mitigate threats to the integrity of business data and business processes. Malicious users attack the integrity of these assets by corrupting documents, presentations, and spreadsheets. For example, a malicious user might attack the integrity of business data or business processes by replacing a file with a similar file that contains corrupted data or information. Two countermeasures have been improved and enhanced — digital signatures and integrity checking of encrypted files — to help you mitigate integrity threats.

Digital signature improvements

Trusted time stamping is now supported in digital signatures, which makes Office documents compatible with the W3C XML Advanced Electronic Signatures (XAdES) standard. Trusted time stamping helps ensure that digital signatures remain valid and legally defensible even if the certificate that is used to sign the document expires. Trusted time stamping support is available only in Microsoft Excel 2010, Microsoft Access 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010. To take advantage of this feature, you must use a time-stamping authority.

In addition to time stamping support, Office 2010 includes several improvements in the user interface that make managing and implementing digital signatures easier for users. You can also configure and manage trusted time stamping through several new Group Policy settings.

Integrity checking of encrypted files

Administrators can now decide whether to implement a hash-based message authentication code (HMAC) when a file is encrypted, which can help determine whether someone has tampered with a file. The HMAC is fully compliant with Windows Cryptographic API: Next Generation (CNG), enabling administrators to configure the cryptographic provider, hash, and context that are used to generate the HMAC. These parameters are configurable through Group Policy settings.

Confidentiality countermeasures

Confidentiality settings help you mitigate threats to information that you do not want disclosed either publicly or privately, such as e-mail correspondence, project planning information, design specifications, financial information, customer data, and personal and private information. Several countermeasures have been improved and enhanced to help you mitigate confidentiality threats.

Cryptographic enhancements

Several Office 2010 applications are now cryptographically agile and support CNG, which means that administrators can specify any cryptographic algorithm for encrypting and signing documents. In addition, several Office 2010 applications now support Suite B cryptography.

Encrypt with Password improvements

The Encrypt with Password feature is now compliant with the ISO/IEC 29500 and ISO/IEC 10118-3:2004 requirements. This feature is also interoperable between Office 2010 and the 2007 Office system with Service Pack 2 (SP2), but only if the host operating systems support the same cryptographic providers. In addition, Office 2010 includes several changes in the user interface that make the Encrypt with Password feature easier for users to understand and implement.

Password complexity checking and enforcement

Passwords used by the Encrypt with Password feature can now be checked for length and complexity, and enforced by domain-based password policies. This applies only to passwords that are created by using the Encrypt with Password feature. You can use several new Group Policy settings to manage password complexity checking and enforcement.

Encryption enhancements

The encryption mechanism is enhanced, which helps ensure that the encryption/decryption key is never stored as plain text in a file. In general, these encryption enhancements are transparent to users and administrators.

Helping users make better security decisions

One of the benefits of a layered defense is its stepwise ability to weaken and slow security attacks, which gives you more time to identify attack vectors and deploy alternative countermeasures (if needed). Another benefit of a layered defense is its intrinsic ability to reduce the number of security decisions users have to make. In its default security configuration, Office 2010 makes most of the security decisions, not the user. As a result, users have fewer opportunities to make inaccurate security decisions and are more productive.

The following figure shows a high-level view of the main security controls that are implemented when a user opens a file in Excel 2010, PowerPoint 2010, or Word 2010. Security controls that require no user input are yellow; security controls that require user input are light blue. The figure shows the default behavior of Office 2010. You can change this default behavior to suit the organization's security requirements and architecture. Also, this figure does not show all of the security controls that can be implemented, such as DEP, encryption, or Information Rights Management.

Trust decisions flowchart

As shown in the previous figure, documents must pass through several defensive layers before users are required to make a security decision. If users do not have to edit a document, they can read the document in Protected View and then close it without making any security decisions. Several key features make this efficient workflow possible.

Improved trust model When users attempt to open a file, Office 2010 evaluates the file's trust state. By default, trusted files bypass most security checks and are opened for editing without requiring any security decisions by the user. Untrusted files must undergo the security checks that make up the layered defense. Documents that are considered untrustworthy are automatically opened in Protected View without any user feedback. If a user wants to edit a document that is in Protected View, the user can select the option to allow editing. Once editing is allowed, the document will not be opened in Protected View again. If the document contains active content, such as ActiveX controls and macros, a Message Bar appears that prompts the user whether to enable the active content. Once active content is enabled, the user will not be prompted again with the Message Bar for active content. In the 2007 Office system you can use the trusted locations and trusted publishers features to designate trusted files and trusted content. In Office 2010, you can also use a new feature known as Trusted Documents. Trusted Documents lets users designate a file as trusted after viewing the file in Protected View. When a user designates a file as being trusted, the trust decision persists with the file so that the user does not have to make the trust decision again the next time that they open the file.

Note:

Trusted files do not bypass antivirus checking or ActiveX kill-bit checking. If a file is trusted, it is scanned by the local antivirus scanning program (if available) and any ActiveX controls that have a kill-bit set are disabled.

Transparent countermeasures Several of the new countermeasures in Office 2010 are invisible to the user and require no user interaction. For example, Office 2010 applications evaluate untrusted files for file format differences by using a new technology known as Office File Validation. This technology runs autonomously when a user opens an untrusted file. If no potential file format differences are detected, users have no indication that this technology scanned the file.

Note:

In some cases, the Office File Validation feature might ask a user for permission to send file scan information to Microsoft to help improve the feature's ability to detect exploits. You can prevent these prompts from occurring by configuring Group Policy settings.

Sandbox previewing environment Untrusted files are opened in a sandbox previewing environment known as Protected View. Users can read files in this sandbox environment, and they can copy content to the clipboard. However, they cannot print files or edit them. In most cases, previewing a document is sufficient for users and they can close the file without answering any security questions. For example, even if a file contains an untrusted Visual Basic for Applications (VBA) macro, a user does not have to enable the VBA macro to preview the content in Protected View.

In most cases, the default security configuration in Office 2010 is a suitable defense-in-depth solution, which provides multiple layers of defense without impinging too much on user productivity. However, some organizations might have to modify the default security configuration to meet more strict security requirements or to reduce security and provide more flexibility to users. For example, if the organization consists mostly of expert users who do not have to preview files in sandbox environment, you can disable Protected View. We do not recommend this (and it might be very risky), but it helps reduce the number of security decisions users make. Likewise, if the organization requires a locked-down security environment, you can modify the security settings so that all untrusted documents must be opened in Protected View and can never leave Protected View. This might provide more protection, but it also hinders a user's ability to edit a file. Regardless of the organization's particular security requirements, the multilayered countermeasures in Office 2010 let you effectively balance security and productivity; that is, you can increase or decrease the frequency and the kind of security decisions users have to make without completely compromising the security architecture.

Giving the administrator full control

Most large and mid-sized organizations use some centralized management tool, such as domain-based Group Policy settings, to deploy and manage their security configurations. Using domain-based Group Policy settings helps ensure that the computers in the organization have a consistent configuration and enables you to enforce the security configuration — two requirements of an effective security strategy. To that end, Office 2010 provides an expanded suite of Group Policy settings to help you effectively deploy and manage the security configuration.

The following table shows the different ways that you can manage the new security controls in Office 2010. It also shows which applications support the new security features.

Security feature Configurable in the Trust Center? Configurable through Group Policy settings? Applies to which applications?

Data Execution Prevention

Yes

Yes

  • All Office 2010 applications.

Office File Validation

No

Yes

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

File block settings

Yes

Yes

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

Office ActiveX kill bit

No

No (must be configured in the registry)

  • Microsoft Access 2010

  • Excel 2010

  • PowerPoint 2010

  • Microsoft Visio 2010

  • Word 2010

Protected View

Yes

Yes

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

Trusted Documents

Yes

Yes

  • Access 2010

  • Excel 2010

  • PowerPoint 2010

  • Visio 2010

  • Word 2010

Encryption (cryptographic agility) settings

No

Yes

  • Access 2010

  • Excel 2010

  • InfoPath 2010

  • OneNote 2010

  • PowerPoint 2010

  • Word 2010

Time stamping of digital signatures

No

Yes

  • Excel 2010

  • InfoPath 2010

  • PowerPoint 2010

  • Word 2010

Integrity checking of encrypted files

No

Yes

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

Password complexity and enforcement

No

Yes

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

Migrating security and privacy settings from Office 2003

Office 2010 contains many security features that can help protect documents and help make desktops more secure. Some of these security features were introduced in the 2007 Office system, and have been enhanced in Office 2010. Other security features are new to Office 2010. If you are migrating to Office 2010 from Microsoft Office 2003 or an earlier version of Office, it might be helpful to understand when various Office 2010 security and privacy features were introduced.

The following table shows the main security and privacy features that were added or enhanced in the 2007 Office system and Office 2010.

Security feature | Description | Feature status in the 2007 Office system | Feature status in Office 2010 | For more information see…
Trust Center | A central console in the user interface that enables users to view and configure security settings and privacy options. | Introduced in the 2007 Office system | Enhanced and expanded settings in Office 2010 | Security overview for Office 2010
Message Bar | A user interface element that gives users notifications and warnings when they open a document that contains potentially harmful content. | Introduced in the 2007 Office system | Enhanced the message bar user interface in Office 2010 | Security in Microsoft Office 2010
Trusted Locations | A security feature that enables you to differentiate safe and unsafe documents. | Introduced in the 2007 Office system | No significant changes in Office 2010 | Plan Trusted Locations settings for Office 2010
File block settings | A suite of security settings that enable you to prevent users from opening or saving certain kinds of files. | Introduced in the 2007 Office system | Enhanced and expanded settings in Office 2010 | Plan file block settings for Office 2010
Document Inspector | A privacy tool that can help users remove personal information and hidden information from a document. | Introduced in the 2007 Office system | Enhanced the user interface in Office 2010 | Plan privacy options for Office 2010
Global and application-specific settings for ActiveX controls | Enables you to disable all ActiveX controls, configure ActiveX control initialization, and configure ActiveX control prompts. | Introduced in the 2007 Office system | No significant functional changes in Office 2010 | Plan security settings for ActiveX controls for Office 2010
Enhanced global and application-specific settings for VBA macros | Enables you to disable VBA and configure macro warnings settings. | Introduced in the 2007 Office system | No significant functional changes in Office 2010 | Plan security settings for VBA macros for Office 2010
Application-specific settings for add-ins | Enables you to disable add-ins, require that add-ins are signed by a trusted publisher, and configure add-in warnings. | Introduced in the 2007 Office system | No significant functional changes in Office 2010 | Plan security settings for add-ins for Office 2010
Data Execution Prevention (DEP) | A hardware and software technology that helps harden the attack surface by preventing viruses and worms that exploit buffer overflow vulnerabilities. | Not available in 2007 Office system applications | Introduced in Office 2010 | Data Execution Prevention in Office 2010
Office File Validation | A countermeasure that scans files for format differences and prevents files from being opened for editing if the format is not valid. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan Office File Validation settings for Office 2010
Office ActiveX kill bit | An Office feature that administrators can use to prevent specific ActiveX controls from running within Office applications. | Available in 2007 Office system applications as an Internet Explorer ActiveX kill bit | Introduced in Office 2010 as an Office ActiveX kill bit | Plan security settings for ActiveX controls for Office 2010 Plan COM object categorization for Office 2010 How to stop an ActiveX control from running in Internet Explorer
Protected View | An Office feature that helps mitigate attacks by enabling users to preview untrusted or potentially harmful files in a sandbox environment. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan Protected View settings for Office 2010
Trusted Documents | A security tool that enables users to designate safe documents. | Not available in 2007 Office system applications | Introduced in Office 2010 | Trusted Documents in Office 2010
Trusted time stamping of digital signatures | Helps ensure that digital signatures remain valid and legally defensible even if the certificate that you used to sign the document expires. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan digital signature settings for Office 2010
Integrity checking of encrypted files | Enables you to implement a hash-based message authentication code (HMAC) when a file is encrypted. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan cryptography and encryption settings for Office 2010
Password complexity checking and enforcement | Enables you to check and enforce passwords for length and complexity by using domain-based password policies. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan password complexity settings for Office 2010
Cryptographic agility | Enables you to specify cryptographic settings for encrypting documents. | Not available in 2007 Office system applications | Introduced in Office 2010 | Plan cryptography and encryption settings for Office 2010

See Also

Other Resources

Office 2010 Security Resource Center on TechNet


Understand security threats and countermeasures for Office 2010

Published: May 12, 2010

A secure desktop configuration is an important part of any organization's defense-in-depth strategy. But before you can plan for a secure desktop configuration that includes Microsoft Office 2010, you must understand which security risks and threats are relevant to Office 2010, and then determine which of those security risks and threats pose a risk to the organization's business assets or business processes. You also have to determine which privacy risks and threats pose a risk to users' personal and private information.

In this article:

  • Information security risks

  • Threats to desktop productivity applications

  • Default countermeasures in Office 2010

Information security risks

Most IT professionals and IT security specialists categorize information security risks into three broad categories:

  • Confidentiality risks These risks represent threats to an organization's intellectual property from unauthorized users and malicious code that attempt to access what is said, written, and created in an organization.

  • Integrity risks These risks represent threats to your business resources from unauthorized users and malicious code that attempt to corrupt the business data on which your organization relies. Integrity risks jeopardize any business asset that contains critical information for an organization, such as database servers, data files, and e-mail servers.

  • Availability risks These risks represent threats to business processes by unauthorized users and malicious code that attempt to disrupt the way that you do business and how information workers complete their work. Business intelligence processes, application features and capabilities, and document workflow processes can all be threatened by availability risks.

To help ensure that your organization is protected from all three of these risk categories, a defense-in-depth security strategy is recommended; that is, a security strategy that includes multiple overlapping layers of defense against unauthorized users and malicious code. Layers typically include the following:

  • Perimeter network protection, such as firewalls and proxy servers.

  • Physical security measures, such as physically secure data centers and server rooms.

  • Desktop security tools, such as personal firewalls, virus scanning programs, and spyware detection.

If Office 2010 is part of an organization's environment, the defense-in-depth strategy must also include the mitigation mechanisms that are provided with Office 2010. These mitigation mechanisms include many technologies, settings, and features. By using these mechanisms, you can help mitigate threats to Office 2010 applications and help protect the intellectual property, business resources, and business processes that are at the heart of the business.

By default, the Office 2010 security model helps an organization mitigate all three kinds of risk. However, every organization has different infrastructure capabilities, different productivity demands, and different desktop security requirements. To determine exactly how the organization can mitigate these business risks, you have to evaluate the threats and threat agents that exploit these risks.

Threats to desktop productivity applications

The security model for Office 2010 helps you mitigate five kinds of productivity software security threats. Each of these threat types include several threat agents, which can be exploited by various security attacks. The following illustration shows the security threats and examples of the most common threat agents.

Security threat types

Most organizations face some potential risk from five kinds of security threats. However, most organizations deal with unique combinations of threat agents and potential security attacks or exploits.

Active content threats

Active content threats are common desktop security threats. Typical threat agents include ActiveX controls, add-ins, and VBA macros. These threat agents can be exploited by programmers who write malicious code or create malicious programs, which then run on users' computers. Active content threats pose a potential risk to any size organization, especially organizations that let users do the following:

  • Run ActiveX controls, add-ins, or VBA macros.

  • Open e-mail attachments.

  • Share documents across a public network, such as the Internet.

  • Open documents from sources outside the organization, such as clients, vendors, or partners.

Unauthorized access threats

Unauthorized access threats occur when unauthorized users attempt to gain access to information. Potential targets of unauthorized users include the following:

  • Document files If unauthorized users gain access to document files, they can delete, replace, or corrupt the files. For example, a malicious programmer might use a file format attack to exploit an unauthorized access threat in a document.

  • Information within documents This information includes text, graphics, comments, revisions, annotations, custom XML data, hidden text, watermarks and header and footer information. When unauthorized users access the information within documents, they might access sensitive data, such as company confidential data, and personal or private information about users. They can also alter, corrupt, or delete information, and they can use their access to add active content to documents saved in trusted locations.

  • Metadata Information associated with documents, including document properties such as author name, organization name, document editing time, or document version number. Unauthorized users who gain access to metadata might access sensitive personal or company data. They can also corrupt or remove metadata.

Most organizations face unauthorized access threats, although many organizations do not take sufficient measures to mitigate them because they perceive the threat to be minimal or consider the administrative cost for mitigating the threat excessive. These perceptions could lead to unsafe practices and circumstances such as the following:

  • The organization's network security architecture cannot prevent an intruder or attacker from gaining access to your internal network, which increases the risk that an intruder or attacker might gain access to your organization's documents.

  • The organization lets users send, receive, or share proprietary documents over the Internet, including financial data, project plans, presentations, or drawings.

  • The organization does not prevent users from connecting portable computers to public networks, which increases the risk that an unidentifiable attacker might gain access to the documents that are saved on those portable computers.

  • The organization does not prevent users from taking documents that contain proprietary information out of the office.

  • There is a chance that an unauthorized attacker or intruder can gain access to documents that contain proprietary information.

External content threats

External content threats include any threat agent that links a document to another document, a database, or a Web site across an intranet or a public network, such as the Internet. External content threats are exploited through the following threat agents:

  • Hyperlinks An attacker typically exploits this threat agent by creating hyperlinks to documents that are not trusted or Web sites that contain malicious code or content.

  • Data connections An attacker typically exploits this threat agent by creating data connections to data sources or databases, and then by using such connections to maliciously manipulate or extract data.

  • Web beacons A typical scenario for exploiting this threat agent is for an attacker to embed an invisible link to a remote image in an e-mail message. When a user opens the message, the link becomes active and downloads the remote image. In the process, user information can be sent to the remote computer, such as the user's e-mail address and the IP address of their computer.

  • Packager objects An attacker can exploit this threat agent by having an embedded object run malicious code.

External threats pose a risk if the organization:

  • Gives users unrestricted access to public networks, such as the Internet.

  • Does not prevent users from receiving e-mail messages that contain embedded images and HTML.

  • Does not prevent users from using data connections in spreadsheets or other documents.

Browser threats

These threats can exist when an application or a document programmatically uses the functionality of a Web browser, such as Microsoft Internet Explorer. Browser threats pose a risk to applications and documents because any threats that exist for the browser also exist for the application or document that hosts the browser. Browser threats include many threat agents, and can be exploited through various security attacks. Examples of these threat agents include ActiveX control installation, file downloads, MIME sniffing, zone elevation, and add-on installation.

Browser threats pose a risk if your organization:

  • Allows users to run ActiveX controls, add-ins, or macros that use browser functionality.

  • Develops and distributes Office solutions that use browser functionality.

Zero-day exploit threats

Zero-day exploits can be launched when a security vulnerability is found that has not yet been addressed by a software update, such as a Microsoft security bulletin or service pack. Zero-day exploits can take several forms, including the following:

  • Remote code execution

  • Elevation of privilege

  • Information disclosure

Malicious programmers and users can exploit security vulnerabilities through various security attacks. Until a security bulletin or a service pack is released to respond to the security vulnerability, the vulnerability can pose a potential threat to your organization.

Default countermeasures in Office 2010

Office 2010 provides many countermeasures that help mitigate threats to your business assets and business processes. A countermeasure is a security feature or a security control that mitigates one or more security threats. You can usually change the behavior of countermeasures by configuring settings in the Office Customization Tool (OCT) or through Group Policy by using the Office 2010 Administrative Templates.

Many of the countermeasures in Office 2010 mitigate a specific kind of threat in one particular application. For example, Microsoft InfoPath 2010 includes a countermeasure that warns users about the possible presence of Web beacons in forms. You can change the behavior of this countermeasure by configuring the Beaconing UI for forms opened in InfoPath setting in the OCT or through Group Policy.

Other countermeasures mitigate broader kinds of threats that are common to several applications. For example, the Protected View feature enables users to view the content of untrusted documents, presentations, and workbooks without enabling unsafe content or malicious code to harm the computer. This countermeasure is used by Microsoft Excel 2010, Microsoft PowerPoint 2010, Microsoft Word 2010, and Microsoft Outlook 2010 when you preview attachments for Excel 2010, PowerPoint 2010, Microsoft Visio 2010, and Word 2010. You can change its behavior by configuring several settings in the OCT or through Group Policy.

The following sections describe the most frequently used countermeasures in Office 2010.

ActiveX control settings

You can use ActiveX control settings to disable ActiveX controls and change the way ActiveX controls are loaded into Office 2010 applications. By default, trusted ActiveX controls are loaded in safe mode with persistent values and users are not notified that the ActiveX controls loaded. Untrusted ActiveX controls load differently depending on how the ActiveX control is marked and whether a VBA project exists in the file together with the ActiveX control. The default behavior of untrusted ActiveX controls is as follows:

  • If an ActiveX control is marked Safe for Initialization (SFI) and it is contained in a document that does not contain a VBA project, the ActiveX control is loaded in safe mode with persistent values. The Message Bar does not appear and users are not notified about the presence of the ActiveX control. All ActiveX controls in the document must be marked SFI for this behavior to occur.

  • If an ActiveX control is marked Unsafe for Initialization (UFI) and it is contained in a document that does not contain a VBA project, users are notified in the Message Bar that ActiveX controls are disabled. However, users can click the Message Bar to enable ActiveX controls. If a user enables ActiveX controls, all ActiveX controls (those marked UFI and SFI) are loaded in safe mode with persistent values.

  • If an ActiveX control marked UFI or SFI is contained in a document that also contains a VBA project, users are notified in the Message Bar that ActiveX controls are disabled. However, users can click the Message Bar to enable ActiveX controls. If a user enables ActiveX controls, all ActiveX controls (those marked SFI and UFI) are loaded in safe mode with persistent values.

Important:

If a kill bit is set in the registry for an ActiveX control, the control is not loaded and cannot be loaded in any circumstance. The Message Bar does not appear and users are not notified about the presence of the ActiveX control.

To change the default behavior of ActiveX controls, see Plan security settings for ActiveX controls for Office 2010.

Add-in settings

You can use add-in settings to disable add-ins, require add-ins be signed by a trusted publisher, and disable notifications for add-ins. By default, installed and registered add-ins can run without requiring user intervention or warning. To change this default behavior, see Plan security settings for add-ins for Office 2010.

Cryptography and encryption settings

These settings will be available when Office 2010 is officially released.

Data Execution Prevention settings

You can use Data Execution Prevention (DEP) settings to disable DEP in Office 2010 applications. DEP is a hardware and software countermeasure that helps prevent malicious code from running. By default, DEP is enabled in Office 2010 applications and we recommend that you do not change this default setting.

Digital signature settings

These settings will be available when Office 2010 is officially released.

External content settings

You can use external content settings to change the way Office 2010 applications access external content. External content is any kind of content that is accessed remotely, such as data connections and workbook links, hyperlinks to Web sites and documents, and links to images and media. By default, when a user opens a file that contains links to external content, the Message Bar notifies the user that the links are disabled. Users can enable the links by clicking the Message Bar. We recommend that you do not change these default settings.

File Block settings

You can use File Block settings to prevent specific file types from being opened or saved. You can also use these settings to prevent or force certain file types from opening in Protected View. By default, Excel 2010, PowerPoint 2010, and Word 2010 force several kinds of files to open only in Protected View. Users cannot open these file types for editing.

Office File Validation settings

You can use Office File Validation settings to disable the Office File Validation feature and change how the Office File Validation feature handles files that do not pass validation. You can also use these settings to prevent the Office File Validation feature from prompting users to send validation information to Microsoft. By default, the Office File Validation feature is enabled. Files that do not pass validation are opened in Protected View and users can edit files after they are opened in Protected View. For more information about Office File Validation settings, see Plan Office File Validation settings for Office 2010.

Password complexity settings

You can use password complexity settings to enforce password length and complexity for passwords that are used with the Encrypt with Password feature. Password complexity settings let you enforce password length and complexity at the domain level if the organization has established password complexity rules through domain-based Group Policy, or at a local level if the organization has not implemented domain-based password complexity Group Policy. By default, Office 2010 applications do not check password length or complexity when a user encrypts a file by using the Encrypt with Password feature.

Privacy options

You can use privacy options to prevent the Welcome to Microsoft Office 2010 dialog box from appearing the first time that a user starts Office 2010. This dialog box lets users enroll in various Internet-based services that help protect and improve Office 2010 applications. You can also use privacy options to enable the Internet-based services that appear in the Welcome to Microsoft Office 2010 dialog box. By default, the Welcome to Microsoft Office 2010 dialog box appears when a user starts Office 2010 for the first time, and users can enable the recommended Internet-based services, enable a subset of these services, or make no configuration changes. If a user makes no configuration changes, the following default settings take effect:

  • Office 2010 applications do not connect to Office.com for updated Help content.

  • Office 2010 applications do not download small programs that help diagnose problems and error message information is not sent to Microsoft.

  • Users are not enrolled in the Customer Experience Improvement Program.

  • When users implement a search query from the Help system, information about which Office 2010 applications are installed is not sent to Microsoft to improve Office.com search results.

To change this default behavior, or to suppress the Welcome to Microsoft Office 2010 dialog box, see Plan privacy options for Office 2010.

Protected View settings

You can use Protected View settings to prevent files from opening in Protected View and force files to open in Protected View. You can also specify whether you want scripts and programs that run in Session 0 to open in Protected View. By default, Protected View is enabled and all untrusted files open in Protected View. Scripts and programs running in Session 0 do not open in Protected View. For more information about Protected View settings, see Plan Protected View settings for Office 2010.

Note:

You can also use File Block settings to prevent or force specific file types from opening in Protected View.

Trusted Documents settings

You can use Trusted Documents settings to disable the Trusted Documents feature and prevent users from trusting documents that are stored on network shares. Trusted documents bypass most security checks when they are opened and all active content is enabled (antivirus checking and ActiveX kill-bit checking are the two checks that cannot be bypassed). By default, the Trusted Documents feature is enabled, which means users can designate safe files as trusted documents. In addition, users can designate files on network shares as trusted documents. We recommend that you do not change these default settings.

Trusted Locations settings

You can use Trusted Locations settings to designate safe locations for files. Files that are stored in trusted locations bypass most security checks when they are opened and all content in the file is enabled (antivirus checking and ActiveX kill-bit checking are the two checks that cannot be bypassed). By default, several locations are designated as trusted locations. Also, trusted locations that are on a network, such as shared folders, are disabled. To change this default behavior, and find out which locations are designated as trusted locations by default, see Plan Trusted Locations settings for Office 2010.

Trusted Publishers settings

You can use Trusted Publishers settings to designate certain kinds of active content as being safe, such as ActiveX controls, add-ins, and VBA macros. When a publisher signs active content with a digital certificate, and you add the publisher's digital certificate to the Trusted Publishers list, the active content is considered trusted. By default, there are no publishers on the Trusted Publishers list. You must add publishers to the Trusted Publishers list to implement this security feature. To implement the Trusted Publishers feature, see Plan Trusted Publishers settings for Office 2010.

VBA macro settings

You can use VBA macro settings to change the way VBA macros behave, disable VBA, and change the way VBA macros behave in applications that are started programmatically. By default, VBA is enabled and trusted VBA macros are allowed to run without notification. Trusted VBA macros include VBA macros that are signed by a trusted publisher, stored in a trusted document, or stored in a document that is in a trusted location. Untrusted VBA macros are disabled, but a notification in the Message Bar lets users enable untrusted VBA macros. In addition, VBA macros are allowed to run in applications that are started programmatically.

To change this default behavior, see Plan security settings for VBA macros for Office 2010.

See Also

Concepts

Security overview for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan Trusted Locations settings for Office 2010

If you want to differentiate safe files from potentially harmful files, you can use the Trusted Locations feature in Microsoft Office 2010. The Trusted Locations feature lets you designate trusted file sources on the hard disks of users' computers or on a network share. When a folder is designated as a trusted file source, any file that is saved in the folder is assumed to be a trusted file. When a trusted file is opened, all content in the file is enabled and active, and users are not notified about any potential risks that might be contained in the file, such as unsigned add-ins and Microsoft Visual Basic for Applications (VBA) macros, links to content on the Internet, or database connections.

In this article:

  • About planning Trusted Locations settings

  • Implement Trusted Locations

  • Disable Trusted Locations

About planning Trusted Locations settings

Office 2010 provides several settings that let you control the behavior of the Trusted Locations feature. By configuring these settings, you can do the following:

  • Specify trusted locations globally or on a per-application basis.

  • Allow trusted locations to exist on remote shares.

  • Prevent users from designating trusted locations.

  • Disable the Trusted Locations feature.

The Trusted Locations feature is available in the following applications: Microsoft Access 2010, Microsoft Excel 2010, Microsoft InfoPath 2010, Microsoft PowerPoint 2010, Microsoft Visio 2010, and Microsoft Word 2010.

The following list describes the default configuration for the Trusted Locations feature:

  • Trusted Locations is enabled.

  • Users cannot designate network shares as trusted locations. However, users can change this setting in the Trust Center.

  • Users can add folders to the Trusted Locations list.

  • Both user-defined and policy-defined trusted locations can be used.

In addition, several folders are designated as trusted locations in a default installation of Office 2010. The default folders for each application are listed in the following tables. (InfoPath 2010 and Visio 2010 have no default trusted locations.)

Access 2010 trusted locations

The following table lists the default trusted locations for Access 2010.

Default trusted locations | Folder description | Trusted subfolders
Program Files\Microsoft Office\Office14\ACCWIZ | Wizard databases | Not allowed

Excel 2010 trusted locations

The following table lists the default trusted locations for Excel 2010.

Default trusted locations | Folder description | Trusted subfolders
Program Files\Microsoft Office\Templates | Application templates | Allowed
Users\user_name\Appdata\Roaming\Microsoft\Templates | User templates | Not allowed
Program Files\Microsoft Office\Office14\XLSTART | Excel startup | Allowed
Users\user_name\Appdata\Roaming\Microsoft\Excel\XLSTART | User startup | Not allowed
Program Files\Microsoft Office\Office14\STARTUP | Office startup | Allowed
Program Files\Microsoft Office\Office14\Library | Add-ins | Allowed

PowerPoint 2010 trusted locations

The following table lists the default trusted locations for PowerPoint 2010.

Default trusted locations | Folder description | Trusted subfolders
Program Files\Microsoft Office\Templates | Application templates | Allowed
Users\user_name\Appdata\Roaming\Microsoft\Templates | User templates | Allowed
Users\user_name\Appdata\Roaming\Microsoft\Addins | Add-ins | Not allowed
Program Files\Microsoft Office\Document Themes 14 | Application themes | Allowed

Word 2010 trusted locations

The following table lists the default trusted locations for Word 2010.

Default trusted locations | Folder description | Trusted subfolders
Program Files\Microsoft Office\Templates | Application templates | Allowed
Users\user_name\Appdata\Roaming\Microsoft\Templates | User templates | Not allowed
Users\user_name\Appdata\Roaming\Microsoft\Word\Startup | User startup | Not allowed
Note:

For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

Implement Trusted Locations

To implement Trusted Locations, you must determine the following:

  • The applications for which you want to configure Trusted Locations.

  • The folders that you want to designate as trusted locations.

  • The folder sharing and folder security settings that you want to apply to your trusted locations.

  • The restrictions that you want to apply to trusted locations.

Determine the applications that you want to configure

Use the following guidelines to help determine the applications for which you want to configure Trusted Locations:

  • Trusted Locations affect all content in a file, including add-ins, ActiveX controls, hyperlinks, links to data sources and media, and VBA macros. Moreover, files opened from trusted locations skip file validation checks, File Block checks, and do not open in Protected View.

  • Each application provides the same settings for configuring Trusted Locations. This means that you can independently customize Trusted Locations for each application.

  • You can disable Trusted Locations for one or more applications, and implement Trusted Locations for other applications.

Determine the folders to designate as trusted locations

Use the following guidelines to help determine the folders that you want to designate as trusted locations:

  • You can specify trusted locations on a per-application basis or globally.

  • One or more applications can share a trusted location.

  • To prevent malicious users from adding files to a trusted location or from modifying files that are saved in a trusted location, you must apply operating system security settings to any folder that you designate as a trusted location.

  • By default, only trusted locations that are on users' hard disks are allowed. To enable trusted locations on network shares, you must enable the Allow Trusted Locations not on the computer setting.

  • We do not recommend that you specify root folders, such as drive C, or the whole Documents or My Documents folder as trusted locations. Instead, create a subfolder within those folders and specify only that folder as a trusted location.

In addition, you must use the guidelines in the following sections if you want to:

  • Use environment variables to specify trusted locations.

  • Specify Web folders (that is, http://paths) as trusted locations.

Use environment variables to specify trusted locations

You can use environment variables by using Group Policy and the OCT to specify trusted locations. However, when you use environment variable within the OCT, you must change the value type that is used to store trusted locations in the registry for environment variables to work correctly. If you use an environment variable to specify a trusted location, and you do not make the necessary registry modification, the trusted location appears in the Trust Center. But it is unavailable and it appears as a relative path that contains the environment variables. After you change the value type in the registry, the trusted location appears in the Trust Center as an absolute path and is available.

To use environment variables to specify trusted locations

  1. Use Registry Editor to locate the trusted location that is represented by an environment variable.

    To open Registry Editor, click Start, click Run, type regedit, and then click OK.

    Trusted locations that are configured by using the OCT are stored in the following location:

    HKEY_CURRENT_USER/Software/Microsoft/Office/14.0/application_name/Security/Trusted Locations

    Where application_name can be Microsoft Access, Microsoft Excel, Microsoft PowerPoint, Microsoft Visio, or Microsoft Word.

    Trusted locations are stored in registry entries named Path, and they are stored as String Value (REG_SZ) value types. Be sure to locate each Path entry that uses environment variables to specify a trusted location.

  2. Change the Path value type.

    Applications in the Office 2010 cannot recognize environment variables that are stored as String Value (REG_SZ) value types. For applications to recognize environment variables, you must change the value type of the Path entry so that it is an Expandable String Value (REG_EXPAND_SZ) value type. To do this, follow these steps:

    1. Write down or copy the value of the Path entry. This should be a relative path that contains one or more environment variables.

    2. Delete the Path entry.

    3. Create a new Path entry of type Expandable String Value (REG_EXPAND_SZ).

    4. Modify the new Path entry so that it has the same value that you wrote down or copied in the first step.

    Be sure to make this change for each Path entry that uses environment variables to specify a trusted location.

Specify Web folders as trusted locations

You can specify Web folders (that is, http://paths) as trusted locations. However, only those Web folders that support Web Distributed Authoring and Versioning (WebDAV) or FrontPage Server Extensions Remote Procedure Call (FPRPC) protocols are recognized as trusted locations. Use the following guidelines if you are not sure whether a Web folder supports the WebDAV or FPRPC protocols:

  • If an application is opened by Internet Explorer, check the most recently used files list. If the most recently used files list indicates that the file is located on a remote server, rather than in the Temporary Internet Files folder, it is likely that the Web folder supports WebDAV in some form. For example, if you click a document while browsing Internet Explorer, and the document opens in Word 2010, the most recently used files list should show that the document is located on the remote server and not in the local Temporary Internet Files folder.

  • Try to use the Open dialog box to browse to the Web folder. If the path supports WebDAV, you probably can browse to the Web folder or you are prompted for credentials. If the Web folder does not support WebDAV, navigation fails and the dialog box closes.

Note:

Sites that are created with Windows SharePoint Services and Microsoft SharePoint Server can be designated as trusted locations.

Determine folder sharing and folder security settings

All folders that you specify as trusted locations must be secured. Use the following guidelines to determine which sharing settings and security settings that you have to apply to each trusted location:

  • If a folder is shared, configure sharing permissions so that only authorized users have access to the shared folder. Be sure to use the principle of least privilege and grant permissions that are appropriate to a user. That is, grant Read permission to those users who do not have to modify trusted files, and grant Full Control permission to those users who have to modify trusted files.

  • Apply folder security permissions so that only authorized users can read or modify the files in trusted locations. Make sure to use the principle of least privilege and to grant permissions that are appropriate to a user. That is, grant Full Control permissions to only those users who have to modify files; and grant more-restrictive permissions to those users who need only to read files.

Determine restrictions for trusted locations

Office 2010 provides several settings that enable you to restrict or control the behavior of trusted locations. Use the following guidelines to determine how to configure these settings.

Setting name: Allow mix of policy and user locations

  • Description: This setting controls whether trusted locations can be defined by users, the OCT, and Group Policy, or if they must be defined by Group Policy alone. By default, users can designate any location as a trusted location and a computer can have any combination of user-created, OCT-created, and Group Policy-created trusted locations.

  • Impact: If this setting is disabled, all trusted locations that are not created by Group Policy are disabled and users cannot create new trusted locations in the Trust Center. Disabling this setting will cause some disruption for users who have defined their own trusted locations in the Trust Center. Applications treat such locations as they treat any other untrusted locations, which means that users see Message Bar warnings about content such as ActiveX controls and VBA macros when they open files, and they have to choose whether to enable controls and macros or leave them disabled This is a global setting that applies to all applications for which you configure trusted locations.

  • Guidelines: Organizations that have a highly restrictive security environment typically disable this setting. Organizations that manage their desktop configurations through Group Policy typically disable this setting.

Setting name: Allow Trusted Locations not on the computer

  • Description: This setting controls whether trusted locations on the network can be used. By default, trusted locations that are network shares are disabled. But users can still select the Allow Trusted Locations on my network check box in the Trust Center, which will enable users to designate network shares as trusted locations. This is not a global setting. You must configure this setting on a per-application basis for Access 2010, Excel 2010, PowerPoint 2010, Visio 2010, and Word 2010.

  • Impact: Disabling this setting disables all trusted locations that are network shares and prevents users from selecting the Allow Trusted Locations on my network check box in the Trust Center. Disabling this setting will cause some disruption for users who have defined their own trusted locations in the Trust Center. If you disable this setting, and a user attempts to designate a network share as a trusted location, a warning informs the user that the current security settings do not allow the creation of Trusted Locations that are remote paths or network paths. If an administrator designates a network share as a trusted location through Group Policy or by using the OCT, and this setting is disabled, the trusted location is disabled. Applications treat such locations like any other untrusted locations, which means that users see Message Bar warnings about content such as ActiveX controls and VBA macros when they open files, and they have to choose whether to enable controls and macros or leave them disabled.

  • Guidelines: Organizations that have a highly restrictive security environment typically disable this setting.

Note:

You can also use the Remove all Trusted Locations written by the OCT during installation setting to delete all trusted locations that have been created by configuring the OCT.

Disable Trusted Locations

Office 2010 provides a setting that enables you to disable the Trusted Locations feature. This setting must be configured on a per-application basis for Access 2010, Excel 2010, PowerPoint 2010, Visio 2010, and Word 2010. Use the following guidelines to determine whether you should use this setting.

Setting name: Disable all Trusted Locations

  • Description: This setting lets administrators disable the Trusted Locations feature on a per-application basis. By default, the Trusted Locations feature is enabled and users can create trusted locations.

  • Impact: Enabling this setting disables all trusted locations, including trusted locations that are:

    • Created by default during setup.

    • Created by using the OCT.

    • Created by users through the Trust Center.

    • Created by using Group Policy.

    Enabling this setting also prevents users from configuring Trusted Locations settings in the Trust Center. If you enable this setting, make sure that you notify users that they cannot use the Trusted Locations feature. If users have been opening files from trusted locations, and you enable this setting, users might start seeing warnings in the Message Bar and they might be required to respond to Message Bar warnings to enable content, such as ActiveX controls, add-ins, and VBA macros.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan Trusted Publishers settings for Office 2010

You can use the Trusted Publishers list to designate content publishers that you trust. This can be beneficial if your organization uses published content, such as Microsoft ActiveX controls, add-ins, and Visual Basic for Applications (VBA) macros.

A publisher is any developer, software company, or organization that has created and distributed a digitally signed ActiveX control, add-in, or VBA macro. A trusted publisher is any publisher that has been added to the Trusted Publishers list. When a user opens a file, and the file contains active content that is created by a trusted publisher, the trusted publisher's content is enabled and users are not notified about any potential risks that might be contained in the file.

In this article:

  • About planning Trusted Publishers settings

  • Obtain certificates from known publishers

  • Determine which certificates must be added to the Trusted Publishers list

  • Related Trusted Publishers settings

About planning Trusted Publishers settings

To designate a publisher as a trusted publisher, you have to add the publisher's certificate to the Trusted Publishers list. In this context, the publisher's certificate is the digital certificate (.cer file) that the publisher used to digitally sign their published content. In most cases, you can obtain the .cer file from the publisher, or you can export it from the .cab, .dll, .exe, or .ocx file that is associated with the published content. If you are unsure which published content the organization uses, you might also have to determine whether any other published content runs with the organization's Microsoft Office 2010 applications and then obtain certificates for that published content.

There are two methods you can use to add a publisher's certificate to the Trusted Publishers list: the Office Customization Tool (OCT) or Group Policy. The OCT provides no settings for managing certificates other than adding a trusted publisher's certificate to the Trusted Publishers list. If you want to manage certificate trust or if you want to establish specific trust relationships to satisfy business scenarios, you must use Group Policy. For more information about how to add trusted publishers to the Trusted Publishers list and how to manage trusted root certificates, see Manage Trusted Root Certificates (http://go.microsoft.com/fwlink/p/?LinkId=164939) and Manage Trusted Publishers (http://go.microsoft.com/fwlink/p/?LinkId=164941).

Obtain certificates from known publishers

You can usually obtain a certificate for published content by asking the publisher to send it to you. If you cannot obtain the certificate in this manner, and you know the name of the digitally signed .cab, .dll, .exe, or .ocx file that contains the published content, you can use the following procedure to export the certificate file.

Important:

This procedure assumes the computer runs the Windows Vista operating system.

To export a certificate from a .dll file

  1. Right-click the file that the publisher has signed, and then click Properties.

  2. Click the Digital Signatures tab.

  3. In Signature list, click the certificate, and then click Details.

  4. In the Digital Signature Details dialog box, click View Certificate.

  5. Click the Details tab, and then click Copy to File.

  6. On the Certificate Explore Wizard welcome page, click Next.

  7. On the Export File Format page, click DER encoded binary X.509 (.CER), and then click Next.

  8. On the File to Export page, type a path and name for the .cer file, click Next, and then click Finish.

Make sure that you save all of the .cer files on a network share that can be accessed by client computers during installation.

Determine which certificates must be added to the Trusted Publishers list

In some cases, you might not know whether an organization uses published content or you might not know which published content to add to the Trusted Publishers list. This is usually relevant only if you have a highly restrictive environment and you require that all published content be signed. You can test Office 2010 applications for digitally signed content by using the following procedure.

Important:

The following procedure assumes Word 2010 is running, but you can perform the same procedure on other Office 2010 applications.

To identify published content and add the content publisher to the Trusted Publishers list

  1. On a test computer or a client computer that is running the standard configuration for the organization (including any add-ins that users need), enable the Require Application Add-Ins to be signed by Trusted Publisher setting in the Trust Center by doing the following:

    • Click the File tab, click Options, click Trust Center, click Trust Center Settings, click Add-ins, click Require Application Add-ins to be signed by Trusted Publisher, and then click OK.

  2. Exit and restart Word. If add-ins are installed, the Message Bar displays the following message: Security Warning Some active content has been disabled. Click here for more details..

  3. On the Message Bar, click Some active content has been disabled. Click here for more details..

  4. Click the File tab and in the Backspace View, click Enable Content, and then click Advanced Options.

  5. In the Security Alerts - Multiple Issues dialog box, install each certificate to the Trusted Publishers list by following these steps for each add-in that shows a valid digital signature:

    1. Click Show Signature Details.

    2. In the Digital Signature Details window, click View Certificate.

    3. In the Certificate window, click Install Certificate.

    4. In the Certificate Import Wizard, click Next, click Place all certificates in the following store, click Browse, click Trusted Publishers, click OK, click Next, and then click Finish.

  6. Prepare the certificate files for distribution:

    1. Click the File tab, click Options, click Trust Center, click Trust Center Settings, and then click Trusted Publishers.

    2. For each certificate, select the certificate, click View, and then follow these steps:

      1. In the Certificate window, on the Details tab, click Copy to File.

      2. In the Certificate Export Wizard, click Next, and then click Next again to accept the default file format, enter a file name, select a location to store the file, and then click Finish.

Related Trusted Publishers settings

The following settings are often used with Trusted Publishers settings:

  • Require that application add-ins are signed by trusted publisher

    This setting restricts add-ins to only those that are signed by a trusted publisher.

  • Disable Trust Bar notification for unsigned application add-ins

    This setting prevents users from seeing Message Bar warnings about add-ins that are not signed by a trusted publisher.

  • VBA macro warning settings

    This setting restricts VBA macros to only those that are signed by a trusted publisher.

  • Disable all ActiveX

    This setting restricts ActiveX controls to only those that are signed by a trusted publisher.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan security settings for add-ins for Office 2010

If you want to control the way add-ins behave, or prevent users from running add-ins, you can modify Microsoft Office 2010 add-in settings.

In this article:

  • About planning add-in settings

  • Disable add-ins on a per-application basis

  • Require that application add-ins are signed by trusted publisher

  • Disable notifications for unsigned add-ins

About planning add-in settings

Microsoft Office 2010 provides several settings that enable you to control the behavior of add-ins. By configuring these settings, you can do the following:

  • Disable add-ins on a per-application basis.

  • Require that add-ins are signed by a trusted publisher.

  • Disable notifications for unsigned add-ins.

Add-in settings can be configured only on a per-application basis. There are no global add-in settings.

For detailed information about the settings that are discussed in this article, see Security policies and settings in Office 2010. For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

By default, any add-in that is installed and registered can run without user intervention or warning. Installed and registered add-ins can include the following:

  • Component Object Model (COM) add-ins

  • Visual Studio Tools for Office (VSTO) add-ins

  • Automation add-ins

  • RealTimeData (RTD) servers

  • Application add-ins (for example, .wll, .xll, and .xlam files)

  • XML expansion packs

  • XML style sheets

This default behavior is the same as selecting the Trust all installed add-ins and templates setting in Microsoft Office 2003 or an earlier Microsoft Office system.

Disable add-ins on a per-application basis

Office 2010 provides a setting that enables you to disable add-ins. Use the following guidelines to determine whether to use this setting.

Setting name: Disable all application add-ins

  • Description: This setting disables all add-ins. By default, all installed and registered add-ins can run.

  • Impact: If you enable this setting, add-ins are disabled and users are not notified that add-ins are disabled. Enabling this setting could cause significant disruptions for users who work with add-ins. If users have business-critical add-ins installed, you might be unable to enable this setting.

  • Guidelines: Most organizations use the default configuration for this setting and do not change this setting.

Require that application add-ins are signed by trusted publisher

Office 2010 provides a setting that enables you to require that all add-ins be signed by a trusted publisher. Use the following guidelines to determine whether to use this setting.

Setting name: Require that application add-ins are signed by trusted publisher

  • Description: This setting controls whether add-ins must be digitally signed by a trusted publisher. By default, the publisher of an add-in does not have to be on the Trusted Publishers list for an add-in to run.

  • Impact: When you enable this setting, add-ins that are signed by a publisher that is on the Trusted Publishers list will run without notification. Unsigned add-ins and add-ins that are signed by a publisher that is not on the Trusted Publishers list will be disabled. But users are prompted to enable the add-ins. Enabling this setting could cause disruptions for users who rely on add-ins that are not signed by trusted publishers. These users will either have to obtain signed versions of such add-ins or stop using them.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting.

Disable notifications for unsigned add-ins

Office 2010 provides a setting that enables you to prevent users from seeing Message Bar warnings when unsigned add-ins are not able to run. Use the following guidelines to determine whether to use this setting.

Setting name: Disable Trust Bar Notification for unsigned application add-ins

  • Description: This setting controls whether to notify users when unsigned application add-ins are loaded or silently disable such add-ins without notification. By default, a warning appears in the Message Bar when an unsigned add-in attempts to run.

  • Impact: If you enable this setting, users will not see a warning in the Message Bar when an unsigned add-in attempts to run and users will be unable to enable the unsigned add-in. Enabling this setting could cause disruptions for users who rely on add-ins that are not signed by trusted publishers. These users will either have to obtain signed versions of such add-ins or stop using them.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting if they require all add-ins be signed by a trusted publisher.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan security settings for ActiveX controls for Office 2010

You can change the way Microsoft ActiveX controls behave in Microsoft Office 2010 by modifying ActiveX control settings.

In this article:

  • About planning settings for ActiveX controls

  • Disable ActiveX controls

  • Change the way ActiveX controls are initialized

  • Related ActiveX control settings

About planning settings for ActiveX controls

Office 2010 provides several security settings that let you to control how ActiveX controls behave and how users are notified about potentially unsafe ActiveX controls. By configuring these settings, you can do the following:

  • Disable ActiveX controls.

  • Modify how ActiveX controls are initialized based on the safe mode parameters and the Safe for Initialization (SFI) and Unsafe for Initialization (UFI) parameters.

For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

By default, trusted ActiveX controls are loaded in safe mode with persistent values and users are not notified that the ActiveX controls loaded. A trusted ActiveX control is any ActiveX control that is signed by a trusted publisher or contained in a document that is opened from a trusted location or considered to be a trusted document. Untrusted ActiveX controls load differently depending on how the ActiveX control is marked and whether a VBA project exists in the file together with the ActiveX control. The default behavior of untrusted ActiveX controls is as follows:

  • If an ActiveX control is marked Safe for Initialization (SFI) and it is contained in a document that does not contain a VBA project, the ActiveX control is loaded in safe mode with persistent values. The Message Bar does not appear and users are not notified about the presence of the ActiveX control. All ActiveX controls in the document must be marked SFI for this behavior to occur.

  • If an ActiveX control is marked Unsafe for Initialization (UFI) and it is contained in a document that does not contain a VBA project, users are notified in the Message Bar that ActiveX controls are disabled. However, users can click the Message Bar to enable ActiveX controls. If a user enables ActiveX controls, all ActiveX controls (those marked UFI and SFI) are loaded in safe mode with persistent values.

  • If an ActiveX control marked UFI or SFI is contained in a document that also contains a VBA project, users are notified in the Message Bar that ActiveX controls are disabled. However, users can click the Message Bar to enable ActiveX controls. If a user enables ActiveX controls, all ActiveX controls (those marked SFI and UFI) are loaded in safe mode with persistent values.

Important:

If a kill bit is set in the registry for an ActiveX control, the control is not loaded and cannot be loaded in any circumstance. In addition, the Message Bar does not appear and users are not notified about the presence of the ActiveX control.

Disable ActiveX controls

Office 2010 provides a setting that enables you to disable ActiveX controls. Disabling ActiveX controls prevents all ActiveX controls in a file from initializing (that is, loading) when a file is opened. It also prevents users from adding ActiveX controls to a document. In some cases, a disabled ActiveX control might appear in a file as a red x or some other symbol. However, the control is disabled and no action occurs if a user clicks the symbol. Also, when you disable ActiveX controls, users are not notified that ActiveX controls are disabled.

Use the following guidelines to determine whether to disable ActiveX controls.

Setting name: Disable all ActiveX

  • Description: This setting controls whether ActiveX controls are disabled in Office 2010. This is a global setting and cannot be configured on a per-application basis.

  • Impact: If you enable this setting, ActiveX controls do not initialize and users are not notified that the ActiveX controls are disabled. Also, users cannot insert ActiveX controls into documents. ActiveX controls can provide additional functionality in documents. Therefore, disabling them can reduce functionality for users. You should ensure that users are aware that this setting is enabled, because they are not notified by the application that ActiveX controls have been disabled. It is also important to determine whether ActiveX controls are used to provide business-critical functionality before you enable this setting.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting.

Note:

If you enable this setting, ActiveX controls are disabled in files that are saved in trusted locations.

You can also use the Office COM kill bit, which was introduced in Office 2010, to prevent specific COM objects, including ActiveX controls, from running within Office 2010 applications. This capability was available in the 2007 Office system. However, it was dependent on the Internet Explorer ActiveX kill bit setting. Now, with Office 2010, you can independently control through the registry which COM objects will not be able to run by using Office 2010. If, for example, the kill bit is set for the same ActiveX control in both locations, Office and Internet Explorer, and there is a conflict between the two settings, the Office COM kill bit has precedence. A common scenario where you would see the Office COM kill bit set is when you apply an update that is included in a Microsoft Security Bulletin to address a specific Office 2010 security issue.

Warning:

We do not recommend unkilling (undoing the kill action on) a COM object. If you do this, you might create security vulnerabilities. The kill bit is typically set for a reason that might be critical, and because of this, extreme care must be used when you unkill an ActiveX control.

It is possible to add an AlternateCLSID (also known as a "Phoenix bit") when you need to correlate the CLSID of a new ActiveX control, which was modified to mitigate the security threat, to the CLSID of the ActiveX control to which the Office COM kill bit was applied. Office 2010 supports using the AlternateCLSID only with ActiveX control COM objects. For more information about kill bit behavior, including AlternateCLSID, see How to stop an ActiveX control from running in Internet Explorer (http://go.microsoft.com/fwlink/p/?LinkId=183124).

Because the following procedure is highly technical, do not continue unless you are very comfortable with the procedure.

Important:

This section, method, or task contains steps that tell you how to modify the registry. However, serious problems might occur if you modify the registry incorrectly. Therefore, make sure that you follow these steps carefully. For added protection, back up the registry before you modify it. Then, you can restore the registry if a problem occurs.

The location for setting the Office COM kill bit in the registry is HKLM/Software/Microsoft/Office/Common/COM Compatibility/{CLSID}, where CLSID is the class identifier of the COM object. To enable the Office COM kill bit, you need to add the registry key, including the CLSID of the ActiveX control, and add the value of 0x00000400 to the Compatibility Flags REG_DWORD.

Note:

The behavior of the kill bit (both Internet Explorer and Office COM) can be affected by enabling COM categorization in Office 2010. For more information, see Plan COM object categorization for Office 2010.

Controls you may want to consider putting onto the Office deny list:

  • Microsoft HTA Document 6.0 - 3050F5C8-98B5-11CF-BB82-00AA00BDCE0B

  • htmlfile - 25336920-03F9-11CF-8FD0-00AA00686F13

  • htmlfile_FullWindowEmbed - 25336921-03F9-11CF-8FD0-00AA00686F13

  • mhtmlfile - 3050F3D9-98B5-11CF-BB82-00AA00BDCE0B

  • Web Browswer Control - 8856F961-340A-11D0-A96B-00C04FD705A2

  • DHTMLEdit - 2D360200-FFF5-11d1-8d03-00a0c959bc0a

Change the way ActiveX controls are initialized

Office 2010 provides a setting that enables you to control the way ActiveX controls are initialized based on SFI, UFI, and safe mode parameters. SFI, UFI, and safe mode are parameters that developers can configure when they create ActiveX controls. ActiveX controls that are marked SFI use safe data sources to initialize. A safe data source is one that is trusted, known, and does not cause a security breach. Controls that are not marked SFI are considered UFI.

Safe mode is another security mechanism that developers can use to help ensure the safety of ActiveX controls. When a developer creates an ActiveX control that implements safe mode, the control can be initialized in two ways: in safe mode and in unsafe mode. When an ActiveX control is initialized in safe mode, certain restrictions that limit functionality are imposed on the control. Conversely, when an ActiveX control is initialized in unsafe mode, there are no restrictions on its functionality. For example, an ActiveX control that reads and writes files might only be able to read files if it is initialized in safe mode, and it might be able to read and write files when it is initialized in unsafe mode. Only ActiveX controls that are SFI can be initialized in safe mode. ActiveX controls that are UFI are always initialized in unsafe mode.

If the default initialization for ActiveX controls is insufficient for your organization but you do not want to disable ActiveX controls, use the following guidelines to determine how you can change the way ActiveX controls are initialized.

Setting name: ActiveX control initialization

  • Description: This setting specifies how ActiveX controls are initialized for all Office 2010 applications. This is a global setting and cannot be configured on a per-application basis. You can select one of six possible initialization security levels for this setting:

    • Security level 1 Regardless of how the control is marked, load it and use persistent values (if any). This setting prevents users from being prompted.

    • Security level 2 If the control is marked SFI, load the control in safe mode and use persistent values (if any). If the control is not marked SFI, load in unsafe mode with persistent values (if any), or use the default (first-time initialization) settings. This level resembles the default configuration, but unlike the default configuration this setting prevents users from being notified.

    • Security level 3 If the control is marked SFI, load the control in unsafe mode and use persistent values (if any). If the control is not marked SFI, prompt the user and advise them that it is marked unsafe. If the user decides No at the prompt, do not load the control. Otherwise, load it with default (first-time initialization) settings.

    • Security level 4 If the control is marked SFI, load the control in safe mode and use persistent values (if any). If the control is not marked SFI, prompt the user and advise them that it is marked unsafe. If the user decides No at the prompt, do not load the control. Otherwise, load it with default (first-time initialization) settings.

    • Security level 5 If the control is marked SFI, load the control in unsafe mode and use persistent values (if any). If the control is not marked SFI, prompt the user and advise them that it is marked unsafe. If the user decides No at the prompt, do not load the control. Otherwise, load it with persistent values.

    • Security level 6 If the control is marked SFI, load the control in safe mode and use persistent values (if any). If the control is not marked SFI, prompt the user and advise them that it is marked unsafe. If the user decides No at the prompt, do not load the control. Otherwise, load it with persistent values.

  • Impact: If a control is not marked SFI, the control could adversely affect a computer — or it could mean that the developers did not test the control in all situations and cannot know for sure whether it might be compromised in the future. In addition, some ActiveX controls do not respect the safe mode registry setting, and therefore might load persistent data even though you configure this setting so that ActiveX controls initialize in safe mode. Enabling this setting and selecting security level 2, 4, or 6 only increases security for ActiveX controls that are accurately marked as SFI. In situations that involve malicious or poorly designed code, an ActiveX control might be inaccurately marked as SFI.

  • Guidelines: Most organizations enable this setting and select security level 2, which uses the same initialization criteria as the default configuration but does not notify users in the Message Bar. Organizations that have a highly restrictive security environment typically disable this setting, which is the default configuration.

Related ActiveX control settings

Several other settings affect how ActiveX controls behave in Office 2010 applications. If you are modifying ActiveX control settings because you have a special security environment, you might want to evaluate the following settings:

  • Load controls in Forms3 This setting determines how ActiveX controls are initialized in UserForms.

  • Disable all Trust Bar notifications for security issues This setting prevents users from seeing Message Bar warnings, including warnings about unsafe ActiveX controls.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan security settings for VBA macros for Office 2010

If you want to control the way Visual Basic for Applications (VBA) and VBA macros behave, you can modify Microsoft Office 2010 VBA and VBA macros settings for the following applications: Microsoft Access 2010, Microsoft Excel 2010, Microsoft PowerPoint 2010, Microsoft Publisher 2010, Microsoft Visio 2010, and Microsoft Word 2010.

In this article:

  • About planning VBA and VBA macro settings

  • Change the security warning settings for VBA macros

  • Disable VBA

  • Change how VBA macros behave in applications that are started programmatically

  • Change how encrypted VBA macros are scanned for viruses

  • Related VBA macro settings

About planning VBA and VBA macro settings

Office 2010 provides several settings that enable you to control the behavior of VBA and VBA macros. By configuring these settings, you can do the following:

  • Change the security warning settings for VBA macros. This includes disabling VBA macros, enabling all VBA macros, and changing the way that users are notified about VBA macros.

  • Disable VBA.

  • Change how VBA macros behave in applications that are started programmatically through Automation.

  • Change how antivirus software scans encrypted VBA macros.

For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

By default, VBA is enabled and trusted VBA macros are allowed to run. This includes VBA macros in documents that are saved in a trusted location, VBA macros in trusted documents, and VBA macros that meet the following criteria:

  • The macro is signed by the developer with a digital signature.

  • The digital signature is valid.

  • This digital signature is current (not expired).

  • The certificate associated with the digital signature was issued by a reputable certification authority (CA).

  • The developer who signed the macro is a trusted publisher.

Note:

The default security setting for macros is different in Microsoft Outlook 2010. For more information, see the Outlook 2010 security documentation.

VBA macros that are not trusted are not allowed to run until a user clicks the Message Bar and selects to enable the VBA macro.

Change the security warning settings for VBA macros

Office 2010 provides a setting that enables you to change the security warning settings and the behavior of VBA macros. Use the following guidelines to determine how to configure this setting if you want to change how users are notified about untrusted VBA macros or change the default behavior of VBA macros.

Setting name: VBA Macro Notification Settings

  • Description: This setting controls how applications warn users about Visual Basic for Applications (VBA) macros. You configure this setting on a per-application basis for Access 2010, Excel 2010, PowerPoint 2010, Publisher 2010, Visio 2010, and Word 2010. You can select one of four possible options for this setting:

    • Disable all with notification The application displays the Trust Bar for all macros, whether signed or unsigned. This is the default setting.

    • Disable all except digitally signed macros The application displays the Trust Bar for digitally signed macros. This allows users to enable them or leave them disabled. Any unsigned macros are disabled, and users are not notified or given the ability to enable the unsigned macros.

    • Disable all without notification The application disables all macros, whether signed or unsigned, and does not notify users.

    • Enable all macros (not recommended) All macros are enabled, whether signed or unsigned. This option can significantly reduce security by letting dangerous code to run undetected.

  • Impact: If you enable this setting and select the Disable all except digitally signed macros option, documents and templates that contain unsigned macros lose all functionality supplied by those macros. To prevent this loss of functionality, users can put files that contain macros in a trusted location.

    Important:

    If Disable all except digitally signed macros is selected, users cannot open unsigned Access 2010 databases.

    If you select Disable all without notification, documents and templates that contain unsigned and signed macros lose all functionality supplied by those macros. This is true even if a macro is signed and the publisher is listed in the Trusted Publisher list.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting and select the Disable all except digitally signed macros option. Organizations that do not let users run macros typically enable this setting and select Disable all without notification.

Disable VBA

Office 2010 provides a setting that enables you to disable VBA. By default, VBA is enabled. Use the following guidelines to determine how to configure this setting if you want to disable VBA.

Setting name: Disable VBA for Office applications

  • Description: This setting disables VBA in Excel 2010, Microsoft Outlook 2010, PowerPoint 2010, Publisher 2010, Microsoft SharePoint Designer 2010, and Word 2010, and prevents any VBA code from running in these applications. You cannot configure this setting on a per-application basis. It is a global setting. Enabling this setting does not install or remove any VBA-related code from a user's computer.

  • Impact: If you enable this setting, VBA code does not run. If your organization has business-critical requirements for using documents that have VBA code, do not enable this setting.

  • Guidelines: Organizations that have a highly restrictive security environment typically enable this setting.

Change how VBA macros behave in applications that are started programmatically

Office 2010 provides a setting that enables you to change the way VBA macros behave in applications that have been started programmatically through Automation. By default, when a separate program is used to programmatically start Excel 2010, PowerPoint 2010, or Word 2010, any macros can run in the application that was programmatically started. Use these guidelines to determine how to configure this setting if you want to do the following:

  • Prevent macros from running in applications that are programmatically started through Automation.

  • Allow VBA macros to run according to the VBA macro security settings that are configured for the applications that are programmatically started through Automation.

Setting name: Automation security

  • Description: This setting controls whether macros can run in an application that is opened programmatically by another application. This setting is a global setting and applies to Excel 2010, PowerPoint 2010, and Word 2010. You cannot configure this setting on a per-application basis. You can choose one of three possible options for this setting:

    • Disable macros by default All macros are disabled in the programmatically opened application.

    • Macros enabled (default) Macros are allowed to run in the programmatically opened application. This option enforces the default configuration.

    • Use application macro security level Macro functionality is determined according to how you configure the VBA macro warning settings setting for each application.

  • Impact: If you enable this setting and select the Disable macros by default option, macros will not run in applications that are programmatically started. This can be a problem if an application is started programmatically and then opens a document or a template that contains macros. In this case, the functionality that is provided by the macros is not available. The same situation might occur if you select the Use application macro security level option and you disable macros using the VBA macro warning settings setting.

  • Guidelines: Most organizations enable this setting and select the Use application macro security level option. However, organizations that have a highly restrictive security environment typically enable this setting and select the Disable macros by default option.

Change how encrypted VBA macros are scanned for viruses

Office 2010 provides a setting that enables you to modify the way encrypted VBA macros are scanned by antivirus software in Excel 2010, PowerPoint 2010, and Word 2010. By default, if a document, presentation, or workbook is encrypted and contains VBA macros, the VBA macros are disabled unless an antivirus program is installed on the client computer. In addition, encrypted VBA macros are scanned by the client computer's antivirus program when a user opens a document that contains encrypted macros. Use these guidelines to determine how to configure this setting if you want to do the following:

  • Allow all encrypted VBA macros to run without being scanned by an antivirus program.

  • Scan encrypted VBA macros if an antivirus program is installed, but enable encrypted VBA macros if no antivirus program is installed.

Setting name: Scan encrypted macros in Excel Open XML documents, Scan encrypted macros in PowerPoint Open XML documents, Scan encrypted macros in Word Open XML documents

  • Description: This setting controls the way encrypted VBA macros undergo virus scanning. This setting is a per-application setting and can be configured for Excel 2010, PowerPoint 2010, and Word 2010. You can choose one of three possible options for this setting:

    • Scan encrypted macros (default). All encrypted VBA macros are disabled unless they are scanned by an antivirus program. This option enforces the default configuration.

    • Scan if antivirus software available. Encrypted VBA macros are disabled unless they are scanned by an antivirus program. However, if no antivirus program is installed on the client computer, all encrypted VBA macros are enabled.

    • Load macros without scanning. Encrypted VBA macros are enabled and are not scanned, regardless of whether an antivirus program is installed on the client computer.

  • Impact: If you enable this setting and select the Load macros without scanning option, security could be significantly reduced by encrypted macros that have not been scanned for viruses. The same is true if the client computer does not have an antivirus program installed and you enable this setting and select the Scan if antivirus software available option.

  • Guidelines: Most organizations use the default configuration for this setting and do not change this setting.

Related VBA macro settings

Several other settings affect how VBA macros behave in Office 2010 applications. If you are modifying VBA macro settings because you have a special security environment, you might want to evaluate the following settings:

  • Trust access to VBA project

    This setting determines whether automation clients can access the VBA project.

  • Disable all Trust Bar notifications for security issues

    This setting prevents users from seeing Message Bar warnings, including warnings about unsafe VBA macros.

Note:

For the latest information about policy settings, refer to theMicrosoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan COM object categorization for Office 2010

Published: May 12, 2010

You can control the behavior of certain COM objects in Microsoft Office 2010 by using COM object categorization. COM objects can include ActiveX, Object Linking and Embedding (OLE), Excel RealTimeData (RTD) servers, and Office Web Components (OWC) data source providers. For example, you can create a security allow list, which will only allow the specified COM objects to load or you could choose to override the Internet Explorer kill bit.

In this article:

  • About COM object categorization

  • Configure Group Policy security settings for COM object categorization

  • Add COM object categorization in registry

About COM object categorization

Office 2010 will first check whether any of the Group Policy settings for COM object categorization is configured. If any of the settings are enabled to use COM object categorization, Office 2010 will verify the specified COM objects are categorized correctly within the registry.

To enable COM object categorization within your organization, you first need to determine how to best configure the Group Policy security settings for the needs of your organization. Then, you need to add the category id for the targeted COM objects within the registry.

Configure Group Policy security settings for COM object categorization

There are four COM object categorization Group Policy settings:

  • Check OWC data source providers

  • Check Excel RTD servers

  • Check OLE objects

  • Check ActiveX objects

Check OWC data source providers and Check Excel RTD servers can be configured to be either enabled or disabled. Enabling these settings will force Office 2010 to only load the COM objects that are categorized correctly.

Check OLE objects and Check ActiveX objects have additional options when you select Enabled. These options are listed in the following table.

Option | Description
Do not check | Office loads (OLE/ActiveX) objects without checking if they are categorized correctly before loading.
Override IE kill bit list (default behavior) | Office uses the category list to override Internet Explorer kill bit checks.
Strict allow list | Office loads only Active X objects that are categorized correctly.

The Override IE kill bit list option lets you specifically list which OLE or ActiveX controls will be allowed to load within Office 2010 as long as they are categorized correctly, even if they are on the Internet Explorer kill bit list. Use this control when you want to allow a COM object that is designated as unsafe to load in Internet Explorer. However, you know that the COM object is safe to load in Microsoft Office. Office also checks whether the Office COM kill bit is enabled. For more information about the Office COM kill bit, see Plan security settings for ActiveX controls for Office 2010. If the Office COM kill bit is enabled and there is no alternate CLSID, also known as a "Phoenix bit," the COM object will not load. For more information about kill bit behavior, see How to stop an ActiveX control from running in Internet Explorer (http://go.microsoft.com/fwlink/p/?LinkId=183124).

Use the Strict allow list option when you want to create a security allow list to only allow the specified controls to load and to disallow all other OLE or ActiveX objects, not on the list, from loading.

If you enable any of the COM object categorization settings within Group Policy, the next step is to add the COM object categorization in the registry.

Add COM object categorization in registry

Each Group Policy setting has a corresponding COM object categorization setting within the registry. These settings are listed in the following table.

Group Policy setting | Category ID (CATID)
Check OWC data source providers | {A67A20DD-16B0-4831-9A66-045408E51786}
Check Excel RTD servers | {8F3844F5-0AF6-45C6-99C9-04BF54F620DA}
Check OLE objects | {F3E0281E-C257-444E-87E7-F3DC29B62BBD}
Check ActiveX objects | {4FED769C-D8DB-44EA-99EA-65135757C156}

Except when the Group Policy setting is either configured to disabled or enabled | Do not check, you need to add a correct CATID for the designated COM objects. In the registry, you add a key (if it does not already exist) named Implemented Categories to the CLSID of the COM object. Then, you add a subkey that contains the CATID to the Implemented Categories key.

For example, if you create an allow list and allow only the OLE object, Microsoft Graph Chart, to be used in Office, you would first look up the CLSID for that COM object in the following location in the registry:

HKEY_CLASSES_ROOT\CLSID

The CLSID for the Microsoft Graph Chart is {00020803-0000-0000-C000-000000000046}. The next step is to either verify that either the key, Implemented Categories, already exists or create one if it does not. The path in this example will be:

HKEY_CLASSES_ROOT\CLSID\{00020803-0000-0000-C000-000000000046}\Implemented Categories

Finally, you would add a new subkey for the CATID that corresponds to the Check OLE object Group Policy setting to the Implemented Categories key. The final path and values for this example will be:

HKEY_CLASSES_ROOT\CLSID\{00020803-0000-0000-C000-000000000046}\Implemented Categories\{F3E0281E-C257-444E-87E7-F3DC29B62BBD}

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Other Resources

Office 2010 Security Resource Center on TechNet


Plan Protected View settings for Office 2010

If you want to change how the sandbox preview feature in Microsoft Office 2010 behaves, you can configure Protected View settings. Protected View is a new security feature in Office 2010 that helps mitigate exploits to your computer by opening files in a restricted environment so they can be examined before they are opened for editing in Microsoft Excel 2010, Microsoft PowerPoint 2010, or Microsoft Word 2010.

In this article:

  • About planning Protected View settings

  • Prevent files from opening in Protected View

  • Force files to open in Protected View

  • Add files to the list of unsafe files

About planning Protected View settings

Protected View helps mitigate several kinds of exploits by opening documents, presentations, and workbooks in a sandbox environment. A sandbox is a piece of computer memory or a specific computer process that is isolated from certain operating system components and applications. Because of this isolation, programs and processes that run in a sandbox environment are considered less dangerous. Sandbox environments are frequently used to test new applications and services that might make a computer unstable or fail. Sandbox environments are also used to prevent applications and processes from harming a computer.

When a file is opened in Protected View, users can view the file content but they cannot edit, save, or print the file content. Active file content, such as ActiveX controls, add-ins, database connections, hyperlinks, and Visual Basic for Applications (VBA) macros, is not enabled. Users can copy content from the file and paste it into another document. In addition, Protected View prevents users from viewing the details of digital signatures that are used to sign a document, presentation, or workbook.

Default behavior of Protected View

By default, Protected View is enabled in Excel 2010, PowerPoint 2010, and Word 2010. However, files open in Protected View only under certain conditions. In some cases, files bypass Protected View and are opened for editing. For example, files that are opened from trusted locations and files that are trusted documents bypass several security checks and are not opened in Protected View.

By default, files open in Protected View if any one of the following conditions is true:

  • A file skips or fails Office File Validation Office File Validation is a new security feature that scans files for file format exploits. If Office File Validation detects a possible exploit or some other unsafe file corruption, the file opens in Protected View.

  • AES zone information determines that a file is not safe Attachment Execution Services (AES) adds zone information to files that are downloaded by Microsoft Outlook or Microsoft Internet Explorer. If a file's zone information indicates that the file originated from an untrusted Web site or the Internet, the downloaded file opens in Protected View.

  • A user opens a file in Protected View Users can open files in Protected View by selecting Open in Protected View in the Open dialog box, or by holding down the SHIFT key, right-clicking a file, and then selecting Open in Protected View.

  • A file is opened from an unsafe location By default, unsafe locations include the user's Temporary Internet Files folder and the downloaded program files folder. However, you can use Group Policy settings to designate other unsafe locations.

In some cases, Protected View is bypassed even if one or more of the previously listed conditions are met. Specifically, files do not open in Protected View if any one of the following is true:

  • A file is opened from a trusted location.

  • A file is considered a trusted document.

Change Protected View behavior

We recommend that you do not change the default behavior of Protected View. Protected View is an important part of the layered defense strategy in Office 2010, and is designed to work with other security features such as Office File Validation and File Block. However, we recognize that some organizations might have to change Protected View settings to suit special security requirements. To that end, Office 2010 provides several settings that let you change how the Protected View feature behaves. You can use these settings to do the following:

  • Prevent files that are downloaded from the Internet from opening in Protected View.

  • Prevent files that are stored in unsafe locations from opening in Protected View.

  • Prevent attachments opened in Microsoft Outlook 2010 from opening in Protected View.

  • Add locations to the list of unsafe locations.

In addition, you can use File Block settings and Office File Validation settings to force files to open in Protected View. For more information, see Force files to open in Protected View later in this article.

Note:

For detailed information about the settings that are discussed in this article, see Security policies and settings in Office 2010. For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

Prevent files from opening in Protected View

You can change Protected View settings so that certain files bypass Protected View. To do so, enable the following settings:

  • Do not open files from the Internet zone in Protected View This setting forces files to bypass Protected View if the AES zone information indicates that the file was downloaded from the Internet zone. This setting applies to files that are downloaded by using Internet Explorer, Outlook Express, and Outlook.

  • Do not open files in unsafe locations in Protected View This setting forces files to bypass Protected View if the files are opened from an unsafe location. You can add folders to the unsafe locations list by using the Specify list of unsafe locations setting, which is discussed later in this article.

  • Turn off Protected View for attachments opened in Outlook This setting forces Excel 2010. PowerPoint 2010, and Word 2010 files that are opened as Outlook 2010 attachments to bypass Protected View.

These settings do not apply if File Block settings force the file to open in Protected View. Also, these settings do not apply if a file fails Office File Validation. You can configure each of these settings on a per-application basis for Excel 2010, PowerPoint 2010, and Word 2010.

Force files to open in Protected View

The File Block and Office File Validation features have settings that let you force files to open in Protected View when certain conditions are met. You can use these settings to determine the circumstances under which files open in Protected View.

Use File Block to force files to open in Protected View

The File Block feature lets you prevent users from opening or saving certain file types. When you use File Block settings to block a file type, you can choose one of three file block actions:

  • Blocked and not allowed to open.

  • Blocked and opened only in Protected View (users cannot enable editing).

  • Blocked and opened in Protected View (users can enable editing).

By selecting the second or third option, you can force blocked file types to open in Protected View. You can configure File Block settings only on a per-application basis for Excel 2010, PowerPoint 2010, and Word 2010. For more information about File Block settings, see Plan file block settings for Office 2010.

Use Office File Validation settings to force files to open in Protected View

Office File Validation is a new security feature that scans files for file format exploits before they are opened by an Office 2010 application. By default, files that fail Office File Validation are opened in Protected View and users can enable editing after previewing the file in Protected View. However, you can use the Set document behavior if file validation fails setting to change this default behavior. You can use this setting to select one of three possible options for files that fail Office File Validation:

  • Block completely Files that fail Office File Validation cannot be opened in Protected View or opened for editing.

  • Open in Protected View and disallow editing Files that fail Office File Validation are opened in Protected View but users cannot edit the files.

  • Open in Protected View and allow editing Files that fail Office File Validation are opened in Protected View and users are allowed to edit the files. This is the default.

By selecting the second option, you can restrict Protected View behavior for files that fail Office File Validation. You can configure this Office File Validation setting only on a per-application basis for Excel 2010, PowerPoint 2010, and Word 2010. For more information about Office File Validation settings, see Plan Office File Validation settings for Office 2010.

Add files to the list of unsafe files

You can use the Specify list of unsafe locations setting to add locations to the unsafe locations list. Files that are opened from unsafe locations are always opened in Protected View. The unsafe locations feature does not prevent users from editing a document; it only forces a document to open in Protected View before it is edited. This is a global setting that applies to Excel 2010, PowerPoint 2010, and Word 2010.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Understand security threats and countermeasures for Office 2010
Plan Office File Validation settings for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan Office File Validation settings for Office 2010

If you want to change how Microsoft Office 2010 validates files that are stored in Microsoft Office binary file formats, you can configure Office File Validation settings. Office File Validation is a new security feature in Office 2010 that helps prevent file format attacks by scanning Office binary file formats before they are opened in Microsoft Excel 2010, Microsoft PowerPoint 2010, or Microsoft Word 2010.

In this article:

  • About planning Office File Validation settings

  • Turn off Office File Validation

  • Change document behavior when validation fails

  • Turn off Office File Validation reporting

About planning Office File Validation settings

Office File Validation helps detect and prevent a kind of exploit known as a file format attack or file fuzzing attack. File format attacks exploit the integrity of a file, and they occur when someone modifies the structure of a file with the intent of adding malicious code. Usually the malicious code is run remotely and is used to elevate the privilege of restricted accounts on the computer. As a result, an attacker could gain access to a computer that they did not previously have access to. This could enable an attacker to read sensitive information from the computer's hard disk drive or install malware, such as a worm or a key logging program. The Office File Validation feature helps prevent file format attacks by scanning and validating files before they are opened. To validate files, Office File Validation compares a file's structure to a predefined file schema, which is a set of rules that determine what a readable file looks like. If Office File Validation detects that a file's structure does not follow all rules described in the schema, the file does not pass validation.

File format attacks occur most frequently in files that are stored in Office binary file formats. For this reason, Office File Validation scans and validates the following kinds of files:

  • Excel 97-2003 Workbook files. These files have an .xls extension and include all Binary Interchange File Format 8 (BIFF8) files.

  • Excel 97-2003 Template files. These files have an .xlt extension and include all BIFF8 files.

  • Microsoft Excel 5.0/95 files. These files have an .xls extension and include all BIFF5 files.

  • PowerPoint 97-2003 Presentation files. These files have a .ppt extension.

  • PowerPoint 97-2003 Show files. These files have a .pps extension.

  • PowerPoint 97-2003 Template files. These files have a .pot extension.

  • Word 97-2003 Document files. These files have a .doc extension.

  • Word 97-2003 Template files. These files have a .dot extension.

Office 2010 provides several settings that let you change how the Office File Validation feature behaves. You can use these settings to do the following:

  • Disable Office File Validation.

  • Specify document behavior when a file fails validation.

  • Prevent Office 2010 from sending Office File Validation information to Microsoft.

Note:

For detailed information about the settings that are discussed in this article, see Security policies and settings in Office 2010. For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

By default, Office File Validation is enabled in Excel 2010, PowerPoint 2010, and Word 2010. Any files that fail validation are opened in Protected View and users can choose to enable editing for files that fail validation but are opened in Protected View. Also, users are prompted to send Office File Validation information to Microsoft. Information is collected only for files that fail validation.

We recommend that you do not change the default settings for Office File Validation. However, some organizations might have to configure Office File Validation settings to suit special security requirements. Specifically, organizations that have the following security requirements might have to change the default settings for the Office File Validation feature:

  • Organizations that restrict access to the Internet. Office File Validation prompts users to send validation error information to Microsoft approximately every two weeks. This could violate an organization's Internet access policies. In this case, you might need to prevent Office File Validation from sending the information to Microsoft. For more information, see Turn off Office File Validation reporting later in this article.

  • Organizations that have highly restrictive security environments. You can configure Office File Validation so that files that fail validation cannot be opened or can only be opened in Protected View. This is a more restrictive than the default settings for Office File Validation and might be suitable to organizations that have a locked-down security environment. For more information about how to change document behavior, see Change document behavior when validation fails later in this article.

  • Organizations that do not want their files sent to Microsoft. If users allow it, Office File Validation sends a copy of all files that fail validation to Microsoft. You can configure Office File Validation so that users are not prompted to send validation information to Microsoft.

Turn off Office File Validation

You can use the Turn off file validation setting to disable Office File Validation. This setting must be configured on a per-application basis for Excel 2010, PowerPoint 2010, and Word 2010. This setting prevents files that are stored in the Office binary file format from being scanned and validated. For example, if you enable the Turn off file validation setting for Excel 2010, Office File Validation does not scan or validate Excel 97-2003 Workbook files, Excel 97-2003 Template files, or Microsoft Excel 5.0/95 files. If a user opens one of those file types, and the file contains a file format attack, the attack will not be detected or prevented unless some other security control detects and prevents such an attack.

We recommend that you do not turn off Office File Validation. Office File Validation is a key part of the layered defense strategy in Office 2010 and should be enabled on all computers throughout an organization. If you want to prevent files from being validated by the Office File Validation feature, we recommend that you use the Trusted Locations feature. Files that are opened from trusted locations skip Office File Validation checks. You can also use the Trusted Documents feature to prevent a file from being validated by Office File Validation. Files that are considered to be trusted documents do not undergo Office File Validation checks.

Change document behavior when validation fails

You can use the Set document behavior if file validation fails setting to change how documents behave when they fail validation. When you enable this setting, you can select one of the following three options:

  • Block files completely Files that fail validation do not open in Protected View and users cannot open files for editing.

  • Open files in Protected View and disallow edit Files open in Protected View so users can see the content of the file, but users cannot open files for editing.

  • Open files in Protected View and allow edit Files open in Protected View and users can choose to open files for editing. This option represents the default behavior of the Office File Validation feature.

If you select the Open files in Protected View and disallow edit option, users see the following text in the Message Bar when a file fails validation:

Protected View Office has detected a problem with this file. Editing it may harm your computer. Click for more details.

If a user clicks the Message Bar, the Microsoft Office Backstage view appears, which provides a more lengthy description of the problem and lets users enable the file for editing.

If you select the Block files completely option, users see the following text in a dialog box when a file fails validation:

Office has detected a problem with this file. To help protect your computer this file cannot be opened.

Users can expand the dialog box and see a more detailed explanation of why the file does not open, or they can close the dialog box by clicking OK.

Turn off Office File Validation reporting

You can use the Turn off error reporting for files that fail file validation setting to suppress the dialog box that prompts users to send information to Microsoft. This setting also prevents validation information from being sent to Microsoft.

Every time that a file fails validation, Office 2010 collects information about why the file failed validation. Approximately two weeks after a file fails validation, Office 2010 prompts users to send Office File Validation information to Microsoft. The validation information includes such things as the file types, file sizes, how long it took to open the files, and how long it took to validate the files. Copies of the files that failed validation are also sent to Microsoft. Users see the list of files when they are prompted to send validation information to Microsoft. Users can decline to send validation information to Microsoft, which means no information about failed validations is sent to Microsoft and no files are sent to Microsoft. If an organization restricts Internet access, has restrictive Internet access policies, or does not want files sent to Microsoft, you might have to enable the Turn off error reporting for files that fail file validation setting.

Important:

The Office File Validation feature can occasionally indicate that a file failed validation when in fact the file is valid. The validation reporting feature helps Microsoft improve the Office File Validation feature and minimize the occurrence of false positive results.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan password complexity settings for Office 2010

New security controls are available in Microsoft Office 2010 to help you plan a robust defense against threats while maintaining information worker productivity.

The Encrypt with Password feature in Microsoft Excel 2010, PowerPoint 2010, and Word 2010 contains settings that enable you to enforce strong passwords, such as password length and complexity rules. By using these settings, you can require Office 2010 applications enforce local password requirements or the domain-based requirements that are specified in the Password Policy settings in Group Policy.

In this article:

  • About planning password length and complexity settings

  • Determine the password rules level

  • Related password length and complexity settings

About planning password length and complexity settings

By default, there are no restrictions on password length or password complexity for the Encrypt with Password feature, which means that users can encrypt a document, presentation, or workbook without specifying a password. However, we recommend that organizations change this default setting and enforce password length and complexity to help ensure that strong passwords are used with the Encrypt with Password feature.

Many organizations enforce strong passwords for log on and authentication by using domain-based group policies. If this is the case, we recommend that the organization use the same password length and complexity requirements for the Encrypt with Password feature. For more information about strong passwords, including recommendations for determining password length and complexity, see Creating a Strong Password Policy (http://go.microsoft.com/fwlink/p/?LinkId=166269).

Caution:

When you establish password policies, you need to balance the need for strong security with the need to make the password policy easy for users to implement. If a password is forgotten or an employee leaves an organization without providing the passwords used to save and encrypt the data, the data is inaccessible until the correct password is available to decrypt the data.

Enforce password length and complexity

When you configure the password settings that Office 2010 provides to enforce password length and complexity, you have the option to use the settings that are included with Office 2010 or in combination with the password settings that are available in the domain-based Group Policy object. If you already enforce strong passwords for domain log on and authentication, we recommend that you configure the password length and complexity settings for Office 2010 the same as they are configured for the Password Policy Group Policy object for the domain.

The password settings included with Office 2010 are listed as follows:

  • Set minimum password length

  • Set password rules level

  • Set password rules domain time-out

You can configure the Office 2010 password settings by using the Office Customization Tool (OCT) or the Office 2010 Administrative Templates for local or domain-based group policies. For information about how to configure security settings in the OCT and the Office 2010 Administrative Templates, see Configure security for Office 2010.

The password settings available for the Password Policy Group Policy object on the domain are listed as follows:

  • Enforce password history

  • Maximum password age

  • Minimum password age

  • Minimum password length

  • Password must meet complexity requirements

  • Store passwords using reversible encryption

You can use the Group Policy Object Editor to configure the domain-based Password Policy settings (GPO | Computer Configuration | Policies | Windows Settings | Security Settings | Account Policies | Password Policy). For more information, see Group Policy Object Editor Technical Reference (http://go.microsoft.com/fwlink/p/?LinkId=188682).

The Set password rules level setting in Office 2010 determines the password complexity requirements and whether the Password Policy Group Policy object for the domain will be used.

To enforce password length and complexity for the Encrypt with Password feature, you must do the following:

  • Determine the minimum password length that you want to enforce locally.

  • Determine the password rules level.

  • Determine the password time-out value for domain-based password enforcement. (This is an optional task. You might need to configure this value if there is a custom password filter installed on your domain controller and the default time to wait when contacting a domain controller of 4 seconds is insufficient.)

Determine minimum password length requirement

To enforce password length and complexity, you must first determine the minimum password length that you want to enforce locally. The Set minimum password length setting lets you do this. When you enable this setting, you can specify a password length between 0 and 255. However, specifying a minimum password length does not enforce password length. To enforce password length or complexity, you must change the Set password rules level setting, which is discussed in the following section.

Caution:

When you establish password policies, you need to balance the need for strong security with the need to make the password policy easy for users to implement. If a password is forgotten or an employee leaves an organization without providing the passwords used to save and encrypt the data, the data is inaccessible until the correct password is available to decrypt the data.

Determine the password rules level

After you set a minimum password length for local enforcement, you must determine the rules by which password length and complexity are enforced. The Set password rules level setting lets you do this. When you enable this setting, you can select one of four levels, which are as follows:

  • No password checks Password length and complexity is not enforced. This is the same as the default configuration.

  • Local length check Password length is enforced but not password complexity. In addition, password length is enforced only on a local basis according to the password length requirement specified in the Set minimum password length setting.

  • Local length and complexity checks Password length is enforced on a local basis according to the password length requirement specified in the Set minimum password length setting. Password complexity is also enforced on a local basis, which means that passwords must contain characters from at least three of the following character sets:

    • Lowercase a-z

    • Uppercase A-Z

    • Digits 0-9

    • Non-alphabetical characters

    This setting works only if you specify a password length of at least six characters in the Set minimum password length setting.

  • Local length, local complexity, and domain policy checks Password length and complexity is enforced according to the domain-based Password Policy settings that are set in Group Policy. If a computer is offline or cannot contact a domain controller, the local password length and complexity requirements are enforced exactly as they are described for the Local length and complexity checks setting.

If you want to enforce password length and password complexity by using domain-based settings, you must configure Password Policy settings in Group Policy. Domain-based enforcement has several advantages over local enforcement. Some of the advantages include the following:

  • Password length and complexity requirements are the same for log on and authentication as they are for the Encrypt with Password feature.

  • Password length and complexity requirements are enforced the same way throughout the organization.

  • Password length and complexity requirements can be enforced differently according to organizational units, sites, and domains.

To learn more about enforcing password length and complexity by using domain-based Group Policy, see Enforcing strong password usage throughout your organization (http://go.microsoft.com/fwlink/p/?LinkId=166262).

Determine domain time-out value

If you use domain-based Group Policy settings to enforce password length and complexity for the Encrypt with Password feature and there is a custom password filter installed on your domain controller, you might need to configure the Set password rules domain time-out setting. The domain time-out value determines how long an Office 2010 application waits for a response from a domain controller before it uses the local password length and complexity settings for enforcement. You can use the Set password rules domain time-out setting to change the domain time-out value. By default, the time-out value is 4000 millisecond (4 seconds), which means that an Office 2010 application will use local password length and complexity settings for enforcement if a domain controller does not respond within 4000 milliseconds.

Note:

The domain time-out value has no effect unless you enable the Set minimum password length setting, enable the Set password rules level setting, and then select the Local length, local complexity, and domain policy checks option.

Related password length and complexity settings

The following settings are often used when an organization enforces password length and complexity:

  • Cryptographic agility settings These settings let you specify the cryptographic providers and algorithms that are used to encrypt documents, presentations, and workbooks.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan cryptography and encryption settings for Office 2010

Microsoft Office 2010 contains settings that let you control the way that data is encrypted when you use certain Microsoft Office applications. These applications include Microsoft Access 2010, Excel 2010, OneNote 2010, PowerPoint 2010, Project 2010, and Word 2010.

This article discusses cryptography and encryption in Office 2010, describes the settings that you can use to encrypt data, and provides information about compatibility with previous versions of Microsoft Office. For information about Microsoft Outlook 2010, see Plan for e-mail messaging cryptography in Outlook 2010.

As you plan your encryption settings, consider the following guidelines:

  • We recommend that you do not change the default encryption settings unless your organization's security model requires encryption settings that differ from the default settings.

  • We recommend that you enforce password length and complexity to help ensure that strong passwords are used when you encrypt data. For more information, see Plan password complexity settings for Office 2010.

  • We recommend that you do not use RC4 encryption. For more information, see Compatibility with earlier versions of Office later in this article.

  • There is not an administrative setting that lets you force users to encrypt documents. However, there is an administrative setting that lets you remove the ability to add passwords to documents and, therefore, disallow the encryption of documents. For more information, see Cryptography and encryption settings later in this article.

  • Saving documents in trusted locations does not affect encryption settings. If a document is encrypted and it is saved in a trusted location, a user must provide a password to open the document.

In this article:

  • About cryptography and encryption in Office 2010

  • Cryptography and encryption settings

  • Compatibility with earlier versions of Office

About cryptography and encryption in Office 2010

The available encryption algorithms to use with Office depend on the algorithms that can be accessed through the APIs (application programming interface) in the Windows operating system. Office 2010, in addition to maintaining support for Cryptography API (CryptoAPI), also includes support for CNG (CryptoAPI: Next Generation), which was first made available in the 2007 Microsoft Office system with Service Pack 2 (SP2).

CNG allows for more agile encryption, where different encryption and hashing algorithms supported on the host computer can be specified to be used during the document encryption process. CNG also allows for better extensibility encryption, where third-party encryption modules can be used.

When Office uses CryptoAPI, the encryption algorithms depend on those that are availablein a CSP (Crypto Service Provider), which is part of the Windows operating system. The following registry key contains a list of CSPs that are installed on a computer:

HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Cryptography/Defaults/Provider

The following CNG encryption algorithms, or any other CNG cipher extension installed on the system, can be used with Office 2010 or the 2007 Office system SP2:

AES, DES, DESX, 3DES, 3DES_112, and RC2

The following CNG hashing algorithms, or any other CNG cipher extension that is installed on the system, can be used with Office 2010 or the 2007 Office system SP2:

MD2, MD4, MD5, RIPEMD-128, RIPEMD-160, SHA-1, SHA256, SHA384, and SHA512

Although there are Office 2010 settings to change how encryption is performed, when you encrypt Open XML Format files (.docx, .xslx, .pptx, and so on) the default values — AES (Advanced Encryption Standard), 128-bit key length, SHA1, and CBC (cipher block chaining) — provide strong encryption and should be fine for most organizations. AES encryption is the strongest industry-standard algorithm that is available and was selected by the National Security Agency (NSA) to be used as the standard for the United States Government. AES encryption is supported on Windows XP SP2, Windows Vista, Windows 7, Windows Server 2003, and Windows Server 2008.

Cryptography and encryption settings

Before you can use the settings discussed in this section, you must install the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool(http://go.microsoft.com/fwlink/p/?LinkId=189316) download package, which contains new and updated Group Policy administrative template files and OCT files.

The tables in this section list cryptography and encryption settings. For each setting, the following information is provided:

  • The setting name

  • What the setting does

  • The default configuration for the setting

  • Where to find the setting in the Group Policy Object Editor

    • Unless otherwise noted, you will find Group Policy settings under the User Configuration/Administrative Templates node of the Group Policy Object Editor when you edit a local or domain-based Group Policy object (GPO).

      Note:

      The locations in the Group Policy Object Editor presented in this article apply when you invoke the Group Policy Object Editor to edit a GPO. To edit local Group Policy, use the Local Group Policy Editor. To edit domain-based Group Policy, use the Group Policy Management Console (GPMC). Either tool invokes the Group Policy Object Editor when you edit a GPO. For more information, see Use Group Policy to enforce Office 2010 settings and Group Policy overview for Office 2010.

  • Where to find the setting in the Office Customization Tool (OCT)

    • Unless otherwise noted, you will find OCT settings on the Modify user settings page of the OCT when you configure a setup customization file.

      Note:

      When you create a new Setup customization .msp file, or open an existing customization .msp file for which file format settings have not been configured for Excel 2010, PowerPoint 2010, or Word 2010, you might be prompted to choose a default file format for users. This happens if the geographic location of the computer on which you are running the OCT is set to a European location, You can choose to keep the current settings for the Setup customization file, or choose either Open XML Formats (which support all the features of Office 2010), or OpenDocument formats. For more information about these file formats, click Learn more to access OCT help.

For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

The following table lists the settings that are available to change the encryption algorithms when you use Microsoft Office versions that access CryptoAPI. This includes Office versions up to and including Office 2010.

Setting | What it does | Default configuration | Group Policy object editor location | OCT location
Encryption type for password-protected Office Open XML files | Allows you to specify an encryption type for Office Open XML files. | Excel, PowerPoint, and Word use Office 97/2000 Compatible encryption, a proprietary encryption method, to encrypt password-protected Office 97-2003 files. | Microsoft Office 2010\Security Settings\Trust Center\Protected View | Microsoft Office 2010\Security Settings\Trust Center\Protected View
Encryption type for password-protected Office 97-2003 files | Allows you to specify an encryption type for password-protected Office 97-2003 files. | Excel, PowerPoint, and Word use Office 97/2000 Compatible encryption, a proprietary encryption method, to encrypt password-protected Office 97-2003 files. | Same location as previous policy setting. | Same location as previous policy setting.

In Office 2010, if you must change the Encryption type for password-protected Office Open XML files setting, you first must enable the Specify encryption compatibility setting and select the Use legacy format option. The Specify encryption compatibility setting is available for Access 2010, Excel 2010, PowerPoint 2010, and Word 2010.

The following table lists the settings that are available to change the encryption algorithms when you use Office 2010. These settings apply to Access 2010, Excel 2010, OneNote 2010, PowerPoint 2010, Project 2010, and Word 2010.

Note:

All of the following settings, except for the Set parameters for CNG context and Specify CNG random number generator algorithm settings, are applicable even when you use a supported operating system for Office 2010, such as Windows XP SP3, which does not include support for CNG. In this case, Office 2010 uses CryptoAPI instead of CNG. These settings apply only when you use Office 2010 for encryption of Open XML files.

Setting | What it does | Default configuration | Group Policy object editor location | OCT location
Set CNG cipher algorithm | Allows you to configure the CNG cipher algorithm that is used. | AES is used. | Microsoft Access 2010\Application Settings\Security\Cryptography Microsoft Excel 2010\Excel Options\Security\Cryptography Microsoft OneNote 2010\OneNote Options\Security\Cryptography Microsoft PowerPoint 2010\PowerPoint Options\Security\Cryptography Microsoft Project 2010\Security\Cryptography Microsoft Word 2010\Word Options\Security\Cryptography | Microsoft Access 2010\Application Settings\Security\Cryptography Microsoft Excel 2010\Excel Options\Security\Cryptography Microsoft OneNote 2010\OneNote Options\Security\Cryptography Microsoft PowerPoint 2010\PowerPoint Options\Security\Cryptography Microsoft Project 2010\Security\Cryptography Microsoft Word 2010\Word Options\Security\Cryptography
Configure CNG cipher chaining mode | Allows you to configure the cipher chaining mode that is used. | Cipher Block Chaining (CBC) is the CNG cipher chaining mode that is used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Set CNG cipher key length | Allows you to configure the number of bits to use when you create the cipher key. This number will be rounded down to a multiple of 8. | 128 bits are used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Specify encryption compatibility | Allows you to specify the encrypted database compatibility. | Use next generation format option is applied. | Same locations as previous policy setting. | Same locations as previous policy setting.
Set parameters for CNG context | Allows you to specify the encryption parameters that should be used for the CNG context. | Default CNG values will be used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Specify CNG hash algorithm | Allows you to specify the hash algorithm that is used. | SHA1 is used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Set CNG password spin count | Allows you to specify the number of times to spin (rehash) the password verifier. | The default (100000) is used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Specify CNG random number generator algorithm | Allows you to configure the CNG random number generator to use. | The default random number generator will be used. | Same locations as previous policy setting. | Same locations as previous policy setting.
Specify CNG salt length | Allows you to specific the number of bytes of salt that should be used. | The default length of 16 is used. | Same locations as previous policy setting. | Same locations as previous policy setting.

In addition to the CNG settings that were listed in the previous table, the CNG setting that is listed in the following table can be configured for Excel 2010, PowerPoint 2010, and Word 2010.

Setting | What it does | Default configuration | Group Policy object editor location | OCT location
Use new key on password change | Allows you to specify whether a new encryption key should be used when the password is changed. | Do not use a new key option is applied. | Microsoft Excel 2010\Excel Options\Security\Cryptography Microsoft PowerPoint 2010\PowerPoint Options\Security\Cryptography Microsoft Word 2010\Word Options\Security\Cryptography | Microsoft Excel 2010\Excel Options\Security\Cryptography Microsoft PowerPoint 2010\PowerPoint Options\Security\Cryptography Microsoft Word 2010\Word Options\Security\Cryptography

You can use the setting that is listed in the following table to remove the ability to add passwords to documents, therefore disallowing encryption of documents.

Setting | What it does | Default configuration | Group Policy object editor location | OCT location
Disable password to open UI | Controls whether Office 2010 users can add passwords to documents. | Users can add passwords to Excel workbooks, PowerPoint presentations, and Word documents. | Microsoft Office 2010\Security Settings\Trust Center\Protected View | Microsoft Office 2010\Security Settings\Trust Center\Protected View

Compatibility with earlier versions of Office

If you have to encrypt Office documents, we recommend that you save the documents as Open XML Format files (.docx, .xlsx, .pptx, and so on) instead of Office 97-2003 format (.doc, .xls, .ppt, and so on). The encryption that is used for binary documents (.doc, .xls, .ppt) uses RC4. It is not recommended, as discussed in Security Considerations sections 4.3.2 and 4.3.3 of the Office Document Cryptography Structure Specification (http://go.microsoft.com/fwlink/p/?LinkId=192287). Documents that are saved in the older Office binary formats can only be encrypted by using RC4 to maintain compatibility with older versions of Microsoft Office. AES, the default and recommended encryption algorithm, is used to encrypt Open XML Format files.

Office 2010 and the 2007 Office system let you save documents as Open XML Format files. In addition, if you have Microsoft Office XP or Office 2003, you can use the Compatibility Pack to save documents as Open XML Format files.

Documents that are saved as Open XML Format files and encrypted by using Office 2010 can only be read by Office 2010, Office 2007 SP2, and Office 2003 with the Office 2007 SP2 compatibility pack. To ensure compatibility with all earlier versions of Office, you can create a registry key (if it does not already exist) under HKCU\Software\Microsoft\Office\14.0\<application>\Security\Crypto\ called CompatMode and disable it by setting it to 0. The values that you can enter for <application> represent the specific Office application that you are configuring this registry key for. For example, you can enter Access, Excel, PowerPoint, or Word. It is important to realize that, when you set CompatMode to 0, Office 2010 uses an Office 2007 compatible encryption format, instead of the enhanced security that is provided by default when you use Office 2010 to encrypt Open XML Format files. If you have to configure this setting for compatibility reasons, we recommend that you also use a third-party encryption module that allows for enhanced security, such as AES encryption.

If your organization uses the Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint File Formats to encrypt Open XML Format files, you should review the following information:

  • By default, the Compatibility Pack uses the following settings to encrypt Open XML Format files:

    • Microsoft Enhanced RSA and AES Cryptographic Provider (Prototype),AES 128,128 (on the Windows XP Professional operating system).

    • Microsoft Enhanced RSA and AES Cryptographic Provider,AES 128,128 (on Windows Server 2003 and Windows Vista operating systems).

  • Users are not notified that the Compatibility Pack uses these encryption settings.

  • The graphical user interface on earlier versions of Office might display incorrect encryption settings for Open XML Format files if the Compatibility Pack is installed.

  • Users cannot use the graphical user interface in earlier versions of Office to change the encryption settings for Open XML Format files.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office Document Cryptography Structure Specification
Office 2010 Security Resource Center on TechNet


Plan digital signature settings for Office 2010

You can digitally sign documents by using Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010. You can also add a signature line or signature stamp by using Excel 2010, Microsoft InfoPath 2010, and Word 2010. Microsoft Office 2010 includes support for XAdES (XML Advanced Electronic Signatures), which is a set of extensions to the XML-DSig standard. This was first supported in the 2007 Microsoft Office system.

In this article:

  • What is a digital signature?

  • Digital certificate: Self-signed or issued by CAs

  • Using digital signatures

What is a digital signature?

You can digitally sign a document for many of the same reasons why you might place a handwritten signature on a paper document. A digital signature is used to help authenticate the identity of the creator of digital information — such as documents, e-mail messages, and macros — by using cryptographic algorithms.

Digital signatures are based on digital certificates. Digital certificates are verifiers of identity issued by a trusted third party, which is known as a certification authority (CA). This works similarly to the use of printed identity documents. For example, a trusted third party such as a government entity or employer issues identity documents — such as driver's licenses, passports and employee ID cards — on which other people rely to verify that a person is whom he or she claims to be.

What digital signatures accomplish

Digital signatures help establish the following authentication measures:

  • Authenticity The digital signature and its underlying digital certificate helps ensure that the signer is whom he or she claims to be. This helps prevent other people from pretending to be the originator of a particular document (the equivalent of forgery on a printed document).

  • Integrity The digital signature helps ensure that the content has not been changed or tampered with since it was digitally signed. This helps prevent documents from being intercepted and changed without knowledge of the originator of the document.

  • Non-repudiation The digital signature helps prove to all parties the origin of the signed content. "Repudiation" refers to the act of a signer's denying any association with the signed content. This helps prove that the originator of the document is the true originator and not someone else, regardless of the claims of the signer. A signer cannot repudiate the signature on that document without repudiating his or her digital key and, therefore, other documents signed with that key.

Requirements for digital signatures

To establish these conditions, the content creator must digitally sign the content by creating a signature that satisfies the following criteria:

  • The digital signature is valid. A CA that is trusted by the operating system must sign the digital certificate on which the digital signature is based.

  • The certificate that is associated with the digital signature is not expired or contains a time stamp indicating the certificate was valid at the time of signing.

  • The certificate that is associated with the digital signature is not revoked.

  • The signing person or organization (known as the publisher) is trusted by the recipient.

Word 2010, Excel 2010, and PowerPoint 2010 detect these criteria for you and warn you if there seems to be a problem with the digital signature. Information about problematic certificates can easily be viewed in a certificate task pane that appears in the Office 2010 application. Office 2010 applications let you add multiple digital signatures to the same document.

Digital signatures in the business environment

The following scenario shows how digital signing of documents can be used in a business environment:

  1. An employee uses Excel 2010 to create an expense report. The employee then creates three signature lines: one for herself, one for her manager, and one for the accounting department. These lines are used to identify that the employee is the originator of the document, that no changes will occur in the document as it moves to the manager and the accounting department, and that there is proof that both the manager and the accounting department have received and reviewed the document.

  2. The manager receives the document and adds her digital signature to the document, confirming that she has reviewed and approved it. She then forwards it to the accounting department for payment.

  3. A representative in the accounting department receives the document and signs it, which confirms receipt of the document.

This example demonstrates the ability to add multiple signatures to a single Office 2010 document. In addition to the digital signature, the signer of the document can add a graphic of her actual signature, or use a Tablet PC to actually write a signature into the signature line in the document. There is also a "rubber stamp" feature that can be used by departments, which indicates that a member of a specific department received the document.

Compatibility issues

Office 2010, just as the 2007 Office system, uses the XML-DSig format for digital signatures. In addition, Office 2010 has added support for XAdES (XML Advanced Electronic Signatures). XAdES is a set of tiered extensions to XML-DSig, the levels of which build upon the previous to provide more reliable digital signatures. For more information about the levels of XAdES that are supported in Office 2010, see Using digital signatures later in this article. For more information about the details of XAdES, see the specification for XML Advanced Electronic Signatures (XAdES) (http://go.microsoft.com/fwlink/p/?LinkId=186631).

It is important to be aware that digital signatures created in Office 2010 are incompatible with versions of Microsoft Office earlier than the 2007 Office system. For example, if a document is signed by using an application in Office 2010 or in the 2007 Office system and opened by using an application in Microsoft Office 2003 that has the Office Compatibility Pack installed, the user will be informed that the document was signed by a newer version of Microsoft Office and the digital signature will be lost.

The following figure shows a warning that the digital signature is removed when the document is opened in an earlier version of Office.

Figure 1 Compatibility Issues

Also, if XAdES is used for the digital signature in Office 2010, the digital signature would not be compatible with the 2007 Office system unless you configure the Group Policy setting, Do not include XAdES reference object in the manifest, and set it to Disabled. For more information about the digital signature Group Policy settings, see Configure digital signatures later in this article.

If you need digital signatures created in Office 2010 to be compatible with Office 2003 and earlier versions, you can configure the Group Policy setting, Legacy format signatures, and set it to Enabled. This Group Policy setting is located under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\Signing. After this setting is set to Enabled, the Office 2010 applications use the Office 2003 binary format to apply digital signatures to Office 97-2003 binary documents created in Office 2010.

Digital certificate: Self-signed or issued by CAs

Digital certificates can be either self-signed or issued by CAs in an organization, such as a Windows Server 2008 computer that is running Active Directory Certificate Services, or a public CA, such as VeriSign or Thawte. Self-signed certificates are typically used by people and small businesses that do not want to set up a public key infrastructure (PKI) for their organizations and do not want to purchase a commercial certificate.

The primary drawback of using self-signed certificates is that they are only useful if you exchange documents with those who know you personally and are confident that you are the actual originator of the document. By using self-signed certificates, there is no third party that validates the authenticity of your certificate. Each person who receives your signed document must manually decide whether to trust your certificate.

For larger organizations, two primary methods for obtaining digital certificates are available: certificates that are created by using a corporate PKI and commercial certificates. Organizations that want to share signed documents only among other employees in the organization might prefer a corporate PKI to reduce costs. Organizations that want to share signed documents with people outside of their organization might prefer to use commercial certificates.

Certificates created by using a corporate PKI

Organizations have the option to create their own PKI. In this scenario, the company sets up one or more certification authorities (CAs) that can create digital certificates for computers and users throughout the company. When combined with the Active Directory directory service, a company can create a complete PKI solution so that all corporate-managed computers have the corporate CA chain installed and that both users and computers are automatically assigned digital certificates for document signing and encryption. This allows for all employees in a company to automatically trust digital certificates (and, therefore, valid digital signatures) from other employees in the same company.

For more information, see Active Directory Certificate Services (http://go.microsoft.com/fwlink/p/?LinkId=119113).

Commercial certificates

Commercial certificates are purchased from a company whose line of business is to sell digital certificates. The main advantage of using commercial certificates is that the commercial certificate vendor's root CA certificate is automatically installed on Windows operating systems, which enables these computers to automatically trust these CAs. Unlike the corporate PKI solution, commercial certificates enable you to share your signed documents with users who do not belong to your organization.

There are three kinds of commercial certificates:

  • Class 1 Class 1 certificates are issued to people who have valid e-mail addresses. Class 1 certificates are appropriate for digital signatures, encryption, and electronic access control for non-commercial transactions where proof of identity is not required.

  • Class 2 Class 2 certificates are issued to people and devices. Class 2 individual certificates are appropriate for digital signatures, encryption, and electronic access control in transactions where proof of identity based on information in the validating database is sufficient. Class 2 device certificates are appropriate for device authentication; message, software, and content integrity; and confidentiality encryption.

  • Class 3 Class 3 certificates are issued to people, organizations, servers, devices, and administrators for CAs and root authorities (RAs). Class 3 individual certificates are appropriate for digital signatures, encryption, and access control in transactions where proof of identity must be assured. Class 3 server certificates are appropriate for server authentication; message, software, and content integrity; and confidentiality encryption.

For more information about commercial certificates, see Digital ID - Office Marketplace (http://go.microsoft.com/fwlink/p/?LinkId=119114).

Using digital signatures

You can digitally sign documents by using Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010. You can also add a signature line or signature stamp using Excel 2010, Microsoft InfoPath 2010, and Word 2010. Digitally signing a document that has a digital certificate but does not have a signature line or stamp is known as creating an invisible digital signature. Both methods, visible and invisible digital signatures, use a digital certificate for signing the document. The difference is the graphical representation within the document when a visible digital signature line is used. For more information about how to add a digital signature, see Add or remove a digital signature in Office files (http://go.microsoft.com/fwlink/p/?LinkId=187659).

By default, Office 2010 creates XAdES-EPES digital signatures, whether a self-signed certificate or a certificate signed by a CA is used during the creation of the digital signature.

The XAdES digital signature levels, based on the XML-DSig digital signature standard, available in Office 2010 are listed in the following table. Each of the levels builds upon the previous level and contains all the capabilities of the previous levels. For example, XAdES-X also contains all of the capabilities of XAdES-EPES, XAdES-T, and XAdES-C, in addition to the new functionality introduced with XAdES-X.

Signature level | Description
XAdES-EPES (Base) | Adds information about the signing certificate to the XML-DSig signature. This is the default for Office 2010 signatures.
XAdES-T (Timestamp) | Adds a time stamp to the XML-DSig and XAdES-EPES sections of the signature, which helps protect against certificate expiration.
XAdES-C (Complete) | Adds references to certification chain and revocation status information.
XAdES-X (Extended) | Adds a time stamp to the XML-DSig SignatureValue element, and the -T and -C sections of the signature. The additional time stamp protects the additional data from repudiation.
XAdES-X-L (Extended Long Term) | Stores the actual certificate and certificate revocation information together with the signature. This allows for certificate validation even if the certificate servers are no longer available.

Time stamp digital signatures

The ability with Office 2010 to add a time stamp to a digital signature allows for helping to extend the lifespan of a digital signature. For example, if a revoked certificate has previously been used for the creation of the digital signature, which contains a time stamp from a trusted time stamp server, the digital signature could still be considered valid if the time stamp occurred before the revocation of the certificate. To use the time stamp functionality with digital signatures, you must complete the following:

  • Set up a time stamp server that is compliant with RFC 3161

  • Use the Group Policy setting, Specify server name, to enter the location of the time stamp server on the network.

You can also configure additional time stamp parameters by configuring one or more of the following Group Policy settings:

  • Configure time stamping hashing algorithm

  • Set timestamp server timeout

If you do not configure and enable Configure time stamping hashing algorithm, the default value of SHA1 will be used. If you do not configure and enable Set timestamp server timeout, the default time that Office 2010 will wait for the time stamp server to respond to a request is 5 seconds.

Configure digital signatures

In addition to the Group Policy settings for configuring time stamp related-settings, there are other Group Policy settings to configure how digital signatures are configured and controlled in an organization. The setting names and descriptions are listed in the following table.

Setting | Description
Require OCSP at signature generation time | This policy setting lets you determine whether Office 2010 requires OCSP (Online Certificate Status Protocol) revocation data for all digital certificates in a chain when digital signatures are generated.
Specify minimum XAdES level for digital signature generation | This policy setting lets you specify a minimum XAdES level that Office 2010 applications must reach in order to create an XAdES digital signature. If unable to reach the minimum XAdES level, the Office application does not create the signature.
Check the XAdES portions of a digital signature | This policy setting lets you specify whether Office 2010 checks the XAdES portions of a digital signature, if present, when validating a digital signature for a document.
Do not allow expired certificates when validating signatures | This policy setting lets you configure whether Office 2010 applications accept expired digital certificates when verifying digital signatures.
Do not include XAdES reference object in the manifest | This policy setting lets you determine whether an XAdES reference object should appear in the manifest. You must configure this setting to Disabled if you want the 2007 Office system to be able to read Office 2010 signatures that contain XAdES content; otherwise, the 2007 Office system will consider signatures that contain XAdES content invalid.
Select digital signature hashing algorithm | This policy setting lets you configure the hashing algorithm that Office 2010 applications use to confirm digital signatures.
Set signature verification level | This policy setting lets you set the verification level that is used by Office 2010 applications when validating a digital signature.
Requested XAdES level for signature generation | This policy setting lets you specify a requested or desired XAdES level in creating a digital signature.

Additional digital signature related Group Policy settings are listed as follows:

  • Key Usage Filtering

  • Set default image directory

  • EKU filtering

  • Legacy format signatures

  • Suppress Office Signing Providers

  • Suppress external signature services menu item

For more information about each Group Policy setting, see the help files that are contained with the Administrative Template files for Office 2010. For more information about the Administrative Template files, see Group Policy overview for Office 2010.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Other Resources

Office 2010 Security Resource Center on TechNet


Plan privacy options for Office 2010

Published: May 12, 2010

Microsoft Office 2010 provides several privacy-related settings that let you control the disclosure of private information.

The Welcome to Microsoft Office 2010 dialog box, also known as the Opt-in wizard or the Recommended Settings dialog box, lets users enable or disable several Internet-based services that help protect and improve Office 2010 applications.

In this article:

  • About planning privacy options

  • Suppress the Welcome to Microsoft Office 2010 dialog box

  • Configure privacy options

  • Related privacy options

About planning privacy options

The first time that a user starts Office 2010, the following dialog box appears:

Office 2010 welcome screen with privacy options

If users select Use Recommended Settings, the following security settings and privacy options are enabled:

  • Recommended and important updates are automatically installed for the Windows Vista and newer operating systems and Office 2010 applications. Users are notified about new optional software. For Windows XP, high priority updates are installed.

  • Applications are able to connect to Office.com for updated Help content and can receive targeted Help content for Office 2010 applications that are installed.

  • Applications are able to periodically download small files that help determine system problems and prompt users to send error reports to Microsoft.

  • Users are signed up for the Customer Experience Improvement Program.

If users select Install Updates Only, recommended and important updates are automatically installed for the Windows Vista operating systems and newer Windows operating systems and Office 2010 applications. Users are notified about new optional software. For Windows XP, only high priority updates are installed. However, privacy options are not changed in Office 2010 applications, which means that the default privacy options take effect. If users select Don't Make Changes, automatic updating is not changed in the Windows Security Center and privacy options are not changed in Office 2010, which means that the default privacy options take effect.

The default privacy options for Office 2010 applications are as follows:

  • Office 2010 applications do not connect to Office.com for updated Help content and office applications are not detected on your computer to give users improved search results.

  • Office 2010 applications do not download small programs that help diagnose problems and error message information is not sent to Microsoft.

  • Users are not enrolled in the Customer Experience Improvement Program.

Because the Welcome to Microsoft Office 2010 dialog box lets users enable or disable several Internet-based services, you might want to prevent the dialog box from appearing and configure these services individually. If you suppress the dialog box, we recommend that you enable all of the Internet-based services, which you can do by configuring privacy options.

Note:

For information about how to configure security settings in the Office Customization Tool (OCT) and the Office 2010 Administrative Templates, see Configure security for Office 2010.

Suppress the Welcome to Microsoft Office 2010 dialog box

You can suppress the Welcome to Microsoft Office 2010 dialog box by enabling the Suppress recommended settings dialog setting. This Group Policy setting is located in the Group Policy Object Editor under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\Miscellaneous. This setting prevents the Welcome to Microsoft Office 2010 dialog box from appearing the first time that a user starts Office 2010. If you enable this setting, the automatic updating feature remains unchanged and the privacy options that control Internet-based services are not enabled.

If you suppress the Welcome to Microsoft Office 2010 dialog box without enabling certain privacy options, you disable several features that improve Office 2010 applications and you could expose a computer to security threats. Therefore, if you enable this setting we recommend that you also enable all of the privacy options that are discussed in Configure privacy options.

Most organizations enable this setting, including organizations that have a highly restrictive security environment or a security environment that restricts Internet access.

Configure privacy options

Office 2010 provides several settings that let you control the disclosure of private information. These settings are often known as privacy options. You can enable or disable each of these settings to suit your organization's security requirements. However, if you suppress the Welcome to Microsoft Office 2010 dialog box, we recommend that you enable all these settings.

Setting name: Online content options. This Group Policy setting is located in the Group Policy Object Editor under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\ Tools | Options | General | Service Options… \ Online Content.

  • Description: This setting controls whether the Office 2010 Help system can download Help content from Office.com. You can select one of three possible options for this setting:

    • Never show online content or entry points. The Help system does not connect to Office.com to download content. This is the default setting if you suppress the Welcome to Microsoft Office 2010 dialog box or if users select Don't make changes or Install Updates Only on the Welcome to Microsoft Office 2010 dialog box.

    • Search only offline content whenever available. The Help system does not connect to Office.com to download content.

    • Search online content whenever available. The Help system connects to Office.com for content when the computer is connected to the Internet.

  • Impact: If you enable this setting and select Never show online content or entry points or Search only offline content whenever available, users cannot access updated Help topics through the Help system and you cannot get templates from Office.com.

  • Guidelines: Most organizations enable this setting and select Search online content whenever available. This is the recommended configuration for this setting. However, organizations that have a highly restrictive security environment, or a security environment that restricts Internet access, typically enable this setting and select Never show online content or entry points.

Setting name: Automatically receive small updates to improve reliability. This Group Policy setting is located in the Group Policy Object Editor under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\ Privacy\Trust Center.

  • Description: This setting controls whether client computers periodically download small files that enable Microsoft to diagnose system problems.

  • Impact: If you enable this setting, Microsoft collects information about specific errors and the IP address of the computer. No personally identifiable information is transmitted to Microsoft other than the IP address of the computer requesting the update.

  • Guidelines: Most organizations enable this setting, which is the recommended configuration. Organizations that have a highly restrictive security environment, or a security environment that restricts Internet access, typically disable this setting.

Setting name: Enable Customer Experience Improvement Program. This Group Policy setting is located in the Group Policy Object Editor under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\Privacy\Trust Center.

  • Description: This setting controls whether users participate in the CEIP to help improve Office 2010. When users participate in the CEIP, Office 2010 applications automatically send information to Microsoft about how the applications are used. This information is combined with other CEIP data to help Microsoft solve problems and improve the products and features customers use most often. Participating in the CEIP does not collect users' names, addresses, or any other identifying information except the IP address of the computer that is used to send the data.

  • Impact: If you enable this setting, users participate in the CEIP.

  • Guidelines: Most organizations enable this setting, which is the recommended configuration. Organizations that have a highly restrictive security environment, or a security environment that restricts Internet access, typically do not enable this setting.

Setting name: Improve Proofing Tools. This Group Policy setting is located in the Group Policy Object Editor under User Configuration\Administrative Templates\(ADM\ADMX)\Microsoft Office 2010\Tools\Options\Spelling.

  • Description: This setting controls whether the Help Improve Proofing Tools feature sends usage data to Microsoft. The Help Improve Proofing Tools feature collects data about the use of the proofing tools, such as additions to the custom dictionary, and sends the data to Microsoft. After about six months, the feature stops sending data to Microsoft and deletes the data collection file from the user's computer. By default, this feature is enabled if users choose to participate in the Customer Experience Improvement Program (CEIP). If your organization has policies that govern the use of external resources such as the CEIP, allowing the use of the Help Improve Proofing Tools feature might cause them to violate these policies. If you disable this policy setting, the Help Improve Proofing Tools feature does not collect proofing tool usage information and transmit it to Microsoft. If you do not configure this policy setting, the behavior is the equivalent of setting the policy to "Enabled."

  • Impact: If you enable this setting, users participate in the CEIP. Although this feature does not intentionally collect personal information, some of the content that is sent could include items that were marked as spelling or grammar errors, such as proper names and account numbers. However, any numbers such as account numbers, street addresses, and telephone numbers are converted to zeros when the data is collected. Microsoft uses this information solely to improve the effectiveness of the Office Proofing Tools, not to identify users.

  • Guidelines: Most organizations enable this setting, which is the recommended configuration. Organizations that have a highly restrictive security environment, or a security environment that restricts Internet access, typically do not enable this setting.

Related privacy options

Several other settings are related to privacy disclosure in Office 2010 applications. If you are changing privacy options because you have a special security environment, you might want to evaluate the following settings:

  • Protect document metadata for password protected files This setting determines whether metadata is encrypted when you use the Encrypt with Password feature.

  • Protect document metadata for rights managed Office Open XML files This setting determines whether metadata is encrypted when you use the Restrict Permission by People feature.

  • Warn before printing, saving, or sending a file that contains tracked changes or comments This setting determines whether users are warned about comments and tracked changes before they print, save, or send a document.

  • Make hidden markup visible This setting determines whether all tracked changes are visible when you open a document.

  • Prevent document inspectors from running This setting lets you disable Document Inspector modules.

Note:

For the latest information about policy settings, refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkID=189316&clcid=0x409) download page.

See Also

Concepts

Security overview for Office 2010
Configure security for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan file block settings for Office 2010

You can configure Group Policy and Office Customization Tool (OCT) settings to block specific file format types for Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010 users.

In this article:

  • Blocking file format types by using Group Policy or the OCT

  • Group Policy and OCT settings

Blocking file format types by using Group Policy or the OCT

You can block specific types of files for Excel 2010, PowerPoint 2010, and Word 2010, and determine how users can open and save these blocked files, by configuring settings in Group Policy or the OCT. Although you can use block file format settings to manage file usage in many scenarios, these settings are most commonly used to:

  • Force an organization to use specific file formats.

  • Mitigate zero-day security attacks (which are attacks that occur during between the time that a vulnerability becomes publicly known and a software update or service pack is available) by temporarily preventing users from opening specific types of files.

  • Prevent an organization from opening files that have been saved in earlier and pre-release (beta) Microsoft Office formats.

Planning considerations for configuring file block settings

Consider the following overall guidelines as you plan your file block settings:

  • Decide if you want users to be able to make changes to your configurations:

    • If you have used Group Policy to configure file block settings (policies), users cannot change your configurations.

    • If you have used the OCT to make file block settings (preferences), users can make changes to the settings in the Trust Center UI.

  • Block open settings do not apply to files that are opened from trusted locations.

  • Block file format settings are application-specific. You cannot prevent users from using other applications to open or save file types or formats that are blocked. For example, you can enable block file format settings that prevent users from opening .dot files in Word 2010, but users will still be able to open .dot files by using Microsoft Publisher 2010, which uses a converter to read the .dot file.

  • Disabling notifications in the Message Bar does not affect block file format settings. The block file format warning dialog box appears before any notification appears in the Message Bar.

Group Policy and OCT settings

This section describes how to find the settings in Group Policy and the OCT, and lists the settings for Excel 2010, PowerPoint 2010, and Word 2010.

How to find the settings

Unless otherwise noted, the location of the settings are as follows:

  • For Group Policy, the settings are available under the User Configuration/Administrative Templates node of the Group Policy Object Editor.

    Note:

    The locations in the Group Policy Object Editor presented in this article apply when you invoke the Group Policy Object Editor to edit a GPO. To edit local Group Policy, use the Local Group Policy Editor. To edit domain-based Group Policy, use the Group Policy Management Console (GPMC). Either tool invokes the Group Policy Object Editor when you edit a GPO. For more information, see Use Group Policy to enforce Office 2010 settings and Group Policy overview for Office 2010.

  • For the OCT, the policy settings are available on the Modify user settings page.

Once in Group Policy and the OCT, the specific path of the folder that contains the file block settings for Excel 2010, PowerPoint 2010, and Word 2010 are parallel:

  • Excel 2010 file block settings:

    • Microsoft Excel 2010\Excel Options\Security\Trust Center\File Block Settings

  • PowerPoint 2010 file block settings:

    • Microsoft PowerPoint 2010\PowerPoint Options\Security\Trust Center\File Block Settings

  • Word 2010 file block settings:

    • Microsoft Word 2010\Word Options\Security\Trust Center\File Block Settings

Note:

By default, users can set default file block settings in the Trust Center user interface (UI) for Excel 2010, PowerPoint 2010, and Word 2010 (on the File tab, click Options, click Trust Center, click Trust Center Settings, and then click File Block Settings). You can disable the file block options in Trust Center options by configuring the settings through Group Policy. If you configure the settings through the OCT, users will still have the option of specifying file type behavior through the Trust Center UI. For more information, see What is File Block? (http://go.microsoft.com/fwlink/p/?LinkId=195498).

About the "Set default file block behavior" setting

The "Set default file block behavior" setting specifies how blocked files open (for example: does not open, opens in protected view, or opens in protected view but can be edited). If you enable this setting, the default file block behavior you specify applies to any file format that users block in the Trust Center UI. It also applies to a specific file format only if you both enable its file format setting (for more information about individual file format settings, see the tables in this article) and select the Open/Save blocked, use open policy option. Otherwise, if you configure an individual file format setting, it overrides the Set default file block behavior setting configuration for that file type.

Note:

The options under Open behavior for selected types in the Trust Center UI, under File Block, map directly to the options in the Set default file block behavior setting. You can disable these UI options for users by enabling the "Set default file block behavior" setting in Group Policy.

Excel 2010 settings

The following table lists the file block settings in Group Policy and the OCT that you can configure for Excel 2010 users. With the exception of the Set default file block behavior setting, file setting names correspond to the file types that they can block.

Setting name File format extension If you enable this setting, you can select one of the following options: If you disable or do not configure this setting

Set default file block behavior

  • Blocked file formats set by users in the Trust Center UI

  • Individual file types, if you enable its setting and select Open/Save blocked, use open policy

Note:

Individual file type settings override this setting.

  • Blocked files are not opened.

  • Blocked files open in Protected View and cannot be edited.

  • Blocked files open in Protected View and can be edited.

Blocked files are not opened (users cannot open blocked files).

Excel 2007 and later workbooks and templates

  • *.xlsx

  • *.xltx

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 2007 and later macro-enabled workbooks and templates

  • *.xlsm

  • *.xltm

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 2007 and later add-in files

  • *.xlam

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Excel 2007 and later binary workbooks

  • *.xlsb

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

OpenDocument Spreadsheet files

  • *.ods

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 97-2003 add-in files

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Excel 97-2003 workbooks and templates

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 95-97 workbooks and templates

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 95 workbooks

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 4 workbooks

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 4 worksheets

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 3 worksheets

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 2 worksheets

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 4 macrosheets and add-in files

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 3 macrosheets and add-in files

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Excel 2 macrosheets and add-in files

  • *.xls

  • *.xla

  • *.xlt

  • *.xlm

  • *.xlw

  • *.xlb

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Web pages and Excel 2003 XML spreadsheets

  • *.mht

  • *.mhtml

  • *.htm

  • *.html

  • *.xml

  • *.xlmss

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

XML files

  • *.xml

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Text files

  • *.txt

  • *.csv

  • *.prn

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Excel add-in files

  • *.xll (.dll)

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

dBase III / IV files

  • *.dbf

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Microsoft Office query files

  • *.iqy

  • *.dqy

  • *.oqy

  • *.rqy

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Microsoft Office data connection files

  • *.odc

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Other data source files

  • *.udl

  • *.dsn

  • *.mdb

  • *.mde

  • *.accdb

  • *.accde

  • *.dbc

  • *.uxdc

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Offline cube files

  • *.cub

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Dif and Sylk files

  • *.dif

  • *.slk

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Legacy converters for Excel

  • All file formats that are opened through a converter

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Microsoft Office Open XML converters for Excel

  • All file formats that are opened through an OOXML converter

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

PowerPoint 2010 settings

The following table lists the file block settings in Group Policy and the OCT that you can configure for PowerPoint 2010 users. With the exception of the Set default file block behavior setting, file setting names correspond to the file types that they can block.

Setting name File format extension If you enable this setting, you can select one of the following options If you disable or do not configure this setting

Set default file block behavior

  • Blocked file formats set by users in the Trust Center UI

  • Individual file types, if you enable its setting and select Open/Save blocked, use open policy

Note: individual file type settings override this setting.

  • Blocked files are not opened.

  • Blocked files open in Protected View and cannot be edited.

  • Blocked files open in Protected View and can be edited.

Blocked files are not opened (users cannot open blocked files).

PowerPoint 2007 and later presentations, shows, templates, themes, and add-ins

  • *.pptx

  • *.pptm

  • *.potx

  • *.ppsx

  • *.ppam

  • *.thmx

  • *.xml

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

OpenDocument Presentation files

  • *.odp

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

PowerPoint 97-2003 presentations, shows, templates and add-in files

  • *.ppt

  • *.pot

  • *.pps

  • *.ppa

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Web pages

  • *.mht

  • *.mhtml

  • *.htm

  • *.html

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Outline files

  • *.rtf

  • *.txt

  • *.doc

  • *.wpd

  • *.docx

  • *.docm

  • *.wps

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Legacy converters for PowerPoint

  • Presentation files older than PowerPoint 97

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Graphic Filters

  • *.jpg

  • *.png

  • *.tif

  • *.bmp

  • *.wmf

  • *.emf

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

File format type is not blocked.

Microsoft Office Open XML converters for PowerPoint

  • All file formats that are opened through an OOXML converter

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 2010 settings

The following table lists the file block settings in Group Policy and the OCT that you can configure for Word 2010 users. With the exception of the Set default file block behavior setting, file setting names correspond to the file types that they can block.

Setting name File format extension If you enable this setting, you can select one of the following options If you disable or do not configure this setting

Set default file block behavior

  • Blocked file formats set by users in the Trust Center UI

  • Individual file types, if you enable its setting and select Open/Save blocked, use open policy

Note:

Individual file type settings override this setting.

  • Blocked files are not opened.

  • Blocked files open in Protected View and cannot be edited.

  • Blocked files open in Protected View and can be edited.

Blocked files are not opened (users cannot open blocked files).

Word 2007 and later documents and templates

  • *.docx

  • *.dotx

  • *.docm

  • *.dotm

  • *.xml (Word Flat Open XML)

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

OpenDocument text files

  • *.odt

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 2007 and later binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 2003 binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 2003 and plain XML documents

  • *.xml

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word XP binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 200 binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 97 binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 95 binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 6.0 binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Word 2.0 and earlier binary documents and templates

  • *.doc

  • *.dot

  • Do not block: The file type is not blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Web pages

  • *.htm

  • *.html

  • *.mht

  • *.mhtml

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

RTF files

  • *.rtf

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Plain text files

*.txt

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

File format type is not blocked.

Legacy converters for Word

  • All file formats that are opened through a converter

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

Office Open XML converters for Word

  • All file formats that are opened through an OOXML converter

  • Do not block: The file type is not blocked.

  • Save blocked: Saving of the file type is blocked.

  • Open/Save blocked, use open policy: Both opening and saving of the file type is blocked. The file opens based on the configuration of the Set default file block behavior setting.

  • Block: Both opening and saving of the file type is blocked, and the file does not open.

  • Open in Protected View: Both opening and saving of the file type is blocked, and the option to edit the file type is disabled.

  • Allow editing and open in Protected View: Both opening and saving of the file type is blocked, and the option to edit is enabled.

File format type is not blocked.

See Also

Concepts

Plan security for Office 2010
Group Policy overview for Office 2010
Use Group Policy to enforce Office 2010 settings
Office Customization Tool in Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Plan for Information Rights Management in Office 2010

Information Rights Management (IRM) technology in Microsoft Office 2010 helps organizations and information workers control sensitive information electronically by enabling users to specify permissions for accessing and using documents and messages.

This article contains a summary of IRM technology and how it works in Office applications, together with links to more information about how to set up and install the required servers and software to implement IRM in Office 2010.

In this article:

  • IRM overview

  • How IRM works in Office 2010

  • Setting up IRM for Office 2010

  • Configuring IRM settings for Office 2010

  • Configuring IRM settings for Outlook 2010

IRM overview

Information Rights Management (IRM) is a persistent file-level technology from Microsoft that uses permissions and authorization to help prevent sensitive information from being printed, forwarded, or copied by unauthorized people. Once permission for a document or message is restricted by using this technology, the usage restrictions travel with the document or e-mail message as part of the contents of the file.

Note:

The ability to create content or e-mail messages that have restricted permission by using IRM is available in Microsoft Office Professional Plus 2010, and in the stand-alone versions of Microsoft Excel 2010, Microsoft Outlook 2010, Microsoft PowerPoint 2010, Microsoft InfoPath 2010, and Microsoft Word 2010. IRM content that is created in Office 2010 can be viewed in Microsoft Office 2003, the 2007 Microsoft Office system, or Office 2010.

For more information about IRM and Active Directory Rights Management Services (AD RMS) features that are supported in Office 2010, Office 2007, and Office 2003, see AD RMS and Microsoft Office Deployment Considerations.

IRM support in Office 2010 helps organizations and knowledge workers address two fundamental needs:

  • Restricted permission for sensitive information IRM helps prevent sensitive information from unauthorized access and reuse. Organizations rely on firewalls, logon security-related measures, and other network technologies to help protect sensitive intellectual property. A basic limitation of using these technologies is that legitimate users who have access to the information can share it with unauthorized people. This could lead to a potential breach of security policies.

  • Information privacy, control, and integrity Information workers often work with confidential or sensitive information. By using IRM, employees do not have to depend on the discretion of other people to ensure that sensitive materials remain inside the company. IRM eliminates users' ability to forward, copy, or print confidential information by helping to disable those functions in documents and messages that use restricted permission.

For information technology (IT) managers, IRM helps enable the enforcement of existing corporate policies about document confidentiality, workflow, and e-mail retention. For CEOs and security officers, IRM reduces the risk of having key company information fall into the hands of the wrong people, whether by accident, thoughtlessness, or through malicious intent.

How IRM works in Office 2010

Office users apply permissions to messages or documents by using options on the ribbon; for example, by using the Restrict Editing command on the Review tab in Word. The protection options available are based on permission policies that you customize for your organization. Permission policies are groups of IRM rights that you package together to apply as one policy. Office 2010 also provides several predefined groups of rights, such as Do Not Forward in Microsoft Outlook 2010.

Using IRM with an RMS server

Enabling IRM in your organization typically requires access to a rights management server that runs Windows Rights Management Services (RMS) for Windows Server 2003 or Active Directory Rights Management Services (AD RMS) for Windows Server 2008 or Windows Server 2012. (It is also possible to use IRM by using Windows Live ID to authenticate permissions, as described in the next section.) The permissions are enforced by using authentication, typically by using Active Directory directory service. Windows Live ID can authenticate permission if Active Directory is not implemented.

Users do not have to have Office to be installed to read protected documents and messages. For users who run Windows XP or earlier versions, the Excel viewer (http://go.microsoft.com/fwlink/p/?LinkId=184596) and Word viewer (http://go.microsoft.com/fwlink/p/?LinkId=184595) enable Windows users who have the correct permission to read some documents that have restricted permission, without using Office software. Users running Windows XP or earlier versions can use Microsoft Outlook Web App or the Rights Management Add-on for Internet Explorer (http://go.microsoft.com/fwlink/p/?LinkId=82926) to read e-mail messages that have restricted permissions, without using Outlook software. For users who run Windows 8, Windows 7, Windows Vista Service Pack 1, Windows Server 2008, Windows Server 2008 R2, or Windows Server 2012, this functionality is already available. The Active Directory Rights Management Services client software is included with these operating systems.

In Office 2010, organizations can create the permissions policies that appear in Office applications. For example, you might define a permission policy named Company Confidential, which specifies that documents or e-mail messages that use the policy can only be opened by users inside the company domain. There is no limit to the number of permission policies that can be created.

Note:

Windows SharePoint Services 3.0 supports using IRM on documents that are stored in document libraries. By using IRM in Windows SharePoint Services, you can control which actions users can take on documents when they open them from libraries in Windows SharePoint Services 3.0. This differs from IRM applied to documents stored on client computers, where the owner of a document can choose which rights to assign to each user of the document. For more information about how to use IRM with document libraries, see Plan document libraries (Windows SharePoint Services) (http://go.microsoft.com/fwlink/p/?LinkId=183051).

With AD RMS on Windows Server 2008, users can share rights-protected documents between companies that have a federated trust relationship. For more information, see Active Directory Rights Management Services Overview (http://go.microsoft.com/fwlink/p/?LinkId=183052) and Federating AD RMS (http://go.microsoft.com/fwlink/p/?LinkId=183053).

Also with AD RMS, Microsoft Exchange Server 2010 offers new IRM-protected e-mail functionality including AD RMS protection for Unified Messaging voice mail messages and Microsoft Outlook protection rules that can automatically apply IRM-protection to messages in Outlook 2010 before they leave the Microsoft Outlook client. For more information, see What's New in Exchange 2010 (http://go.microsoft.com/fwlink/p/?LinkId=183062) and Understanding Information Rights Management: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=183063).

For more information about how to install and configure RMS servers, see Windows Server 2003 Rights Management Services (RMS) (http://go.microsoft.com/fwlink/p/?LinkId=73121) and Windows Server 2008 Active Directory Rights Management Services (http://go.microsoft.com/fwlink/p/?LinkId=180006).

Using IRM without a local RMS server

In a typical installation, Windows Server 2003 with RMS or Windows Server 2008 with AD RMS enables using IRM permissions with Office 2010. If an RMS server is not configured on the same domain as the users, Windows Live ID can authenticate permission, instead of Active Directory. Users must have access to the Internet to connect to the Windows Live ID servers.

You can use Windows Live ID accounts when you assign permissions to users who need access to the contents of a restricted file. When you use Windows Live ID accounts for authentication, each user must specifically be granted permission to a file. Groups of users cannot be assigned permission to access a file.

Setting up IRM for Office 2010

Applying IRM permissions to documents or e-mail messages requires the following:

  • Access to RMS for Windows Server 2003 or AD RMS for Windows Server 2008 to authenticate permissions. Or, authentication can be managed by using the Windows Live ID service on the Internet.

  • Rights Management (RM) client software. RM client software is included in Windows Vista and later versions or available as an add-in for Windows XP and Windows Server 2003.

  • Microsoft Office 2003, 2007 Microsoft Office system, or Office 2010. Only specific versions of Office enable users to create IRM permissions.

Setting up RMS server access

Windows RMS or AD RMS manages licensing and other administrative server functions that work with IRM to provide rights management. An RMS-enabled client program, such as Office 2010, lets users create and view rights-protected content.

To learn more about how RMS works and how to install and configure an RMS server, see Windows Server 2003 Rights Management Services (RMS) (http://go.microsoft.com/fwlink/p/?LinkId=73121), Windows Server 2008 Active Directory Rights Management Services (http://go.microsoft.com/fwlink/p/?LinkId=180006), and Understanding Information Rights Management: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=183062).

Installing the Rights Management client software

RM client software is included in Windows Vista and later versions of Windows. Separate installation and configuration of the necessary RMS client software is required on Windows XP and Windows Server 2003 to interact with RMS or AD RMS on the computer that is running Windows or the Windows Live ID service on the Internet.

Download the RMS Client Service Pack (http://go.microsoft.com/fwlink/p/?LinkId=82927) to enable users on Windows XP and Windows Server 2003 to run applications that restrict permission based on RMS technologies.

Defining and deploying permissions policies

As in Office 2003 and the 2007 Office system, Office 2010 includes predefined groups of rights that users can apply to documents and messages, such as Read and Change in Microsoft Word 2010, Microsoft Excel 2010, and Microsoft PowerPoint 2010. You can also define custom IRM permissions policies to provide different packages of IRM rights for users in your organization.

You create and manage rights policy templates by using the administration site on your RMS or AD RMS server. For information about how to create, configure, and post custom permissions policy templates, see Windows Server 2003 Rights Management Services (RMS) (http://go.microsoft.com/fwlink/p/?LinkId=73121) and Windows Server 2008 AD RMS Rights Policy Templates Deployment Step-by-Step Guide (http://go.microsoft.com/fwlink/p/?LinkId=183068). For Exchange Server 2010 Outlook protection rules, see Understanding Outlook Protection Rules: Exchange 2010 Help (http://go.microsoft.com/fwlink/p/?LinkId=183067).

The rights that you can include in permissions policy templates for Office 2010 are listed in the following sections.

Permissions rights

Each IRM permissions right listed in the following table can be enforced by Office 2010 applications configured on a network that includes a server that runs RMS or AD RMS.

IRM right | Description
Full Control | Gives the user every right listed in this table, and the right to change permissions that are associated with content. Expiration does not apply to users who have Full Control.
View | Allows the user to open IRM content. This corresponds to Read Access in the Office 2010 user interface.
Edit | Allows the user to configure the IRM content.
Save | Allows the user to save a file.
Extract | Allows the user to make a copy of any part of a file and paste that part of the file into the work area of another application.
Export | Allows the user to save content in another file format by using the Save As command. Depending on the application that uses the file format that you select, the content might be saved without protection.
Print | Allows the user to print the contents of a file.
Allow Macros | Allows the user to run macros against the contents of a file.
Forward | Allows an e-mail recipient to forward an IRM e-mail message and to add or remove recipients from the To: and Cc: lines.
Reply | Allows e-mail recipients to reply to an IRM e-mail message.
Reply All | Allows e-mail recipients to reply to all users on the To: and Cc: lines of an IRM e-mail message.
View Rights | Gives the user permission to view the rights associated with a file. Office ignores this right.

Predefined groups of permissions

Office 2010 provides the following predefined groups of rights that users can choose from when they create IRM content. The options are available in the Permission dialog box for Word 2010, Excel 2010, and PowerPoint 2010. In the Office application, click the File tab, click Info, click the Protect Document button, select Restriction Permission by People, click Restrict Access, and then click Restrict permission to this document to enable the permission options listed in the following table.

IRM predefined group | Description
Read | Users with Read permission only have the View right.
Change | Users with Change permission have View, Edit, Extract, and Save rights.

In Outlook 2010, users can select the following predefined group of rights when they create an e-mail item. The option is accessed from the e-mail by clicking the File tab, Info, and then Set Permissions.

IRM predefined group | Description
Do Not Forward | In Outlook, the author of an IRM e-mail message can apply Do Not Forward permission to users in the To:, Cc:, and Bcc: lines. This permission includes the View, Edit, Reply, and Reply All rights.

Advanced permissions

Other IRM permissions can be specified in the advanced Permission dialog box in Word 2010, Excel 2010, and PowerPoint 2010. In the initial Permission dialog box, click More Options. For example, users can specify an expiration date, let other users to print or copy content, and so on.

By default, Outlook enables messages to be viewed by a browser that supports Rights Management.

Deploying rights policy templates

When the rights policy templates are complete, post them to a server share where all users can access the templates or copy them to a local folder on the user's computer. The IRM policy settings that are available in the Office Group Policy template (Office14.adm) file can be configured to point to the location where the rights policy templates are stored (either locally or on an available server share). For information, see Configure Information Rights Management in Office 2010.

Configuring IRM settings for Office 2010

You can lock down many settings to customize IRM by using the Office Group Policy template (Office14.adm). You can also use the Office Customization Tool (OCT) to configure default settings, which enables users to configure the settings. In addition, there are IRM configuration options that can only be configured by using registry key settings.

Office 2010 IRM settings

The settings that you can configure for IRM in Group Policy and by using the OCT are listed in the following table. In Group Policy, these settings are under User Configuration\Administrative Templates\Microsoft Office 2010\Manage Restricted Permissions. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

IRM option | Description
Active Directory time-out for querying one entry for group expansion | Specify the time-out value for querying an Active Directory entry when expanding a group.
Additional permissions request URL | Specify the location where a user can obtain more information about how to access the IRM content.
Allow users with earlier versions of Office to read with browsers… | Enable users without Office 2010 to view rights-managed content by using the Rights Management Add-in for Windows Internet Explorer.
Always expand groups in Office when restriction permission for documents | Group name is automatically expanded to display all the members of the group when users apply permissions to a document by selecting a group name in the Permission dialog box.
Always required users to connect to verify permission | Users opening a rights-managed Office document must connect to the Internet or local area network to confirm by RMS or Windows Live ID that they have a valid IRM license.
Disable Microsoft Passport service for content with restricted permission | If enabled, users cannot open content created by a Windows Live ID authenticated account.
Never allow users to specify groups when restricting permission for documents | Return an error when users select a group in the Permission dialog box: ''You cannot publish content to Distribution Lists. You may only specify e-mail addresses for individual users.''
Prevent users from changing permission on rights managed content | If enabled, users can consume content that already includes IRM permissions, but cannot apply IRM permissions to new content nor configure the rights on a document.
Specify Permission Policy Path | Display in the Permission dialog box permission policy templates found in the folder that is specified.
Turn off Information Rights Management user interface | Disable all Rights Management-related options within the user interface of all Office applications.
URL for location of document templates displayed when applications do not recognize rights-managed documents | Provide the path of a folder that contains customized plain-text wrapper templates to be used by previous versions of Office that do not support rights-managed content.

For more information about how to customize these settings, see Configure Information Rights Management in Office 2010.

Office 2010 IRM registry key options

The following IRM registry settings are located in HKCU\Software\Microsoft\Office\14.0\Common\DRM.

Registry entry | Type | Value | Description
CorpCertificationServer | String | URL to corporate certification server | Typically, Active Directory is used to specify the RMS server. This setting lets you override the location of the Windows RMS specified in Active Directory for certification.
RequestPermission | DWORD | 1 = The box is checked. 0 = The box is cleared. | This registry key toggles the default value of the Users can request additional permissions from check box.
CloudCertificationServer | String | URL to custom cloud certification server | No corresponding Group Policy setting.
CloudLicenseServer | String | URL of the licensing server | No corresponding Group Policy setting.
DoNotUseOutlookByDefault | DWORD | 0 = Outlook is used 1 = Outlook is not used | The Permission dialog box uses Outlook to validate e-mail addresses entered in that dialog box. This causes an instance of Outlook to be started when restricting permissions. Disable the option by using this key.

The following IRM registry setting is located in HKCU\Software\Microsoft\Office\12.0\Common\DRM\LicenseServers. There is no corresponding Group Policy setting.

Registry entry | Type | Value | Description
LicenseServers | Key/Hive. Contains DWORD values that have the name of a license server. | Set to the server URL. If the value of the DWORD is 1, Office will not prompt to obtain a license (it will only get it). If the value is zero or there is no registry entry for that server, Office prompts for a license. | Example: If 'http://contoso.com/_wmcs/licensing = 1' is a value for this setting, a user trying to obtain a license from that server to open a rights-managed document would not be prompted for a license.

The following IRM registry setting is located in HKCU\Software\Microsoft\Office\12.0\Common\Security. There is no corresponding Group Policy setting.

Registry entry | Type | Value | Description
DRMEncryptProperty | DWORD | 1 = The file metadata is encrypted. 0 = The metadata is stored in plaintext. The default value is 0. | Specify whether to encrypt all metadata stored inside a rights-managed file.

For Open XML Formats (for example, docx, xlsx, pptx, and so on), users can decide to encrypt the Microsoft Office metadata stored inside a rights-managed file. Users can encrypt all Office metadata. This includes hyperlink references, or leave content as not encrypted so other applications can access the data.

Users can choose to encrypt the metadata by setting a registry key. You can set a default option for users by deploying the registry setting. There is no option for encrypting some of the metadata: all metadata is encrypted or none is encrypted.

In addition, the DRMEncryptProperty registry setting does not determine whether non-Office client metadata storage — such as the storage that is created in Microsoft SharePoint 2010 Products — is encrypted.

This encryption choice does not apply to Microsoft Office 2003 or other previous file formats. Office 2010 handles earlier formats in the same manner as 2007 Office system and Microsoft Office 2003.

Configuring IRM settings for Outlook 2010

In Outlook 2010, users can create and send e-mail messages that have restricted permission to help prevent messages from being forwarded, printed, or copied and pasted. Office 2010 documents, workbooks, and presentations that are attached to messages that have restricted permission are also automatically restricted.

As an Microsoft Outlook administrator, you can configure several options for IRM e-mail, such as disabling IRM or configuring local license caching.

The following IRM settings and features can be useful when you configure rights-managed e-mail messaging:

  • Configure automatic license caching for IRM.

  • Help enforce an e-mail message expiration period.

  • Do not use Outlook for validating e-mail addresses for IRM permissions.

Note:

To disable IRM in Outlook, you must disable IRM for all Office applications. There is no separate option to disable IRM only in Outlook.

Outlook 2010 IRM settings

You can lock down most settings to customize IRM for Outlook by using the Outlook Group Policy template (Outlk14.adm) or the Office Group Policy template (Office14.adm). Or, you can configure default settings for most options by using the Office Customization Tool (OCT), which enables users to configure the settings. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

Location | IRM option | Description
Microsoft Outlook 2010\Miscellaneous | Do not download rights permissions license information for IRM e-mail during Exchange folder sync | Enable to prevent license information from being cached locally. If enabled, users must connect to the network to retrieve license information to open rights-managed e-mail messages.
Microsoft Outlook 2010\Outlook Options\ E-mail Options\ Advanced E-mail Options | When sending a message | To enforce e-mail expiration, enable and enter the number of days before a message expires. The expiration period is enforced only when users send rights-managed e-mail and then the message cannot be accessed after the expiration period.

For more information about how to customize these settings, see Configure Information Rights Management in Office 2010.

Outlook 2010 IRM registry key options

The Permission dialog box uses Outlook to validate e-mail addresses that are entered in that dialog box. This causes an instance of Outlook to start when permissions are restricted. You can disable this option by using the registry key that is listed in the following table. There is no corresponding Group Policy or OCT setting for this option.

The following IRM registry setting is located in HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\DRM.

Registry entry | Type | Value | Description
DoNotUseOutlookByDefault | DWORD | 0 = Outlook is used 1 = Outlook is not used | Disable the option by using this key.

See Also

Concepts

Configure Information Rights Management in Office 2010

Other Resources

Windows Server 2003 Rights Management Services (RMS)
Windows Server 2008 Active Directory Rights Management Services
Understanding Information Rights Management: Exchange 2010 Help
Plan document libraries (Windows SharePoint Services)
Office 2010 Security Resource Center on TechNet


Security articles for end users (Office 2010)

Published: November 4, 2010

IT pros can share the Microsoft Office 2010 security resources that are listed in this article with end users in their organizations. These resources include articles, videos, and training courses that are designed to assist end users who use Office 2010 applications. The resources are listed in a series of tables that are organized into the following categories:

  • Overview

  • New Security Features

  • Outlook/Access/Excel/PowerPoint/Visio/Word

  • Access only

To see a list of all security and privacy related articles for a specific program, such as Word, PowerPoint, or another Office program, go to the Office.com website, select the support tab, select All Support, select the application you want, and then select Security and privacy.

Overview

Resource | Description
Office 2010 Security: Protecting your files | Self-paced training that assists the user in becoming familiar with the security features that help protect files in Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
View my options and settings in the Trust Center | Discusses the Trust Center, where you can find security and privacy settings for Office 2010 programs.

New Security Features

Resource | Feature
What is Protected View? | Protected View, a new security feature in Office 2010 that helps protect your computer by opening files in a restricted environment so they can be examined before they are opened for editing in Excel, PowerPoint, or Word.
Office 2010 Security video: file validation | Office File Validation, a new security feature in Office 2010 that helps protect your computer by scanning and validating Office binary file formats before they are opened.

Outlook

Resource | Description
How Outlook helps protect you from viruses, spam, and phishing | Describes how Outlook 2010 helps protect your computer from viruses, spam, and phishing.
Blocked attachments in Outlook | Describes the default behavior of Outlook 2010, which does not allow you to receive certain kinds of files as attachments.
Encrypt e-mail messages | Explains how message encryption works in Outlook 2010 and includes procedures for encrypting e-mail messages.
Introduction to IRM for e-mail messages | Explains what Information Rights Management (IRM) is and how you can use it to restrict permission to content in e-mail messages in Microsoft Outlook.

Access, Excel, PowerPoint, Visio, and Word

Resource | Description
Enable or disable ActiveX settings in Office files | Explains how to work with ActiveX controls that are in your files, how to change their settings, and how to enable or disable them by using the Message Bar and the Trust Center.
Enable or disable macros in Office files | Describes the risks involved when you work with macros, and how to enable or disable macros in the Trust Center.
Trusted documents | Explains what trusted documents are, when to use them, and how to configure their settings.
Add, remove, or modify a trusted location for your files | Describes trusted locations, how and where you can create them, and the precautions that you should take before you use a trusted location.
Active content types in your files | Lists active-content types that can be blocked by the Trust Center and cause Message Bars to appear when you open files. Active content types include macros, add-ins, and data connections.

Access only

Resource | Description
Introduction to Access 2010 security | Summarizes the security features that are offered by Access 2010, and explains how to use the tools that Access provides for helping to secure a database.
Decide whether to trust a database | Discusses how trust works in Access 2010, how it differs from security in earlier versions of Access, and what factors that you should consider when you decide whether to trust a database.
Set or change Access 2003 user-level security in Access 2010 | Explains how the Access 2003 security features work, and how to start and use them in Access 2010.
How database objects behave when trusted and untrusted | Explains how, by default, Access 2010 disables several database objects unless you apply a digital signature to them or you place the database in a trusted location. The article also lists the components that Access disables.
Show trust by adding a digital signature | Explains how to create your own security certificate to show that you believe that a database is safe and that its content can be trusted.

See Also

Other Resources

Office 2010 Security Resource Center on TechNet


Plan Group Policy for Office 2010

Published: May 12, 2010

Group Policy is an infrastructure that is used to deliver and apply one or more desired configurations or policy settings to a set of targeted users and computers in an Active Directory directory service environment. The Group Policy infrastructure consists of a Group Policy engine and several individual extensions. These extensions are used to configure Group Policy settings, either by modifying the registry through the Administrative Templates extension, or setting Group Policy settings for security settings, software installation, folder redirection, Internet Explorer Maintenance, wireless network settings, and other areas. The following table provides information for IT administrators who plan to use Group Policy to configure and enforce settings for Microsoft Office 2010 applications.

In this table:

Article | Description
Group Policy overview for Office 2010 | Provides a brief overview of how to use Group Policy to configure and enforce settings for Office 2010 applications.
Planning for Group Policy in Office 2010 | Discusses the key planning steps for managing Office 2010 applications by using Group Policy.
FAQ: Group Policy (Office 2010) | Provides answers to common questions about how Group Policy works with Office 2010
Downloadable book: Group Policy for Office 2010 | Provides a description of and a link to the downloadable book Group Policy for Office 2010.


Group Policy overview for Office 2010

Group Policy enables administrators to apply configurations or policy settings to users and computers in an Active Directory directory service environment. Administrators who plan to use Group Policy to manage Microsoft Office 2010 applications can review this article for a brief overview of Group Policy concepts. Answers to frequently asked questions about Group Policy and Office 2010 are available in FAQ: Group Policy (Office 2010).

In this article:

  • Local and Active Directory-based Group Policy

  • Group Policy processing

  • Changing how Group Policy processes GPOs

  • Administrative Templates

  • True policies vs. user preferences

  • Group Policy management tools

  • Office Customization Tool and Group Policy

Local and Active Directory-based Group Policy

Group Policy is an infrastructure that is used to deliver and apply one or more desired configurations or policy settings to a set of targeted users and computers in an Active Directory directory service environment. The Group Policy infrastructure consists of a Group Policy engine and several individual extensions. These extensions are used to configure Group Policy settings, either by modifying the registry through the Administrative Templates extension, or setting Group Policy settings for security settings, software installation, folder redirection, Internet Explorer Maintenance, wireless network settings, and other areas.

Each installation of Group Policy consists of two extensions:

  • A server-side extension of the Group Policy Object Editor Microsoft Management Console (MMC) snap-in, used to define and set the policy settings applied to client computers.

  • A client-side extension that the Group Policy engine calls to apply policy settings.

Group Policy settings are contained in Group Policy objects (GPOs), which are linked to selected Active Directory containers such as sites, domains, or organizational units (OUs). When a GPO is created, it is stored in the domain. When the GPO is linked to an Active Directory container, such as an OU, the link is a component of that Active Directory container. The link is not a component of the GPO. The settings within GPOs are evaluated by the affected targets by using the hierarchical nature of Active Directory. For example, you can create a GPO named Office 2010 settings that contains only configurations for Office 2010 applications. You can then apply that GPO to a specific site so that users contained in that site receive the Office 2010 configurations that you specified in the Office 2010 settings GPO.

Every computer has a local GPO that is always processed, regardless of whether the computer is a member of a domain or is a stand-alone computer. The local GPO cannot be blocked by domain-based GPOs. However, settings in domain GPOs always take precedence, because they are processed after the local GPO.

Note:

Windows Vista, Windows Server 2008, and Windows 7 provide support for managing multiple local GPOs on stand-alone computers. For more information, see Step-by-Step Guide to Managing Multiple Local Group Policy Objects (http://go.microsoft.com/fwlink/p/?LinkId=182215).

Although you can configure local GPOs on individual computers, maximum benefits of Group Policy are obtained in a Windows Server 2003 or Windows Server 2008-based network that has Active Directory installed.

Group Policy processing

Group Policy for computers is applied at computer startup. Group Policy for users is applied when users log on. In addition to the initial processing of Group Policy at startup and logon, Group Policy is applied subsequently in the background periodically. During a background refresh, a client-side extension reapplies the policy settings only if it detects that a change occurred on the server in any of its GPOs or its list of GPOs. For software installation and folder redirection, Group Policy processing occurs only during computer startup or user logon.

Group Policy settings are processed in the following order:

  • Local GPO Each computer has a GPO that is stored locally. This GPO processes for both computer and user Group Policy.

  • Site GPOs linked to the site to which the computer belongs are processed next. Processing is completed in the order specified by the administrator, on the Linked Group Policy Objects tab for the site in Group Policy Management Console (GPMC). The GPO that has the lowest link order is processed last and has the highest precedence. For information about how to use GPMC, see Group Policy management tools later in this article.

  • Domain Multiple domain-linked GPOs are processed in the order specified by the administrator, on the Linked Group Policy Objects tab for the domain in GPMC. The GPO that has the lowest link order is processed last and has the highest precedence.

  • Organizational units GPOs linked to the OU that is highest in the Active Directory hierarchy are processed first, and then GPOs that are linked to its child OU are processed, and so on. GPOs linked to the OU that contains the user or computer are processed last.

The processing order is subject to the following conditions:

  • Windows Management Instrumentation (WMI) or security filtering applied to GPOs.

  • Any domain-based GPO (not local GPO) can be enforced by using the Enforce option, so that its policy settings cannot be overwritten. Because an Enforced GPO is processed last, no other settings can write over the settings in that GPO. If more than one Enforced GPO exists, the same setting in each GPO can be set to a different value. In this case, the link order of the GPOs determines which GPO contains the final settings.

  • At any domain or OU, Group Policy inheritance can be selectively designated as Block Inheritance. However, because Enforced GPOs are always applied and cannot be blocked, blocking inheritance does not prevent the application of policy settings from Enforced GPOs.

Policy inheritance

Policy settings in effect for a user and computer are the result of the combination of GPOs applied at a site, domain, or OU. When multiple GPOs apply to users and computers in those Active Directory containers, the settings in the GPOs are aggregated. By default, settings deployed in GPOs linked to higher-level containers (parent containers) in Active Directory are inherited to child containers and combine with settings deployed in GPOs linked to the child containers. If multiple GPOs attempt to set a policy setting that has conflicting values, the GPO with the highest precedence sets the setting. GPOs that are processed later have precedence over GPOs that are processed earlier.

Synchronous and asynchronous processing

Synchronous processes can be described as a series of processes in which one process must finish running before the next one begins. Asynchronous processes can run on different threads at the same time, because their outcome is independent of other processes. Administrators can use a policy setting for each GPO to change the default processing behavior so that processing is asynchronous instead of synchronous.

Under synchronous processing, there is a time limit of 60 minutes for all of Group Policy to finish processing on the client computer. Client-side extensions that have not finished processing after 60 minutes are signaled to stop. In this case, the associated policy settings might not be fully applied.

Fast Logon Optimization feature

By default, the Fast Logon Optimization feature is set for both domain and workgroup members. The result is the asynchronous application of policy when the computer starts and the user logs on. This application of policy is similar to a background refresh. It can reduce the length of time it takes for the logon dialog box to appear and the length of time it takes for the desktop to become available to the user.

Administrators can disable the Fast Logon Optimization feature by using the Always wait for the network at computer startup and logon policy setting, which is accessed in the Computer Configuration\Administrative Templates\System\Logon node of Group Policy Object Editor.

Slow links processing

Some Group Policy extensions are not processed when the connection speed falls below specified thresholds. The default value for what Group Policy considers a slow link is any rate slower than 500 Kilobits per second (Kbps).

Group Policy refresh interval

By default, Group Policy is processed every 90 minutes, with a randomized delay of up to 30 minutes — for a total maximum refresh interval of up to 120 minutes.

For security settings, after you have edited security settings policies, the policy settings are refreshed on the computers in the OU to which the GPO is linked:

  • When a computer restarts.

  • Every 90 minutes on a workstation or server and every 5 minutes on a domain controller.

  • By default, security policy settings delivered by Group Policy are also applied every 16 hours (960 minutes), even if a GPO has not changed.

Triggering a Group Policy refresh

Changes made to the GPO must first replicate to the appropriate domain controller. Therefore, changes to Group Policy settings might not be immediately available on users' desktops. In some scenarios, such as application of security policy settings, it might be necessary to apply policy settings immediately.

Administrators can trigger a policy refresh manually from a local computer without waiting for the automatic background refresh. To do this, administrators can type gpupdate at the command line to refresh the user or computer policy settings. You cannot use GPMC to trigger a policy refresh.

The gpupdate command triggers a background policy refresh on the local computer from which the command is run. The gpupdate command is used in Windows Server 2003 and Windows XP environments.

The application of Group Policy cannot be pushed to clients on demand from the server.

Changing how Group Policy processes GPOs

The primary method for specifying which users and computers receive the settings from a GPO is by linking the GPO to sites, domains, and OUs.

You can change the default order by which GPOs are processed by using any of the following methods:

  • Change the link order.

  • Block inheritance.

  • Enforce a GPO link.

  • Disable a GPO link.

  • Use security filtering.

  • Use Windows Management Instrumentation (WMI) filtering.

  • Use loopback processing.

Each of these methods is described in the following subsections.

Change the link order

The GPO link order in a site, domain, or OU controls when links are applied. Administrators can change the precedence of a link by changing the link order, that is, by moving each link up or down in the list to the appropriate location. The link that has the higher order (1 is the highest order) has the higher precedence for a site, domain, or OU.

Block inheritance

Applying block inheritance to a domain or OU prevents GPOs linked to higher sites, domains, or organizational units from being automatically inherited by the child-level Active Directory container.

Enforce a GPO link

You can specify that the settings in a GPO link take precedence over the settings of any child object by setting that link to Enforced. GPO links that are enforced cannot be blocked from the parent container. If GPOs contain conflicting settings and do not have enforcement from a higher-level container, the settings of the GPO links at the higher-level parent container are overwritten by settings in GPOs linked to child OUs. By using enforcement, the parent GPO link always has precedence. By default, GPO links are not enforced.

Disable a GPO link

You can completely block how users apply a GPO for a site, domain, or OU by disabling the GPO link for that domain, site, or OU. This does not disable the GPO. If the GPO is linked to other sites, domains, or OUs, they will continue to process the GPO if the links are enabled.

Use security filtering

You can use security filtering to specify that only specific security principles in a container where the GPO is linked apply the GPO. Administrators can use security filtering to narrow the scope of a GPO so that the GPO applies only to a single group, user, or computer. Security filtering cannot be used selectively on different settings in a GPO.

The GPO applies to a user or computer only if that user or computer has both Read and Apply Group Policy permissions on the GPO, either explicitly or effectively through group membership. By default, all GPOs have Read and Apply Group Policy set to Allowed for the Authenticated Users group, which includes users and computers. This is how all authenticated users receive the settings of a new GPO when the GPO is applied to an OU, domain, or site.

By default, Domain Admins, Enterprise Admins, and the local system have full control permissions, without the Apply Group Policy access-control entry (ACE). Administrators are also members of Authenticated Users. This means that, by default, administrators receive the settings in the GPO. These permissions can be changed to limit the scope to a specific set of users, groups, or computers within the OU, domain, or site.

The Group Policy Management Console (GPMC) manages these permissions as a single unit and displays the security filtering for the GPO on the GPO Scope tab. In GPMC, groups, users, and computers can be added or removed as security filters for each GPO.

Use Windows Management Instrumentation filtering

You can use Windows Management Instrumentation (WMI) filtering to filter the application of a GPO by attaching a WMI Query Language (WQL) query to a GPO. The queries can be used to query WMI for multiple items. If a query returns true for all queried items, the GPO is applied to the target user or computer.

A GPO is linked to a WMI filter and applied on a target computer, and the filter is evaluated on the target computer. If the WMI filter evaluates to false, the GPO is not applied (except if the client computer is running Windows 2000. In this case, the filter is ignored and the GPO is always applied). If the WMI filter evaluates to true, the GPO is applied.

The WMI filter is a separate object from the GPO in the directory. A WMI filter must be linked to a GPO to apply, and a WMI filter and the GPO to which it is linked must be in the same domain. WMI filters are stored only in domains. Each GPO can have only one WMI filter. The same WMI filter can be linked to multiple GPOs.

Note:

WMI is the Microsoft implementation of the Web-Based Enterprise Management industry initiative that establishes management infrastructure standards and lets you combine information from various hardware and software management systems. WMI exposes hardware configuration data such as CPU, memory, disk space, and manufacturer, and also software configuration data from the registry, drivers, file system, Active Directory, the Windows Installer service, networking configuration, and application data. Data about a target computer can be used for administrative purposes, such as WMI filtering of GPOs.

Use loopback processing

You can use this feature to ensure that a consistent set of policy settings is applied to any user who logs on to a specific computer, regardless of the user's location in Active Directory.

Loopback processing is an advanced Group Policy setting that is useful on computers in some closely managed environments, such as servers, kiosks, laboratories, classrooms, and reception areas. Setting loopback causes the User Configuration policy settings in GPOs that apply to the computer to be applied to every user logging on to that computer, instead of (in Replace mode) or in addition to (in Merge mode) the User Configuration settings of the user.

To set loopback processing, you can use the User Group Policy loopback processing mode policy setting, which is accessed under Computer Configuration\Administrative Templates\System\Group Policy in Group Policy Object Editor.

To use the loopback processing feature, both the user account and the computer account must be in a domain running Windows Server 2003 or a later version of Windows. Loopback processing does not work for computers that are joined to a workgroup.

Administrative Templates

The Administrative Templates extension of Group Policy consists of an MMC server-side snap-in that is used to configure policy settings and a client-side extension that sets registry keys on target computers. Administrative Templates policy is also known as registry-based policy or registry policy.

Administrative Template files

Administrative Template files are Unicode files that consist of a hierarchy of categories and subcategories to define how options display through the Group Policy Object Editor and GPMC. They also indicate the registry locations that are affected by policy setting configurations, which include the default (not configured), enabled, or disabled values of the policy setting. The templates are available in three file versions: .adm, .admx, and .adml. The .adm files can be used for computers that are running any Windows operating system. The .admx and .adml files can be used on computers that are running at least Windows Vista or Windows Server 2008. The .adml files are the language-specific versions of .admx files.

The functionality of the administrative template files is limited. The purpose of .adm, .admx, or .adml template files is to enable a user interface to configure policy settings. Administrative Template files do not contain policy settings. The policy settings are contained in Registry.pol files that are located in the Sysvol folder on domain controllers.

The Administrative Templates server-side snap-in provides an Administrative Templates node that appears in Group Policy Object Editor under the Computer Configuration node and under the User Configuration node. The settings under Computer Configuration manipulate registry settings for the computer. Settings under User Configuration manipulate registry settings for users. Although some policy settings require simple UI elements such as text boxes to enter values, most policy settings contain only the following options:

  • Enabled The policy is enforced. Some policy settings provide additional options that define the behavior when the policy is activated.

  • Disabled Enforces the opposite behavior as the Enabled state for most policy settings. For example, if Enabled forces a feature's state to Off, Disabled forces the feature's state to On.

  • Not configured The policy is not enforced. This is the default state for most settings.

The Administrative Template files are stored in the locations on the local computer, as shown in the following table.

File type | Folder
.adm | %systemroot%\Inf
.admx | %systemroot%\PolicyDefinitions
.adml | %systemroot%\PolicyDefinitions\<language-specific folder, e.g., en-us>

You can also store and use .admx and .adml files from a central store in the folders on the domain controller, as shown in the following table.

File type | Folder
.admx | %systemroot%\sysvol\domain\policies\PolicyDefinitions
.adml | %systemroot%\sysvol\domain\policies\PolicyDefinitions\<language-specific folder, for example, en-us>

For more information about how to store and use the templates from a central store, see "Group policy and sysvol" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

Administrative Template files for Office 2010

Administrative Template files specifically for Office 2010 are available as a separate download and let you:

  • Control entry points to the Internet from Office 2010 applications.

  • Manage security in the Office 2010 applications.

  • Hide settings and options that are unnecessary for users to perform their jobs and that might distract them or result in unnecessary support calls.

  • Create a highly managed standard configuration on users' computers.

To download the Office 2010 administrative templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316).

The Office 2010 Administrative Templates are as shown in the following table.

Application | Administrative Template files
Microsoft Access 2010 | access14.admx, access14.adml, access14.adm
Microsoft Excel 2010 | excel14.admx, excel14.adml, excel14.adm
Microsoft InfoPath 2010 | inf14.admx, inf14.adml, inf14.adm
Microsoft Office 2010 | office14.admx, office14.adml, office14.adm
Microsoft OneNote 2010 | onent14.admx, onent14.adml, onent14.adm
Microsoft Outlook 2010 | outlk14.admx, outlk14.adml, outlk14.adm
Microsoft PowerPoint 2010 | ppt14.admx, ppt14.adml, ppt14.adm
Microsoft Project 2010 | proj14.admx, proj14.adml, proj14.adm
Microsoft Publisher 2010 | pub14.admx, pub14.adml, pub14.adm
Microsoft SharePoint Designer 2010 | spd14.admx, spd14.adml, spd14.adm
Microsoft SharePoint Workspace 2010 | spw14.admx, spw14.adml, spw14.adm
Microsoft Visio 2010 | visio14.admx, visio14.adml, visio14.adm
Microsoft Word 2010 | word14.admx, word14.adml, word14.adm

True policies vs. user preferences

Group Policy settings that administrators can fully manage are known as true policies. Settings that users can configure (but might reflect the default state of the operating system at installation time) are known as preferences. Both true policies and preferences contain information that modifies the registry on users' computers.

True policies

Registry values for true policies are stored under the approved registry keys for Group Policy. Users cannot change or disable these settings.

For computer policy settings:

  • HKEY_LOCAL_MACHINE\Software\Policies (the preferred location)

  • HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies

For user policy settings:

  • HKEY_CURRENT_USER\Software\Policies (the preferred location)

  • HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies

For Office 2010, true policies are stored in the following registry locations.

For computer policy settings:

  • HKEY_LOCAL_MACHINE\Software\Policies\Microsoft\Office\14.0

For user policy settings:

  • HKEY_CURRENT_USER\Software\Policies\ Microsoft\Office\14.0

Preferences

Preferences are set by users or by the operating system at installation time. The registry values that store preferences are located outside the approved Group Policy keys. Users can change their preferences.

If you configure preference settings by using a GPO, it does not have system access control list (SACL) restrictions. Therefore, users might be able to change these values in the registry. When the GPO goes out of scope (if the GPO is unlinked, disabled, or deleted), these values are not removed from the registry.

To view preferences in Group Policy Object Editor, click the Administrative Templates node, click View, click Filtering, and then clear the Only show policy settings that can be fully managed check box.

Group Policy management tools

Administrators use the following tools to administer Group Policy:

  • Group Policy Management Console Used to manage most Group Policy management tasks.

  • Group Policy Object Editor Used to configure policy settings in GPOs.

Group Policy Management Console

Group Policy Management Console (GPMC) simplifies the management of Group Policy by providing a single tool to manage core aspects of Group Policy, such as scoping, delegating, filtering, and manipulating inheritance of GPOs. GPMC can also be used to back up (export), restore, import, and copy GPOs. Administrators can use GPMC to predict how GPOs will affect the network and to determine how GPOs have changed settings on a computer or user. GPMC is the preferred tool for managing most Group Policy tasks in a domain environment.

GPMC provides a view of GPOs, sites, domains, and OUs across an enterprise, and can be used to manage either Windows Server 2003 or Windows 2000 domains. Administrators use GPMC to perform all Group Policy management tasks, except for configuring individual policy settings in Group Policy objects. This is performed with Group Policy Object Editor, which you open within GPMC.

Administrators use GPMC to create a GPO and has no initial settings. An administrator can also create a GPO and link the GPO to an Active Directory container at the same time. To configure individual settings in a GPO, an administrator edits the GPO by using Group Policy Object Editor from within GPMC. Group Policy Object Editor is displayed with the GPO loaded.

An administrator can use GPMC to link GPOs to sites, domains, or OUs in Active Directory. Administrators must link GPOs to apply settings to users and computers in Active Directory containers.

GPMC includes the following Resultant Set of Policies (RSoP) features that are provided by Windows:

  • Group Policy Modeling Simulates which policy settings are applied under circumstances specified by an administrator. Administrators can use Group Policy Modeling to simulate the RSoP data that would be applied for an existing configuration, or they can analyze the effects of simulated, hypothetical changes to the directory environment.

  • Group Policy Results Represents the actual policy data that is applied to a computer and user. Data is obtained by querying the target computer and retrieving the RSoP data that was applied to that computer. The Group Policy Results capability is provided by the client operating system and requires Windows XP, Windows Server 2003, or later versions of the operating system.

Group Policy Object Editor

Group Policy Object Editor is an MMC snap-in that is used to configure policy settings in GPOs. The Group Policy Object Editor is contained in gpedit.dll, and is installed with Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, and Windows 7 operating systems.

To configure Group Policy settings for a local computer that is not a member of a domain, use Group Policy Object Editor to manage a local GPO (or multiple GPOs in computers that are running Windows Vista, Windows 7, or Windows Server 2008). To configure Group Policy settings in a domain environment, GPMC (which invokes Group Policy Object Editor) is the preferred tool for Group Policy management tasks.

Group Policy Object Editor gives administrators a hierarchical tree structure for configuring Group Policy settings in GPOs, and consists of the following two main nodes:

  • User Configuration Contains settings that are applied to users when users log on and periodic background refresh.

  • Computer Configuration Contains settings that are applied to computers at startup and periodic background refresh.

These two main nodes are additionally divided into folders that contain the different kinds of policy settings that can be set. These folders include the following:

  • Software Settings Contains software installation settings.

  • Windows Settings Contains Security settings and Scripts policy settings.

  • Administrative Templates Contains registry-based policy settings

System requirements for GPMC and Group Policy Object Editor

The Group Policy Object Editor is part of GPMC and is invoked when you edit a GPO. You can run GPMC on Windows XP, Windows Server 2003, Windows Vista, Windows 7, and Windows Server 2008. The requirements vary per Windows operating system as follows:

  • GPMC is part of the Windows Vista operating system. However if you have installed Service Pack 1 or Service Pack 2 on Windows Vista, GPMC is removed. To reinstall it, install the Microsoft Remote Server Administration Tools for Windows Vista (http://go.microsoft.com/fwlink/p/?LinkId=89361).

  • The GPMC is included with Windows Server 2008 and later. However, this feature is not installed with the operating system. Use Server Manager to install the GPMC. For information about how to install GPMC, see Install the GPMC (http://go.microsoft.com/fwlink/p/?LinkID=187926).

  • To install GPMC on Windows 7, install the Remote Server Administration Tools for Windows 7 (http://go.microsoft.com/fwlink/p/?LinkId=180743).

  • To install GPMC on Windows XP or Windows Server 2003, install the Group Policy Management Console with Service Pack 1 (http://go.microsoft.com/fwlink/p/?LinkId=88316).

For more information about how to use GPMC and the Group Policy Object Editor, see Use Group Policy to enforce Office 2010 settings.

Office Customization Tool and Group Policy

Administrators can use either the Office Customization Tool (OCT) or Group Policy to customize user configurations for Office 2010 applications:

  • Office Customization Tool (OCT) Used to create a Setup customization file (.msp file). Administrators can use the OCT to customize features and configure user settings. Users can modify most of the settings after the installation. This is because the OCT configures settings in publicly available parts of the registry, such as HKEY_CURRENT_USER/Software/Microsoft/Office/14.0. This tool is typically used in organizations that do not manage desktop configurations centrally. For more information, see Office Customization Tool in Office 2010.

  • Group Policy Used to configure the Office 2010 policy settings that are contained in Administrative Templates, and the operating system enforces those policy settings. In an Active Directory environment, administrators can apply policy settings to groups of users and computers in a site, domain, or OU to which a Group Policy object is linked. True policy settings are written to the approved registry keys for policy, and these settings have SACL restrictions that prevent users who are not administrators from changing them. Administrators can use Group Policy to create highly managed desktop configurations. They can also create lightly managed configurations to address the business and security requirements of their organizations. For more information about the OCT, see Office Customization Tool in Office 2010.

See Also

Concepts

Planning for Group Policy in Office 2010
FAQ: Group Policy (Office 2010)
Downloadable book: Group Policy for Office 2010
Use Group Policy to enforce Office 2010 settings
Disable user interface items and shortcut keys in Office 2010
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Security policies and settings in Office 2010

Other Resources

Windows Server Group policy
Group Policy Planning and Deployment Guide
Group Policy Documentation Survival Guide


Planning for Group Policy in Office 2010

Published: May 12, 2010

IT administrators who plan to manage Microsoft Office 2010 applications by using Group Policy should understand their business requirements, security, network, and IT requirements, and their current Office application management practices.

  • Planning for Group Policy

  • Defining business objectives and security requirements

  • Evaluating your current environment

  • Designing managed configurations based on business and security requirements

  • Determining the scope of application

  • Testing and staging Group Policy deployments

  • Involving key stakeholders

Planning for Group Policy

Group Policy enables IT administrators to apply configurations or policy settings to users and computers in an Active Directory directory service environment. Configurations can be made specifically to Office 2010. For more information, see Group Policy overview for Office 2010.

Planning for the deployment of Group Policy-based solutions includes several steps:

  1. Define your business objectives and security requirements.

  2. Evaluate your current environment.

  3. Design managed configurations based on your business and security requirements.

  4. Determine the scope of application of your solution.

  5. Plan for testing, staging, and deploying your Group Policy solution.

  6. Involve key stakeholders in planning and deploying the solution.

Defining business objectives and security requirements

Identify your specific business and security requirements and determine how Group Policy can help you manage standard configurations for the Office 2010 applications. Identify the resources (groups of users and computers) for which you are managing Office settings by using Group Policy and define the scope of your project.

Evaluating your current environment

Examine how you currently perform management tasks related to configurations for Microsoft Office applications to help you determine which kinds of Office policy settings to use. Document the current practices and requirements. You will use this information to help you design managed configurations, in the next step. Items to include are as follows:

  • Existing corporate security policies and other security requirements. Identify which locations and publishers are considered secure. Evaluate your requirements for managing Internet Explorer feature control settings, document protection, privacy options, and blocking file format settings.

  • Messaging requirements for the organization. Evaluate requirements for configuring user interface settings, virus-prevention, and other security settings for Office Outlook 2007 by using Group Policy. For example, Group Policy provides settings for limiting the size of .pst files, which can improve performance on the workstation.

  • User requirements for Office applications for the various kinds of user roles. This depends largely on users' job requirements and the organization's security requirements.

  • Default file save options to use for Microsoft Access 2010, Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

  • Access restrictions to set for Office 2010 user interface items; for example, including disabling commands, menu items, and keyboard shortcuts.

  • Software installation issues, if you are considering this deployment method. Although Group Policy can be used to install software applications in small-sized organizations that have Active Directory installed, there are some limitations, and you must determine whether it is an appropriate solution for your deployment requirements. For more information, see "Identifying issues pertaining to software installation" in Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

    If you manage large numbers of clients in a complex or rapidly changing environment, Microsoft System Center Configuration Manager 2007 is the recommended method for installing and maintaining Office 2010 in medium- and large-sized organizations. System Center Configuration Manager 2007 offers additional functionality, including inventory, scheduling, and reporting features.

    Another option for deployment of Office 2010 in Active Directory environments is to use Group Policy computer startup scripts.

  • Whether to use Group Policy or the OCT. Although both Group Policy and the OCT can be used to customize user configurations for the Office 2010 applications, there are important differences:

    • Group Policy is used to configure Office 2010 policy settings contained in Administrative Templates, and the operating system enforces those policy settings. These settings have system access control list (SACL) restrictions that prevent non-administrator users from changing them. Use Group Policy for configuring settings that you want to enforce.

    • The OCT is used to create a Setup customization file (.msp file). Administrators can use the OCT to customize features and configure user settings. Users can modify most of the settings after the installation. We recommend that you use the OCT for preferred or default settings only.

    For more information, see Office Customization Tool and Group Policy.

  • Whether to use local Group Policy to configure Office settings. You can use local Group Policy to control settings in environments that include stand-alone computers that are not part of an Active Directory domain. For more information, see Group Policy overview for Office 2010.

Designing managed configurations based on business and security requirements

Understanding your business requirements, security, network, IT requirements, and your organization's current Office application management practices helps you identify appropriate policy settings for managing the Office applications for users in your organization. The information that you collect during the evaluation of your current environment step helps you design your Group Policy objectives.

When you define your objectives for using Group Policy to manage configurations for Office applications, determine the following:

  • The purpose of each Group Policy object (GPO).

  • The owner of each GPO — the person who is responsible for managing the GPO.

  • The number of GPOs to use. Keep in mind that the number of GPOs applied to a computer affects startup time, and the number of GPOs applied to a user affects the amount of time needed to log on to the network. The greater the number of GPOs that are linked to a user — especially the greater the number of settings within those GPOs — the longer it takes to process the GPOs when a user logs on. During the logon process, each GPO from the user's site, domain, and organizational unit (OU) hierarchy is applied, provided both the Read and Apply Group Policy permissions are set for the user.

  • The appropriate Active Directory container to which to link each GPO (site, domain, or OU).

  • The location of Office applications to install, if you are deploying the Office 2010 with Group Policy Software Installation.

  • The location of computer startup scripts to execute, if you are deploying Office 2010 by assigning Group Policy computer startup scripts.

  • The kinds of policy settings contained in each GPO. This depends on your business and security requirements and how you currently manage settings for Office applications. We recommend that you configure only settings that are considered critical for stability and security and that you keep configurations to a minimum. Also consider using policy settings that can improve performance on the workstation, such as controlling Outlook .pst file size, for example.

  • Whether to set exceptions to the default processing order for Group Policy.

  • Whether to set filtering options for Group Policy to target specific users and computers.

To help you plan for ongoing administration of GPOs, we recommend that you establish administrative procedures to track and manage GPOs. This helps ensure that all changes are implemented in a prescribed manner.

Determining the scope of application

Identify Office 2010 policy settings that apply to all corporate users (such as any application security settings that are considered critical to the security of your organization) and those that are appropriate for groups of users based on their roles. Plan your configurations according to the requirements that you identify.

In an Active Directory environment, you assign Group Policy settings by linking GPOs to sites, domains, or OUs. Most GPOs are typically assigned at the organizational unit level, so make sure that your OU structure supports your Group Policy-based management strategy for Office 2010. You might also apply some Group Policy settings at the domain level, such as security-related policy settings or Outlook settings that you want to apply to all users in the domain.

Testing and staging Group Policy deployments

Planning for testing and staging is a critical part of any Group Policy deployment process. This step includes creating standard Group Policy configurations for Office 2010 applications and testing the GPO configurations in a non-production environment before you deploy to users in the organization. If necessary, you can filter the scope of application of GPOs and define exceptions to Group Policy inheritance. Administrators can use Group Policy Modeling (in Group Policy Management Console) to evaluate which policy settings would be applied by a specific GPO, and Group Policy Results (in Group Policy Management Console) to evaluate which policy settings are in effect.

Group Policy provides the ability to affect configurations across hundreds and even thousands of computers in an organization. Consequently, it is critical that you use a change management process and rigorously test all new Group Policy configurations or deployments in a non-production environment before you move them into your production environment. This process ensures that the policy settings contained in a GPO produce the expected results for the intended users and computers in Active Directory environments.

As a best practice for managing Group Policy implementations, we recommend that you stage Group Policy deployments by using the following pre-deployment process:

  • Deploy new GPOs in a test environment that reflects the production environment as closely as possible.

  • Use Group Policy Modeling to evaluate how a new GPO will affect users and interoperate with existing GPOs.

  • Use Group Policy Results to evaluate which GPO settings are applied in the test environment.

For more information, see "Using Group Policy Modeling and Group Policy Results to evaluate Group Policy settings" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

Involving key stakeholders

Group Policy deployments in enterprises are likely to have cross-functional boundaries. As part of preparing for your deployment, it is important to consult key stakeholders from the various functional teams in your organization and ensure they participate during the analysis, design, test, and implementation phases, as appropriate.

Make sure that you conduct reviews of the policy settings that you plan to deploy for managing the Office 2010 applications with your organization's security and IT operations teams to ensure that the configurations suit the organization and that you apply as strict a set of policy settings as necessary to protect the network resources.

See Also

Concepts

Group Policy overview for Office 2010
Use Group Policy to enforce Office 2010 settings
FAQ: Group Policy (Office 2010)
Downloadable book: Group Policy for Office 2010
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Security policies and settings in Office 2010


FAQ: Group Policy (Office 2010)

Published: December 9, 2010

Find answers to frequently asked questions (FAQ) about Group Policy and Microsoft Office 2010.

Q: When should I use Group Policy instead of Office Configuration Tool (OCT)?

A: Although both Group Policy and the OCT can be used to customize user configurations for the Microsoft Office 2010 applications, each is used for a specific configuration scenario.

  • Group Policy is recommended for settings that you want to enforce. Group Policy is used to configure Office 2010 policy settings that are contained in Administrative Templates. The operating system enforces those policy settings. Many settings have system access control list (SACL) restrictions that prevent non-administrator users from changing them. In some cases, the settings can be changed by users. See True policies vs. user preferences for more information.

  • OCT is recommended for preferred or default settings only. The OCT is used to create a Setup customization file (.msp file). Administrators can use the OCT to customize features and configure user settings. Users can configure most of the settings after the installation.

Q: Where can I download the Office 2010 Group Policy administrative template files?

A: The administrative template files are available for download on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download page (http://go.microsoft.com/fwlink/?LinkID=189156).

Q: Is there a separate download for different language versions of the administrative template files?

A: All supported language versions are included in a single download package. The supported languages are as follows: Chinese Simplified (People's Republic of China), Chinese (Hong Kong SAR), English, French, German, Italian, Japanese, Korean, and Spanish. You install the localized files by using the procedures that are described in the question "Q: How do I install the Office 2010 Group Policy templates?" later in this article.

Q: Where can I find a list of Group Policies that are available for Office 2010?

A: Refer to the Microsoft Excel 2010 workbook Office2010GroupPolicyAndOCTSettings_Reference.xls, which is available in the Files in this Download section on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download page (http://go.microsoft.com/fwlink/?LinkID=189156).

You can download Group Policy-related documentation from the Group Policy for Microsoft Office 2010 download page (http://go.microsoft.com/fwlink/p/?LinkId=204009).

Q: What is the difference between the two workbooks Office2010GroupPolicyAndOCTSettings_Reference.xls and Office2010GroupPolicyAndOCTSettings.xls?

A: Always use Office2010GroupPolicyAndOCTSettings_Reference.xls. This workbook is more up-to-date and is available for separate download on the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download page (http://go.microsoft.com/fwlink/?LinkID=189156).

The workbook Office2010GroupPolicyAndOCTSettings.xls is integrated into the Group Policy templates download package and is now out-of-date.

Q: What is the difference between .adm, .admx, and .adml administrative template files?

A: These files are designed for use with specific operating systems on the computer that you use to manage Group Policy settings.

  • The .adm files can be used by administrative computers that are running any Windows operating system.

  • The .admx and .adml files can be used by administrative computers that are running at least Windows Vista or Windows Server 2008. The .adml files are the language-specific versions of .admx files. The .admx files hold the settings, and the .adml files apply the settings for the specific language.

You can find more information about .admx files in the Managing Group Policy ADMX Files Step-by-Step Guide. (http://go.microsoft.com/fwlink/p/?LinkID=164569)

Q: Do the Office 2010 .admx template files work with the 2007 Office system? Or must I download the 2007 Office system template files separately?

A: You must use the template files that match the version of Office that you are deploying. We do not recommend that you use the Office 2010 template files to configure the 2007 Office system.

Q: How do I install the Office 2010 Group Policy templates?

A: Step-by-step instructions for starting Policy Management Console (GPMC), creating a Group Policy Object (GPO), and loading Office 2010 Administrative Templates to a GPO are provided in the topic Use Group Policy to enforce Office 2010 settings. The topic describes two locations for storing Group Policy templates:

  • In an Administrative Templates central store in the Sysvol folder of the domain controller

  • In the PolicyDefinitions folder in the local computer

You can find more detailed information about creating a central store in Scenario 2: Editing Domain-Based GPOs Using ADMX Files (http://go.microsoft.com/fwlink/p/?LinkId=207184).

If you want to take a quick look at the templates on your local computer, follow these steps after you download the template files:

To view the .admx and .adml template files on a computer that runs Windows 7, Windows Vista, Windows Server 2008, or Windows Server 2008 R2

  1. Copy the .admx and .adml files to the PolicyDefinitions folder in the local computer as follows:

    1. Copy the .admx (language-neutral) files to this location: %systemroot%\PolicyDefinitions (for example, C:\Windows\PolicyDefinitions)

    2. Copy the language subfolders that contain the .adml (localized) files to this location: %systemroot%\PolicyDefinitions\. For example, to use the French version of the administrative templates, copy the fr-fr folder to %systemroot%\PolicyDefinitions.)

  2. Click Start, click Run, type gpedit.msc, and then click OK.

  3. Expand Administrative Templates (under Computer Configuration and User Configuration) to view the Office 2010 policies.

To view the .adm template files on a computer that is running any Windows operating system

  1. Open the gpedit.msc console, right-click Administrative Templates in the Computer Configuration or User Configuration node, and then select Add/Remove Templates.

  2. Click Add and locate the folder on your computer where you stored the .adm files.

  3. Select the templates that you want in the language of your choice, click Open, and then click Close. The .adm files are displayed under the respective Administrate Templates nodes in a subnode called Classic Administrative Templates (ADM).

Q: How can I map a specific UI element in Office 2010 to a Group Policy setting?

A: Although it has not been updated for Office 2010, a list of 2007 Office system Group Policy settings and associated user interface settings is available as a downloadable workbook. The workbook also provides the associated registry key information for user interface options that are managed by Group Policy settings, and indicates the locations of the Office 2003 user interface elements (such as toolbars and menus) in the 2007 Office system user interface for Access, Excel, Outlook, PowerPoint, and Word. Click the following link to view and download the Office2007PolicySettingsAndUIOptions.xlsx workbook: http://go.microsoft.com/fwlink/p/?LinkId=106122.

Q: How can I use Group Policy to disable commands and menu items?

A: You can use Group Policy settings to disable commands and menu items for Office 2010 applications by specifying the toolbar control ID (TCID) for the Office 2010 controls. You can also disable keyboard shortcuts by setting the Custom | Disable shortcut keys policy setting and adding the virtual key code and modifier for the shortcut. A virtual key code is a hardware-independent number that uniquely identifies a key on the keyboard. A modifier is the value for a modifier key, such as ALT, CONTROL, or SHIFT.

To download a list the control IDs for built-in controls in all applications that use the Ribbon, visit Office 2010 Help Files: Office Fluent User Interface Control Identifiers.

For more information, see Disable user interface items and shortcut keys in Office 2010

Q: Why does Microsoft not support the use of Group Policy Software Installation to deploy Office 2010?

A: Using the Software Installation extension of Group Policy is not supported in Office 2010 because of changes to the Office setup architecture and customization model. If you have an Active Directory environment, you can use a Group Policy computer startup script as an alternative. Group Policy computer startup scripts provide solutions for organizations that need an automated way to deploy Office_2nd_CurrentVer to many computers but who do not have desktop management applications, such as Microsoft System Center Essentials or System Center Configuration Manager or a third-party software management tool.

For more information, see Deploy Office 2010 by using Group Policy computer startup scripts. For information about all Office deployment methods, see Deploy Office 2010.

Q: What are the advantages and limitations of deploying Office 2010 using Group Policy computer startup scripts?

Advantages:

  • A script can be written in any language that is supported by the client computer. Windows Script Host-supported languages, such as VBScript and JScript, and command files are the most common.

  • Scripts take advantage of Active Directory Domain Services (AD DS) and Group Policy infrastructure.

  • AD DS handles the elevation of rights that are required for application installation.

  • Administrators can use a similar scripting process to apply updates and service packs for each computer in the domain or organizational unit.

  • A script can be written in any language that is supported by the client computer, such as VBScript and JScript, provided they are Windows Script Host-supported languages.

Disadvantages:

  • Group Policy invokes the script and has limited awareness of the installation status afterward.

  • Product uninstalls and installs for multiple computers have to be done by using a command-line script or batch file.

  • It might be difficult to determine exactly which updates and service packs were applied to each client computer.

See Also

Concepts

Group Policy overview for Office 2010
Planning for Group Policy in Office 2010
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Downloadable book: Group Policy for Office 2010
Use Group Policy to enforce Office 2010 settings
Disable user interface items and shortcut keys in Office 2010
Security policies and settings in Office 2010


Downloadable book: Group Policy for Office 2010

Published: December 9, 2010

Group Policy for Office 2010 provides information about the Group Policy settings for Microsoft Office 2010. The audiences for this book are IT professionals who plan, implement, and maintain Office installations in their organizations.

The content in this book is a copy of selected content in the Office 2010 Resource Kit as of the publication date. For the most current content, see the Office 2010 Resource Kit on the web.

Downloadable book: Group Policy for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=204009)


Plan for multilanguage and Proofing Tools deployment for Office 2010

To deploy Microsoft Office 2010 with multiple languages, you must plan carefully. This article discusses the planning considerations for Setup and the customizations that you can make when you install language packs or proofing tools.

In this article:

  • Plan Setup

  • Plan customizations

  • Plan for proofing tools

Plan Setup

The language-neutral design of Office 2010 helps simplify the deployment of Office products in multiple languages. Instead of creating a series of installations, you enable Setup to coordinate a single installation of multiple language versions.

All language-specific components for a particular language are contained in a Microsoft Office 2010 Language Pack. Each Office 2010 Language Pack includes language-specific folders for all Office 2010 products that are available in that language. Folders are identified by a language tag appended to the folder name. For a complete list of language tags, see Language identifiers and OptionState Id values in Office 2010.

You copy all the Office 2010 Language Packs that you need to a network installation point that contains at least one complete Office 2010 product. By default, Setup automatically installs the language version that matches the Windows user locale that is set on each user's computer. Or, you can override this default behavior and manage the distribution of multiple language versions more precisely. For example, you can:

  • Install more than one language on a single computer.

  • Specify which languages to install on users' computers, regardless of the language of the operating system, which is specified by user locale.

  • Specify custom settings once and then apply them to all language versions that you deploy in your organization.

  • Deploy different languages to different groups of users.

  • Deploy the Microsoft Office 2010 Proofing Tools Kit for additional languages.

To identify which deployment solution is appropriate for your scenario, see the model poster Deploy Multilanguage Packs for Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=168622).

Deploy Multilanguage Packs for Office 2010 - Model

To determine which companion proofing languages are included in an Office 2010 Language Pack, see Companion proofing languages for Office 2010.

Each Office 2010 Language Pack contains the proofing tools for one or more additional languages. For example, the Office 2010 Language Pack - Danish contains the proofing tools for English and German, in addition to Danish. All Office 2010 Language Packs contain the proofing tools for English. For more information about proofing tools, see Plan for proofing tools.

Before it installs a language version of an Office 2010 product, Setup determines whether the user has the required operating system support for that language. Setup stops the installation if there is no support. For example, if a user has not enabled support for East Asian languages, Setup does not install the Japanese version of Office 2010.

It is important to plan which languages will be needed at the beginning of your deployment. There are special steps that you must take if you have to change users' configurations after the initial deployment and include additional languages as part of your customizations. For more information, see Add or remove language packs after deployment of Office 2010.

Understanding the Setup logic for Shell UI language

Whenever you deploy the Office 2010 from a network installation point that contains more than one language version, Setup must determine which language to use for the Setup user interface. By default, Setup uses that same language for the Office 2010 installation language and for the Shell user interface (Shell UI). The Shell UI includes core elements of Office 2010 that register with the operating system, such file name extensions, Tool Tips, and right-click menu items.

If your objective is to install only one language version of Office 2010 on each client computer and if you do not specify any additional languages in the Config.xml file, Setup uses the following logic to determine which language to use:

  • Setup matches the language of the user locale.

  • If there is no match, Setup looks for a close match. If the user locale is set to English (Canada), for example, Setup might install Office 2010 in English (U.S).

  • If there is no close match, Setup looks for a language in the following subkey in the Windows registry:

    HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources

    If the InstallLanguage entry has not been added to the LanguageResources subkey and set to a particular language (LCID), Setup prompts the user to select a language (in an interactive installation), or the installation fails (in a quiet installation).

If your objective is to install more than one language version of Office 2010 on each client computer, you should edit the Config.xml file and set the <AddLanguage> element for each language that you want to include. However, when you add more than one language in the Config.xml file, you must specify which of those languages Setup should use for the Shell UI. If the Shell UI language is not specified, the installation fails.

You specify a language for the Shell UI by setting the ShellTransform attribute of the <AddLanguage> element. In this case, the language of the Setup user interface follows the logic described previously. However, the languages installed on the computer and the language of the Shell UI are determined by the entries in the Config.xml file.

Setup always installs Office 2010 in the language of the Shell UI, in addition to any other installation languages. For example, if the Shell UI is set to French, the user can select additional installation languages on the Languages tab; however, the user cannot remove French.

For specific steps on how to customize Setup for different scenarios, see applicable sections in Customize deployment of language setup and Proofing Tools in Office 2010:

  • Deploy a default language version of Office

  • Specify which languages to install

  • Deploy different languages to different groups of users

Plan customizations

When a user starts an Office 2010 application for the first time, Setup applies default settings that match the language installed on the computer and the language specified by the Windows user locale setting.

Four main language settings affect the way users work with Office 2010:

  • Primary editing language When more than one language version of Office 2010 is installed on the computer, this setting determines the language in which users work with Office applications and documents.

  • Enabled editing languages Users can specify more than one language for editing Office 2010 documents. Depending on the languages selected, this setting might require that the user has installed additional proofing tools.

  • User interface language This setting determines the language in which the user interface (menus and dialog boxes) is displayed.

  • Help language This setting determines the language in which users view Help topics.

You can configure these language settings for users in advance. If you specify custom language settings when you install Office, by applying a Setup customization file (.msp file) or by setting policies, Office 2010 does not overwrite your settings with the default settings when users start the applications for the first time.

Methods of customizing language settings

You configure language settings by using one of the following methods:

  • Group policies Group Policies enforce default language settings. Users in your organization cannot permanently change settings managed by policy. The settings are reapplied every time that the user logs on.

    The following policies help you manage language settings in the Office 2010:

    • Display menus and dialog boxes in Located in the Display Language folder. This determines the language of the user interface.

    • Display help in Located in the Display Language folder. This determines the language of online Help. If this policy is not configured, the Help language uses the user interface language.

    • Enabled Editing Languages Located in the Editing Languages folder. This enables editing languages from the list of languages supported by Office.

    • Primary Editing Language Located in the Enabled Editing Languages folder. This specifies the language in which users work with Office applications and documents when more than one language version is available on the computer.

  • Office Customization Tool (OCT) You use the OCT to create a Setup customization file (.msp file) that Setup applies during the installation. Settings specified in the OCT are the default settings. Users can change the settings after the installation.

  • Language Settings tool If you do not enforce language settings by policy, users who work in Office 2010 applications can use the Language Settings tool to change their language settings.

For specific steps on how to use these tools to customize Office 2010 for multiple language deployments, see Customize deployment of language setup and Proofing Tools in Office 2010.

Enable users to view the new language settings on first open

Typically, after you configure language settings by using one of the methods described in this article, Setup applies default settings that match the language that is installed on the computer when a user starts an Office 2010 application for the first time. This means the new language settings will display the next (second) time that the user starts the Office 2010 application.

If you want users to view the new language settings the first time that they open an Office 2010 application, you can deploy the following registry settings to their computers when you deploy an initial Office 2010 installation, or before they have to use an Office 2010 application. You can deploy these registry settings by using a script or batch file, Group Policy, or the OCT. The registry settings that you must configure are the following DWORD values under the HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources key:

  • UILanguage

  • HelpLanguage

  • FollowSystemUI

For each of these values, for Value name specify the LCID (locale identifier) that corresponds to the language that you want to use. For a list of LCIDs, see Language identifiers and OptionState Id values in Office 2010. LCIDs are decimal values. Therefore, you must also set the Base option to Decimal.

Customize language-specific settings related to user locale

In addition to using the Primary Editing Language setting, the Office 2010 also configures language-related settings, such as number format, to match the user locale of the operating system. This behavior is controlled by the LangTuneUp entry in the LanguageResources subkey in the Windows registry. If you do not want user locale to affect default settings, you can reset the value of LangTuneUp when you install Office 2010. If the LangTuneUp entry does not exist, Office 2010 creates the entry the first time that an application starts and sets the value to OfficeCompleted.

The LangTuneUp entry can have one of two values:

  • OfficeCompleted Settings based on user locale are not applied to Office 2010 as a whole. However, individual applications still check for new input method editors (IMEs) and language scripts, and still apply application settings that are specific to the user locale. For example, applications ensure that newly installed keyboards have the appropriate editing languages enabled, and Word uses fonts in Normal.dot based on user locale.

  • Prohibited No settings related to user locale are modified by Office 2010 or by any individual Office 2010 application.

In some scenarios, ignoring the user locale setting can help maintain a standard configuration across a multilingual organization. Setting the LangTuneUp entry to Prohibited ensures that language settings remain consistent and macros are more compatible internationally.

For example, if your organization is based in the United States and you want to standardize settings internationally, you can deploy Office 2010 with Primary Editing Language set to en-us (U.S. English) and LangTuneUp set to Prohibited. In this scenario, users receive the same default settings, regardless of their user locale.

Ignoring user locale is not always the best option. For example, users who read and enter Asian characters in Office 2010 documents might not always have the Asian fonts they must have to display characters correctly. If the installation language on the user's computer does not match the language that was used in the document and LangTuneUp is set to Prohibited, Office 2010 does not display fonts in the non-default language. If your Office 2010 installations need to support multiple Asian language user locales, make sure LangTuneUp continues to be set to OfficeCompleted. To help ensure that users do not change the default value, set the corresponding policy.

Plan for proofing tools

Proofing tools let users edit documents in more than 50 languages. Depending on the language, these editing tools might include spelling and grammar checkers, thesauruses, and hyphenators. Proofing tools might also include language-specific editing features such as Language AutoDetect, AutoSummarize, and Intelligent AutoCorrect.

The Office 2010 Proofing Tools Kit provides a single resource from which you can install any of the proofing tools. You can install proofing tools on a local computer or deploy tools to a group of users. You can also customize and install the tools for one user or all users in your organization.

Determining the method for deploying proofing tools

You can deploy additional proofing tools for users who have to edit documents in languages other than those already installed on their computers. You can deploy additional proofing tools from either of these sources:

  • Office 2010 Language Pack Use this option if users need both the user interface and the proofing tools for the language, or if one language pack can provide all the proofing tool languages that you need. Be aware that each language version of the Office 2010 includes proofing tools for a set of companion languages. For example, when you deploy the English version of an Office 2010 product, users receive proofing tools for both Spanish and French in addition to English. Depending on the number of user interface languages that you want to deploy and the included companion languages, Office 2010 Language Packs might provide all of the proofing tools that you need.

    For a list of companion languages, see Companion proofing languages for Office 2010. If a language pack has all the proofing tool languages that you need, deploy a language pack by using the instructions that fit your scenario in Customize deployment of language setup and Proofing Tools in Office 2010.

  • Office 2010 Proofing Tools Kit This product contains the proofing tools for all of the languages that are available with Office 2010. Use this option if you do not need the user interface for the language and you must have many proofing tools that are not included in the set of companion languages for any languages installed or included in an additional language pack that you could install.

The Office 2010 Multi-Language Pack contains all of the Office 2010 Language Packs. Individual Office 2010 Language Packs, the Office 2010 Multi-Language Pack, and Office 2010 Proofing Tools Kit are available through Microsoft Volume Licensing programs.

The hard disk space requirement to install proofing tools is 1 gigabyte (GB). However, the overall disk space depends on whether you deploy proofing tools from a language pack or from the Office 2010 Proofing Tools Kit. As with most products in the Office 2010, the complete Office 2010 Proofing Tools Kit package is cached to the local installation source (LIS).

Note:

Proofing tools do not include bilingual dictionaries or word breakers. Those tools are part of the language version or language pack.

Customizing Setup for Office 2010 Proofing Tools Kit

To customize the Setup of the Office 2010 Proofing Tools Kit, modify the Config.xml file in the ProofKit.WW folder. For each set of proofing tools that you do not want to install, in the OptionState element, set the State attribute to Absent.

Syntax

<OptionState

Id="optionID"

State="Absent" | "Advertise" | "Default" | "Local"

[Children="force"]

/>

OptionState attributes

The following table shows OptionState attributes, values, and descriptions.

Attribute | Value | Description
Id | optionID | An item that the user can choose to install. See Proofing Tools Config.xml OptionState Id values in Language identifiers and OptionState Id values in Office 2010.
State | Absent | The feature is not installed.
 | Advertise | The feature is installed the first time that it is used.
 | Default | The feature returns to its default installation state.
 | Local | The feature is installed on the user's computer.
Children | force | All child features of the feature are set to the specified state.
Note:

The default value for the State attribute is Local.

Example Config.xml file for Office 2010 Proofing Tools Kit

The following example Config.xml file shows every language that has the OptionState element State attribute set to Absent. If you decide to copy this example into the Config.xml file for the Office 2010 Proofing Tools Kit, set the State attribute for each set of proofing tools that you want to deploy to Local (or Default or Advertise, if preferred).

Copy Code
<Configuration Product="ProofKit">
  <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->
  <!-- <Logging Type="standard" Path="%temp%" Template="Microsoft Office Proofing Tools Kit Setup(*).txt" /> -->
  <!-- <USERNAME Value="Customer" /> -->
  <!-- <COMPANYNAME Value="MyCompany" /> -->
  <!-- <INSTALLLOCATION Value="%programfiles%\Microsoft Office" /> -->
  <!-- <LIS CACHEACTION="CacheOnly" /> -->
  <!-- <LIS SOURCELIST ="\\server1\share\Office;\\server2\share\Office" /> -->
  <!-- <DistributionPoint Location="\\server\share\Office" /> -->
  <!-- <OptionState Id="OptionID" State="absent" Children="force" /> -->
    <OptionState Id="IMEMain_1028" State="Absent" Children="force"/>
    <OptionState Id="IMEMain_1041" State="Absent" Children="force"/>
    <OptionState Id="IMEMain_1042" State="Absent" Children="force"/>
    <OptionState Id="IMEMain_2052" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1025" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1026" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1027" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1028" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1029" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1030" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1031" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1032" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1033" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1035" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1036" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1037" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1038" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1040" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1041" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1042" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1043" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1044" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1045" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1046" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1048" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1049" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1050" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1051" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1053" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1054" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1055" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1056" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1058" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1060" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1061" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1062" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1063" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1069" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1081" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1087" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1094" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1095" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1097" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1099" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1102" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_1110" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_2052" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_2068" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_2070" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_2074" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_3076" State="Absent" Children="force"/>
    <OptionState Id="ProofingTools_3082" State="Absent" Children="force"/>
  <!-- <Setting Id="Setup_Reboot" Value="IfNeeded" /> -->
  <!-- <Command Path="%windir%\system32\msiexec.exe" Args="/i \\server\share\my.msi" QuietArg="/q" ChainPosition="after" Execute="install" /> -->
</Configuration>

Precaching the local installation source for the Office 2010 Proofing Tools Kit

When you deploy the Office 2010 Proofing Tools Kit, Setup creates a local installation source on the user's computer — a copy of the compressed source files for the Office 2010 Proofing Tools Kit. Once the files have been copied to the user's computer, Setup completes the installation from the local installation source. You can minimize the load on the network by deploying the local installation source separately, before you deploy the Office 2010 Proofing Tools Kit. To precache the local installation source for the Office 2010 Proofing Tools Kit, see Precache the local installation source for Office 2010. Use the Setup.exe and Config.xml files from the ProofKit.WW folder on the Office 2010 Proofing Tools Kit CD.

See Also

Concepts

Language identifiers and OptionState Id values in Office 2010
Companion proofing languages for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010
Add or remove language packs after deployment of Office 2010
International reference for Office 2010
Office Customization Tool in Office 2010
Precache the local installation source for Office 2010


Plan for virtualization for Office 2010

You can deploy Microsoft Office 2010 by using Microsoft Application Virtualization (App-V). App-V provides the administrative capability to make applications available to end-user computers without having to install the applications directly on those computers.

The articles listed and described in the following table will help you plan a deployment of Microsoft Office 2010 by using Application Virtualization.

In this documentation:

Article | Description
Overview of using virtualization to deploy Office 2010 | Describes what virtualization is, how you can use virtualization in your organization, and which method and type of Microsoft Application Virtualization (App-V) you can use to deploy Office 2010 in your organization.
Methods of deploying Office 2010 by using Application Virtualization | Provides information about methods to deploy Office 2010 by using Microsoft Application Virtualization (App-V) in specific environments and how to deploy by using an Application Virtualization Management Server or an Application Virtualization Streaming Server.
Application Virtualization application packages | This article contains technical guidance for using Microsoft Application Virtualization (App-V) to create an Office 2010 package.

See Also

Other Resources

Application Virtualization Resource Center on TechNet


Overview of using virtualization to deploy Office 2010

Published: May 12, 2010

Learn what virtualization is, how you can use it in your organization, and which method and type can be implemented into your environment. For a visual representation of this information, see Virtualization Overview, Methods, and Models (http://go.microsoft.com/fwlink/p/?LinkId=168624).

Virtualization Overview - Model

In this article:

  • About virtualization

  • Virtualization types and technologies

  • Virtualization delivery methods

  • Virtualization changes and updates

  • Application virtualization client architecture

About virtualization

Virtualization is the capability to run an application or a computer in a virtual environment without affecting the components that already exist on that particular desktop or server. Virtualizing computing resources can be done in two ways:

  • Application virtualization Application virtualization is where a software application is packaged to run in a self-contained, virtual environment that contains all the information that is needed to run the application on the client computer without installing the software application locally.

  • Desktop virtualization Desktop virtualization is where the software application, operating system, and hardware configuration is packaged to run in a self-contained, virtual environment. When a layer is created between the hardware and the operating system that is being installed, you are able to run multiple operating systems with applications on a single computer.

Virtualization types and technologies

The enterprise can deploy with one virtual delivery method or it can have multiple virtual environments in combination with one another.

Desktop, Presentation, Application

The virtualization types and technologies that are available for client support are as follows:

  • Desktop Desktop virtualization is any kind of technology that creates an additional isolated operating system environment on a standard desktop. Virtual PC is still very common to use for capturing an entire desktop, specific hardware components, or only the Users Profile and applying it to another device, desktop, or operating system. Virtual PC can create a primary system that has guest accounts for multiple operating system images that support legacy software without interrupting end-user functionality with upgrades to newer released versions of applications or application compatible issues. For more information, see Windows Virtual PC (http://go.microsoft.com/fwlink/p/?LinkId=156041).

  • Presentation Presentation virtualization involves separating user profiles, with the data and application settings, from the user's computer. The key to enabling this is Remote Desktop Services (formerly known as Terminal Services), one of the core virtualization technologies available in Windows Server 2008. Presentation mode is typically for thin client connections or multiuser applications, where any application combination, or virtualized desktop environment that uses both the operating system and an application, is run in one location while having it controlled in another. Remote Desktop Services presents each user with screen images that can be individual applications or entire desktops, while the user's computer sends keystrokes and mouse movements back to the server. For more information, see Select Desktop or Presentation Virtualization (http://go.microsoft.com/fwlink/p/?LinkId=156042).

  • Application Application virtualization enables you to virtualize individual applications, plug-ins, upgrades, and updates, and then stream them to a client computer in chunks for faster availability. For remote users, such as consultants or users traveling with portable computers, application virtualization can be "packaged" as an *.msi to distribute via a USB drive, CD, or file server. For more information, see Choose Application or Desktop Virtualization (http://go.microsoft.com/fwlink/p/?LinkId=156043).

Each of these methods of virtualization keeps the application in its own protected environment.

There are also the server-side virtualization types (Hyper-V and Virtual Server), which are not discussed in this article. For more information about server-side virtualization types, see the following articles:

  • Virtual Server 2005 Technical Library (http://go.microsoft.com/fwlink/p/?LinkId=156044)

  • Hyper-V as it applies to Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=156045)

Application Virtualization

Microsoft Application Virtualization (App-V) is an enterprise-level application virtualization solution and is part of the Microsoft Desktop Optimization Pack (MDOP). App-V enables applications to run on a single instance of the operating system, turning applications into centrally managed services that are never installed, that never conflict, and that are streamed on-demand to end-users. App-V supports legacy applications and their extension points, whereas virtualized applications will not conflict with one another, do not affect the system, can be completely removed, and easily repaired or upgraded.

App-V is best used for applications that run on the current or target operating system, but have conflict issues either with other applications or some installed files. By decoupling the physical desktop from the software or hardware, you can create an isolated environment unseen by the end-user, and then run an application by using a desktop computer or server that has Remote Desktop Services (formerly known as Terminal Services) enabled without ever installing the application on the client operating system.

Microsoft Office 2010 includes the traditional Setup.exe method of deployment, and also supports delivery through virtualization via streaming or deploying Office applications to the end-user without the need of a CD or Setup.exe file.

For applications that cannot be run on the operating system and need an older version of the operating system, see Microsoft Enterprise Desktop Virtualization (MED-V) (http://go.microsoft.com/fwlink/p/?LinkId=156031), which is a component of MDOP (see Microsoft Desktop Optimization Pack (http://go.microsoft.com/fwlink/p/?LinkId=156032). MED-V enables you to deploy applications by using the Virtual PC tool.

To use Microsoft Application Virtualization in the enterprise, Office 2010 will require the Application Virtualization Desktop Client (Deployment Kit) configured on each device.

For more information about virtual environments, see About Virtual Environments (http://go.microsoft.com/fwlink/p/?LinkId=156039).

Virtualization delivery methods

Delivery of Microsoft Office 2010 can be done via several delivery methods.

For information about computer or server virtualization, see the following resources:

  • Windows Virtual PC (http://go.microsoft.com/fwlink/p/?LinkId=156041)

  • Virtualization with Hyper-V (http://go.microsoft.com/fwlink/p/?LinkId=156049)

  • Hyper-V as it applies to Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=156045)

  • Virtual Server 2005 Technical Library (http://go.microsoft.com/fwlink/p/?LinkId=156044)

Delivery methods

Within each kind of virtualization, there is a delivery method that provides a virtual environment to the desktop.

For a visual representation of delivery methods, see Virtualization Overview, Methods, and Models (http://go.microsoft.com/fwlink/p/?LinkId=168624).

Virtualization - Delivery Methods - Model

Delivery methods for virtualization are as follows:

  • Presentation delivery Enables a virtualized application to be accessed via Remote Desktop Services from a desktop computer. Applications are run from one central server location that provides screen images of the application or a desktop and are controlled by the desktop.

    For more information about Remote Desktop Services (formerly known as Terminal Services) presentation virtualization, see Remote Desktop Services (http://go.microsoft.com/fwlink/p/?LinkId=156050).

  • Streaming delivery Application virtualization is the process where a software application is "packaged" and stored on a file server, application server, or alternative source drive, such as in Microsoft System Center Configuration Manager 2007 and delivered in small sequenced bundles as needed. For more information, see System Center Configuration Manager (http://go.microsoft.com/fwlink/p/?LinkId=156051).

    When end-users open a document that is running the virtual application for the first time, a quick scroll bar is displayed that shows what percentage of the virtual application has streamed to their computer. The application will load so that end-users can start their work. If there are features that the end-user needs that were not in the initial feature block, the rest of the application will stream in the background, into their local cache.

    A sequenced package contains several files. This includes one .sft file, one .sprj file, one Manifest.xml file, and then several .osd and .ico files.

    • The .sft file contains all the application files that contain all assets and state organized into streamable feature blocks.

    • The .osd file contains the description of the application, which includes environment dependencies, package location, shell integration, and scripts.

    • The .ico file contains the icons associated with each shortcut or file type association (FTA) defined in an .osd file or the Manifest.xml file. These are extracted from application resources.

    • The .sprj file is the sequencing project file that references the .osd default package setting list of all parser items, classifications, and exclusions.

    • The Manifest.xml file, which publishes parameters for the applications in a package, includes the definition of shell integration (for example, FTAs, shortcuts, Dynamic Data Exchange (DDE), and so on).

  • Stand-alone delivery The process where a software application is "packaged" and delivered via CD, USB drive, and so on, to be stored locally on the users cached drive for full access when they are disconnected from the network.

    For a visual representation of the stand-alone delivery method for mobile users, see Virtualization Overview, Methods, and Models (http://go.microsoft.com/fwlink/p/?LinkId=168624).

    Virtualization - Stand-alone Architecture - Model

When you create a stand-alone package, an additional file is added to the package. The .msi file is created to publish and load ("install") the virtual application package in a stand-alone environment.

Virtualization changes and updates

Microsoft Application Virtualization (App-V), formerly known as Microsoft SoftGrid Application Virtualization, provides access to centralized policy-based management, which enables administrators to add or remove access to any given application regardless of its location (for example, desktop, portable computer, or offline users).

App-V includes integration with Microsoft System Center Configuration Manager 2007, which can enable deployments of App-V applications from Configuration Manager 2007.

For more information about the major highlights in App-V and new features, see Application Virtualization Overview (http://go.microsoft.com/fwlink/p/?LinkId=156034).

Enhancements from SoftGrid

The following table lists some of the improvements in App-V. For a detailed list of the improvements, see Microsoft Application Virtualization - New Features (http://go.microsoft.com/fwlink/p/?LinkId=156036).

New feature | Supported in App-V 4.x
Virtualized Windows Services | Yes. Enables users to virtualize all aspects of any Windows-based application.
Virtualized Transactional User Profiles | Yes. Reduces the size of Windows profiles while enabling seamless roaming between computers.
End-User Pre-Caching | Yes. Enables users to initiate precached applications for offline use.
Batch Sequencing | Yes. Enables "sequence once, run anywhere" on multiple Windows operating systems, reducing the work required to virtualize applications.
Licensing Model | Enables central licensing with the added Security Protection Platform (SPP).
Support for Windows 7 | Yes (App-V 4.5).
Support for Office 2010 | Yes (App-V 4.6) x86, and for x64 Office or x86 deployments to x64 computers (under WoW64).
Active Updates | Yes. Updates an application version without having to disconnect the user.
SharePoint and Outlook Fast Search | Yes.
Access Control | Yes. Controls access to applications that were only pre-authorized by IT, even in offline mode.

Application virtualization client architecture

Depending on the needs of your organization, combining virtualization technologies is possible. Determine what you must have based on the virtualization characteristics for your situation. For more information, see Combining Virtualization Technologies (http://go.microsoft.com/fwlink/p/?LinkId=156054).

Virtualizing an application puts a layer between the operating system and the application itself. This provides the following benefits:

  • More flexibility in running applications, which in the past might have had conflicts with other applications.

  • Applications can be installed and removed more easily, because they are not affecting any of the local files on the desktop.

  • Less regression testing.

  • More customization on deployment of applications.

When an application is published on a local client computer, the application remains in a virtual environment. However, it is executed locally by using local resources. Even though the application is in a virtual environment, it is still able to interact with other locally installed programs.

The virtual environment for each application contains the registry settings and .ini files, .dll files, and the Group Policy settings file. The application reads from and writes to this virtual environment without affecting any of those settings on the local client computer. The only items that the App-V-enabled application will read from and write to outside its space are the System Services (for example, cut-and-paste, OLE, and printers) and the Profile Data. The local system files (for example, registry, .ini, and .dll) will only be read when it is necessary.

See Also

Other Resources

Planning and Deployment Guide for the Application Virtualization System
Electronic Software Distribution-Based Scenario
Application Virtualization Server-Based Scenario
Stand-Alone Delivery Scenario for Application Virtualization Clients
Microsoft Application Virtualization Sequencing Guide
Best practices to use for sequencing in Microsoft SoftGrid


Methods of deploying Office 2010 by using Application Virtualization

Use Microsoft Application Virtualization (App-V) in environments that either do not have servers to support other methods of deploying virtual applications or in which virtualized applications are deployed from a connected server, such as an Application Virtualization Management Server or an Application Virtualization Streaming Server.

For information to help you better understand and deploy App-V and its components, see Planning and Deployment Guide for the Application Virtualization System (http://go.microsoft.com/fwlink/p/?LinkID=156611&clcid=0x409). The guide also provides step-by-step procedures for implementing the key deployment methods.

For information about how to specifically deploy Office 2010 by using App-V, see Deploy Office 2010 by using Microsoft Application Virtualization.

Deployment methods

The virtual application package content can be placed on one or more Application Virtualization servers so that it can be streamed down to the clients on demand and cached locally. File servers and Web servers can also be used as streaming servers, or the content can be placed directly on the end user's computer — for example, if you are using an electronic software distribution (ESD) system, such as Microsoft System Center Configuration Manager 2007.

The following are some deployment methods and resources:

  • ESD-based deployment For more information, see Electronic Software Distribution-Based Scenario (http://go.microsoft.com/fwlink/p/?LinkID=156046&clcid=0x409).

  • Server-based deployment For more information, see Application Virtualization Server-Based Scenario (http://go.microsoft.com/fwlink/p/?LinkID=156047&clcid=0x409).

  • Stand-alone deployment For more information, see Stand-Alone Delivery Scenario for Application Virtualization Clients (http://go.microsoft.com/fwlink/p/?LinkID=156048&clcid=0x409).

See Also

Concepts

Deploy Office 2010 by using Microsoft Application Virtualization

Other Resources

Planning and Deployment Guide for the Application Virtualization System


Application Virtualization application packages

This article contains technical guidance for using Microsoft Application Virtualization (App-V) to create a Microsoft Office 2010 package.

In this article:

  • Application virtualization sequencer

  • Application virtualization packages

  • Creating an Office 2010 system package

  • Creating application dependencies by using Dynamic Suite Composition

Application virtualization sequencer

The Microsoft Application Virtualization Sequencer is a wizard-based tool that administrators use to create virtualized applications and application packages that are streamed to the App-V client computers.

During the sequencing process, the administrator puts the Sequencer program in monitor mode and installs the application to be sequenced on the sequencing computer. Next, the administrator starts the sequenced application and starts its most frequently used functions so that the monitoring process can configure the primary feature block. The primary feature block contains the minimum content that is required for an application, or multiple applications, to run. When these steps are complete, the administrator stops the monitoring mode, and then saves and tests the sequenced application to verify correct operation.

Application virtualization packages

The Sequencer produces the application package, which consists of several files, described in the following list. The .sft, .osd, and .ico files are stored in a shared content folder on the App-V Management Server and are used by the App-V client computer to access and run sequenced applications.

The .ico (icon) files specifies the application icons that appear on the App-V client desktop, and are used in the Start menu shortcuts and for file types. When you double-click the files or shortcuts, you start the shortcut to the corresponding .osd file, which starts the data streaming and the application. The experience of starting an App-V-enabled application is identical to starting a locally stored application.

The .osd (Open Software Description) file provides the information that is needed to locate the .sft file for the application and set up and start the application. This information includes the application name, the name and path of the executable file, the name and path of the .sft file, the suite name, the supported operating systems, and general comments about the application.

The .sft file contains the assets that include one or more Windows-based applications. The App-V Sequencer, without altering the source code, packages these asset files into chunks of data that can be streamed to the App-V client. The file is divided into two distinct blocks. The first block, which is known as the primary feature block, consists of the application's most-used features, as configured during package creation.

The .sprj (Sequencer project) file is generated when a project is saved. The .sprj file contains a list of files, directories, and registry entries that are excluded by the Sequencer. Load this file into the Sequencer to add, change, delete, or upgrade any of the applications in the suite. A common example might be when you use the .sprj files to add service packs to the application.

The manifest file (XML based) describes all of the applications, file-type associations, and icons that are used by the package.

Creating an Office 2010 system package

Microsoft Office 2010 uses the Office Software Protection Platform (SPP) service. This is the same activation technology that is used to activate volume editions of Windows Vista and Windows 7 and is contained in the Microsoft Office 2010 Deployment Kit for App-V (http://go.microsoft.com/fwlink/p/?LinkID=186371&clcid=0x409).

Before you can sequence a package, ensure that you have the minimum configuration necessary, and follow the guidelines provided in Best Practices for the Application Virtualization Sequencer (http://go.microsoft.com/fwlink/p/?LinkID=192229).

You must install and configure the Microsoft Office 2010 Deployment kit for App-V on the sequencing computer. The deployment kit includes both the required SPP licensing components that are required for Office license activation (http://go.microsoft.com/fwlink/p/?LinkID=182959) and the Office 2010 integration features. This product must also be installed on the client computers to which virtualized Office 2010 packages will be deployed and streamed.

To create a system package, you must have a minimum of an electronic software distribution (ESD) server or an App-V Management Server, a sequencing computer, and a client computer each running the same version of Windows. Ensure that your environment meets all the relevant conditions listed in the following table.

Architecture of sequencing computer | Architecture of computer that is running Office | Architecture of client computer | Licensing support | Virtual proxy support
x86-based computer | x86-based computer | x86-based computer | Yes | Yes
 |  | x 64 (Office will run through WoW64) | Yes | Yes
x64-based computer | x86-based computer | x64-based computer (Office will run through WoW64) | Yes | Yes
 | x64-based computer | x64-based computer | Yes | No
Important:

Packages that are sequenced on x64-based computers can only be deployed to x64-based client computers. Packages that are sequenced on x86-based computers can be deployed to x86-based client computers or x64-based client computers.

Note:

Virtual proxies are optional. However, virtual proxies are only supported on 32-bit computers that are running Office 2010.

The following figure and table describe the minimum requirements and are followed by the procedures necessary to create a system package.

  • Prepare a computer for sequencing

  • Install the deployment kit

  • Sequence the Office 2010 system package

Network for a lightweight AppV infrastructure

Computer | Description | Required operating system
A | Represents the Electronic Software Distribution (ESD) server or App-V Management Server | Running Windows Server 2008
B | Represents the client computer setup as the sequencing computer | Running the same Windows version as C
C | Represents the receiving client computer for the virtualized application package | Running the same Windows version as B

Use the following procedure to prepare a computer for sequencing.

To prepare a computer for sequencing

  1. Ensure that you have Windows Search 4.0 (http://go.microsoft.com/fwlink/p/?LinkID=169358) installed, and set the Windows Search service to Manual or to Automatic.

  2. Download the XPS Viewer by installing the Microsoft XML Paper Specification Essentials Pack (http://go.microsoft.com/fwlink/p/?LinkID=169359).

  3. Set the Windows Update service to Disabled.

  4. Install the App-V 4.6 Sequencer.

  5. Download the Deployment Kit (http://go.microsoft.com/fwlink/p/?LinkID=186371) and extract the .exe file.

  6. After you extract the .exe file, you should have an OffVirt.msi file.

Use the following procedure to install the deployment kit that enables Office 2010 client products to be sequenced and deployed by using App-V. The kit includes the components that are required for Office license activation.

To install the deployment kit

  1. Open an elevated command prompt.

    Click All Programs and Accessories, right-click Command Prompt, and then click on Run as Administrator. Or, open the Start menu, type cmd in the search box area, and then press CTRL+SHIFT+ENTER.

  2. Browse to the directory that contains the Offvirt.msi file.

  3. Run the following command to install the deployment kit:

    Msiexec /i OffVirt.msi [feature flags][licensing flags]

    Note:

    You must install the version of the deployment kit that matches the operating system architecture of your computer. For example, if you intend to sequence either Office 32-bit or 64-bit on a 64-bit operating system computer, you must use the 64-bit version of the deployment kit because it matches the operating system version.

    Use the feature flags for the architecture that matches your sequencing station operating system:

    32-bit:ADDLOCAL=Click2runMapi,Click2runOWSSupp,Click2runWDS,OSpp,OSpp_Core

    64-bit:ADDLOCAL=Click2runMapi,Click2runOWSSupp,Click2runWDS,Ospp,OSpp_Core,OSppWoW64

    For more information about the Office 2010 system volume activation and to determine which activation and licensing flags to use, see Office license activation (http://go.microsoft.com/fwlink/p/?LinkID=182959).

The following table lists the Office 2010 product applications and Office 2010 product suites together with their corresponding licensing flag for KMS activation. To configure the appropriate license properties for KMS, specify the values that correspond to the Office 2010 product that you are sequencing, and set the flag value from the following table to 1.

For example: msiexec /i Offvirt.msi PROPLUS=1 VISIOPREM=1

KMS activation

Product application | Flag | Value | Product suite | Value | Flag
Access | Access | 0 or 1 | Office Professional Plus | 0 or 1 | PROPLUS
Excel | Excel | 0 or 1 | Office Small Business Basics | 0 or 1 | SMALLBUSBASICS
SharePoint Workspace | GROOVE | 0 or 1 | Office Standard | 0 or 1 | STANDARD
InfoPath | InfoPath | 0 or 1 |  |  |
OneNote | OneNote | 0 or 1 |  |  |
Outlook | Outlook | 0 or 1 |  |  |
PowerPoint | PowerPoint | 0 or 1 |  |  |
Project Professional | PROJECTPRO | 0 or 1 |  |  |
Project Standard | PROJECTSTD | 0 or 1 |  |  |
Publisher | Publisher | 0 or 1 |  |  |
SharePoint Designer | SPD | 0 or 1 |  |  |
Visio Premium | VISIOPREM | 0 or 1 |  |  |
Visio Professional | VISIOPRO | 0 or 1 |  |  |
Visio Standard | VISIOSTD | 0 or 1 |  |  |
Word | Word | 0 or 1 |  |  |

The following table lists the flags and values for MAK activation. If the Office client computers will be using MAK activation, you must install the product key by using one of the methods listed in the following table.

MAK activation

Flag | Value
PIDKEYS Multiple product keys are semicolon delimited. Ex. PIDKEYS=X-X-X-X-X;Y-Y-Y-Y-Y | XXXXX-XXXXX-XXXXXX-XXXXXX-XXXXXXX
USEROPERATIONS | 0 or 1

  1. Use the Volume Activation Management Tool (VAMT) 2.0, to install product keys on client computers that stream the Office 2010 system. To download the tool, see Volume Activation Tool (http://go.microsoft.com/fwlink/p/?LinkID=83292).

  2. Deploy one or more MAKs keys by using PIDKEYS property, semicolon delimited, as shown in the table. In the following example, the Professional Plus and the Visio MAK keys are being entered, followed by the USEROPERATIONS property set to 1 to allow the client to activate.

    msiexec /i OffVirt.msi PIDKEYS=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx-xxxxx-xxxxx;yyyyy-yyyyy-yyyyy-yyyyy-yyyyy-yyyyyy USEROPERATIONS=1

  3. Mixed KMS/MAK deployments are supported. For example: use KMS for PROPLUS and MAK for Visio:

    msiexec /i OffVirt.msi PROPLUS=1 PIDKEYS=yyyyy-yyyyyy-yyyyyy-yyyyyy-yyyyyy-yyyyyy

Note:

UserOperations=1 means non-administrative users can activate Office. UserOperations=0 means only administrators can activate Office.

Use the following procedure to sequence the Office 2010 system on the sequencing computer.

To sequence the Office 2010 system

  1. On the sequencing computer, click Start, select all programs, select Microsoft Application Virtualization, and then click Microsoft Application Virtualization Sequencer. This will open the application virtualization sequencing wizard.

  2. Click Create Package to create a new package for an application.

  3. On the Package Information dialog box, specify the name of the package.

  4. For the installation folder, install to a new directory by using an 8.3 format such as Q:\Temp123.wxp, and then click OK.

    Note:

    We recommend that you select a virtual drive assignment and use it consistently; typically, this is the Q:\ drive.

  5. On the Monitoring Installation dialog box, click Begin Monitoring to monitor the installation phase.

  6. Start the setup.exe for the Office 2010 system.

  7. At the Choose the installation that you want prompt, click Customize.

    Note:

    In the Office installation procedure, make sure that you select Install to hard disk drive if you want that feature installed.

  8. Click the File Location tab, and configure the path to match the installation directory that you selected in step 4. Then click Install.

The following procedure to configure the first start use settings (for example, customizing user settings) is optional, but should be performed during monitoring. If you do not need the optional steps, go to To create the Primary Feature Block later in this article.

Optional steps

  1. Start virtual applications during monitoring. Click Start, and then click Run.

  2. Enter the actual path of the virtual application, and select the executable virtual file to start the virtual application.

    For example, to start Word, type q:\Temp123.wxp\Office14\WINWORD.EXE, and then press ENTER.

  3. Configure additional proxies while the sequencer is still monitoring.

Use the following procedure, which is done while on the sequencing computer, to configure additional proxies. These steps must occur during the monitoring process to have these keys correctly persisted in a deleted state in the virtual registry. Proxies enable Fast Search in Outlook Search, integration with SharePoint (openin and, editing documents), and other features.

To configure additional proxies

  1. Configure SharePoint proxy registry settings by creating the following virtual registry keys on the sequencer server while the sequencer is still monitoring, and then delete these registry keys so that the sequencer monitors the deletion of the newly added keys.

    • If you are sequencing a 32-bit operating system, the keys are as follows:

      HKEY_CLASSES_ROOT\CLSID\{9203C2CB-1DC1-482d-967E-597AFF270F0D}\TreatAs

      HKEY_CLASSES_ROOT\CLSID\{BDEADEF5-C265-11D0-BCED-00A0C90AB50F}\TreatAs

    • If you are sequencing a 64-bit operating system, the keys are as follows:

      HKEY_CLASSES_ROOT\Wow6432Node\CLSID\{9203C2CB-1DC1-482d-967E-597AFF270F0D}\TreatAs

      HKEY_CLASSES_ROOT\Wow6432Node\CLSID\{BDEADEF5-C265-11D0-BCED-00A0C90AB50F}\TreatAs

  2. Add new proxy applications for proxy support on the Configure Applications page, and select the Applications root directory. Click Add, and then add the following applications:

    Note:

    To quickly locate the path, click Browse. Copy and paste the application path into the File name field.

    • Instant Search (Virtual Search host)

      Application Path: %commonprogramfiles%\microsoft shared\virtualization handler\VirtualSearchHost.exe

      Name: Specify a name. The default name is "Search MAPI Protocol Handler Host"

    • Virtual SharePoint Proxy

      Application Path: %commonprogramfiles%\microsoft shared\virtualization handler\VirtualOWSSuppManager.exe

      Name: Specify a name. The default name is "Microsoft SharePoint Client Support Manager"

    • Simple MAPI

      Application Path: %commonprogramfiles%\microsoft shared\virtualization handler\MapiServer.exe

      Name: Specify a name. The default name is "Microsoft Virtual Office Simple MAPI Proxy Server"

    • Virtual Mail Control Panel Item

      Application Path: %windir%\system32\Control.exe %SFT_MNT%\short path\Office14\mlcfg32.cpl

      Name: Specify a name. The default name is "Windows Control Panel"

      Note:

      To add the parameter %SFT_MNT%\short path\Office14\mlcfg32.cpl to the application path, browse to the Control.exe application path, and click OK. Append the parameter in the Application Path field.

      The short path is the 8.3 directory on which you installed Office 2010. For example, if you installed Office 2010 to Q:\Temp123.wxp, the short path would be Temp123.wxp.

    • Office Document Cache

      Application Path: Q:\short path\Office14\MSOSync.exe

      Name: Specify a name. The default name is "Microsoft Office Document Cache"

  3. Set the Office Document Cache application to start automatically.

    Expand the Office Document Cache element in the Applications tree.

  4. Select Shortcuts. Edit the shortcut location to be Start Menu\Programs\Startup.

  5. Synchronize all application .osd file versions with the proxy .osd version.

    Right-click the Office installation file (Setup.exe), and then select Properties.

  6. Click the Version tab. Change the version of all .osd files to match that version.

    For example: If the version of Setup.exe is 14.0.4763.1000, make sure that the version number of all proxy application .osd files and Office .osd files are set to 13.04.764.1000.

  7. Click Next.

Use the following procedures to create the primary feature block that contains the minimum content required for an application or multiple applications to run. We recommend that you do not start OneNote, Outlook, and SharePoint because of the customization settings that are better preserved. During this step, do not press F1.

To create the Primary Feature Block

  1. On the Application page, click Next.

  2. Select and start the preferred applications to generate the primary feature block for each application.

  3. Click Next.

  4. After sequencing is complete, click Finish.

  5. To save the package, click Package, and then click Save As.

To configure the Office 2010 registry setting

  1. Verify that the following virtual registry key is set to Merge with Local.

    If you are sequencing on a 32-bit operating system, the registry key is as follows:

    MACHINE\Software\Microsoft\Office\14.0

    If you are sequencing on a 64-bit operating system, the registry key is as follows:

    MACHINE\Software\Wow6443Node\Microsoft\Office\14.0

  2. Right-click the registry key, select Key, and then verify that the Merge with Local Key check box is selected.

    Important:

    If you are deploying Office 2010 to a computer that already has the 2007 Office system installed (coexistence with Office 2010), follow these steps. Otherwise, skip the rest of these steps and continue.

  3. During monitoring, create the following registry subkey:

    HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles

    If you are sequencing on a 64-bit version of Windows, also create the following subkey:

    HKEY_CURRENT_USER\Software\WOW6432Node\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles

    For App-V 4.6, make sure that the subkey is set to Override local key.

    For App-V 4.5, set the parent key …\CurrentVersion\Windows Messaging Subsystem to merge with the local key.

    Set the subkey …\CurrentVersion\Windows Messaging Subsystem\Profiles to merge with the local key.

    Important:

    The following steps must be performed during monitoring to have the key persist in a deleted state in the virtual registry.

  4. On the Tools menu, click Sequencing Wizard.

  5. Click Next.

  6. Click Begin Monitoring.

  7. Create the following virtual registry subkey, and then delete it so that the sequencer monitors the deletion of the newly added key:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Outlook\Addins\Microsoft.OMSAddin

  8. Click Stop Monitoring, continue to click Next, and then click Finish to return to the advanced sequencer properties page.

    Note:

    You might have to add some of these XML nodes if they currently do not exist.

  9. For each .osd file, add TRUE to the following Element text of the tag:

    SOFTPKG -> IMPLEMENTATION -> VIRTUALENV -> POLICIES -> LOCAL_INTERACTION_ALLOWED

Use the following procedure to configure the client computer to run the Office 2010 sequenced package.

To configure a client computer to run Office 2010

  1. Install the App-V client on the client computer, if you have not already done this.

  2. Browse to the directory that contains the Offvirt.msi file.

  3. At the command prompt, run the following command:

    msiexec /i OffVirt.msi [Licensing flags]

    You must enter a correct licensing flag from the list in the following table to correctly configure the deployment kit. Otherwise, functionality might be incorrect.

    KMS activation

    Product application Flag Value Product suite Value Flag

    Access

    Access

    0 or 1

    Office Professional Plus

    0 or 1

    PROPLUS

    Excel

    Excel

    0 or 1

    Office Small Business Basics

    0 or 1

    SMALLBUSBASICS

    SharePoint Workspace

    GROOVE

    0 or 1

    Office Standard

    0 or 1

    STANDARD

    InfoPath

    InfoPath

    0 or 1

    OneNote

    OneNote

    0 or 1

    Outlook

    Outlook

    0 or 1

    PowerPoint

    PowerPoint

    0 or 1

    Project Professional

    PROJECTPRO

    0 or 1

    Project Standard

    PROJECTSTD

    0 or 1

    Publisher

    Publisher

    0 or 1

    SharePoint Designer

    SPD

    0 or 1

    Visio Premium

    VISIOPREM

    0 or 1

    Visio Professional

    VISIOPRO

    0 or 1

    Visio Standard

    VISIOSTD

    0 or 1

    Word

    Word

    0 or 1

    The following table lists the flags and values for MAK activation. If the Office clients will be using MAK activation, you must install the product key by using one of the methods listed in the table.

    MAK activation

    Flag Value

    PIDKEYS

    Multiple product keys are semicolon delimited.

    Ex. PIDKEYS=X-X-X-X-X;Y-Y-Y-Y-Y

    XXXXX-XXXXX-XXXXXX-XXXXXX-XXXXXXX

    USEROPERATIONS

    0 or 1

    1. Use the Volume Activation Management Tool (VAMT) 2.0 to install product keys on client computers that stream the Office 2010 system. To download this tool, see Volume Activation Tool (http://go.microsoft.com/fwlink/p/?LinkID=83292) on the Microsoft Download Web site.

    2. Deploy one or more MAK keys by using the PIDKEYS property, semicolon delimited, as shown in the previous table. In the following example, the Professional Plus and the Visio MAK keys are being entered, followed by the USEROPERATIONS property set to 1 to allow the client to become active.

      msiexec /i OffVirt.msi PIDKEYS=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx-xxxxx-xxxxx;yyyyy-yyyyy-yyyyy-yyyyy-yyyyy-yyyyyy USEROPERATIONS=1

    3. Mixed KMS/MAK deployments are supported. If you want, some client computers can use KMS activation, and other client computers can use MAK. For example: use KMS for PROPLUS and MAK for Visio:

      msiexec /i OffVirt.msi PROPLUS=1 PIDKEYS=yyyyy-yyyyyy-yyyyyy-yyyyyy-yyyyyy-yyyyyy

  4. Enable the proxies on the client computer only if you configured proxies during the sequencing step.

    To enable the virtual proxies for the package, open an elevated command prompt and run the following command:

    msiexec /I path of the OffVirt.msi\OffVirt.msi ADDDEFAULT=Click2runOneNoteProxy,Click2runOutlookProxies,Click2RunWDSProxy, Click2runOWSSuppProxies PACKAGEGUID={SFT package GUID} PACKAGEVERSION=versions found in OSD files for proxies, Outlook, and OneNote OUTLOOKNAME=application name for Outlook from OSD ONENOTENAME=application name for OneNote from OSD MAPISERVER=MAPI proxy application name VIRTUALSEARCHHOST=Search proxy application name MLCFG32CPL=application name for virtual mail configuration OWSSUPPServer=application name for SharePoint proxy

    For example:

    msiexec /i c:\OffVirt.msi ADDDEFAULT=Click2runOneNoteProxy,Click2runOutlookProxies,Click2runWDSProxy,Click2runOWSSuppProxies PACKAGEGUID={5971AF75-7831-4AE9-906F-0F30C7DD0CA5} PACKAGEVERSION=14.0.4763.1000 OUTLOOKNAME="Microsoft Outlook 2010" ONENOTENAME="Microsoft OneNote 2010" MAPISERVER="Microsoft Virtual Office Simple Mapi Proxy Server" VIRTUALSEARCHHOST="Search MAPI Protocol Handler Host" MLCFG32CPL="Windows Control Panel" OWSSUPPServer="Microsoft SharePoint Client Support Manager"

Creating application dependencies by using Dynamic Suite Composition

Dynamic Suite Composition provides a tool for administrators to control which virtual applications will be combined to create a unified, virtual working environment for an application set. Dynamic Suite Composition lets you specify mandatory or optional dependencies between virtual applications. After a virtual application is run on the client computer, it will also start the dependent virtual application's environment and allow the combination of both virtual environments.

The Dynamic Suite Composition tool comes as part of the App-V resource kit. It reduces the risk of mistyping and the complexity that is associated with editing XML directly. The following is a sample exercise to configure two separate virtualized packages to integrate together:

  1. On the App-V server, click Start, and then click Microsoft App-V DSC Tool.

  2. In the Package Roots field, click Select, and then click Add Folder.

  3. Expand Computer, select Content where the stored packages are listed, click OK, and then click Done to build the list of available packages.

  4. In the Primary Package box, select the first package from D:\Content\....

  5. In the Secondary Packages Available box, select the second package from D:\Content\..., and then click Add.

  6. Click Save, click OK to confirm, and then click Exit to complete the procedure.

See Also

Other Resources

Proof of Concept Jumpstart Kit v1.1


Plan for Remote Desktop Services (Terminal Services)

Published: May 12, 2010

Learn about Remote Desktop Services and how to plan for hosting Windows-based programs with Terminal Services clients.

A terminal server is the server that hosts Windows-based programs or the full Windows desktop for Terminal Services clients. Users can connect to a terminal server to run programs, to save files, and to use network resources on that server. When a user accesses a program on a terminal server, the program execution occurs on the server. Only keyboard, mouse, and display information is transmitted over the network. Each user sees only their individual session. The session is managed transparently by the server operating system and is independent of any other client session.

The Terminal Services role, now named Remote Desktop Services in Windows Server 2008 R2, provides the ability to host multiple, concurrent client sessions in Windows. By using Remote Desktop Services, users can access the Remote Desktop Session Host server (terminal server) from within a corporate network or from the Internet.

In this section:

Article | Description
Plan to deploy Office 2010 in a Remote Desktop Services environment | Describes the best practices and recommended guidelines to use when you plan a deployment of Microsoft Office 2010 in a Remote Desktop Services environment.
Setup customizations of Office 2010 for Remote Desktop (Terminal) Services | Describes the customizations of Office 2010 that are related to Remote Desktop Services.
Installing Outlook 2010 and using Cached Exchange Mode in a Remote Desktop Services environment | Provides planning information about using Remote Desktop Services (RDS) to access Microsoft Office 2010 applications.
Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (Outlook 2010) (white paper) | Contains help for those who are planning a deployment of Microsoft Outlook 2010 in a Cached Exchange Mode to a Remote Desktop Session Host (RDSH) environment.It is an addendum to the Remote Desktop Session Host Capacity Planning in Windows Server 2008 R2 document.


Plan to deploy Office 2010 in a Remote Desktop Services environment

If you plan to deploy Microsoft Office 2010 in a Remote Desktop Services environment (formerly known as Terminal Services), review the best practices and recommended guidelines that are in this article. Remote Desktop Services is a server role in Windows Server 2008 R2. It provides technologies that enable users to access session-based desktops, virtual machine-based desktops, or applications in the datacenter from both inside a corporate network and from the Internet.

In this article:

  • Planning a Remote Desktop Services environment

  • Configuring Remote Desktop Session Host server

  • Customizing the Office 2010 installation

Planning a Remote Desktop Services environment

Use the best practices and recommended guidelines in the following sections to plan an effective Remote Desktop Services environment for Office 2010.

Evaluating licensing requirements

To function correctly, remote Desktop Services must be deployed with Microsoft Office a volume license key. In the 2007 Microsoft Office system, installations could be completed on an operating system that had Remote Desktop Services configured, even if a non-volume license key (for example, retail) was used. However, when users started an application, they were presented with the following message:

"This copy of Microsoft Office Program cannot be used on Terminal Server. Please contact your local authorized Microsoft retailer for more information."

In Office 2010, a setup time check is introduced. If the permissions that are associated with the product key do not allow for Remote Desktop Services, the Setup program is blocked immediately, which indicates that the SKU is not supported on the computer that is running Remote Desktop Services.

Evaluating software requirements

Be sure that you understand the requirements for the server and client computers before you install Office 2010 on a Remote Desktop Services-enabled computer.

Server requirements

You can run Office 2010 on a computer that is running Windows Server 2003 R2, Windows Server 2008, or Windows Server 2008 R2. You cannot install or run Office 2010 on a server operating system that was released earlier than Windows Server 2003.

Deploying Office 2010 on Remote Desktop Services requires a review of the design changes in Office 2010, and a review of the server requirements, depending on the version of Windows Server (2003 or 2008) that you intend to use. Because the current server hardware can support multiple concurrent sessions, performance may be greatly affected. Processor and memory requirements vary, depending on the workload. The following table shows the results of some recent tests.

Windows Server version | Core processor | Memory | Concurrent sessions
Windows Server 2008 | 32 | 256 GB | 1140
Windows Server 2008 | 16 | 256 GB | 860
Windows Server 2003 | 4 | 16 GB | 150

You can configure Remote Desktop Services to load balance on a Remote Desktop Session Host (RD Session Host) server farm if your customers need that functionality.

As Windows Server 2003 RD Session Host server capacity and scaling shows, the number of concurrent sessions depends on many factors, such as workload and configuration. To support thousands of concurrent sessions, you should use an RD Session Host server farm configuration.

To assist you in planning your server requirements, see the following:

  • To view the Windows Server 2008 Tuning Guide, which now has a reference for general training of RD Session Host server knowledge worker workload (the Office-based workload) on Windows Server 2008, see Performance Tuning Guidelines for Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=135703).

  • To learn how Microsoft IT deployed Windows Server 2008 Terminal Services at Microsoft, see How MSIT uses Terminal Services as a Scalable Remote Access Solution (http://go.microsoft.com/fwlink/p/?LinkId=135705).

  • To learn more about the Remote Desktop Load Simulation Toolset, see Remote Desktop Load Simulation Tools (http://go.microsoft.com/fwlink/p/?LinkId=178956).

Client requirements

One advantage of running Office 2010 on a Remote Desktop Services-enabled computer is that older, less robust client computers can access the Remote Desktop Services-enabled computer. Specifically, any computer that supports the Remote Desktop Protocol (RDP) can connect to a Remote Desktop Services-enabled computer.

Evaluating recommended guidelines and best practices

Be sure that you review the following guidelines and best practices to plan an effective deployment of Office 2010 in a Remote Desktop Services environment.

Capacity planning in Windows Server 2008 R2

The following paper, Remote Desktop Session Host Capacity Planning in Windows Server 2008 R2 (http://go.microsoft.com/fwlink/p/?LinkId=185079&clcid=0x409), is available for download. It guides you on capacity planning of RD Session Host in Windows Server 2008 R2. The paper describes the most relevant factors that influence the capacity of a given deployment.

Running Outlook in Online Mode

For Microsoft Outlook 2010, the most scalable and optimized configuration for large deployments is Outlook running in Online Mode against the Exchange Server. However, Customers who deploy Outlook 2010 now have the supported option of enabling Cached Exchange Mode when Outlook 2010 is installed in a Remote Desktop environment. This may be ideal for small deployments where Outlook is connecting over a high latency connection to an Exchange Server that is located remotely. For more information, see Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (Outlook 2010) (white paper).

Single point of failure

To get fault-tolerance and availability, deploy a load-balanced RD Session Host farm. If a server fails, the other members of the RD Session Host farm will get the user load. However, users who previously had a connection to the failed server must log on to their desktops and start their applications again. A Remote Desktop Connection Broker (RD Connection Broker) must be installed to keep track of user sessions in a load-balanced RD Session Host farm. RD Connection Broker will track the number of user sessions on each RD Session Host server in the farm, and direct new sessions to the RD Session Host server that has the fewest sessions.

Remote Desktop Session Host server hardware

A Remote Desktop Services-enabled computer requires significantly more memory and processing resources than a typical server. In addition, although Remote Desktop Services is bandwidth efficient, the amount of data that the client exchanges with the Remote Desktop Services-enabled computers can be considerable and can affect performance. Consequently, before you roll out Office 2010 in a Remote Desktop Services environment, you should perform thorough capacity testing to ensure that the RD Session Host servers (terminal servers) have sufficient disk space, processing power, memory, and network bandwidth.

Remote Desktop Session Host server installation requirements

You must install the Remote Desktop Session Host (RD Session Host) server component on your server before you install Office 2010. You must also add every user who logs on to the Remote Desktop Services-enabled computer to the Remote Desktop Users group. Adding users to the Remote Desktop Users group enables the users to use Remote Desktop Connection to connect to the Remote Desktop Services-enabled computer and run Office 2010. If you do not add users to the Remove Desktop users group, they will be denied access to the Remote Desktop Services-enabled computer. For more information about how to install and configure Remote Desktop Services (Terminal Services), see Remote Desktop Services (Terminal Services) (http://go.microsoft.com/fwlink/p/?LinkID=34627).

Configuring Remote Desktop Session Host server

The most recent version of Remote Desktop Services Application Server mode has two new steps.

  • TSDisabled is a list of features that are not installed by default. They do not appear in the feature tree for customized installs. Therefore, they cannot be manually enabled.

  • TSAbsent is a list of features that are not installed by default. However, they appear in the feature tree (defaulted to absent). You can manually turn them back on through customization.

Disabled versus Absent

The following Office 2010 features are either disabled or the default is set to absent on RD Session Host server configurations.

  • TSDisabled: OutlookVBScript

  • TSAbsent: PPTSoundFiles

Customizing the Office 2010 installation

Before you install Office 2010 on a Remote Desktop Services-enabled computer, you must be sure that the installation states are configured correctly for the features and applications that you are installing. Changing the installation state for a feature or an application does not require special tools. You can do it during a manual installation or through the Office Customization Tool (OCT).

When users run Office 2010 on a Remote Desktop Services-enabled computer, they cannot install, configure, or uninstall features or applications. This is because the features and applications are installed on the RD Session Host server and not on the client computer, and users do not have administrative right to install, configure or uninstall software on the RD Session Host server (terminal server). Consequently, you must be sure that the installation state for each feature and application is configured as Run from my computer (that is, fully installed) or Not Available (that is, not installed). If the installation state for a feature or application is configured as Installed on First use, users see the following warning if they attempt to use the feature or run the application:

"Only administrators have permission to add, remove, or configure server software during a terminal service remote session."

Likewise, if you configure the installation state to allow an add-in to be installed on first use, the following error appears when a user tries to load the add-in:

"Microsoft Office cannot run this add-in. An error occurred and this feature is no longer functioning correctly. Please contact your system administrator."

You can configure installation states during a manual installation by clicking Customize on the Choose the installation you want page. For more information about how to perform a manual installation on a Remote Desktop Services-enabled computer, see Deploy Office 2010 on a Remote Desktop Services-enabled computer.

See Also

Other Resources

Whitepaper Release: Application Virtualization 4.5 for Terminal Services


Setup customizations of Office 2010 for Remote Desktop (Terminal) Services

Remote Desktop Services deployments of Microsoft Office 2010 require a volume license key to function correctly. This article describes customizations that are related to Remote Desktop Services (formerly known as Terminal Services).

In this article:

  • Install on first use

  • Screen flickering

  • TSAbsent and TSDisabled

Install on first use

When you deploy Office 2010 to a multiple-user Remote Desktop Services-enabled computer, it is best to set the installation state (Install On Demand | Advertise | Setting) feature to use Run from my computer.

The installation state of Install on first use does not guarantee a successful installation of Office 2010.

Screen flickering

When you use PowerPoint 2010 that is connected to a Windows Server 2003 terminal server session by using a third-party client, such as a Citrix ICA client, the screen will flicker.

This can occur when you run Windows Presentation Foundation (WPF) applications in the terminal server session.

For information about the cause and resolution of this problem, see Microsoft Knowledge Base article 955692: Your screen flickers when you start WPF applications in a Windows Server 2003 terminal server session (http://go.microsoft.com/fwlink/p/?LinkId=184709&clcid=0x409).

TSAbsent and TSDisabled

The behavior enforced by the TSAbsent and TSDisabled can be overridden by using a custom Config.xml or Setup customization (.msp) file.

For example, by default OutlookVBScript is TSDisabled. However, you can override this by using Config.xml or .msp file.

The Remote Desktop Session Host server attributes on specific options are meant to modify default states. The attributes do not enforce a specific state.

The following Office 2010 features are either disabled or the default is set to absent on Remote Desktop Session Host server configurations.

  • TSDisabled: OutlookVBScript

  • TSAbsent: PPTSoundFiles

See Also

Concepts

Plan to deploy Office 2010 in a Remote Desktop Services environment


Plan for accessibility in Office 2010

The Accessibility Checker in Microsoft Office 2010 lets users create more accessible documents for people who have disabilities. The Accessibility Checker (like a spelling checker, but for accessibility issues) is a core feature of Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

In this article:

  • Increase the visibility of violations

  • Control what the checker reports

Increase the visibility of violations

The settings that are provided in Control what the checker reports later in this article are used to control the Accessibility Checker. Of these settings, most are about stopping the Accessibility Checker from performing a particular check.

The policy setting Increase the visibility of Accessibility Checker violations controls how strongly an accessibility error will be emphasized in the user interface. If enabled, you can specify what happens when a document, workbook, or spreadsheet has accessibility errors, as shown here:

  • Accessibility violations do not change the Prepare for Distribution area in the Microsoft Office Backstage view (default).

  • Accessibility errors cause the Prepare for Distribution area to be strongly emphasized in the Backstage view.

  • Accessibility errors or warnings cause the Prepare for Distribution area to be less strongly emphasized in the Backstage view.

If disabled or not configured, the Accessibility Checker user interface is presented in its normal state.

Important:

Group Policy settings can be used to control the Accessibility Checker. For Excel 2010, PowerPoint 2010, and Word 2010, the Group Policy settings are located in the gpedit node <AppName>\File tab\Check Accessibility.

Control what the checker reports

The following tables provide the complete Group Policy settings that can be used to control the Accessibility Checker for Excel 2010, PowerPoint 2010, and Word 2010.

Group Policy settings for Excel 2010

Setting for Excel 2010 Associated registry key Description

Stop checking for alt text accessibility information

AltText

If enabled, the Accessibility Checker does not verify whether objects such as images and shapes contain alternative text.

If disabled or not configured, objects are checked for alternative text and issues found appear in the Accessibility Checker.

Stop checking for table header accessibility information

TableHeaders

If enabled, the Accessibility Checker does not verify whether tables have a header row specified.

If disabled or not configured, tables are checked for header rows and issues found appear in the Accessibility Checker.

Stop checking to ensure workbooks allow programmatic access

ProgrammaticAccess

If enabled, the Accessibility Checker does not check whether workbooks have blocked programmatic access through Digital Rights Management (DRM).

If disabled or not configured, workbooks are checked for programmatic access and issues found appear in the Accessibility Checker.

Stop checking for merged cells

MergedCells

If enabled, the Accessibility Checker does not check whether tables have merged cells.

If disabled or not configured, worksheets are checked for merged cells and issues found appear in the Accessibility Checker.

Stop checking to ensure hyperlink text is meaningful

MeaningfulHyperlinks

If enabled, the Accessibility Checker does not check whether hyperlinks have meaningful text.

If disabled or not configured, hyperlink text is checked and issues found appear in the Accessibility Checker.

Stop checking to ensure non-default sheet names

SheetNames

If enabled, the Accessibility Checker does not check whether worksheets with content have non-default names.

If disabled or not configured, worksheet names are checked and issues found appear in the Accessibility Checker.

Stop checking for blank table rows used as formatting

BlankTableRows

If enabled, the Accessibility Checker does not check whether blank table rows are used as formatting.

If disabled or not configured, tables are checked for blank rows and issues found appear in the Accessibility Checker.

Group Policy settings for PowerPoint 2010

Setting for PowerPoint 2010 Associated registry key Description

Stop checking for alt text accessibility information

AltText

If enabled, the Accessibility Checker does not verify whether objects such as images and shapes contain alt text.

If disabled or not configured, objects are checked for alternative text and issues found appear in the Accessibility Checker.

Stop checking to ensure hyperlink text is meaningful

HyperlinkText

If enabled, the Accessibility Checker does not check whether hyperlinks have meaningful text.

If disabled or not configured, hyperlink text is checked and issues found appear in the Accessibility Checker.

Stop checking for media files which might need captions

ClosedCaptions

If enabled, the Accessibility Checker does not flag media files that might need caption information.

If disabled or not configured, presentations are scanned for media files and issues found appear in the Accessibility Checker.

Stop checking for table header accessibility information

HeaderRow

If enabled, the Accessibility Checker does not verify whether tables have a header row specified.

If disabled or not configured, tables are checked for header rows and issues found appear in the Accessibility Checker.

Stop checking for blank table rows and columns

BlankRowCol

If enabled, the Accessibility Checker does not verify whether blank rows and blank columns have been inserted into tables.

If disabled or not configured, tables are checked for blank rows and blank columns and issues found appear in the Accessibility Checker.

Stop checking for merged and split cells

SimpleStructure

If enabled, the Accessibility Checker does not verify whether tables have merged or split cells.

If disabled or not configured, tables are checked for merged and split cells and issues found appear in the Accessibility Checker.

Stop checking that slide titles exist

HasTitle

If enabled, the Accessibility Checker does not verify whether every slide has a title placeholder.

If disabled or not configured, slides are checked for titles and issues found appear in the Accessibility Checker.

Stop checking to ensure each slide has a unique title

UniqueTitle

If enabled, the Accessibility Checker does not verify whether every slide has a unique title.

If disabled or not configured, slide titles are checked for uniqueness and issues found appear in the Accessibility Checker.

Stop checking to ensure a meaningful order of objects on slides

NonPlaceholderShapes

If enabled, the Accessibility Checker does not check whether a slide has non-placeholder objects which might be read back out of order.

If disabled or not configured, slides are checked for objects which might be read back out of order and issues found appear in the Accessibility Checker.

Stop checking to ensure presentations allow programmatic access

IRM

If enabled, the Accessibility Checker does not check whether presentations have blocked programmatic access through DRM.

If disabled or not configured, presentations are checked for programmatic access and issues found appear in the Accessibility Checker.

Group Policy settings for Word 2010

Setting for Word 2010 Associated registry key Description

Stop checking for alt text accessibility information

AltText

If enabled, the Accessibility Checker does not verify whether objects such as images and shapes contain alt text.

If disabled or not configured, objects are checked for alternative text and issues found appear in the Accessibility Checker.

Stop checking to ensure hyperlink text is meaningful

MeaningfulHyperlinks

If enabled, the Accessibility Checker does not verify whether hyperlinks have meaningful text.

If disabled or not configured, hyperlink text is checked and issues found appear in the Accessibility Checker.

Stop checking for table header accessibility information

TableHeaders

If enabled, the Accessibility Checker does not verify whether tables have a header row specified.

If disabled or not configured, tables are checked for header rows and issues found appear in the Accessibility Checker.

Stop checking for blank table rows and columns

BlankTableCells

If enabled, the Accessibility Checker does not verify whether blank rows and blank columns have been inserted into tables.

If disabled or not configured, tables are checked for blank rows and blank columns and issues found appear in the Accessibility Checker.

Stop checking for merged and split cells

2DTableStructure

If enabled, the Accessibility Checker does not verify whether tables have merged or split cells.

If disabled or not configured, tables are checked for merged and split cells and issues found appear in the Accessibility Checker.

Stop checking to ensure documents allow programmatic access

ProgrammaticAccess

If enabled, the Accessibility Checker does not check whether documents have blocked programmatic access through DRM.

If disabled or not configured, documents are checked for programmatic access and issues found appear in the Accessibility Checker.

Stop checking to ensure long documents use styles for structure

StylesAsStructure

If enabled, the Accessibility Checker does not check whether long documents have used styles to define content structure.

If disabled or not configured, documents are checked for style usage and issues found appear in the Accessibility Checker.

Stop checking to ensure styles have been used frequently

HeadingSpacing

If enabled, the Accessibility Checker does not check whether documents that use styles have used them frequently enough to accurately represent the document's content structure.

If disabled or not configured, the frequency of style usage is checked and issues found appear in the Accessibility Checker.

Stop checking to ensure headings are succinct

SuccinctHeadings

If enabled, the Accessibility Checker does not check whether headings in a document are succinct.

If disabled or not configured, document headings are checked for length and issues found appear in the Accessibility Checker.

Stop checking whether objects are floating

FloatingObjects

If enabled, the Accessibility Checker does not check whether a document has objects that are floating instead of inline.

If disabled or not configured, objects are checked for floating text wrapping properties and issues found appear in the Accessibility Checker.

Stop checking whether blank characters are used for formatting

BlankCharacters

If enabled, the Accessibility Checker does not check whether multiple consecutive white-space characters are used for formatting.

If disabled or not configured, documents are checked for consecutive white-space usage and issues found appear in the Accessibility Checker.

Stop checking for image watermarks

ImageWatermarks

If enabled, the Accessibility Checker does not check whether a document has image watermarks.

If disabled or not configured, documents are checked for watermarks and issues found appear in the Accessibility Checker.

Stop checking to ensure heading styles do not skip style level

HeadingOrder

If enabled, the Accessibility Checker does not check whether headings in a document are used in order.

If disabled or not configured, the ordering of headings in a document is checked and issues found appear in the Accessibility Checker.

Stop checking for tables used for layout

LayoutTablesReadingOrder

If enabled, the Accessibility Checker does not flag layout tables (that is, tables that have no style applied).

If disabled or not configured, tables that have no styles are flagged and violations appear in the Accessibility Checker.

See Also

Other Resources

Accessibility Investments and Document Accessibility (blog)
Accessibility and the Ribbon


Plan for volume activation of Office 2010

Published: May 12, 2010

Microsoft policy requires the activation of all editions of Microsoft Office 2010 client software, including Volume License editions. For Office 2010, volume activation takes place through Office Activation Technologies, which is based on the Software Protection Platform (SPP) used in Windows Vista and Windows Server 2008.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

In this section:

Article | Description
What's new in the Volume Activation Management Tool (VAMT) 3.0 | Provides a list of new and updated features that are in Volume Activation Management Tool 2.0.
Volume activation overview for Office 2010 | Provides an overview of Microsoft Volume Licensing and Office Activation Technologies for Office 2010.
Plan volume activation of Office 2010 | Describes how to plan for volume activation by using Office Activation Technologies.
Plan MAK independent activation of Office 2010 | Describes how to plan for a deployment of Office 2010 by using Multiple Activation Key (MAK) independent activation.
Plan MAK proxy activation of Office 2010 | Describes how to plan for a deployment of Office 2010 by using MAK proxy activation.
Plan KMS activation of Office 2010 | Describes how to plan for a deployment of Office 2010 by using Management Service (KMS) activation.
Scenario: Core network - KMS activation of Office 2010 | Describes how to plan KMS activation in a core network for volume activation of Office 2010.
Scenario: Secure network - KMS or MAK activation of Office 2010 | Describes how to plan KMS or MAK activation in a secure network for volume activation of Office 2010.
Scenario: Disconnected computers activating Office 2010 | Describes how to plan KMS or MAK activation in roaming or disconnected computers for volume activation of Office 2010.
Scenario: Test or development lab activating Office 2010 | Describes how to plan KMS or MAK activation in a test or development lab network for volume activation of Office 2010.
FAQ: Volume activation of Office 2010 | Provides answers to frequently asked questions (FAQ) about the various aspects of volume activation of Office 2010.

See Also

Concepts

Volume activation quick start guide for Office 2010
Deploy volume activation of Office 2010


What's new in the Volume Activation Management Tool (VAMT) 3.0

Published: January 29, 2013

Volume Activation Management Tool (VAMT) 2.0 includes new and updated features. The following tables list and describe those features.

New features

Feature | Description
MMC 3-based user interface | VAMT 2.0 uses a Microsoft Management Console (MMC) 3-based user interface that includes a pane in which managed computers are displayed and includes an Add Computers command. You can also use Lightweight Directory Access Protocol (LDAP) queries to add computers.
Command-line interface | You can run VAMT 2.0 from a command-line interface. This allows you to use the tool in scripts and to schedule Windows activation tasks. To see the command-line switches, run the following command: vamt /?

Updated features

Feature Description

Remote installation of product keys

In VAMT 1.2, you could remotely activate Windows-based computers only if the correct product key was already installed on the client. In VAMT 2.0, you can store product keys and apply them to the clients by using either online activation or proxy activation.

Data importing

If you scan the network by using VAMT 1.2, you can save the data in a Computer Information List (.cil) file and then import the file to VAMT 2.0. When you do this, the already-stored file is not overwritten. VAMT 2.0 removes all duplicates.

Note:

You cannot use VAMT 1.2 to open .cil files in VAMT 1.2 that were saved in VAMT 2.0.

Last action status

Sometimes the text in the Status of the last action column is too wide to be displayed in the column. In VAMT 2.0, you can display the last action status of a computer by using the shortcut menu instead of resizing the pane.

See Also

Other Resources

Manage Activations Using the VAMT


Volume activation overview for Office 2010

Published: May 12, 2010

Two volume activation methods are available to organizations that have volume license agreements with Microsoft. Activation establishes a relationship between the software product key and a particular installation of that software on a device. Microsoft includes product activation technologies in the following products sold through the Volume Licensing channel: Windows 7, Windows Vista, Windows Server 2008 R2, Windows Server 2008, and Microsoft Office 2010 client products.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • Volume Licensing overview

  • Office Activation Technologies

Volume Licensing overview

To become a volume licensing customer, your organization must set up a volume licensing agreement with Microsoft. Microsoft Volume Licensing offers programs that are customized to the size and purchasing preference of organizations. These programs provide simple, flexible, and affordable solutions that enable organizations to easily manage licenses. Two Office 2010 suites are available through the volume licensing channel: Office Professional Plus 2010 and Office Standard 2010. To compare the suites, see Compare suites available through Volume Licensing (http://go.microsoft.com/fwlink/p/?LinkId=216466). To compare the server integration features between suites, see Compare server integration features between Office suites available through volume licensing (http://go.microsoft.com/fwlink/p/?LinkId=216467).

By obtaining software licenses through Microsoft Volume Licensing programs, organizations pay only for the software license, instead of the media included in boxed software. In addition to reducing overall cost by eliminating these physical costs, purchasing in volume provides more customized purchasing options and improved software administration.

With some Volume Licensing programs, organizations can also purchase Software Assurance (http://go.microsoft.com/fwlink/p/?LinkId=184005). This is a comprehensive maintenance offering that helps organizations get the most out of their software investment. It combines the latest software with telephone support, partner services, training, and information technology (IT) tools. Organizations can choose Software Assurance at the time of purchase and begin to use the benefits immediately for the term of the license agreement.

Depending on the Volume Licensing program chosen, organizations might receive media, and have the option to obtain media (or supplemental media), documentation, and product support separately as needed.

For more information about Volume Licensing, see Microsoft Volume Licensing (http://go.microsoft.com/fwlink/p/?LinkId=8523). For step-by-step information about how to activate Volume License editions of Office 2010 client products, see Deploy volume activation of Office 2010. If you are already familiar with Windows Volume Activation through Key Management Service (KMS) and Multiple Activation Key (MAK), see Volume activation quick start guide for Office 2010 for instructions that are specific to Office 2010.

Changes in activation policy

Activation for the 2007 Microsoft Office system was required only for Microsoft software purchased from retail stores and OEMs. Product keys entered in Microsoft Office Enterprise 2007 bypassed activation. For Office 2010, the activation method uses Office Activation Technologies, based on the Software Protection Platform introduced in Windows Vista and Windows Server 2008.

Microsoft policy requires the activation of all editions of Office 2010 client software. This includes those obtained through the Volume Licensing program. This requirement applies to Office 2010 running on both physical computers and virtual computers. Activation is not required for any Office 2010 server products, such as Microsoft SharePoint Server 2010 and Microsoft Project Server 2010, or any version of Microsoft Exchange Server.

Why is activation necessary?

Counterfeiting is a significant problem for the software industry. According to a study by the Business Software Alliance, 41 percent of all personal computer software installed worldwide during 2008 was obtained illegally. Though the financial effects are serious to software manufacturers and vendors, with losses estimated at US $50 billion in 2008, the effect of counterfeit software goes beyond revenue loss to software manufacturers. Many consumers who have a counterfeit copy of Microsoft software are unwitting victims of a crime. Additionally, counterfeit software is increasingly becoming a vehicle for the distribution of viruses and malware that can target unsuspecting users, potentially exposing them to corruption or loss of personal or business data and identity theft.

Adding the activation requirement to Microsoft software helps prevent keys from being widely leaked. This minimizes the use of counterfeit software. For more information about the Business Software Alliance study, see Sixth Annual BSA and IDC Global Software Piracy Study (http://go.microsoft.com/fwlink/p/?LinkId=155960).

Privacy

All methods of activation used by Microsoft are designed to help protect user privacy. The data that is collected is used to confirm that you have a legally licensed copy of the software. It is then aggregated for statistical analysis. Microsoft does not use this information to identify you or contact you.

Office Activation Technologies

Office Activation Technologies provide methods for activating products that are licensed under Microsoft Volume Licensing programs. Most Office Volume Licensing customers are familiar with Volume License Keys (VLKs) that were issued under a specific license agreement. This key effectively "bypassed" activation. For Office 2010, Office Activation Technologies help automate and manage the activation process while addressing the piracy and product key management problems that arose with keys issued for Office Enterprise 2007.

You can use the following methods to activate Office 2010 by using Office Activation Technologies, which are the same methods that are used for Windows Vista, Windows Server 2008, and later versions of Windows. The kind of product key entered determines the activation method:

  • Key Management Service (KMS) A computer serves as the KMS host, which requires an Office 2010 KMS host key to be installed and activated. This establishes a local activation service in your environment. Office 2010 client computers connect to the local KMS host for activation.

  • Multiple Activation Key (MAK) With a MAK key, Office 2010 client computers activate online by using the Microsoft hosted activation servers or by telephone.

    In addition:

  • A combination of KMS and MAK For example, desktop computers that are running Office 2010 will have the KMS client key installed, whereas portable computers that are running Office 2010 will have the MAK key installed.

To learn about which volume activation method to use, see Plan volume activation of Office 2010

Key Management Service (KMS)

KMS enables product activations on the local network. This eliminates the need for individual computers to connect to Microsoft for product activation. It is a lightweight service that does not require a dedicated system and can easily be co-hosted on a system that provides other services. A computer is required to be configured as a KMS host. The KMS host contains a customer-specific volume license key (KMS host key) for each product to be activated and connects one time to Microsoft hosted servers for activation. Computers that are running Windows Server 2003, Volume License editions of Windows 7, or Windows Server 2008 R2 operating systems can be configured as Office 2010 KMS hosts.

Only one Office KMS host key is required to activate all Volume License editions of Office 2010 client products.

Important:

The Office 2010 KMS host key is not specific to the operating system. It is designed to be used on any of the operating systems that were mentioned earlier, including both 32-bit and 64-bit editions.

Office 2010 KMS clients

KMS clients are computers that are running Volume License editions of Office 2010, which are preinstalled with a KMS client key. KMS clients connect to an organization's KMS host to request activation. Office 2010 KMS clients can be installed on the operating systems listed in System requirements for Office 2010.

By default, a KMS client key has already been installed in Volume License editions of Office 2010. No action is required by the end user, and you do not have to enter a product key for Office 2010 KMS clients. The only action required by the administrator is the initial activation of the KMS host.

For more information, see Plan a KMS deployment in Plan volume activation of Office 2010.

Multiple Activation Key (MAK)

A unique MAK key is given to an organization for each Volume License edition of Office 2010. Each computer must then activate one time with the Microsoft hosted activation services. Associated with each key is a count of the number of activations. For example, a MAK key for an Office 2010 product that has 100 activations allows the organization to install the key on 100 computers and activate each one.

MAK is appropriate for organizations with computers that are not connected to the corporate network for long periods of time, such as portable computers. For this to work, a MAK key must be installed instead of the default KMS client key that is used in Volume License editions of Office 2010. There are two ways to activate computers by using MAK. The first method is MAK independent activation, which requires that each computer independently connect and activate with Microsoft, either over the Internet or by telephone.

The second method is MAK Proxy activation, which is performed by using the Volume Activation Management Tool (VAMT) 2.0 (http://go.microsoft.com/fwlink/p/?LinkId=183042). VAMT 2.0 supports Office 2010 MAK proxy activation. By using this method, a computer collects activation information from multiple computers on the network and then sends a centralized activation request on their behalf. In this setup, the VAMT 2.0 console is the only computer that connects to Microsoft hosted servers. For more information, see Plan a MAK activation in Plan volume activation of Office 2010.

With MAK activation, there is no requirement to periodically renew activation. You must reactivate if significant hardware changes (such as replacing the hard disk drive) are detected or you re-install the operating system. Each reactivation will decrement the number of activations associated with the key. If you save and reapply the confirmation ID from the MAK proxy activation through VAMT 2.0, you can reactivate the same computer without decrementing the number of activations associated with the key, because no connection with Microsoft is made. In addition, you must request more activation allowances when the number of activations passes the predetermined limit. You also have to manage the installation of MAK keys and you might have to manually activate systems by using a telephone when no Internet connection is available.

Note:

Only VAMT 2.0 and later versions can support Office 2010.

Volume License product keys

If you use Volume License editions of Office 2010, planning for volume activation must be part of your Office 2010 deployment process. KMS host keys and MAKs are issued under a specific license agreement to enable organizations to use the licensed products. These keys can be used only with volume licensing products. They cannot be used with retail software or software that is preinstalled on a new computer by an original equipment manufacturer (OEM), unless the organization has an agreement with the OEM to preinstall Volume License editions of the products.

To obtain your KMS host key and MAK keys, go to the Web site where you downloaded Office 2010.

See Also

Concepts

Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot volume activation for Office 2010

Other Resources

Office 2010 Volume Activation forum
Office 2010 forums
Compare suites available through Volume Licensing
Compare server integration features between Office suites available through volume licensing


Plan volume activation of Office 2010

Published: May 12, 2010

You can plan the deployment of Office Activation Technologies for volume activation of Microsoft Office 2010 by using KMS key activation, MAK key activation, or both. Before you read this article, we recommend that you read Volume activation overview for Office 2010. We also highly recommend that you read the Windows Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183040).

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • Plan a deployment

  • Review activation methods

  • Plan a KMS deployment

  • Plan a MAK activation

Plan a deployment

If you are planning a Windows deployment of Windows Vista, Windows Server 2008, Windows 7, or Windows Server 2008 R2, you will probably have the same considerations for Windows as for Office 2010. To help determine which activation method — Key Management Service (KMS) or Multiple Activation Key (MAK) or both — to use for Windows, see the Windows Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183040). Most likely, Office 2010 will use the same method.

A volume activation deployment includes the following steps:

  1. Learn about product activation.

  2. Review available activation models.

  3. Evaluate client connectivity.

  4. Map the physical computer or virtual machine to an activation method.

  5. Determine product key needs.

  6. Determine monitoring and reporting needs.

Most of the information is covered in the Windows Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183040). This article provides an overview of the technology.

When you plan for Office Activation Technologies, think about the following information:

  • The KMS activation threshold for Office 2010 is five computers. This means that Office 2010 client computers will become activated only after five or more client computers have requested activation.

  • There is no need to enter a product key for Office 2010 KMS clients. You only need to enter a KMS host key on your KMS host computer.

  • If you decide to use MAK, enter the product key either through the Office Customization Tool (OCT) or the Config.xml file. After Office 2010 installation, the product key can be changed by using the Volume Activation Management Tool (VAMT) 2.0 or the Office Software Protection Platform script (ospp.vbs). For more information about ospp.vbs, see Tools to configure client computers in Office 2010.

For a visual representation of the volume activation methods for Office 2010 and typical network scenarios, see Volume Activation of Microsoft Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=188811).

Volume Activation of Microsoft Office 2010 Model

Review activation methods

Office Activation Technologies provide two activation methods:

  • Key Management Service (KMS) A server-client model in which a computer serves as the KMS host, which requires a KMS host key to be installed and activated. This establishes a local activation service in your environment. Office 2010 client computers connect to the local Office 2010 KMS host for activation.

  • Multiple Activation Key (MAK) With a MAK key, Office 2010 client computers activate online by using the Microsoft hosted activation servers or by telephone.

The kind of key installed determines the activation method. All Office 2010 volume license editions have the KMS client key pre-installed. You do not have to enter a product key if you are deploying KMS clients. If you want to use MAK activation, you have to enter the correct MAK key.

A combination of KMS and MAK can also be used. For example, Office 2010 running on desktops has the KMS client key installed, whereas Office 2010 running on portable computers has the MAK key installed.

The model chosen depends on the size, network infrastructure, connectivity, and security requirements. You can choose to use only one or a combination of these activation models. Typically, the same activation method for a particular instance of Windows would be used for Office. For more information about how to decide which activation method to use, see the Windows Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183040).

Key Management Service (KMS)

KMS is a server-client model in which a computer serves as the KMS host. KMS activation requires TCP/IP connectivity. By default, KMS hosts use DNS to publish the KMS service, and client computers connect to the KMS host for activation by using anonymous remote procedure calls (RPCs) through TCP communications port 1688, which is the default port number when you enable the firewall on a KMS host. You can use the default settings, which require little or no administrative action, or manually configure KMS hosts and clients based on network configuration and security requirements.

To be licensed, the KMS client must be activated. The following table describes the license state of the Office 2010 KMS client with respect to activation.

License state | Description
Licensed | By default, the KMS client attempts activation with the KMS host one time every seven days. (The number of days is configurable.) This design allows the maximum possible time for the client to be in the licensed state. Once the KMS client is successfully activated, it remains in the licensed state for 180 days. When in the licensed state, users do not see any notification dialog boxes prompting them to activate. After 180 days, the activation attempt process resumes. If activation is continually successful, the entire activation experience is transparent to the end-user.
Out-of-tolerance | If activation does not occur during the 180-day period, Office 2010 goes into the out-of-tolerance state for 30 days. Users then see notifications requesting activation.
Unlicensed notification | If activation does not occur during the out-of tolerance state, Office 2010 goes into the unlicensed notification state. Users then see notifications requesting activation and a red title bar.

The KMS host must be installed with a KMS host key and activated before accepting KMS activation requests from KMS clients. For information about how to set up a KMS host, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

Important:

The KMS host key for Office 2010 is not specific to a particular operating system. It is designed to be used on any of the operating systems supported as an Office 2010 KMS host, including both 32-bit and 64-bit editions:

  • Windows Server 2003 Standard, Enterprise, and Datacenter editions (32-bit and 64-bit) or with any applicable service packs

    Important:

    The Office 2010 KMS host is not supported on Windows Small Business Server 2003. For more information, see Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

  • Volume License editions of Windows 7

  • Windows Server 2008 R2

Publication of the KMS service

The KMS service uses service (SRV) resource records (RRs) in DNS to store and communicate the locations of KMS hosts. KMS hosts use dynamic updates, if available, to publish the KMS SRV RRs. If dynamic updates are not available or if the KMS host does not have permissions to publish the RRs, you must publish the DNS records manually or configure client computers to connect to specific KMS hosts. This might require changing permissions on DNS to let more than one KMS host publish SRV records.

Note:

DNS changes might take time to propagate to all DNS hosts, depending on the complexity and topology of the network.

Client discovery of KMS

The first time that a KMS client queries DNS for KMS information, it randomly selects a KMS host from the list of SRV RRs that DNS returns. The address of a DNS server that contains the SRV RRs can be listed as a suffixed entry on KMS clients, which allows advertisement of SRV RRs for KMS in one DNS server and KMS clients that have other primary DNS servers to find it.

You can add priority and weight parameters to the DnsDomainPublishList registry value for KMS hosts on Volume License editions of Windows 7 or Windows Server 2008 R2. Doing so enables you to establish KMS host priority groupings and weighting within each group, which specifies the order in which to use KMS hosts and balances traffic among multiple KMS hosts. If you are using priority and weight parameters, we recommend that KMS caching be disabled on the client. This allows the client to query DNS every time that activation is attempted, which will honor the priority and weight parameters, instead of directly contacting the cached KMS host that last resulted in successful activation.

If the KMS host that a client selects does not respond, the KMS client removes that KMS host from its list of SRV RRs and randomly selects another KMS host from the list. If the priority and weight parameters are set, the KMS client will use them while finding another KMS host. Otherwise, KMS hosts are selected randomly. After a KMS host responds, the KMS client caches the name of the KMS host and uses it for subsequent activation and renewal attempts if caching is enabled. If the cached KMS host does not respond on a subsequent renewal, the KMS client discovers a new KMS host by querying DNS for KMS SRV RRs.

KMS activation thresholds

The minimum requirement for Office 2010 KMS activation is a KMS host and at least five KMS clients in a network environment. Five or more computers that are running Office 2010 volume editions must contact the KMS host within 30 days for their activation requests to be successful. When five clients have connected to a KMS host, clients that later connect to the KMS host receive responses that allow the clients to be activated. Due to the re-activation schedule, the original five clients also become activated when they request activation from the KMS host again.

After initializing KMS, the KMS activation infrastructure is self-maintaining. The KMS service can be co-hosted with other services. A single KMS host can support hundreds of thousands of KMS clients. Most organizations can deploy merely two KMS hosts for their entire infrastructure (one main KMS host and one backup host for redundancy).

KMS activation renewal

KMS activations are valid for 180 days. This is called the activation validity interval. To remain activated, KMS clients must renew their activation by connecting to the KMS host at least one time every 180 days. By default, KMS client computers attempt to renew their activation every seven days. After a client's activation is renewed, the activation validity interval begins again.

Use KMS for computers that are running Windows and Office 2010 client products

When you use KMS to activate computers that are running both Windows and Office 2010, you have the following options for Office 2010:

  • Use the same KMS host on a computer that is running Windows Server 2003 (Standard, Enterprise, and Datacenter editions [32-bit and 64-bit] only), Volume License editions of Windows 7 or Windows Server 2008 R2 (recommended).

  • Use separate KMS hosts for computers that are running Windows and Office 2010.

Important:

If you already have a KMS host that is set up to activate Windows products, you still have to install the Office 2010 KMS host license files, enter the Office 2010 KMS host key, and activate the key. To do this, go to the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244) Web site, and then download and run KeyManagementServiceHost.exe.

The following operating systems are supported as an Office 2010 KMS host:

  • Windows 8

  • Windows Server 2012

    Note:

    For detailed information about how to set up an Office 2010 KMS host on Windows 8 or Windows Server 2012, see How to install the Office 2010 KMS Host License Pack on Windows 8 or Windows Server 2012

  • Windows Server 2008 R2

  • Volume editions of Windows 7

  • Windows Server 2003 Standard, Enterprise, and Datacenter editions (32-bit and 64-bit) or with any applicable service packs

    Important:

    The Office 2010 KMS host is not supported on Windows Small Business Server 2003. For more information, see Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

If you are already using a computer that is running as your Windows KMS host and you want to co-host the Office 2010 KMS host, follow the steps in Prepare and configure the KMS host in Deploy volume activation of Office 2010.

Multiple Activation Key (MAK)

A MAK key is used for one-time activation with the Microsoft hosted activation services. Each MAK key has a predetermined number of allowed activations. This number is based on Volume Licensing agreements and may not match the organization's exact license count. Each activation that uses a MAK key with the Microsoft hosted activation service counts toward the activation limit. Once Office 2010 is activated, no re-activation is required unless the hardware changes significantly.

There are two ways to activate computers by using a MAK key:

  • MAK Independent Activation MAK independent activation requires that each computer independently connect and be activated with Microsoft, either over the Internet or by telephone. MAK independent activation is best suited for computers in an organization that do not maintain a connection to the corporate network.

  • MAK Proxy Activation by using VAMT 2.0 This enables a centralized activation request on behalf of multiple computers that have one connection to Microsoft. MAK Proxy activation is configured by using VAMT 2.0. MAK Proxy activation is appropriate for environments in which security concerns might restrict direct access to the Internet or the corporate network. It is also suited for development and test labs that do not have this connectivity.

MAK architecture

MAK activation requires that a MAK key is installed on a client computer and instructs that computer to activate itself against Microsoft hosted activation servers over the Internet. In MAK Proxy activation, a MAK key must be installed on the client computer by any of the methods previously described. VAMT 2.0 obtains the installation ID (IID) from the target computer, sends the IID to Microsoft on behalf of the client, and obtains a confirmation ID (CID). The tool then activates the client by installing the CID. The CID is saved and can be used later, for example, to activate test computers that have been re-imaged after 90 days.

VAMT 2.0

VAMT 2.0 is a Microsoft Management Console (MMC) snap-in that allows a graphical user interface (GUI) to easily manage Windows and Office 2010 client products, including Microsoft Project 2010 and Microsoft Visio 2010, with volume license keys installed. You may specify a group of products to activate by using Active Directory Domain Services (AD DS), workgroup names, IP addresses, computer names, or a generic LDAP query. Only VAMT 2.0 and later versions support Office 2010 in addition to Windows.

VAMT 2.0 enables you to easily transition computers between MAK and KMS activation methods by clicking the target computer and installing the appropriate key.

VAMT 2.0 also enables you to trigger activation on a remote computer. If the target computer has a MAK key installed, that computer sends an activation request to the Microsoft activation servers. If a KMS client key is installed, the target computer sends an activation request to the KMS host.

The tool also supports the collection of activation requests from several computers and then sends them to Microsoft hosted activation servers in bulk. This is called MAK proxy activation through VAMT 2.0, and the target computers must have MAK keys installed. For proxy activation only, VAMT distributes the activation confirmation codes from Microsoft hosted activation servers to the computers that requested activation. Because VAMT also stores these confirmation codes locally, it can reactivate a previously activated computer after it is reimaged without having to contact Microsoft.

For detailed information about VAMT 2.0, see Product Activation Using Volume Activation Management Tool 2.0 (http://go.microsoft.com/fwlink/p/?LinkID=207804).

Plan a KMS deployment

The KMS service does not require a dedicated server. The KMS service can be co-hosted on a server that also hosts KMS for Windows. Specifically, you can configure a computer that is running Windows Server 2003 with KMS 1.1 or a later version installed, Volume License editions of Windows 7, or Windows Server 2008 R2 to act as a single KMS host that responds to both Windows and Office 2010 KMS client activation requests. This works as long as the appropriate Office 2010 KMS host licenses are installed and a valid KMS host key is installed, and the key is activated against Microsoft hosted activation servers. You can install Office 2010 KMS host licenses by running the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244).

Important:

KMS hosts that were set up by using the Office 2010 Beta release cannot be used to activate client computers that are running the final released version of Office 2010. To activate these client computers, you can either run the release version of Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244) and enter the KMS host key on the same KMS host, or set up a new KMS server only for activating the final release version of Office 2010.

Plan DNS server configuration

The default KMS auto-publishing feature requires SRV RR and dynamic update support. Microsoft DNS or any other DNS server that supports SRV RRs, as documented in Internet Engineering Task Force (IETF) Request for Comments (RFC) 2782, and dynamic updates, as documented in RFC 2136 can support KMS client default behavior and KMS SRV RR publishing. Berkeley Internet Domain Name (BIND) versions 8.x and 9.x support both SRV records and dynamic update, for example.

The KMS host must be configured so that it has the credentials needed to create and update SRV, A (IPv4), and AAAA (IPv6) RRs on the dynamic update servers, or the records must be created manually. The recommended solution for giving the KMS host the needed credentials is to create a security group in AD DS and add all KMS hosts to that group. For Microsoft DNS, ensure that this security group is given full control over the _VLMCS._TCP record on each DNS domain that will contain the KMS SRV RRs.

Activate the KMS host

The KMS host must activate with Microsoft hosted activation servers through the Internet or by telephone. Once the KMS host is activated, it does not communicate any additional information to Microsoft. For more information, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

Prepare KMS clients

By default, Volume License editions of Office 2010 are preinstalled with the KMS client key. This makes them KMS clients, without additional configuration required. KMS clients can locate a KMS host automatically by querying DNS for SRV RRs that publish the KMS service. If the network environment does not use SRV RRs, you can manually assign a KMS client to use a specific KMS host by configuring the following registry key:

HKLM\Software\Microsoft\OfficeSoftwareProtectionPlatform

The KMS host name is specified by KeyManagementServiceName (REG_SZ), and the port is specified by KeyManagementServicePort (REG_SZ). These registry keys can also be set through the ospp.vbs script. For more information about ospp.vbs, see Tools to configure client computers in Office 2010.

Activate as a standard user

Office 2010 does not require administrator permissions for KMS activation. However, volume editions require administrator permissions for MAK activation. Administrators can enable users who have non-administrator permissions to activate with MAK by setting the appropriate registry key in the deployments or in the master image:

HKEY_LOCAL_MACHINE\Software\Microsoft\OfficeSoftwareProtectionPlatform\UserOperations = 1

This registry key can also be set through the ospp.vbs script. For more information about ospp.vbs, see Tools to configure client computers in Office 2010.

Plan a MAK activation

MAK is recommended for computers that rarely or never connect to the corporate network and for environments in which the number of physical computers needing activation does not meet the Office 2010 KMS activation threshold (five computers). MAK can be used for individual computers or with an image that can be installed by using Microsoft or third-party deployment solutions. MAK can also be used on a computer that was originally configured to use KMS activation, which is useful for moving a computer off the core network to a disconnected environment.

For more information about how to install a MAK key, see Deploy volume activation of Office 2010.

No authenticated proxy server support

Activation over the Internet will be blocked if the proxy server requires user authentication. In Microsoft Internet Security and Acceleration (ISA) Server, this setting is named basic authentication. Because activation requests do not present the user's credentials to the proxy server, we recommend that you do not use basic authentication with ISA Server or other proxy servers. For more information, see Microsoft Knowledge Base article 921471: Activation fails when you try to activate Windows Vista or Windows Server 2008 over the Internet (http://go.microsoft.com/fwlink/p/?LinkId=183044).

See Also

Concepts

Volume activation overview for Office 2010
Deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot volume activation for Office 2010
Plan KMS activation of Office 2010
Plan MAK independent activation of Office 2010
Plan MAK proxy activation of Office 2010

Other Resources

Office 2010 Volume Activation forum
Office 2010 forums


Plan MAK independent activation of Office 2010

You are required to activate your deployment of Volume License editions of Microsoft Office 2010. This includes Microsoft Office Professional Plus 2010, Microsoft Project 2010, and Microsoft Visio 2010. Activation reduces the possibility of deploying counterfeit software, which can include malware, viruses, and other security risks.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

In this article:

  • Overview of MAK independent activation

  • Plan and assess the Office 2010 environment and configuration

  • Obtain the product keys

  • MAK independent activation steps

  • VAMT management steps

Overview of MAK independent activation

Multiple Activation Key (MAK) activation occurs directly with Microsoft (different from Key Management Service [KMS], in which activation occurs through a local host server). If your organization has five or fewer computers that need to activate Office 2010, we recommend that you use MAK to activate each computer independently. You can also use the Volume Activation Management Tool (VAMT) (http://go.microsoft.com/fwlink/p/?LinkId=183042) to manage all activated computers.

The following are examples of networks that can use MAK independent activation.

Example: Remote sales office that has isolated portable computers

Fabrikam, Inc. has several remote sales offices around the world. Each office has five or fewer portable computers that are isolated from all possible networks or Internet access. The solution is to use MAK activation for the portable computers individually by telephone to Microsoft.

Architecture - Fabrikam sales office example

MAK independent activation if no Internet

Example: Small organization that has Internet-connected desktop computers and isolated portable computers

Contoso, Ltd. has three desktop computers that are connected to the Internet and two portable computers that are isolated from the Internet. There are no other networks available. The solution is to manage the MAK activations of the desktop computers through VAMT (http://go.microsoft.com/fwlink/p/?LinkId=183042), and MAK activate the portable computers by telephone to Microsoft.

Architecture - Contoso small organization example

MAK independent activation via Internet

Plan and assess the Office 2010 environment and configuration

The following articles will help you make sure that your deployment of Office 2010 is properly designed for MAK activation.

  • To assess the Office 2010 environment, see Assessing the compatibility of Office 2010.

  • To plan the desktop configuration for Office 2010 (if required), see Plan desktop configurations for Office 2010.

  • To assess the system requirements for Office 2010, see System requirements for Office 2010.

Obtain the product keys

To obtain the product keys for Office 2010, register on the Volume Licensing Service Center (VLSC) (http://go.microsoft.com/fwlink/p/?LinkId=184280) Web site. Your license agreement determines the number of MAK activations that you are issued.

MAK independent activation steps

Part of the overall configuration process for Office 2010 is to configure each computer for MAK activation. For more information, see Prepare and configure the Office 2010 client in Deploy volume activation of Office 2010. Follow the relevant procedure to configure Office 2010 by using the Office Customization Tool (OCT), the Config.xml file, or the Microsoft Office Backstage view.

VAMT management steps

Download and install the VAMT 2.0 tool (http://go.microsoft.com/fwlink/p/?LinkId=183042). Follow the instructions on the download page. For more information about how to use VAMT, click Help on the VAMT 2.0 menu bar.

If you increase the number of computers to fewer than 50, we recommend that you use MAK proxy activation for all computers that can connect to a MAK proxy server. For more information, see Plan MAK proxy activation of Office 2010.

If you increase the number of computers to 50 or more, we recommend that you use KMS activation as the activation method for all computers that can connect to a KMS host server. For more information, see Plan KMS activation of Office 2010. Any other computers can activate with MAK by the methods already mentioned.

Note:

For examples of scenarios that require KMS activation combined with MAK activation, see Scenario: Secure network - KMS or MAK activation of Office 2010, Scenario: Disconnected computers activating Office 2010, and Scenario: Test or development lab activating Office 2010.

See Also

Concepts

Plan MAK proxy activation of Office 2010
Plan KMS activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010

Other Resources

Volume Activation Management Tool
Volume Licensing Service Center


Plan MAK proxy activation of Office 2010

You are required to activate your deployment of Volume License editions of Microsoft Office 2010. This includes Microsoft Office Professional Plus 2010, Microsoft Project 2010, and Microsoft Visio 2010. Activation reduces the possibility of deploying counterfeit software, which can include malware, viruses, and other security risks.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

In this article:

  • Overview of MAK proxy activation

  • Plan and assess the Office 2010 environment and configuration

  • Obtain the product keys

  • MAK proxy activation steps

  • VAMT management steps

Overview of MAK proxy activation

Multiple Activation Key (MAK) activation occurs directly with Microsoft (different from Key Management Service [KMS], in which activation occurs through a local host server). If your organization has 6 to 49 computers that need to active Office 2010, we recommend that you use MAK proxy activations managed through Volume Activation Management Tool (VAMT) (http://go.microsoft.com/fwlink/p/?LinkId=183042) for all computers that can connect to a MAK proxy server. For those computers that are isolated from the corporate network or the Internet, we recommend that you use MAK independent activation through the telephone.

The following is an example of a network that can use MAK proxy activation.

Example: Medium organization that has Internet-connected desktop computers and isolated portable computers

Contoso, Ltd. has 15 desktop computers and 10 portable computers in their single office. The desktop computers are connected to the Internet, and the portable computers are isolated from all networks. The solution is to use VAMT (http://go.microsoft.com/fwlink/p/?LinkId=183042) to manage the MAK proxy activation of the desktop computers through the Internet, while you independently activate the portable computers through the telephone.

Architecture - Contoso medium organization example

MAK proxy activation via Internet

Plan and assess the Office 2010 environment and configuration

The following articles will help you make sure that your deployment of Office 2010 is properly designed for MAK activation.

  • To assess the Office 2010 environment, see Assessing the compatibility of Office 2010.

  • To plan the desktop configuration for Office 2010 (if required), see Plan desktop configurations for Office 2010.

  • To assess the system requirements for Office 2010, see System requirements for Office 2010.

  • To configure each computer for MAK activation, see Customize Office 2010. Follow the relevant procedure to configure Office 2010 by using the Office Customization Tool (OCT), the Config.xml file, or the Microsoft Office Backstage view.

Obtain the product keys

To obtain the product keys for Office 2010, register on the Volume Licensing Service Center (VLSC) (http://go.microsoft.com/fwlink/p/?LinkId=184280) Web site. Your license agreement determines the number of MAK activations that you are issued.

MAK proxy activation steps

To activate Office 2010 by using MAK proxy through VAMT, follow these steps.

  1. In VAMT, under Product Keys, enter the MAK key in the Product Key field, and then click Verify.

  2. Right-click the computer on which you want to install the MAK key, select Install Product Key, select the MAK key, and then click OK.

  3. To activate Office 2010, right-click the computer name, select Activate, and then select Proxy Activate.

Important:

You must provide administrator permissions for the selected computer.

Note:

If you have 6 to 49 computers in a department or group that are not connected to the corporate network, we recommend that you follow the MAK activation recommendations in this article.

If you have five or fewer computers in a department or group that are not connected to the corporate network, we recommend that you use MAK independent activation for each computer. For more information, see Plan MAK independent activation of Office 2010.

If you increase the number of computers to 50 or more, we recommend that you use KMS activation as the activation method for all computers that can connect to a KMS host server. For more information, see Plan KMS activation of Office 2010. Any other computers can activate with MAK by the methods previously described.

VAMT management steps

Download and install the VAMT 2.0 tool (http://go.microsoft.com/fwlink/p/?LinkId=183042) on the MAK proxy server. Follow the instructions on the download page. For more information about how to use VAMT, click Help on the VAMT 2.0 menu bar.

Note:

For examples of scenarios that require KMS activation combined with MAK activation, see Scenario: Secure network - KMS or MAK activation of Office 2010, Scenario: Disconnected computers activating Office 2010, and Scenario: Test or development lab activating Office 2010.

See Also

Concepts

Plan MAK independent activation of Office 2010
Plan KMS activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010

Other Resources

Volume Activation Management Tool
Volume Licensing Service Center


Plan KMS activation of Office 2010

Published: May 12, 2010

You are required to activate your deployment of Volume License editions of Microsoft Office 2010. This includes Microsoft Office Professional Plus 2010, Microsoft Project 2010, and Microsoft Visio 2010. Activation reduces the possibility of deploying counterfeit software, which can include malware, viruses, and other security risks.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 supports Windows 8 and Windows Server 2012.

In this article:

  • Overview of KMS activation

  • Plan and assess the Office 2010 environment and configuration

  • Obtain the product keys

  • KMS activation steps

  • VAMT management steps

Overview of KMS activation

If your organization has 50 or more computers that need to activate Office 2010, we recommend that you use Key Management Service (KMS). KMS activates the computers, or KMS clients, from a KMS host server that contains a KMS host key that is supplied by Microsoft. This method replaces direct activation through Microsoft, and gives the local administrator control of the process. The administrator can easily monitor computers on the network by using the Volume Activation Management Tool (VAMT) (http://go.microsoft.com/fwlink/p/?LinkId=183042).

The following is an example of a network that can use KMS activation.

Example: Medium to large organization that has corporate-connected desktop computers and portable computers

Contoso, Ltd. has 175 desktop computers that are always connected to the corporate network and 50 portable computers that are periodically connected to the corporate network. The solution is to use KMS activation for both the desktop computers and the portable computers, and to make sure that the portable computers are connected for initial activation and at least every 180 days after that for reactivation.

Architecture - Contoso medium to large organization example

KMS activation through firewall

Plan and assess the Office 2010 environment and configuration

The following articles will help you make sure that your deployment of Office 2010 is properly designed for Multiple Activation Key (MAK) activation.

  • To assess the Office 2010 environment, see Assessing the compatibility of Office 2010.

  • To plan the desktop configuration for Office 2010 (if required), see Plan desktop configurations for Office 2010.

  • To assess the system requirements for Office 2010, see System requirements for Office 2010.

  • To review the KMS host server requirements, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

  • To configure DNS for the KMS host, see "Understanding KMS" in Customer Hosted Volume Activation Guide (http://go.microsoft.com/fwlink/p/?LinkId=187539).

Note:

At least five computers must request activation from the KMS host before KMS clients can become activated. All KMS clients must connect to the KMS host at least one time every 180 days to reactivate.

Obtain the product keys

To obtain the KMS host product key for Office 2010, register on the Volume Licensing Service Center (VLSC) (http://go.microsoft.com/fwlink/p/?LinkId=184280) Web site. For the KMS clients, the product keys are preinstalled.

Install KMS on the host computer

The KMS host service is included as part of Windows 7 and Windows Server 2008 R2. Therefore, these two operating systems can be configured as a KMS host without having to install additional software. To configure an Office 2010 KMS host on Windows Server 2003, see To activate an Office 2010 KMS host on Windows Server 2003 in Deploy volume activation of Office 2010.

KMS activation steps

  • Although you have six KMS host activations on the KMS host key, we recommend that you activate no more than one or two KMS hosts. To activate the KMS host on the Internet, run KeyManagementServiceHost.exe in the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244). This is a free download from Microsoft. To activate the KMS host on the telephone or manually, and to configure the KMS host, use the slmgr.vbs script. For more information, see Deploy volume activation of Office 2010.

  • When the KMS host is activated, existing KMS clients activate automatically. Certain instances require KMS clients to be configured by using the ospp.vbs script. For more information details, see Tools to configure client computers in Office 2010.

VAMT management steps

Download and install the VAMT 2.0 tool (http://go.microsoft.com/fwlink/p/?LinkId=183042). Follow the instructions on the download page. For more information about how to use VAMT, click Help on the VAMT 2.0 menu bar.

If you have five or fewer computers in a department or group that are not connected to the corporate network, we recommend that you use MAK independent activation for each computer. For more information, see Plan MAK independent activation of Office 2010.

If you increase the number of computers to fewer than 50, we recommend that you use MAK proxy activation through VAMT for all computers that can connect to a MAK proxy server. For more information, see Plan MAK proxy activation of Office 2010.

Note:

For an example of a scenario that requires KMS activation, see Scenario: Core network - KMS activation of Office 2010. For examples of scenarios that require KMS activation combined with MAK activation, see Scenario: Secure network - KMS or MAK activation of Office 2010, Scenario: Disconnected computers activating Office 2010, and Scenario: Test or development lab activating Office 2010.

See Also

Concepts

Plan MAK independent activation of Office 2010
Plan MAK proxy activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010

Other Resources

Volume Activation Management Tool
Volume Licensing Service Center


Scenario: Core network - KMS activation of Office 2010

Published: May 12, 2010

The activation method recommended for this scenario is Key Management Services (KMS). This volume activation scenario is more detailed than the examples in Plan KMS activation of Office 2010, Plan MAK proxy activation of Office 2010, and Plan MAK independent activation of Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Core network that has 50 or more computers

If your organization has 50 or more computers that regularly connect to the core network, we recommend that you use KMS to activate Microsoft Office 2010. For more information, see Plan KMS activation of Office 2010. Instead of having to activate each computer individually by connecting directly to Microsoft, you can activate all the computers (known as KMS clients) at the same time through a KMS host server on your main corporate network.

Although a single KMS host can activate thousands of KMS clients, you can physically configure up to six KMS hosts depending on the size and complexity of the network. However, for maximum ease and efficiency, we recommend the configuration guidelines shown in the following table.

Core network setup | Number of KMS hosts (see Considerations)
Medium (50-99 computers) | 1
Medium (100 - 249 computers) | 1 or 2
Enterprise (250 or more computers) | 2 or more

For information about the KMS activation method, see Plan KMS activation of Office 2010.

Considerations

When you use KMS activation of Office 2010 in the core network, consider the following factors:

  • The number of KMS hosts should be kept to a minimum. One KMS host key can activate up to six KMS hosts, and each KMS host can activate many KMS clients.

  • A KMS host can be activated by telephone or through the Internet.

  • Each KMS host operates independently from other KMS hosts.

  • Each KMS host must ensure that more than five KMS clients request activation in a 30-day period to maintain the KMS client activation threshold.

See Also

Concepts

Plan KMS activation of Office 2010
Plan MAK proxy activation of Office 2010
Plan MAK independent activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


Scenario: Secure network - KMS or MAK activation of Office 2010

The activation method recommended for this scenario is Key Management Services (KMS) or Multiple Activation Key (MAK). This volume activation scenario is more detailed than the examples in Plan KMS activation of Office 2010, Plan MAK proxy activation of Office 2010, and Plan MAK independent activation of Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Secure network

If your organization has a secure network — for example, a branch office network or an extranet behind a firewall — we recommend the guidelines shown in the following table for both KMS and MAK activation of Microsoft Office 2010.

Secure network setup Recommended activation method

The firewall can be opened to access the core network.

Use Plan KMS activation of Office 2010 through a KMS host within the core network.

Policy prevents the firewall from being opened.

  • More than 50 computers: Plan KMS activation of Office 2010 through a local KMS host set up within the secure network.

  • Fewer than 50 computers: Plan MAK independent activation of Office 2010 or Plan MAK proxy activation of Office 2010.

For information about the KMS activation method, see Plan KMS activation of Office 2010.

For information about the MAK proxy activation method, see Plan MAK proxy activation of Office 2010.

For information about the MAK independent activation method, see Plan MAK independent activation of Office 2010.

Considerations

When you prepare a secure network for volume activation of Office 2010, consider the following factors:

  • The firewall should be configured as RPC over TCP and use TCP port 1688.

  • The configuration of the client computer firewall can be initiated by the client computer.

See Also

Concepts

Plan KMS activation of Office 2010
Plan MAK proxy activation of Office 2010
Plan MAK independent activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


Scenario: Disconnected computers activating Office 2010

The activation method recommended for this scenario is Key Management Services (KMS) or Multiple Activation Key (MAK). This volume activation scenario is more detailed than the examples in Plan KMS activation of Office 2010, Plan MAK proxy activation of Office 2010, and Plan MAK independent activation of Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Roaming or disconnected networks

Your organization might include any of the following types of network configurations:

  • Networks or computers that never connect the Internet or the core network.

  • Roaming computers that periodically connect to the core network through either the following ways:

    • A direct connection to the network.

    • A virtual private network (VPN) connection.

  • Roaming computers that are connected to the Internet, but that never connect to the core network.

If so, we recommend the guidelines shown in the following table for both KMS and MAK activation of Microsoft Office 2010.

Network setup Recommended activation method

Computers with Internet access that never connect to the core network.

Plan MAK independent activation of Office 2010 through the Internet.

Computers without Internet access that never connect to the core network.

Plan MAK independent activation of Office 2010 by telephone.

Networks that cannot connect to the core network.

  • Five or more computers (the KMS activation threshold) require activation, then use Plan KMS activation of Office 2010 as follows:

    • Small organization: 1 KMS host

    • Medium organization: 1 or more KMS hosts.

    • Large organization (enterprise): 2 or more KMS hosts.

  • If fewer than five computers require activation, use Plan MAK independent activation of Office 2010 or Plan MAK proxy activation of Office 2010 (through VAMT).

Computers that periodically connect to the core network directly or through a VPN.

Plan KMS activation of Office 2010 through the KMS hosts in the core network.

For information about the KMS activation method, see Plan KMS activation of Office 2010.

For information about the MAK proxy activation method, see Plan MAK proxy activation of Office 2010.

For information about the MAK independent activation method, see Plan MAK independent activation of Office 2010.

Considerations

When you prepare roaming or disconnected networks and computers for volume activation of Office 2010, consider the following factors:

  • There might be restricted environments or networks that cannot connect to other networks.

  • A KMS host can be activated, and then moved to a disconnected network.

  • Both KMS host activation and MAK independent activation can be done by telephone.

  • MAK proxy activation is performed through VAMT.

See Also

Concepts

Plan KMS activation of Office 2010
Plan MAK proxy activation of Office 2010
Plan MAK independent activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


Scenario: Test or development lab activating Office 2010

The activation method recommended for this scenario is Key Management Services (KMS) or Multiple Activation Key (MAK). This volume activation scenario is more detailed than the examples in Plan KMS activation of Office 2010, Plan MAK proxy activation of Office 2010, and Plan MAK independent activation of Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Test or development lab network

If your organization has a network that is used as a short-term test or development lab, which re-images its client computers after testing or development is complete, we recommend the guidelines shown in the following table for both KMS and MAK activation of Microsoft Office 2010.

Network setup Recommended activation method

Five or more computers that require activation (the KMS activation threshold).

Plan KMS activation of Office 2010 through a single KMS host.

Note:

You can set up a KMS host for each network that has five or more computers to activate.

Fewer than five computers that require activation.

  1. If computers are re-imaged within 90 days, no activation is necessary. Simply reset the 25-day grace period as required. See Rearm the Office 2010 installation in Deploy volume activation of Office 2010.

  2. Otherwise, activate with Plan MAK proxy activation of Office 2010 by using the saved confirmation ID (CID). For more information, see MAK architecture in Plan volume activation of Office 2010.

For information about the KMS activation method, see Plan KMS activation of Office 2010.

For information about the MAK proxy activation method, see Plan MAK proxy activation of Office 2010.

For information about the MAK independent activation method, see Plan MAK independent activation of Office 2010.

Considerations

When you prepare a test or development lab network for volume activation of Office 2010, consider the following factors:

  • There are generally fewer computers in a lab network than there are in the production network.

  • A lab network configuration can vary from setup to setup, and the activation method (KMS, MAK proxy, MAK independent) can also vary.

  • If you have more than one lab network, each lab network requires its own activation method.

See Also

Concepts

Plan KMS activation of Office 2010
Plan MAK proxy activation of Office 2010
Plan MAK independent activation of Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


FAQ: Volume activation of Office 2010
[image]

Published: May 16, 2012

The following frequently asked questions (FAQ) provide information about various aspects of volume activation of Microsoft Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 supports Windows 8 and Windows Server 2012.

In this article:

  • Volume Activation FAQ overview

  • Key Management Service (KMS) FAQ

  • Multiple Activation Key (MAK) FAQ

  • Volume Activation Management Tool (VAMT) FAQ

  • Product Keys FAQ

Volume Activation FAQ overview

Volume activation is a product activation technology that was introduced with the Microsoft Windows Vista operating system and Windows Server 2008. The technology enables Volume Licensing customers to automate the activation process in a way that is transparent to end users. Volume activation is used strictly to activate systems that are covered under a Volume Licensing program and is not tied to license invoicing or billing. There are two volume activation methods:

  • Key Management Service (KMS)

  • Multiple Activation Key (MAK)

Customers can use either or both methods within their environment.

  • KMS enables organizations to activate Windows systems and Microsoft Office 2010 within their own network. There is one KMS client key for all Office 2010 products, Microsoft Project 2010, and Microsoft Visio 2010.

  • MAK activates Windows systems or Office 2010 on a one time basis by contacting the Microsoft hosted activation services either through the Internet or by telephone. There is a unique MAK client key for each volume licensed product.

As part of the installation, it is important to plan and manage deployment of any product that uses volume activation (for example, Windows 7, Windows Server 2008 and Windows Vista). Read the documents and review the videos before you start deployment in your organization. You can find all Office 2010, Project 2010, and Visio 2010 resources at the Volume Activation for Office 2010 Resource Center (http://go.microsoft.com/fwlink/p/?LinkId=189005).

How are volume activation for Office 2010 and volume activation for Windows associated?

Office 2010 has adopted the Software Protection Platform (SPP) introduced with Windows Vista and Windows Server 2008, and the SPP is also used with Windows 7 and Windows Server 2008 R2. Office 2010 client products must be activated either by KMS or MAK.

How does volume activation help Microsoft customers?

Volume activation is useful to customers for the following reasons:

  • Reliability Studies have shown that the process of downloading counterfeit software often results in the introduction of other malicious code, such as keystroke loggers and Trojan horses, which can put the security of the user and the ecosystem at risk. Volume activation helps reduce that risk and provides better reliability and stability.

  • Supportability Software versions that are validated as Office genuine and activated receive the full range of support offered by Microsoft.

  • License compliance Volume activation tools help determine which software is installed and activated, which reduces the risk of software being out of compliance.

Is volume activation connected to licensing?

Activation is connected to licensing. However, activation is not license enforcement. There is no change to existing Volume Licensing agreements or programs. Keys and corresponding activation limits (MAK only) depend on the specific Volume Licensing agreement that the user has. Microsoft uses the information collected during activation to confirm that the user has a licensed copy of the software, and the information is aggregated for statistical analysis. Microsoft does not use the information to identify or contact customers.

Can an Office activated installation be rearmed?

No. An Microsoft Office-activated installation cannot be rearmed at present.

Are there any changes specific to volume activation regarding Office 2010, Project 2010, and Visio 2010?

Volume activation changes are available in the following areas:

  • Only one Office 2010 KMS client key is required to be installed and used for activation. The Office 2010 KMS client key activates any version of Office 2010 suites, Office 2010 applications, Project 2010, and Visio 2010.

  • Office 2010 has a specific MAK for each product version; for example: Office 2010 Standard MAK, Word 2010 MAK, Visio 2010 MAK, and so on.

For more information, see the Volume Activation for Office 2010 Resource Center (http://go.microsoft.com/fwlink/p/?LinkId=189005).

Are there any changes specific to volume activation regarding Windows 7 and Windows Server 2008 R2?

Volume activation is applicable to the following areas:

  • Activation of virtual computers.

  • Using a Windows Server 2008 R2 KMS key and Windows 7 KMS key for earlier versions of the products.

  • Deployment improvements and improvements in performance, product key management, and reporting.

  • Inclusion of Office 2010, Project 2010, and Visio 2010 on the same activation platform as Windows Vista, Windows Server 2003, and Windows Server 2008.

For more information, see Windows Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=184668).

Which activation method should be used for virtual computers?

Either MAK or KMS can be used to activate virtual computers. However, KMS is the preferred method, because each time that a computer is activated by using a MAK, the number of activations is decremented. This applies to both physical and virtual computers.

  • Windows Vista with SP1, Windows Server 2008, Windows Server 2003 with KMS version 1.1, and Windows 7 support hosting KMS on a virtual server.

  • For Windows Vista with SP2, Windows Server 2008 with SP2, Windows Server 2003 with KMS version 1.2, Windows 7, Windows Server 2008 R2, and Office 2010, virtual computers count toward the activation threshold for KMS. For more information, see Windows Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=184668).

  • Each KMS host key can be used to set up six physical or virtual KMS hosts.

  • When using KMS, customers must have at least five clients requesting activation. This non-configurable threshold helps ensure that the activation service is used only in an enterprise environment and that it serves as a piracy protection mechanism. Servers can be physical or virtual, so it does not take a large deployment to meet the required minimums.

  • A dedicated server is not needed to run KMS for Office 2010. A KMS host is a lightweight service, and you can co-host an Office 2010 and Windows KMS host. However, only Windows Server 2003 (Standard, Enterprise, and Datacenter editions only), volume editions of Windows 7, and Windows Server 2008 R2 are supported as Office 2010 KMS hosts.

Can an Office 2010 KMS host run on a virtual computer?

Yes. An Office 2010 KMS host can run on a virtual computer that has Windows Server 2003, volume editions of Windows 7, and Windows Server 2008 R2.

Must the language version of Office 2010 KMS host for Windows Server 2003 match the language version installed on the server?

Yes, the language version of the Office 2010 KMS host for Windows Server 2003 must match the language version that is installed on the server. This requirement applies only to KMS for Windows Server 2003.

Must the language version of Office 2010 clients that are to be activated by an Office 2010 KMS host for Windows Server 2003 match the language version that is installed on the server?

No. The language versions of Office 2010 clients do not have to match the language version of the Office 2010 KMS host for Windows Server 2003 and the server. This requirement applies only to KMS for Windows Server 2003.

I purchased new client computers preinstalled with Windows 7 Professional and plan to downgrade to an earlier version of Windows. What key can I use?

Choose a key based on the following:

  • A KMS host activated with a Windows 7 KMS key activates Windows Vista and Windows 7 KMS clients.

  • A KMS host activated with a Windows Vista KMS key activates Windows Vista KMS clients.

  • Windows Vista can also use MAK.

If you want to downgrade to Windows XP, you must use only the Windows XP Professional key.

If a "child" company (owned by a "parent" company) has an individual agreement, can the parent company use the same key (such as a Windows Server 2008 Standard/Enterprise R2 KMS key) to deploy Windows 7 and Windows Server 2008 R2 across both companies?

Although they can choose to do so, customers do not have to use keys provided under a specific Licensing ID (agreement, enrollment, affiliate, or license) with the licenses specified under that Licensing ID. Customers have this flexibility so that they can centrally manage their deployment/image. They can choose to use keys specific to agreements/licenses or one set of keys for all.

What if we do not activate our computers?

Activation is designed to provide a transparent activation experience for users. If within the grace period provided (usually 30 days), activation does not occur, Windows or Office 2010 transitions into notification mode. During notification mode for Windows, the user sees activation reminders during logon. In Windows 7, for example, the user sees a notification in the Action Center (http://go.microsoft.com/fwlink/p/?LinkId=189038), and the desktop background is set to black.

What is the difference between Reduced Functionality Mode and Notification mode?

Under Reduced Functionality Mode (applies to retail only), the application can only be accessed under a restrictive mode with constrained capabilities when it is not properly activated within the grace period of 30 days. It is important to note that all volume customers have no reduced functionality and only experience regular notifications beyond the grace period. Notification mode (applies to all volume systems running Office 2010) is a licensing state in which the user receives clear, recurring reminders about activation if activation is not completed within the grace period.

What if customers are a victim of counterfeit software or license non-compliance?

Microsoft provides various licensing options known as Get Genuine legalization offers.

Can I use my Volume License Keys to exercise my reimaging rights?

Yes. Reimaging rights are granted to all Microsoft Volume Licensing customers. Under these rights, customers can reimage original equipment manufacturer (OEM), or full packaged product (FPP) licensed copies by using media provided under their Volume Licensing agreement, as long as copies made from the Volume Licensing media are identical to the originally licensed product.

As a Volume Licensing customer, the Volume License keys that you need can be found on the Product Key page. You can also request your keys through the Activation Call Centers. For a list of call centers, see Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280). If you are an Open License customer, you must purchase at least one unit of the product that you want to reimage to obtain access to the product media and receive a key.

For more information, see "Re-imaging Rights" in About Licensing (http://go.microsoft.com/fwlink/p/?LinkId=154939).

With a VPN connection, how long do I have to activate?

The reminder is every two hours. Once activated, the reminder changes to every seven days. These are default settings that can be customized through ospp.vbs. Mobile users on the VPN can activate manually either by launching an Office 2010 application to send the activation request or by running ospp.vbs /act.

On a remote computer, how do I remove the red bar in the application?

Connect through the VPN, and then activate as described in the previous answer.

Can I set Group Policy for Windows Management Instrumentation (WMI)?

Yes. Through Group Policy, you can open up the firewall to allow WMI.

Can activation information be pulled through System Center Configuration Manager (SCCM)?

Yes.

Does sysprep automatically rearm Office 2010?

No. At present, sysprep does not have this capability.

What if I do not rearm before imaging?

Imaged computers are then recognized as the same computer. The request counter does not increment, and the computers do not activate.

What about Token Activation?

Token activation can be used with Office 2010 for specific highly secure customers.

Key Management Service (KMS) FAQ

KMS is a lightweight service that does not require a dedicated system and can easily be co-hosted on a system that provides other services. By using KMS, you can complete activations on your local network. This eliminates the need for individual computers to connect to Microsoft for product activation.

KMS requires a minimum number of physical or virtual computers in a network environment. You must have at least five computers to activate computers running Windows Server 2008 or Windows Server 2008 R2, at least 25 computers to activate computers running Windows Vista or Windows 7, and at least 5 computers running Office 2010, Project 2010, and Visio 2010. These minimums, known as activation thresholds, are set so that they can easily be met by enterprise customers. For more information about activation thresholds, see Windows Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=184668). For Office 2010, Project 2010, and Visio 2010, see Volume activation quick start guide for Office 2010 and Volume activation overview for Office 2010.

A KMS key is used to activate only the KMS host with a Microsoft activation server. A KMS key can activate up to six KMS hosts with 10 activations per host. Each host can activate an unlimited number of computers. If you need to activate more than six KMS hosts, contact your Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280), and state why you must increase the activation limit.

Warning:

For more details about product activation, see Windows Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=184668) and Volume Activation for Office 2010 Resource Center (http://go.microsoft.com/fwlink/p/?LinkId=189005).

I have installed part of the Office 2010 suite that requires KMS. What is the impact on functionality?

There is no impact as long as the installation follows all the outlined steps.

Can the Office 2010 KMS license and key install on Windows 7 and Windows Server 2008 R2?

Yes.

Are there separate KMS host keys for Office 2010?

One KMS Host key can activate all Office 2010 client products.

My organization's KMS host computer was activated by using a Windows Server 2008 KMS key. Can I use that same computer as a host to deploy Windows Server 2008 R2?

Existing KMS hosts installed on Windows Server 2003, Windows Server 2008, or Windows Vista must be updated to support activation of Windows 7 and Windows Server 2008 R2 in addition to Office 2010, Project 2010, and Visio 2010. This update is available through Windows Server Update Services (WSUS) (http://go.microsoft.com/fwlink/p/?LinkId=151433), the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=189018), and Windows Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=184668). After installing the update, you can install the Windows Server 2008 R2 KMS key on the host and activate.

Can you use these activation tools to true-up?

Activation itself is not intended to assist customers in correcting licensing.

  • Activation is not linked to true-up. There is no automated way to do true-up by using KMS host or Volume Activation Management Tool (VAMT) (http://go.microsoft.com/fwlink/p/?LinkId=183042).

  • KMS host or VAMT are not intended as reporting tools. However, a user who uses Microsoft System Center can use it to keep a count of activations.

Can I run the slmgr.vbs script in Safe Mode?

No. Activation information is unavailable in Safe Mode.

What if a computer is in a test lab or is disconnected?

  • If a test lab has enough physical and virtual computers to meet the KMS threshold, the system administrator can deploy KMS to activate Microsoft Office 2010 client installations in the lab. The KMS host can be activated by telephone.

  • If a computer has occasional connectivity to the Internet, the Office client installation can activate with Microsoft directly by using MAK through the Internet or by telephone.

  • If the computer has no network connectivity, it can be activated by telephone, or through MAK Proxy activation by using VAMT.

Why is the Office 2010 KMS host supported only on Windows Server 2003, Windows 7, and Windows Server 2008 R2?

Microsoft made the decision based on the release cycle of Office 2010. Office 2010 ships after Windows 7 ships. Microsoft anticipates that most customers will upgrade from Windows Server 2003 to Windows Server 2008 R2. Microsoft believes Windows Server 2008 R2 will replace Windows Server 2008 in the channel after release, so it will be the most recent version that customers receive.

Important:

The Office 2010 KMS host is not supported on Windows Small Business Server 2003. For more information, see Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

For the Office 2010 KMS host, why is Windows Server 2008 not supported?

Windows Server 2003 originally did not have a KMS service, so it was easy to add the KMS service to it. Windows Server 2008 has a code base that is different from Windows 7 and Windows Server 2008 R2. Supporting Windows Server 2008 for the Office 2010 KMS host requires a complete overhaul of the code, which is not cost-effective.

Why can Windows Server 2008 R2 and Windows 7 be activated simply by patching Windows Server 2008?

This patch contains license files that recognize the new KMS host key to activate Windows Server 2008 R2 and Windows 7. No change to the KMS service is required.

What if my configuration won't allow me to upgrade my Windows Server 2008 computer? Is there any other alternative for setting up an Office 2010 KMS host?

You can set up a Windows Server 2003, Windows 7, or Windows Server 2008 R2 virtual machine on the Windows Server 2008 computer, and then set up the Office 2010 KMS host on the virtual machine.

What does the error, "The KMS host cannot be activated," mean?

It means that the KMS host key threshold is surpassed. There are several possible sources for this error:

  • KMS host for Office 2010 can be set up only on one of the following servers: Windows Server 2003 (Standard, Enterprise, and Datacenter editions only), Windows Server 2008 R2 and Windows 7. Using another operating system causes this error to appear.

  • For Windows Server 2003, install KMS host version 1.2 (version 1.1 does not count virtual computers into the threshold). Follow the instructions specified in Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

  • Not enough computers to reach the threshold for the KMS host to activate.

  • The KMS client configuration is incorrect.

How do I enable the firewall for KMS host activation?

Make sure that the TCP communications port number is set to the default of 1688.

If I suspect that my KMS host key is leaked, can it be blocked from further activations?

Yes, you can work with Microsoft to block a KMS host key. For more information contact your Activation Call Center. For a list of call centers, see Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280).

What does a count of -1 mean?

A count of -1 means that no clients have contacted the KMS host.

Can I expose my KMS host to the Internet so my outside users can activate against it?

You are responsible for both the use of keys assigned to you and the activation of Office 2010 clients through your KMS hosts. You should not disclose keys to non-Microsoft parties, and you must not provide unsecured access to your KMS over an uncontrolled network such as the Internet.

What provisions are available for KMS host failover?

Multiple KMS hosts can be registered in DNS SRV resource records. If one KMS host is down, the KMS client computer will choose another from the list. If direct registration is used on the KMS Office client, you can use round-robin DNS or network load-balancing mechanisms (software or hardware) to increase KMS host availability.

Do I have to back up the KMS service data?

You do not have to back up KMS service data. However, if you want a record of KMS activations, you could keep the Key Management Service log on the Applications and Services Logs folder to preserve activation history.

If a KMS host fails, how do I restore a backup KMS host?

You merely replace the failed KMS host with a new KMS host that uses the same configuration and ensure that the SRV resource record of the new KMS host is added to DNS if you are using DNS auto-discovery. The old SRV record is eventually deleted if record scavenging is implemented for DNS, or you can delete it manually. The new KMS host then starts to collect renewal requests, and KMS clients begin to activate as soon as the KMS activation threshold is met.

When routine cleanup of event logs is performed, is there a risk of losing the activation history stored in the event log?

Yes. If you use a cleanup tool, consider exporting data from the Key Management Service. Log on the Applications and Services Logs folder to archive activation history. You do not have to do this if you use the Operations Manager KMS Management Pack updated for Office. This Management Pack collects event log data and stores it in the Operations Data Warehouse for reporting.

Many organizations block all ActiveX as a security measure. Does volume activation use ActiveX in the same manner as Genuine Validation does?

Volume activation does not use ActiveX. It uses WMI properties and methods. These are described in Appendix 1 of the Volume Activation 2.0 Operations Guide, which you can download on the Volume Activation 2.0 Technical Guidance (http://go.microsoft.com/fwlink/p/?LinkId=190472) page.

How do I respond to, "Activation server determined that Specific Product key could not be used, when activating the KMS host with the KMS key"?

This message can be caused by any of the following:

  • KMS host key has more than six activations (the maximum is six activations).

  • Commands were not run correctly during activation of the KMS host.

  • KMS host key was leaked and the activations are used up (see first bullet).

I have deployed Microsoft Office 2010 clients but the KMS host did not receive activation requests. Where do I go to check my current status of activation requests on the client-side?

On the client computer, go to the Microsoft Office Backstage view for any Office 2010 application. Click the application name, and the status is displayed in the upper-right corner.

Where do I go to check my current status of activation requests on the server side?

On the server side, use slmgr.vbd to check activation requests. For more information, see Configure the Office 2010 KMS host in Deploy volume activation of Office 2010.

We have to see servers by either name or IP. Is there a command or a way to see which servers are activated using the KMS?

  • The following command shows you a list of KMS that are registered in DNS and available to provide activation to clients: Nslookup -type=srv _vlmcs._tcp.

  • On the client side, slmgr/dlv provides all the information.

  • On the KMS host, you can monitor the KMS events or you can use Microsoft System Center Operations Manager.

Multiple Activation Key (MAK) FAQ

A MAK requires computers to connect one time to a Microsoft activation server. Once computers are activated, no further communication with Microsoft is required.

What are the activation methods for MAK?

There are two activation types for MAK: MAK independent activation and MAK proxy activation.

Note:

Each MAK has a predetermined number of allowed activations, based on your Volume Licensing agreement. To increase your MAK activation limit, contact the Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280).

  • MAK independent activation Each computer individually connects to Microsoft through the Internet or telephone to complete activation.

  • MAK proxy activation MAK proxy activation uses VAMT (http://go.microsoft.com/fwlink/p/?LinkId=183042), which is part of the Windows Automated Installation Kit (http://go.microsoft.com/fwlink/p/?LinkId=180604) for Windows 7. One centralized activation request is made on behalf of multiple computers by using one connection to Microsoft online or by telephone. This method enables IT professionals to automate and centrally manage the MAK volume activation process.

Can I use both MAK and KMS keys for deployment across my organization?

Yes. KMS, MAK, or both can be used to activate volume licensed Windows and Office 2010 computers.

My organization plans to use our MAKs to activate most of our computers. The amount of activations provided by our MAKs does not match the number of licenses that we have purchased. Why don't the activations match our licenses purchase, and what do I need to do to request more activations?

There are many benefits to using KMS as the preferred activation method, and most customers choose to do so. Using KMS as the primary method of activation is one reason that we do not match the number of licenses and activations on a MAK, because the MAK might not be used. Microsoft looked at many factors to determine the number of activations associated with each MAK. These include licenses purchased, the customer purchase pricing level, and the Volume Licensing program.

For Open License customers, we look at the number of licenses they have and usually give them more than what might be needed to ensure activations are available for scenarios such as reactivations and virtual machine (VM) licensing rights. For example, if a customer purchases between 1-25 licenses, they can get 50 activations on their MAK. For Select, Enterprise Agreement, Campus Agreement, School Agreement, and SPLA, we look at the pricing levels (A, B, C, D) and give a specific amount of activations for each level based on the general amount of licenses purchased for each level. We also consider that KMS is the most common activation method to use.

To increase your MAK activation limit, contact the Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280).

I want to reimage Windows 7 Professional by using MAK activation rather than KMS. What if I don't have enough MAK activations to do so?

First, check how many activations are associated with the Windows 7 MAK by going to the product key page, or by using VAMT (http://go.microsoft.com/fwlink/p/?LinkId=183042), which is part of the Windows Automated Installation Kit (http://go.microsoft.com/fwlink/p/?LinkId=180604) for Windows 7.

To increase your MAK activation limit, contact the Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280).

How do customers get a MAK activation limit revised?

Customers can check their MAK allocation limit, check remaining activations on the keys, and request to increase the activation limit by contacting the Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280).

Why is a key with a 250-activation limit not given to someone with a Volume Licensing agreement that contains 49 licenses? Will they not activate more than their license allows for?

  • MAK limits on keys are specific to the programs - Open and Select, as shown in the following table. For example, Open_MAK_50 means that key has 50 activations.

    Open Select

    Open_MAK_50

    Select_MAK_500

    Open_MAK_100

    Select_MAK_1000

    Open_MAK_250

    Select_MAK_2500

    Open_MAK_500

    Select_MAK_5000

    Open_MAK_750

    Open_MAK_1000

  • Therefore, a customer who has up to 35 licenses could have an Open_MAK_50 key, for example, which enables them to install and activate 35 computers. However, if one hard disk fails and it is replaced, that computer must be reactivated.

What happens when a customer receives a MAK key and creates a single installation image? How is the upper limit of the MAK key accounted for?

For example, if a customer is using an Open_MAK_50 key, the system administrator creates an image, and users can install the image on a large number of computers. During this phase, the piracy solution has not yet triggered, and the MAK upper limit has not been reached. The MAK upper limit is reached when these computers try to activate by using Microsoft Activation services. Computers 1 through 50 successfully activate, but with computer 51, activation fails and the remaining computers receive Unlicensed Notifications.

Is there a time limit on how long a MAK activation remains activated?

No. the MAK activation is permanent.

Will MAK-activated clients ever be required to activate through KMS?

No, but if you want to reactivate the MAK-activated clients through KMS after setting up a KMS host, you simply change the client product key.

What do I do if I use up all of my MAK activations?

Contact Microsoft and explain the situation. You will be provided additional activations (under reasonable circumstances).

During setup, what if I want to transition from MAK to KMS?

You can do either of the following:

  • Wait to activate when the number of Office 2010 clients is above the KMS activation threshold.

  • Activate the first few Office 2010 clients by using MAK, and then change the client product keys to KMS when the number of clients is above the KMS activation threshold.

Volume Activation Management Tool (VAMT) FAQ

The Volume Activation Management Tool (VAMT) enables IT professionals to automate and centrally manage the volume activation process.

Will VAMT install on any Windows operating system?

Yes.

Will VAMT install on any computer, not necessarily on a KMS host?

Yes. VAMT is primarily used for MAK activation, but can be used to monitor KMS activations.

If I want to MAK activate a certain number of computers through VAMT, can I configure the computers to detect the VAMT automatically?

Computers cannot detect VAMT. VAMT is simply a tool that allows you to manage the MAK activation of one or more computers. For more information, see Plan volume activation of Office 2010.

The Error Code Lookup tool does not show the content of an error returned by VAMT on Windows XP or Windows Server 2003.

Volume Activation 2.0 errors are native to Microsoft Windows Vista operating system and Windows Server 2008 operating systems. VAMT relies on the operating system to provide descriptive text for some error codes. This text is not available for Windows XP or Windows Server 2003 systems. To look up the text associated with such error codes, install VAMT on a computer that is running Microsoft Windows Vista operating system, or run SLUI 0x2A <error_code> at a command prompt on a computer that is running Microsoft Windows Vista operating system.

Does VAMT require Internet access to function?

Certain operations available in VAMT require Internet access. These include retrieving the remaining MAK activations count, and the retrieve confirmation ID (CID) step in MAK Proxy activation. However, most VAMT operations do not require Internet access.

Is the CID saved for image activation?

Yes.

When changing out a hard drive or re-imaging, can I use the MAK CID?

Yes, through VAMT. Hardware changes are not an issue with KMS. Be aware that changing out the hard drive most likely can cause hardware drift and a need for reactivation.

Does VAMT need to be activated?

No.

Can I run VAMT on a virtual computer?

Yes.

What customer problem are we solving with the Volume Activation Management Tool in a MAK scenario? Is this not similar to KMS, if we have an activation with a customer hosted VAMT in a MAK scenario?

  • MAK activation occurs directly with Microsoft Hosted Activation Services in which a user enters the key in the Office 2010 user interface. The rationale for using VAMT is that it provides convenience to the system administrator so that the MAK can be applied to multiple computers at the same time, instead of having to apply the MAK on each computer one at a time.

  • Perform proxy activation for Office 2010 installations that do not have Internet connectivity.

  • The difference with KMS is that without a KMS host, KMS clients cannot be activated. VAMT is not comparable to KMS and is a way to deploy MAKs to individual Office 2010 clients. KMS manages activations on the customer's network without administrative overhead beyond the initial setup.

Option 1: With VAMT | Option 2: Without VAMT
Option 1 With VAMT | Option 2 Without VAMT

Product Keys FAQ

Product keys enable use of the software products that you have licensed under a specific Volume Licensing program. The product keys on this site should be used only with Volume License products and are intended for use only by your organization.

What is a Setup key?

Setup keys are used for each product/version combination to "unlock" the product and will bypass activation. There are three ways to obtain setup keys:

  • Physical fulfillment For products obtained through physical fulfillment, the setup key is printed on the media sleeve.

  • Download fulfillment For products obtained by download, the setup key is provided with the download.

  • For products that are available for download from the Volume Licensing Service Center (http://go.microsoft.com/fwlink/p/?LinkId=184280), the setup key is provided on the download screen and might be accompanied by the following text: "Some products available for download require setup keys. Please take note of this setup key as it will be needed during product installation."

  • Call the appropriate Microsoft Activation Centers Worldwide Telephone Numbers (http://go.microsoft.com/fwlink/p/?LinkId=182952) to obtain the setup keys that you need. You will be asked to provide Volume Licensing agreement information and proof of purchase.

Are product keys required for all Volume Licensing products?

No, not all products require a product key. To view the list of products that require a Volume License product key, see Product Activation and Key Information (http://go.microsoft.com/fwlink/p/?LinkId=110471).

How do I respond to "Invalid Volume License Key" or "Use a different type of key" or "Invalid key for activation"?

These messages can be caused by either of the following:

  • The administrator tries to install a KMS Host key on a KMS client.

  • Mismatch between SKU and key.

How does Microsoft determine which product keys are associated with my agreement?

Volume License product keys are provided for each Licensing ID listed in the Microsoft Relationship Summary. You can have several Licensing IDs. For more information about the Licensing ID and the Relationship Summary, see Frequently Asked Questions Overview (http://go.microsoft.com/fwlink/p/?LinkId=189254).

  • Enterprise Agreement (EA) customers receive all applicable Volume License keys for available products.

  • Select Agreement customers receive keys per product pool (systems, servers, applications) based on their purchasing forecasts.

  • Select Plus Agreement customers receive all applicable Volume License key for available products.

  • Open License and Open Value customers receive applicable keys based on their license purchase.

For more information about reimaging and downgrade, see "Re-imaging Rights" in About Licensing (http://go.microsoft.com/fwlink/p/?LinkId=154939). EA, Select, and Select Plus customers are also provided with evaluation rights and limited software copies for training and backup.

How do I know which key should be used?

For Windows products, see the video, Fundamentals of Volume Activation (http://go.microsoft.com/fwlink/p/?LinkId=150087). For Office 2010, Visio 2010, and Project 2010, see the video, "Volume Activation for Office 2010 Products" at the Volume activation for Office 2010 Resource Center (http://go.microsoft.com/fwlink/p/?LinkId=189005).

How do I respond to, "Activation server determined that Specific Product key could not be used, when activating the KMS host with the KMS key"?

This message can be caused by any of the following:

  • KMS host key has more than six activations (the maximum is six activations).

  • Commands were not run correctly during activation of the KMS host.

  • KMS host key was leaked and the activations are used up (see first bullet).

See Also

Concepts

Plan for volume activation of Office 2010
Configure and deploy volume activation of Office 2010

Other Resources

Office 2010 Volume Activation forum


Internet Protocol version 6 support for Office 2010

Published: May 5, 2011

This article explains the support for Internet Protocol version 6 (IPv6) addressing in the following Microsoft Office 2010 applications:

  • Microsoft Access 2010

  • Microsoft Excel 2010

  • Microsoft InfoPath 2010

  • Microsoft OneNote 2010

  • Microsoft Outlook 2010

  • Microsoft PowerPoint 2010

  • Microsoft Project 2010

  • Microsoft Publisher 2010

  • Microsoft SharePoint Designer 2010

  • Microsoft SharePoint Workspace 2010

  • Microsoft Visio 2010

  • Microsoft Word 2010

In this article:

  • Internet Protocol supported environments

  • User scenarios

Internet Protocol supported environments

Office 2010 applications that run on Windows XP Service Pack 3 (SP3), Windows Vista, or Windows 7 support the following environments:

  • Pure Internet Protocol version 4 (IPv4) environment

  • Mixed IPv4 and IPv6 environment

  • Pure IPv6 environment

In a Windows environment, "mixed" can be defined as one of the following likely scenarios (but there might be other scenarios):

  • Both IPv4 and IPv6 protocols are running in your environment.

  • Some of your client computers are using IPv4 and some of them are using IPv6.

  • Your client computers are using IPv4. However, the computer that is running Microsoft SQL Server 2005 is using IPv6.

In addition, user interfaces (UIs) for Office 2010 applications support display of both IPv4 and IPv6 type IP addresses.

User scenarios

Office 2010 applications are designed to support IPv6 addressing to match support in Windows operating systems. In IPv6 environments and in IPv4 or mixed IP environments, users can browse network locations; open, save, publish, and insert objects, pictures, and files; open data sources; access shared workspaces; get document updates from network paths; and other tasks that use any of the following:

  • Universal naming convention (UNC)

  • Server name, where Domain Name System (DNS) uses an IPv6 address (for example, \\server\share)

  • Hypertext Transfer Protocol (HTTP)

  • Hypertext Transfer Protocol over Secure Sockets Layer (HTTPS)

  • File Transfer Protocol (FTP)

  • Literal address

For more information about IPv6 support for specific scenarios and applications, see the following resources.

  • For more information about how to use literal addresses, see IP Version 6 Support (http://go.microsoft.com/fwlink/p/?LinkId=128846).

  • For more information about IPv6 support for Microsoft SharePoint Products and Technologies, see Internet Protocol Support in SharePoint Products and Technologies (Office SharePoint Server).

  • For more information about IPv6, including compatibility, installation, and addressing, see IPv6 for Microsoft Windows: Frequently Asked Questions (http://go.microsoft.com/fwlink/p/?LinkId=128850).

See Also

Other Resources

IPv6


Configuring and deploying Office 2010

You can learn how to configure and deploy volume activation, prepare the infrastructure, customize, and deploy Microsoft Office 2010 by reading the following articles.

In this documentation:

Article | Description
Configure and deploy volume activation of Office 2010 | Provides information and procedures to help you plan the volume activation of Office 2010.
Prepare the infrastructure for Office 2010 | Provides information and procedures to create a network installation point for the deployment of Office 2010.
Customize the installation for Office 2010 | Provides information and procedures for customizing the Office 2010 installation, including customizing Setup options, configuring user settings, configuring silent installations, and importing Setup customization files. This section also includes information and procedures for customizing Outlook and Microsoft SharePoint Workspace 2010.
Deploy Office 2010 | Provides information and procedures for running Setup for Office 2010, precaching the local installation source, and deploying to users who are not administrators.


Configure and deploy volume activation of Office 2010

Published: May 12, 2010

After you complete the planning phase of Microsoft Office 2010 volume activation for your organization, you can deploy the volume activation methods you have chosen. This section describes how to deploy Office 2010 volume activation.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

In this documentation:

Article | Description
Deploy volume activation of Office 2010 | Provides information about how to deploy Volume License editions of Office 2010 through Office Activation Technologies.
Tools to configure client computers in Office 2010 | Describes the tools available for configuring and testing Volume License editions of Office 2010 through Office Activation Technologies.
Volume activation quick start guide for Office 2010 | Provides information and procedures to quickly activate Volume License editions of Office 2010 through Office Activation Technologies.

See Also

Concepts

Plan volume activation of Office 2010


Deploy volume activation of Office 2010

You can use various methods to deploy Office Activation Technologies, depending on the requirements of your organization. Before you read this article, we recommend that you read Volume activation overview for Office 2010 and Plan volume activation of Office 2010. For additional planning resources, see "Evaluate Client Connectivity" in Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183041).

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • Prepare and configure the Office 2010 client

  • Prepare and configure the KMS host

  • Configure DNS

  • Deploy Visio 2010

Prepare and configure the Office 2010 client

You must decide whether each computer in your organization is to be activated by using Key Management Service (KMS) or Multiple Activation Key (MAK). The product key that is installed on the computer indicates whether Microsoft Office 2010 is to activate through KMS or MAK. This section describes how to enter the product key.

Important:

If you deploy an image or create a virtual machine (VM), you must rearm the installation of Office 2010 before you capture the image or create the VM. For information about capturing an image, see Configure Office 2010 for capturing an image. For more information about rearming an Office 2010 installation, see Rearm the Office 2010 installation later in this article.

KMS clients

In the 2007 Microsoft Office system and previous versions of Microsoft Office, you had to enter a product key when you deployed Office. If you use Key Management Service (KMS), you do not have to do this for Office 2010 because all volume license editions of Office 2010 have a KMS client key preinstalled.

Important:

By default, Microsoft Visio 2010 is preinstalled with the Microsoft Visio Premium 2010 KMS client key, which enables all the features that are available for Visio Premium 2010. If your license agreement with Microsoft is for Visio Standard 2010 or Visio Professional 2010, you must enter the appropriate KMS client key as described in Deploy Visio 2010 later in this article.

Only one key must be installed and activated on the Office 2010 KMS host to activate all volume license editions of Office 2010 KMS clients. If the Office 2010 KMS host is installed and configured, KMS activation occurs transparently to the user when an Office 2010 client is first installed.

For additional configuration options, such as how to specify the KMS host name on the KMS client, see Tools to configure client computers in Office 2010.

MAK clients

If you use Multiple Activation Key (MAK), you must enter the MAK key by using one of the following supported methods:

  • Before you deploy Office 2010

    • Office Customization Tool (OCT)

    • Config.xml file

  • After you deploy Office 2010

    • Volume Activation Management Tool (VAMT) 2.0

    • The Backstage view

    • The ospp.vbs script

Important:

Because different products require different MAK keys, you should first verify that the MAK key for the product is correct.

Office Customization Tool (OCT)

To enter a MAK by using the OCT, follow these steps:

  1. In the Type a valid 25-character volume license key with no spaces field, enter the MAK key (five sets of five numbers or characters), and then press ENTER.

  2. After making any other necessary changes in the OCT, save the .msp file.

Note:

When you use a MAK key in the OCT, you can activate Office 2010 at the same time that you install the MAK key by setting the AUTO_ACTIVATE property value to 1. For more information, see Licensing and user interface in Office Customization Tool in Office 2010

Remember that you do not have to enter a product key in the OCT if you are using KMS activation. For more information about the OCT, see Office Customization Tool in Office 2010.

Config.xml file

To enter a MAK by using the Config.xml file, follow these steps:

  1. Add the following line to the Config.xml file:

    <PIDKEY Value="AAAAABBBBBCCCCCDDDDDEEEEE" />

    Where AAAAABBBBBCCCCCDDDDDEEEEE is the 25-character product key.

  2. To apply the settings in Config.xml, at a command prompt, type the following command, and then press ENTER:

    Setup.exe /config <path of Config.xml file>

Note:

You can activate Office 2010 at the same time that you install the MAK key by setting the AUTO_ACTIVATE property value to 1. For more information, see Setting element in Config.xml file in Office 2010

You do not have to enter the MAK key in the Config.xml file if you are using KMS activation. For more information about how to use the Config.xml file, see Config.xml file in Office 2010.

Volume Activation Management Tool

If you have to change the product key on Office 2010 clients after installation, we recommend that you use Volume Activation Management Tool (VAMT) 2.0. For more information, see the Help file in VAMT 2.0 (http://go.microsoft.com/fwlink/p/?LinkId=183042). Follow these steps:

  1. Add the computer to the VAMT 2.0 view.

  2. Under Product Keys, add a MAK key.

  3. Right-click the computer name and then select Install Product Key.

The Backstage view

This method lets you change the product key on one computer at a time. If you want to change multiple computers, follow these steps:

  1. Open an Office 2010 application.

  2. Click the File tab.

  3. Click Help.

  4. Click Change Product Key and enter the product key.

Note:

An administrator can create a registry key that allows a standard user (a user who is not an administrator) to apply a MAK key and activate an Office 2010 application. This means that a standard user can switch a KMS client to MAK activation, manually activate a computer, and, if it is necessary, replace an existing MAK with a new MAK key. By default, all volume license editions of Office 2010 disable this behavior. To enable this behavior, add the following line to the Config.xml file:

<Setting Id="USEROPERATIONS" Value="1" />

Or, you can set the following registry key to enable or disable standard user (a user who is not an administrator) activation:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\OfficeSoftwareProtectionPlatform]

Enable Standard User Activation: "UserOperations"=dword:00000001
Disable Standard User Activation: "UserOperations"=dword:00000000 (Office 2010 volume license products default setting)

The ospp.vbs script

For information about how to enter a product key by using the ospp.vbs script, see Tools to configure client computers in Office 2010.

Rearm the Office 2010 installation

There is a 25-day grace period from the time of installation of KMS clients before notifications to activate are displayed to the user. If you want to deploy an image, you must rearm your Office 2010 installation before you capture the image. If you do not rearm, users see notification dialog boxes at the time that the image is deployed, instead of 25-days after deployment. The 25-day grace period gives ample time for a KMS host to be found and activation to succeed. If activation is successful, users do not see notifications to activate.

Rearming is important for these reasons:

  • The grace timer is reset to 30 days of grace.

  • The grace timer is frozen.

  • The client machine ID (CMID) is reset.

    • The KMS host uses the CMID to determine the number of unique clients.

    • To check the CMID, use the command ospp.vbs /dcmid.

Rearm is also recommended for MAK deployment. If you are deploying Office 2010 that is configured for MAK activation, and you do not remotely activate for end-users through VAMT 2.0 or ospp.vbs, users see an activation dialog box the first time that an Office 2010 application starts. The activation dialog box is slightly different 25 days after installation. Also, users might immediately see a red title bar if Office 2010 was not rearmed before image capture.

To rearm your Office 2010 installation

  1. Make sure all Office 2010 applications are closed.

  2. Open an elevated command prompt.

  3. Go to %installdir%\%Program Files%\Common Files\Microsoft Shared\OfficeSoftwareProtectionPlatform. If you installed the 32-bit edition of Office 2010 on a 64-bit operating system, %Program Files% is the Program Files (x86) folder.

  4. Run ospprearm.exe. If you see a message that states success, you are ready for image capture.

    Important:

    Do not open an Office application, ospp.vbs, or anything related to Office 2010. Doing so starts the grace timer.

  5. Capture the image or save the VM. For more information about how to capture the image, see Configure Office 2010 for a hard disk image.

Prepare and configure the KMS host

This section contains information about how to prepare and configure the Office 2010 KMS host to enable Office 2010 clients to activate through KMS.

Important:

At minimum, membership in the Administrators group of the KMS host server is required to prepare and configure the KMS host.

Set up and activate the KMS host

Only the following operating systems can serve as the Office 2010 KMS host:

  • Windows 8

  • Windows Server 2012

    Note:

    For detailed information about how to set up an Office 2010 KMS host on Windows 8 or Windows Server 2012, see How to install the Office 2010 KMS Host License Pack on Windows 8 or Windows Server 2012.

  • Windows Server 2003 Standard, Enterprise, and Datacenter editions (32-bit and 64-bit) or with any applicable service packs

    Important:

    The Office 2010 KMS host is not supported on Windows Small Business Server 2003. For more information, see Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

  • Volume license editions of Windows 7

  • Windows Server 2008 R2

Important:

The KMS host key for Office 2010 is not specific to a particular operating system. It can be used on any of the operating systems that were mentioned earlier. This includes both 32-bit and 64-bit editions.

The following operating systems are not supported as the Office 2010 KMS host:

  • Windows Vista or with any service packs

  • Windows Server 2008 or with any service packs

For more information, see Volume Activation 2.0 for Windows Vista and Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=151726).

Co-hosting with a Windows KMS host

If you currently have a Windows KMS host running on an operating system that supports an Office KMS host, we recommend that you use the same computer that you use for your Office KMS host. You must still run the steps in the following sections to install and activate an Office 2010 KMS host key. For more information, see Plan volume activation of Office 2010.

To activate an Office 2010 KMS host on Windows Server 2003

  1. To set up an Office 2010 KMS host on Windows Server 2003, install Key Management Service (KMS). Although the minimum required version to set up a KMS host is KMS 1.1, we highly recommend that you install KMS 1.2, which recognizes virtual computers as part of the activation count.

    To install KMS 1.2, follow the instructions in Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

    Important:

    For KMS 1.2, Windows Server 2003 must have at least SP2 installed.

  2. Download and run KeyManagementServiceHost.exe, see Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244).

  3. When prompted, enter your KMS host key.

  4. When prompted, continue with the activation. If your KMS host does not have an Internet connection, see To activate a KMS host by telephone later in this article.

  5. If you have a firewall enabled, open TCP port 1688, which is the default port number.

To activate an Office 2010 KMS host on Windows 7 or Windows Server 2008 R2

  1. On the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244) Web site, download and then run KeyManagementServiceHost.exe.

  2. When prompted, enter your KMS host key.

  3. When prompted, continue with the activation. If your KMS host does not have an Internet connection, see To activate a KMS host by telephone later in this article.

  4. If you have a firewall enabled, follow these steps to enable KMS through the firewall:

    1. In Control Panel, open Windows Firewall.

    2. Click the Allow a program through Windows Firewall link.

    3. Click the Change Settings button.

    4. Select the Key Management Service check box, and then click OK.

Note:

When you enable the firewall on a KMS host, the default TCP communications port number is 1688.

Activating a KMS host by telephone

If your KMS host does not have an Internet connection, you can activate the KMS host by telephone.

To activate a KMS host by telephone

  1. Run the following command under C:\Windows\system32. The result is the installation ID for Office 2010. You will type this installation ID number into the telephone in Step 3.

    • cscript slmgr.vbs /dti bfe7a195-4f8f-4f0b-a622-cf13c7d16864

      Note:

      The bfe7a195-4f8f-4f0b-a622-cf13c7d16864 value is the Office 2010 activation ID. Paste this value exactly as shown. We recommend pasting this number into Notepad, and then breaking up the number into six groups of six numbers.

  2. Run slui.exe 4, and then call the telephone number displayed.

    Note:

    Ignore the displayed installation ID. This is for Windows.

  3. At each prompt, enter a group of six numbers. This is the installation ID for Office 2010 that you obtained in Step 1.

  4. When you hear the response, write down the numbers.

  5. Run cscript slmgr.vbs /atp xxxxxxxxxxxx bfe7a195-4f8f-4f0b-a622-cf13c7d16864, where xxxxxxxxxxxx is the confirmation ID that you receive by telephone (there should be 48 numbers).

    Note:

    The bfe7a195-4f8f-4f0b-a622-cf13c7d16864 value is the Office 2010 activation ID. Therefore, paste this value exactly as shown.

  6. You should see a message that the confirmation ID was successfully deposited.

Sppsvc state stopped error

Because the KMS host service automatically stops, you might encounter the following error when you run KeyManagementServiceHost.exe.

Error: The Software Protection Platform service is not running: sppsvc State: Stopped

If you receive this error, perform the following:

  1. At the command prompt, type the following command, and then press ENTER:

    net start sppsvc

  2. Re-run KeyManagementServiceHost.exe.

Alternately, you can perform the following:

  1. Right-click My Computer and select Manage.

  2. Under Services and Applications, select Software Protection Service.

  3. Click Start, and then OK to start the service.

  4. Re-run KeyManagementServiceHost.exe.

Manually install the Office 2010 KMS host key and activate

KeyManagementServiceHost.exe installs the Office 2010 KMS host license files on your KMS host. KeyManagementServiceHost.exe also prompts you for an Office 2010 KMS host key and tries to activate the KMS host. If you did not enter the Office 2010 KMS host key correctly, run KeyManagementServiceHost.exe again.

The slmgr.vbs script

If you want to manually enter the Office 2010 KMS host key and activate it, use the slmgr.vbs script. For more information, see Configure the Office 2010 KMS host later in this article. Open an elevated command prompt, and then run the following commands:

slmgr.vbs /ipk <Office 2010 KMS host key>

slmgr.vbs /ato <Office 2010 activation ID>

The Office 2010 activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

Configure the Office 2010 KMS host

The Software License Manager (slmgr.vbs) script is used to configure and retrieve volume activation information for the Office 2010 KMS host, and the Windows host. For more information about this script, see "KMS Activation" in Windows Volume Activation Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=183043).

The script can be run locally on the target computer or remotely from another computer. If a standard user runs slmgr.vbs, some license data might be missing or incorrect, and many operations are prohibited.

The slmgr.vbs script can use wscript.exe or cscript.exe, and administrators can specify which script engine to use. If no script engine is specified, slmgr.vbs runs by using the default script engine, wscript.exe. The cscript.exe script engine is recommended.

The Software Licensing Service must be restarted for any changes to take effect. To restart the Software Licensing Service, use the Microsoft Management Console (MMC) Services snap-in or run the following command:

net stop sppsvc && net start sppsvc

The slmgr.vbs script requires at least one parameter. If the script is run that has no parameters, it displays Help information. The following table lists slmgr.vbs command-line options, and a description of each. Most of the parameters in the table configure the KMS host. However, the parameters /sai and /sri are passed to KMS clients after they make contact with the host. The general syntax of slmgr.vbs is as follows (assuming cscript.exe is the script engine that you are using):

cscript slmgr.vbs /parameter

cscript slmgr.vbs [ComputerName] [User] [Password] [Option]

ComputerName Name of remote computer. If a computer name is not passed, a local computer is used.

User Account with required permission on remote computer.

Password Password for the account. If a user account and password are not passed, current credentials are used.

Option Options are shown in the following table.

Option Description

/ipk [ProductKey]

Installs the product key for Windows (default) or other application identified by the product key.

/ato [ActivationID]

Activates the KMS host for Windows (default), or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

/dti [ActivationID]

Displays the Installation ID that is used for telephone activation of the KMS host for Windows (default) or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864. You enter the Installation ID into the telephone to receive the Confirmation ID, which is used for activating the KMS host by using the /atp parameter.

/atp [ConfirmationID][ActivationID]

After the Confirmation ID is received, activates the KMS host for Windows (default) or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

/dlv [ActivationID]

Displays detailed license information for Windows (default), or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

/dli [ActivationID]

Displays license information for Windows (default), or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

/upk [ActivationID]

Uninstalls the product key for Windows (default) or the application that is identified when its Activation ID is provided. The Office 2010 Activation ID is bfe7a195-4f8f-4f0b-a622-cf13c7d16864.

Caution:

If you intend to uninstall the product key for Office 2010, for example, and forget to enter the Activation ID, all installed product keys are uninstalled. This includes the product key for Windows.

/sprt [PortNumber]

Sets the TCP communications port on a KMS host. It replaces PortNumber with the TCP port number to use. The default setting is 1688.

/cdns

Disables automatic DNS publishing by a KMS host.

/sdns

Enables automatic DNS publishing by the KMS host.

/cpri

Lowers the priority of KMS host processes.

/sai [ActivationInterval]

Changes how often a KMS client attempts to activate itself when it cannot find a KMS host. It replaces ActivationInterval with a value expressed in minutes. The default setting is 120.

/sri [RenewalInterval]

Changes how often a KMS client attempts to renew its activation by contacting a KMS host. It replaces RenewalInterval with a value expressed in minutes. The default setting is 10080 (7 days). This setting overrides the local KMS client settings.

Verify successful activation of the Office KMS host

To verify that the Office 2010 KMS host key is successfully installed and activated, use the slmgr.vbs script. Open an elevated command prompt on the KMS host, type the following command, and then press ENTER:

cscript slmgr.vbs /dlv all

To view information only for Office 2010, specify the Activation ID after the /dlv parameter:

cscript slmgr.vbs /dlv bfe7a195-4f8f-4f0b-a622-cf13c7d16864

The output should resemble the following:

Copy Code
Name: Microsoft Office 2010, KMSHost edition
Description: Microsoft Office 2010 KMS, VOLUME_KMS channel
Activation ID: bfe7a195-4f8f-4f0b-a622-cf13c7d16864
Application ID: 59a52881-a989-479d-af46-f275c6370663
Extended PID: 55041-00096-199-000004-03-1033-7600.0000-3632009
Installation ID: 008585014214769124199722184000850026888810090785321136
Processor Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88342
Machine Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88343
Use License URL: http://go.microsoft.com/fwlink/p/?LinkID=88345
Product Key Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88344
Partial Product Key: RP3HH
License Status: Licensed
Remaining Windows rearm count: 1
Trusted time: 12/29/2009 1:45:54 PM

Key Management Service is enabled on this computer
    Current count: 0
    Listening on Port: 1688
    DNS publishing enabled
    KMS priority: Normal

Key Management Service cumulative requests received from clients
    Total requests received: 0
    Failed requests received: 0
    Requests with License Status Unlicensed: 0
    Requests with License Status Licensed: 0
    Requests with License Status Initial grace period: 0
    Requests with License Status License expired or Hardware out of tolerance: 0

    Requests with License Status Non-genuine grace period: 0
    Requests with License Status Notification: 0

If the output shows "License Status: Licensed," the Office 2010 KMS host key is successfully installed and activated.

After KMS clients send requests for activation, the current count is incremented. The current count must be 5 or larger before KMS clients are activated. The maximum current count is double the activation threshold, or 10. Administrators can also check the KMS log that is in the Applications and Services Logs folder for event ID 12290, the ID for KMS-related activity. The KMS log records activation requests from KMS clients. Each event displays the name of the computer and the time stamp of each activation request.

Configure DNS

KMS hosts automatically publish their existence by creating service (SRV) resource records (RRs) on the DNS server. If there is only one KMS host and dynamic update, no action is required for the KMS host to create the SRV RR that publishes the KMS service location.

If there is more than one KMS host, only the first KMS host can create an SRV RR. Subsequent KMS hosts cannot change or update SRV RRs unless the default permissions on the DNS server are changed.

Changing the default permissions on the DNS server requires administrative rights in the domain, and the KMS hosts must all belong to the same Active Directory Domain Services (AD DS) domain. Create a global security group in AD DS for your KMS hosts. Add each KMS host to the new security group, and set the permissions on the DNS server to enable updates by members of the newly created security group.

For more information about how to configure DNS for the KMS host, see "Understanding KMS" in Customer Hosted Volume Activation Guide (http://go.microsoft.com/fwlink/p/?LinkId=187539).

Deploy Visio 2010

By default, Visio 2010 is preinstalled with the Visio Premium 2010 KMS client key, which enables all the features that are available for Visio Premium 2010. If you are licensed to use Visio Standard 2010 or Visio Professional 2010, you must install the appropriate KMS client key. Different features or applications are available, depending on the kind of key that is installed. This makes it easier for you to upgrade or downgrade without having to deploy a different product edition.

If you already deployed Visio 2010, you can remotely install the new KMS client key by using either of the following options:

  • The ospp.vbs script For more information about ospp.vbs, see Tools to configure client computers in Office 2010.

  • VAMT 2.0 This lets you see which products are installed in each computer. If you see installations of Visio Premium 2010 in VAMT 2.0, you can remotely install the Visio Professional 2010 or the Visio Standard 2010 KMS client key.

You must restart Visio 2010 for the new KMS client key to be recognized and the appropriate features enabled.

You can install the new KMS client key from a network share by entering the key in the Office Customization Tool (OCT). In the OCT, in the navigation pane, click Licensing and user interface, and then enter the KMS key in the Enter another product key text box. Complete any customizations that you want to make and then save the Setup customization .msp file in the Updates folder for an initial installation.

For more information about using the OCT, see Customize Setup before installing Office 2010 and Office Customization Tool in Office 2010.

If your license agreement with Microsoft is for Visio Standard 2010 or Visio Professional 2010, enter the appropriate KMS client key shown in the following table.

Visio edition | KMS client key
Visio Standard 2010 | 767HD-QGMWX-8QTDB-9G3R2-KHFGJ
Visio Professional 2010 | 7MCW8-VRQVK-G677T-PDJCM-Q8TCP
Visio Premium 2010 | D9DWC-HPYVV-JGF4P-BTWQB-WX8BJ

For more information about activating your volume license edition of Visio 2010, see Volume License editions of Visio 2010 install Premium edition by default (http://go.microsoft.com/fwlink/p/?LinkId=207805).

For information about how to plan your Visio Professional 2010 installation, see Plan customizations and options for Visio 2010.

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot volume activation for Office 2010
Plan KMS activation of Office 2010
Plan MAK independent activation of Office 2010
Plan MAK proxy activation of Office 2010
Office Customization Tool in Office 2010
Customize Setup before installing Office 2010

Other Resources

How to install the Office 2010 KMS Host License Pack on Windows 8 or Windows Server 2012
Office Volume Activation forum
Office IT Pro forums


Tools to configure client computers in Office 2010

The Office Software Protection Platform script and the Volume Activation Management Tool (VAMT) tools will help you configure and test Volume License editions of Microsoft Office 2010. But, before you read this article, we recommend that you read Volume activation overview for Office 2010, Plan volume activation of Office 2010, and Deploy volume activation of Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

In this article:

  • The ospp.vbs script

  • VAMT 2.0

The ospp.vbs script

The Office Software Protection Platform script (ospp.vbs script) enables you to configure volume editions of Office 2010 client products. You must open a command prompt by using administrator permissions and navigate to the folder that contains the script. The script is located in the %installdir%\Program Files\Microsoft Office\Office14 folder. If you are running 32-bit Office 2010 on a 64-bit operating system, the script is located in the %installdir%\Program Files (x86)\Microsoft Office\Office14 folder.

Running ospp.vbs requires the cscript.exe script engine. To see the Help file, type the following command, and then press ENTER:

cscript ospp.vbs /?

The general syntax is as follows:

cscript ospp.vbs [Option:Value] [ComputerName] [User] [Password]

Option Specifies the option and value to use to activate a product, install or uninstall a product key, install and display license information, set Key Management Service (KMS) host name and port, and remove KMS host. The options and values are listed in the tables in this section.

ComputerName Name of the remote computer. If a computer name is not provided, the local computer is used.

User Account that has the required permission on the remote computer.

Password Password for the account. If a user account and password are not provided, the current credentials are used.

The following tables list the ospp.vbs options and values.

Global option | Description
/act | Activates installed Office 2010 product keys.
/inpkey:value | Installs a product key (replaces existing key) with user-provided product key. Value parameter required.
/unpkey:value | Uninstalls an installed product key with the last five digits of the product key to uninstall (as displayed by the /dstatus option). Value parameter required.
/inslic:value | Installs a license with user-provided path of the .xrm-ms license. Value parameter required.
/dstatus | Displays license information for installed product keys.
/dstatusall | Displays license information for all installed licenses.
/dinstid | Displays Installation ID for offline activation.
/actcid:value | Activates product with user-provided Confirmation ID. Value parameter required.
/puserops | Permits administrator-privileged license operations including Internet or telephone activation by standard users. This sets HKEY_LOCAL_MACHINE\Software\Microsoft\OfficeSoftwareProtectionPlatform\UserOperations =dword:00000001.
/duserops | Denies administrator-privileged license operations including Internet or telephone activation by standard users. This sets HKEY_LOCAL_MACHINE\Software\Microsoft\OfficeSoftwareProtectionPlatform\UserOperations =dword:00000000.
/ddescr:value | Displays the description for a user-provided error code. Value parameter applies.

KMS client option | Description
/dhistorykms | Displays KMS client activation history.
/dcmid | Displays KMS client machine ID (CMID).
/sethst:value | Sets a KMS host name with a user-provided host name. Value parameter applies. This sets HKLM\Software\Microsoft\OfficeSoftwareProtectionPlatform\KeyManagementServiceName (REG_SZ).
/setprt:value | Sets a KMS port with a user-provided port number. Value parameter applies. This sets HKLM\Software\Microsoft\OfficeSoftwareProtectionPlatform\KeyManagementServicePort (REG_SZ).
/remhst | Removes KMS host name (sets port to default).

OSPPSVC option | Description
/osppsvcrestart | Restarts Office Software Protection Platform service.
/osppsvcauto | Sets Office Software Protection Platform service startup type to automatic. This is recommended for Windows XP computers so that KMS reactivation attempts occur even if Office is not running.

Scenarios that use ospp.vbs

The following scenarios assume that you are running ospp.vbs in an elevated command prompt.

Note:

Any changes that you make affect only the Office 2010 client products. You need to configure the Windows client separately by using the slmgr.vbs script. For more information about how to use slmgr.vbs, see Deploy volume activation of Office 2010.

To change the product key to a MAK key on a remote computer

  1. If the remote computer is named contoso1, run the following command to enter the product key. This assumes that you have administrator credentials on the remote computer. If your credentials on the remote computer differ from your logon name and password, you must type your logon name and password at the command line, and then press ENTER:

    cscript ospp.vbs /inpkey:xxxxx-xxxxx-xxxxx-xxxxx-xxxxx contoso1

  2. To activate the remote computer, type the following command, and then press ENTER:

    cscript ospp.vbs /act contoso1

To diagnose KMS activation errors

  1. If the computer has the KMS client key installed, check the licensing status. To do this, type the following command, and then press ENTER:

    cscript ospp.vbs /dstatusall

  2. To check the KMS activation history, type the following command, and then press ENTER:

    cscript ospp.vbs /dhistorykms

  3. To trigger activation, type the following command, and then press ENTER:

    cscript ospp.vbs /act

  4. Check the error message for error code 0xC004F042. If you see an error code in the notification dialog boxes shown to the users, you can also use that code to check the error message. To do this, type the following command, and then press ENTER:

    cscript ospp.vbs /ddescr:0xC004F042

To set test KMS host name, and then set to auto-discovery

  1. If you are testing a KMS host named kmstest.contoso.com, and you want to specify it in the KMS client, type the following command, and then press ENTER:

    cscript ospp.vbs /sethst:kmstest.contoso.com

    Note:

    If you change the default port on the KMS host, you must run ospp.vbs with the /setprt parameter.

  2. To trigger activation, type the following command, and then press ENTER:

    cscript ospp.vbs /act

  3. To check the KMS activation history to see whether the host was successfully contacted, type the following command, and then press ENTER:

    cscript ospp.vbs /dhistorykms

  4. Now you want this KMS client to use Domain Name System (DNS) for auto-discovery of the production KMS host. To remove the KMS host name, type the following command, and then press ENTER:

    cscript ospp.vbs /remhst

Generally, you do not have to configure Office KMS clients if the Office KMS host was correctly set up and configured. The KMS client automatically searches for the KMS host by using DNS and attempts activation. The KMS service uses service (SRV) resource records (RR) in DNS to store and communicate the locations of KMS hosts.

By default, KMS hosts automatically publish the information that KMS clients need to find and connect to them by using DNS dynamic update protocol. By default, KMS clients query the DNS server for KMS service information.

You can manually configure KMS hosts and clients, depending on the network configuration and security requirements. For example, if the network environment does not use SRV records, you can manually configure a KMS client to use a specific KMS host. For more information about how to configure the KMS client, see The ospp.vbs script earlier in this article and Prepare and configure the Office 2010 client in Deploy volume activation of Office 2010. For more information about how to configure the KMS host, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

VAMT 2.0

The Volume Activation Management Tool (VAMT) 2.0 gives you a graphical user interface to manage volume activation. For more information, see Volume Activation Management Tool (VAMT) 2.0 (http://go.microsoft.com/fwlink/p/?LinkId=183042) and the Help file that is included with VAMT 2.0.

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Troubleshoot volume activation for Office 2010
Plan KMS activation of Office 2010
Plan MAK independent activation of Office 2010
Plan MAK proxy activation of Office 2010

Other Resources

Office 2010 Volume Activation forum
Office 2010 forums


Volume activation quick start guide for Office 2010

This is a quick start guide for activating Volume License editions of Microsoft Office 2010. If you are not familiar with volume activation, see Windows Volume Activation Planning Guide (http://go.microsoft.com/fwlink/p/?LinkId=183040), Plan for volume activation of Office 2010, and Deploy volume activation of Office 2010. The intended audience is IT administrators who are familiar with Windows volume activation and who want to know which steps are required for volume activation of Office client products.

Volume License editions of Office 2010 require activation. The activation technology is based on the Windows Software Protection Platform. If you are familiar with Windows Key Management Service (KMS) or Multiple Activation Key (MAK) activation, you will be familiar with requirements for Office 2010 activation. This article describes the differences between Windows and Office. It also includes the steps that are required to activate Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • Differences between Windows and Office activation

  • Scenarios for Office 2010 volume activation

  • Office 2010 volume activation methods

  • Install and configure the KMS host

  • Co-host an Office KMS host with a Windows KMS host

Differences between Windows and Office activation

Differences between Windows activation and Office activation with regard to both KMS and MAK are as follows:

For KMS activation:

  • The activation threshold for the KMS host is five client computers. At least five physical or virtual computers that have Office installed must request activation before KMS clients can be activated.

  • Only one KMS host key must be installed and activated on the Office 2010 KMS host. This KMS host then activates all Office 2010 products that have the KMS client key installed.

  • When using slmgr.vbs commands on the KMS host, you must enter the Office 2010 activation ID (bfe7a195-4f8f-4f0b-a622-cf13c7d16864). For more information about the slmgr.vbs script, see Deploy volume activation of Office 2010.

  • To ensure that the Office 2010 KMS host key is recognized, you must install the Office 2010 license files by downloading and running KeyManagementServiceHost.exe at the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244) Web site.

For MAK activation:

  • Each Office suite or product has its own MAK key.

  • There are separate MAK keys for Microsoft Project 2010 and Microsoft Visio.

    For example, with a single MAK key, you can activate all applications in the Microsoft Office Professional Plus 2010 suite. However, you must enter separate MAK keys for Project 2010, Visio, or any of the Office Professional Plus 2010 suite products, such as Microsoft Word 2010 or Microsoft Excel 2010.

Scenarios for Office 2010 volume activation

Scenarios help users determine what best fits their current or proposed environment and they provide step-by-step guidance for activating the Volume License editions of Office 2010 software. The detailed steps for activation that are listed in the scenarios apply to all Volume License editions of Office 2010 client products (Office Professional Plus 2010, Visio 2010, and Project 2010).

The scenarios are located in the following articles:

  • Plan KMS activation of Office 2010

  • Plan MAK independent activation of Office 2010

  • Plan MAK proxy activation of Office 2010

  • Scenario: Core network - KMS activation of Office 2010

  • Scenario: Secure network - KMS or MAK activation of Office 2010

  • Scenario: Disconnected computers activating Office 2010

  • Scenario: Test or development lab activating Office 2010

Office 2010 volume activation methods

There are two methods for activating Volume License editions of Office 2010: Key Management Service (KMS) and Multiple Activation Key (MAK). For a detailed description of these two methods, see Review activation methods in Plan volume activation of Office 2010.

Install and configure the KMS host

Only the following operating systems can serve as the Office 2010 KMS host:

  • Windows 8

  • Windows Server 2012

  • Windows Server 2003 Standard, Enterprise, and Datacenter editions (32-bit and 64-bit) or with any applicable service packs

    Important:

    The Office 2010 KMS host is not supported on Windows Small Business Server 2003. For more information, see Microsoft Knowledge Base article 968915: An update is available that installs Key Management Service (KMS) 1.2 for Windows Server 2003 Service Pack 2 (SP2) and for later versions of Windows Server 2003 (http://go.microsoft.com/fwlink/p/?LinkId=183046).

  • Volume License editions of Windows 7

  • Windows Server 2008 R2

Important:

The KMS host key for Office 2010 is not specific to a particular operating system. You can use it on any of the operating systems that are listed above. This includes both 32-bit and 64-bit editions.

The following operating systems are not supported as the KMS host:

  • Windows Vista, all versions

  • Windows Server 2008, including service packs

For more information, see Volume Activation 2.0 for Windows Vista and Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=151726).

Co-host an Office KMS host with a Windows KMS host

If you currently have a Windows KMS host that runs on an operating system that supports an Office 2010 KMS host, we recommend that you use the same computer for your Office 2010 KMS host. You still must follow these steps to install and activate an Office 2010 KMS host key. For more information, see Plan volume activation of Office 2010.

To activate an Office 2010 KMS host on Windows Server 2003

  • To configure an Office 2010 KMS host on Windows Server 2003, see To activate an Office 2010 KMS host on Windows Server 2003 in Deploy volume activation of Office 2010.

To activate an Office 2010 KMS host on Windows 7 or Windows Server 2008 R2

  • The KMS host service is included as part of Windows 7 and Windows Server 2008 R2. For information about how to activate the KMS host on these two platforms, see To activate an Office 2010 KMS host on Windows 7 or Windows Server 2008 R2 in Deploy volume activation of Office 2010.

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot volume activation for Office 2010

Other Resources

Office 2010 Volume Activation forum
Office 2010 forums


Prepare the infrastructure for Office 2010

Learn about how to create a network installation point by using the Microsoft Office 2010 source files that are described in this article.

In this documentation:

Article | Description
Create a network installation point for Office 2010 | Provides information and procedures to create, replicate, and secure a network installation point for the deployment of Office 2010.


Customize the installation for Office 2010

Discover the customization processes and resources that are available to help you customize a client installation of Microsoft Office 2010.

The articles that are listed and described in the following table will help you customize and configure Office 2010 and its programs.

Article | Description
Customization overview for Office 2010 | Provides a summary of the customization tools and methods for Office 2010.
Customize setup for Office 2010 | Provides information and procedures to help you customize the installation of Office 2010.
Customize specific features in Office 2010 | Provides information and procedures to help you customize language setup and settings in Office 2010.
Configure security for Office 2010 | Provides information and procedures to configure security settings for Office 2010 by using the Office Customization Tool (OCT) and Group Policy.
Configure Information Rights Management in Office 2010 | Provides information and procedures to restrict permission to content documents and e-mail messages in Office 2010 by using Information Rights Management (IRM).
Configure Outlook 2010 | Provides information and procedures to configure Microsoft Outlook 2010. This includes how to configure and use Outlook Anywhere, Cached Exchange Mode, and Microsoft Exchange Server send/receive settings.
Configure SharePoint Workspace 2010 | Provides information and procedures to configure and customize Microsoft SharePoint Workspace 2010. This includes how to test SharePoint Workspace connections.


Customization overview for Office 2010

Published: May 12, 2010

To customize an installation of Microsoft Office 2010, use the Office Customization Tool (OCT), the Config.xml file, or the Setup command-line options.

Administrators can use either the OCT or Group Policy to configure user and computer settings, depending on their business requirements. Administrators can use the OCT to provide initial default values. However, users can change the settings after Office is installed. To enforce settings, administrators must use Group Policy. For more information, see Configure user and computer settings.

In this article:

  • Summary of customization methods

  • Office Customization Tool

  • Config.xml file

  • Setup command-line options

  • Configure user and computer settings

  • Office 2010 licensing and activation

  • Summary of client customization tasks

Summary of customization methods

The following table summarizes the customization methods for Office 2010 clients and describes the recommended scenarios for each method.

Tool or method Scenario Results

Use the Office Customization Tool (OCT) to create a Setup customization (.msp) file

The OCT is the recommended tool for most customizations. This includes the following:

  • Entering a volume license key and accepting the Microsoft Software License Terms.

  • Configuring the display level of the user interface.

  • Customizing features and user settings.

  • Customizing the default Microsoft Outlook 2010 profile and Outlook 2010 and Microsoft Exchange Server 2010 options.

For more information, see Office Customization Tool.

Setup installs a default configuration on all computers to which the customization .msp file is applied. Users can modify most of the settings after the installation.

Edit the Config.xml file

The Config.xml file is used to configure most of the same options that you can configure by using the OCT, including some options that are not available in the OCT. The following options can only be configured in the Config.xml file:

  • Specifying the path of the network installation point.

  • Selecting which product to install.

  • Configuring logging options.

  • Specifying the location of the Setup customization .msp file and software updates.

  • Specifying languages to install or remove.

  • Specifying installation information, such as user name.

  • Copying the local installation source to the user's computer without installing Office 2010.

For more information, see Config.xml file.

Setup installs the specified products and languages on all computers installed by using this Config.xml file. Settings that are specified in the Config.xml file take precedence over duplicate settings in a Setup customization .msp file.

Use Setup command-line options

Setup command-line options are available only for the following customizations:

  • Running the OCT to create a Setup customization .msp file.

  • Specifying the path of a specific Setup customization file or to the folder where you store Office 2010 customization files.

  • Specifying the Config.xml file that Setup uses during the installation.

  • Modifying an existing installation.

  • Repairing a product.

  • Uninstalling a product.

For more information, see Setup command-line options.

Setup applies the customizations when it first installs Office 2010 or when it runs in maintenance mode.

You cannot set Windows Installer properties on the command line.

Use the Group Policy Object Editor Microsoft Management Console (MMC) snap-in to specify policy settings

Used to configure highly restricted or lightly managed configurations that you want to enforce for user and computer settings.

For more information, see Configuring user and computer settings by using Group Policy.

Administrators use Group Policy to define configurations one time, and then they rely on the operating system to enforce that state.

Group Policy for computers is applied at computer startup and Group Policy for users is applied when users log on. Group Policy is also applied subsequently in the background periodically.

Office Customization Tool

The Office Customization Tool (OCT) is part of the Setup program and is the primary tool for most customizations. The OCT saves customizations in a Setup customization (.msp) file, which is applied at either Setup time or during a maintenance mode operation. After you create a network installation point and before you install Office 2010, use the OCT to customize the installation. To start the OCT, click Start, click Run, browse to the root of the network installation point that contains the Office 2010 source files, and type the following at the command prompt: setup.exe /admin. For example: \\server\share\Office14ProPlus\setup.exe /admin.

In Office 2010, two architecture-specific versions of the OCT are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

Administrators use the OCT to customize the following areas:

  • Setup Used to specify default installation location and default organization name, additional network installation sources, the product key, end-user license agreement, display level, earlier versions of Office to remove, custom programs to run during installation, security settings, and Setup properties.

  • Features Used to configure user settings and to customize how Office features are installed.

  • Additional content Used to add or remove files, add or remove registry entries, and configure shortcuts.

  • Outlook Used to customize a user's default Outlook profile, specify Exchange settings, add accounts, remove accounts and export settings, and specify Send\Receive groups.

For more information about how to use the OCT, see the following resources:

  • Office Customization Tool in Office 2010

  • Customize Office 2010

  • Customize Setup before installing Office 2010

  • Configure user settings for Office 2010

  • Configure feature installation states for Office 2010

  • Configure Outlook 2010

  • Import an Office 2010 Setup customization file

Administrators can also configure some installation options by using the Config.xml file.

Config.xml file

The Config.xml file is used to specify installation options, and it runs only during setup. You can use the Config.xml file to configure most of the same options that you can configure with the OCT, including a few additional options that are not available in the OCT. The Config.xml is not installed or cached on users' computers. The Config.xml file that is stored in the core product folders (core_product_folder_name.WW folder such as ProPlus.WW for Microsoft Office Professional Plus 2010) directs Setup to install that product. If the network installation point contains multiple Office 2010 products, you can use the /config command-line option when you run Setup.exe to specify the path of the Office 2010 product that you want to install; if you do this, it will prevent Setup from prompting you about which product to install. For more information about Setup commands, see Setup command-line options for Office 2010.

If you use both an OCT Setup customization (.msp) file and the Config.xml to customize the installation, the settings that you specify in Config.xml take precedence over those in the Setup customization file. The Config.xml file in Office 2010 article provides detailed information about the installation options and indicates if a setting has a corresponding OCT setting.

You can also use the Config.xml file for maintenance operations such as adding or removing features, and repairs and uninstalls. To do this, you must run Setup again from the original source.

The following customizations can only be made by using the Config.xml file:

  • Specifying the path of the network installation point.

  • Selecting the products to install.

  • Customizing Setup options, including logging, and the location of the Setup customization file and software updates.

  • Specifying installation options, such as user name.

  • Copying the local installation source (LIS) to the user's computer without installing Office.

  • Adding or removing languages from the installation.

Setup command-line options

Administrators can also use Setup.exe command-line options to perform the following tasks:

  • Run the OCT to create a Setup customization (.msp) file.

  • Specify a path of a specific Setup customization file or to the folder where you store Office 2010 customization files.

  • Specify the Config.xml file that Setup uses during the installation.

  • Run Setup in maintenance mode and make changes to an existing Office installation.

  • Run Setup to repair the specified product from the user's computer.

  • Run Setup to remove the specified product from the user's computer.

The following table lists the commands that Setup supports.

Command | Description
/admin | Runs the OCT to create or modify a Setup customization file (.msp file).
/adminfile [path] | Applies the specified Setup customization file to the installation and can be used only for initial installations. You can specify a path of a specific customization file (.msp file) or to the folder where you store customization files.
/config [path] | Specifies the Config.xml file that Setup uses during the installation. By default, the Config.xml file that is stored in the core product folder directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Office Professional Plus 2010.
/modify [ProductID] | Used with a modified Config.xml file to run Setup in maintenance mode and make changes to an existing Office installation. For example, you can use the /modify option to add or remove features. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.
/repair [ProductID] | Runs Setup to repair the specified product from the user's computer. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.
/uninstall [ProductID] | Runs Setup to remove the specified product from the user's computer. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.

For more detailed information about Setup commands, see Setup command-line options for Office 2010.

Configure user and computer settings

As mentioned previously, depending on whether administrators must enforce user settings or whether they want to allow users to modify the settings after the installation, administrators use either Group Policy or the OCT. The majority of the Group Policy and OCT settings for Office are user settings. Most of the Office policy settings have a corresponding OCT setting.

Group Policy and the OCT can be used to configure user and computer settings for the following Office applications:

  • Microsoft Access 2010

  • Microsoft Excel 2010

  • Microsoft InfoPath 2010

  • Microsoft Office 2010 System

  • Microsoft OneNote 2010

  • Microsoft Outlook 2010

  • Microsoft PowerPoint 2010

  • Microsoft Project 2010

  • Microsoft Publisher 2010

  • Microsoft SharePoint Designer 2010

  • Microsoft SharePoint Workspace 2010

  • Microsoft Visio 2010

  • Microsoft Word 2010

Configuring user and computer settings by using Group Policy

Group Policy is an infrastructure that administrators can use to implement specific computing configurations for users and computers. Policy settings can also be applied to member servers and domain controllers within the scope of an Active Directory forest. Administrators use Group Policy to define configurations once and then rely on the operating system to enforce that state.

Group Policy settings are contained in Group Policy objects (GPOs), which are linked to selected Active Directory Domain Services (AD DS) containers — sites, domains, or organizational units (OUs). The settings within GPOs are evaluated by the affected targets using the AD DS hierarchical container structure.

The Group Policy infrastructure consists of a Group Policy engine and several individual extensions. These extensions are used to configure Group Policy settings, either by modifying the registry through the Administrative Templates extension, or by configuring Group Policy settings for security settings, software installation, folder redirection, Internet Explorer Maintenance, wireless network settings, and other areas. The Office policy settings are contained in Administrative Template (.adm or .admx and .adml) files.

To mandate Office settings configurations for users and computers, the administrator uses Group Policy, and the operating system enforces those policy settings. For example, use Group Policy to mandate security settings to help counter attacks that target e-mail and desktop documents. In an Active Directory-based environment, administrators apply policy settings to groups of users and computers in a site, domain, or OU to which a GPO is linked. True policy settings are written to the approved registry key locations for policy, and these settings have access control list (ACL) restrictions that prevent non-administrator users from changing them. Administrators use Group Policy to create highly restricted or lightly managed desktop configurations, depending on their specific business and security requirements. Group Policy settings have precedence over OCT settings.

The following table lists the approved registry key locations for Group Policy settings. Users cannot change or disable these settings.

For computer policy settings | For user policy settings
HKLM\Software\Policies (the preferred location) | HKCU\Software\Policies (the preferred location)
HKLM\Software\Microsoft\Windows\CurrentVersion\Policies | HKCU\Software\Microsoft\Windows\CurrentVersion\Policies

For Office 2010, user-specific policy settings are stored in the HKEY_CURRENT_USER\Software\Policies\Microsoft\Office\14.0 subkey. Computer-specific policies are stored in the HKEY_LOCAL_MACHINE\Software\Policies\Microsoft\Office\14.0 subkey. By default, both policy subkeys are locked to prevent users from modifying them.

Group Policy settings can be set to one of three states:

  • Not configured The policy setting is not enforced.

  • Enabled The policy setting is activated. Additional settings appear in the Properties page for some policy settings. These settings determine what happens when the policy setting is enforced.

  • Disabled For most policy settings, the Disabled state enforces the opposite behavior to that of the Enabled state. For example, if Enabled forces a feature's state to Off, Disabled forces the feature's state to On.

    For more information about using Group Policy, see Use Group Policy to enforce Office 2010 settings.

Configuring user and computer settings by using the Office Customization Tool

To specify initial default values of Office application settings for users and computers, administrators use the OCT to specify settings in a Setup customization .msp file. Users can modify most of the settings after the installation. This is because the OCT configures settings in publicly available portions of the registry, such as HKEY_CURRENT_USER\Software\Microsoft\Office\14.0 for user settings and HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0 for computer settings.

OCT settings can be set to one of the following states:

  • Not Configured The setting remains as it is.

  • Enabled The setting is modified based on your choices in the Properties page for the setting.

  • Disabled The setting is disabled. Disabling an option might be different from not configuring the option. See the description of the specific option for more information.

Office 2010 licensing and activation

Microsoft policy requires the activation of all editions of Office 2010 client software, including those obtained through a Volume Licensing program. This requirement applies to Office 2010 running on both physical computers and virtual computers. Activation is not required for any Office 2010 server products: Microsoft SharePoint Server 2010 and Microsoft Project Server 2010, or any version of Microsoft Exchange Server. In Office 2010, the activation method uses Office Activation Technologies, based on the Software Protection Platform introduced in Windows Vista and Windows Server 2008 families.

You can use the following methods to activate Office 2010 by using Office Activation Technologies, which are the same methods that are used for Windows Vista and later versions of Windows:

  • Key Management Service (KMS). KMS uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. Office 2010 enterprise deployments that are using Key Management Service (KMS) activation do not require a product key entry because all Volume License editions of Office 2010 have a KMS client key pre-installed. However, administrators must configure a KMS host computer with a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. KMS is the default option for Volume Licensed clients.

  • Multiple Activation Key (MAK). With a MAK, clients activate Office 2010 online with the Microsoft hosted activation servers or by telephone. MAK is appropriate for organizations with computers that are not connected to the corporate network for long periods of time, such as portable computers. If you use the MAK method, Office 2010 must be installed with a MAK key instead of the default KMS client key used in Volume License editions of Office 2010. MAK activation by telephone will be supported later when the product releases (RTM).

  • A combination of KMS and MAK.

For detailed information about licensing and activation of Office 2010 clients, we recommend that you read the following articles before you customize the installation: Volume activation overview for Office 2010, Plan volume activation of Office 2010, Volume activation quick start guide for Office 2010, Deploy volume activation of Office 2010, Tools to configure client computers in Office 2010.

Summary of client customization tasks

The following illustration summarizes the tasks to perform to customize an Office 2010 client installation. As with any software deployment, your Office 2010 client deployment plans must include testing in a non-production environment and conducting pilot tests with small groups of users before you deploy to all users in the organization.

Office 2010 client customization flowchart

The following resources provide information about planning and about customization tasks for Office 2010 client installations:

  • Plan for volume activation of Office 2010

  • Configure and deploy volume activation of Office 2010

  • Prepare the infrastructure for Office 2010

  • Plan for multilanguage and Proofing Tools deployment for Office 2010

  • Customize setup for Office 2010

  • Customize deployment of language setup and Proofing Tools in Office 2010

  • Configure Outlook 2010

  • Choose an option for deploying Office 2010

For information about managing Office for Mac on client computers in your organization, see Customize and deploy Office for Mac Standard 2011 (http://go.microsoft.com/fwlink/p/?LinkId=212909) in the Office for Mac documentation.

See Also

Concepts

Office Customization Tool in Office 2010
64-bit editions of Office 2010
Config.xml file in Office 2010
Setup command-line options for Office 2010
Use Group Policy to enforce Office 2010 settings
Volume activation overview for Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


Customize setup for Office 2010

Published: May 12, 2010

There are a variety of ways in which you can customize and configure an installation of Microsoft Office 2010.

To learn how, read the articles that are listed and described in the following table.

Article | Description
Customize Office 2010 | Provides information and procedures to customize an installation of Office 2010.
Customize Setup before installing Office 2010 | Provides information and procedures to customize Setup before installing Office 2010.
Configure feature installation states for Office 2010 | Provides information and procedures to customize Setup to configure feature installation states.
Configure user settings for Office 2010 | Provides information and procedures to configure Office 2010 user settings by using the Office Customization Tool (OCT).
Create Office 2010 configurations for different groups of users | Provides information and procedures to create unique configurations of Office 2010 for each group.
Import an Office 2010 Setup customization file | Provides information and procedures to import an OCT Setup customization file (.msp file) in Office 2010.
Configure a silent installation of Office 2010 | Provides information and procedures for configuring a silent installation by using the Config.xml file.
Run arbitrary commands with installations of Office 2010 | Provides information and procedures to customize Setup to run an arbitrary command or a lightweight executable to install an Office 2010 product.
Create custom configurations of Office 2010 | Describes how to deploy an initial customized installation of Office 2010 to users in an organization.
View Office Customization Tool output in Office 2010 | Provides a sample Microsoft Visual Basic script that administrators can use to view the settings that are stored in Setup customization .msp files.
Deploy customizations of Office 2010 to users in the field | Describes how to create a customized Office 2010 installation image and make the installation files available on a DVD for users who work primarily in the field.
Deploy multiple Setup customization files | Describes how to use the Office Customization Tool to create an initial setup customization .msp file and import the .msp to create a second .msp file that includes all the settings in the original .msp file and additional applications and modified settings.


Customize Office 2010

Use the Office Customization Tool (OCT) to alter the way that Setup performs installations and to configure Office applications on users' computers.

Use the OCT to configure the installation for users after you create a network installation point, but before you install Microsoft Office 2010.

In Office 2010, two architecture-specific versions of the Office Customization Tool (OCT) are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

Note:

Office 2010 does not support side-by-side installations of 64-bit and 32-bit Office, including across applications. For example, there is no support for side-by-side installations of the 2007 Office system 32-bit with Office 2010 64-bit, or for Microsoft SharePoint Workspace 2010 64-bit and Microsoft Excel 2010 32-bit. You cannot use the Office 2010 customization tools to configure side-by-side installations or customizations of 64-bit and 32-bit Office. For example, you cannot create a custom side-by-side installation with 64-bit Microsoft Office Professional 2010 and 32-bit Microsoft Visio 2010 single image. For more information about 64-bit Office, see 64-bit editions of Office 2010.

Customize Office

To customize Office by using the OCT

  1. From the root of the network installation point, run the following command line to start the Office Customization Tool: \\server\share\setup.exe /admin.

  2. In the Select Product dialog box, select a single product that you want to customize, and then click OK.

  3. In the left pane, select an area of customization and customize the options available in the right pane. For example, to configure Setup to run quietly, select Licensing and user interface in the left pane, and then select None for Display level in the right pane.

  4. When you finish making your customizations, select Save As in the File menu.

  5. Specify a unique name for the file and save the file in the Updates folder of the network installation point.

  6. Click Save.

When you run Setup.exe from the network installation point, Setup looks in the Updates folder for Setup customization files for the product that you are installing. Setup then applies your customizations to the installation.

The following articles provide more information about how to customize specific aspects of the installation:

  • To customize the default behavior of Setup during installation, see Customize Setup before installing Office 2010.

  • To customize which Office features are installed on the user's computer, see Configure feature installation states for Office 2010.

  • To customize the user's default environment during installation, see Configure user settings for Office 2010.

  • To configure Outlook options, see the Configure Outlook 2010 articles.

For complete information about the OCT, see Office Customization Tool in Office 2010.

The following customizations can only be made using the Config.xml file:

  • Specifying the path of the network installation point.

  • Selecting which product to install.

  • Customizing Setup options such as logging and the location of the Setup customization file and software updates.

  • Setting installation options such as user and company name.

  • Copying the local installation source (LIS) to the user's computer without installing Office.

  • Adding or removing languages from the installation.

For more information about how to use the Config.xml file, see Config.xml file in Office 2010.

See Also

Concepts

Setup architecture overview for Office 2010
Volume activation overview for Office 2010
Plan volume activation of Office 2010
Volume activation quick start guide for Office 2010
Deploy volume activation of Office 2010
Customization overview for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010
64-bit editions of Office 2010
Import an Office 2010 Setup customization file


Customize Setup before installing Office 2010

You can use the Office Customization Tool (OCT) to customize and control the installation of Microsoft Office 2010 on users' computers.

To customize Setup for Microsoft Office 2010, follow the procedures in this article before you begin the installation.

In Office 2010 (as in the 2007 Microsoft Office system), Setup controls the complete installation. This includes processes that Windows Installer handled in Office versions earlier than the 2007 Office system. Customizing the default behavior of Setup lets you control the process — for example, to run the installation without user interaction, to handle the product key and the Microsoft Software License Terms on behalf of users, and to specify an organization name or a different installation location.

We recommend that you read the Volume activation overview for Office 2010, Plan volume activation of Office 2010, and Configure and deploy volume activation of Office 2010 articles before customizing Setup.

In this article:

  • Customize Setup

  • Install Office silently

Customize Setup

To customize how Setup manages the installation process, use the Office Customization Tool (OCT) to create a Setup customization (.msp) file. Setup applies this file when users install Office on their computers.

In Office 2010, two architecture-specific versions of the Office Customization Tool (OCT) are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

To customize Office Setup

  1. Create a network installation point by copying all the files and folders from the Office CD to a folder on the network. For more information, see Create a network installation point for Office 2010.

  2. From the root of the network installation point, run the following command line to start the Office Customization Tool:

    setup.exe /admin

  3. Select the product that you want to configure, and then click OK.

  4. In the left pane, click Installation location and organization name.

  5. In the Default installation path box, enter the path of a default installation location on users' computers. You can enter a relative path that includes the folder keyword [ProgramFilesFolder].

  6. In the Organization name box, enter a default organization name for all users who install Office with this customization file.

  7. In the left pane, click Additional network sources, and then click Add.

  8. In the Network server box, enter the path of any backup sources that you have created on the network. If neither the user's local installation source nor the original network installation point is available, Setup uses one of these replicated installation points for operations that require the source. You can add as many sources as you need.

  9. In the left pane, click Licensing and user interface. The following options are available:

    • Use KMS client key - A product key entry is not required for enterprise deployments that are using Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. Only a KMS host computer needs a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. By default, the Use KMS client key option is selected.

      For more information about the licensing options for Office 2010, see Volume activation overview for Office 2010. For information about how to configure the KMS host, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

    • Enter another product key - You can enter a valid Multiple Activation Key (MAK) key in the OCT by using the Enter another product key entry. A MAK key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. With a MAK, clients activate Office 2010 online by using the Microsoft hosted activation servers or by telephone.

      To use a MAK key, select the Enter another product key option, and in the Product key text box, enter the MAK key (twenty-five numbers or characters) without spaces. For more information about using a MAK key, see Deploy volume activation of Office 2010.

      Note:

      You can also use the Enter another product key option to enter a KMS key for Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010. Visio 2010 is preinstalled with the Microsoft Visio Premium 2010 KMS client key. This enables all the Microsoft Visio Premium 2010 features. However, if you have a license agreement for either Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010, you must install the appropriate KMS client key. The features that are available depend on the key that is installed.

      For more information that includes a list of KMS keys for license agreements for Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010, see Deploy Visio 2010 in Deploy volume activation of Office 2010.

  10. Select the I accept the terms in the License Agreement check box. When you provide this information in a Setup customization file, users are not prompted for a product key or Microsoft Software License Terms during the installation or the first time that they start an Office application.

  11. In the right pane, set the Display Level to Basic or None to install Office quietly (without user interaction). More information about display settings is provided later in this article.

    Note:

    In enterprise deployments, we recommend that you set Display level to None to ensure that Setup runs silently, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used. Setting Display Level to none assumes that the Suppress modal and Completion notice options are silenced and that the Microsoft Software License Terms is accepted. Administrators must also make sure that no Office applications are running during an installation of Office 2010.

    If you set Display level to Basic and select the Suppress modal option, users may be prompted if any Office files are being used. Setting Display level to None prevents prompting users in these cases. The Suppress modal option does not prevent files-in-use messages from displaying; only Display level set to None prevents their display.

  12. Make any additional customizations. Click Save on the File menu, and then click save the Setup customization file in the Updates folder at the root of the network installation point.

Your customizations apply to any language version of the specified product that is available on the network installation point. Most customizations apply to the language-neutral core product. However, the feature tree in the tool also includes a subset of language-specific features. Customizations to language-specific features are applied when a user installs that language; otherwise, they are ignored.

Note:

Typically, you do not need to customize logging options. By default, Setup creates a standard log file and saves it as a text file in the %Temp% folder on the user's computer. If an installation fails, Setup creates a verbose log file, starting with the package that caused the failure, in the same location. To change logging options, open the Config.xml file in Notepad and modify the <Logging> element. For more information, see Config.xml file in Office 2010.

Install Office silently

When you deploy Office throughout an organization, you determine how much of the Setup user interface is displayed to users. By default, Setup runs interactively and gives users choices during the installation. If you are distributing a customized configuration, we recommend that you limit how much users interact with Setup. The installation continues with fewer interruptions, and your customizations are set by default for all users. For more information about display options, see Licensing and user interface in Office Customization Tool in Office 2010.

If you are using a deployment tool such as Microsoft System Center Configuration Manager 2007 or Microsoft Systems Management Server (SMS) to deploy Office while users are not logged on to the network, set the display level to None, which installs Office without displaying any Setup user interface.

Note:

When you install Office silently, you must provide a valid product key. If the product key is missing, Setup logs an error and exits. As mentioned previously, if you are using KMS activation, a product key entry is not required because all Volume License editions of Office 2010 have a KMS client key pre-installed; however, if you are using MAK, you must enter the MAK key. If you do not accept the license terms on behalf of users, Setup does complete the installation. However, by installing Office silently, you have implicitly accepted the license terms.

The Windows Installer properties DISPLAY and PIDKEY do not work in Office 2010 (or in the 2007 Office system). Instead, in Office 2010 you customize Setup directly by specifying a display setting and specifying a product key in the OCT either by accepting the default option, Use KMS client key if you are using KMS validation, or by entering a MAK key in the Enter another product key textbox if you are using KMS, as described in Customize Setup.

Because Setup plays a more significant role in controlling the installation, many Windows Installer properties are no longer required. In fact, some Windows Installer properties are blocked and generate an error if you try to set them using the Office Customization Tool. For a complete list of the Setup properties that you can use with the Office 2010, and also a list of blocked or unsupported properties and their corresponding new mechanisms, see Setup properties in Office 2010.

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Configure and deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Deploy volume activation of Office 2010
Office Customization Tool in Office 2010
Customize Office 2010
Config.xml file in Office 2010
Setup properties in Office 2010
Setup architecture overview for Office 2010


Configure feature installation states for Office 2010

Use the Office Customization Tool (OCT) to create a Setup customization file (.msp file) to configure an Office 2013 installation for users.

After you create a network installation point but before you install Microsoft Office 2010, you can use the Office Customization Tool (OCT) to create a Setup customization file (.msp file) to configure the installation for users. You can use the OCT to change the default way that Office features are installed. You can set some features to be installed on the user's computer, some features to be installed only on first use, and some features not to be installed. You can even hide or lock features so that a user who runs Setup interactively can't change what you have configured. For information about the network installation point, see Create a network installation point for Office 2010.

In Office 2010, two architecture-specific versions of the Office Customization Tool (OCT) are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

Configure installation states

Use the following procedure to configure feature installation states.

To configure Office feature installation states

  1. To start the OCT, from the root of the network installation point, type the following at the command prompt: setup.exe /admin.

  2. In the Select Product dialog box, select the product that you want to configure, and then click OK.

  3. In the left navigation pane, locate Features, and then click Set feature installation states.

  4. In the right navigation pane, expand the tree and select the feature that you want to customize. For example, if you opt not to install the Equation Editor, expand Microsoft Office and Office Tools, right-click Equation Editor, and then select the installation options Not Available, Hidden, and Locked. Setup does not install the Equation Editor and, if Setup is run interactively, this feature is not visible and the user can't install it.

  5. On the File menu, click Save As.

  6. In the Save As dialog box, specify a path and file name for the Setup customization file, and then click Save.

  7. On the File menu, click Exit.

  8. Copy the Setup customization file to the Updates folder in the network installation point.

When you run Setup to install Office, Setup uses the customization file that it finds in the Updates folder and configures Office features according to your customizations.

The following table describes the available installation options.

Option Description

Run from My Computer

Setup copies files and writes registry entries and shortcuts that are associated with the feature to the user's hard disk, and the feature (or application) runs on the user's computer.

Run all from My Computer

This option is the same as Run from My Computer, except that all child features that belong to the feature are also set to this state.

Installed on First Use

Setup leaves components for the feature and all of its child features in the local installation source until the user first attempts to use the feature, at which time the components are copied to the Office program folder on the user's local hard disk. Some features do not support Installed on First Use; this option is not available for these features in the OCT.

Not Available

The components for the feature, and all of the child features that belong to that feature, are not installed on the user's computer.

Note:

The Not Available installation state is reversible. When Not Available is set, a feature will not be installed. However, the feature can be installed locally later by using an .msp or a Config.xml file.

To unlock and install a feature locally, you can edit the Config.xml file to modify the OptionState element as described in the note for the Locked feature state description. For more information about the Config.xml file, see Config.xml file in Office 2010.

You can also use the OCT to create an .msp file to install a feature locally. To do this, choose Set feature installation states in the navigation pane. In the details pane, select (right-click) a feature, and then set the feature installation state to Run All from My Computer. For more information, see Set feature installation states in Office Customization Tool in Office 2010.

Hidden

The feature and all of its child features do not appear in the feature tree when Setup runs interactively. Setup uses the default installation state, or the state specified in the customization file, to determine how to install the feature.

Note:

The Hidden option is not reversible. After it is set, a Hidden feature will not be displayed in the feature tree during or after installation. You can't use another Config.xml file or apply a second .msp file after the initial installation to "unhide" a feature.

The feature remains hidden even if you opt to change your installation by using Programs and Features in Control Panel to change your Office 2010 installation.

It will also not be displayed in the Office Setup feature installation tree under the Add or Remove Features option for Office 2010. Though the feature remains hidden, you can unlock the feature to install and run it locally later by using an .msp file or a Config.xml file.

Locked

The feature can't be changed by the user during interactive Setup or maintenance mode.

Note:

The Locked option is reversible. If you set the Locked option for a feature by using the OCT or the Config.xml file during initial installation, that feature can be unlocked and installed locally by using an .msp file or a Config.xml file at a later date.

For example, you can edit the Config.xml file to modify the OptionState element as shown in the following example. This adds the OptionState element line to install the feature (in this case, Microsoft Access 2010) on a user's computer, and to set child features of the feature to the specified state.

  • To edit the Config.xml file to modify the OptionState element, open the Config.xml file in the core product folder (core_product_folder_name.WW folder, for example, ProPlus.WW) for the Office 2010 product that you are installing. Use a text editor tool, such as Notepad, to modify the file.

  • Locate the line in the Config.xml file that contains the OptionState element:

    <!-- <OptionState Id="OptionID" State="absent" Children="force" /> -->

  • Modify the OptionState element as follows and then save the Config.xml file:

    <OptionState Id="ACCESSFiles" State="local" Children="force" />

For information about the OptionState element, see Config.xml file in Office 2010.

You can also use the OCT to create an .msp file to install a feature locally. To do this, choose Set feature installation states in the navigation pane. In the details pane, select (right-click) a feature, and then set the feature installation state to Run All from My Computer. For more information, see Set feature installation states in Office Customization Tool in Office 2010.

Note:

The following subcomponents of Microsoft Publisher 2010 are not visible in the Setup feature installation state tree in Office 2010:

  • Commercial Printing and its Enhanced RGB to CMYK Conversion subcomponent

  • Font Schemes

  • PaperDirect Previews

  • Publisher Templates and its Business Publications and Other Publications subcomponents

When you change the installation state of a feature, Setup might change the installation state of a parent or child feature to match. For more information, see the Set feature installation states section in Office Customization Tool in Office 2010.

As with any deployment of Office, make sure that you test customizations and deployment in a non-production environment before you deploy Office 2010 to users in the organization.

See Also

Concepts

Create a network installation point for Office 2010
Customize Office 2010
Setup architecture overview for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010

Other Resources

How to install Office 2010 applications for a subset of users in your organization


Configure user settings for Office 2010

The Office Customization Tool (OCT) helps you create a Setup customization file (.msp file) to configure user settings for a customized environment.

The OCT lets you customize the user's environment before you deploy Microsoft Office 2010.

For example, you can use the OCT to configure the default settings for several AutoCorrect options in Microsoft Word 2010. When you configure a user setting, that setting is in place when the user first runs an Office application.

Note:

Configuring a user setting in this manner is not necessarily permanent; it merely establishes the initial default value for the setting. The user can modify most settings after Office is installed. If you have to enforce user settings and prevent users from changing the settings, use Group Policy. For information about using Group Policy, see Use Group Policy to enforce Office 2010 settings.

In Office 2010, two architecture-specific versions of the Office Customization Tool (OCT) are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

For the latest information about OCT settings, please refer to the updated Microsoft Excel 2010 workbook, Office2010GroupPolicyAndOCTSettings_Reference.xls which is available in the Files to download section of the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download page. The OCT settings are listed in the OPAX and OPAL Settings worksheet.

Configure user settings

Use the following procedure to configure user settings for Office 2010.

To configure user settings

  1. To start the OCT, from the root of the network installation point, type the following at the command prompt: setup.exe /admin.

  2. In the Select Product dialog box, select the product that you want to configure, and then click OK.

  3. In the left navigation pane, locate Features, and then click Modify user settings.

  4. In the right navigation pane, expand the tree, and then click the product for which you want to configure settings.

  5. In the Settings column, double-click the user setting that you want to configure. A Properties dialog box appears.

  6. Select one of the following options, and then click OK.

    • Not Configured The setting remains as it is.

    • Enabled The setting is modified based on your choices in the Properties dialog box. If values are available for the setting, select the value that you want to use.

    • Disabled The setting is disabled. Note that disabling an option may be different from not configuring the option. See the description of the specific option for more information.

      Note:

      If you click Enabled to view the options for a setting and then click OK, Previous Setting, or Next Setting, the status changes to configured, even if you do not change the setting. Inadvertently configuring the setting with an empty hyperlink, path, or file name can cause errors. If you clicked Enabled and want to ignore your changes or avoid configuring the setting, click Cancel in the Properties dialog box for the setting. You can also return a setting to the Not Configured state by double-clicking the setting, selecting Not Configured, and clicking OK.

    For example, to specify the default format in which you want users to save Word 2010 files, in the navigation pane expand Microsoft Word 2010, expand Word Options, and then click Save. In the list pane, in the Setting column, double-click Default file format. The Default file format Properties dialog box appears. Select Enabled, click the drop-down list arrow, click the file format that you want to specify, and then click OK.

  7. If you want to preserve user settings from previous versions of Office, select the Migrate user settings check box.

    Note:

    If you modify user settings and also select the Migrate user settings check box, Setup first applies the modified settings and then migrates the user's existing custom settings, overwriting any conflicting settings.

  8. On the File menu, click Save As.

  9. Specify a path and file name for the Setup customization file, and then click Save.

  10. On the File menu, click Exit.

  11. Copy the Setup customization file to the Updates folder in the network installation point.

When you run Setup to install Office 2010, Setup uses the Setup customization file (.msp file) in the Updates folder and configures user settings.

See Also

Concepts

Create a network installation point for Office 2010
Customize Office 2010
Setup architecture overview for Office 2010
Office Customization Tool in Office 2010
Use Group Policy to enforce Office 2010 settings


Create Office 2010 configurations for different groups of users

Administrators can create unique configurations of Microsoft Office 2010 and customize them for each group of users by using either of two methods.

The first method uses the Office Customization Tool (OCT) to create a Setup customization .msp file for each group. You then use the command line to run Setup and specify the customization .msp file.

The second method uses the Config.xml file and a Setup customization .msp file to customize the installation, and uses a separate installation folder that contains the Setup program and all the customization files for the installation. You then run Setup from that separate installation folder.

In Office 2010, two architecture-specific versions of the OCT are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010.

Typically, the first step in a corporate deployment of Office 2010 is to create a network installation point. You do this by copying all the source files from your Office CD to a shared location on the network. Users run Setup from the network installation point, or you use the installation point as a starting place to create a hard-disk image or a custom CD or to distribute Office by using a deployment management tool such as Microsoft System Center Configuration Manager. For more information, see Create a network installation point for Office 2010.

In this article:

  • Create custom configurations for a group of users

  • Create a custom configuration for a group of users by using a separate installation folder

Create custom configurations for a group of users

The method described in this section uses the OCT to create a unique Setup customization file (.msp file) for each group. Then you install Office for the users by specifying the customization file on the Setup command line.

To configure customizations for a group of users

  1. Create a network installation point for Office. For more information, see Create a network installation point for Office 2010.

  2. In the root of the network installation point, create a folder for your Setup customization files.

    Note:

    Do not put your customization files in the Updates folder. Setup automatically applies customization files that it finds in this folder during installation. Instead, you direct Setup to use only the customization file that you specify on the command line, as described in step 5.

  3. Start the OCT by running Setup from the network installation point. Specify the /admin command-line option; for example, \\server\share\setup.exe /admin. For more information, see Office Customization Tool in Office 2010.

  4. Make the customizations that you want to use for the first group of users.

    1. On the File menu, click Save.

    2. Specify a unique name for the Setup customization file. Save the file in the folder that you created.

    3. Repeat the process to create a unique Setup customization file for each group of users.

  5. Run Setup for the users within each group. Specify the appropriate Setup customization file by using the /adminfile command-line option. For example, to install Office for users in the Accounting department, run \\server\share\setup.exe /adminfile \\server\share\custom\accounting.msp. For more information, see Run Setup from a network installation point.

Create a custom configuration for a group of users by using a separate installation folder

The method described in this section uses the Config.xml file and a Setup customization .msp file to create customizations for each group of users. It also uses a separate installation folder from the primary network installation point to store Setup.exe, Config.xml, Osetup.dll, and the Setup customization .msp files. The remaining necessary installation files will be contained in the primary network installation folder for Office 2010. You run (or have users run) Setup from that separate installation folder.

The primary difference between the method described in this section and the preceding one is the use of the separate installation folder. The benefit of a separate installation folder for a group of users is that you (or the users in that group) can run Setup from that separate installation location and receive the customized configuration of the group without having to use complex commands and network paths with Setup.exe.

To create and install a custom configuration for a group of users by using a separate installation folder

  1. Create a folder that is separate from the primary network installation folder for Office 2010. For example, GroupCustomOfficeInstallFolder.

  2. Create a copy of Setup.exe, Config.xml, and Osetup.dll in the new folder. These files are in the primary network installation folder.

    Setup.exe is located at the root of the folder. The Config.xml file and Osetup.dll are stored in the core product folder: core_product_folder_name.WW folder; for example, ProPlus.WW.

  3. Using a text editor, open Config.xml and do the following:

    • Edit the Location attribute in the DistributionPoint element to get the Office 2010 installation files from the primary network installation folder, as shown in the following example. For information about Config.xml, see Config.xml file in Office 2010.

      Copy Code
      <DistributionPoint Location=\\share\PrimaryOffice2010NetworkInstallationFolder />

    • If you used the OCT to create one or more Setup customization files (.msp files), edit the CheckForSUpdates and SUpdateLocation attributes in the SetupUpdates element in Config.xml as shown in the following example to enable Setup to find Setup customization files in the new folder. (By default, Setup looks for Setup customization files in the Updates folder, and then runs them in alphabetical order if there is more than one.)

      Copy Code
      <SetupUpdates
   CheckForSUpdates="Yes"
   SUpdateLocation="<\\share\GroupCustomOfficeInstallFolder\Updates>"
/>
    Important:

    • Use a text editor, such as Notepad, to edit Config.xml. Do not use a general-purpose XML editor, such as Microsoft Word 2010.

    • For more information about how to create Setup customization files, see Office Customization Tool in Office 2010.

  4. Run Setup.exe from the new GroupCustomOfficeInstallFolder folder. You can map a drive for users or run Setup from the command line, as shown in the following example.

    Copy Code
    \\share\GroupCustomOfficeInstallFolder\setup.exe

You can use the Config.xml file to configure the following areas:

  • Specify the path of the network installation point.

  • Select which product to install.

  • Customize Setup options, such as logging and the location of the Setup customization file and software updates.

  • Add or remove languages from the installation.

  • Set installation options, such as user name and company name.

  • Copy the local installation source (LIS) to users' computers without installing Office.

For more information, see Config.xml file in Office 2010.

As with any Office deployment, test customizations and deployment in a nonproduction environment before you deploy Office to users in the organization.

See Also

Concepts

Setup architecture overview for Office 2010
64-bit editions of Office 2010
Office Customization Tool in Office 2010
Customize Office 2010
Config.xml file in Office 2010


Import an Office 2010 Setup customization file

In Microsoft Office 2010, you can import an Office Customization Tool (OCT) Setup customization file (.msp file). This is a new feature in Office 2010.

To learn how to import an OCT .msp file in Office 2010, follow the instructions that are provided in this article.

In this article:

  • Overview

  • Import a Setup customization file

  • Import languages to an existing installation

This article also includes a video that demonstrates how to Import a Setup customization file.

Overview

In Office 2010, two architecture-specific versions of the Office Customization Tool are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version.

You start the OCT by running the setup.exe /admin command at the command prompt from the root of the network installation point that contains the Office 2010 source files. (For more information, see Create a network installation point for Office 2010.) For example, run the following command line to start the OCT: \\server\share\Office14\setup.exe /admin. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder.

The OCT supports the importing of Setup customization files (.msp files):

  • 32-bit .msp files can be imported into the 64-bit OCT, and then they can be used to customize 64-bit Office 2010 products.

  • 64-bit .msp files can be imported into the 32-bit OCT, and then they can be used to customize 32-bit Office 2010 products.

Note:

Importing customization .msp files is intended for equivalent cross-architecture products only. You can import a 32-bit Microsoft Office Professional Plus 2010 customization .msp file into the 64-bit version of the OCT for a 64-bit Office Professional Plus 2010 .msp file. However, you cannot import a 32-bit Microsoft Word 2010 stand-alone customization .msp file into the 64-bit OCT for a 64-bit Office Professional Plus 2010 .msp file; doing so is prevented and displays an error message. For information about how to use the OCT to create a Setup customization file and about all the areas that you can configure with the OCT, see Office Customization Tool in Office 2010.

You cannot import 2007 Microsoft Office system Setup customization files (.msp files) into the Office 2010 OCT.

The Import feature can also be used when you have created an initial Setup customization file (.msp file) for an Office 2010 product (for example, Microsoft Office Professional Plus 2010) and you later want to modify the installation to add language packs. In such cases, you first add the language packs to the network installation point that contains the Office product source files. Then, you run the OCT from the root of the network installation point and create a new Setup customization file for the same product, and import the original customization .msp file that you created previously for Microsoft Office Professional Plus 2010. For more information, see To import a customization .msp file to add languages to an existing installation.

Import a Setup customization file

Use the following procedure to import a Setup customization file (.msp file).

To import a Setup customization file

  1. Start the OCT by typing setup.exe /admin at the command prompt from the root of the network installation point that contains the Office 2010 source files. For example:

    \\server\share\Office14\setup.exe /admin

  2. To import a customization .msp file, in the OCT, on the File menu, click Import.

  3. In the Open dialog box, select the .msp file that you want to convert, and then click Open to start the conversion.

  4. On the File menu, click Save As. Specify a unique name for the file and save the file in the Updates folder of the network installation point for the platform for which you imported the customization .msp file (either 32-bit or 64-bit). For example, if you imported a 32-bit customization .msp file for customizing a 64-bit installation of Office 2010, you would save the file in the Updates folder of the network installation point for 64-bit Office 2010.

  5. Click Save.

Office Customization Tool Import feature

Running time: 06:06

Play video Watch a video that demonstrates how to use the OCT import feature (http://go.microsoft.com/fwlink/p/?LinkID=203128).

Download video For an optimal viewing experience, download the "Office 2010 client: Office Customization Tool import feature" video (http://go.microsoft.com/fwlink/p/?LinkID=203128).

Right-click the link, and then click Save Target As to download a copy. Clicking the link will open a .wmv file in the default video viewer for full-resolution viewing.

Import languages to an existing installation

If you create a Setup customization file (.msp file) to customize the Office 2010 installation and later decide to add languages, you can use the Import option in the OCT to apply the language changes. Use the following procedure to import languages to an existing installation. This procedure uses Office Professional Plus 2010 as an example.

To import a customization .msp file to add languages to an existing installation

  1. Add the language packs that you want to use to the network installation point that contains the Office Professional Plus 2010 source files. For more information, see Create a network installation point for Office 2010.

  2. Run the OCT by typing setup.exe /admin at the command-line prompt from the root of the network installation point that contains the Office Professional Plus 2010 source files. For example:

    \\server\share\Office14\setup.exe /admin

  3. In the Select Product dialog box, click Create a new Setup customization file for the following product and then choose the same product for which you previously customized installation options, Microsoft Office Professional Plus 2010 in this example.

  4. To import the original customization .msp file that you created previously for Microsoft Office Professional Plus 2010, on the File menu, click Import.

  5. In the Open dialog box, select the .msp file that you want to update.

  6. On the File menu, click Save As. Specify a unique name for the .msp file, and then click Save.

    Note:

    The Updates folder supports only one Setup customization .msp file. Therefore, if you import a Setup customization .msp file to add languages to an existing installation, we recommend that you replace your previous customization .msp file (the original .msp file) with the new customization .msp file that contains the language packs information.

  7. Deploy and apply the updated Setup customization file .msp to users' computers.

    To apply the Setup customization (.msp) file to existing installations, you must apply the .msp file directly to the user's computer. Users can apply the Setup customization .msp file by double-clicking the .msp file, or by running the msiexec command with the /p option as shown in the following example (using custom.msp): msiexec.exe /p \\server\share\custom.msp.

    For more information about Windows Installer commands, see Windows Installer Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkID=162945).

    You can also use a deployment management program, such as Microsoft System Center Configuration Manager 2007, to deploy Setup customization files.

See Also

Concepts

Office Customization Tool in Office 2010
Create a network installation point for Office 2010
Customize Office 2010
Customize Setup before installing Office 2010
Setup architecture overview for Office 2010
64-bit editions of Office 2010

Other Resources

Video: Office 2010 client: Office Customization Tool import feature


Configure a silent installation of Office 2010

Published: May 12, 2010

You can configure a silent installation of Microsoft Office 2010 by using the Config.xml file.

The Config.xml file is used to configure installation tasks and is used only when you run Setup. It is not installed or cached on users' computers. You can edit the Config.xml file to customize an installation.

By default, the Config.xml file that is stored in the core product folder, core_product_folder_name.WW, directs Setup to install that product. For example, if ProPlus.WW is the folder name, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

If you are using Key Management Service (KMS) activation to activate Office 2010 for an enterprise deployment, a product key entry is not required because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products that are licensed under Microsoft Volume Licensing programs. When you install a Volume License edition of Office 2010, Office seeks a KMS host to activate against.

A Multiple Activation Key (MAK) key is another method that Office Activation Technologies provides for activating products that are licensed under Microsoft Volume Licensing programs. If you use MAK activation, you can add a MAK key by using the PIDKEY element in the Config.xml file. Note that the PIDKEY element is only used for volume license editions of Office 2010. It does not apply to Office Professional Plus for Office 365.

You can also use the AUTO_ACTIVATE property of the Setting element in Config.xml to specify that product activation occur automatically during Office 2010 deployment.

Important:

When the AUTO_ACTIVATE property is added to an installation, it triggers an attempt to activate Office 2010 only one time. If that activation attempt fails (for example because of proxy issues, user rights, or Internet connectivity issues), another attempt will not be made and users will later be prompted to activate Office 2010.

For more information about volume activation, see Plan volume activation of Office 2010 and Deploy volume activation of Office 2010. For information about Config.xml elements and syntax, see Config.xml file in Office 2010.

Modify the Config.xml file to configure a silent installation and automatic activation (using a MAK key)

To configure a silent installation (unattended installation) of an Office 2010 product that requires no user interaction, modify the Config.xml file for the product that you are installing and set the Display element's Level attribute to "none" (Display Level="none"), and then save the Config.xml file, as shown in the following procedure. The Display element specifies the level of user interface that Setup displays to users. The following procedure also provides instructions for adding a MAK key and the automatic activation option.

To specify silent installation options in Config.xml

  1. Open the Config.xml file for the Office product (such as Office Professional Plus 2010) that you are installing by using a text editor tool, such as Notepad.

  2. Locate the line that contains the Display element, as shown in the following example:

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

  3. Modify the Display element entry with the silent options that you want to use. Make sure that you remove the comment delimiters, "<!--" and "-->". For example, use the following syntax:

    <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

    These options will direct Setup to run silently, prevent prompting users to enter information, and prevent the installation from waiting for any user interaction. For more information about the syntax and Config.xml, see Display element in Config.xml file in Office 2010.

  4. To add a MAK key, use the PIDKEY element to enter the 25 character volume license key. Add the following line to the Config.xml file:

    <PIDKEY Value="AAAAABBBBBCCCCCDDDDDEEEEE" />

    AAAAABBBBBCCCCCDDDDDEEEEE represents the product key. Use your organization's specific MAK product key for Office 2010.

  5. To set the automatic activation option, add the following line to the Config.xml file:

    <Setting Id="AUTO_ACTIVATE" Value="1" />

    Not setting AUTO_ACTIVATE is the same as setting AUTO_ACTIVATE to a value of 0. The result is that product activation does not occur during Office 2010 deployment.

  6. Save the Config.xml file.

Important:

Make sure that no Office applications are running when you install Office 2010.

For example, to install Office Professional Plus 2010 after you modify the Config.xml file to specify silent installation options, use the following command:

\\server\share\setup.exe /config \\server\share\ProPlus.WW\config.xml

Where:

\\server\share is the path of the Office Professional Plus 2010 source files.

/config is a Setup command-line option that specifies the location of the Config.xml file. See Setup command-line options for Office 2010.

\\server\share\ProPlus.WW\config.xml is the location of your modified Config.xml file for Office Professional Plus 2010.

Note:

If you use the Config.xml file to set silent installation options as in the previous example, you will also want to use the Office Customization Tool (OCT) to create a Setup customization file (.msp file) to configure additional installation customizations. For example, you can use the OCT to specify earlier versions of Microsoft Office applications to keep or remove. You can also set feature installation states by using the OCT to change the default way in which Office features are installed. For a complete description of the areas that you can configure by using the OCT, see Office Customization Tool in Office 2010. The OCT is available with Volume Licensing editions of Office 2010 (and the 2007 Office system). To determine whether your Office 2010 installation is a Volume Licensing edition, check the Office 2010 installation disk to see whether it contains a folder named Admin. If the Admin folder exists, the disk is a Volume Licensing edition. If the Admin folder does not exist, the disk is a retail edition.

You can also set silent installation options by using the OCT. For more information, see the Licensing and user interface section in Office Customization Tool in Office 2010. The Level attribute of the Display element in the Config.xml file is equivalent to the Display Level option in the OCT. In enterprise deployments, we recommend that you set the Display Level to None if you use the OCT to ensure that Setup runs silently. This prevents prompts to users to enter information, and prevents the installation from waiting for any user interaction, even when files are in use. You should also ensure that the Suppress modal and Completion notice options are silenced and that the I accept the terms in the License Agreement check box is selected. As noted previously, administrators must also make sure that no Office applications are running during an installation of Office 2010.

The following example shows how to use the OCT to set silent installation options, enter a MAK product key, and specify the AUTO_ACTIVATE property value for automatic activation.

To configure silent installation and automatic activation options in the OCT

  1. Run the OCT by typing setup.exe /admin at the command line from the root of the network installation point that contains the Office 2010 source files. For example, use \\server\share\Office14\setup.exe /admin.

  2. To set silent installation options, select Licensing and user interface in the left pane, select None in the Display level drop-down box, select Suppress modal, clear the Completion notice check box, and then select I accept the terms in the License Agreement.

  3. To enter a MAK key, select Licensing and user interface in the left pane, and in the right pane select Enter another product key, add your organization's MAK product key for Office 2010 in the Product key text box.

  4. To set automatic activation options, select Modify Setup properties on the left pane, and then click Add in the right pane.

  5. In the Add Property Value dialog box, in the Name box, type AUTO_ACTIVATE. Note that property names must be uppercase.

  6. In the Value box, type 1, and then click OK.

  7. When you complete your customizations in the OCT, click Save as on the File menu to save the Setup customization .msp file.

See Also

Concepts

Config.xml file in Office 2010
Office Customization Tool in Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010


Run arbitrary commands with installations of Office 2010

If you want to run an arbitrary command or lightweight feature during Setup, use the Microsoft Office 2010 Setup chaining feature.

By default, the Setup program for Office 2010 installs one Office product at a time. To add an arbitrary command or a lightweight executable, you can use the Add installations and run programs feature in the Office Customization Tool (OCT) or the Command element in the Config.xml file. We recommend that you limit the use of Add installations and run programs and the Command element to running only lightweight executables or arbitrary commands that will not make changes to the computer or that do not require user input. For example, you can run a utility to copy logs or a command to launch a Welcome page at the end of installation.

The Add installations and run programs option in the OCT (command lines entered in the Add Program Entry and Modify Program Entry dialog boxes) and the Command element in the Config.xml file are intended to be used only for initial product installations and uninstallations. The commands are processed only during initial installations and uninstallations.

Important:

Chaining is not as reliable as installing each product separately. For example, if you chain two installations together and one of the products fails or encounters an unexpected error, the primary installation and the chained installation might not finish successfully. Therefore, we do not recommend using the chaining approach. The recommended method for installing multiple products together is to use a deployment management program, such as Microsoft Systems Management Server or Microsoft System Center Configuration Manager 2007, or a third-party tool, instead of chaining.

In the following example, the OCT is used to add an arbitrary program to the installation.

To customize the primary installation to run a command

  1. Create a network installation point that includes the product that you will install. For more information, see Create a network installation point for Office 2010.

  2. Run the OCT by running Setup.exe from the root of the network installation point with the /admin command-line option. For example, run: \\server\share\Office14\setup.exe /admin.

  3. In the Select Product dialog box, select the product that is the primary installation.

  4. In the left pane of the OCT, select Licensing and user interface. In the right pane, set Display level to None, enter the Product key, and select I accept the terms in the License Agreement.

    For more information about "Licensing and user interface" and Display level options, see Office Customization Tool in Office 2010.

  5. In the left pane, select Add installations and run programs. In the right pane, click Add.

  6. In the Add Program Entry dialog box, perform the following steps for the executable that is chained.

    • For Target, enter the fully qualified path of the executable file that you want to run after the primary installation. For example, enter \\server\share\Office14\copylogs.bat.

    • For Arguments, enter the string of arguments to be passed to the executable. For example, enter: QuietArg="/q" Wait="30000".

      For information about the Command element and supported attributes, see "Command element" in Config.xml file in Office 2010.

      Note:

      As mentioned previously, command lines entered in the Add Program Entry and Modify Program Entry dialog boxes are intended to be used only for initial installs and uninstalls. Command lines are processed only during initial installs and uninstalls.

    • Select the Run this program after the Office product has been installed option to run the program listed in the Target box after the Office installation is completed. This is the recommended option.

      You can also select the Run this program before the Office product has been installed option if you want the program listed in the Target box to run before the Office installation starts. However, if the program does not terminate correctly, or if it restarts the computer, Office is not installed, and programs further down the list do not run.

    • Click OK.

  7. Make other customizations in the OCT as needed.

  8. Save the Setup customization file (.msp file) with a unique name in the Updates folder of the network installation point.

  9. Exit the OCT.

To install the product

  1. Run Setup from the root of the network installation point. For example, if the primary product is Microsoft Office Professional Plus 2010, enter \\server\share\setup.exe

    -or-

    If you also used the Config.xml file to configure installation options in addition to the OCT setup customization .msp file customizations, run Setup from the root of the network installation point and specify the Config.xml file that you customized for the primary product. For example, if the primary product is Office Professional Plus 2010, enter:

    \\server\share\setup.exe /config \\server\share\ProPlus.WW\config.xml

  2. In the Select Product dialog box, select the primary product.

After Setup installs the primary product, it runs the arbitrary command or lightweight executable that you specified in the OCT.

Tip:

You can put the customization files that you created in a location other than the Updates folder. Just add the /adminfile option to the Setup command lines in the procedures earlier in this section to specify the customization files to use. For more information about how to use Setup command-line options, see Setup command-line options for Office 2010.

How it works

The Setup program for the primary product follows the typical installation process. After that installation is complete, Setup runs the additional lightweight executable or arbitrary command that you specified in the OCT. Setup waits until each program is finished before it runs the next program.

It is important to run the primary Setup quietly. A chained Setup program cannot run if the primary Setup program is running interactively. You must run the primary Setup program with Display level set to None. We recommend that chained installations also be run with Display level set to None. And because you are running Setup quietly, you must enter the product key for each product in the OCT.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010
Run Setup from a network installation point


Create custom configurations of Office 2010

You can deploy an initial customized installation of Office 2013 to your organization by using the processes and example in this article.

A Config.xml file example for an installation of Microsoft Office Professional Plus 2010 is included in this article.

In this article:

  • Office Customization Tool changes in Office 2010

  • Creating a custom configuration

  • Config.xml example

We recommend that you read the following articles before you customize the installation:

  • Volume activation overview for Office 2010

  • Plan volume activation of Office 2010

  • Deploy volume activation of Office 2010

  • Tools to configure client computers in Office 2010

  • Customization overview for Office 2010

Office Customization Tool changes in Office 2010

The Office Customization Tool (OCT), part of the Setup program, is the primary tool that is used to customize an Office 2010 client installation. It is included in Volume License versions of Office 2010 such as Microsoft Office Professional Plus 2010. Before you begin your customizations, you should be aware of the following changes in the Office 2010 OCT.

In Office 2010, two architecture-specific versions of the Office Customization Tool are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version.

The Office 2010 OCT supports the import of setup customization .msp files:

  • 32-bit Office 2010 .msp files can be imported into the 64-bit OCT, and then they can be used to customize 64-bit Office 2010 products.

  • 64-bit Office 2010 .msp files can be imported into the 32-bit OCT, and then they can be used to customize 32-bit Office 2010 products.

Note:

You can import a setup customization .msp file for equivalent cross-architecture products only. For example, you can import a 32-bit Microsoft Office Professional Plus 2010 customization .msp file into the 64-bit version of the OCT for a 64-bit Office Professional Plus 2010 .msp file. However, you can't import a 32-bit Microsoft Word 2010 stand-alone customization .msp file into the 64-bit OCT for a 64-bit Microsoft Office Professional Plus 2010 .msp file; doing so is prevented and displays an error message. You can't import 2007 Microsoft Office system Setup customization files (.msp files) into the Office 2010 OCT.

For more information about the OCT, see Office Customization Tool in Office 2010. For more information about the import feature, see Import an Office 2010 Setup customization file. For information about 64-bit Office 2010, see 64-bit editions of Office 2010.

Creating a custom configuration

The following table highlights the process of how to deploy a custom configuration.

Steps References

Copy all the files and folders from the Office 2010 CD to a folder on the network or on your computer. For example, copy the files to \\server\share\Office14.

Copy all the language packs and additional Office products that you want to deploy to the same network installation point. When you are prompted to overwrite duplicate Setup files, click No.

Create a network installation point for Office 2010

Use the Office Customization Tool (OCT) to customize Setup, and configure additional customizations and installation options. This creates a Setup customization file (.msp file). For a complete description of the areas that you can configure by using the OCT, see Office Customization Tool in Office 2010. A new Setup customization .msp file is created in the following example.

  1. From the root of the network installation point that you created previously, run the following command-line option to start the OCT: setup.exe /admin. For example, use the following: \\server\share\Office14\setup.exe /admin.

  2. In the Select Product dialog, select Create a new Setup customization file for the following product to create a new customization file (for example, for Office Professional Plus 2010 (32-bit)). Click OK.

    The OCT user interface is displayed, and you can then configure settings in the following areas: Setup, Features, Additional content, and Outlook.

  3. Customize Setup to specify how you want Setup to manage the installation. The Setup section of the OCT is used to configure options such as the default installation location, default organization name, additional network locations that contain the Office 2010 sources, product key, Microsoft Software License Terms, level of user interface to display, previous versions of Office to remove, and so on.

    The product key option depends on the Office 2010 licensing method that you use. The following options are available in Licensing and user interface:

    1. Use KMS client key A product key entry is not required for enterprise deployments that are using Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. Only a KMS host computer needs a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. Use KMS client key is the default. For information about how to configure the KMS host, see Prepare and configure the KMS host in Deploy volume activation of Office 2010.

    2. Enter another product key You can enter a valid Multiple Activation Key (MAK) key in the OCT by using the Enter another product key entry. A MAK key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. With a MAK, clients activate Office 2010 online by using the Microsoft hosted activation servers or by telephone. To use a MAK key, in the Enter another product key text box, enter the MAK key (twenty-five numbers or characters) without spaces. For more information about how to use a MAK key, see Deploy volume activation of Office 2010.

    Expand the Display level menu to set the behavior of the user interface during installation. In enterprise deployments, we recommend that you set Display level to None to ensure that Setup runs silently, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used. Setting Display Level to None assumes that the Suppress modal and Completion notice options are silenced and that the Microsoft Software License Terms is accepted. You can also configure display level options by using the Config.xml file; see Display element in Config.xml file in Office 2010.

    You can also configure Office security settings if you want to provide an initial default configuration of security settings. For information, see Office security settings in Office Customization Tool in Office 2010.

    Important:

    Although you can use the OCT to specify initial default security settings in a Setup customization file (.msp file), users can change the settings after installation. To enforce security settings, you must use Group Policy. For detailed information about how to plan for security settings, see Security overview for Office 2010 and Plan security for Office 2010.

    For more detailed information, see Customize Setup before installing Office 2010.

  4. Use the Features section to configure feature installation states. For information, see Configure feature installation states for Office 2010.

    For each application that you want to add to the installation, set its installation option to Run all from My Computer or Installed on First Use in the right pane. For example, to install Microsoft Outlook 2010, expand Microsoft Office and change the installation option for Microsoft Office Outlook to Run all from My Computer.

    For applications that you do not want to install, set the installation option to Not Available in the right pane. The application name is set to bold to show that you have changed its installation option.

    To prevent users from installing this application themselves, select the Hidden and Locked options. The symbols [H] and [L] are added to the application name to indicate that these options are set.

    Important:

    The Hidden option is not reversible. After it is set, a Hidden feature will not be displayed in the feature tree during or after installation. You can't use another Config.xml file or apply a second .msp file after the initial installation to "unhide" a feature.

    The feature remains hidden even if you opt to change the installation by using Programs and Features in Control Panel to change the Office 2010 installation.

    It will also not be displayed in the Office Setup feature installation tree under the Add or Remove Features option for Office 2010. Though the feature remains hidden, you can unlock the feature to install and run it locally later by using an .msp file or a Config.xml file. For more information, see Set feature installation states in Office Customization Tool in Office 2010.

    The Locked option is reversible. If you set the Locked option for a feature by using the OCT or the Config.xml during initial installation, you can unlock and install the feature locally by using a customization .msp file or a Config.xml file later.

    For example, you can customize the Config.xml file to modify the OptionState element and add the following line to uninstall the feature (Microsoft Access in this case) on the user's computer and set child features of the feature to the specified state:

    <OptionState Id="ACCESSFiles" State="Absent" Children="force" />

    For information about the OptionState element, see Config.xml file in Office 2010.

    You can also use the OCT to create a customization .msp file to install the feature later by setting the feature installation state to Run All from My Computer on the Set feature installation states screen.

  5. Use the Modify user settings section (under Features) to specify the user settings that you want to apply. For information, see Configure user settings for Office 2010.

    Use the Modify user settings section to set the default values of Office application settings for users who install Office with this customization file.

    To configure an option, expand the tree on the left, and then click the user interface element that you want to configure. The configurable settings associated with that element appear on the right pane. You can specify one of the following options:

    Not Configured The setting remains as it is.

    Enabled The setting is modified according to the selections that you make on the setting's Properties page.

    Disabled The setting is disabled. Note that disabling an option may differ from not configuring the option. See the description of the specific option for more information.

    Note:

    Using the OCT to configure user settings establishes the initial default values for the settings. Users can modify most of the settings after Office is installed. If you want to enforce user settings, use Group Policy.

    You can also use Group Policy settings to mandate settings for Outlook. You can manage the following Outlook areas by using Group Policy:

    • Specify the COM add-ins that are trusted.

    • Customize cryptographic options.

    • Configure Outlook Junk E-mail Filter settings. For information, see Configure junk e-mail settings in Outlook 2010.

    • Configure the method that Outlook uses for security settings.

    • Configure attachment settings.

    • Configure programmatic security settings.

    • Customize ActiveX options and custom forms settings.

    • Disable folder home pages.

  6. You can use the Additional content section of the OCT to configure the following options:

    • Add files to, or remove files from, users' computers when Office is installed. For information, see Add files and Remove files in Office Customization Tool in Office 2010.

    • Add, modify, or remove registry entries on users' computers when Office is installed. For information, see Add registry entries and Remove registry entries in Office Customization Tool in Office 2010.

    • Add shortcuts to files installed with Office 2010 or files that are already on the user's computer. For information, see Configure shortcuts in Office Customization Tool in Office 2010.

  7. You can use the Outlook section (Outlook in Office Customization Tool in Office 2010) of the OCT to configure the following Outlook areas:

    • Specify settings for Exchange accounts. You can configure users' Microsoft Exchange Server settings in a new or modified Outlook profile. For information, see Exchange settings in Office Customization Tool in Office 2010.

    • Outlook Profile settings. You can customize a user's default Outlook profile, which is the set of values in the Windows registry that defines user-specific information. An Outlook profile can contain multiple e-mail accounts. Users can have multiple Outlook profiles, and the Office 2010 OCT provides support for adding multiple Outlook e-mail accounts. For information, see Outlook Profile and Add Accounts in Office Customization Tool in Office 2010.

    • Include new Outlook e-mail accounts in the user's profile. If you are adding or modifying an Exchange account, you can configure additional Exchange settings. For example, you can configure Exchange Server offline use options, the Outlook Anywhere feature, and you can specify the Cache Mode option to configure users' Outlook profiles to use a local copy of the Exchange mailbox. For more information, see Add Accounts and the "Add Account and Account Settings dialog box," and "Cached Mode" sections in Office Customization Tool in Office 2010.

    • Export settings to an Outlook profile file (.prf file). For information, see Export Settings in Office Customization Tool in Office 2010.

    • Define Send/Receive groups for Exchange accounts and folders, and specify the tasks that are performed on each group during a Send/Receive operation in Outlook. A Send/Receive group contains a collection of Outlook accounts and folders. For information, see Specify Send/Receive Groups in Office Customization Tool in Office 2010.

  8. When you complete your customizations, click Save As on the File menu, specify a path and file name for the Setup customization file, and then click Save.

    For initial installations, you can save the custom .msp file in the Updates folder on the network installation point. When Setup runs, it searches the Updates folder on the installation point for a customization file specific to the product that is being installed.

    Note:

    If you plan to deploy multiple Setup customization files (.msp files), you can place only one customization .msp file for each Office 2010 product that you are installing in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files after the Office installation is completed. Only one Setup customization .msp file per product in the Updates folder is supported. The customization .msp files that you place in the Updates folder will be deployed first. Therefore, they must include any Setup customizations that can't be changed after the installation, for example, the installation location.

    If you do not put the customization file in the Updates folder, you can use the Setup command-line option /adminfile to specify the fully qualified path of the folder in which you store the custom .msp file. For example, setup.exe /adminfile \\server\share\myNewUpdatesFolder.

    You can also specify the location of the folder that contains your .msp files in the Config.xml file by using the SUpdateLocation attribute of the SetupUpdates element. For more information about SetupUpdates, see SetupUpdates element in Config.xml file in Office 2010.

Office Customization Tool in Office 2010

Deploy volume activation of Office 2010

Tools to configure client computers in Office 2010

Customize Setup before installing Office 2010

Configure feature installation states for Office 2010

Configure user settings for Office 2010

Configure Outlook 2010

Import an Office 2010 Setup customization file

To specify installation options, such as the path of the network installation point, the product to install, and custom setup options, and to specify the languages to install, use the Config.xml file that is located in the root of the product folder for the product that you are installing.

To edit the Config.xml file, use a text editor, such as Notepad.

  1. To modify the display options that users see during installation, locate the line in the Config.xml file that contains the Display element:

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

    To prevent user intervention during the installation and to specify display options, you can modify the Display element information as shown in the following example:

    <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

    For information, see Display element in Config.xml file in Office 2010.

  2. To specify additional languages to install, use the AddLanguage elements and attributes in the Config.xml file.

    Note:

    If you are adding more than one AddLanguage element, you must add the ShellTransform attribute of the AddLanguage element. This attribute specifies the language that Setup uses for the shell user interface.

    For example, to specify that Setup install full English, French, German, and Spanish language support with the user's default regional options language as the default installation language, you add the following AddLanguage elements and attributes in the Config.xml file:

    <AddLanguage Id="match" ShellTransform="yes"/> <AddLanguage Id="en-us" /> <AddLanguage Id="fr-fr" /> <AddLanguage Id="de-de" /> <AddLanguage Id="es-es" />

    In the previous example, Setup installs all of the specified languages plus the language that matches the user's locale, if that language is different and is available in the installation source. For more information, see AddLanguage element in Config.xml file in Office 2010, and Customize deployment of language setup and Proofing Tools in Office 2010.

    You can also use the Config.xml file to configure additional options such as the following:

    • Specify the path of the network installation point. For information, see DistributionPoint element in Config.xml file in Office 2010.

    • Specify the 25-character volume license key. The equivalent option in the OCT is the Product key setting in the Licensing and user interface section. As mentioned previously, a product key entry is not required for enterprise deployments that use Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. However, administrators must configure a KMS host computer with a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. By default, the Use KMS client key option is selected in the OCT. For more information, see Licensing and user interface in Office Customization Tool in Office 2010. For information about volume activation, see Volume activation overview for Office 2010 and Deploy volume activation of Office 2010.

      A Multiple Activation Key (MAK) key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. By using a MAK, clients activate Office 2010 online by using Microsoft-hosted activation servers or by telephone. Administrators can use the Config.xml file or the OCT to enter a MAK key.

      To enter a MAK key in the Config.xml file, you add the 25-character product key as shown in the following example, where AAAAABBBBBCCCCCDDDDDEEEEE represents the product key:

      <PIDKEY Value="AAAAABBBBBCCCCCDDDDDEEEEE" />

      For more information, see PIDKEY element in Config.xml file in Office 2010.

    • Specify the fully qualified path of the folder on users' computers in which the product is installed. For information, see INSTALLLOCATION element in Config.xml file in Office 2010.

    • Specify logging options for Setup. For information, see Logging element in Config.xml file in Office 2010.

    • Specify how the local installation source (LIS) is cached on the user's computer. For more information, see LIS element in Config.xml file in Office 2010.

    • Set the user or company name for the user on whose computer the product is being installed. For information, see USERNAME element and COMPANYNAME element in Config.xml file in Office 2010.

    You can use the Config.xml file to customize many of the same options that you can configure by using the Office Customization Tool, including some additional options that are not available in the OCT. For a complete description of the areas that you can configure in Config.xml, see Config.xml file in Office 2010.

  3. When you complete the Config.xml customizations, save the Config.xml file. You can use the /config Setup command-line option to specify the location of the Config.xml file, as shown in the following example:

    \\server\share\setup.exe /config \\server\share\ProPlus.WW\config.xml

    For information about the /config Setup command-line option, see /config [path] in Setup command-line options for Office 2010.

    To see an example of a custom Config.xml file, see Config.xml example.

Config.xml file in Office 2010

Customize deployment of language setup and Proofing Tools in Office 2010

Configure a silent installation of Office 2010

To install Office 2010 on users' computers, you can use one of the following approaches, depending on your particular environment and requirements:

  • Use the precached local installation source to install Office on users' computers. When you deploy Office 2010, Setup creates a local installation source on the user's computer — a copy of the compressed source files for the Office product that you are installing. After the files are copied to the user's computer, Setup completes the installation from the local installation source. To minimize the load on the network, you can deploy the local installation source to users' computers separately, before you deploy Office.

    To use this approach, perform the followings tasks:

    • Distribute the local installation source to users. For information, see Precache the local installation source for Office 2010.

    • Run Setup directly from the local installation source. For information, see Install Office 2010 from local installation source.

  • On the user's computer, run Setup.exe from the root of the network installation point. For information, see Run Setup from a network installation point.

  • To deploy Office to users who are not administrators of their computers, you can use one of the following methods.

    Log on to the computer as an administrator and install Office 2010. For information, see Logging on as an administrator in Deploy Office 2010 to users who are not administrators.

    -or-

    Use an enterprise deployment method such as the following:

    • Use Microsoft System Center Configuration Manager 2007. If you manage large numbers of clients in a complex or rapidly changing environment, System Center Configuration Manager 2007 is the recommended method for installing and maintaining Office 2010 in medium- and large-sized organizations. Configuration Manager 2007 offers sophisticated functionality, including inventory, scheduling, and reporting features. For information about deployment with System Center Configuration Manager 2007, see Deploy Office 2010 by using System Center Configuration Manager 2007.

    • Use Microsoft System Center Essentials 2010 (Beta) to deploy Office 2010. System Center Essentials 2010 is a management solution that is designed for IT system administrators in medium-sized organizations that include up to 30 servers and 500 client computers. For information about deployment with System Center Essentials 2010, see Deploy Office 2010 by using System Center Essentials 2010.

    • If you have deployed Active Directory and Group Policy in your organization, you can use Group Policy to assign computer startup scripts to deploy Office 2010. For information about deployment with Group Policy computer startup scripts, see Deploy Office 2010 by using Group Policy computer startup scripts.

Precache the local installation source for Office 2010

Install Office 2010 from local installation source

Run Setup from a network installation point

Deploy Office 2010 to users who are not administrators

Deploy Office 2010 by using System Center Configuration Manager 2007

Deploy Office 2010 by using System Center Essentials 2010

Deploy Office 2010 by using Group Policy computer startup scripts

Config.xml example

The following example shows a Config.xml file for an installation of Microsoft Office Professional Plus 2010. The following options are used in this example:

  • Display Level is set to turn off the Setup user interface, hide error messages and other dialog boxes, and accept the End-User License Agreement.

  • Verbose logging is turned on (Logging Type value is set to verbose), and log files are stored in the AppInst folder.

  • INSTALLLOCATION specifies the fully qualified path of the folder on the user's computer in which the product is installed.

  • LIS SOURCELIST provides a list, separated by semicolons, of the network installation points that contain the installation files for the product. The equivalent option in the OCT is Additional network sources.

  • Setting Id specifies the suppress reboot option (SETUP_REBOOT value is set to NEVER).

  • OptionState element specifies to uninstall the feature (Access in this case) on the user's computer and sets child features of the feature to the same specified state.

<Configuration Product="ProPlus">

          <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

          <Logging Type="verbose" Path="%SYSADMINROOT%\Log\AppInst\Office2010" Template="Microsoft Office 2010 Professional Plus Setup(*).txt" />

          <INSTALLLOCATION Value="%programfiles%\Microsoft Office" />

          <LIS SOURCELIST Value="\\server1\share\Office14;\\server2\share\Office14" />

          <Setting Id="SETUP_REBOOT" Value="NEVER" />

          <OptionState Id="ACCESSFiles" State="absent" Children="force" />

</Configuration>

See Also

Concepts

Setup architecture overview for Office 2010
Change users' configurations after installing Office 2010
Import an Office 2010 Setup customization file


View Office Customization Tool output in Office 2010

You can view the custom settings that are saved in a Setup customization file (.msp file) by using a Microsoft Visual Basic script.

Administrators use the Office Customization Tool (OCT) to customize an installation of Microsoft Office 2010. The customizations are saved in an.msp file that uses Extensible Markup Language (XML) format. This article contains a sample Microsoft Visual Basic script that administrators can use to view the settings that are stored in .msp files.

In this article:

  • Windows Script Host overview

  • ExtractOctXml.vbs script sample

  • Running the script

  • Viewing the XML contents from an .msp customization file

Windows Script Host overview

To run the script, use Windows Script Host (WSH), a language-independent scripting host for Windows Script-compatible scripting engines. WSH lets you run scripts from both the Windows desktop and the command prompt.

To run scripts from Windows, WScript.exe provides a Windows-based dialog box for setting script properties. To run scripts from the command prompt, CScript.exe provides command-line switches for setting script properties.

WSH provides drag-and-drop support for scripts. This means that you can drag files onto a WSH script. The file names are translated into arguments on the command line.

For more information about WSH, see the following resources on MSDN Web site:

  • Windows Script Host Basics (http://go.microsoft.com/fwlink/p/?LinkId=100317)

  • Running Your Scripts (http://go.microsoft.com/fwlink/p/?LinkId=100319)

ExtractOctXml.vbs script sample

The following sections provide a sample Visual Basic script, ExtractOctXml.vbs, and instructions for using the script to extract XML metadata from OCT .msp customization files.

To save the script sample, open a text editor, such as Notepad, and copy and paste the script code in this section to a file. Save the script file as ExtractOctXml.vbs.

Copy Code
' Utility to extract the metadata from an Office 2010 customization patch
' For use with Windows Scripting Host, CScript.exe or WScript.exe
' Copyright (c) Microsoft Corporation. All rights reserved.
'
Option Explicit

Const msiOpenDatabaseModePatchFile = 32
Const msiOpenDatabaseModeReadOnly     = 0
Const msiReadStreamBytes = 1

Const ForWriting = 2
Const TristateTrue = -1

Dim pathOCT_Patch 'As String
Dim pathMetadataXml 'As String
Dim sMetadata 'As String
Dim wshShell 'As Wscript.Shell
Dim fso 'As FileSystemObject
Dim fileOutput 'As File
Dim sErrSection ' As String

sErrSection = "ArgCheck"
' Check arg count, and display help if argument not present or contains ?
Dim argCount:argCount = Wscript.Arguments.Count
If argCount > 0 Then If InStr(1, Wscript.Arguments(0), "?", vbTextCompare) > 0 Then argCount = 0
If (argCount = 0) Then
    Wscript.Echo "Office 2010 OCT Metadata Extract utility" & _
        vbNewLine & " You must supply the location of the Office 2010 customization patch " & _
        vbNewLine & _
        vbNewLine & "Copyright (C) Microsoft Corporation.  All rights reserved."
    Wscript.Quit 1
Else
    pathOCT_Patch = Trim(Wscript.Arguments(0))
End If

sErrSection = "FSO"
' Create FileSystemObject and verify file exists
Set fso = CreateObject("Scripting.FileSystemObject") : CheckError
If Not fso.FileExists(pathOCT_Patch) Then Err = 2 : CheckError

sErrSection = "WI"
' Connect to Windows Installer object
On Error Resume Next
Dim wi : Set wi = Nothing
Set wi = Wscript.CreateObject("WindowsInstaller.Installer") : CheckError

sErrSection = "Read Metadata"
' Open OCT patch and read the metadata stream
Dim wiStorage, vw, rec
Set wiStorage = wi.OpenDatabase(pathOCT_Patch, msiOpenDatabaseModePatchFile) : CheckError
Set vw = wiStorage.OpenView("SELECT * FROM _Streams WHERE `Name`='metadata' ") : CheckError
vw.Execute
Set rec = vw.Fetch
If Not rec Is Nothing Then
    sMetadata = rec.ReadStream(2, rec.DataSize(2), msiReadStreamBytes)
Else
    Wscript.Echo "No Metadata stream was found in this file: " & pathOCT_Patch
    Wscript.Quit 2
End If

Set wiStorage = Nothing
Set rec = Nothing: Set vw = Nothing
Set wi = Nothing

sErrSection = "Write Metadata"
' Write the metadata stream to a temp file
Set wshShell = CreateObject("WScript.Shell") : CheckError
pathMetadataXml = wshShell.ExpandEnvironmentStrings("%temp%") & "\" & fso.GetFileName(pathOCT_Patch) & ".xml"
Set fileOutput = fso.OpenTextFile(pathMetadataXml, ForWriting, True, -1) : CheckError
fileOutput.WriteLine sMetadata
fileOutput.Close

Set fileOutput = Nothing: Set fso = Nothing

sErrSection = "Show Metadata"
' Launch Metadata in IE
wshShell.Run "iexplore.exe " & pathMetadataXml

Sub CheckError
Dim sMsg, errRec
    If Err = 0 Then Exit Sub
    sMsg = sErrSection & vbNewLine & Err.Source & " " & Hex(Err) & ": " & Err.Description
    If Not wi Is Nothing Then
    Set errRec = wi.LastErrorRecord
        If Not errRec Is Nothing Then sMsg = sMsg & vbNewLine & errRec.FormatText
    End If
    Wscript.Echo sMsg
    Wscript.Quit 2
End Sub

Sub NoMetadata
End Sub

Running the script

The ExtractOctXml.vbs file can be stored anywhere on your computer. To use the ExtractOctXml.vbs script, you can drag the OCT .msp customization file for which you want to see the configured settings and drop it on the script. The script extracts the metadata XML into the user's Temp folder as <name of the OCT update>.xml (for example, Access.MSP.xml). The XML file is then passed to Internet Explorer for viewing.

To run the script

  1. Use Windows Explorer to open the folder that contains the ExtractOctXml.vbs file.

  2. Drag and drop a copy of the Setup customization .msp file that you want to view onto the ExtractOctXml.vbs that is displayed in the Windows Explorer window.

  3. After the XML file opens, you can expand and collapse the various sections to view the settings contained in the .msp customization file.

    The <UserSettings> element of the Access.MSP.xml metadata.xml file contains the user settings configured in the .msp customization file, and the <Options> element of the Access.MSP.xml metadata.xml file contains settings related to feature states.

To run the script by using the command line

  1. Click Start, click Run, and then type cmd.

  2. In the Command Prompt window, type:

    cscript <script path>\ExtractOCTXml.vbs <OCT MSP path and file name>

    -or-

    wscript <script path>\ExtractOCTXml.vbs <OCT MSP path and file name>

    The XML file is loaded in Internet Explorer for viewing.

Viewing the XML contents from an .msp customization file

The OCT uses settings (.opax) files to populate the Modify user settings user interface in the OCT and add the appropriate registry keys and values during the installation. Office 2010 settings .opax files are stored in the Admin folder that is located at the root of your Office 2010 source file location or CD.

The following table describes the top-level sections included in the .msp metadata.xml file.

Section | Description
<Customization platform - baseFolder> | Provides the .msp customization file name and path information. These elements are used internally by the code. They do not represent the actual customizations.
<Product id> | Provides information about the local installation source packages, installation state (such as Always installed), language MUI packages, product IDs, features and IDs, shortcuts, and upgradeable applications. These elements are used internally by the code. They do not represent the actual customizations.
<SecurityApps> | Lists the applications that can have specific security locations as indicated in the drop-down list found in the Setup\Office Security settingsAdd the following paths to theTrusted Locations list area in the OCT. These elements are used internally by the code. They do not represent the actual customizations.
<SecurityAppSettings> | Lists the security settings that appear in the Setup\Office Security settings area in the OCT. Customizations to this list appear in the later <SecuritySettings> element. These elements are used internally by the code. They do not represent the actual customizations.
<SecurityPossibleSettingValues> | Lists the security options that are available for <SecurityAppSettings>. These elements are used internally by the code. They do not represent the actual customizations.
<GlobalSettings> | Provides information about setup properties found in the Setup\Modify Setup properties section of the OCT.
<UserSettings> | Provides information and registry key data about any settings configured in the Features\Modify user settings section of the OCT.
<File> | Provides information about any files are added or removed by using the Additional content\Add files or Remove files options in the OCT.
<Registry> | Provides information about any registry keys added or removed by using the Additional content\Add registry entries or Remove registry entries options in the OCT.
<Shortcuts> | Provides information about shortcuts added by using the Additional content\Configure shortcuts options in the OCT.
<Install> | Provides information about the installation settings found in the Setup\Install location and organization name, Setup\Additional network sources, and Setup\Licensing and user interface options in the OCT.
<ChildInstalls> | Provides information about additional post-installation actions found in the Setup/Add installations and run programs options in the OCT.
<Options> | Contains settings related to application feature states.
<SecuritySettings> | Provides information about changes that were made to the default security settings by using the Setup\Office security sections\Default security settings section of the OCT.
<SecurityTrustedLocations> | Provides information about Trusted locations added in the Setup\Office security settings options in the OCT (in the Add the following paths to the Trusted Locations list).
<SecurityCertificates> | Provides information about certificates added in the Setup\Office security settings options in the OCT (in the Add the following digital certificates to the Trusted Publishers list).
<Outlook> | Provides information about Outlook profile customization made in the Outlook options of the OCT.

The following example shows how to locate settings in the resulting XML file (Access.MSP.xml in this example) that opens in Internet Explorer when you run the ExtractOctXml.vbs script with an OCT .msp customization file.

Example

This example uses an Office 2010 .msp customization file. Only Microsoft Access 2010 is installed and the Microsoft Office Access 2007 file format is enabled. The Default file format user setting for Access is located in the Microsoft Office Access 2010\Miscellaneous node of the Modify user settings section of the OCT.

You can search the customization metadata.xml file, Access.MSP.xml, for the registry key or value, such as Default file format. Searching for "default file format" in this example would bring you to the following section of the Access.MSP.xml metadata.xml file:

<AddRegistries>

<AddRegistry root="HKCU" key="software\microsoft\office\14.0\access\settings" name="default file format" emptykey="false" flags="0" type="2" value="12" guid="{39478C45-8DBA-403C-B4BB-1F1D07CE85D7}" />

Use a text editor, such as Notepad, to open the Access 2010 .opax settings file, access14.opax (located at the root of your Office 2010 source file location, in the Admin folder). Search for the DefaultFileFormat string (which corresponds to the Default file format user setting). Doing so will show the following section of the access14.opax file:

<policy name="L_DefaultFileFormat" class="User" displayName="$(string.L_DefaultFileFormat)" explainText="$(string.L_DefaultFileFormatExplain)" presentation="$(presentation.L_DefaultFileFormat)" key="software\policies\microsoft\office\14.0\access\settings">

<parentCategory ref="L_Miscellaneous" />

<supportedOn ref="windows:SUPPORTED_WindowsVista" />

<elements>

<enum id="L_empty87" valueName="Default File Format">

<item displayName="$(string.L_Access2007)">

<value>

<decimal value="12" />

</value>

</item>

<item displayName="$(string.L_Access20022003)">

<value>

<decimal value="10" />

</value>

</item>

<item displayName="$(string.L_Access2000)">

<value>

<decimal value="9" />

</value>

</item>

</enum>

</elements>

</policy>

From this user setting information, you can determine the registry key for the setting (software\policies\microsoft\office\14.0\access\settings in this case) and the possible registry values. A Default File Format value of 12 sets the default file format to Access 2007, while a Default File Format of 10 sets the default file format to Access 2002-2003.

Using the information from the .opax file, you can see that the Default File Format key has a value of 12, which sets the default file format to Access 2007.

The following excerpts show some of the Access Option id values that are listed in the <Options> section of the Access.MSP.xml file in this example:

<Option id="ACCESSFiles" installState="3" />

<Option id="Access_PIA" installState="3" />

<Option id="AccessWizards" installState="3" />

<Option id="DeveloperWizards" installState="3" />

<Option id="AccessHelpFiles" installState="3" />

<Option id="AccessTemplatesIntl" installState="3" />

For more information about OptionState IDs, see OptionState element in Config.xml file in Office 2010.

See Also

Concepts

Office Customization Tool in Office 2010


Deploy customizations of Office 2010 to users in the field

Published: September 23, 2010

Remote users who have limited network access can deploy Microsoft Office 2010 by using DVDs that contain customized installation images.

If you are deploying Office 2010 in an environment that includes users who work primarily in the field and who have limited access to your organization's network, you can create a customized Office 2010 installation image and make the installation files available on a DVD for those users. The installation image can contain multiple languages and Office products.

In this article:

  • Recommended Pre-Reading

  • Deploy a customized installation by using a DVD

Recommended Pre-Reading

We recommend that you read the following articles before you customize Office 2010:

  • Plan volume activation of Office 2010

  • Deploy volume activation of Office 2010

  • Customization overview for Office 2010

  • Office Customization Tool in Office 2010

  • Config.xml file in Office 2010

  • Plan for multilanguage and Proofing Tools deployment for Office 2010

  • Customize deployment of language setup and Proofing Tools in Office 2010

Deploy a customized installation by using a DVD

The following table highlights the steps that are required to deploy a customized installation by using a DVD.

Step Instructions References

1.

Create a network installation point that contains the Office 2010 products that you want to install.

Create a network installation point for Office 2010

2.

Copy the language packs that you want to use to the network installation point. This allows Setup to coordinate a single installation of multiple language versions of the product.

Note:

This step also requires modifying the Config.xml file that is in the root of the product folder for the product that you are installing.

To modify the Config.xml file, open Config.xml in an editor such as Notepad. Clear the comment for the Display element line by deleting the opening <!-- and closing --> tags.

To prevent user intervention during the update process, you can modify the Display element as follows:

<Display Level="basic" CompletionNotice="yes" SuppressModal="yes" NoCancel="yes" />

You use the AddLanguage Element of the Config.xml file to add specific languages to the installation, and specify the Id attribute of the language tag of the language that you want to deploy. For example, you add the following line in Config.xml to add the French language version:

<AddLanguage Id="fr-fr" />

You can specify more than one language by including additional <AddLanguage> elements and attributes.

If you add more than one language to the installation, you must also set the <ShellTransform> attribute of the <AddLanguage> element of Config.xml to specify the language for the shell user interface. For example, you add the following elements to specify that Setup install full English, French, German, and Spanish language support with the user's default regional options language as the default installation language:

<AddLanguage Id="match" ShellTransform="yes"/> <AddLanguage Id="en-us " /> <AddLanguage Id="fr-fr " /> <AddLanguage Id="de-de " /> <AddLanguage Id="es-es " />

In this case, Setup installs all specified languages plus the language that matches the user's locale, if that language is different and is available in the installation source.

Save the Config.xml file in the directory that contains Setup.exe.

Customize deployment of language setup and Proofing Tools in Office 2010

Language identifiers and OptionState Id values in Office 2010

Config.xml file in Office 2010

3.

Use the Office Customization Tool (OCT) for the customizations and installation options that you want to apply.

Note:

For initial installations, we recommend that you store the customization files in the Updates folder at the root of the network installation point.

If you plan to deploy multiple Setup customization files (.msp files), you can place only one customization .msp file for each Office 2010 product that you are installing in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files for a product after the Office 2010 installation is completed. Only one Setup customization file per product in the Updates folder is supported.

If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates in the Updates folder. In scenarios such as this, where the Updates folder includes both one Setup customization .msp file and product updates, Setup applies only the Setup customization .msp file with the initial installation and the product updates are applied after the installation is complete.

Make sure that you enter the product key and accept the Microsoft Software License Terms on behalf of each user who installs Office 2010 with the Setup customization file. To do this, use the Licensing and user interface page of the Setup section of the OCT.

Customize Office 2010

Office Customization Tool in Office 2010

4.

Copy the complete Office 2010 folder that contains the source files and your customizations from the network installation point to a DVD. Distribute the DVD to users.

5.

Instruct users to run Setup.exe from the DVD that you created. For example, instruct users to type the following at the command prompt:

<CD drive_name>:\Office14\setup.exe

Note:

If you saved the Config.xml file to a location other than the directory that contains Setup.exe, instruct users to provide the path of your customized Config.xml file. For example, if you are customizing the Config.xml file for Microsoft Office Professional Plus, type the following at the command prompt:

<CD drive_name>:\Office14\setup.exe /config <CD drive_name>:\ProPlus.WW\Config.xml

If you put the custom Config.xml on a network share, instruct users to use a fully qualified path. For example: \\server\share\Office14\setup.exe /config \\server\share\ProPlus.WW\Config.xml.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010
Create custom configurations of Office 2010
Setup architecture overview for Office 2010


Deploy multiple Setup customization .msp files

You can use the Office Customization Tool (OCT) to deploy multiple Setup customization files (.msp files) to configure Microsoft Office 2010.

To use the OCT to deploy multiple .msp files, you can create a basic customization file (.msp), and then use this initial .msp to create another customization file that includes all the settings in the original .msp file and additional applications and modified settings, for example. The second .msp file can be applied to a new set of users or to existing installations.

This approach is useful in phased deployments, or when you are deploying a standard core configuration with variations for the various departments in your organization. For example, you may want to deploy Microsoft Access 2010 only to a subset of users in your organization. In such cases, you can use the OCT to configure the feature installation state for Access 2010 as Not Available in the initial Setup customization .msp. That way, the users to whom you deploy the initial .msp file do not have Access 2010 installed on their computers. Then, you use the OCT to import the initial customization .msp file to create a second customization .msp file, and you configure the feature installation state for Access 2010 as Run all from My Computer so that Access is installed on users' computers.

In this article:

  • Deploy multiple Setup customization files

We recommend that you read the following articles before you customize Office 2010: Plan volume activation of Office 2010, Deploy volume activation of Office 2010, Customization overview for Office 2010, Office Customization Tool in Office 2010, Config.xml file in Office 2010, Plan for multilanguage and Proofing Tools deployment for Office 2010, and Customize deployment of language setup and Proofing Tools in Office 2010.

Deploy multiple Setup customization files

The following table highlights the process for deploying multiple .msp files.

Steps Instructions Reference

1.

Copy all files and folders from the Office 2010 CD to a folder on the network or on your computer. For example, copy the files to \\server\share\Office14.

Copy all language packs or additional Office 2010 products to the same installation point. When you are prompted to overwrite duplicate Setup files, click No.

Create a network installation point for Office 2010

2.

Use the OCT to create the basic Setup customization .msp file.

Customize Setup before installing Office 2010

Customize deployment of language setup and Proofing Tools in Office 2010

Configure feature installation states for Office 2010

Office Customization Tool in Office 2010

3.

Use the OCT to import the initial customization .msp file to create the second customization .msp file that includes the customizations that you want to use. If you added additional languages to the network installation point, the Import feature allows you to modify the installation to add language packs. You do not have to create a new customization .msp file to add language packs.

Important:

Importing customization .msp files is intended for equivalent cross-architecture products only. You can import a 32-bit Microsoft Office Professional Plus 2010 customization .msp file into the 64-bit version of the OCT for a 64-bit Office Professional Plus 2010 .msp file. However, you cannot import a 32-bit Microsoft Word 2010 stand-alone customization .msp file into the 64-bit OCT for a 64-bit Office Professional Plus 2010 .msp file; doing so is prevented and displays an error message.

When you create the second customization .msp file, based on the .msp file that you import into the OCT, you can keep the feature installation states and options that you configured in the initial customization .msp file, and you can also modify options if necessary. For example, you may want to configure different feature installation states for different groups of users.

Import an Office 2010 Setup customization file

Office 2010 client video: Office Customization Tool import feature (http://go.microsoft.com/fwlink/p/?LinkId=203128)

Configure feature installation states for Office 2010

Change users' configurations after installing Office 2010

Customize deployment of language setup and Proofing Tools in Office 2010

4.

Deploy the customization .msp file to users' computers.

The Setup customization file is a Windows Installer package (.msp) that you apply to users' computers, just as you would apply a software update.

Note:

To apply the Setup customization .msp file, users can double-click the .msp file. Or, users can run Msiexec.exe at the command prompt and use one of the following command-line options to apply the .msp files:

msiexec.exe /p \\server\share\custom.msp

msiexec /update \\server\share\Patch1.msp

where \\server\share indicates the path of the shared folder that contains the .msp files.

For information about Windows Installer, see the following resources on the MSDN Web site:

  • Standard Installer Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=111106)

  • Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=111127)

  • What's New in Windows Installer (http://go.microsoft.com/fwlink/p/?LinkId=111108)

Users can also use Microsoft System Center Configuration Manager 2007 to deploy the .msp files.

Distribute product updates for Office 2010

Deploy Office 2010 by using System Center Configuration Manager 2007

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010


Customize specific features in Office 2010

You can customize, enable, or disable specific features of Microsoft Office 2010.

To learn how to customize language setup and settings, to use Group Policy to enforce settings, to disable user interface items and shortcut keys, or to enable the Microsoft SharePoint Server 2010 Colleague add-in for Microsoft Outlook 2010, follow the steps in these articles.

Article | Description
Customize deployment of language setup and Proofing Tools in Office 2010 | Describes how to manage the distribution of multiple language versions when you deploy Microsoft Office 2010.
Customize the Office user interface in Office 2010 | Provides resources to help you customize the Microsoft Office Fluent user interface (UI) in Office 2010.
Use Group Policy to enforce Office 2010 settings | Provides procedural information for using the Group Policy Management Console and the Group Policy Object Editor together with the Office 2010 Administrative Templates.
Disable user interface items and shortcut keys in Office 2010 | Provides background and procedural information to disable user interface (UI) items and keyboard shortcuts in Office 2010 by using Group Policy.
Enable SharePoint Server 2010 Colleague in Outlook 2010 | Describes how to configure Office 2010 client computers to enable the Microsoft SharePoint Server 2010 Colleague add-in for Microsoft Outlook 2010.


Customize deployment of language setup and Proofing Tools in Office 2010

Setup automatically deploys Microsoft Office 2010 in the language version of the Windows user locale, but you can customize language setup and settings.

In this article:

  • Overview

  • Before you begin

  • Deploy a default language version of Office

  • Specify which languages to install

  • Deploy different languages to different groups of users

  • Identify installed languages

  • Customize language settings

  • Customize and install the Office 2010 Proofing Tools Kit

Overview

By default, Setup automatically installs the language version that matches the Windows user locale that is set on each user's computer. However, you can override this default behavior and manage the distribution of multiple language versions more precisely. For example, you can:

  • Install more than one language on a single computer.

  • Specify which languages to install on users' computers, regardless of the language of the operating system, which is specified by user locale.

  • Specify custom settings once and then apply them to all language versions that you deploy in your organization.

  • Deploy different languages to different groups of users.

  • Deploy the Microsoft Office 2010 Proofing Tools Kit for additional languages.

For more information, see Plan Setup in Plan for multilanguage and Proofing Tools deployment for Office 2010.

When a user starts an Office 2010 application for the first time, Setup applies default settings that match the language installed on the computer and the language specified by the Windows user locale setting. However, you configure language settings by using Group Policy, the Office Customization Tool (OCT), or the Language Settings tool. For more information, see Plan customizations in Plan for multilanguage and Proofing Tools deployment for Office 2010.

If users will have to edit in a language or a companion proofing language that will not be installed, you can customize and install the Office 2010 Proofing Tools Kit. For more information, see Plan for proofing tools in Plan for multilanguage and Proofing Tools deployment for Office 2010.

Before you begin

To determine which of the following procedures to use for your deployment and which customizations that you might have to make, see Plan for multilanguage and Proofing Tools deployment for Office 2010.

Deploy a default language version of Office

If users in your organization work with Office files that are in the same language, or in a language that matches the language of their operating system, you can deploy a default language version of Office.

The following steps are the same as the standard steps for deploying Office 2010 and included for testing. The only difference in the steps is that you must copy the language packs to the same network location as the installation files.

To deploy a default language version of Office to every client computer

  1. Create a network installation point for the primary Office 2010 product by copying all the files and folders from the source media to a shared network location.

  2. Copy all the files and folders from the source media for each language pack to the same network location, and when you are prompted to overwrite duplicate files, click No.

  3. Use the Office Customization Tool (OCT) to configure the installation to match your organization's requirements.

    Because most of the customizations apply to the core product, you do not typically have to customize each language separately. Setup applies your customizations during the installation regardless of the language being installed. For information about how to customize language settings, see Customize language settings.

    Language packs that are obtained through a volume license agreement do not require a unique product key; only one volume license key is required for the installation.

  4. On the Setup command line, specify the Config.xml file for the primary Office product that you are deploying.

    For example, the following command line installs Microsoft Office Standard 2010 in any language:

    \\server\share\Office14\Setup.exe /config \\server\share\Office14\Standard.WW\Config.xml

    where Office14 is the root of the network installation point.

  5. Run Setup from the root of the network installation point.

    Setup installs only the language-specific elements that are needed for the Office product that you are installing. Setup does not install the complete language pack unless you deploy the language pack as a separate product.

Specify which languages to install

If users in your organization work with Office files in more than one language, or if they need an Office language that does not match the language of their operating system, you can install all the languages they need at the same time.

The following steps are the same as the standard steps for deploying Office 2010 and included for testing. The only difference in the steps is that you must copy the language packs to the same network location as your installation files and edit the Config.xml file to specify which languages to install.

To specify one or more languages to install on a client computer

  1. Create a network installation point for your primary Office 2010 product by copying all the files and folders from source media to a shared network location.

  2. Copy all the files and folders from the source media for each language pack to the same network location, and when you are prompted to overwrite duplicate files, click No.

  3. In the core product folder for the product that you are installing, locate the Config.xml file.

    For example, if you are installing Office Standard 2010, find the Config.xml file in the Standard.WW folder.

  4. Open the Config.xml file by using a text editor, such as Notepad.

  5. Add the <AddLanguage> element.

  6. Set the value of the Id attribute to the language tag that corresponds to the language that you want to install. You can specify more than one language by including additional <AddLanguage> elements and attributes.

  7. Specify which language to use for the Shell user interface (Shell UI) by setting the <ShellTransform> attribute of the <AddLanguage> element.

    For example, to specify that Setup install both English and French, with English as the default installation language, add the following elements:

    Copy Code
    <AddLanguage Id="en-us" ShellTransform="yes"/> <AddLanguage Id="fr-fr" />

    If you want the default installation language and the Shell UI to match the operating system language, and you also want every user to have Office in both English and French, the code in the Config.xml file looks as follows:

    Copy Code
    <AddLanguage Id="match" ShellTransform="yes"/>
<AddLanguage Id="en-us" />
<AddLanguage Id="fr-fr" />

    You are required to specify a value for the ShellTransform attribute when you add more than one <AddLanguage> element. Skipping this step causes the installation to fail.

  8. To specify that Setup also match the language of the user's Windows user locale, add another line in the Config.xml file:

    Copy Code
    <AddLanguage Id="match" />

    In this case, Setup installs all specified languages plus the language that matches the user locale, if that language is different.

  9. Save the Config.xml file.

  10. Use the Office Customization Tool (OCT) to configure the installation to match your organization's requirements.

    For information about how to customize language settings, see Customize language settings.

  11. Run Setup.exe and specify the path of your modified Config.xml file.

    Note that you must use a fully qualified path; for example: \\server\share\Office14\setup.exe /config\\server\share\Office14\Standard.WW\Config.xml

    where Office14 is the root of the network installation point.

Deploy different languages to different groups of users

You can give different groups of users different sets of Office languages. For example, a subsidiary based in Tokyo might have to work with Office Standard 2010 documents in English and Japanese, whereas users in the European subsidiary need English, French, and German. In this scenario, you create a unique Config.xml file for each group of users.

The following steps are the same as the standard steps for deploying the Office 2010 and included for testing. The only differences in the steps is that you must copy the language packs to the same network location as the installation files, create and edit the Config.xml file for each group to specify which languages to install, and then deploy the appropriate Config.xml file to the different groups.

To deploy different languages to different groups of users

  1. In the core product folder for the product that you are installing, locate the Config.xml file.

    For example, if you are installing Office Standard 2010, find the Config.xml file in the Standard.WW folder.

  2. Open the Config.xml file by using a text editor, such as Notepad.

  3. Locate the <AddLanguage> element and specify the set of languages that you want to install for this user group, as described previously.

    Note:

    You must also set the <Shell UI> attribute of the <AddLanguage> element, as described previously.

  4. Save the Config.xml file by using a unique file name.

  5. Repeat these steps for the next user group.

  6. Use the OCT to configure the installation to match your organization's requirements.

    For information about how to customize language settings, see Customize language settings.

  7. Deploy Office to each group of users separately, and in each case specify the correct Config.xml file on the Setup command line. For example:

    \\server\share\Office14\setup.exe /config\\server\share\Office14\Standard.WW\SubAConfig.xml, or

    \\server\share\Office14\setup.exe /config\\server\share\Office14\Standard.WW\SubBConfig.xml

    where Office14 is the root of the network installation point.

Identify installed languages

You can view a list of languages installed for Office 2010 either during the initial installation or during a separate installation of a language pack at the following registry key, which displays the LCID for each enabled language:

HKCU\Software\Microsoft\Office\14.0\Common\LanguageResources\EnabledLanguages

You can view the user interface (UI) language and fallback languages at the following registry key:

HKCU\Software\Microsoft\Office\14.0\Common\LanguageResources

Although all applications in the Office 2010 use a shared set of registry data to determine their UI language, they do not necessarily all appear in the same UI language. Applications in the Office 2010 usually appear with the UI language indicated in the UILanguage entry of this registry key. But there are circumstances where this might not be the case. For example, some deployments might have Microsoft Word 2010 and Microsoft Excel 2010 installed in French, but another Office application installed in a different language. In this case, the other application will look at the UIFallback list in this registry key, and use the first language that works with its installed configuration.

Customize language settings

Use Group Policy to enforce language settings

Policies enforce default language settings. Users in your organization cannot permanently modify settings managed by policy. The settings are reapplied every time that the user logs on.

To use Group Policy to manage language settings

  1. Copy the Office 2010 policy template files to your computer.

  2. Under Computer Configuration or User Configuration in the console tree, right-click Administrative Templates.

  3. Click Add/Remove Templates, and then click Add.

  4. In the Policy Templates dialog box, click the template that you want to add, and then click Open.

  5. After you add the templates that you want, click Close.

  6. Open the Group Policy object (GPO) for which you want to set policy.

  7. Double-click Computer Configuration or User Configuration and expand the tree under Administrative Templates.

  8. Locate language-related policies in the Microsoft Office 2010 system\Language Settings node.

  9. Select the languages that you want to use for each setting.

  10. Save the GPO.

Use a Setup customization file to specify default language settings

You use the OCT to create a Setup customization file (.msp file) that Setup applies during the installation. Settings specified in the OCT are the default settings. Users can modify the settings after the installation.

To use the OCT to customize language settings

  1. Start the OCT by running Setup with the /admin command-line option.

  2. On the Modify User Settings page, expand the tree to Microsoft Office 2010 system\Language Settings.

  3. Open the folder that you want in the navigation pane. Double-click the setting in the right pane, select Enable, and then specify a value.

  4. Save the Setup customization file in the Updates folder at the root of the network installation point.

    Setup applies the file automatically when you install Office on users' computers.

For more information about how to use the OCT, see Office Customization Tool in Office 2010.

Use the Language Preferences tool to modify language settings

If you are not enforcing language settings by policy, users who work in Office applications can use the Language Preferences tool to change their language preferences.

To change language preferences by using the Language Preferences tool

  1. On the Start menu, point to Programs, point to Microsoft Office, and then point to Microsoft Office 2010 Tools.

  2. Click Microsoft Office 2010 Language Preferences.

  3. At the bottom of the Choose Editing Languages section, in the language list box, select the language that you want to be available for editing, and then click the Add button. Repeat this step for each editing language that you want to add.

  4. In the Choose Editing Languages section, select the language that you most often use for Office applications and documents, and then click Set as Default.

  5. In the Choose Display and Help Languages section, under Display Language, select the language that you want to use to view Office application buttons and tabs, and then click Set as Default.

  6. Under Help Language, select the language that you want to use to view Office application Help, and then click Set as Default.

    If you do not specify a language for Help, the online Help language uses the display language.

Note:

Users can enable functionality for working in languages that are not installed on the computer. For example, if you select Korean as an editing language, you enable Asian and Korean features in Word even if Korean proofing tools are not installed. You must enable support for that language in the operating system.

Customize and install the Office 2010 Proofing Tools Kit

This section covers how to customize and install Office 2010 Proofing Tools Kit.

Note:

If you only need a few proofing languages, the installation of one or two language packs might provide all the proofing tool languages that you need. Each language version of Office 2010 includes proofing tools for a set of companion languages. For more information, see Plan for proofing tools in Plan for multilanguage and Proofing Tools deployment for Office 2010.

Customize the Office 2010 Proofing Tools Kit

You can specify which proofing tool languages to install by using the Proof.WW Setup file config.xml. For a list of the OptionState attributes and IDs to use, see Plan for proofing tools in Plan for multilanguage and Proofing Tools deployment for Office 2010.

To customize Setup for proofing tools

  1. In the ProofKit.WW folder, locate the Config.xml file.

  2. Open the Config.xml file by using a text editor, such as Notepad.

  3. For each set of proofing tools that you do not want to install, in the OptionState element, set the State attribute to Absent. For example, if you do not want Catalan proofing tools installed, use this syntax:

    Copy Code
    <OptionState Id="ProofingTools_1027" State="Absent" Children="force"/>

  4. Set the State attribute for each set of proofing tools you want to deploy to Local (or Default or Advertise, if preferred). For example, to deploy Basque proofing tools, you can use this syntax:

    Copy Code
    <OptionState Id="ProofingTools_1069" State="Local" Children="force"/>

  5. Save the Config.xml file.

  6. Run Setup.exe, and then specify the path of your modified Config.xml file.

    Note that you must use a fully qualified path; for example: \\server\share\Office14\Proof.WW\setup.exe /config\\server\share\Office14\Proof.WW\Config.xml

    where Office14 is the root of the network installation point.

Installing the Office Proofing Tools Kit 2010 on a single computer

If you have one or two users who need proofing tools, you can install proofing tools from the Office 2010 Proofing Tools Kit to individual computers.

To install the Office Proofing Tools Kit 2010 on a single computer

  1. On the Office 2010 Proofing Tools Kit CD, run Setup.exe.

  2. Read and accept the Microsoft Software License Terms, and then click Continue.

  3. To install the proofing tools for all available languages, click Install Now. The installation will begin. Otherwise, to install individual languages, click Customize.

  4. If you selected Customize, click the File Location and User Information tabs to change the information as needed. On the Installation Options tab, click the node (plus (+) sign) for the languages that you want to install, and then use the drop-down arrows to set the appropriate installation states.

  5. Click Install.

See Also

Concepts

Plan for multilanguage and Proofing Tools deployment for Office 2010
Office Customization Tool in Office 2010


Customize the Office user interface in Office 2010

In Microsoft Office 2010, you can customize the new Backstage view, the ribbon, the Quick Access Toolbar, and context menus.

The resources that are listed and described in this article will help you customize the Microsoft Office Fluent user interface in Office 2010 applications. Microsoft introduced the ribbon extensibility model in the 2007 Microsoft Office system as part of the Office Fluent UI. This was a new way to customize the user interface and create custom tabs and groups that were specific to users' needs. Office 2010 extends the span of the UI extensibility platform by providing support for customization of the new Microsoft Office Backstage view.

In this article:

  • Customize the Backstage view

  • Customize the ribbon, the Quick Access Toolbar, and context menus

Customize the Backstage view

In Office 2010, the Microsoft Office button is replaced by the File tab. The File tab brings you to the Backstage view. The Backstage view is customizable and lets organizations customize the UI to suit their needs.

For information about how to use and customize the Backstage view, see the following resources:

  • Introduction to the Office 2010 Backstage View for Developers (http://go.microsoft.com/fwlink/p/?LinkId=182189)

  • Customizing the Office 2010 Backstage View for Developers (http://go.microsoft.com/fwlink/p/?LinkId=184245)

Customize the ribbon, the Quick Access Toolbar, and context menus

In Office 2010, the Office Fluent UI is fully customizable. This includes the ribbon, the Quick Access Toolbar, and the built-in context menus. By using the flexible XML-based markup and callbacks, you can create context menus by updating Open XML Format files or by using add-ins that are created in Microsoft Visual Studio.

In Office 2010, the applications that use the ribbon create one <App>.officeUI settings file for each application. Note that the customizations to the ribbon and the Quick Access Toolbar in one Office 2010 application do not apply across all Office 2010 applications. That is because some commands do not carry over. This means, for example, that if you want to add the Track Changes command to the Quick Access Toolbar for both Word 2010 and Excel 2010, you must customize the Quick Access Toolbar in each application.

If you have customized a Microsoft Office 2007 QAT, you can take the settings file from the c:\Users\%username%\AppData\Local\Microsoft\<App>.qat, copy it to the Office 2010 location, and rename it to <App>.officeUI to use the 2007 settings.

For information about how to use and customize the ribbon, the Quick Access Toolbar, or context menus, see the following resources:

  • Ribbon Extensibility in Office 2010: Tab Activation and Auto-Scaling (http://go.microsoft.com/fwlink/p/?LinkId=184248)

  • Customizing Context Menus in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=182186)

  • Targeting User Interface Solutions to the 2007 and 2010 Releases of Microsoft Office (http://go.microsoft.com/fwlink/p/?LinkId=184298)

  • Deploying a Customized Ribbon and Quick Access Toolbar in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=184247)


Deploy custom templates in Office 2010

In Microsoft Office 2010, you can create and deploy templates that users can select when they create new documents, presentations, or worksheets.

You can create and deploy these Office 2010 templates for users of Microsoft Word 2010, PowerPoint 2010, and Excel 2010.

In this article:

  • Creating and deploying custom templates

  • Create your templates

  • Create thumbnail and preview files (optional)

  • Create an XML configuration file that describes the custom template, thumbnail, and preview files

  • Deploy a registry key that enables Office to read the XML configuration file

Creating and deploying custom templates

You can create custom templates and make them available to users in the Available Templates pane that is displayed when they click New on the File menu. The steps involved in this process are as follows:

  1. Create your templates.

  2. Create thumbnail and preview files.

  3. Create an XML configuration file that describes the custom template, thumbnail, and preview files.

  4. Deploy a registry key that enables Office to read the XML configuration file.

Create your templates

To create custom templates, open a new or existing document, worksheet, or presentation, make your customizations, and then save the file as a template on a network folder or Web site.

The following example shows how to create a template in Word 2010. However, the steps are almost the same for Excel 2010 and PowerPoint 2010. For more information about creating templates, see Learn about templates in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=212947).

To create a template (in Word 2010)

  1. Open a new or existing document in Word 2010.

  2. Customize the document.

  3. On the File menu, click Save As.

  4. In the tree pane, browse to a shared folder on the network (this can also be a folder on a web server).

  5. In the File name box, type the name that you want to use for your template.

  6. In the Save as type box, select Word Template, and then click Save.

Create thumbnail and preview files (optional)

This is an optional step, but thumbnail and preview files can be very helpful to users because they enable users to quickly view and select templates. To see examples of thumbnail and preview files, click Sample Templates, on the Available Templates pane. If you decide not to create thumbnail and preview files for a custom template, users see the name of the template in the Available Templates pane. A red X is displayed instead of the thumbnail and preview images.

To create thumbnail and preview files

  1. Use screen shots and an image editor to create the thumbnail and preview files. The following are suggested dimensions:

    Preview type Width Height

    Thumbnail

    100

    120

    Preview

    256

    350

  2. Save the files by using one of the following file types: .jpg, .png, .bmp, .gif.

Create an XML configuration file that describes the custom template, thumbnail, and preview files

To display your custom templates in the Available Templates pane, you must create an XML configuration file. Office 2010 references this file to determine how to locate and display your template, thumbnail, and preview files.

To create the XML configuration file

  1. Copy the sample xml file text that is provided in this article, and then paste it into a text editor, such as Notepad. For more information, see Sample text for XML configuration file.

  2. Edit the sample text as appropriate.

    You can use the sample schema definition (XSD) file text that is provided in this article to create an XSD file to validate the XML configuration file (optional). To create the XSD file, copy the sample validation text into a text editor, and then save it as an XSD file; for example, OfficeTemplates.xsd. For more information, see Sample text for XML schema definition (XSD) file.

  3. Save the edited text as an XML file (for example, ContosoTemplates.xml), and save it to a network share (this can also be a folder on a web server).

Sample text for XML configuration file

You can copy the following text into a text editor, such as Notepad, configure the text to define your custom templates, and then save the file as an XML file; for example, ContosoTemplates.xml.

The sample XML includes only one application id section, for Word 2010 templates: application id = "WD". You can add sections for Excel 2010 and PowerPoint by copying the everything between <o:application id="WD"> and </o:application>, and then changing the application id parameters to "XL" for Excel or "PP" for PowerPoint 2010.

Each featuredtemplate section represents a custom template that is within the application id. The sample XML includes four featuredtemplate sections. However, you may add or delete the sections depending on how many custom templates you have. For each featuredtemplate, configure the title, media (thumbnail), and preview information to describe your template. If you have not created a thumbnail or preview file, you can delete the attribute values that correspond to the media and preview information. A red X is displayed for the thumbnail and preview images in the Available Templates pane if you do not provide thumbnail and preview images to display.

Copy Code
<?xml version="1.0" encoding="utf-8"?>
<o:featuredcontent lcid="1033" xmlns:o="urn:schemas-microsoft-com:office:office">
    <o:application id="WD">
        <o:featuredtemplates startdate="2011-03-01" enddate="2013-03-01">

            <!-- TEMPLATE 1 -->
            <o:featuredtemplate title="Template 1" source="\\server1\public\templates\Contoso\Source\1.dotx" >
                <o:media mediatype="gif" filename="1.gif" source="\\server1\public\templates\Contoso\media\1.gif" />
                <o:preview filename="1big.gif" source="\\server1\public\templates\Contoso\preview\1.gif" />
            </o:featuredtemplate>

            <!-- TEMPLATE 2 -->
            <o:featuredtemplate title="Template 2" source="\\server1\public\templates\Contoso\Source\2.dotx" >
                <o:media mediatype="gif" filename="2.gif" source="\\server1\public\templates\Contoso\media\2.gif" />
                <o:preview filename="2big.gif" source="\\server1\public\templates\Contoso\preview\2.gif" />
            </o:featuredtemplate>

            <!-- TEMPLATE 3 -->
            <o:featuredtemplate title="Template 3" source="\\server1\public\templates\Contoso\Source\3.dotx" >
                <o:media mediatype="gif" filename="3.gif" source="\\server1\public\templates\Contoso\media\3.gif" />
                <o:preview filename="3big.gif" source="\\server1\public\templates\Contoso\preview\3.gif" />
            </o:featuredtemplate>

            <!-- TEMPLATE 4 -->
            <o:featuredtemplate title="Template 4" source="\\server1\public\templates\Contoso\Source\4.dotx" >
                <o:media mediatype="gif" filename="4.gif" source="\\server1\public\templates\Contoso\media\4.gif" />
                <o:preview filename="4big.gif" source="\\server1\public\templates\Contoso\preview\4.gif" />
            </o:featuredtemplate>

        </o:featuredtemplates>
    </o:application>
</o:featuredcontent>

Sample text for XML schema definition (XSD) file

You can use a schema definition (XSD) to validate your XML file. To create the XSD file, copy the following text into a text editor, and then save it as an XSD file; for example, OfficeTemplates.xsd.

You can then use the XSD file together with an XML editor that can perform schema validation, such as XML Notepad 2007.

Copy Code
<?xml version="1.0" encoding="utf-8"?>
<xs:schema targetNamespace="urn:schemas-microsoft-com:office:office" elementFormDefault="qualified"
  xmlns="urn:schemas-microsoft-com:office:office" xmlns:o="urn:schemas-microsoft-com:office:office"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="featuredcontent">
<xs:annotation>
  <xs:documentation>
This is the schema for custom spotlight providers in the Available Templates pane that users see when they click New on the File menu in Word, Excel, and PowerPoint.
Copyright (c) Microsoft Corporation.
  </xs:documentation>
</xs:annotation>
<xs:complexType>
  <xs:sequence>
<xs:element name="application" minOccurs="1" maxOccurs="unbounded">
  <xs:annotation>
<xs:documentation>
  Include one application block for every application you have custom templates for
</xs:documentation>
  </xs:annotation>
  <xs:complexType>
<xs:sequence>
  <xs:element name="featuredtemplates" minOccurs="0" maxOccurs="1">
<xs:complexType>
  <xs:sequence>
<xs:element name="featuredtemplate" minOccurs="0" maxOccurs="unbounded">
  <xs:complexType>
<xs:sequence>
  <xs:element name="media" type="CT_ImageAttributes">
<xs:annotation>
  <xs:documentation>
The media element refers to the thumbnail (small) image for the template
  </xs:documentation>
</xs:annotation>
  </xs:element>
  <xs:element name="preview" type="CT_ImageAttributes">
<xs:annotation>
  <xs:documentation>
The preview element refers to the preview (large) image for the template
  </xs:documentation>
</xs:annotation>
  </xs:element>
</xs:sequence>
<xs:attribute name="title" type="ST_SpotlightString" />
<xs:attribute name="source" type="xs:anyURI" />
  </xs:complexType>
</xs:element>
  </xs:sequence>
  <xs:attribute name="startdate" type="ST_Date" use="required" />
  <xs:attribute name="enddate" type="ST_Date" use="required" />
</xs:complexType>
  </xs:element>
</xs:sequence>
<xs:attribute name="id" type="ST_Application" use="required" />
  </xs:complexType>
</xs:element>
  </xs:sequence>
  <xs:attribute name="lcid" type="xs:unsignedShort" use="required" />
</xs:complexType>
  </xs:element>
  <xs:simpleType name="ST_Application">
<xs:annotation>
  <xs:documentation>
Specifies the application for which to deliver spotlight content
  </xs:documentation>
</xs:annotation>
<xs:restriction base="xs:string">
  <xs:enumeration value="WD" />
  <xs:enumeration value="XL" />
  <xs:enumeration value="PP" />
</xs:restriction>
  </xs:simpleType>
  <xs:complexType name="CT_ImageAttributes">
<xs:sequence />
<xs:attribute name="mediatype" type="ST_MediaType">
</xs:attribute>
<xs:attribute name="filename" type="ST_Filename" use="required" />
<xs:attribute name="source" type="xs:anyURI" use="required" />
<xs:attribute name="alttext" type="ST_SpotlightString" use="optional" />
  </xs:complexType>
  <xs:simpleType name="ST_SpotlightString">
<xs:restriction base="xs:string">
  <xs:maxLength value="255" />
  <xs:minLength value="1" />
</xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ST_MediaType">
<xs:restriction base="xs:string">
  <xs:enumeration value="jpg" />
  <xs:enumeration value="png" />
  <xs:enumeration value="bmp" />
  <xs:enumeration value="gif" />
</xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ST_Date">
<xs:annotation>
  <xs:documentation>
Date must be specified in YYYY-MM-DD format
  </xs:documentation>
</xs:annotation>
<xs:restriction base="xs:string">
  <xs:pattern value="[0-9]{4}-[0-9]{2}-[0-9]{2}" />
</xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ST_Filename">
<xs:annotation>
  <xs:documentation>
Filename cannot contain \ ? | > : / * " or less-than, must be less than 260 chars, and have a valid extension.
Example: image.jpg
  </xs:documentation>
</xs:annotation>
<xs:restriction base="xs:string">
  <xs:pattern value="[^\\\?|&gt;&lt;:/\*&quot;]{1,259}" />
</xs:restriction>
  </xs:simpleType>
</xs:schema>

Deploy a registry key that enables Office to read the XML configuration file

After you customize the XML file, you must deploy a registry key that enables Office 2010 to display your templates in the Available Templates pane. The registry key must be deployed to each user who accesses the custom templates.

To create and deploy the registry key

  1. Create the following registry key:

    Copy Code
    HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\Spotlight\Providers\[ProviderName]

    The [ProviderName] key represents the group of templates that are described in the XML file (for example, Contoso). It displays in the Available Templates pane under CustomTemplates in the affected Office 2010 application. The name that you enter must be 30 characters or fewer.

  2. Under the [ProviderName] key

    • Create a new string value named ServiceURL that indicates where the XML file that you created is located.

    • Optionally, you can create a string value that is named Application. It lists the application for which you are providing templates.

      The following table describes these strings:

      Value name Value data (Data type) Description

      ServiceURL

      String

      Specify either of the following:

      • The network folder and XML file; for example, \\server\public\templates\Contoso\WordTemplates.xml)

      • The URL of the web service where the XML file that you created to deploy custom templates is located; for example, http://www.contoso.com.

      Application

      String

      Optional: Specify WD for Word templates, XL for Excel templates, or PP for PowerPoint templates. Do not include this registry key entry if the group of templates includes templates for more than one application.

  3. Use the Office Customization Tool (OCT) or another tool to deploy the registry key to users. For more information about how to use the OCT to distribute registry keys, see Add registry entries in the Office Customization Tool in Office 2010 article.


Use Group Policy to enforce Office 2010 settings

Learn how to use Group Policy to configure and enforce settings for Microsoft Office 2010 users.

The Group Policy Management Console (GPMC), Group Policy Object Editor, and Microsoft Office 2010 Administrative Templates are the Group Policy tools that enable you to manage Office 2010 settings for users.

In this article:

  • Loading the Office 2010 Administrative Templates

  • Starting GPMC

  • Creating a GPO

  • Linking a GPO

  • Editing a GPO

You must have an Active Directory infrastructure set up on your network to complete the procedures in this article. If you are performing the steps for the first time, follow the sections sequentially.

The Group Policy Management Console (GPMC) and the Group Policy Object Editor are tools that you use to manage Group Policy. GPMC consists of a Microsoft Management Console (MMC) snap-in and a set of scriptable interfaces for managing Group Policy objects (but not Group Policy settings). The Group Policy Object Editor, also an MMC snap-in, is used to edit the individual settings that are contained within each Group Policy object (GPO).

Loading the Office 2010 Administrative Templates

To download the Office 2010 administrative templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316).

For more information about the contents of the download, see the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool article.

The Administrative Templates contain the registry-based policy settings that you configure for Group Policy objects in the domain. They are contained in several individual .admx (ADMX), .adml (ADML, or .adm (ADM) files, depending on the version of Windows that you are running on your computer. ADML files are language-specific complements to ADMX files. Each ADMX and ADM file contains the policy settings for a single Office application. For example, outlk14.admx contains the policy settings for Outlook 2010, and Word14.admx contains the templates for Microsoft Word 2010.

ADMX files are XML-based administrative template files that were introduced in Windows Vista and Windows Server 2008. They replace ADM files, although you can decide to continue using ADM files, because ADMX and ADM files are stored in different locations. If you use both ADMX and ADM files, policy settings that you configure in the ADMX files override the equivalent policy settings in the ADM files. ADMX files are stored in a single location (whether locally to manage one computer, or in the central store, for all the computers in a domain) and they are configured for multiple GPOs. ADM files are stored in each GPO. This means that each GPO can contain the entire set of ADM files that are configured specifically for that GPO. Therefore, if you are considering using ADM files, think about the effect on central administration, storage, replication time, and network traffic delay compared to using ADMX files.

How you load the Administrative Templates depends on whether you want to use the ADMX or ADM versions.

Loading the ADMX templates

If you use ADMX and ADML files on computers that run Windows Vista, Windows 7, Windows Server 2008, or Windows Server 2008 R2, you can store them in one of the following locations:

  • If you want to manage multiple computers in your domain, create the central store in the Sysvol folder on the primary domain controller. This provides a replicated central storage location for domain Administrative Templates.

    When you use a central store, GPMC reads the single set of Administrative Template files that are stored there when you edit, model, or report on a GPO. GPMC reads these files from over the network. Therefore,, you should always connect the GPMC to the closest domain controller. The central store consists of the following:

    • A root-level folder, which contains all language-neutral ADMX files. For example, create the root folder for the central store on your domain controller at this location:

      %systemroot%\sysvol\domain\policies\PolicyDefinitions

    • Subfolders, which contain the language-specific ADML resource files. Create a subfolder of %systemroot%\sysvol\domain\policies\PolicyDefinitions for each language that you will use. For example, create a subfolder for United States English at this location:

      %systemroot%\sysvol\domain\policies\PolicyDefinitions\EN-US

      For more information about how to store and use the Administrative Templates from a central store, see "Group Policy and Sysvol" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/?LinkId=182208).

  • If you want to manage a single computer, store them in the PolicyDefinitions folder on the local computer. This enables you to edit the local GPO.

    • ADMX files are stored in this location: %systemroot%\PolicyDefinitions

    • ADML files are stored in this location: %systemroot%\PolicyDefinitions\<ll-cc>

      where ll-cc represents the language identifier, such as en-us for English United States

Group Policy Object Editor automatically reads all ADMX files that are stored in the central store of the domain in which the GPO was created. If you have set up a central store, Group Policy ignores the local versions of the ADMX templates that are stored on the local computer.

When there is no central store, the Local Group Policy Editor reads the local versions of the ADMX files that are used by the local GPO.

For more information about ADMX files, see Managing Group Policy ADMX Files Step-by-Step Guide (http://go.microsoft.com/fwlink/p/?LinkId=75124).

Loading the ADM templates

ADM templates are stored in GPOs. If you want to use ADM templates, you must load the ADM templates into each GPO that you want to configure policy settings for.

To load the Office 2010 Administrative Templates (ADMfiles) to a GPO

  1. Verify that you are a member of the Domain Admins group or have the necessary permissions for the GPO: Edit settings or Edit settings, delete, and modify.

    For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. In Group Policy Object Editor, right-click Administrative Templates in the Computer Configuration or User Configuration node, and then select Add/Remove Templates. A list of the Administrative Template files that are already added to the GPO is displayed.

  3. To add another Administrative Template file, click Add, and then browse to the location where you have saved the Office 2010 Administrative Template files.

  4. Select the file that you want to add, and then click Open. Repeat this step for each Administrative Template file that you want to add.

  5. When you are finished adding the files to the GPO, click Close. You can then edit the added policy settings in the GPO.

Starting GPMC

GPMC is built-into Windows Vista, Windows 7, and Windows Server 2008. If you are running an earlier version of Windows, see Group Policy Management Console with Service Pack 1 (http://go.microsoft.com/fwlink/p/?LinkId=212306). GPMC invokes the Group Policy object editor. You do not need to install it separately. For more information, see Group Policy overview for Office 2010.

To start GPMC

  • Click Start, click Control Panel, click Administrative Tools, and then click Group Policy Management.

For more information about how to set Group Policy, see Step-by-Step Guide to Understanding the Group Policy Feature Set (http://go.microsoft.com/fwlink/p/?LinkId=78160).

Creating a GPO

Group Policy settings are contained in GPOs, which are linked to selected Active Directory containers such as sites, domains, or organizational units (OUs) to enforce specific configurations. You can create several GPOs, each with a specific set of configurations. For example, you might want to create a GPO named "Office 2010" that contains only settings for Office 2010 applications, or one named "Outlook 2010" for only Microsoft Outlook 2010 configurations.

To create a GPO

  1. Verify that you have the necessary permissions for the GPO:

    By default, only members of the Domain Admins, Enterprise Admins, Group Policy Creator Owners, and SYSTEM groups can create new GPOs. For more information, see "Delegating creation of GPOs" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. Open GPMC.

  3. In the console tree, right-click Group Policy Objects in the forest and domain in which you want to create a GPO. For example, browse to Forest name, Domains, Domain name, Group Policy Objects.

  4. Click New.

  5. In the New GPO dialog box, specify a name for the new GPO, and then click OK.

Linking a GPO

When you link a GPO to a domain or other Active Directory container, you apply the policy setting configurations that you make in the GPO to all users or computers that are in the domain or Active Directory container.

To link a GPO

  1. Verify that you have the necessary permissions:

    • If you want to link an existing GPO to a site, domain, or OU, you must have Link GPOs permission on that site, domain, or OU. By default, only Domain Administrators and Enterprise Administrators have these permissions for domains and OUs, and only Enterprise Administrators and Domain Administrators of the forest root domain have these permissions for sites.

    • If you want to both create and link a GPO, you must have Link GPOs permissions on the domain or OU to which you want to link, and you must have permission to create GPOs in that domain. By default, only Domain Administrators, Enterprise Administrators, and Group Policy Creator owners have permission to create GPOs.

    • If you want to link a GPO to a site, notice that the Create and Link a GPO Here option is not available for sites, because it is unclear in which domain to create the GPO. You must first create a GPO in any domain in the forest, and then use the Link an Existing GPO option to link the GPO to the site.

    For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. Open GPMC.

  3. In the console tree, locate the site, domain, or OU to which you want to link a GPO. These are located under Forest name, Domains or Sites, or Site name, Domain name, or organizational unit name.

  4. To link an existing GPO, right-click the domain or organizational unit within the domain, and then click Link an Existing GPO. In the Select GPO dialog box, click the GPO that you want to link, and then click OK.

    -or-

    To link a new GPO, right-click the domain or OU in a domain, and then click Create and Link a GPO Here. In the Name box, type the name that you want to use for the new GPO, and then click OK.

Editing a GPO

When you edit a GPO, you configure policy settings that apply to the domain or Active Directory container that it is linked to.

To edit a GPO

  1. Verify that you are a member of the Domain Admins group or have the necessary permissions for the GPO: either Edit settings or Edit settings, delete, and modify.

    For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. Open GPMC.

  3. In the console tree, double-click Group Policy Objects in the forest and domain that contain the GPO that you want to edit. This is located in Forest name, Domains, Domain name, Group Policy Objects.

  4. Right-click the GPO that you want to modify, and then click Edit. This opens Group Policy Object Editor. Edit settings, as appropriate, in the Group Policy Object Editor console.

Important:

  • The default domain policy and default domain controllers policy are important to the health of any domain. Do not edit the Default Domain Controller Policy or the Default Domain Policy GPOs, except in the following cases:

    • We recommend that you set account policy in the Default Domain Policy.

    • If you install applications on domain controllers that require modifications to User Rights or Audit Policies, the modifications must be made in the Default Domain Controllers Policy.

  • To edit the local GPO: open Group Policy Object Editor by clicking Start, then click Run, type gpedit.msc, and then click OK. To edit the local GPO on another computer, type the following at the command prompt: gpedit.msc /gpcomputer: <ComputerName>.

See Also

Concepts

Group Policy overview for Office 2010
Planning for Group Policy in Office 2010
FAQ: Group Policy (Office 2010)
Downloadable book: Group Policy for Office 2010
Disable user interface items and shortcut keys in Office 2010
Security policies and settings in Office 2010


Disable user interface items and shortcut keys in Office 2010

Published: May 12, 2010

You can disable user interface (UI) items and keyboard shortcuts in Microsoft Office 2010 by using Group Policy.

To use Group Policy to disable UI items and shortcut keys, you must have the appropriate control IDs and virtual key codes. These are provided, along with how-to instructions, in this article.

In this article:

  • Using Group Policy to disable UI items and keyboard shortcuts

  • Disabling commands by using control IDs

  • Disabling shortcut keys by using virtual key codes

  • Disabling predefined user interface items and shortcut keys

Before performing any of the procedures in this article, make sure that you have installed the Office 2010 Administrative Templates. For more information about how to download and install the Administrative Templates, see Loading the Office 2010 Administrative Templates in Use Group Policy to enforce Office 2010 settings.

Using Group Policy to disable UI items and keyboard shortcuts

You can use Group Policy settings to disable commands and menu items for Office 2010 applications by specifying the toolbar control ID (TCID) for the Office 2010 controls. You can also disable keyboard shortcuts by setting the Custom | Disable shortcut keys policy setting and adding the virtual key code and modifier for the shortcut. A virtual key code is a hardware-independent number that uniquely identifies a key on the keyboard. A modifier is the value for a modifier key, such as ALT, CONTROL, or SHIFT.

The Custom | Disable commands and Disable shortcut keys policy settings are available for the following Office 2010 applications:

  • Microsoft Access 2010

  • Microsoft Excel 2010

  • Microsoft Outlook 2010

  • Microsoft PowerPoint 2010

  • Microsoft Project 2010

  • Microsoft Visio 2010

  • Microsoft Word 2010

The Custom | Disable commands policy settings are also available for the following Office 2010 applications:

  • Microsoft InfoPath 2010

  • Microsoft Publisher 2010

  • Microsoft SharePoint Designer 2010

Policy settings for the Office 2010 applications are accessed under the User Configuration\Administrative Templates node in Group Policy Object Editor. To disable user interface items and shortcut keys, administrators can enable one of the following policy settings under the Disable items in User Interface\Custom node for an Office 2010 application:

  • Disable commands Allows you to specify the control ID for the command that you want to disable. If you disable a TCID, that TCID is disabled everywhere the toolbar control is used. To disable a tab, you can disable the controls on the tab. For more information, see Disabling commands by using control IDs later in this article.

  • Disable shortcut keys Allows you to specify the virtual key code and modifier (as key,modifier) for the keyboard shortcut you want to disable. Key is the value of a key (for example, K) in Windows, and modifier is the value of either a modifier key (such as ALT) or a combination of modifier keys in Windows. For more information, see Disabling shortcut keys by using virtual key codes later in this article.

Policy settings are also available for disabling predefined user interface items and shortcut keys for the Office 2010 applications. For more information, see Disabling predefined user interface items and shortcut keys later in this article.

Disabling commands by using control IDs

You must first obtain the control IDs for the Office 2010 application controls that you want to disable by using the custom Disable commands policy setting. For information about how to download files that list the control IDs for built-in controls in all applications that use the Office 2010 Office Fluent UI, see Office 2010 Help Files: Office Fluent User Interface Control Identifiers (http://go.microsoft.com/fwlink/p/?LinkId=181052).

For information about how to use Group Policy Object Editor from the Group Policy Management Console Microsoft Management Console (MMC) snap-in, see Group Policy management tools in Group Policy overview for Office 2010.

To disable commands by using control IDs

  1. Verify that you have the necessary security permissions for the GPO: either Edit settings or Edit settings, delete, and modify security. For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. In the Group Policy Object Editor console, expand User Configuration, expand Administrative Templates, and then expand the application for which you want to disable commands (for example, double-click Microsoft Excel 2010).

  3. Click Disable items in User Interface, click Custom, double-click Disable commands, and then click Enabled.

  4. Click Show. In the Show Contents dialog box, click Add, enter the control ID for the command that you want to disable in the Add Item dialog box, and then click OK.

    For example, to disable the Check for Updates button in Excel (assuming you had previously added this command to the Excel Quick Access Toolbar), you would enter 9340 (the control ID for the CheckForUpdates control).

  5. Click OK. In the Disable commands policy Properties page, click OK.

Disabling shortcut keys by using virtual key codes

The Disable shortcut keys policy setting under the Disable items in user interface\Predefined node includes several built-in shortcut keys that are listed by name. For example, you can disable CTRL+K, the shortcut for the Hyperlink command (Insert tab, Links group). For more information, see Disabling predefined user interface items and shortcut keys later in this article.

To disable other shortcut keys, you set the Disable shortcut keys policy setting under the Disable items in User Interface\Custom node and add the virtual key code and modifier for the user interface item that you want to disable. Key is the numeric value for a key (such as V) in Windows. Modifier is the value of either a modifier key such as CONTROL, or a combination of modifier keys in Windows.

The following resources provide information about Office 2010 combination shortcut keys, function keys, and other common shortcut keys, together with descriptions of their functionality. You need the shortcut key information to use the Custom |Disable shortcut keys policy settings.

  • Keyboard shortcuts for Access (http://go.microsoft.com/fwlink/p/?LinkId=182281)

  • Excel shortcut and function keys (http://go.microsoft.com/fwlink/p/?LinkId=182282)

  • Keyboard shortcuts for Outlook (http://go.microsoft.com/fwlink/p/?LinkId=182283)

  • Keyboard shortcuts for PowerPoint (http://go.microsoft.com/fwlink/p/?LinkId=182284)

  • Keyboard shortcuts for Word (http://go.microsoft.com/fwlink/p/?LinkId=182285)

  • Keyboard shortcuts for Visio (http://go.microsoft.com/fwlink/p/?LinkId=182286)

The following table provides information about keys and modifiers.

Key or modifier | Value (decimal)
ALT | 16
CONTROL | 8
SHIFT | 4
A | 65
B | 66
C | 67
D | 68
E | 69
F | 70
G | 71
H | 72
I | 73
J | 74
K | 75
L | 76
M | 77
N | 78
O | 79
P | 80
Q | 81
R | 82
S | 83
T | 84
U | 85
V | 86
W | 87
X | 88
Y | 89
Z | 90

The following table lists the values for the function keys used by the system.

Function key | Value (decimal)
F1 | 112
F2 | 113
F3 | 114
F4 | 115
F5 | 116
F6 | 117
F7 | 118
F8 | 119
F9 | 120
F10 | 121
F11 | 122
F12 | 123

For a more comprehensive list of symbolic constant names, hexadecimal values, and mouse or keyboard equivalents for the virtual-key codes used by the system, see Virtual-Key Codes (http://go.microsoft.com/fwlink/p/?LinkId=182271).

To disable shortcut keys (Custom)

  1. Verify that you have the necessary security permissions for the GPO: either Edit settings or Edit settings, delete, and modify security. For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. In the Group Policy Object Editor console, expand User Configuration, expand Administrative Templates, and then expand the application for which you want to disable commands (for example, double-click Microsoft Excel 2010).

  3. Click Disable items in User Interface, click Custom, click Disable shortcut keys, and then click Enabled.

  4. Click Show. In the Show Contents dialog box, click Add. In the Add Item dialog box, enter the values for the keyboard shortcut you want to disable as key,modifier, and then click OK.

    For example, to disable the shortcut keys ALT+F11 in Excel (which opens the Microsoft Visual Basic Editor, where you can create a macro), enter 122,16 in the Add Item dialog box (where F11 key = 122 and modifier = 16).

    Note:

    If there are multiple modifier keys for the keyboard shortcut, add the values of the modifier keys together to determine the modifier value to enter in Group Policy Object Editor console. For example, for the ALT+SHIFT combination, you would use the sum of their assigned values, 16+4 = 20.

  5. Click OK. In the Disable shortcut keys policy Properties page, click OK

Disabling predefined user interface items and shortcut keys

Policy settings are also available to disable predefined user interface items and shortcut keys for the Office 2010 applications. These predefined policy settings for the Office 2010 applications are available in User Configuration\Administrative Templates\<application name>, under the Disable items in user interface\Predefined node of Group Policy Object Editor. Policy settings for disabling user interface items are available for the following applications:

  • Access 2010

  • Excel 2010

  • PowerPoint 2010

  • Word 2010

  • SharePoint Designer 2010

  • Publisher 2010

  • Visio 2010

To disable predefined commands

  1. Verify that you have the necessary security permissions for the GPO: either Edit settings or Edit settings, delete, and modify security. For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. In Group Policy Object Editor console, expand User Configuration, expand Administrative Templates, and then expand the application for which you want to disable commands (for example, double-click Microsoft Excel 2010).

  3. Click Disable items in User Interface, click Predefined, double-click Disable commands, click Enabled, select the commands that you want to disable, and then click OK.

To disable predefined shortcut keys

  1. Verify that you have the necessary security permissions for the GPO: either Edit settings or Edit settings, delete, and modify security. For more information about permissions that are needed to manage Group Policy, see "Delegating administration of Group Policy" in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

  2. In Group Policy Object Editor console, expand User Configuration, expand Administrative Templates, and then expand the application for which you want to disable commands (for example, double-click Microsoft Excel 2010).

  3. Click Disable items in User Interface, click Predefined, double-click Disable shortcut keys, click Enabled, select the shortcut keys that you want to disable, and then click OK.

See Also

Concepts

Group Policy overview for Office 2010
Planning for Group Policy in Office 2010
FAQ: Group Policy (Office 2010)
Downloadable book: Group Policy for Office 2010
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool
Use Group Policy to enforce Office 2010 settings
Security policies and settings in Office 2010


Enable SharePoint Server 2010 Colleague in Outlook 2010

Published: May 12, 2010

You can use either Group Policy or the Office Customization Tool to enable the Microsoft SharePoint Server 2010 Colleague Add-in in Microsoft Outlook 2010.

The procedures in this article will help you configure the add-in in Outlook 2010.

In this article:

  • Overview

  • Before you begin

  • Configure Colleagues for My Site

Overview

The SharePoint Server Colleague add-in in Microsoft Outlook 2010 scans the user's Sent Items folder to look for names and keywords along with the frequency of those names and keywords. The list of possible colleagues is updated periodically and stored under the user's profile on the user's local computer. This list is accessed by the Add Colleagues page on a user's SharePoint My Site where they can choose the colleagues they want to add to their My Site. The user can approve or reject contact names and keywords before they are added to the Ask Me About Web Part.

By default, the Colleagues scan is turned on. You can disable this feature by using Group Policy.

You can lock down the settings to customize the Colleagues scan by using the Office Group Policy Administrative template (Office14.adm). Or, you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the setting from the configuration you deploy.

Before you begin

Before you start deployment, review Planning for Group Policy in Office 2010, Planning overview for Outlook 2010, and Plan user profiles (SharePoint Server 2010) (http://go.microsoft.com/fwlink/p/?LinkId=182364).

Configure Colleagues for My Site

Use the following procedures to configure Colleagues settings. The first two procedures are for administrators to configure Colleagues by using Group Policy or the OCT. The third procedure describes how to deploy the My Site registry keys for users by using the OCT. You must deploy the My Site URL registry data for the Colleagues scan to work. The last procedure provides steps for users to turn off this feature in Outlook 2010.

To configure Colleagues by using Group Policy

  1. In Group Policy, load the Office 2010 template (Office14.adm). Steps vary according to the version of Windows that you are running.

  2. Open the Group Policy Management Console (GPMC). In the tree view, expand Domains, and then expand Group Policy Objects.

  3. Right-click the policy object that you want, and then click Edit. The Group Policy Management Editor window opens.

  4. In the tree view, expand User Configuration | Policies | Administrative Templates \ Classic Administrative Templates (ADM) \ Microsoft Office 2010 \ Server Settings \ SharePoint Server.

  5. Double-click Enable Colleague Import Outlook Add-In to work with Microsoft SharePoint Server.

  6. Select Enabled to enable the policy setting. Or, select Disabled to disable the policy.

  7. Click OK.

  8. If you enable the policy, you can also set other policies in this folder, such as Maximum number of recipients in an Outlook item to scan to determine the user's colleagues for recommendation and Minimum time before starting Colleague recommendation scan.

  9. Save the Group Policy.

To configure Colleagues by using the Office Customization Tool

  1. Start the OCT by running Setup with the /admin command-line option.

  2. On the Modify User Settings page, expand the tree to Microsoft Office 2010 system \Server Settings \ SharePoint Server.

  3. Double-click Enable Colleague Import Outlook Add-In to work with Microsoft SharePoint Server.

  4. Select Enabled to enable the policy setting. Or, select Disabled to disable the policy by default.

  5. If you enable the policy, you can also set other policies in this folder, such as Maximum number of recipients in an Outlook item to scan to determine the user's colleagues for recommendation and Minimum time before starting Colleague recommendation scan.

  6. Complete other Office 2010 configurations. On the File menu, click Save to create the customization file that you can deploy to users.

To set the My Site URL by using the OCT

  1. Start the OCT by running Setup with the /admin command-line option.

  2. In the Additional content area, click Add registry entries.

  3. Click Add to add the registry entries that are shown in the following table.

    Root Data type Key Value name Value data

    HKEY_CURRENT_USER

    REG_SZ

    Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost

    URL

    Your My Site URL - for example, http://Office/MySite.

    HKEY_CURRENT_USER

    REG_SZ

    Software\Policies\Microsoft\Office\14.0\common\Portal\Link Providers\MySiteHost

    DisplayName

    The name to display to the user - for example, MySite.

  4. Complete other Office 2010 configurations. On the File menu, click Save to create the customization file that you can deploy to users.

To manually turn off Colleagues in Outlook 2010

  1. In Outlook 2010, on the File tab, click Options.

  2. In the Outlook Options dialog box, select Advanced.

  3. In the Other section, clear the check box Allow analysis of sent e-mails to identify people you commonly e-mail and subjects you commonly discuss, and upload this information to the default SharePoint Server.

  4. Click OK.

See Also

Concepts

Planning for Group Policy in Office 2010
Planning overview for Outlook 2010

Other Resources

Plan user profiles (SharePoint Server 2010)


Configure security for Office 2010

Published: May 12, 2010

You can use the Office Customization Tool (OCT) and Group Policy to configure security settings in Microsoft Office 2010.

This article contains the required information and procedures for configuring security settings in Office 2010.

In this article:

  • Process overview

  • Before you begin

  • Configure security settings by using the OCT

  • Configure security settings by using Group Policy

Process overview

You can configure security settings by using the Office Customization Tool (OCT), and by using the Office 2010 Administrative Templates (.adm or admx files) with Group Policy. You can also configure some security settings in the Trust Center, which can be accessed through the user interface of every Office 2010 application. However, from an administration and deployment standpoint, Trust Center settings are useful only for troubleshooting installation and configuration problems on individual computers. The Trust Center cannot be used to deploy or centrally manage security settings.

When you use the OCT to configure security settings, the settings are not permanent. The OCT establishes the initial value for the setting. After Office 2010 is installed, users can use the Trust Center to configure some, but not all, security settings. If you must enforce and prevent users from changing security settings, use Group Policy.

For information about how to manage security for Office for Mac, see Deploy Office for Mac 2011 security preferences (http://go.microsoft.com/fwlink/?LinkId=212912).

Before you begin

Before you configure security settings, review the following information about planning, permissions, and tool requirements.

Plan security settings

You must complete the following steps in the security planning process before you configure security settings:

  • Read Security overview for Office 2010. This article describes the new security architecture in Office 2010 and explains how the new security features work together to help provide a layered defense. We recommend that you do not change any security settings until you understand how all of the security features work.

  • Read Understand security threats and countermeasures for Office 2010. This article describes which security risks and threats are relevant to Office 2010. This article also helps you determine which of those security risks and threats pose a risk to the business assets or processes of your organization.

  • Read the planning articles in Plan security for Office 2010. These articles describe the various security settings that you can use to customize Office 2010 security features.

Review required permissions

The following table lists the administrative credentials that are required to configure security settings by using various deployment and management tools.

To perform these actions | You must be a member of this group or groups
Run the OCT. | Administrators group on the local computer
Configure local Group Policy settings by using the Local Group Policy Editor. | Administrators group on the local computer
Configure domain-based Group Policy settings by using the Group Policy Management Console. | Domain Admins, Enterprise Admins, or Group Policy Creator Owners group

Tool prerequisites

You can use several different tools to configure security settings. Before you use these tools, make sure that you:

  • Understand how to use the OCT to customize Office 2010. For more information about the OCT, see Office Customization Tool in Office 2010 and Customization overview for Office 2010.

  • Have created a network installation point from which you can run the OCT. For more information about network installation points, see Create a network installation point for Office 2010.

  • Understand what Administrative Templates are (.adm or .admx files). For more information about Administrative Templates, see Group Policy overview for Office 2010.

  • Have loaded the Group Policy Office 2010 Administrative Templates to the central store, or to the Local Group Policy editor, depending on whether you want to configure just one computer or multiple computers on the domain.

The OCT is available only with volume licensed versions of Office 2010 and the 2007 Microsoft Office system. To determine whether an Office 2010 installation is a volume licensed version, check the Office 2010 installation disk to see whether it contains a folder named Admin. If the Admin folder exists, the disk is a volume license edition. If the Admin folder does not exist, the disk is a retail edition.

Configure security settings by using the OCT

The following procedure shows how to use the OCT to configure security settings.

To use the OCT to configure security settings

  1. Open a command prompt window and navigate to the root of the network installation point that contains the Office 2010 source files.

  2. At the command prompt, type setup.exe /admin, and then press ENTER.

  3. In the navigation pane of the OCT, click Office security settings.

  4. Change the security settings that you want to configure in the right pane.

Configure security settings by using Group Policy

The following procedure shows how to use Group Policy to configure security settings.

To use Group Policy to configure security settings

  1. If you want to configure local Group Policy settings, open the Local Group Policy Editor.

    To do this, at the Run command, type gpedit.msc, and then press ENTER.

  2. Or, open the Group Policy Management Editor on a domain controller if you want to configure domain-based Group Policy settings.

    To do this, open the Group Policy Management Console snap-in, right-click the Group Policy object (GPO) that you want to configure, and then click Edit.

  3. In the Local Group Policy Editor tree or the Group Policy Management Editor tree, find the security setting that you want to configure in one of the following locations:

    • User Configuration/Policies/Administrative Templates/Microsoft Access 2010/Application Settings/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Excel 2010/Excel Options/Security

    • User Configuration/Policies/Administrative Templates/Microsoft InfoPath 2010/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Office 2010/Security Settings

    • User Configuration/Policies/Administrative Templates/Microsoft OneNote 2010/OneNote Options/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Outlook 2010/Security

    • User Configuration/Policies/Administrative Templates/Microsoft PowerPoint 2010/PowerPoint Options/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Project 2010/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Publisher 2010/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Visio 2010/Visio Options/Security

    • User Configuration/Policies/Administrative Templates/Microsoft Word 2010/Word Options/Security

  4. Double-click the security setting and make the changes that you want to make.

Tip:

If you cannot find the security setting that you want to configure, try searching in the previously listed locations within the Computer Configuration/Policies/Administrative Templates node.

See Also

Concepts

Security overview for Office 2010

Other Resources

Office 2010 Security Resource Center on TechNet


Configure Information Rights Management in Office 2010

To configure Information Rights Management (IRM) options to encrypt document properties, use Group Policy or the Office Customization Tool (OCT).

Users can restrict permission to content documents and e-mail messages in Microsoft Office 2010 by using Information Rights Management (IRM). This article describes how you can configure IRM options in your organization to encrypt document properties for IRM content by using either Group Policy or the Office Customization Tool (OCT).

In this article:

  • Overview

  • Before you begin

  • Turn off Information Rights Management

  • Configure automatic license caching for Outlook

  • Enforce e-mail expiration

  • Deploy rights policy templates

Overview

You can lock down many settings to customize IRM by using the Office Group Policy template (Office14.adm) and Outlook Group Policy template (Outlk14.adm). You can also use the Office Customization Tool (OCT) to configure default settings, which enables users to change the settings. The OCT settings are in corresponding locations on the Modify user settings page of the OCT. In addition, there are IRM configuration options that can only be configured by using registry key settings. For a list of IRM settings, see Plan for Information Rights Management in Office 2010.

In Microsoft Outlook 2010, users can create and send e-mail messages that have restricted permission to help prevent messages from being forwarded, printed, or copied and pasted. Office 2010 documents, workbooks, and presentations that are attached to messages that have restricted permission are also automatically restricted.

As an Outlook administrator, you can configure several options for IRM e-mail, such as disabling IRM or configuring local license caching. You can also design custom IRM permissions for users, in addition to the default Do Not Forward permissions group. For more information, see Setting up IRM for Office 2010 in Plan for Information Rights Management in Office 2010.

For information about managing IRM in Office for Mac, see the Information Rights Management in Office for Mac 2011 Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=212910).

Before you begin

Before you start deployment, review Plan for Information Rights Management in Office 2010 to determine which settings that you might have to configure for IRM.

The Office 2010 and Outlook 2010 templates and other ADM files can be downloaded from the Microsoft Download Center. For more information about how to use the OCT, see Office Customization Tool in Office 2010.

Turn off Information Rights Management

You can turn off IRM for all Microsoft Office applications. To turn off IRM in Outlook 2010, you must turn off IRM for all Microsoft Office applications. There is no separate option to turn off IRM only in Microsoft Outlook.

To turn off IRM in Office 2010 by using Group Policy

  1. In Group Policy, load the Office 2010 template (Office14.adm) and go to User Configuration\Administrative Templates\Microsoft Office 2010\Manage Restricted Permissions.

  2. Double-click Turn Off Information Rights Management User Interface.

  3. Click Enabled.

  4. Click OK.

Configure automatic license caching for Outlook

By default, Outlook 2010 automatically downloads the IRM license for rights-managed e-mail when Outlook synchronizes with Exchange Server. You can configure Outlook 2010 to prevent license information from being cached locally so that users must connect to the network to retrieve license information to open rights-managed e-mail messages.

To disable automatic license caching for IRM by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm) and go to User Configuration\Administrative Templates\Microsoft Outlook 2010\Miscellaneous.

  2. Double-click Do not download rights permission license information for IRM e-mail during Exchange folder sync.

  3. Click Enabled.

  4. Click OK.

Enforce e-mail expiration

You can also use IRM to help enforce an e-mail expiration period that you configure for Outlook 2010. When a user specifies the number of days before a message expires with IRM enabled, the message cannot be accessed after the expiration period.

As an administrator, you can specify an expiration period for all Outlook e-mail messages in your organization. The expiration period is enforced only when users send rights-managed e-mail.

To configure an expiration period for e-mail messages by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm) and go to User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Preferences\E-mail Options\Advanced E-mail Options.

  2. Double-click When sending a message.

  3. Click Enabled.

  4. In the Messages expire after (days) box, enter a number of days.

  5. Click OK.

Deploy rights policy templates

The IRM policy settings that are available in the Office Group Policy template (Office14.adm) can be configured to point to the location where the rights policy templates are stored (either locally or on an available server share).

To configure the IRM rights policy templates location in Group Policy

  1. In Group Policy, load the Office 2010 template (Office14.adm) and go to User Configuration\Administrative Templates\Microsoft Office 2010\Manage Restricted Permissions.

  2. Double-click Specify Permission Policy Path.

  3. Click Enabled.

  4. In the Enter path to policy templates for content permission box, type the full path to the IRM permission policy templates.

  5. Click OK.

See Also

Concepts

Plan for Information Rights Management in Office 2010


Configure Outlook 2010

You can configure Microsoft Outlook 2010 for Outlook Anywhere, Cached Exchange Mode, Microsoft Exchange Server, security, and customized profiles.

Just follow the steps that are described in these articles:

Article | Description
Configure Outlook Anywhere in Outlook 2010 | Describes the requirements and options for you to configure a group of Outlook user accounts to use Outlook Anywhere.
Configure Cached Exchange Mode in Outlook 2010 | Describes how to configure Cached Exchange Mode for Microsoft Exchange Server e-mail accounts in Microsoft Outlook 2010.
Configure Exchange Server send/receive settings in Outlook 2010 | Describes how to define Send/Receive groups for users' Microsoft Exchange Server accounts and folders and specify tasks that are performed on each group during a Send/Receive operation in Microsoft Outlook 2010.
Configure multiple Exchange accounts for Outlook 2010 | Describes how to configure multiple Microsoft Exchange Server e-mail accounts for a Microsoft Outlook 2010 profile.
Configure security and protection in Outlook 2010 | Describes how to configure e-mail security, protection, and privacy in Microsoft Outlook 2010.
Customize Outlook profiles by using an Outlook Profile (PRF) file | Describes how to use the Microsoft Outlook 2010 profile file (.prf) to quickly create MAPI profiles for users, how to edit the profiles, and how to apply the profiles.
Manually deploy offline address book files | Describes how to manually deploy offline address book (OAB) files to remote client computers by using web-based distribution.
Disable global address list synchronization for Outlook 2010 | Describes how to disable Microsoft Exchange global address list (GAL) synchronization with Microsoft Outlook 2010 contacts by using Group Policy, and how to configure GAL synchronization to prompt before updating by configuring the registry.


Configure Outlook Anywhere in Outlook 2010

Published: May 12, 2010

Learn how to use the Office Customization Tool (OCT) and Group Policy to manage Outlook Anywhere settings for users.

Outlook Anywhere enables Microsoft Outlook 2010 users to access their Exchange Server accounts over the Internet without using virtual private network (VPN) connections when they travel or work outside the organization firewall.

Not an IT Professional?

This article is for IT Professionals, and describes the requirements and options for configuring a group of Outlook user accounts to use Outlook Anywhere. If you're not an IT Professional, but you want to configure this feature on a single computer, see Use Outlook Anywhere to connect to your Exchange server without VPN (http://go.microsoft.com/fwlink/p/?LinkId=231273).

In this article:

  • Overview

  • Before you begin

  • Use the OCT to configure Outlook Anywhere

  • Use Group Policy to lock down Outlook Anywhere settings

  • Verification

Overview

To configure Outlook 2010 with Outlook Anywhere as part of an Outlook deployment, you enable the option in the Office Customization Tool (OCT) and (optionally) specify additional settings, such as security-level requirements, to communicate with the Exchange Server computer. After you specify these options, you save the settings with other configurations in the Setup customization file (.msp file) that you use to deploy Outlook to users. For more information about the OCT, see Office Customization Tool in Office 2010.

You can also lock down some Outlook Anywhere settings by using Group Policy. For more information about Outlook Anywhere Group Policy settings, see Use Group Policy to lock down Outlook Anywhere settings later in this article. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

If your messaging server is Microsoft Exchange Server 2007 or Microsoft Exchange Server 2010, you can use the Outlook 2010 Autodiscover feature to automatically configure Outlook Anywhere. For more information about automatic account configuration, see Outlook Automatic Account Configuration (http://go.microsoft.com/fwlink/p/?LinkID=79065).

Outlook Anywhere was known as RPC over HTTP in earlier versions of Outlook.

Before you begin

  • Before you start deployment, review Planning overview for Outlook 2010 to determine the settings that you might have to configure for Outlook Anywhere.

  • We recommend that the user accounts that you configure for Outlook Anywhere use Cached Exchange Mode. For more information about Cached Exchange Mode in Outlook, see Plan an Exchange deployment in Outlook 2010.

  • Download the Group Policy Administrative template (.adm or .admx) for Outlook 2010. To download the template files, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316).

  • Before you configure Outlook Anywhere for Outlook 2010 in an Exchange environment without the Autodiscover service, obtain the URL for the Exchange proxy server that is configured for Outlook Anywhere. This URL is available from the organization's Exchange administrator.

Use the OCT to configure Outlook Anywhere

Use this procedure to use the OCT to configure Outlook Anywhere.

To configure Outlook Anywhere by using the OCT

  1. In the OCT, in the tree view, locate Outlook, and then click Add accounts. Click the Exchange account that you want to configure and then click Modify.

  2. If you are defining a new Exchange Server computer for users, enter a value or replaceable parameter in User Name.

    For example, you might specify =%UserName% to use the exact logon name for each user. This helps prevent user prompts when Outlook asks users to decide among several variations.

  3. If you are defining a new Exchange Server computer, in the Exchange Server text box enter the name of the Exchange Server computer.

    Skip steps 2 and 3 if you are configuring Outlook Anywhere for existing Exchange users who are not moving to a new Exchange Server computer.

  4. Click More Settings.

  5. In the Exchange Settings dialog box, select the Configure Outlook Anywhere check box and then select the Connect to Exchange Mailbox using HTTP check box.

  6. In the text box that follows these check boxes, type the server name for the Outlook Anywhere proxy server.

    Do not enter http:// or https:// as part of the name.

  7. Decide whether you want users to connect through Secured Sockets Layer (SSL) only. If you want to support both server authentication and client authentication, select Mutually authenticate the session when the system connects with SSL and enter the principal name of the proxy server.

  8. Select whether or not to reverse the default way in which Outlook decides which connection type to try first, LAN (TCP/IP) or Outlook Anywhere (HTTP). The default is LAN (TCP/IP) first, then Outlook Anywhere (HTTP). If you expect users to connect when they are outside the corporate network more frequently than when they are inside the corporate network, we recommend that you configure Outlook to try Outlook Anywhere (HTTP) first.

  9. Select an authentication method from the drop-down list.

    The default method is Password Authentication (NTLM).

  10. Click OK to return to the Exchange Settings dialog box, and then click Finish.

  11. Complete other Outlook or Microsoft Office configurations, and on the File menu, click Save to create the customization file that you can deploy to users.

Use Group Policy to lock down Outlook Anywhere settings

Use this procedure to use Group Policy to lock down Outlook Anywhere.

To lock down Outlook Anywhere settings in the user interface by using Group Policy

  1. In the Group Policy Object Editor, load the Outlook 2010 Administrative template (Outlk14.adm).

  2. To customize Cached Exchange Mode options, open the Group Policy Management Console (GPMC) and in the tree view expand Domains and then expand Group Policy Objects.

  3. Right-click the policy object you want and click Edit. The Group Policy Management Editor window opens.

  4. In the tree view, expand User Configuration, expand Policies, expand Administrative Templates, expand Classic Administrative Templates (ADM), expand Microsoft Outlook 2010, expand Account Settings, and then click Exchange.

  5. In the reading pane, in the Setting column, double-click the policy that you want to set. For example, double-click Configure Outlook Anywhere user interface options.

  6. Select Enabled.

  7. Click an option in the Choose UI State when OS can support feature drop-down list.

  8. Click OK.

Verification

After you have finished your configurations, apply the configurations in a test environment. In the test environment, open Outlook and verify that the configurations are applied as expected.

See Also

Other Resources

Exchange Server 2003 RPC over HTTP Deployment Scenarios
Deploying Outlook Anywhere
Outlook 2010 Resource Center


Configure Cached Exchange Mode in Outlook 2010

Published: May 8, 2010

You can configure Cached Exchange Mode for Microsoft Exchange Server email accounts in Microsoft Outlook 2010.

This article describes Cached Exchange Mode and provides instructions for various ways of configuring it to work with Outlook 2010.

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but you want to learn more about Cached Exchange Mode in Outlook 2010, see Turn on or off Cached Exchange Mode (http://go.microsoft.com/fwlink/p/?LinkId=231197).

In this article:

  • Overview

  • Before you begin

  • Configure Cached Exchange Mode

    • To configure Cached Exchange Mode settings by using the Office Customization Tool

    • To configure Cached Exchange Mode settings by using Group Policy

    • To configure a default .ost location by using Group Policy

    • To force upgrade of non-Unicode ANSI format .ost files to Unicode

Overview

Cached Exchange Mode allows a user to continue to work with Microsoft Exchange Server account data when the connection to the Exchange server is interrupted or unavailable. When Cached Exchange Mode is enabled, Outlook 2010 works with a local copy of a user's Exchange mailbox that is stored in an offline folder (.ost) file on the user's computer and with the Offline Address Book (OAB). Cached Exchange Mode creates the .ost file, and Outlook downloads and maintains a synchronized copy of the items in all the folders of the mailbox. The cached mailbox and OAB are updated periodically from the Exchange Server computer.

Cached Exchange Mode can be configured for Exchange Server e-mail accounts only. Cached Exchange Mode is supported by all versions of Exchange Server with which Outlook 2010 can connect; that is, by Exchange Server 2003 or later versions.

If you do not configure Cached Exchange Mode options, the current state of Cached Exchange Mode does not change for existing profiles when Microsoft Outlook is upgraded to a new version. For example, if a user account was configured to use Cached Exchange Mode in Office Outlook 2003 or Microsoft Office Outlook 2007, Cached Exchange Mode remains enabled when the user upgrades the software to Outlook 2010. The location for new .ost or OAB files is the default location: For Windows XP, the location is %userprofile%\Local Settings\Application Data\Microsoft\Outlook; for Windows Vista and Windows 7, the location is %userprofile%\AppData\Local\Microsoft\Outlook.

You can configure several options for Cached Exchange Mode. These include the default .ost file location for users in your organization who do not already have .ost files for Cached Exchange Mode. If you do not specify a different .ost file location, Outlook creates an .ost file in the default location when users start Outlook in Cached Exchange Mode.

You can lock down the settings to customize Cached Exchange Mode by using the Outlook Group Policy Administrative template (Outlk14.adm). Or, you can configure default settings by using the Office Customization Tool (OCT), in which case users can change the settings.

Before you begin

Before you start deployment, review Plan an Exchange deployment in Outlook 2010 and Office Customization Tool in Office 2010 to determine which settings you might have to configure for Cached Exchange Mode.

To download the Outlook 2010 administrative templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316). For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

For more information about the OCT, see Office Customization Tool in Office 2010.

If you migrate from an earlier version of Outlook with Cached Exchange Mode enabled, determine which format your users' .ost files are in (ANSI or Unicode). See How to determine the mode that Outlook 2007 or Outlook 2003 is using for offline folder files (http://go.microsoft.com/fwlink/p/?LinkId=159924).

Configure Cached Exchange Mode

Use the following procedures to configure Cached Exchange Mode settings.

To configure Cached Exchange Mode settings by using the Office Customization Tool

  1. In the Office Customization Tool, in the tree view, locate Outlook, click Add Accounts. In the Account Name column of the reading pane list, click the account that you want to configure, and then click Modify. The Exchange Settings dialog box appears.

    Note that in the tree view of the OCT you must click Outlook Profile and then select Modify Profile or New Profile to add an Exchange account and configure Exchange Server settings.

  2. To specify a new location for users' Outlook data files (.ost), in the Exchange Settings dialog box click More Settings, and then select Enable offline use. Enter a folder path and file name for the .ost file location. You can also enter a path in the Directory path to store the Offline Address Book files text box

  3. To enable or disable Cached Exchange Mode, or to specify default download behavior when Cached Exchange Mode is enabled, click the Cached Mode tab.

  4. Select Configure Cached Exchange Mode and then select the Use Cached Exchange Mode check box to enable Cached Exchange Mode for users. By default, Cached Exchange Mode is disabled if you do not select the Use Cached Exchange Mode check box.

  5. If you enabled Cached Exchange Mode in step 4, select a default download option on the Cached Mode tab:

    • Download only headers Users see header information and the beginning of the message or item body (a 256 bytes plain-text buffer of information). Full items can be downloaded later in several ways; for example, by double-clicking to open the message or by clicking Download the rest of this message now in the reading pane.

    • Download headers followed by the full item All headers are downloaded first, and then full items are downloaded. The download order might not be chronological. Outlook downloads headers followed by full items in the folder that the user is currently accessing, and then downloads headers followed by full items in folders that the user has recently viewed.

    • Download full items Full items are downloaded. We recommend this option unless you have a slow network connection. The download order might not be chronological. Outlook downloads full items in the folder that the user is currently accessing, and then downloads full items in folders that the user has recently viewed.

  6. To turn off Headers Only mode, select the Download full items option button and clear the On slow connections, download only headers check box. The default behavior, when users have slow connections, is to download only headers. There are scenarios in which Outlook perceives that users have slow connections such as when users' data throughput is fast, or vice versa. In these situations, you might want to set or clear this option.

  7. Disable the download of shared folders as part of Cached Exchange Mode synchronizations to users' .ost files. By default, in Outlook 2010, shared mail and non-mail folders are downloaded. Downloaded shared folders increase the size of users' .ost files. Be aware that the setting Download non-mail shared folders applies to both mail and non-mail shared folders in Outlook 2010. If you want to only disable the download of shared mail folders, see step 9.

  8. Download Public Folder Favorites as part of Cached Exchange Mode synchronizations to users' .ost files. By default, Public Folder Favorites are not downloaded. As with shared folders, downloading Public Folder Favorites increases the size of users' .ost files. Also, synchronizing Public Folder Favorites causes additional network traffic that might be unwelcome for users who have slow connections.

  9. If you must disable shared mail folders (like a delegated Inbox) but want to allow the download of shared non-mail folders (like Calendar) for profiles that use Cached Exchange Mode, follow these steps:

    1. In OCT, in the tree view, locate Additional Content and then click Add registry entries.

    2. In the reading pane, click Add.

    3. Enter the following information:

      Root Data type Key Value name Value data

      HKEY_Current_User

      REG_SZ

      Software\Microsoft\Office\14.0\Outlook\CachedMode

      CacheOthersMail

      0

    4. Click OK.

To configure Cached Exchange Mode settings by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm).

  2. To customize Cached Exchange Mode options, open the Group Policy Management Console (GPMC) and in the tree view expand Domains and then expand Group Policy Objects.

  3. Right-click the policy object that you want and then click Edit. The Group Policy Management Editor window opens.

  4. In the tree view, expand User Configuration, expand Policies, expand Administrative Templates, expand Classic Administrative Templates (ADM), expand Microsoft Outlook 2010, expand Account Settings, and then click Exchange. You can also expand Exchange and then click Cached Exchange Mode.

  5. In the reading pane, in the Setting column, double-click the policy that you want to set. For example, in the Exchange reading pane, double-click Use Cached Exchange Mode for new and existing Outlook profiles.

  6. Select Enabled and select an option (if appropriate).

  7. Click OK.

To configure a default .ost location by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm).

  2. To configure a default .ost location, open the Group Policy Management Console (GPMC) and in the tree view expand Domains and then expand Group Policy Objects.

  3. Right-click the policy object that you want and then click Edit. The Group Policy Management Editor window opens.

  4. In the tree view, expand User Configuration, expand Policies, expand Administrative Templates, expand Classic Administrative Templates (ADM), expand Microsoft Outlook 2010, expand Miscellaneous, and then click PST Settings.

  5. Double-click Default location for OST files.

  6. Select Enabled to enable the policy setting.

  7. In the Default location for OST files text box, enter the default location for .ost files. For example:

    %userprofile%\Local Settings\Application Data\Microsoft\newfolder.

  8. Click OK.

    You can define a new default location for both Personal Outlook data files (.pst) and .ost files. After you click PST Settings in the tree view, click the Default location for PST and OST files setting in the reading pane.

To force upgrade of non-Unicode ANSI format .ost files to Unicode

  1. For users who have existing non-Unicode ANSI format .ost files, the following procedure does not upgrade ANSI .ost files to Unicode .ost files. The procedure merely creates a new Unicode .ost file for the user's profile, leaving the original ANSI .ost files alone.

  2. To determine which format your users' .ost files are in (ANSI or Unicode), see How to determine the mode that Outlook 2007 or Outlook 2003 is using for offline folder files (http://go.microsoft.com/fwlink/p/?LinkId=159924).

  3. In Group Policy, load the Outlook 2010 template (Outlk14.adm).

  4. Open the Group Policy Management Console (GPMC) and in the tree view expand Domains and then expand Group Policy Objects.

  5. Right-click the policy object that you want and then click Edit. The Group Policy Management Editor window opens.

  6. In the tree view, expand User Configuration, expand Policies, expand Administrative Templates, expand Classic Administrative Templates (ADM), expand Microsoft Outlook 2010, expand Account Settings, and then expand Exchange.

  7. Double-click Exchange Unicode Mode — Ignore OST Format.

  8. Select Enabled to enable the policy configuration.

  9. In the Choose whether existing OST format determines mailbox mode drop-down list, click Create new OST if format doesn't match mode.

  10. Click OK.

  11. Double-click Exchange Unicode Mode — Silent OST format change.

  12. Select Enabled to enable the policy configuration, and then click OK.

  13. Double-click Exchange Unicode Mode — Turn off ANSI mode.

  14. Select Enabled to enable the policy configuration, and then click OK.

  15. In the tree view, expand Miscellaneous, click PST Settings, and in the reading pane double-click Preferred PST Mode (Unicode/ANSI).

  16. Select Enabled, in the Choose a default format for new PSTs drop-down list click Enforce Unicode PST, and then click OK.

See Also

Concepts

Plan an Exchange deployment in Outlook 2010

Other Resources

Outlook 2010 Resource Center


Configure Exchange Server send/receive settings in Outlook 2010

You can use the Office Customization Tool (OCT) to configure settings for Send/Receive groups in users' Microsoft Exchange Server accounts and folders.

As part of a Microsoft Outlook 2010 deployment, you can define Send/Receive groups for users' Microsoft Exchange Server accounts and folders and specify tasks that are performed on each group during a Send/Receive operation in Outlook 2010.

You configure these settings by using the Office Customization Tool (OCT). You cannot configure the settings by using the Group Policy feature. For more information about the OCT, see Office Customization Tool in Office 2010.

Not an IT Professional?

This article is for IT Professionals, and discusses how to configure these settings for a group of users during an Outlook deployment. If you're not an IT Professional, but you want to learn more about how to configure Outlook send/receive settings, see Connect and send/receive email messages (http://go.microsoft.com/fwlink/p/?LinkId=245502).

In this article:

  • Overview

  • Before you begin

  • Create and configure Send/Receive groups in Outlook 2010

Overview

Send/Receive groups contain one or more user e-mail accounts or folders in Outlook 2010. By default, the Send/Receive group All Accounts is preconfigured and is included with Outlook 2010. Users can specify different behavior for each group; for example, the frequency with which Outlook 2010 connects to the server to send and receive messages for the server, or how messages are processed when Outlook is online or offline.

You can configure and deploy Send/Receive settings for users' Exchange accounts. For example, you can specify the kinds of synchronization that will be performed on specific folders or on the Offline Address Book (OAB) when a Send/Receive operation is executed. You can also specify when a Send/Receive action for each Send/Receive group will ordinarily be performed and when the action will be performed when users are offline. For example, a Send/Receive group can be configured to synchronize every 10 minutes ordinarily and every 30 minutes when users are offline.

You can also configure download options for the OAB, such as whether to download updates to the OAB only since the last OAB download.

Before you begin

Before you start deployment, review Planning overview for Outlook 2010.

Create and configure Send/Receive groups in Outlook 2010

Use this procedure to create and configure Send/Receive groups for Exchange accounts and folders.

To create and configure Send/Receive groups for Exchange accounts and folders

  1. In the OCT, in the tree view, locate Outlook, and then click Specify Send/Receive groups.

  2. In the reading pane, select Configure Send/Receive settings if it is not already selected.

  3. Click New.

  4. In the New Group Name text box, enter a name for the group, and then click OK.

  5. Click Modify.

  6. In the Modify Group dialog box, select options for the group, such as Synchronize forms during a Send/Receive operation.

  7. In the list, click a folder and select Include this folder in Send/Receive.

  8. Select download options for the folder. The download option is only relevant for folders that have the concept of headers, such as the Inbox, Outbox, Deleted Items, Sent Items, and Drafts folders:

    • Download headers only

    • Download complete item including attachments

    • Download only headers for items larger than n KB

  9. Enter a size limit in kilobytes (KB). This setting applies only to accounts that are set up to use Exchange Server 2003, or later versions of Exchange Server.

  10. In the list, click another folder to include the folder in this Send/Receive group, and select a download option.

  11. Add all the folders that you want to include in this group, and then click OK.

  12. Double-click a group in the Group Name list.

  13. Select the options available in the Modify Group dialog box to specify Send/Receive behavior for the group, and then click OK.

  14. In the Exchange Address Book section, select Download offline address book so that the OAB will be synchronized when this Send/Receive group is synchronized. This setting is configured for each Send/Receive group.

  15. Click Address Book Settings.

  16. Select options in the Modify Address Book Settings dialog box. These settings apply to all Send/Receive groups in this profile.

  17. Click OK.

See Also

Concepts

Office Customization Tool in Office 2010


Configure multiple Exchange accounts for Outlook 2010

To configure multiple Microsoft Exchange Server e-mail accounts for a Microsoft Outlook 2010 profile, follow the steps in this article.

In this article:

  • Overview

  • Before you begin

  • Add multiple Exchange accounts to a profile

  • Modify or remove Exchange accounts on a profile

Overview

In Outlook 2010, you can add, modify, or remove multiple Exchange Server e-mail accounts to an Outlook profile the same way you can for other e-mail accounts by using the Office Customization Tool (OCT). Without any additional configuration, Outlook 2010 can connect to up to ten Exchange accounts from a single profile.

Individual users can add additional Exchange accounts to their Outlook 2010 profile within Outlook 2010. To do so, users can either click the File tab, click Account Settings, and then click Add Account, or use the Windows Control Panel Mail module. They can also remove Exchange accounts on their profile. For more information, see Add or remove an e-mail account (http://go.microsoft.com/fwlink/p/?LinkID=166193).

Warning:

  • Delegate accounts are not supported in profiles that have multiple Exchange accounts. Users who have delegate access to a mailbox must keep that account in a separate profile from any other Exchange account.

  • In Exchange Server 2010 Service Pack 1, the new Auto Mapping feature automatically adds mailboxes to the Outlook Navigation Pane if you have Full Access permission to them. Outlook manages these additional mailboxes by using a specific permission set. This might cause unexpected behavior if you also have these mailboxes configured as additional Exchange Server accounts in one Outlook profile. To prevent problems in this scenario, you will have to change your Outlook profile so mailboxes that are added through the Auto Mapping feature are also not manually added to the same profile. Use the Account Settings dialog box to remove these additional Exchange mailboxes in your profile. If you do not remove the manually added mailboxes from your profile, Outlook attempts to use the permission sets from both the auto-mapped account and the account setup by using the multiple Exchange Server accounts feature at the same time.

  • If you use the Exchange Server Security template to configure security options for Exchange accounts, the Security form settings for the first account added to the profile (the legacy account) will be used for all the accounts added to that profile.

For information about configuring Exchange accounts for Outlook for Mac 2011, see Configuring Exchange accounts in Outlook for Mac 2011 (http://go.microsoft.com/fwlink/p/?LinkId=212911).

Before you begin

Before you begin deployment, review Planning overview for Outlook 2010 and Office Customization Tool in Office 2010 to determine which settings you might have to configure for the Exchange accounts. The following three articles describe how to configure specific Exchange account features by using the OCT.

  • Configure Outlook Anywhere in Outlook 2010

  • Configure Cached Exchange Mode in Outlook 2010

  • Configure Exchange Server send/receive settings in Outlook 2010

Add multiple Exchange accounts to a profile

Use the following procedure to add multiple Exchange accounts to an Outlook profile.

To add multiple Exchange accounts to a profile

  1. From the root of the network installation point, run the following command line to start the Office Customization Tool: \\server\share\setup.exe /admin

  2. To edit an existing customization file (.msp), in the Select Product dialog box, click Open an existing Setup customization file. Or to create a new customization file, select the Office suite that you want to customize, and then click OK.

  3. In the Outlook area, click Outlook profile. Select how you want to customize profiles for your users. To change an existing profile or to add a new profile, choose Modify Profile or New Profile.

  4. To add and configure new and existing accounts, click Add accounts, and then click Customize additional Outlook profile and account information.

  5. To add an Exchange account, click the Add button.

  6. In the Add Accounts dialog box, select Exchange, and then click Next.

  7. In the Exchange Settings dialog box, enter an account name and the name of the Exchange Server computer. If you want to identify the user by using a specific value, enter a User Name. Otherwise, leave the default %username% value for the User Name. Each user's account information in the Active Directory directory service will be automatically populated for the profile.

  8. If you want to change an existing Exchange account in a user's profile, select the Overwrite existing Exchange accounts check box.

  9. Click More Settings for additional Exchange configuration options such as Cached Exchange Mode and Outlook Anywhere, and then click OK.

  10. When you are finished, click Finish.

  11. To add an additional Exchange account, repeat steps 5-10.

  12. If you are creating a new profile, add the Outlook Address Book account to the profile. This account allows you to use the Contacts folder in your Exchange mailbox as an address book when you create e-mail messages.

  13. After you have finished all your customizations, save the customization file (.msp) and exit the OCT. Put the .msp file in the Office installation source \Updates folder. Install the Microsoft Office 2010 from the original installation source.

Modify or remove Exchange accounts on a profile

You can easily modify or remove an Exchange account from a profile by using almost the same procedure as previously described in Add multiple Exchange accounts to a profile. In step 5, highlight the Exchange account that you want to modify or remove from the profile, and then click either Modify to modify or Remove to remove the account. Then, finish your customizations and save the customization file (.msp).

See Also

Concepts

Office Customization Tool in Office 2010
Configure Cached Exchange Mode in Outlook 2010
Configure Outlook Anywhere in Outlook 2010
Configure Exchange Server send/receive settings in Outlook 2010


Configure security and protection in Outlook 2010

You can configure Microsoft Outlook 2010 to provide email security, protection, and privacy for users in your organization.

The following articles will help you configure security and protection in Outlook 2010.

In this documentation:

Article | Description
Manage trusted add-ins for Outlook 2010 | Describes how to customize security settings by using Group Policy to specify COM add-ins to be trusted and to run without encountering the Microsoft Outlook object model blocks.
Configure junk e-mail settings in Outlook 2010 | Describes how to create Junk E-mail Filter lists in Outlook 2010, and how to configure the Junk E-mail Filter and automatic picture download by using Group Policy or the Office Customization Tool (OCT).


Manage trusted add-ins for Outlook 2010

You can use Group Policy to specify the Component Object Model (COM) add-ins that are trusted in Microsoft Outlook 2010.

If you use default Outlook 2010 security settings, all Component Object Model (COM) add-ins that are installed in Outlook 2010 are trusted by default. If you customize security settings by using Group Policy, you can specify COM add-ins that are trusted and that can run without encountering the Outlook object model blocks.

In this article:

  • Overview

  • Before you begin

  • Get the hash value for a trusted add-in

  • Specify the trusted add-in by using Group Policy

  • Remove the Security Hash Generator Tool

Overview

To trust a COM add-in, you include the file name for the add-in in a Group Policy setting that uses a calculated hash value for the file. Before you can specify an add-in as trusted by Outlook, you must install the Microsoft Office Outlook 2007 Security Hash Generator Tool to calculate the hash value.

The Office Outlook 2007 Security Hash Generator Tool runs on 32-bit Windows systems and can be used to calculate the hash value for Outlook 2010 add-ins. You cannot run the Office Outlook 2007 Security Hash Generator Tool on 64-bit Windows systems.

Before you begin

For more information about how to download the Outlook 2010 administrative template, and about other Office 2010 administrative template files, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

For information about how to work with Outlook 2010 COM add-ins and how to customize other security settings, see Choose security and protection settings for Outlook 2010.

For more information about how to use the Office Outlook 2007 Security Hash Generator Tool, see Tips for using the Outlook 2007 Security Hash Generator Tool (http://go.microsoft.com/fwlink/p/?LinkId=185017).

Get the hash value for a trusted add-in

To add a trusted add-in by using Group Policy, you must install and run the hash calculation program to calculate the hash value for the Group Policy setting, Configure trusted add-ins.

To get the hash value for a trusted add-in

  1. From the Microsoft Download Center, download the Outlook 2007 Tool: Security Hash Generator (http://go.microsoft.com/fwlink/p/?LinkId=75742).

  2. Extract the contents to a local folder (such as C:\Hashtool).

  3. Run the command prompt for your computer: Click Start, All Programs, Accessories, Command Prompt.

    Windows Vista requires an additional step: Right-click Command Prompt, and then select Run as administrator.

  4. Change directories to the folder where you extracted the hash tool files.

  5. Type the following command, and then press ENTER:

    createhash.bat /register

    (This step needs to be completed only once.)

  6. Type the following command, and then press ENTER:

    createhash.bat <filename>

    Where <filename> is the full path and file name of the add-in file that you are creating the hash number for. There should be no spaces in the file path or file name. If there is, make a copy of the add-in DLL and put it in a folder that has no spaces in the file path or use the short file name and path (8.3 path). The hash is based on the registered DLL and not the location of the DLL.

  7. Press ENTER.

  8. Copy and save the value that is displayed on the screen to the clipboard. This is the value that you will add to the Group Policy setting (see the following procedure).

Specify the trusted add-in by using Group Policy

Once you have generated the hash value for the add-in, you must specify the add-in as trusted by entering in Group Policy the value generated by the program, paired with the add-in file name.

To specify the trusted add-in by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm) and go to User Configuration\Administrative Templates\Microsoft Outlook 2010\Security\Security Form Settings\Programmatic Security\Trusted Add-ins.

  2. Double-click Configure trusted add-ins, and then click Enabled.

  3. Click Show.

  4. In the Show contents dialog box, click Add.

  5. In the Add item dialog box, in the Enter the name of the item to be added field, type the file name of the COM add-in.

  6. In the Enter the value to be added field, paste the hash value of the COM add-in that you saved when you ran the hash value calculation program.

  7. Click OK three times.

The COM add-in can now run without prompts for Outlook 2010 users who use this security setting.

To remove a file from the list of trusted add-ins, update the Group Policy setting by deleting the entry for the add-in.

Remove the Security Hash Generator Tool

You can remove the Office Outlook 2007 Security Hash Generator Tool by unregistering the CreateHash.bat file and deleting the extracted files.

To remove the Security Hash Generator Tool

  1. Run the command prompt for your computer: Click Start, All Programs, Accessories, Command Prompt.

    Windows Vista requires an additional step: Right-click Command Prompt, and then select Run as administrator.

  2. Change directories to the folder where you extracted the hash tool files.

  3. Type the following command, and then press ENTER:

    createhash.bat /unregister

  4. Delete the extracted files from the folder.

See Also

Concepts

Choose security and protection settings for Outlook 2010

Other Resources

Tips for using the Outlook 2007 Security Hash Generator Tool


Configure junk e-mail settings in Outlook 2010

Published: May 12, 2010

Use Junk E-mail Filter lists and configure the junk E-mail Filter and automatic picture download to help users avoid receipt of junk email messages.

This article describes how to create Junk E-mail Filter lists in Microsoft Outlook 2010, and how to configure the Junk E-mail Filter and automatic picture download to screen out unwanted email messages..

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but want to learn more about how to configure junk e-mail settings in Outlook 2010 on your desktop, see Change the level of protection in the Junk Email Filter (http://go.microsoft.com/fwlink/p/?LinkId=245498).

In this article:

  • Overview

  • Before you begin

  • Create and deploy Junk E-mail Filter lists

  • Configure the Junk E-mail Filter

  • Configure automatic picture download

Overview

Microsoft Outlook 2010 provides features that can help users avoid receiving and reading junk e-mail messages that include the Junk E-mail Filter and the ability to disable automatic content download from external servers.

Junk e-mail filtering in Outlook 2010 includes Junk E-mail Filter lists and technology built into the software that helps determine whether an e-mail message should be treated as junk e-mail. You can create the following initial Junk E-mail Filter lists to deploy to users: lists for Safe Senders, Safe Recipients, and Blocked Senders.

The lists that you provide are default lists. If you deploy the lists by using Group Policy, users can change the lists during their Outlook session. When users restart Outlook, Group Policy will append the list by default or, if you have enabled Overwrite or Append Junk Mail Import List, their changes will be overwritten with the original list that you deployed. If you deploy the lists by using the OCT, users can customize and keep their customized lists as they use Outlook, to fine-tune the filters to work best for their messaging needs.

You can use Group Policy or the Office Customization Tool (OCT) to customize settings for the Junk E-mail Filter, and to disable automatic content download to meet the needs of your organization. For example, you can configure the Junk E-mail Filter to be more aggressive. However, that might also catch more legitimate messages. Rules that are not part of the junk e-mail management built into the software are not affected.

Before you begin

Review Plan for limiting junk e-mail in Outlook 2010 to determine what settings to configure for the Junk E-mail Filter and automatic content download.

For information about how to download the Outlook 2010 administrative template, and about other Office 2010 templates, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool. For more information about Group Policy, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

For more information about the OCT, see Office Customization Tool in Office 2010.

Create and deploy Junk E-mail Filter lists

To deploy Junk E-mail Filter lists, first create the lists on a test computer and then distribute the lists to users. You can distribute the lists by putting the lists on a network share. If you have remote users not connected to the domain, you can use the OCT to add the files by using the Add files option.

To create default Junk E-mail Filter lists

  1. Install Outlook 2010 on a test computer.

  2. Start Outlook 2010.

  3. In Outlook 2010, on the Home tab, in the Delete group, click Junk and Junk E-mail Options.

  4. On the Safe Senders tab, click Add.

  5. Enter an e-mail address or domain name. For example:

    someone@exchange.example.com

  6. Click OK.

  7. To add more e-mail addresses or domain names, repeat steps 3 through 6.

  8. Click Export to file.

  9. Enter a unique file name for the Safe Senders list, and then click OK.

  10. Repeat steps 3 through 9 with the Safe Recipients tab and the Blocked Senders tab to create Safe Recipients and Blocked Senders lists. Be sure to specify a unique file name for each of the three lists.

Deploy Junk E-mail Filter lists for users by using the Office Customization Tool

  1. Copy the three Junk E-mail Filter files that you created in the previous procedure to a network file share.

  2. If you have remote users not connected to the domain, follow these steps.

    1. In the OCT, click Add Files and then click Add.

    2. In the Add Files to dialog box, select the three Junk E-mail Filter files that you created in the previous procedure.

      Hold down the CONTROL or SHIFT key to select multiple files.

    3. Click Add.

    4. In the Destination path on the user's computer dialog box, enter the folder where you want to install the file on users' computers, and then click OK.

    5. Click OK again.

  3. On the Modify User Settings page, under Microsoft Outlook 2010\Outlook Options\Preferences, click Junk Mail.

  4. Double-click Junk Mail Import List, click Enabled and OK so that the setting is applied and Junk E-mail Filter lists are imported for users.

  5. To overwrite existing Junk E-mail Filter lists with new lists, double-click Overwrite or Append Junk Mail Import List, click Enabled and then click OK.

  6. To specify a path of each Junk E-mail Filter list, double-click the settings that correspond to each list (for example, Specify path to Safe Senders), click Enabled and enter a path and file name in the box (for example, in the Specify path to Safe Senders list).

  7. Click OK or click Next setting to specify the path for another Junk E-mail Filter list.

  8. Complete other Outlook 2010 or Office 2010 configurations, and on the File menu, click Save to create the customization file that you can deploy to users.

You can later change an existing Outlook 2010 installation to update the Junk E-mail Filter lists by following the procedure and including more recent Junk E-mail Filter files.

For more information about how to use the Office Customization Tool for configuring an Office installation to deploy files, see Office Customization Tool in Office 2010.

Configure the Junk E-mail Filter

You can lock down the settings to customize Junk E-mail Filter options by using the Outlook 2010 Group Policy template (Outlk14.adm). Or you can configure default settings by using the OCT. If this is the case, users can change the settings. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

If you decide to configure Junk E-mail Filter settings in the OCT, see the procedure To configure Outlook Junk E-mail Filter settings in the Office Customization Tool later in this article for an additional setting that must be configured.

Use the following procedure to configure Junk E-mail Filter options in Outlook. For the Junk E-mail Filter options that you can configure, see Plan for limiting junk e-mail in Outlook 2010.

To configure Outlook Junk E-mail Filter settings in Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm) and open User Configuration\Administrative Templates\Microsoft Outlook 2010\Outlook Options\Preferences\Junk E-mail.

  2. Double-click the option that you want to configure. For example, double-click Junk E-mail protection level.

  3. Click Enabled.

  4. If appropriate, select a radio button for the option that you want to set, or select an option from a drop-down list.

  5. Click OK.

  6. To activate the Junk E-mail settings, you must set the Junk E-Mail Import list setting. You can do this by using the OCT.

    1. In the OCT, on the Modify user settings page, under Microsoft Outlook 2010\Outlook Options\Preferences\Junk E-mail, double-click Junk Mail Import list.

    2. Click Enabled.

    3. Click OK.

    4. Complete other Outlook 2010 or Microsoft Office 2010 configurations in the OCT, and on the File menu, click Save to create the customization file that you can deploy to users.

To configure Outlook Junk E-mail Filter settings in the Office Customization Tool

  1. In the OCT, on the Modify user settings page, under Microsoft Outlook 2010\Outlook Options\Preferences\Junk E-mail, double-click Junk Mail Import list.

  2. Click Enabled.

  3. Click OK.

  4. Double-click and set any other Junk E-mail options that you want to configure.

  5. Complete other Outlook 2010 or Microsoft Office 2010 configurations, and on the File menu, click Save to create the customization file that you can deploy to users.

Configure automatic picture download

To help protect users' privacy and to combat Web beacons—functionality embedded within items to detect when recipients have viewed an item—Outlook 2010 is configured by default to not automatically download pictures or other content from external servers on the Internet.

You can lock down the settings to customize automatic picture download by using the Outlook 2010 Group Policy template (Outlk14.adm). Or you can configure default settings by using the OCT. If this is the case, users can change the settings. The OCT settings are in corresponding locations on the Modify user settings page of the OCT.

To configure options for automatic picture download behavior in Outlook by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm).

  2. Under User Configuration\Administrative Templates\Microsoft Outlook 2010\Security, click Automatic Picture Download Settings.

  3. Double-click the option that you want to configure. For example, double-click Do not permit download of content from safe zones.

  4. Click Enabled.

  5. If appropriate, select a radio button for the option that you want to set, or select an option from a drop-down list.

  6. Click OK.

To configure options for automatic picture download behavior in Outlook by using the Office Customization Tool

  1. In the OCT, on the Modify user settings page, under Microsoft Outlook 2010\Security\Automatic Picture Download Settings, double-click the option that you want to configure. For example, double-click Include Intranet in Safe Zones for Automatic Picture Download.

  2. Select a radio button for the option that you want to set.

  3. Click OK.

  4. Complete other Outlook 2010 or Office 2010 configurations, and on the File menu, click Save to create the customization file that you can deploy to users.

See Also

Concepts

Plan for limiting junk e-mail in Outlook 2010

Other Resources

Outlook 2010 Resource Center


Customize Outlook profiles by using an Outlook Profile (PRF) file

The Microsoft Outlook 2010 profile file (.prf) allows you to quickly create Messaging Application Programming Interface (MAPI) profiles for users.

By using a .prf file, you can set up new profiles for users or modify existing profiles without affecting other aspects of your installation. You can also manually edit a .prf file to customize Outlook 2010 to include Outlook settings or MAPI services that are not included in the Office Customization Tool (OCT) user interface.

In this article:

  • Overview

  • Before you begin

  • Create a .prf file

  • Manually edit a .prf file

  • Apply a .prf file

Overview

As in earlier versions of Outlook, you can continue to use the .prf file to provide options for specifying additional Outlook settings or MAPI services and to verify account settings.

The Outlook 2010 .prf file format has changed but Microsoft Office Outlook 2007, Office Outlook 2003, and Outlook 2002 versions of the file will work with Outlook 2010. If you plan to make updates to the .prf file for the Outlook 2010 deployment, we recommend that you re-create the .prf file by using the Office Customization Tool (OCT), export the settings to a new .prf file, and then use that file to specify the additional Outlook settings or MAPI services that you need.

Important:

There is a known issue in which an additional Exchange account is added to the Outlook profile when a user who already has an exchange account in the profile is upgraded from Outlook 2003 or Outlook 2007. This issue can occur while you are upgrading Outlook and applying customizations by using a custom OCT file (.msp) or .prf file that is configured to "Modify Profile" and "Define changes to make to the existing default profile."

To prevent multiple Exchange accounts from being created in one profile when you upgrade users to Outlook 2010, you must download and use the Service Pack 1 (SP1) version of the OCT, which is available from the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkId=189316). To update the OCT, replace the /Admin folder that is in your Office 2010 installation files or installation image with the new /Admin folder that is included in the download package. If you do not use the SP1 version of the OCT, you must create a .prf file and set the properties BackupProfile=False and UniqueService=Yes. For the steps to do this, see Multiple Exchange accounts created in Outlook 2010 with existing Outlook profiles after upgrading from an earlier Office version using a custom MSP (http://go.microsoft.com/fwlink/p/?LinkId=199704).

Before you begin

Before you begin deployment, review Planning overview for Outlook 2010 to determine which settings you might want to configure by using a .prf file.

For more information about the OCT, see Office Customization Tool in Office 2010.

Procedures

To create an Outlook 2010 .prf file, you can configure profile settings by using the OCT, and then export the settings to a .prf file. This process creates a new Outlook 2010 .prf file that includes your specifications.

You can also specify profile settings by editing an existing .prf file manually by using a text editor. This existing .prf file might be one that you created by using the OCT, or a .prf file from an earlier version of Outlook. However, the .prf file format has changed in Outlook 2010. Therefore, we recommend that you re-create the older .prf file to prevent unexpected behavior.

Create a .prf file

To create a PRF file by using the Office Customization Tool

  1. From the root of the network installation point, run the following command line to start the Office Customization Tool: \\server\share\setup.exe /admin

  2. To edit an existing customization file (.msp), in the Select Product dialog box, click Open an existing Setup customization file. Or to create a new customization file, select the Office suite that you want to customize, and then click OK.

  3. In the Outlook area, click Outlook Profile. Select how you want to customize profiles for users. To specify settings to be included in a .prf file, choose Modify Profile or New Profile.

  4. To add and configure new accounts or to modify or remove existing accounts, click Add accounts, and then click Customize additional Outlook profile and account information.

  5. Once you complete the Outlook profile configurations, in the Outlook area, click Export settings.

  6. Click the Export Profile Settings button to create a new .prf file. Enter a file name and the path on which to save the file, and then click Save.

Manually edit a .prf file

When you manually change a text file, you can introduce errors that cause Outlook to behave incorrectly. You should not edit and deploy a manually modified .prf file unless you have no other way to update user profiles. If possible, you should use the OCT to create and deploy .prf files.

To manually update a .prf file

  1. Open the .prf file by using a text editor such as Notepad.

  2. Make your changes or additions. By manually editing the .prf file, you can add any MAPI service that is supported by Outlook 2010. The .prf file includes detailed comments for each section that describe existing settings and options for modifying the file that has your updates. The file includes the seven sections shown in the following table.

    Section Description

    Section 1 - Profile defaults

    String identifiers found to the left of the equal sign (=) in this section (ProfileName, DefaultProfile, and so on) are defined in the .prf processor in Outlook and cannot be modified externally. These are default settings that are used to set up a user profile.

    For example:

    Copy Code
    [General]
Custom=1
ProfileName=EveryAccount

    An existing profile can be either overwritten or updated when a new .prf file is executed. Several settings control how the new settings are applied:

    • The OverwriteProfile setting can be set to Yes, Append, or No. To update existing profiles, set the value to Append. This preserves the existing profile and updates the sections that have been changed. To overwrite existing profiles with a new profile, set the value to Yes. To prevent overwriting an existing profile, set the value to No.

    • The ModifyDefaultProfileIfPresent setting can be set to True or False. When set to True, Outlook will modify the default profile even if the new and existing profile names are different.

    Section 2 - Services in Profile

    This section includes the list of services to be configured in the client. The services are listed in the order in which they are added to the profile. Each service listed here is defined and referenced in Section 4.

    For example:

    Copy Code
    [Service List]
;ServiceX=Microsoft Outlook Client
ServiceEGS1=Exchange Global Section
Service1=Microsoft Exchange Server

    You can add any MAPI service that is supported by Outlook 2010. The following services were supported in earlier versions of Outlook, and should not be added:

    • MS Mail

    • Symantec WinFax Lite

    • AW Fax

    Section 3 - List of Internet accounts

    Internet accounts can be POP or IMAP e-mail accounts. This section lists the Internet accounts that will be defined and referenced in Section 5.

    For example:

    Copy Code
    [Internet Account List]
Account1=I_Mail
Account2=IMAP_I_Mail

    Section 4 - Default values for each service

    This is the section to which you can add properties or change existing property values for the services in the profile. MAPI profile properties are defined for services under each respective [ServiceN] heading. Valid Profile Property names are determined by the MAPI profile property mapping in Section 6.

    For example:

    Copy Code
    [Service1]
OverwriteExistingService=No
UniqueService=Yes
MailboxName=%UserName%

    To allow each service definition to be customized individually, you can duplicate default variables and values in Section 4 under the separate headings (Service1, Service2, and so on) for each service in the profile.

    For each service to be updated, the OverwriteExistingService setting can be set to Yes or No. Set the value to Yes so properties are re-created for that service. The default for OverwriteExistingService setting is No. If No is specified, the service will not be updated, even if new settings have been listed.

    Section 5 - Values for each Internet account

    This section defines values for the POP and IMAP e-mail accounts referenced in Section 3. Internet account properties are listed similarly to service properties, by using [AccountN] heading notations. Valid Profile Property names are determined by the MAPI profile property mapping in Section 7.

    For example:

    Copy Code
    [Account1]
UniqueService=No
AccountName=POP Account
POP3Server=pop.mail.ms.com

    Section 6 - Mapping for profile properties

    You typically do not modify existing entries in Sections 6 and 7. These sections define mappings for information that is defined elsewhere in the file to registry key settings. However, if you define new services in the .prf file, you must add the appropriate mappings for those services to Sections 6 and 7.

    Section 6 lists each service name that Outlook supports and the numeric MAPI profile property values that correspond to the registry keys that the Outlook .prf processor implements when storing the profile properties.

    All values listed in Section 6 map directly to HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\ProfileName registry entries, where ProfileName is replaced by the name of the corresponding profile. When a service is added, a new GUID is created for it.

    The Exchange sections have predefined GUIDs assigned because they are unique services. A service can have more than one section GUID. Therefore, the number of GUIDs in the registry does not always correspond to the number of services that Outlook has "registered."

    Section 6 includes several mapping strings for profile properties. This makes the .prf file very flexible. If you know the specific property that you want to change, you can write a .prf file that has the appropriate properties in Section 6 and the appropriate corresponding property values in Section 4, which allows the property to be deployed.

    Section 7 - Mapping for Internet account properties. DO NOT MODIFY.

    This section corresponds to the mapping for the specified [AccountN] accounts in Section 5. There is a GUID in the Profile section (GUID 9375CFF0413111d3B88A00104B2A6676) that expands and lists DWORD data types. Each of these DWORD types corresponds to an Account in the .prf file. There might be more than one DWORD registry key per account. Therefore, as with Services, there is not a one-to-one mapping for Accounts.

    The same registered property types are present here as are listed in Section 6, and the same notation is provided for MAPI profile property mapping. The separate sections (2, 4, 6 and 3, 5, 7) are an artifact of Internet Only (OMI) and Corporate Workgroup modes. Because OMI was stored in a different location in the registry for earlier versions of Outlook, and migration code depends on values being in a consistent format, you should not modify this section even if you are deploying updates for a version of Outlook later than Outlook 2000.

  3. Once you have completed your changes, save the file. For instructions about how to apply the .prf file, see the following section, Apply a .prf file.

Apply a .prf file

You can apply a .prf file in several ways to update Outlook profiles.

To apply a .prf file by using the customization file

  1. From the root of the network installation point, run the following command line to start the OCT: \\server\share\setup.exe /admin

  2. To edit an existing .msp file, in the Select Product dialog box, click Open an existing Setup customization file. Or to create a new customization file, select the Office suite that you want to customize, and then click OK.

  3. In the Outlook area, click Outlook Profile. Select Apply PRF, and then browse to the file.

  4. On the File menu, click Save to save the .msp file.

  5. Exit the OCT.

  6. Put the .msp file in the Office installation source \Updates folder.

  7. Install Office 2010 from the original installation source.

To apply a .prf file by using other options

  • Specify the .prf file as a command-line option for Outlook.exe to import a .prf file without prompting the user. For example: outlook.exe /importprf \\server1\share\outlook.prf.

  • Specify the .prf file as a command-line option for Outlook.exe, but prompt the user before importing the .prf file. For example: outlook.exe /promptimportprf \\localfolder\outlook.prf. If you put the specified .prf file in a shared folder on a network, the settings might not be applied if the file is not found or is not available when Outlook runs.

See Also

Concepts

Office Customization Tool in Office 2010
Planning overview for Outlook 2010

Other Resources

Multiple Exchange accounts created in Outlook 2010 with existing Outlook profiles after upgrading from an earlier Office version using a custom MSP
Outlook 2010 Resource Center


Manually deploy offline address book files

To minimize performance issues, you can manually deploy offline address book (OAB) files to remote client computers.

You can manually deploy OAB files to remote client computers by using web-based distribution. The remote client computers run Microsoft Outlook 2010 in Cached Exchange Mode and they are connected to a computer that is running Microsoft Exchange Server.

In this article:

  • Overview

  • Before you begin

  • Manually deploy offline address book files

Overview

When Outlook is used with Exchange Server, Outlook uses the OAB to provide offline access to directory information from the global address list (GAL) when users work offline or are configured to use Cached Exchange Mode. When a user starts Outlook in Cached Exchange Mode for the first time, the user's Exchange mailbox is synchronized to a local offline folder (.ost) file. The offline address list from the Exchange Server is typically synchronized to a collection of OAB files on the user's computer.

This synchronization can cause performance issues with Exchange Server, or the organization's Network topology, or both. The significance of the issues depends on the size of the user's mailbox, the size of the organization's GAL, the number of people who are using Outlook 2010 in Cached Exchange Mode, and the network bandwidth. During an initial synchronization with the Exchange Server, remote users may experience delayed responses during the initial synchronization of Outlook 2010 with the server.

In environments that have low bandwidth or unreliable connections, a manual deployment of the OAB might minimize the length of initial synchronization for remote Outlook 2010 users and the number of performance issues on Exchange Server.

To manually deploy an OAB, you must first generate the OAB on a test computer by deleting the existing OAB files and resynchronizing the OAB files for that OAB from the computer that is running Exchange Server. Then, to deploy the OAB, you copy the subfolders in the Offline Address Book folder from the test computer to the remote computer. Finally, you export the OAB registry subkeys from on the test computer and import them to the remote computer.

Note:

Some organizations might have multiple OABs that have been generated from different Exchange mailbox servers. Each OAB has a Globally Unique Identifier (GUID). When generating the OAB that you want to deploy to the remote computers, verify that the OAB contains the offline address lists that you want. In Windows Explorer, navigate to the Offline Address Book folder. In this folder, you will find one or more OAB folders titled with the GUID. If you have multiple OABs, you must note the GUID for the OAB that you want to deploy and verify that you import the registry subkeys for that OAB to the remote computers. The OAB registry subkeys are stored under the GUID for that OAB.

The OAB folder contains six files for a full-details OAB or five files for a no-details OAB. The file names determine whether the OAB is in Unicode format or in ANSI format (Unicode format files begin with a "U"). The following table lists the file names that are included.

Unicode | ANSI | Notes
Uanrdex.oab | Anrdex.oab |
Ubrowse.oab | Browse.oab |
Udetails.oab | Details.oab | This file is not present in a no-details OAB.
Urdndex.oab | Rdndex.oab |
Updndex.oab | Pdndex.oab |
Utmplts.oab | Tmplts.oab |

By default, Outlook 2010 downloads Unicode OAB files.

For more information about OABs, see Exchange 2010 Help: Understanding Offline Address Books (http://go.microsoft.com/fwlink/p/?LinkId=199584).

Before you begin

Locate a test computer that you can use to generate the OAB files that you want to deploy. Then, if multiple OABs have been generated in the Exchange environment, determine the one that you want to deploy to the remote computers.

Manually deploy offline address book files

Follow the steps in these procedures to generate and manually deploy the OAB files to remote client computers.

To generate the offline address book files

  1. Delete the *.oab files that are on the test computer. By default, the *.oab files are located in subfolders in the following Outlook folders:

    In Windows 7 or Windows Vista: \Users\<username>\AppData\Local\Microsoft\Outlook\Offline Address Books

    In Windows XP: \Documents and Settings\<username>\Local Settings\Application Data\Microsoft\Outlook\Offline Address Books

  2. Create a new Outlook profile that uses Cached Exchange Mode on the test computer. For more information about Cached Exchange Mode, see Configure Cached Exchange Mode in Outlook 2010.

  3. Start Outlook 2010 with this new profile.

  4. In the ribbon click Send / Receive, click Send/Receive Groups and then click Download Address Book.

  5. In Windows Explorer, locate the following folder:

    In Windows 7 or Windows Vista: \Users\<username>\AppData\Local\Microsoft\Outlook\Offline Address Books

    In Windows XP: \Documents and Settings\<username>\Local Settings\Application Data\Microsoft\Outlook\Offline Address Books

  6. If you plan to use portable media to send to remote users, examine the size of all OAB files that are in this folder and its subfolders. Make sure that all OAB files fit on the portable media.

  7. Copy the subfolders and files in this directory to your distribution media.

To deploy the offline address book files

  1. On the remote client computer, copy the directories that contain the *.oab files that you generated in the To generate the offline address book files section to the following folder:

    In Windows 7 or Windows Vista: \Users\<username>\AppData\Local\Microsoft\Outlook\Offline Address Books

    In Windows XP: \Documents and Settings\< user name>\Local Settings\ Application Data\Microsoft\Outlook\Offline Address Books\

    Note:

    For information about how to export and import registry subkeys, follow the instructions in the Microsoft Knowledge Base article 310516: How to add, modify, or delete registry subkeys and values by using a registration entries (.reg) file (http://go.microsoft.com/fwlink/p/?LinkId=200827)

  2. From the test computer that you used to generate the OAB files, export the appropriate OAB GUID registry subkeys from the following path:

    HKEY_CURRENT_USER\Software\Microsoft\Exchange\Exchange Provider\OABs

  3. On the client computer, import the registry subkeys.

  4. Start Outlook 2010 on the remote client computer.

See Also

Other Resources

Exchange 2010 Help: Understanding Offline Address Books


Disable global address list synchronization for Outlook 2010

You can use Group Policy to disable Microsoft Exchange global address list (GAL) synchronization with Microsoft Outlook 2010.

You can use Group Policy to disable Microsoft Exchange GAL synchronization with Outlook 2010 contacts. If you want Outlook 2010 to prompt users before it synchronizes to the Exchange GAL, configure the registry settings as described in this article.

In this article:

  • Overview

  • Before you begin

  • Disabling GAL synchronization by using Group Policy

  • Configuring GAL synchronization to prompt before updating

Overview

Outlook 2010 synchronizes its Contacts folder entries to contacts that have matching SMTP addresses in the Exchange GAL. This synchronization is one-way: from the GAL to the Outlook Contacts folder.

Discrepancies in contact telephone numbers might occur when the telephone entries in users' Outlook Contacts folder are created in a different format from the one that is used in the corporate GAL. For example, a locale might require one kind of telephone number prefix format for calling from inside the country and another prefix format for calling from outside the country. If a user creates his or her Outlook 2010 contacts by using the prefix formats that are required to dial from outside the country, a "move correction" occurs when Outlook 2010 contacts are updated by using details from the GAL.

In a move correction, the telephone numbers that the user creates in his or her Outlook contacts are overwritten and moved to an adjacent telephone number field. For example, the telephone number in the "Business" field is moved to the "Business 2" field.

After synchronization, you cannot reverse the changes in bulk. However, the user can manually update Outlook contacts, or if there are many differences, the user's mailbox can be restored. A programmatic solution is possible, but requires complex data validation to pull the previous values from the Notes field. These solutions quickly become unfeasible for a large enterprise.

By default, GAL synchronization is enabled in Outlook 2010. However, if contact synchronization is a large issue in your organization, you can disable GAL synchronization for Outlook 2010, either before you deploy Microsoft Office 2010, or when you see potential for this situation occurring.

Before you begin

For the contact corrections Outlook makes during GAL synchronization, and the list of settings that you can configure, review the global address list synchronization section in Determine which features to enable or customize in Outlook 2010.

To download the Outlook 2010 template and for more information about other Administrative Template files, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool.

For more information about permissions, see the "Group Policy object permissions in Group Policy Management Console" section in Use Group Policy to enforce Office 2010 settings.

Disabling GAL synchronization by using Group Policy

You can disable GAL synchronization with Outlook contacts by configuring the Block Global Address List synchronization setting in Group Policy. After you apply this Group Policy setting, users cannot change the configuration.

To disable GAL synchronization by using Group Policy

  1. In Group Policy, load the Outlook 2010 template (Outlk14.adm).

  2. Open the Group Policy Management Console (GPMC). Click Start, click Control Panel, click Administrative Tools, and then click Group Policy Management.

  3. In the console tree, double-click Group Policy Objects in the forest and domain that contain the Group Policy object (GPO) that you want to configure. The path of Group Policy Objects is [Forest name]\Domains\[Domain name]\Group Policy Objects.

  4. Right-click the GPO that you want to configure and then click Edit.

  5. In the tree view, expand User Configuration, expand Administrative Templates, expand Classic Administrative Templates, expand Microsoft Outlook 2010, expand Outlook Social Connector and, in the reading pane, double-click Block Global Address List synchronization.

  6. Click Enabled, click Apply, and then click OK.

Note:

The Block Global Address List synchronization setting is also available in the Office Customization Tool (OCT) under Microsoft Outlook 2010\Outlook Social Connector on the Modify user settings page. You can configure this setting for a setup customization file (.msp) and then deploy the configuration as part of the Office 2010 setup.

If you use the OCT to disable GAL synchronization, users can enable it the user interface (UI). To do this, they click the View tab on the ribbon, click the People Pane button, click the Account Settings command, and then click the Settings button in the dialog box that appears. For more information about the OCT, see Office Customization Tool in Office 2010.

Configuring GAL synchronization to prompt before updating

You can configure GAL sync to prompt before updating, instead of updating without prompting, (which is default behavior) by configuring the following registry settings under HKEY_CURRENT_USER\Software\ Microsoft\Office\Outlook\SocialConnector.

Create a script to deploy the settings to user computers. For information about scripting, see Script Center (http://go.microsoft.com/fwlink/p/?LinkId=158045).

Registry key Type Description Values

ScheduleContactGALSync

DWORD

Configures the GAL synchronization configuration. However, the user can override the configuration through the user interface by clicking the View Ribbon tab on the ribbon, clicking the People Pane button, clicking the Account Settings command, and then clicking the Settings button in the dialog box that appears.

0 = Do not synchronize contacts with the GAL

1 = Automatically update contacts by using the latest GAL information

2 = Prompt before updating contacts by using the latest GAL information

GalSyncExcludedLocales

String

For workstations that are set with a specific locale, configures GAL sync to prompt before updating, instead of updating without prompting, (which is default behavior).

Important:

This registry value is only honored when the ScheduleContactGALSync key does not exist. The ScheduleContactGALSync is created if the user manually sets GAL synchronization options through the user interface.

For country codes, see ISO 3166-1 alpha-3 (http://go.microsoft.com/fwlink/p/?LinkId=197158).

See Also

Concepts

Determine which features to enable or customize in Outlook 2010
Group Policy overview for Office 2010
Office Customization Tool in Office 2010


Configure SharePoint Workspace 2010

The articles that are listed here will help you learn how to install, configure, and test Microsoft SharePoint Workspace 2010.

  • For information about how to install, configure, and test Microsoft SharePoint Workspace 2010, a client to SharePoint Server 2010 and SharePoint Foundation 2010, refer to the articles in the following table.

  • To watch a video that covers the SharePoint Workspace 2010 deployment process end-to-end, see Video - How to support offline use of SharePoint sites (http://go.microsoft.com/fwlink/p/?LinkId=212596).

In this documentation:

Article | Description
Configure and customize SharePoint Workspace 2010 | Provides information and procedures for installing and configuring SharePoint Workspace 2010, a client to SharePoint Server 2010 and SharePoint Foundation 2010.
Test SharePoint Workspace connections | Provides information and procedures for testing SharePoint Workspace 2010 connections to and synchronization with SharePoint Server 2010 and client peers.


Configure and customize SharePoint Workspace 2010

Microsoft SharePoint Workspace 2010 enables you to access designated SharePoint sites and create Groove peer workspaces and Shared Folder workspaces.

SharePoint Workspace 2010 is a client to Microsoft SharePoint Server 2010 and Microsoft SharePoint Foundation 2010. It is included with Microsoft Office Professional Plus 2010. SharePoint Workspace 2010 provides anytime interactive access to document libraries and lists on designated SharePoint sites and options for creating Groove peer workspaces and Shared Folder workspaces. However, you can customize the installation to prohibit peer activity or to deploy other configuration settings.

For an overview of SharePoint Workspace 2010, see SharePoint Workspace 2010 overview.

To watch a video that covers the customization and test process end-to-end, see Video - How to support offline use of SharePoint sites.

In this article:

  • Before you begin

  • Review customization options for SharePoint Workspace 2010

  • Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool

  • Verify installation

Before you begin

Before you start deployment, address the following prerequisites:

  • Confirm that your setup meets required hardware and software requirements, which are specified in System requirements for Office 2010.

  • Address the planning steps in Plan for SharePoint Workspace 2010.

  • Confirm that Internet Explorer, version 6, version 7, or version 8 is installed on client computers that have a 32-bit browser.

  • Confirm that SharePoint Workspace port settings comply with the specifications in Plan for SharePoint Workspace 2010. SharePoint Workspace 2010 is installed with Windows Firewall turned on and exceptions enabled to support SharePoint Workspace server and client communications. To review or change these settings, open Control Panel, click System and Security, click Windows Firewall, click Change notification settings, and then change or review the settings.

  • If you use Active Directory Domain Services (AD DS) and want to customize SharePoint Workspace deployment for Active Directory system group members, make sure that you have appropriate administrative permissions on the Active Directory system and identify the group to which you want to deploy SharePoint Workspace policies.

  • Review customization options in Review customization options for SharePoint Workspace 2010, later in this article.

  • If you are integrating SharePoint Workspace with SharePoint Server 2010 sites, prepare SharePoint Server 2010 as follows:

    • Open incoming port 80 to support client/server communications.

    • Consider configuring Secure Socket Layer (SSL) protection for the SharePoint Server-SharePoint Workspace communications port. This configuration is strongly recommended, because no default encryption security is in place.

    • Install Remote Differential Compression (RDC) on SharePoint Server. RDC supports offline synchronization protocols, and optimizes performance during document transfer between SharePoint Workspace and SharePoint Server. To verify RDC status, open Windows Server Manager on the SharePoint Server system and then click Add Features. In the Add Features Wizard dialog box, make sure that the Remote Differential Compression check box is selected. Click Next, and then follow the Wizard instructions to install RDC. Or, you can install RDC from a Command Prompt window by typing the following: servermanagercmd -install rdc. For more information about RDC, see About Remote Differential Compression (http://go.microsoft.com/fwlink/p/?LinkId=162305).

    • Ensure that offline availability of content is enabled for SharePoint sites (the default condition). SharePoint site administrators can configure this setting by clicking Site Actions, Site Settings, Site Administration, Search and offline availability, and finally, in the Offline Client Availability section, selecting Yes. This allows SharePoint content to be taken offline for offsite work.

    • Configure access control settings for designated SharePoint sites to enable access by SharePoint Workspace users and groups. Note that users must have at least Read permission in order to synchronize SharePoint content with a SharePoint workspace. For more information about how to configure access to SharePoint sites, see Managing Site Groups and Permissions (http://go.microsoft.com/fwlink/p/?LinkID=162300).

    • If your organization uses Line of Business Interoperability (LOBi) lists (for connections to external databases instead of to the server database) and if users have to take these lists offline, ensure that Offline Synchronization of External Lists is enabled on the SharePoint server. You can configure this setting from the Central Admin interface by clicking System Settings and looking under Manage farm features. This setting can also be configured at the site level under Site Actions > Site Settings > Site Actions > Manage site features.

Review customization options for SharePoint Workspace 2010

Customizing the SharePoint Workspace installation enables you to decide how SharePoint Workspace will be deployed and used. The following sections describe settings that you can configure to customize SharePoint Workspace 2010 installation.

Control use of Groove workspaces

This setting lets you prevent Groove workspaces and Shared Folders from being used in SharePoint Workspace, therefore limiting SharePoint Workspace usage to SharePoint workspaces exclusively. You can configure this setting by using the Office Customization Tool (OCT) or by deploying a Group Policy object (GPO), as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

Enable IPv6

This setting lets you enable IPv6 for SharePoint Workspace installation. You can configure this setting by using the OCT or by deploying a GPO, as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

Prefer IPv4

This setting lets you specify that IPv4 is preferred over IPv6 for SharePoint Workspace 2010 on client computers. You can configure this setting by using the OCT or by deploying a GPO, as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

Remove legacy files and registry settings

This setting removes previous installations of SharePoint Workspace (Microsoft Office Groove 2007). You can also use this option if you have special requirements that can only be configured through the Windows Registry (such as removing a Office Groove 2007 device management registry setting). You can configure this setting by using the OCT, as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

Prevent Windows Search crawling for SharePoint Workspace

This setting prevents crawling of SharePoint Workspace paths by Windows Search. By default, crawling (creation of indexes) for Windows Search 4.0 is enabled for the following SharePoint Workspace content:

  • Metadata for SharePoint workspaces and Groove workspaces for SharePoint Workspace 2010

  • Metadata for all Groove workspace tools for SharePoint Workspace 2010

  • The following Groove workspace content for SharePoint Workspace 2010: discussions, documents, Notepad entries, chat transcripts, member messages, and custom lists.

Users can start Windows Search 4.0 from SharePoint Workspace by clicking Search on the Home tab of the ribbon, unless prevented from doing this by administrative policy. Setting this policy prevents Windows Search from crawling and searching SharePoint Workspace content, overrides any user search settings, removes Search from the ribbon in SharePoint Workspace, and cleans the Windows Search index of any previously crawled SharePoint Workspace data.

To configure this setting, use a Search GPO, as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

For more information about Windows Search, see Windows Search Administrator Guide (http://go.microsoft.com/fwlink/p/?LinkID=164567) and Windows Search IT Guides (http://go.microsoft.com/fwlink/p/?LinkId=163450).

Require Secure Socket Layer protection for external client connections

This setting blocks SharePoint Server connections from SharePoint Workspace clients that are outside an organization's intranet, unless the connections are over a Secure Socket Layer (SSL)-protected port. To configure this setting, use a SharePoint Server GPO, as described in Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool .

Customize SharePoint Workspace in a managed environment

If you use Microsoft Groove Server 2010 to manage SharePoint Workspace, you can further customize installation to make administrative tasks easier. For example, you can use Group Policy to configure policy settings, such as a Microsoft Groove Server 2010 assignment, that apply to an organizational unit in Active Directory. Or, you can configure an Office Resource Kit setting to require SharePoint Workspace users to automatically configure SharePoint Workspace user accounts for management in an environment that does not include Active Directory. For more information about how to deploy SharePoint Workspace in a Groove Server-managed environment, see Deployment for Groove Server 2010.

Customize SharePoint Workspace 2010 by using Active Directory Group Policy objects or the Office Customization Tool

You can customize SharePoint Workspace installations by deploying Active Directory Group Policy objects (GPOs) or by including an Office Customization Tool (OCT) .msp file together with the SharePoint Workspace installation kit. The method that you choose depends on the following deployment conditions:

  • If intended SharePoint Workspace clients are members of an in-house Active Directory group and are connected to the Windows domain, you can configure Active Directory GPOs to customize client installations, as described in To customize SharePoint Workspace installation through Active Directory Group Policy objects.

  • If your organization does not use an Active Directory server or if intended SharePoint Workspace clients are outside your Windows domain, use OCT settings to customize installation as described in To customize SharePoint Workspace installation through Office Customization Tool settings.

Note:

Decide on one customization approach to help ensure a smooth deployment. Do not use both GPOs and OCT settings. For more information about these customization options, see Group Policy overview (Office system) (http://go.microsoft.com/fwlink/p/?LinkID=162307) and Office Customization Tool in the Office system (http://go.microsoft.com/fwlink/p/?LinkID=162306).

If you use Groove Server 2010 Manager to manage SharePoint Workspace clients, you can use a combination of Groove Server 2010 Manager policies and GPOs or OCT settings to customize SharePoint Workspace installations. For information about Groove Server 2010 Manager policies, see Deploying policies to SharePoint Workspace users. For information about how to customize SharePoint Workspace in a Groove Server 2010-managed environment, see Deploy SharePoint Workspace 2010.

To customize SharePoint Workspace installation through Active Directory Group Policy objects

  1. Address the requirements in Before you begin.

  2. Determine which Group Policy object (GPO) that you need to customize SharePoint Workspace for the management environment, based on the information in Review customization options for SharePoint Workspace 2010.

  3. From the Active Directory server, access the required policies by downloading the AdminTemplates.exe file for Office 2010, available at the Microsoft Download Center (http://go.microsoft.com/fwlink/p/?LinkID=162268).

  4. Double-click the AdminTemplates.exe file to extract the Administrative template files that enable you to configure Group Policy settings that apply to an Active Directory unit. The spw14.admx file (or .adml file for language-specific versions) contains SharePoint Workspace-specific policies.

  5. If you are using a Windows Server 2008 computer, copy the ADMX\ADML files to folders as follows:

    1. Copy the ADMX files (.admx) to your computer's Policy Definitions folder (for example, <systemroot>\PolicyDefinitions).

    2. Copy the ADML language-specific resource files (.adml) to the appropriate language folder, such as en-us; for example, <systemroot>\PolicyDefinitions\[MUIculture].

      For more information about Group Policy object editing requirements and steps, see Requirements for Editing Group Policy Objects Using ADMX Files (http://go.microsoft.com/fwlink/p/?LinkId=164568) and Managing Group Policy ADMX Files Step-by-Step Guide.

  6. From the Active Directory server, use the Group Policy Management Console (GPMC), which you can access from gpedit.msc in the Microsoft Management Console, to change the policy settings that are contained in the .adm files.

  7. In the tree view, locate Group Policy Objects, click the policy that you want to configure, and then in the details pane fill in the required fields to enable or change the policy. See Group Policy for SharePoint Workspace 2010 for more guidance.

  8. When you are finished editing the GPO in the GPMC, save the policy settings. The policy settings are saved in the registry.pol file, which the Group Policy program uses to store registry-based policy settings made by using the Administrative template extension.

For more information about Group Policy technology and use, see Group Policy overview (Office system) (http://go.microsoft.com/fwlink/p/?LinkId=162307) and Use Group Policy to enforce Office 2010 settings (http://go.microsoft.com/fwlink/p/?LinkID=78176).

To customize SharePoint Workspace installation through Office Customization Tool settings

  1. Address the requirements in Before you begin.

  2. Determine how you want to customize SharePoint Workspace, based on the information in Review customization options for SharePoint Workspace 2010.

  3. You can run the Office Customization Tool (OCT) from the Start menu. Click Run, and then type cmd. At the command prompt, go to the Office 2010 installation directory, and then type setup/admin. This opens the OCT.

    Or, you can download the OCT from the Office 2010 installation media.

  4. In the OCT tree view, locate Features, and then click Modify user settings. In the navigation pane, click SharePoint Workspace, SharePoint Server, or Search Server, depending on the kind of setting that you want to configure.

  5. In the list pane, double-click the setting that you need, and change its properties as needed. See Office Customization Tool settings for SharePoint Workspace 2010 for more guidance.

  6. When you are finished, click the File drop-down menu and then click Save to save your updated settings in a Microsoft setup customization file (.msp). For example, enter spw.msp as a file name.

  7. Include the .msp file in the SharePoint Workspace deployment.

For more information about how to use the OCT, see Office Customization Tool in the Office system (http://go.microsoft.com/fwlink/p/?LinkId=162306).

Verify installation

Test SharePoint Workspace connections and synchronization as described in Test SharePoint Workspace connections.

See Also

Concepts

SharePoint Workspace 2010 overview
Plan for SharePoint Workspace 2010
Group Policy for SharePoint Workspace 2010
Office Customization Tool settings for SharePoint Workspace 2010
Deployment checklist for SharePoint Workspace 2010

Other Resources

Deployment for Groove Server 2010


Test SharePoint Workspace connections

Test connections to and synchronization with SharePoint Server 2010 and SharePoint Workspace 2010 clients before you deploy SharePoint Workspace.

If you test connections and synchronization, you will help assure a smooth deployment process. This article provides guidance about how to test your setup.

To watch a video that shows the test process as the final step of a deployment SharePoint Workspace 2010, see Video - How to support offline use of SharePoint sites (http://go.microsoft.com/fwlink/p/?LinkId=212596).

In this article:

  • Before you begin

  • Test SharePoint Workspace synchronization with SharePoint Server

  • Test Groove workspace synchronization among peer clients

Before you begin

Before you start testing, address the following prerequisites:

  • Choose a SharePoint Workspace 2010 deployment topology and plan accordingly, as described in Plan for SharePoint Workspace 2010.

  • For a SharePoint Server 2010-based topology, prepare SharePoint Server 2010, as described in Configure and customize SharePoint Workspace 2010.

  • Customize SharePoint Server 2010 deployment, as described in Configure and customize SharePoint Workspace 2010.

  • Follow the organization's standard client software deployment processes to install Office 2010 or SharePoint Workspace 2010 on target user desktops.

  • Identify two SharePoint Server 2010 sites to synchronize with a test SharePoint Workspace 2010 client. Make sure that you are a member of these sites to that you can create and edit site content.

  • Identify test SharePoint Workspace 2010 clients inside and outside the local firewalls.

Test SharePoint Workspace synchronization with SharePoint Server

The following procedure provides guidance for validating connections and content synchronization between SharePoint Workspace 2010 and SharePoint Server 2010, in support of SharePoint workspaces.

To test SharePoint Workspace connections and synchronization

  1. Create a SharePoint workspace from a SharePoint site as follows:

    1. Start SharePoint Workspace 2010 on a test client.

    2. Browse to a SharePoint Server 2010 Central Administration Web site from a test SharePoint Workspace 2010 client.

    3. From the SharePoint Server site, click the Site Actions drop-down menu and then click Sync to SharePoint Workspace.

    4. To download all the Document libraries and List content on the site to the local test client, click OK from the Sync to Computer dialog box that appears. To download selected content, click Configure in the dialog box, select the document libraries and lists that you want to download, and then click OK. Within a few moments, a new SharePoint workspace will be downloaded to your computer. The new workspace contains a copy of the requested SharePoint lists and libraries which you can edit while your online or offline.

    5. Experiment with editing a document or list from the SharePoint workspace while you are online, and then save your changes. These edits and updates will be synchronized automatically with the document and list content on the SharePoint site.

    6. Disconnect from the Internet and experiment with updating the content from an offline state, and then save your changes. When you return online, these edits and updates will be synchronized automatically with the document and list content on the SharePoint site.

  2. Verify that the client updates are visible on the SharePoint site as follows:

    1. Reconnect to the Internet and browse to the SharePoint site. Or, for quick browsing from the SharePoint workspace that contains the SharePoint site content, open the SharePoint workspace and then click the site link next to the Contents pane in the SharePoint workspace.

    2. Select View all content from the Site Actions drop-down menu and navigate to the document or list that you changed from the SharePoint workspace.

    3. Wait several moments or refresh the screen to see the updates that you made from the client.

  3. To verify that SharePoint site updates are visible in the SharePoint workspace, follow these steps:

    1. Browse to the SharePoint site and update a document or list that you have synchronized with content in the test SharePoint workspace.

    2. Open the SharePoint workspace that you created on the test client.

    3. Wait a few moments for the site content to appear in the workspace. Or, click the Sync tab in the ribbon, click the Sync drop-down menu, and then select either, Sync Tool to synchronize with the current document library or list, or Sync Workspace to synchronize with all the documents and libraries on the site.

  4. You can test a similar procedure, initiated from a SharePoint Workspace test client, as follows:

    1. Start SharePoint Workspace 2010 on a test client.

    2. From the SharePoint Workspace Launchbar, on the Home tab, click the New drop-down menu, and then select SharePoint Workspace.

    3. Enter the URL to a SharePoint site in the Location text box.

    4. Click Configure to access the site and select the content that you want to download, and then click OK. Within a few moments, a new SharePoint workspace will be downloaded to your computer. The new workspace contains a copy of the requested SharePoint lists and libraries which you can edit while your online or offline.

    5. Experiment with editing document or lists as described previously in this procedure.

    For more information about how to create SharePoint workspaces and how to use SharePoint Workspace 2010, see the SharePoint Workspace 2010 product information at Microsoft Office Online (http://go.microsoft.com/fwlink/p/?LinkID=162269).

  5. If a test step fails, see Troubleshoot SharePoint Workspace 2010, resolve the problem, and run the test again.

Test Groove workspace synchronization among peer clients

SharePoint Workspace supports peer connections for Groove workspace and Shared Folder workspace types. The following procedures explain how to validate Groove workspace and Shared Folder workspace connections and peer synchronization.

To test Groove workspace synchronization

  1. From SharePoint Workspace client 1, start SharePoint Workspace 2010. Then create a Groove workspace in SharePoint Workspace by clicking the New drop-down menu on the Home tab on the Launch bar and then clicking Groove workspace. Accept the default tools and configuration. Then invite SharePoint Workspace client 2 to the workspace.

    For more information about how to use SharePoint Workspace 2010 and how to create Groove workspaces, see the product information at Microsoft Office Online (http://go.microsoft.com/fwlink/p/?LinkID=162269).

  2. From SharePoint Workspace client 2, accept the invitation. When the accepted invitation download is complete, open the new Groove workspace, click the New Documents option on the Home tab, and then add a document that contains some test content.

  3. From client 1, click the Documents item in the Contents pane, check for the new content that you added in the previous step, and then edit the document. Client 2 appears in the workspace Members list.

  4. From client 2, look for the client 1 update in the test document.

  5. Repeat these steps to test connections and synchronization between clients inside and outside the corporate LAN and for clients who have made offline contributions.

  6. If a test step fails, see Troubleshoot SharePoint Workspace 2010, resolve this problem, and run the test again.

To test Shared Folder synchronization

  1. From SharePoint Workspace client 1, start SharePoint Workspace 2010, and then create a test folder in the Windows file system. Then create a shared folder in SharePoint Workspace by clicking the New drop-down menu on the Home tab on the Launch bar, clicking Shared Folder, and specifying the test folder. Now invite SharePoint Workspace client 2 to the workspace.

    For more information about how to create shared folders and how to use SharePoint Workspace 2010, see the SharePoint Workspace 2010 product information at Microsoft Office Online (http://go.microsoft.com/fwlink/p/?LinkID=162269).

  2. From SharePoint Workspace client 2, accept the invitation. When the folder download is complete, the new folder in the Windows file system on client 2 and client 2 will appear in the workspace Members list. Now add a document that contains some test content to the folder.

  3. From client 1, check for new content in the folder and client 2 in the workspace Members list. Then edit the document.

  4. From client 2, look for the client 1 update in the test document.

  5. Repeat these steps to test connections and synchronization between clients inside and outside the corporate LAN and for clients who have made offline contributions.

  6. If a test step fails, see Troubleshoot SharePoint Workspace 2010, resolve this problem, and run the test again.

SharePoint Workspace peer connections are often supported in a managed environment where Microsoft Groove Server is deployed onsite. For more information about how to deploy these workspace types in a managed environment, see Deploy SharePoint Workspace 2010.

See Also

Other Resources

Deploy SharePoint Workspace 2010


Deploy Office 2010

Deployment scenarios, step-by-step installation instructions, and various methods that you can use to deploy Microsoft Office 2010 are detailed in the following articles.

Before you deploy Office 2010, we recommend that you review the information in Planning the deployment of Office 2010.

In this documentation:

Article | Description
Create a network installation point for Office 2010 | Provides information and procedures to create, replicate, and secure a network installation point for the deployment of Office 2010.
Deploy different Office 2010 suites | Documents the processes for deploying different Office 2010 suites to a single computer.
Run Setup from a network installation point | Provides information and procedures to run Setup and apply any customizations that you specify.
Precache the local installation source for Office 2010 | Provides information and procedures to deploy the local installation source separately before you deploy Office 2010. (Setup creates a local installation source on the user's computer when you deploy Office 2010.)
Install Office 2010 from local installation source | Provides information and procedures to run Setup directly from the local installation source.
Deploy Office 2010 to users who are not administrators | Provides information about how to install Office 2010 on computers where users lack administrative permissions.
Deploy Office 2010 with limited network capacity | Provides information about how to deploy Office 2010 in an environment that has limited network resources.
Configure Office 2010 for capturing an image | Describes an example of how to configure Office 2010 for capturing an image of the installation
Deploy Office 2010 by running Setup from a network share | Provides information about how to run Setup from a network installation point to deploy Office 2010, and how to test in a nonproduction environment before you deploy to a production environment.
Deploy Office 2010 by using System Center Configuration Manager 2007 | Provides detailed technical guidance on the processes and procedures when you use Microsoft System Center Configuration Manager 2007 to deploy Office 2010 in a medium- to large-sized organization.
Deploy Office 2010 by using System Center Essentials 2010 | Provides detailed technical guidance on the processes and procedures when you use Microsoft System Center Essentials 2010 to deploy Office 2010 in a medium-sized organization.
Deploy Office 2010 by using Group Policy computer startup scripts | Provides detailed technical guidance on the processes and procedures when you use Group Policy to assign computer startup scripts to deploy Office 2010.
Deploy Office 2010 by using Microsoft Application Virtualization | Provides detailed technical guidance on the processes and procedures when you use Microsoft Application Virtualization (App-V) to deploy Office 2010 in a medium-sized organization.
Deploy Office 2010 by using Microsoft Deployment Toolkit 2010 | Provides information about and instructions for using Microsoft Development Toolkit (MDT) 2010 to deploy Office 2010.
Deploy Office 2010 on a Remote Desktop Services-enabled computer | Contains procedural information that was previously in the topic called "Plan to deploy Office 2010 in a Remote Desktop Services environment."
Deploy Microsoft Silverlight with Office 2010 | Provides information about how to install Microsoft Silverlight along with Microsoft Office 2010 to improve the information worker user experience with Office 2010.


Create a network installation point for Office 2010

The first step in a typical corporate deployment of Microsoft Office 2010 is to create, replicate, and secure a network installation point. This article describes how to do that.

You begin by copying all source files from the Office installation CD to a shared location on the network. Users run Setup from the network installation point, or you use the installation point as a starting place to create a hard-disk image or a custom CD or to distribute Office by using a software deployment tool, such as Microsoft System Center Configuration Manager 2007.

For detailed information about licensing and activation of Office 2010 clients, we recommend that you read the following articles before you customize the installation: Volume activation overview for Office 2010, Plan volume activation of Office 2010, Volume activation quick start guide for Office 2010, Deploy volume activation of Office 2010, Tools to configure client computers in Office 2010.

In this article:

  • Create the network installation point

  • Replicate the network installation point

  • Secure the network installation point

Create the network installation point

Use the following procedure to create a network installation point.

To create a network installation point

  1. Create a folder for the Office source files at a location that can be easily accessed on the server. For example:

    \\server\share\Office14

    Note:

    Do not create the network installation point at the root of the server.

  2. Insert the Office CD into your CD drive.

  3. In Windows Explorer, select all the files and folders on the CD. Copy the CD contents to the folder on the network. This location becomes the network installation point.

  4. If you deploy multiple language versions of Office 2010, copy each language pack that you want from the source media to the installation point. When you are prompted to overwrite duplicate Setup files, click No.

    Note:

    In Office 2010, core Setup files are shared among all Office products and language packs. Because these core Setup files are identical, there is no reason to overwrite the files if you add language packs, for example. Additionally, by not overwriting Setup files, the network installation point remains online and available to users while you add files.

  5. If you deploy multiple Office 2010 products, copy those files from the CD to the installation point. When you are prompted to overwrite duplicate Setup files, click No.

  6. If you create a Setup customization file (.msp file) for the installation, store the file in the Updates folder at the root of the installation point.

    Or, you can enter the /adminfile option at the command prompt to specify a Setup customization file.

  7. If users are installing Office 2010 after product updates are released, store those .msp files in the Updates folder.

The amount of space that is required on the network installation point varies by product and by language. The following table shows approximate space requirements for English versions of Office 2010 suites that are typically installed in enterprise organizations. These figures account for both the installed product and the installation files that are stored in the local installation source.

Product | Approximate space required
Microsoft Office Professional 2010 | Approximately 3 gigabytes (GB)
Microsoft Office Professional Plus 2010 | Approximately 3 GB

The installation point contains only one copy of the language-neutral core product. Each language that you add requires additional space only for the language-specific components.

Note:

Unlike in versions of Microsoft Office products earlier than the 2007 Microsoft Office system, in Office 2010 (and in the 2007 Office system) you do not create an administrative installation point by running Setup with the /a command-line option to extract compressed source files. In Office 2010 and in the 2007 Office system, all installations occur from the compressed source.

Replicate the network installation point

In many enterprise organizations, the network installation point is the location from which users first install Office. After Office 2010 is installed, users do not typically have to rely on the network source for tasks such as updating, modifying, or reinstalling Office. Setup automatically creates a local installation source on each user's computer. However, if the local source is corrupted or deleted, Setup returns to the original network source to re-create the local source on the user's computer.

We recommend that you replicate the network source to multiple locations for the following reasons:

  • Availability If you create multiple network installation points (which can be in the same physical location), you help ensure that users always have access to a network source. Ideally, the duplicate network installation points are managed by Distributed File System (DFS) technologies and are transparent to users.

  • Proximity to users Many companies have high-speed LAN networks that are connected to other subsidiaries or branch offices by much slower WAN connections. If you set up a duplicate network installation point at the remote locations, Office source files travel over the slow network connection only one time, and after that, users have access to a closer network source.

  • Consistency If you create one network installation point with all the customizations that you want and then duplicate that installation point as needed, you help ensure that the same configuration is deployed throughout your organization.

  • Flexibility If the primary network installation point installs a standard corporate configuration of Office 2010, regional offices can apply additional customizations to the replicated network installation points and can customize Office 2010 for their unique region-specific requirements.

To specify additional network sources

  1. Start the Office Customization Tool (OCT) by running Setup with the /admin command-line option.

  2. In the Setup section, click Additional Network Sources, and then click Add. In the Add Network Server Entry dialog box, enter the path of the location where you plan to copy the network installation point, and then click OK.

    You can add as many additional source locations as you want.

  3. Save the Setup customization file (.msp file) that is generated by the OCT in the Updates folder at the root of the network installation point.

  4. Copy the complete folder structure of the network installation point to the locations that you specified in the Setup customization file.

    Users who install Office 2010 from any of these network installation points have access to the backup network sources. Setup checks these sources automatically when an alternative source is required.

Secure the network installation point

To help make the network installation point for Office more secure, follow these recommended best practices:

  • Make sure that access to source files is read-only. (The Setup.xml and Package.xml files, such as ProPlusWW.xml for Microsoft Office Professional 2010, are digitally signed and cannot be modified.)

    Note:

    If you are preparing a network share to deploy Office 2010 by using Group Policy computer startup scripts, ensure that you grant Authenticated Users read access to the network share. For information about how to use computer startup scripts, see Deploy Office 2010 by using Group Policy computer startup scripts.

  • Save all customization files that you create as read-only. These include Setup customization files and custom Config.xml files.

  • If you are centralizing log files on the network, make sure that users have read/write permission to that location.

  • Make sure that all users have administrative permissions before the users install Office 2010. You can do this by using your existing software deployment infrastructure.

As with any deployment of Office, test all the customizations and deployment in a non-production environment as part of the deployment pilot tests before you deploy Office 2010 to users in the organization.

For information and procedures to help you deploy volume activation of Office 2010, see Configure and deploy volume activation of Office 2010.

See Also

Concepts

Deploy volume activation of Office 2010
Volume activation quick start guide for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010


Deploy different Office 2010 suites

Two options enable you to deploy different Microsoft Office 2010 suites to the same computer: Side-by-side and Uninstall-install. This article contains the procedures for each option. Although deploying more than one Office 2010 suite on the same computer might not be required by most organizations, it can be appropriate in some scenarios. For example, departments in an organization that currently have Office Standard 2010 installed on their computers might now need applications that are available in Office Professional Plus 2010, such as Microsoft Access 2010. For a list of the applications that are included in the different Office 2010 suites, see Microsoft Office Suites (http://go.microsoft.com/fwlink/p/?LinkId=157865).

In this article:

  • Overview of Office suite deployment options

  • Side-by-side option

  • Uninstall-install option

Overview of Office suite deployment options

The following two options are the primary means of moving from one Office 2010 suite to another within the same version:

  • Side-by-side This option leaves the existing Office suite on the computer while the new suite is installed.

  • Uninstall-install This option is uninstalls the existing Office suite and then installs the different Office suite.

Each option has advantages and disadvantages. Regardless of the option that you select, you can use any of the supported deployment methods, such as silent installation.

Advantages and disadvantages

The advantages and disadvantages for each deployment option are listed in the following tables.

Side-by-side

Advantages Disadvantages

  • Optimized availability of applications.

  • Minimized network bandwidth usage because of the following:

    • Existing product applications and updates remain installed on the targeted computers.

    • A copy of the compressed source files for the existing Office products remains in the Local Install Source (LIS) on the targeted computers.

    • Only source files of the new product applications are copied to the LIS.

Uninstalling the original Office suite (see Side-by-side option) removes the application shortcuts for applications that are shared between the original suite and the new suite. However, these shortcuts are restored after the /repair startup command-line option is run on the new suite.

Uninstall-install

Advantages Disadvantages

Uninstalling before you install a different version is an advantage if disk space is limited on targeted computer or computers.

  • Application unavailability between uninstalling the original suite and installing the new suite.

  • Additional network bandwidth usage at the time that the new suite and updates are deployed.

  • Computer restart required after uninstalling the original suite and installing the new suite.

Important:

Before moving from one Office 2010 suite to another within the same version, verify that the correct product licensing requirements have been met. For more information about licensing, see Microsoft Volume Licensing (http://go.microsoft.com/fwlink/p/?LinkId=155897) and Emma Explains Microsoft Licensing in Depth! (http://go.microsoft.com/fwlink/p/?LinkId=157710).

The example in this article describes moving from Office Standard 2010 to Office Professional Plus 2010. The same example is used in the procedure for each option: side-by-side and uninstall-install.

Side-by-side option

The following table highlights the process and references for the side-by-side option, which includes the following steps:

  1. Leave Office Standard 2010 on the targeted computer or computers, and customize Office Professional Plus 2010.

  2. Deploy and install Office Professional Plus 2010.

  3. Uninstall Office Standard 2010.

  4. Repair Office Professional Plus 2010.

Whether you move from a suite that contains fewer applications (such as Office Standard 2010) to a suite that contains more applications (such as Office Professional Plus 2010) — or the other way around — the behavior is the same. For example, the copy of the compressed source files for the existing Office products remains in the Local Installation Source (LIS) on the targeted computers. The product IDs for both installed suites are unique and exist until one of the suites is uninstalled. For more information about product code IDs, see Description of the numbering scheme for product code GUIDs in Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=207157).

Step Reference

1. Leave the existing Office suite (Office Standard 2010 in this example) on the targeted computer or computers, and customize the new Office suite (Office Professional Plus 2010 in this example).

To review the applications that are included in each Office suite, see Office 2010 Suite Comparison (http://go.microsoft.com/fwlink/p/?LinkId=155902).

Important:

When you customize Setup for Office Professional Plus 2010, you have to select the existing Office Standard 2010 programs that you want to keep. For example, if you installed Microsoft Word 2010 and Microsoft Excel 2010 from Office Standard 2010 and you want to continue to use them, you have to select Word 2010 and Excel 2010 during the customization for Office Professional Plus 2010 — in addition to any new programs that you want to add, such as Microsoft Access 2010.

Office 2010 Suite Comparison (http://go.microsoft.com/fwlink/p/?LinkId=155902)

Customize Office 2010

Customize Setup before installing Office 2010

Configure feature installation states for Office 2010

2. Deploy and install Office Professional Plus 2010. You can use any of the supported methods to deploy an Office 2010 suite.

Note:

After you install Office Professional Plus 2010, you see both suites listed. Click Start, click Control Panel, click Programs, and then click Programs and Features.

Deploy Office 2010

Distribute product updates for Office 2010

3. Uninstall Office Standard 2010. You can uninstall an Office 2010 suite either through the Windows UI (click Control Panel, and then click Add/Remove Programs) or by using the /uninstall command-line option with Setup.exe.

Setup command-line options for Office 2010

How do I uninstall Office 2003, Office 2007 or Office 2010 suites if I cannot uninstall it from Control Panel? (http://go.microsoft.com/fwlink/p/?LinkId=207206)

4. Repair Office Professional Plus 2010. You can repair an Office 2010 suite either through the Windows UI (click Control Panel, and then click Add or Remove Programs) or by using the /repair command-line option with Setup.exe.

Setup command-line options for Office 2010

Uninstall-install option

The following table highlights the process and references for the uninstall-install option, which includes the following steps:

  1. Uninstall Office Standard 2010 on a targeted computer or computers.

  2. Restart targeted computer or computers.

  3. Customize Office Professional Plus 2010.

  4. Deploy and install Office Professional Plus 2010.

Step Reference

1. Uninstall Office Standard 2010 on a targeted computer or computers.

Setup command-line options for Office 2010

How do I uninstall Office 2003, Office 2007 or Office 2010 suites if I cannot uninstall it from Control Panel? (http://go.microsoft.com/fwlink/p/?LinkId=207206)

2. Restart targeted computer or computers.

Shutdown (http://go.microsoft.com/fwlink/p/?LinkId=207223)

3. Customize the new Office suite.

Important:

When you customize Setup for Office Professional Plus 2010, you have to select the existing Office Standard 2010 programs that you want to keep. For example, if you installed Word 2010 and Excel 2010 from Office Standard 2010 and you want to continue to use them, you have to select Word 2010 and Excel 2010 during the customization for Office Professional Plus 2010 — in addition to any new programs that you add, such as Access 2010.

Customize Office 2010

Customize Setup before installing Office 2010

Configure feature installation states for Office 2010

4. Deploy and install Office Professional Plus 2010. You can use any of the supported methods to deploy an Office 2010 suite.

Important:

Because you are performing a complete uninstall operation, you have to add any previously installed products updates, such as service packs and security updates.

Deploy Office 2010

Distribute product updates for Office 2010

See Also

Concepts

Error codes for Office 2010 installations


Run Setup from a network installation point

After you create a network installation point for Microsoft Office 2010, you can install Office on a user's computer by running the Setup program. Setup handles all the installation functions for Office 2010. This includes applying any customizations that you specify.

For information about how to create a network installation point, see Create a network installation point for Office 2010.

Office 2010 introduces native 64-bit versions of Office products to take advantage of the larger capacity of 64-bit processors. This lets users work with much larger data sets than they previously could and to analyze and solve large computational problems. This additional capacity is only needed by Office users who require Microsoft Excel spreadsheets that are larger than 2 gigabyte (GB), for example. The 32-bit version of Office 2010 provides the same functionality and is also compatible with 32-bit add-ins, which is why Office 2010 installs the 32-bit version by default. The 64-bit Office client installs only on 64-bit editions of Windows Vista with Service Pack 1 and 64-bit editions of Windows Server 2008 with Service Pack 1. For more information, see 64-bit editions of Office 2010.

For information about how to customize the installation, see the following resources:

  • Office Customization Tool in Office 2010

  • Config.xml file in Office 2010

  • Customize Office 2010

  • Customize Setup before installing Office 2010

Install an Office 2010 product

Use the following procedure to install an Office 2010 product by running Setup from a network installation point.

To install an Office product

  1. If you created a Setup customization file (.msp file) by using the Office Customization Tool (OCT), copy the file to the Updates folder that is located in the root of the network installation point. For information about how to use the OCT, see Office Customization Tool in Office 2010.

  2. To customize the Config.xml file, edit the copy of Config.xml that is located in the product folder on the network installation point. For example, the product folder for Microsoft Office Professional Plus 2010 is ProPlus.WW. For information about how to use the Config.xml file, see Config.xml file in Office 2010.

  3. Run Setup.exe from the root of the network installation point. Setup installs the product that resides in the network installation point and applies the customizations that you entered in the Config.xml file and in the Setup customization file.

    Important:

    If you want to install 64-bit Office 2010, run Setup.exe from the x64 folder. For example, navigate to the \\server\share\Office14\x64 folder in the network installation point, and then double-click Setup.exe.

    If there are multiple Office products on the network installation point, Setup prompts you to select the product that you want to install. You can also identify the product to install by using the /config command-line option to specify the Config.xml file that resides in the core product folder for that product. For example, to install Office Professional Plus 2010, run the following command: \\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

    Setup installs the product associated with the Config.xml file that you specify without prompting you to select the product. For information about the /config setup command-line option, see /config [path] in Setup command-line options for Office 2010.

For information about the setup process, see Setup architecture overview for Office 2010.

See Also

Concepts

Create a network installation point for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010
64-bit editions of Office 2010


Precache the local installation source for Office 2010

You can minimize the load on a network by deploying the local installation source separately, before you deploy Microsoft Office 2010. When you deploy Office 2010, Setup creates a local installation source on the user's computer — a copy of the compressed source files for the Office product that you install. After the files have been copied to the user's computer, Setup completes the installation from the local installation source.

Deploy the local installation source

Use the following procedure to deploy the local installation source before you deploy Office 2010.

To deploy the local installation source separately

  1. On the network installation point, open the Config.xml file in a text editor, such as Notepad. For information about the Config.xml file, see Config.xml file in Office 2010.

    By default, Config.xml is located in the core product folder for the Office product that you are installing. For example, if you install Microsoft Office Professional Plus 2010, open the Config.xml file in the ProPlus.WW folder.

  2. Find the LIS element (<LIS>); remove the comment marks in the line by deleting the opening <!-- and closing --> tags.

  3. Set the <CACHEACTION> attribute to "CacheOnly".

    The line in Config.xml should look as shown in the following example.

    Copy Code
    <LIS CACHEACTION="CacheOnly" />

  4. Save the Config.xml file.

  5. Run Setup.exe on users' computers; on the Setup command line, specify the path of the modified Config.xml file.

    You must use a fully qualified path. For example: \\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

    where Office14 is the root of the network installation point.

Note:

If you precache the local installation source on users' computers and then later have to remove it, you can set the <CACHEACTION> attribute to "RemoveCacheOnly" and run Setup again. This setting works only if users have not yet installed Office.

Precaching lets most of the installation activity occur on the local computer instead of over the network. Precaching also lets you coordinate the upgrade to the new version. You can distribute the local installation source to groups of users over time and then schedule a concurrent installation throughout the organization without overtaxing the network.

Important:

Running Setup.exe from the MSOCache as described next in this article is intended only for new installations of Office 2010. This method does not work if you have an existing 2007 Office system installation on the computer on which you are installing Office 2010. If you attempt to upgrade from the 2007 Office system to Office 2010 by installing Office 2010 from the MSOCache folder, an error similar to the following may be displayed: "The Language of this installation package is not supported by your system."

If there is an installation of the 2007 Office system on the computer, an MSOCache folder for the 2007 Office system is present. If you precached the local installation source for Office 2010, an MSOCache folder for Office 2010 is also present on the computer. When both 2007 Office system and Office 2010 MSOCache folders are present on a computer, the Setup.exe program from the Office 2010 cache folder ({90140000-0011-0000-0000-0000000FF1CE}-C) queries the MSOCache folders on the computer for all Office products that it can install. It identifies the 2007 Office system as an available product to install, and the error occurs.

If you have an existing 2007 Office system installation on the computer on which you are installing Office 2010, you can do the following to work around this issue:

  • Start the Office 2010 installation from the original network installation point (network share) that you used to precache the installation.

  • Ensure that you are not using the same Config.xml that you previously used to perform the cacheonly action. Otherwise, it repeats the cacheonly action rather than performing the installation. You can modify the Config.xml file to remove the cacheonly line, or you can use an alternate Config.xml file.

    This method does not copy additional data to the computer because the installation detects that MSOCache already exists.

To take full advantage of precaching the local installation source for new installations of Office 2010, you can use the Setup.exe file from the local cache and only pass in the optional files, the Setup customization file (.msp file), and the custom Config.xml file from a network installation source. You must use the fully qualified path of these files. If the share names contain spaces, use quotation marks around the paths as shown in the following example.

"C:\MSOCache\All Users\{10140000-0011-0000-0000-0000000FF1CE}-C\setup.exe" /adminfile "\\server\share\Office 14\mychanges\db_outlookonly.msp" /config "\\server\share\Office 14\ProPlus.WW\Config.xml"

where:

/adminfile specifies the location of the .msp file.

/config specifies the location of the customized Config.xml file.

Setup handles the creation and maintenance of the local installation source automatically. The default location is \MSOCache\All Users at the root of the drive on which Office is installed. In addition to installing Office from the local installation source, Setup uses the local installation source to repair, reinstall, or update Office later. If the local installation source is corrupted or deleted, Setup uses the original source on the network to repair or re-create it. For information about the /adminfile and /config setup command-line options, see /adminfile [path] and /config [path] in Setup command-line options for Office 2010.

Note:

If you set the installation location for Office to another location (for example, by entering a new value for the INSTALLLOCATION attribute in Config.xml), Setup creates the local installation source at that location.

See Also

Concepts

Setup architecture overview for Office 2010
Install Office 2010 from local installation source
Config.xml file in Office 2010
Create a network installation point for Office 2010
Setup command-line options for Office 2010


Install Office 2010 from local installation source

When you deploy Microsoft Office 2010, Setup creates a local installation source on each user's computer and then installs Office from that location. You can reduce the load on a network by separating these two parts of the installation process. First, run Setup to distribute the local installation source to users; later, run Setup again to complete the installation.

Because the local installation source also includes a copy of Setup, you can go one step further and run Setup directly from the local installation source, instead of running it over the network. This strategy lets you minimize the load on the network and still upgrade everyone to the new version at the same time.

In this article:

  • Run Setup

  • MSOCache folder

  • Office product download codes

Run Setup

To run Setup, you must identify the subfolder in MSOCache\All Users that contains the core product that you want to install. See MSOCache folder later in this article. Setup.exe is located in the same folder that contains the core product file <product_name>WW.msi, for example, ProPlusWW.msi. For example, for Microsoft Office Professional Plus 2010, the core product file is ProPlusWW.msi, and the folder that contains Setup.exe is {10140000-0011-0000-0000-0000000FF1CE}-drive. The folder includes files, such as the following:

  • Office64WW.msi

  • Office64WW.xml

  • Ose.exe

  • Osetup.dll

  • OWOW64WW.cab

  • ProPsWW.cab

  • ProPlusWW.msi

  • ProPlusWW.xml

  • Pkeyconfig-office.xrm-ms

  • Setup.exe

  • Setup.xml

Important:

Running Setup.exe from the MSOCache, as described next in this article, is intended only for new installations of Office 2010. This method does not work if you have an existing 2007 Office system installation on the computer on which you are installing Office 2010. If you attempt to upgrade from the 2007 Office system to Office 2010 by installing Office 2010 from the MSOCache folder, an error similar to the following may be displayed: "The Language of this installation package is not supported by your system."

If there is an installation of the 2007 Office system on the computer, an MSOCache folder for the 2007 Office system is present. If you precached the local installation source for Office 2010, an MSOCache folder for Office 2010 is also present on the computer. In such cases, where both 2007 Office system and Office 2010 MSOCache folders are present on a computer, the Setup.exe program from the Office 2010 cache folder ({90140000-0011-0000-0000-0000000FF1CE}-C) queries the MSOCache folders on the computer for all Office products that it can install. It identifies the 2007 Office system as an available product to install, and the error occurs.

If you have an existing 2007 Office system installation on the computer on which you are installing Office 2010, you can do the following to work around this issue:

  • Start the Office 2010 installation from the original network installation point (network share) that you used to precache the installation.

  • Ensure that you are not using the same Config.xml that you previously used to perform the cacheonly action. Otherwise, it repeats the cacheonly action rather than performing the installation. You can modfy the Config.xml file to remove the cacheonly line, or you can use an alternate Config.xml file.

    This method does not copy additional data to the computer because the installation detects that the MSOCache already exists.

To run Setup from the local installation source (for new Office 2010 installations)

  1. Distribute the local installation to users.

    For information about this step, see Precache the local installation source for Office 2010.

  2. Locate the download code for the Office product that you want to install. Download codes are included in the Setup.xml file in the core product folder. For example, locate the line in Setup.xml that contains the LocalCache entry as in this example from Office Professional Plus 2010:

    <LocalCache DownloadCode="{10140000-0011-0000-0000-0000000FF1CE}" SkuComponentDirectory="ProPlus.WW">

  3. Run Setup.exe from the subfolder in MSOCache\All Users that corresponds to the download code. You can use a relative path to point to the location of Setup.exe on each user's computer.

    For example, if you deployed the local installation source for Microsoft Office Professional Plus 2010 on the C drive, use the following command line:

    C:\MSOCache\All Users\{10140000-0011-0000-0000-0000000FF1CE}-C \setup.exe

    You can send the Setup.exe command line to users by whatever means that you want — for example, in a log-in file or a batch file.

MSOCache folder

The default location of the local installation source is \MSOCache\All Users at the root of the drive on which Office is installed. Setup copies each package from the network installation point to a separate subfolder under MSOCache\All Users. The subfolder for the core product package includes a copy of Setup.exe that defaults to installing that product. Subfolders under MSOCache\All Users are named according to the download code for each package, instead of the folder naming convention used on the network installation point.

The letter appended to the end of each download code (-C in the previous example) indicates the drive on which the local installation source for that product is installed. If a user has installed multiple Office products on different drives, each drive contains a local installation source in the MSOCache\All Users folder. The drive letter in the download code enables Windows Installer to identify the correct location for the specified product.

In the precache scenario only, Setup also copies the Updates folder from the network installation point to the local installation source. You can store both Setup customization files (.msp files) and software update files (.msp files) in the Updates folder and automatically include them in the installation. You gain the benefits of an offline installation without losing any of your customizations.

Office product download codes

Download codes for each Office product can be found in the Setup.xml file in the core product folder. The line in the Setup.xml file for Office Professional Plus 2010 should look as shown in the following example:

Copy Code
<LocalCache DownloadCode="{10140000-0011-0000-0000-0000000FF1CE}" SkuComponentDirectory="ProPlus.WW">

See Also

Concepts

Precache the local installation source for Office 2010
Setup architecture overview for Office 2010


Deploy Office 2010 to users who are not administrators

In the Windows environments that support the Microsoft Office 2010, by default, users have limited access to system areas of the computer. Because the Office Setup program writes to system areas of the operating system and the Windows registry, a user must have administrative permissions on the local computer to install Office.

To install Office 2010 on computers where users lack administrative permissions, you must run Setup in a context that provides it with administrative permissions. After Office is installed, users without administrative permissions can run all installed features, and can install features on demand.

In organizations where users are not the administrators of their computers, administrators can use the following ways to provide Office Setup with the appropriate permissions:

  • Log on to the computer as an administrator and install Office 2010.

  • Use a software management tool, such as Microsoft System Center Configuration Manager 2007, Microsoft System Center Essentials 2007, Systems Management Server (SMS) 2003, or a third-party software deployment tool.

  • Deploy Office 2010 to computers by using Group Policy computer startup scripts.

  • Use application virtualization.

After the initial installation is performed with administrative permissions, all later installations — including installation on demand and automatic repair of features — also run with those permissions.

Important:

Two general Windows policy settings that help install previous versions of Office are not supported in Office 2010 or in the 2007 Office system: the Windows Installer Always install with elevated privileges policy setting and the Enable user to use media source while elevated policy setting (these settings are in the Computer Configuration\Administrative Templates\Windows Components\Windows Installer node in Group Policy Object Editor). Setting the Always install with elevated privileges policy setting allows a user without administrative permissions to the computer to install any Windows Installer package. Similarly, setting the Enable user to use media source while elevated policy setting allows users without administrative permissions to install programs from a CD. In both cases, the installation runs with elevated privileges, and the user has unlimited access to system files and the registry. Setting either of these policy settings leaves the computer highly vulnerable, potentially allowing an attacker to run malicious code on the computer. Using these policy settings to allow a user who is not an administrator to install Office will not work with the 2010 or the 2007 version of Setup and is not supported in Office 2010 or in the 2007 Office system.

In this article:

  • Logging on as an administrator

  • Deploying Office by using Group Policy computer startup scripts

  • Deploying Office by using Group Policy computer startup scripts

  • Using application virtualization

Logging on as an administrator

You can install Office 2010 on a user's computer by logging on to the computer by using an administrator account. This provides the administrative permissions that you need for Office Setup to access restricted areas of the user's computer. Once Office is installed, users have no further need for administrative permissions to run Office applications.

Note:

For security reasons, applying a software update (.msp file) to an Office installation always requires administrative permissions, even if the original installation was performed with administrative permissions.

Using a software management tool

A software management tool, such as System Center Configuration Manager 2007 or SMS, can run Office Setup in an administrative context on the user's computer.

Administrators can also use System Center Essentials 2007 to deploy Office 2010 and the 2007 Office system. System Center Essentials 2007 is a management solution that was designed for IT system administrators in mid-sized organizations that include up to 30 servers and 500 client computers.

For more information, see Deploy Office 2010 by using System Center Configuration Manager 2007 and Deploy Office 2010 by using System Center Essentials 2010.

Deploying Office by using Group Policy computer startup scripts

Administrators can use Group Policy to assign computer startup scripts to deploy Office 2010 (and the 2007 Office system). Scripts can be written in any language that is supported by the client computer. Windows Script Host-supported languages, such as Microsoft Visual Basic Scripting Edition (VBScript) and Jscript, and command files are the most common. For more information, see Deploy Office 2010 by using Group Policy computer startup scripts.

Using application virtualization

Administrators can use Microsoft Application Virtualization (App-V) to deploy Office 2010. The application is published on a local client computer, and the application remains in a virtual environment. Applications run locally in a virtual environment, and are not installed on the local computer. For more information about virtualization types, technologies, and deployment methods, see Plan for virtualization for Office 2010 and Deploy Office 2010 by using Microsoft Application Virtualization.

See Also

Concepts

Deploy Office 2010 by using Group Policy computer startup scripts
Deploy Office 2010 by using System Center Configuration Manager 2007
Deploy Office 2010 by using System Center Essentials 2010
Plan for virtualization for Office 2010
Deploy Office 2010 by using Microsoft Application Virtualization


Deploy Office 2010 with limited network capacity

If you are deploying Microsoft Office 2010 in an environment that has limited network resources, the Setup architecture in Office 2010 lets you minimize the demand on the network and still ensure that all users install the new version at exactly the same time.

For example, your organization has distant branch offices that connect to the corporate network over a limited or expensive wide area network (WAN), or you have a higher-capacity corporate network that supports thousands of users. If you distribute Office 2010 by using a typical logon script, and 10,000 users access the network at the same time, they might have to wait too long for 500 MB of installation files to travel over the network.

In these kinds of environments, you can distribute the Office 2010 source files to users over time. Once your targeted user groups have a local installation source deployed on their computers, you can schedule a concurrent installation of Office without overtaxing the corporate network.

For information about customization for Office 2010 clients, we recommend that you read the following articles before you customize the installation: Customization overview for Office 2010 and Volume activation overview for Office 2010.

In this article:

  • Recommended solution

  • How this solution works

Recommended solution

To distribute Office 2010 source files over time, follow these steps:

  1. Create a network installation point for Office 2010

  2. Customize Office 2010

  3. Precache the local installation source for Office 2010

  4. Install Office 2010 from local installation source

How this solution works

This deployment strategy works because Setup always installs Office 2010 products in two stages. First, Setup copies all required installation files from the network installation point to a hidden folder on the local computer. Second, Setup calls Windows Installer to perform the installation from each user's local installation source. Separating these two phases of the process lets you manage the load on the network more efficiently.

You configure Office 2010 before you distribute the local installation source. To specify most user configuration options, you run the Office Customization Tool (OCT) to generate a Setup customization file (.msp file). We recommend that you store the customization file for initial installations in the Updates folder at the root of the network installation point. For information about how to customize the installation by using the OCT, see Office Customization Tool in Office 2010.

Note:

If you plan to deploy multiple Setup customization files (.msp files), you can place only one customization .msp file in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files after the installation of Office 2010 is completed. Only one Setup customization file in the Updates folder is supported. The customization .msp file that you place in the Updates folder will be deployed first. Therefore, it must include any Setup customizations that cannot be changed after the installation (for example, the installation location).

For some customizations, such as specifying additional languages, you must edit the Config.xml file for the product that you are installing. You also edit the Config.xml file to specify that Setup deploy only the local source. For information about how to specify additional languages and how to use the Config.xml file, see Customize deployment of language setup and Proofing Tools in Office 2010 and Config.xml file in Office 2010.

When the customizations are complete, you run Setup to distribute the local installation source to one group of users at a time. You can use any distribution method, such as a logon script, a batch file, or an enterprise software deployment tool such as Microsoft Systems Management Server, Microsoft System Center Configuration Manager 2007, or a third-party tool. In the precache scenario only, Setup copies the Updates folder from the network installation point to the local source. All the customizations are included in the local source.

Setup also includes a copy of itself in the local installation source. After your targeted users have a local installation source on their computers, you can trigger Setup to run from the local source and complete the installation at the scheduled time. The installation, including application of the customizations and software updates, occurs locally without file transfers or any other activity over the network.

Note:

When Setup installs Office 2010 from the local installation source, it does not return to the original network installation point to look for new customization files or software updates. Only the files cached in the local installation source on the user's computer are applied. If you make additional customizations or add new software updates to the network installation point after you precache the local source, you must distribute them separately, after Office is installed.

See Also

Concepts

Setup architecture overview for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010
Customization overview for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010


Configure Office 2010 for capturing an image

Published: August 27, 2010

Administrators can configure Microsoft Office 2010 to capture an image of an installation, such as the one that is described in this article. The example that is described here shows how to run Office 2010 from a network installation point to install a custom configuration of Office 2010 on a reference computer that has a clean installation of Windows 7 (Volume Licensed version).

A network installation point is a network shared folder that contains the Office 2010 source files, language packs, and any Setup customization (.msp) files that you want to deploy. After your Office 2010 customizations are complete, you capture an image of the reference computer's operating system with the Office 2010 installation and the customizations that you specify. Then, you can distribute the image to users in your organization.

The information in this article is intended for small-sized businesses that may not have an enterprise deployment infrastructure.

In this article:

  • Before you begin

  • Resource requirements

  • Test environment resources

  • Preparing the administrator computer

  • Preparing the reference computer

  • Capturing an image of the reference computer

  • Deploying the image

This article contains information about the test environment that is used to test configuration of Office 2010 to capture an image of the installation. It does not provide detailed instructions for how to install the server and client computer operating systems. For more information about operating system resources, see Test environment resources.

This article also includes three videos that demonstrate the procedures for Preparing the administrator computer, Preparing the reference computer, and Deploying the image.

Before you begin

The Office 2010 activation method uses Office Activation Technologies, based on the Software Protection Platform that was introduced in Windows Vista and Windows Server 2008. Microsoft policy requires the activation of all editions of Office 2010 client software. When you prepare to deploy Office 2010 to your production environment, you must decide which activation method to use:

  • Key Management Service (KMS) This method uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation.

  • Multiple Activation Key (MAK) With a MAK, clients activate Office 2010 online with the Microsoft hosted activation servers or by telephone.

  • A combination of KMS and MAK For example, in some organizations, Office 2010 runs on desktops that use a KMS client key, and on portable computers that use a MAK key.

In this scenario, we use MAK volume activation. In general, the recommendation for deploying Office 2010 with Windows 7 is to use the same volume activation for Office 2010 that you use for Windows 7. If you have more than 50 client computers, use KMS.

We recommend that you read the following articles before you customize Office 2010: Plan volume activation of Office 2010, Deploy volume activation of Office 2010, Customization overview for Office 2010, Create a network installation point for Office 2010, Office Customization Tool in Office 2010, Config.xml file in Office 2010, Plan for multilanguage and Proofing Tools deployment for Office 2010, Customize deployment of language setup and Proofing Tools in Office 2010, and Customize Office 2010.

Resource requirements

The example in this scenario uses the following resources:

  • An administrator computer. Use this computer to prepare the infrastructure and customizations for Microsoft Office 2010 deployment and to install the Windows Automated Installation Kit (AIK). In this example, we use Microsoft Office Professional Plus 2010. You use the Windows AIK to capture and deploy a custom installation of Windows 7 with Office Professional Plus 2010. In this example, the administrator computer is running Windows Server 2008 R2.

    Or, you can use an x86-based or x64-based computer that runs one of the following operating systems: Windows 7, Windows Server 2008 Enterprise, Windows Vista with SP1, or Windows Server 2003 R2.

  • A reference test computer. This is a computer that has a clean installation of Windows 7 on which you install a custom configuration of Office Professional Plus 2010. After you install the software, you capture an image of the installation. You can store the image on a network share. In this example, the computer is running the 32-bit edition of Windows 7 Enterprise.

  • A network adapter and a working network environment Required for both the administrator computer and the reference computer.

  • Windows 7 Enterprise 32-bit edition product DVD.

  • Office Professional Plus 2010 (Volume License) product DVD. And any language packs you want to add. In this example, we added the Microsoft Office Language Pack 2010 - French language pack.

  • Windows Automated Installation Kit (AIK). Use the following Windows AIK tools to prepare and capture an image of the installation: Windows Preinstallation Environment (Windows PE) and Imagex.exe. You install the Windows AIK on the administrator computer.

  • .NET Framework 2.0, which is provided with the Windows AIK tools during Setup.

  • One blank DVD-R/RW disc. Use the DVD to install Windows AIK. The Windows AIK ISO download size is 1706.6 megabytes (MB).

  • One 8 gigabyte (GB) USB flash drive (UFD). Use the UFD to create a bootable UFD with Windows PE.

Test environment resources

In this example, you install Office Professional Plus 2010 on the reference computer by running Setup from a network installation point that is located on the administrator computer. You use a network shared folder for the network installation point. Access to the source files is set as read-only.

The following resources provide information about Windows Server 2008 R2, shared folders, and Windows 7:

  • Install and Deploy Windows Server 2008 R2 (http://go.microsoft.com/fwlink/p/?LinkID=184708)

    • Shared folders (http://go.microsoft.com/fwlink/p/?LinkId=184710)

    • Share a Folder or Drive (http://go.microsoft.com/fwlink/p/?LinkId=184711)

    • Set Permissions for Shared Folders (http://go.microsoft.com/fwlink/p/?LinkId=184712)

  • Windows 7: Desktop deployment (http://go.microsoft.com/fwlink/p/?LinkID=184713)

Preparing the administrator computer

The administrator computer is used to host the network installation point with the Office Professional Plus 2010 source files and the Setup customizations that you configure. In addition, you install the Windows AIK tools in the administrator computer and prepare a bootable Windows PE UFD with imagex.exe, which you use later to capture an image of the reference computer.

The administrator computer is running Windows Server 2008 R2, and a shared folder (for example, \\server\share) has been configured on this computer. For information about creating a shared folder, see Share a Folder or Drive (http://go.microsoft.com/fwlink/p/?LinkId=184711).

Use the administrator computer to perform the following tasks:

  • Install Windows AIK

  • Create a bootable UFD with Windows PE

  • Create a network installation point

  • Customize the Office 2010 installation

Note:

Make sure that network discovery and file sharing is turned on in both the administrator and reference computer. Network discovery is a network setting that affects whether your computer can find other computers and devices on the network and whether other computers on the network can find your computer.

To turn network discovery on, in Control Panel, choose Network and Internet, select Network and Sharing Center, and select Change Advanced sharing settings. Click the chevron next to Home or Work to expand the current network profile, click Turn on network discovery, and then click Save changes. If you are prompted for an administrator password or confirmation, type the password or provide confirmation.

Configure Office 2010 for capturing an image

Duration: 09:45 minutes

Play video Watch the "Configure Office 2010 for capturing an image - Part 1 of 3: Administrator computer" video

Download video For an optimal viewing experience, download the Configure Office 2010 for capturing an image - Part 1 of 3: Administrator computer video

Install Windows AIK

You can download the Windows Automated Installation Kit (AIK) for Windows 7 from this Microsoft Web site: (http://go.microsoft.com/fwlink/p/?LinkId=196290). To install the Windows AIK, you first download the ISO image (KB3AIK_EN.iso), and then you write the ISO file to a DVD. After you burn the DVD, you install the Windows AIK to the administrator computer from the DVD. In this example, the administrator computer is running 64-bit Windows Server 2008 R2. Therefore, you install the x64 version, wAIKAMD64.msi.

To install Windows AIK

  1. On the administrator computer, open the Windows AIK DVD in Windows Explorer.

  2. Right-click wAIKAMD64.msi, click Install, and then click Next.

  3. Click I Agree on the License Agreement page, and then click Next.

  4. On the Select Installation Folder page, click Next to install to the default installation folder for anyone who uses the computer.

  5. Click Next on the Confirm Installation page to begin installation.

  6. Click Close.

For information about Windows AIK, see Windows Automated Installation Kit for Windows 7 (http://go.microsoft.com/fwlink/p/?LinkId=196373).

Create a bootable UFD with Windows PE

This section provides instructions for creating a bootable UFD with Windows PE and imagex.exe. You will use the bootable UFD later to start the reference computer to capture an image of the installation after you install Windows 7 and Office Professional Plus 2010.

Note:

The reference computer in this example runs the 32-bit edition of Windows 7 Enterprise. Therefore, you must use the x86 version of the Windows AIK tools to create the UFD.

To create a bootable UFD with Windows PE

  1. In the administrator computer, click Start, point to All Programs, and then click Microsoft Windows AIK.

  2. Right-click Deployment Tools Command Prompt, and then click Run as administrator. Click Yes to open the Deployment Tools Command Prompt window with elevated permissions.

  3. In the Deployment Tools Command Prompt window, type the following:

    copype.cmd x86 C:\winpe_x86

    Then press Enter.

    The copype.cmd script copies the files that are required to create a bootable Windows PE RAM disk. It creates a working directory that includes a base Windows PE image file called winpe.wim. The script also creates an iso directory that you use when you create the bootable UFD. The script requires two arguments: <arch> and <destination>, where <arch > can be x86, amd64, or ia64 and <destination> is a path to local directory.

    In this example, we specify x86 architecture (32-bit) and the path to a local directory on which to store the files, C:\winpe_x86.

  4. In the Deployment Tools Command Prompt window, type the following:

    copy C:\winpe_x86\winpe.wim C:\winpe_x86\ISO\sources\boot.wim

    Then press Enter.

    This copies the winpe.wim file into the \iso folder and renames the file "boot.wim."

  5. In the Deployment Tools Command Prompt window, type the following:

    copy "C:\Program Files\Windows AIK\Tools\x86\ImageX.exe" C:\winpe_x86\ISO\

    Then press Enter.

    This copies the imagex.exe tool, which you use to capture and deploy an image of the installation.

    The next steps prepare the UFD.

  6. Insert a UFD into the computer.

  7. In the Deployment Tools Command Prompt window, type diskpart and press Enter:

  8. To prepare the UFD that you will use later to start the reference computer and capture an image, follow these steps:

    1. At the DISKPART command prompt, type list disk, and press Enter:

    2. Review the list of disks to find the number of the disk that has the UFD. Make sure the size and free space match what you expect for the UFD that you are using (8 GB in this example) because you will be formatting the disk. In this example, disk 1 is the disk with the UFD.

    3. Type select disk <number>, where number is the disk number of the UFD. In this example, type select disk 1, and press Enter.

    4. Type clean, and press Enter.

    5. Type create partition primary, and press Enter.

    6. Type select partition 1, and press Enter.

    7. Type format fs=fat32 quick, and press Enter.

    8. Type active, and press Enter.

    9. Type exit, and press Enter.

  9. In the Deployment Tools Command Prompt window, type the following:

    xcopy /s C:\winpe_x86\iso\*.* F:\

    where F is the drive letter of the UFD

    This copies all the content in the \iso directory onto the UFD device.

Create a network installation point

To prepare the infrastructure for Office 2010 deployment, you create a network installation point on the network shared folder that you created on the administrator computer, such as \\server\share. To do this, copy all files and folders from the Office 2010 DVD to the shared folder on the network, and copy all language packs that you want to deploy. In this example, we use Office Professional Plus 2010 and Microsoft Office Language Pack 2010 - French language pack.

To create a network installation point

  1. Create a folder for the Office Professional Plus 2010 source files at the network share location that you created previously (\\server\share). For example, create a folder named Office14:

    \\server\share\Office14

    Note:

    Do not create the network installation point at the root of the server.

  2. Insert the Office DVD into the CD drive.

  3. In Windows Explorer, select all files and folders that are on the DVD. Copy the DVD contents to the folder on the network. This location becomes the network installation point.

  4. If you deploy multiple language versions of Office Professional Plus 2010, copy each language pack that you want from the source media to the installation point. When you are prompted to overwrite duplicate Setup files, click No. In this example, we added the Microsoft Office Language Pack 2010 - French language pack.

    Note:

    In Office 2010, core Setup files are shared among all Office products and language packs. Because these core Setup files are identical, there is no reason to overwrite the files if you add language packs. Additionally, by not overwriting Setup files, the network installation point remains online and available to users while you add files.

    If you deploy multiple Office 2010 products, copy those files from the DVD to the network installation point. Click No when you are prompted to overwrite duplicate Setup files. No additional products are installed in this example.

To help secure the network installation point, we recommend the following:

  • Ensure that access to the Office source files is set as read-only. You do this after you complete all the Office customizations. (The Setup.xml and Package.xml files, such as ProPlusWW.xml for Office 2010, are digitally signed and cannot be modified.)

  • Ensure that the file properties for the customization files that you create are set as read-only. These include Setup customization .msp files and custom Config.xml files.

  • If you are centralizing log files on the network, make sure that users have read/write permission to that location.

  • Make sure that all users who install Office 2010 have administrative permissions.

Customize the Office 2010 installation

You can use the Office Customization Tool (OCT) to customize Setup, and configure additional customizations and installation options. This creates a Setup customization file (.msp file). The OCT is the primary tool that administrators use to customize the installation of products in Office 2010. For a complete description of the areas that you can configure by using the OCT, see Office Customization Tool in Office 2010. For step-by-step instructions for configuring customizations, see Create custom configurations of Office 2010.

When you complete the OCT customizations, store the Setup customization .msp file in the Updates folder at the root of the installation point. If you are installing Office 2010 after product updates are released, you can also store those .msp files in the Updates folder.

Note:

If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates in the Updates folder. In scenarios such as this, where the Updates folder includes both one Setup customization .msp file and product updates, Setup applies only the Setup customization .msp file upon initial installation. Product updates are applied after the installation is completed.

In this example, we use both the OCT and the Config.xml file in Office 2010 to customize the installation.

To customize the installation by using the OCT

  1. From the root of the network installation point that you created previously, run the following command-line option to start the OCT: setup.exe /admin. For example, use the following: \\server\share\Office14\setup.exe /admin.

  2. In the Select Product dialog box, select Create a new Setup customization file for the following product to create a new customization file. In this case, select Microsoft Office Professional Plus 2010 (32-bit). Click OK.

    The OCT user interface is displayed, and you can then configure settings in the following areas: Setup, Features, Additional content, and Outlook.

  3. Customize Setup to specify how you want Setup to manage the installation. The Setup section of the OCT is used to configure options such as the default installation location, default organization name, additional network locations that contain the Office 2010 sources, product key, Microsoft Software License Terms, level of user interface to display, and previous versions of Office to remove.

    Note:

    The product key option depends on the Office 2010 licensing method that you use. In this example, we enter a MAK key in the Enter another product key field.

    The following options are available in the Licensing and user interface:

    • Use KMS client key Product key entry is not required for enterprise deployments that are using Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a preinstalled KMS client key. KMS is one of the methods that are provided by Office Activation Technologies for activating products that are licensed under Microsoft Volume Licensing programs. When you use KMS, you install and activate only one KMS host key on the Office 2010 KMS host to activate all volume license editions of Office 2010 KMS clients. If the Office 2010 KMS host is installed and configured, KMS activation occurs transparently to the user when an Office 2010 client is first installed. Use KMS client key is the default. For information about how to configure the KMS host, see Configure the Office 2010 KMS host in Deploy volume activation of Office 2010.

    • Enter another product key Enter a valid Multiple Activation Key (MAK) key in the OCT by using the Enter another product key text box. A MAK key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. In this example, enter a valid MAK key (25 numbers or characters), without spaces, in the Product key text box.

      For example, type: AAAAABBBBBCCCCCDDDDDEEEEE

      When you use a MAK, client computers can activate Office 2010 online by using the Microsoft hosted activation servers or by telephone. For more information about how to use a MAK key, see Deploy volume activation of Office 2010.

    • Display level Expand the Display level menu to set the behavior of the user interface during installation. In this example, we use the Config.xml file to set display level options, as discussed in To customize the installation by using the Config.xml file.

  4. To change the default way that Office features are installed, in the left navigation pane, locate Features, and then click Set feature installation states. In this example, we configure Microsoft Access 2010 as Not available:

    In the right navigation pane, expand the tree and select Microsoft Access, and then select Not Available.

    The components for Microsoft Access, and all the child features that belong to this feature, are not installed on the computer. A red [X] is added to the menu icon next to the Microsoft Access application name.

  5. When you complete the customizations that you want to make, save the Setup customization .msp file that is generated by the OCT in the Updates folder at the root of the network installation point. In this example, the .msp customization file is named NoAccessx86.msp.

    Note:

    If you plan to deploy multiple Setup customization .msp files, you can put only one customization .msp file per product in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files after the Office installation is completed. Only one Setup customization file for each Office 2010 product that you are installing in the Updates folder is supported.

In this example, the Config.xml file is modified to:

  • Specify display level options

  • Install both English and French languages

  • Configure the default installation language and the Shell UI to match the operating system language

To customize the installation by using the Config.xml file

  1. In the core product folder for the product that you are installing (Microsoft Office Professional Plus 2010), locate the Config.xml file. For example, if you are installing Microsoft Office Professional Plus 2010, the Config.xml file is in the ProPlus.WW folder.

  2. Open the Config.xml file by using a text editor, such as Notepad.

  3. To modify the display options that users see during installation, locate the line in the Config.xml file that contains the Display element:

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

  4. Modify the Display element information as shown in the following example:

    <Display Level="basic" CompletionNotice="yes" SuppressModal="yes" AcceptEula="yes" />

    These options display a basic user interface and a notice when the installation is finished, and the Microsoft Software License Terms are accepted on behalf of the user. Setup does not display error messages and other dialog boxes that might interrupt the installation.

  5. Add the AddLanguage element. For information about AddLanguage, see AddLanguage element in Config.xml file in Office 2010.

  6. Set the value of the Id attribute to the language tag that corresponds to the language that you want to install. You can specify more than one language by including additional AddLanguage elements and attributes. If you use more than one language, you must also specify the language to use for the Shell user interface (Shell UI) by setting the ShellTransform attribute of the AddLanguage element. For a list of the language ID attributes in Office 2010, see Language identifiers and OptionState Id values in Office 2010.

    In this example, we set the default installation language and the Shell UI to match the operating system language, and specify that Setup install both English (en-us) and French (fr-fr). The syntax is as follows:

    <AddLanguage Id="match" ShellTransform="yes"/> <AddLanguage Id="en-us" /> <AddLanguage Id="fr-fr" />

    For more information, see Customize deployment of language setup and Proofing Tools in Office 2010.

  7. Save the Config.xml file.

Preparing the reference computer

To prepare the reference computer for imaging, follow these steps:

  • Install Windows 7 Enterprise Volume Licensed version from DVD media.

  • Enable the local Administrator account.

  • Delete the temporary user account and profile.

  • Install Office Professional Plus 2010 from the network installation point.

  • Rearm the Office Professional Plus 2010 installation.

  • Generalize the installation.

Configure Office 2010 for imae capture part 2

Duration: 11:04 minutes

Play video Watch the "Configure Office 2010 for capturing an image - Part 2 of 3: Reference computer" video

Download video For an optimal viewing experience, download the Configure Office 2010 for capturing an image - Part 2 of 3: Administrator computer video

Install Windows 7 Enterprise from DVD media

To install Windows 7

  1. Turn on your computer, insert the Windows 7 Enterprise installation DVD, and then restart your computer.

  2. Press any key when you are prompted to do so and follow the instructions that appear.

  3. On the Install Windows page, select the following options in this example:

    1. Language to install: English

    2. Time and currency format: English (United States)

    3. Keyboard or input method: US

    Then click Next.

  4. On the Install Windows page, click Install now.

  5. On the Please read the license terms page, select I accept the license terms, and then click Next.

  6. Click Custom on the Which type of installation do you want? page.

  7. On the Where do you want to install Windows? page, to delete or format a partition, click Drive options (advanced), select the option that you want to use, and then follow the instructions. In this scenario, we formatted the disk.

  8. Click Next to begin the installation.

  9. On the Set Up Windows page, which you see only after Windows 7 completes the installation on the reference computer, follow these steps:

    • In the Type a user text box, type a temporary user name. Use any user name. You remove this user account before you capture the image.

    • In the Type a computer text box, type a temporary computer name. Use any computer name. You change the computer name during deployment.

    Then click Next

  10. On the Set a password for your user account page, enter a password in the Type a password text box, reenter the password in the Retype your password text box, and then enter a reminder in the Type a password hint text box.

  11. Type your Windows 7 Enterprise Volume Licensing product key on the Type your product key for activation page, and then click Next.

  12. Select Use recommended settings to install important and recommended updates on the Help protect your computer and improve Windows automatically page. You can select a different setting after you install the image on each computer.

  13. Set the time and date on the Review your time and date settings page, and then click Next.

  14. Select Work network on the Select your computer's current location page.

Enable the Administrator account

By default, the built-in local Administrator account in Windows 7 is disabled. You must enable this account on the reference computer so that you can remove the temporary user account that is created during Windows 7 installation. You do this to prepare for generalizing the reference computer installation.

To enable the administrator account

  1. Click Start, right-click Computer, and then click Manage to start the Computer Management MMC snap-in.

  2. In the Computer Management MMC, expand Local Users and Groups

  3. Click Users, right-click the Administrator user account, and select Properties.

  4. In the Administrator Properties dialog box, clear the Account is disabled check box, and then click OK.

  5. Right-click the Administrator user account, and then click Set Password. A warning message is displayed.

  6. Click Proceed to continue.

  7. Type a strong password in New password and in Confirm password, and then click OK.

    The local Administrator account is now enabled.

Delete the temporary user account and profile

Before you generalize the reference computer, remove the temporary user account profile. You must perform this task by using the local Administrator account that you enabled in the previous step.

To remove the temporary account

  1. Log off the computer, and then use the Administrator account to log on again.

  2. Click Start, type user profile in the search box and select Configure advanced user profiles.

  3. In the User Profiles dialog box, select the temporary user account that you created previously during Windows 7 installation, and then click Delete.

  4. In User Accounts in Control Panel, delete the temporary user account. To do this:

    1. In Control Panel, select User Accounts.

    2. Click Manage User Accounts.

    3. On the Users tab, under Users for this computer, click the temporary user account name.

    4. Click Remove.

    5. In the User Accounts dialog box, click Yes, and then click OK

Install Office 2010 Professional Plus from the network installation point

The following procedure provides instructions for running Setup from the network installation point (located in the administrator computer). Setup installs the Office Professional Plus 2010 product that resides in the network installation point and applies the customizations that you entered in the Setup customization .msp file (NoAccessx86.msp) and in the Config.xml file.

Note:

Make sure that you add the Run command to the Start menu. Open Taskbar and Start Menu Properties, click the Start Menu tab, and then click Customize. In the Customize Start Menu dialog box, scroll through the list of options to find the Run command check box, select it, and then click OK. Then, click OK again.

To run Setup from the network installation point

  1. To run Setup.exe from the root of the network installation point, click Start, click Run, and type the following at the command prompt:

    \\server\share\Office14\setup.exe

  2. If there are multiple Office products on the network installation point, Setup prompts you to select the product that you want to install. You can also find the product to install by using the /config command-line option to specify the Config.xml file that resides in the core product folder for that product. For example, to install Office Professional Plus 2010, run the following command:

    \\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

    Setup installs the product that is associated with the Config.xml file that you specify without prompting you to select the product. For information about the /config setup command-line option, see /config [path] in Setup command-line options for Office 2010.

Rearm the Office 2010 installation

To deploy an image, you must rearm your Office 2010 installation before you capture the image. This applies to both MAK- and KMS-based deployments. If you are deploying Office 2010 and you configured it for MAK activation, but you did not remotely activate it for end-users through Volume Activation Management Tool (VAMT) 2.0 or Office Software Protection Platform script (ospp.vbs), users see an activation dialog box the first time that an Office 2010 application starts. The activation dialog box is slightly different 25 days after installation. Also, users might immediately see a red title bar if Office 2010 was not rearmed before the image capture.

To rearm the Office 2010 installation

  1. Make sure all Office 2010 applications are closed.

  2. Open an elevated command prompt: click Start, click All Programs, click Accessories, right-click Command Prompt and select Run as administrator, and then click Yes.

  3. Go to \Program Files\Common Files\Microsoft Shared\OfficeSoftwareProtectionPlatform.

    Note:

    The path might be \Program Files (x86)\Common Files\Microsoft Shared\OfficeSoftwareProtectionPlatform if you install a 32-bit edition of Office 2010 on a 64-bit edition of Windows.

  4. At the command prompt, type ospprearm.exe.

    A message similar to the following displays if the operation succeeds: "Microsoft Office rearm successful."

    Do not open an Office application or run ospp.vbs until you have captured the image. You can rearm 5 times, unless you activate Office 2010 by using a KMS host. If you run out of rearms, activating by using a KMS host lets you rearm one time.

Generalize the installation

To remove hardware-specific information from the Windows installation and prepare the computer for users, use the System Preparation Tool (Sysprep) with the /generalize option. Use the /oobe option to configure the computer to boot to Windows Welcome when it restarts. Generalizing the installation performs the following tasks:

  • Removes hardware-dependent information from the computer.

  • Resets the activation timer.

  • Cleans up Windows 7 so that you can duplicate the image on other computers.

To generalize the installation

  1. Click Start, type C:\Windows\System32\sysprep\sysprep.exe in the search box, and then press Enter to start Sysprep.

  2. In the System Preparation Tool dialog box, select the following options:

    • In System Cleanup Action list, select Enter System Out-of-Box Experience (OOBE).

    • Select the Generalize check box.

    • In the Shutdown Options list, select Shutdown.

  3. Click OK to run Sysprep and shut down the computer.

    This completes preparation of the reference computer. You can now capture an image of the installation as described in the next section.

For information about Sysprep, see Sysprep Technical Reference (http://go.microsoft.com/fwlink/p/?LinkID=196374).

Capturing an image of the reference computer

This section explains how to use the UFD with Windows PE to start the reference computer and then capture an image of the computer by using imagex.exe.

To capture an image

  1. Insert the bootable UFD with Windows PE and imagex.exe into a USB port on the reference computer.

  2. Turn on the reference computer.

  3. Open the boot device list. In most cases, you do this by pressing F12 during the basic input/output system [BIOS] splash screen.

  4. Select the bootable UFD that you inserted in step 1 from the list of devices to start the computer by using the bootable UFD.

    Note:

    If a prompt to display a boot device list is not displayed, you must enable booting from UFD devices in the computer's BIOS. For more information, see the documentation for your computer.

    Windows PE starts, and then starts a Command Prompt window.

  5. At the command prompt, find the drive that contains Windows 7. To do this, at the command prompt, type dir d:, and press Enter. In this example, drive D contains Windows 7 (with Windows, Users, and Program Files folders).

  6. At the command prompt, determine which drive is the bootable UFD. This is the drive that contains imagex.exe at the root of the drive. To find this drive, at the command prompt, type dir f:, dir g:, and so on until you find the UFD drive. In this example, drive F contains imagex.exe.

  7. To run imagex.exe to capture the image, type the following at the command prompt:

    F:\imagex.exe /capture D: D:\myimage.wim "Custom Windows 7 Install" /compress fast /verify

    where:

    D is the drive with the Windows 7 and the custom Office 2010 installations and F is the drive with imagex.exe

  8. Windows PE provides network support so you can copy the Windows Imaging File Format (WIM) myimage.wim file to a network share on the administrator computer. At the command prompt, type the following commands:

    net use n:\\server\share

    md Images

    copy D:\myimage.wim N:\Images

    where:

    net use n: maps drive N to the specified network share

    md Images creates a folder named Images in the specified network share

    copy copies the image.wim file to the \\network\share\Images folder

    If prompted, provide the administrator credentials for the administrator computer.

    For information about imagex.exe, see the Imagex.exe Technical Reference (http://go.microsoft.com/fwlink/p/?LinkId=196371).

Deploying the image

This section provides an example of how to deploy the image to another computer. First, you format the hard disk drive and then you copy the myimage.wim file from the Images shared folder on the administrator computer.

Configure Office 2010 for image capture

Duration: 06:19 minutes

Play video Watch the "Configure Office 2010 for capturing an image - Part 3 of 3: Deploy the image" video

Download video For an optimal viewing experience, download the Configure Office 2010 for capturing an image - Part 3 of 3: Deploy the image video

To deploy the image

  1. On the destination computer, insert the bootable Windows PE UFD, and then restart the computer.

  2. When prompted, open the boot device list. As noted previously, in most cases, pressing F12 during the BIOS splash screen opens the computer's boot device list.

  3. Select the bootable UFD that you inserted in step 1 from the list of boot devices. This starts the computer by using the bootable UFD.

  4. Windows PE starts, and starts a Command Prompt window.

  5. Next, use the DiskPart tool from the Windows PE Command Prompt window to format the hard disk drive as described next. You create two partitions. At the command prompt, type:

    diskpart

    select disk 0

    clean

    create partition primary size=300

    select partition 1

    format fs=ntfs label="System"

    assign letter=S

    active

    create partition primary

    select partition 2

    format fs=ntfs label="Windows"

    assign letter=C

    exit

  6. Copy the image from the Images folder on the network share (on the administrator computer) to your local hard disk drive, C. For example, at a command prompt, type:

    net use n: \\server\share\

    copy N:\Images\myimage.wim C:

    Provide administrator credentials for the administrator computer.

  7. To apply the image to the hard disk drive, use the imagex.exe tool from the Windows PE bootable UFD. Type the following at the command prompt:

    F:\imagex.exe /apply C:\myimage.wim 1 C:

  8. Next, use BCDboot to initialize the Boot Configuration Data (BCD) store and to copy boot environment files to the system partition. At a command prompt, type the following:

    C:\windows\system32\bcdboot C:\windows

  9. To exit Windows PE, type exit. The reference computer reboots.

    This finishes deployment of the customized image on the destination computer.

See Also

Concepts

Setup architecture overview for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Customize Office 2010
Plan for multilanguage and Proofing Tools deployment for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010

Other Resources

Video: Configure Office 2010 for capturing an image - Part 1 of 3: Administrator computer
Video: Configure Office 2010 for capturing an image - Part 2 of 3: Reference computer
Video: Configure Office 2010 for capturing an image - Part 3 of 3: Deploy the image


Deploy Office 2010 by running Setup from a network share

Learn how to run Setup from a network installation point to deploy Microsoft Office 2010 and how to test it in a nonproduction environment before deploying it to a production environment.

One of the options that organizations can use to deploy Office 2010 is to run Setup from a network installation point. A network installation point is a network shared folder that contains the Office 2010 source files, language packs, and any Setup customization (.msp) files that you want to deploy. If you are deploying Office 2010 after product updates are released, you can also store the updates in the Updates folder of the Office 2010 source so that users receive the updates with the product installation.

This article provides information about the test environment used to test the network share deployment method. It does not provide instructions for how to install the server and client computer operating systems. For more information, see Resources for configuring the test computers later in this article.

In this article:

  • Deploying in a test environment

  • Running Setup from the network installation point

The Office 2010 activation method uses Office Activation Technologies, based on the Software Protection Platform introduced in Windows Vista and Windows Server 2008. Microsoft policy requires the activation of all editions of Office 2010 client software. When you prepare to deploy Office 2010 to your production environment, you need to decide which activation method to use:

  • Key Management Service (KMS) This method uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation.

  • Multiple Activation Key (MAK) With a MAK, clients activate Office 2010 online with the Microsoft hosted activation servers or by telephone.

  • A combination of KMS and MAK.

Volume License editions of Office 2010 are preinstalled with a KMS client key. If you only need to verify that Office 2010 and the customizations that you configure are deployed to client computers in your test environment, you do not need to install a product key. Users will not see reminders to activate the first 25 days after installation. If Office is not activated by the 25th day of the 30-day grace period, dialog boxes inform the user that activation is required every time that an application is started. If you want to prepare a MAK deployment, you will need to enter your MAK key in the Office Customization Tool (OCT).

Office 2010 introduces native 64-bit versions of Office products to take advantage of the larger capacity of 64-bit processors. This lets users work with much larger data sets than they previously could and to analyze and solve large computational problems. This additional capacity is only needed by Office users who require Microsoft Excel spreadsheets that are larger than 2 gigabyte (GB), for example. The 32-bit version of Office 2010 provides the same functionality and is also compatible with 32-bit add-ins. This is why Office 2010 installs the 32-bit version by default. We recommend this option. For more information, see 64-bit editions of Office 2010.

Office 2010 includes two architecture-specific folders: one for 32-bit and one for 64-bit. Each of these folders contains the following:

  • A separate Config.xml file and Updates folder.

  • An architecture-specific Office Customization Tool (OCT). The OCT files are located in the Admin folder for the x86 (32-bit) and x64 (64-bit) folders, respectively. The 64-bit version of the OCT provides the same user interface, capabilities, and configurable settings as the 32-bit version. Office 2010 introduces XML versions of OPA files: OPAX files (.opax) for nonlanguage-specific resources and OPAL files (.opal) for language-specific resources.

We recommend that you read the following articles before you customize Office 2010: Plan volume activation of Office 2010, Deploy volume activation of Office 2010, Customization overview for Office 2010, Create a network installation point for Office 2010, Office Customization Tool in Office 2010, Config.xml file in Office 2010, Customize Office 2010, and 64-bit editions of Office 2010.

Deploying in a test environment

To deploy Office 2010 by running Setup from a network installation point requires the use of a network shared folder for the network installation point, with access to the source files set as read-only.

The following graphic shows an example of a test network environment that has a server that runs Windows Server 2008 R2 with a shared folder (figure A), and client computers that are running Windows 7 (figure B).

Network share environment

Resources for configuring the test computers

The following resources provide information about Windows Server 2008 R2 and shared folders, and Windows 7:

  • Install and Deploy Windows Server R2

    • Shared folders

    • Share a Folder or Drive

    • Set Permissions for Shared Folders

  • Windows 7: Desktop deployment

In this section:

  • Preparing the infrastructure

  • Customizing the installation

Preparing the infrastructure

These instructions assume that you have installed the Windows Server 2008 R2 server and Windows 7 client computers, and you have configured a shared folder on the server.

To prepare the infrastructure for Office 2010 deployment, you create a network installation point on the network shared folder that you created previously, such as \\server\share. To do this, copy all the files and folders from the Office 2010 DVD to the shared folder on the network, and copy all the language packs that you want to deploy.

To create a network installation point

  1. Create a folder for the Office source files at the network share location that you created previously. For example:

    \\server\share\Office14

    Note:

    Do not create the network installation point at the root of the server.

  2. Insert the Office DVD into the CD drive.

  3. In Windows Explorer, select all the files and folders on the DVD. Copy the DVD contents to the folder on the network. This location becomes the network installation point.

  4. If you deploy multiple language versions of Office 2010, copy each language pack that you want from the source media to the installation point. When you are prompted to overwrite duplicate Setup files, click No.

    Note:

    In Office 2010, core Setup files are shared among all Office products and language packs. Because these core Setup files are identical, there is no reason to overwrite the files if you add language packs, for example. Additionally, by not overwriting Setup files, the network installation point remains online and available to users while you add files.

  5. If you deploy multiple Office 2010 products, copy those files from the DVD to the installation point. When you are prompted to overwrite duplicate Setup files, click No.

Note:

In some enterprise organizations, the network installation point is the location from which users first install Office. After Office 2010 is installed, users do not typically have to rely on the network installation point to update, modify, or reinstall Office. Setup automatically creates a local installation source on each user's computer when it installs Office 2010. However, if the local installation source is corrupted or deleted, Setup returns to the original network installation source to re-create the local source on the user's computer.

We recommend that you replicate the network installation point to multiple locations for the following reasons:

  • Availability If you create multiple network installation points (which can be in the same physical location), you help ensure that users always have access to a network source. Ideally, the duplicate network installation points are managed by Distributed File System (DFS) technologies and are transparent to users.

  • Proximity to users Many companies have high-speed LAN networks that are connected to other subsidiaries or branch offices by much slower WAN connections. If you set up a duplicate network installation point at the remote locations, Office source files travel over the slow network connection only one time, and after that, users have access to a closer network source.

  • Consistency If you create one network installation point with all the customizations that you want and then duplicate that installation point as needed, you help ensure that the same configuration is deployed throughout your organization.

  • Flexibility If the primary network installation point installs a standard corporate configuration of Office 2010, different organizations can apply additional customizations to the replicated network installation points and can customize Office 2010 for their specific requirements.

You can specify additional network installation points by using the Office Customization Tool (OCT). For information, see To customize the installation and specify additional network sources.

To help secure the network installation point, we recommend the following:

  • Ensure that access to the Office source files is read-only. (The Setup.xml and Package.xml files, such as ProPlusWW.xml for Office 2010, are digitally signed and cannot be modified.)

  • Ensure that the file properties for the customization files that you create are set as read-only. These include Setup customization .msp files and custom Config.xml files.

  • If you are centralizing log files on the network, make sure that users have read/write permission to that location.

  • Make sure that all users who will install Office 2010 have administrative privileges.

Customizing the installation

You can use the OCT to customize Setup, and configure additional customizations and installation options. This creates a Setup customization file (.msp file). The OCT is the primary tool that administrators use to customize the installation of products in Office 2010. For a complete description of the areas that you can configure by using the OCT, see Office Customization Tool in Office 2010. For step-by-step instructions for configuring customizations, see Create custom configurations of Office 2010.

When you complete the OCT customizations, store the Setup customization .msp file in the Updates folder at the root of the installation point. As mentioned previously, if you are installing Office 2010 after product updates are released, you can also store those .msp files in the Updates folder.

To customize the installation and specify additional network sources

  1. From the root of the network installation point that you created previously, run the following command-line option to start the OCT: setup.exe /admin. For example, use the following: \\server\share\Office14\setup.exe /admin.

  2. In the Select Product dialog, select Create a new Setup customization file for the following product to create a new customization file (for example, for Microsoft Office Professional Plus 2010). Click OK.

    The OCT user interface is displayed, and you can then configure settings in the following areas: Setup, Features, Additional content, and Outlook.

  3. Customize Setup to specify how you want Setup to manage the installation. The Setup section of the OCT is used to configure options such as the default installation location, default organization name, additional network locations that contain the Office 2010 sources, product key, Microsoft Software License Terms, level of user interface to display, previous versions of Office to remove.

    Note:

    The product key option depends on the Office 2010 licensing method that you use. For the purpose of testing and verifying that Setup installs Office 2010 and that customizations are applied to client computers, in this example, we accept the default option for volume activation, Use KMS client key.

    The following options are available in Licensing and user interface:

    • Use KMS client key Product key entry is not required for enterprise deployments that are using Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key preinstalled. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. Only a KMS host computer needs a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. Use KMS client key is the default. In this example, we accepted the default. For information about how to configure the KMS host, see Configure the Office 2010 KMS host in Deploy volume activation of Office 2010.

    • Enter another product key You can enter a valid Multiple Activation Key (MAK) key in the OCT by using the Enter another product key entry. A MAK key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. By using a MAK, client computers activate Office 2010 online by using the Microsoft hosted activation servers or by telephone. If you choose to use a MAK key in your production environment, you would enter the MAK key (25 numbers or characters) without spaces in the Enter another product key text box. For more information about how to use a MAK key, see Deploy volume activation of Office 2010.

    • Display level Expand the Display level menu to set the behavior of the user interface during installation. In enterprise deployments, we recommend that you set Display level to None to ensure that Setup runs silently, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used. Setting Display Level to None assumes that the Suppress modal and Completion notice options are silenced and that the Microsoft Software License Terms is accepted. As an alternative, you can also configure display level options by using the Config.xml file; see Display element in Config.xml file in Office 2010

  4. In the Setup section, click Additional Network Sources, and then click Add. In the Add Network Server Entry dialog box, enter the path of the location where you plan to copy the network installation point, and then click OK.

    You can add as many additional source locations as you want.

  5. When you complete the customizations that you want to make, save the Setup customization .msp file that is generated by the OCT in the Updates folder at the root of the network installation point.

    Note:

    If you plan to deploy multiple Setup customization .msp files, you can place only one customization .msp file per product in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files after the Office installation is complete. Only one Setup customization file for each Office 2010 product that you are installing in the Updates folder is supported. The customization .msp files that you place in the Updates folder will be deployed first. Therefore, they must include any Setup customizations that cannot be changed after the installation, for example, the installation location.

  6. Copy the complete folder structure of the network installation point to the locations that you specified in the Setup customization .msp file.

    Users who install Office 2010 from any of these network installation points have access to the backup network sources. Setup checks these sources automatically when an alternative source is required.

If you want to deploy additional languages for users who use Office in more than one language or for users who require an Office language that does not match the language of their operating system, you use the Config.xml file. The Config.xml file is used to configure installation tasks and is used only when you run Setup. Config.xml is not installed or cached on users' computers. Administrators can edit the Config.xml file to customize the installation. By default, the Config.xml file that is stored in the core product folders (core_product_folder_name.WW folder; for example, ProPlus.WW) directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

For information about Config.xml, see Config.xml file in Office 2010. For information about how to add languages, see Customize deployment of language setup and Proofing Tools in Office 2010.

In the following example, the Config.xml file is used to specify that Setup install both English and French, and to configure the default installation language and the Shell UI to match the operating system language.

To use Config.xml to customize the installation

  1. In the core product folder for the product that you are installing, locate the Config.xml file. For example, if you are installing Office Professional Plus 2010, the Config.xml file is in the ProPlus.WW folder.

  2. Open the Config.xml file by using a text editor, such as Notepad.

  3. Add the AddLanguage element. For information about AddLanguage, see AddLanguage element in Config.xml file in Office 2010.

  4. Set the value of the Id attribute to the language tag that corresponds to the language that you want to install. You can specify more than one language by including additional AddLanguage elements and attributes. If you use more than one language, you must also specify the language to use for the Shell user interface (Shell UI) by setting the ShellTransform attribute of the AddLanguage element. For a list of the language ID attributes in Office 2010, see Language identifiers and OptionState Id values in Office 2010.

    In this example, we set the default installation language and the Shell UI to match the operating system language, and specify that Setup install both English (en-us) and French (fr-fr). The syntax is as follows:

    <AddLanguage Id="match" ShellTransform="yes"/> <AddLanguage Id="en-us" /> <AddLanguage Id="fr-fr" />

  5. Save the Config.xml file.

Running Setup from the network installation point

The following procedure provides instructions for running Setup from the network installation point. Setup installs the product that resides in the network installation point and applies the customizations that you entered in the Setup customization .msp file and in the Config.xml file.

To run Setup from the network installation point

  1. To run Setup.exe from the root of the network installation point, click Start, click Run, and type the following at the command prompt:

    \\server\share\Office14\setup.exe

    If there are multiple Office products on the network installation point, Setup prompts you to select the product that you want to install. You can also identify the product to install by using the /config command-line option to specify the Config.xml file that resides in the core product folder for that product. For example, to install Office Professional Plus 2010, run the following command:

    \\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

    Setup installs the product associated with the Config.xml file that you specify without prompting you to select the product. For information about the /config setup command-line option, see /config [path] in Setup command-line options for Office 2010.

See Also

Concepts

Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Volume activation quick start guide for Office 2010
Customization overview for Office 2010
Create a network installation point for Office 2010
Office Customization Tool in Office 2010
Config.xml file in Office 2010
Customize Office 2010
64-bit editions of Office 2010


Deploy Office 2010 by using System Center Configuration Manager 2007

You can use Microsoft System Center Configuration Manager 2007 to deploy Microsoft Office 2010 in a medium- to large-sized organization. This article contains detailed technical guidance on the necessary processes and procedures.

System Center Configuration Manager 2007 is the solution to comprehensively assess, deploy, and update the servers, clients, and devices across physical, virtual, distributed, and mobile environments. This article contains detailed technical guidance for specifically deploying Office 2010.

Although this article describes the test network environment used for helping to describe the process of deploying Office 2010 by using Configuration Manager 2007, it does not provide information about how to set up the test network infrastructure, such as the Active Directory directory service, Microsoft SQL Server, and System Center Configuration Manager 2007. For resources on how to set up the test infrastructure, see Resources for deploying the infrastructure later in this article.

In this article:

  • Overview of the deployment process

  • Deploying Office 2010 in a test environment

  • Resources for deploying the infrastructure

Overview of the deployment process

Once you have the supporting infrastructure in place for Configuration Manager 2007, the process for deploying the Office Professional Plus 2010 involves creating and defining five primary areas:

  • Collections

  • Packages

  • Programs

  • Distribution points

  • Advertisements

Collections Collections are groups of Configuration Manager 2007 resources, such as users, user groups, or computers, against which a software deployment is targeted. For more information about collections, see Collections Overview (http://go.microsoft.com/fwlink/p/?LinkId=145870).

Packages A package is the set of installation source files that Configuration Manager 2007 manages and distributes for software deployment. Some of the information that is included within the package is the distribution points and programs. For more information about packages, see About Packages (http://go.microsoft.com/fwlink/p/?LinkId=145871).

Programs Programs are part of the package configuration in Configuration Manager 2007. They contain any command-line switches and additional parameters to be run from the designated package source files, such as Setup.exe. For more information about programs, see About Programs (http://go.microsoft.com/fwlink/p/?LinkId=145872).

Distribution points Distribution points are Configuration Manager 2007 site systems that store designated packages for deployment to Configuration Manager 2007 clients. When the Configuration Manager 2007 client receives and processes a relevant advertisement, the client then contacts a distribution point to download the package and start the installation process. For more information about distribution points, see About Distribution Points (http://go.microsoft.com/fwlink/p/?LinkId=145873).

Advertisements Advertisements tie packages and programs together with collections, which enables administrators to target software deployment of specific or customized applications to collections of computers or users. An advertisement specifies a package and program, and the collection to which it will be advertised or deployed. For more information about advertisements, see About Advertisements (http://go.microsoft.com/fwlink/p/?LinkId=145875).

Deploying Office 2010 in a test environment

This section provides an illustration and description of the test network environment for the Configuration Manager 2007 infrastructure. It also includes procedural steps for deploying Microsoft Office Professional Plus 2010 by using Configuration Manager 2007.

Network environment

The test network environment for this article is shown in the following illustration.

Configuration Manager test network environment

All of the servers (A, B, and C) are running Windows Server 2008 and are members of the same domain (CPANDL.COM), including the client computers (D), which are running Windows 7 Professional. The applications and roles that each server is running, and the fully qualified domain name (FQDN) for each client computer, are listed as follows:

  • A - Active Directory, DNS, DHCP <DC.CPANDL.COM>

  • B - Microsoft SQL Server 2008 <SQLSRV.CPANDL.COM>

  • C - Configuration Manager 2007 SP2 (management point, distribution point) <SCCM.CPANDL.COM>

  • D - Windows 7 Professional, Configuration Manager 2007 client <W7C01.CPANDL.COM>

Note:

In this simple test network environment, the site server is performing multiple site system roles (such as management point and distribution point) simultaneously. However, we do not recommend this configuration for production sites that have large numbers of resources.

Procedural steps for deploying Office 2010 by using Configuration Manager 2007

In this example deployment scenario, detailed information is provided to deploy Office Professional Plus 2010 in the previously defined Configuration Manager 2007 test environment. By following these steps, you can use Configuration Manager 2007 to deploy a silent installation of Office Professional Plus 2010, in which the users do not interact with the installation process. In this example, the first step is to create a customization file for the silent installation of Office Professional Plus 2010.

Note:

In a production environment to minimize the load on the network, you can use Configuration Manager 2007 to deploy (precache) the local installation source of Office Professional Plus 2010 separately, before you deploy Office. Precaching allows most of the installation activity to occur on the local computer instead of over the network. Precaching also allows you to coordinate the upgrade to the new version. You can distribute the local installation source to groups of users over time and then schedule a simultaneous installation throughout the organization without over-taxing the network. For more information, see Precache the local installation source for Office 2010.

Create a Setup customization file for Office 2010

In Office Professional Plus 2010, Setup controls the complete installation. This includes processes that Windows Installer handled in Office versions earlier than the 2007 Office system. Customizing the default behavior of Setup lets you control the process. In this example, you customize the installation for a silent installation of Office Professional Plus 2010.

The Office Customization Tool (OCT) is used to create a Setup customization file (.msp file). Setup applies this file when Office is installed on the computers.

Note:

It is also possible to use the Config.xml file to configure a silent installation of Office Professional Plus 2010. For more information about how to use Config.xml, see Configure a silent installation of Office 2010.

To customize the installation

  1. To customize Office Setup, use the command line setup.exe /admin to start the Office Customization Tool. In this example (using Configuration Manager 2007 to deploy the Office Professional Plus 2010), at a command prompt, run setup.exe /admin from the package source directory, \\SCCM\Office2010\Professional.

  2. To ensure that Office Professional Plus 2010 is silently installed, modify and configure the settings as follows:

    1. In the Licensing and user interface dialog box, set the Display Level to None, which will then enable the Suppress modal check box.

    2. Verify that the Completion notice and No Cancel options are not selected.

    3. Enter a valid 25-character volume license key in the Product Key box that is located under Licensing and user interface.

    4. Select the I accept the terms in the License Agreement check box.

  3. Save and name the newly created .msp file, and then put it in the \Updates folder for Office Professional Plus 2010 on the computer that contains the package source directory, which in this example is \\SCCM\Office2010\Professional\Updates\CustomFileOffice2010SilentInstall.MSP.

Caution:

During the initial installation of Office Professional Plus 2010 if there are multiple .msp files that are located in the Updates folder (the Setup customization file that was created by using the OCT), you need to ensure that the Setup customization file is the update applied at the beginning of the installation. This is performed by ensuring the desired .msp file is alphabetically first. In this example, if there were more than one .msp file, you would rename the file CustomFileOffice2010SilentInstall.MSP to 1_CustomFileOffice2010SilentInstall.MSP. For additional information about how to deploy updates during an initial installation of Office Professional Plus 2010, see Distribute product updates for the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkID=146924).

For additional information about how to customize the default behavior of Setup for Office Professional Plus 2010, see Customize Setup before installing Office 2010.

Create a collection

This section provides the details for using direct membership rules to create a collection in Configuration Manager 2007. This allows for selecting the computer resources of the targeted computers. For more information about the membership rules, including both query and direct, see About Membership Rules (http://go.microsoft.com/fwlink/p/?LinkId=145884).

To create a collection

  1. To create a collection, in the Configuration Manager Console, navigate to System Center Configuration Manager / Site Database / Computer Management / Collections.

  2. Right-click Collections, and then click New Collection. In the General dialog box of the New Collection Wizard, enter a name for the collection. In this example, it is named Target-Computers.

  3. In the Membership Rules dialog box, click the computer icon, which opens the Create Direct Membership Rule Wizard. Click Next.

  4. In the Search for Resources dialog box, click the Resource class drop-down menu and select System Resource. Then, click the Attribute name drop-down menu and select Name. In the Value field enter %, and then click Next.

  5. In the Collection Limiting dialog box, click the Browse button, select All Windows Workstation or Professional Systems, click OK, and then click Next.

  6. In the Select Resources dialog box, select the check box for each of the targeted computer resources. In this example, TestComputer01 and TestComputer02 were selected. Click Next. In the Finished dialog box, click Finish. In the Membership Rules dialog box of the New Collection Wizard, click Next.

  7. In the Advertisements dialog box, for now, do not assign an advertisement because it has not yet been created. Click Next. In the Security dialog box, accept the defaults, click Next, and then click Close.

The next step is to prepare the source directory for the package.

For more information about collections, see Collections in Configuration Manager (http://go.microsoft.com/fwlink/p/?LinkId=145886).

Prepare the package source directory

The package source folder contains all the files and subdirectories needed to run the programs in a package. In this example, the source directory is \\SCCM\Office2010\Professional, which contains a copy of the Office Professional Plus 2010 installation CD.

Note:

It is possible to reduce the size of the package file that is created by Configuration Manager 2007 by removing any additional files that are not needed (such as other programs within the Office suite that will not be deployed).

For information about multiple language deployments, see Customize deployment of language setup and Proofing Tools in Office 2010.

For more information about package source directories, see How to Set Up a Package Source Directory (http://go.microsoft.com/fwlink/p/?LinkId=145890).

Create a package for Office 2010

The next step is to create a package, which will contain the specified parameters for installing the program, in this case Office Professional Plus 2010, and the location from where the package will be distributed, known as the distribution point, to the managed Configuration Manager 2007 clients. In this example, the steps are provided for creating a package manually. Once the package is created, you will create a distribution point for the package and a program that contains the setup and installation parameters for Office Professional Plus 2010.

Note:

Information for creating a package is included in this article to illustrate the process. Nevertheless, you can import a package definition file such as one for the Office Professional Plus 2010, which is Office 2007 SMS package definition file (.sms) (http://go.microsoft.com/fwlink/p/?LinkId=145893). You can use these files to automatically create the package details. To do so, right-click Packages, click New, and then click Package From Definition. You can then browse to the folder that contains the package definition file and select the relevant .sms file.

To create a package

  1. To create a package, in the Configuration Manager Console, navigate to System Center Configuration Manager / Site Database / Computer Management / Software Distribution / Packages.

  2. Right-click Packages, point to New, and then click Package.

  3. In the General dialog box of the New Package Wizard, enter the Name, Version, Manufacturer, and Language. For example, Office, 2010, Microsoft, English (US).

  4. In the Data Source dialog box, select This package contains source files. Click the Set button, and then enter the path for the location of the source files in the Source directory field. For this example, select the source directory location of the local drive, such as C:\Office2010\Professional, which contains a copy of the Office Enterprise 2007 installation CD.

  5. Click OK, and then continue to click Next and accept the default settings in all of the following dialog boxes: Data Access, Distribution Settings, Reporting, and Security. In the Wizard Completed dialog box, click Close.

The package, in this example named Microsoft Office 2010 English (US), is now created. The next step is to create a Configuration Manager 2007 program, which will contain the setup and installation parameters for the Office Professional Plus 2010.

Create a program that has setup and install parameters for Office 2010

This example provides the steps to create a program for the deployment of a silent installation of Office Professional Plus 2010, where the users do not interact with the installation process.

To create a program for the package

  1. To create a program for the Office 2010 package, right-click Programs, point to New, and then click Program.

  2. In the General dialog box, enter a name for the package in the Name field, which in this example is named Office 2010 silent installation. In the Command line field, in this example type setup.exe. Because the customization file, CustomFileOffice2010SilentInstall.MSP, was put in the \Updates folder, a command-line option is not needed to reference its location. For more information, see Setup command-line options for Office 2010. In the Run field, click the drop-down menu, and then select Hidden. In the After running field, verify the default of No action required is selected. Click Next and accept the defaults in the Requirements dialog box.

  3. In the Environment dialog box, click the Program can run drop-down box and select Whether or not a user is logged on. This will enable Run with administrative rights for the Run mode. Leave the default for Drive mode to Runs with UNC name, and then click Next.

  4. In the Advanced dialog box, select the Suppress program notifications check box, and then click Next.

    Note:

    If you want users to be aware of the installation by way of a notification on their desktop computers, do not select Suppress program notifications.

  5. In the Windows Installer dialog box, click Import, and then browse to the directory that contains the EnterpriseWW.msi file, which in this example is \\SCCM\Office2010\Professional\ProPlus.WW\ProPlusWW.msi. After selecting the .msi file, the Windows Installer product code and Windows Installer file fields are populated with the corresponding information associated with the selected .msi file. Click Next, and accept the default values in the MOM Maintenance Mode dialog box.

  6. To view the Summary dialog box, click Next. To finish the process of creating the new program, click Next, which will then display the Wizard Completed dialog box. To exit from the New Program Wizard, click Close.

The next step is to select a distribution point for the package.

Select a distribution point

To use a server as a distribution point for providing packages to distribute packages to the client computers, you must first designate a site system as a distribution point. In this example, the single site server, named SCCM, was initially configured as both a management point and a distribution point.

To select a distribution point

  1. To select a distribution point for the newly created package Microsoft Office 2010 English (US), right-click Distribution Points, click New Distribution Points, click Next, and then click the check box for the distribution point (in this example, SCCM). Click Next.

  2. Upon completion of the New Distribution Points Wizard, click Close.

The next step is to advertise the package, Microsoft Office 2010 English (US), which now contains both the Configuration Manager 2007 distribution point and program information for deploying a silent installation of Office Professional Plus 2010. Before advertising the package, you should first verify that it was installed on the distribution point.

For more information about how to verify the status of a package, see How to View the Status of a Package (http://go.microsoft.com/fwlink/p/?LinkId=145898).

Create an advertisement of Office 2010 package

This example provides the steps to create an advertisement of the Office Professional Plus 2010 package.

To create an advertisement of the package

  1. To create an advertisement, right-click Advertisements, point to New, and then click Advertisement. In the General dialog box of the New Advertisement Wizard, in Name field, enter Office 2010. Click the Browse button for the Package field, and then click on the package that you want to advertise, which in this example is Microsoft Office 2010 English (US). Click OK. Click the Browse button for the Collection field, click on the collection, which in this example is Target-Computers, click OK, and then click Next.

  2. In the Schedule dialog box, enter the date and time in the Advertisement start time fields for when the advertisement will be available, and then click the asterisk button for Mandatory Assignments.

  3. In the Assignment Schedule dialog box, click the Schedule button, and then enter the same date and time that you previously entered in the Advertisement start time fields in the Schedule dialog box. To return to the Schedule dialog box, click OK.

  4. In the Schedule dialog box, select the check boxes for Enable Wake On LAN, Ignore maintenance windows when running program, and Allow system restart outside maintenance windows, and then click Next.

    Note:

    In your production environment, there might be policies in place that would require different selections than previously listed for the assignment schedule. For information about these options, see Advertisement Name Properties: Schedule Tab (http://go.microsoft.com/fwlink/p/?LinkId=145900).

  5. Accept the default values on the Distribution Points, Interaction, Security, and Summary dialog boxes. Upon successful completion of the New Advertisement Wizard, click Close in the Wizard Completed dialog box.

The package will now be advertised to the targeted collection and the silent installation of Office Professional Plus 2010 will begin.

For information about how to monitor the status of the advertisement, see How to View the Status of an Advertisement (http://go.microsoft.com/fwlink/p/?LinkId=145901).

Resources for deploying the infrastructure

This section includes resources to help you understand and configure an infrastructure to test the deployment of Office Professional Plus 2010 by using Configuration Manager 2007.

Active Directory, DNS, DHCP

  • Active Directory Domain Services for Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=145922)

  • Windows Server 2008 Step-by-Step Guide for DNS in Small Networks (http://go.microsoft.com/fwlink/p/?LinkId=145925)

  • DNS Server (http://go.microsoft.com/fwlink/p/?LinkId=145928)

  • DHCP Server (http://go.microsoft.com/fwlink/p/?LinkId=145931)

SQL Server 2008

  • Installing SQL Server 2008 (SQL Server Video) (http://go.microsoft.com/fwlink/p/?LinkId=145934)

  • SQL Server 2008 Security Overview for Database Administrators (http://go.microsoft.com/fwlink/p/?LinkId=145936)

System Center Configuration Manager 2007 SP2 (Management Point, Distribution Point)

  • System Center Configuration Manager (SCCM) 2007 POC Installation Guidelines (http://go.microsoft.com/fwlink/p/?LinkId=145938)

  • Configuration Manager Single Site Planning and Deployment (http://go.microsoft.com/fwlink/p/?LinkId=145939)

Windows Vista Enterprise, System Center Configuration Manager client

  • Planning and Deploying Clients for Configuration Manager 2007 (http://go.microsoft.com/fwlink/p/?LinkId=145941)

  • Setup reference for Office 2010

  • How to obtain a volume license key for enterprise editions of Office 2007 and Office 2003 (http://go.microsoft.com/fwlink/p/?LinkId=145948)


Deploy Office 2010 by using System Center Essentials 2010

Published: May 12, 2010

You can use Microsoft System Center Essentials 2010 to deploy Microsoft Office 2010 in a medium-sized organization. This article contains detailed technical guidance on the necessary processes.

System Center Essentials 2010 is an IT management solution that is designed for system administrators in medium-sized organizations that have up to 50 servers and 500 client computers. By using a unified console, IT administrators can easily secure, update, monitor, and track their entire IT environment. This article provides detailed technical guidance for specifically deploying Office 2010.

Although this article illustrates the test network environment used for helping to describe the process of deploying Office 2010 by using System Center Essentials 2010, it does not provide information about how to set up the test network infrastructure, such as the Active Directory directory service, Microsoft SQL Server, and System Center Essentials 2010. For resources on how to set up the test infrastructure, see Resources for deploying the infrastructure later in this article.

In this article:

  • Deploying Office 2010 in a test environment

  • Resources for deploying the infrastructure

Deploying Office 2010 in a test environment

This section provides an illustration and description of the test network environment for the System Center Essentials 2010 infrastructure. It also includes procedural steps for deploying Microsoft Office Professional 2010 by using System Center Essentials 2010.

Network environment

The test network environment for this article is shown in the following illustration.

System Center Essentials network diagram

All of the servers (A and B) are running Windows Server 2008 R2 and are members of the same domain (CPANDL.COM), including the client computers (C), which are running Windows 7 Professional. The applications and roles that each server is running, and the fully qualified domain name (FQDN) for each client computer, are listed as follows:

  • A - Active Directory, DNS, DHCP <DC.CPANDL.COM>

  • B - System Center Essentials 2010, SQL Server 2008 Enterprise Edition (SP1) <SCE.CPANDL.COM>

  • C - Windows 7 Professional, System Center Essentials 2010 client <W7C01.CPANDL.COM, W7C02.CPANDL.COM, and W7C03.CPANDL.COM>

Procedural steps for deploying Office 2010 by using System Center Essentials 2010

In this example deployment scenario, detailed information is provided to deploy Office Professional 2010 in the previously defined System Center Essentials 2010 test environment. By following these steps, you can use System Center Essentials 2010 to deploy a silent installation of Office 2010, in which the users do not interact with the installation process. In this example, the first step is to create a customization file for the silent installation of Office 2010.

Create a Setup customization file for Office 2010

The program file to create a setup customization file for Office 2010 is run from the source directory that contains a copy of all the files from the Office CD. In this example, the source files were copied to \\SCE\Office2010\Professional.

In Office 2010, Setup controls the complete installation. This includes processes that Windows Installer handled in Office versions earlier than the 2007 Office system. Customizing the default behavior of Setup lets you control the process. In this example, you customize the installation for a silent installation of Office 2010.

The Office Customization Tool (OCT) is used to create a Setup customization file (.msp file). Setup applies this file when Office is installed on the computers.

Note:

It is also possible to use the Config.xml file to configure a silent installation of Office 2010. For more information about how to use Config.xml, see Configure a silent installation of Office 2010.

To customize the installation

  1. To customize Office Setup, use the command line setup.exe /admin to start the Office Customization Tool. In this example (using System Center Essentials 2010 to deploy Office 2010), at a command prompt, run setup.exe /admin from the package source directory, \\SCE\Office2010\Professional.

  2. To ensure that Office 2010 is silently installed, modify and configure the settings as follows:

    1. In the Licensing and user interface dialog box, set the Display Level to None, which will then enable the Suppress modal check box.

    2. Verify that the Completion notice and No Cancel options are not selected.

    3. In this example, select the Enter another product key option located under Licensing and user interface, and then enter a valid Multiple Activation Key (MAK) key.

    4. Select the I accept the terms in the License Agreement check box.

  3. Save and name the newly created .msp file, and then put it in the \Updates folder for Office 2010 on the computer that contains the source files, which in this example is \\SCE\Office2010\Professional\Updates\CustomFileOffice2010SilentInstall.MSP.

Caution:

During the initial installation of Office 2010 if there are multiple .msp files that are located in the Updates folder (the Setup customization file that was created by using the OCT), you need to ensure that the Setup customization file is the update applied at the beginning of the installation. This is performed by ensuring the desired .msp file is alphabetically first. In this example, if there was more than one .msp file, you would rename the file CustomFileOffice2010SilentInstall.MSP to 1_CustomFileOffice2010SilentInstall.MSP.

The next step is to use System Center Essentials 2010 to create a computer group that contains the computers on which Office 2010 will be installed.

Create a computer group

To create a new computer group that contains individually selected computers

  1. In the System Center Essentials 2010 console, click Computers.

  2. In the Computer Groups pane, click Create a Computer Group.

  3. in the Criteria drop-down box, select Select from a list, and then choose the computers on which Office 2010 will be installed. In this example, the following computers were selected: W7C01.CPANDL.COM, W7C02.CPANDL.COM, and W7C03.CPANDL.COM

  4. In the Computer group name dialog box, enter a name for the new computer group, and then press ENTER. In this example, the name is Office 2010.

The next step is to create a new software deployment package of Office 2010 and then select the previously created group, Office 2010, for the computers on which Office 2010 will be installed.

Create and distribute a package for Office 2010

To create a software package

  1. In the System Center Essentials 2010 console, click Software. In the Software Packages pane, in the Tasks area, click Create new package to start the New Software Package Wizard.

  2. On the Setup File screen, select Deploy a package from a setup file requiring additional folders. In the Folder location: dialog box, click Browse and then select the directory that contains the Office 2010 source files, which in this example is C:\Office2010\Professional.

  3. In the Package setup file dialog box, click Browse, and then select the setup.exe file for Office 2010, which in this example is located in the C:\Office2010\Professional folder. Click Next.

  4. On the Package details screen in the Package name dialog box, enter a name for the package, which in this example is Office2010Pro. Then, in the Package Description dialog box, enter a descriptive name for the software package, which in this example is Office-2010-Professional-SCE-Package. Click Next.

  5. On the Target System Types screen, verify the default of No, this package is applicable to all my managed computers. is selected, and then click Next.

  6. On the Return Codes screen, accept the default return code of 0 (zero) to equal success, and then click Next.

  7. On the Install/Uninstall Parameters screen, select No, and then click Next.

  8. On the Summary screen, review the configured settings, and then click Finish.

    The progress bar for the software package creation will then appear.

  9. Once the package is created successfully, click Finish. The Add and Remove Approvals dialog box will appear, which will show a list of the available computer groups. Click the computer group of the computers on which Office 2010 will be installed, which in this example is Office 2010. Click OK.

  10. The Approval Progress dialog box will appear with the message, "Approvals have been successfully applied." Click Close.

Verify package deployment status

The approved package will then be deployed to the computers within the selected computer group based on the configured settings for the package and how Automatic Updates is configured on the managed computers. In this example, because there was not a specific deadline set for the software package, the package was not configured as optional, and Automatic Updates is enabled on the managed computers, the software package for Office 2010 installation to begin at the specified time for Automatic Updates to be installed, which uses a daily basis at 3:00 A.M. For more information, see About Software Deployment in System Center Essentials (http://go.microsoft.com/fwlink/p/?LinkId=169715).

In the Software Packages pane, select the software package, which in this example is Office2010Pro, to monitor the status. Upon completion of installing Office 2010, the status will be listed as Successful.

Resources for deploying the infrastructure

This section includes resources to help you understand and configure an infrastructure to test the deployment of Office 2010 by using System Center Essentials 2010.

System Center Essentials 2010

  • System Center Essentials 2010 Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=171015)

  • Microsoft System Center Essentials 2010 (http://go.microsoft.com/fwlink/p/?LinkId=177542)

Active Directory, DNS, DHCP

  • Active Directory Domain Services for Windows Server 2008 (http://go.microsoft.com/fwlink/p/?LinkId=145922)

  • Windows Server 2008 Step-by-Step Guide for DNS in Small Networks (http://go.microsoft.com/fwlink/p/?LinkId=145925)

  • DNS Server (http://go.microsoft.com/fwlink/p/?LinkId=145928)

  • DHCP Server (http://go.microsoft.com/fwlink/p/?LinkId=145931)

SQL Server 2008

  • Installing SQL Server 2008 (SQL Server Video) (http://go.microsoft.com/fwlink/p/?LinkId=145934)

  • White Paper: Security Overview for Database Administrators (http://go.microsoft.com/fwlink/p/?LinkId=145936)

Windows 7

Windows 7 Resources Tech Center (http://go.microsoft.com/fwlink/p/?LinkId=177541)


Deploy Office 2010 by using Group Policy computer startup scripts

Published: May 12, 2010

You can use Group Policy to assign computer startup scripts to deploy Microsoft Office 2010 by using the technical guidance in this article. You can write a script in any language that is supported by the client computer. Windows Script Host-supported languages, such as VBScript and Jscript, and command files, such as a batch file, are the most common.

Deploying Office 2010 in a test environment

This section provides an illustration and description of the test network environment for the Group Policy computer startup script infrastructure. It also includes procedural steps for deploying Microsoft Office Professional Plus 2010 by using a Group Policy computer startup script.

Network environment

The test network environment for this article is shown in the following illustration.

Test network for Group Policy startup script

All of the servers (A and B) are running Windows Server 2008 R2 and are members of the same domain (CPANDL.COM), including the client computers (C), which are running Windows 7 Professional and Windows Vista. The fully qualified domain name (FQDN) for each client computer, the applications and roles that each server is running, the organizational unit (OU) with included computers, and the Group Policy object (GPO) are listed as follows:

  • A - <DC.CPANDL.COM> Active Directory, DNS, DHCP, GPO-Office2010_GPO, OU-Office2010_OU, W7C01 and WVC02 are members of the OU, Office2010_OU

  • B - <FS.CPANDL.COM> File Services, file share-\\FS\Office2010SourceFiles (Read Only access), file share-\\FS\Office2010LogFiles (Read Write access)

  • C - <W7C01.CPANDL.COM and WVC02.CPANDL.COM> Windows 7 Professional and Windows Vista Enterprise

Important:

Ensure that Authenticated Users have Read access to the network share. In this example, the network share is \\FS\Office2010SourceFiles.

Note:

Office2010_GPO is linked to Office2010_OU. This allows for the settings of the GPO to be assigned to the computer objects that are contained within the OU. To link a GPO to an OU use the MMC snap-in Group Policy Management.

Before you customize and deploy Office 2010 in your production environment, we recommend that you read the following articles: Plan volume activation of Office 2010, Deploy volume activation of Office 2010, Customization overview for Office 2010, Create a network installation point for Office 2010, Office Customization Tool in Office 2010, Config.xml file in Office 2010, Customize Office 2010, and 64-bit editions of Office 2010.

Customize Setup for Office 2010

The program file to create a setup customization file for Office 2010 is run from the source directory that contains a copy of all the files from the Office installation CD. In this example, the source files were copied to \\FS\Office2010SourceFiles.

In Office 2010, Setup controls the complete installation. This includes processes that Windows Installer handled in Office versions earlier than the 2007 Office system. Customizing the default behavior of Setup lets you control the process. In this example, you use the Config.xml file to customize the installation for a silent installation of Office 2010 and the Office Customization Tool (OCT) to customize the installation of Office 2010 products, such as specifying the volume license key and selecting which applications from Microsoft Office to install. Setup applies the customizations from both the config.xml and .msp file (created by using the OCT) when Office is installed on the computers.

To specify silent installation options in Config.xml

To configure a silent installation (unattended installation) of an Office 2010 product that requires no user interaction, modify the Config.xml file for the product that you are installing and set the Display element's Level attribute to "none" (Display Level="none"), and then save the Config.xml file, as shown in the following procedure. The Display element specifies the level of user interface that Setup displays to users.

  1. Open the Config.xml file for the Office product, which in this example is Office Professional Plus 2010, that you are installing by using a text editor tool, such as Notepad. By default, the Config.xml file is located in the core products .WW folder, which in this example is \\FS\Office2010SourceFiles\ProPlus.WW.

  2. Locate the line that contains the Display element, as shown in the following example:

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

  3. Modify the Display element entry with the silent options that you want to use. Make sure that you remove the comment delimiters, "<!--" and "-->". For example, use the following syntax:

    <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

    These options will direct Setup to run silently, prevent prompting users to enter information, and prevent the installation from waiting for any user interaction. For more information about the syntax and Config.xml, see Display element in Config.xml file in Office 2010.

  4. Save the Config.xml file, which in this example is saved to \\FS\Office2010SourceFiles\ProPlus.WW.

To specify the volume license key and select which applications to install using the OCT

  1. To customize Office Setup, use the command line setup.exe /admin to start the Office Customization Tool. In this example, at a command prompt, run setup.exe /admin from the package source directory, \\FS\Office2010SourceFiles.

  2. In this example, to enter the volume license key and select which applications to install, modify and configure the settings as follows:

  3. Select the Enter another product key option located under Licensing and user interface, and then enter a valid Multiple Activation Key (MAK) key.

    Note:

    In this example, because the parameters for a silent installation were configured in the Config.xml file, it is not necessary to also configure them when using the OCT. This is because the customizations that you define in Config.xml take precedence over those in the customization file created by using the OCT.

  4. Select the Set feature installation option located under Features, and then select which applications to install. In this example, to speed up the installation process, only Microsoft Word was selected.

    For additional resources on some of the different parameters you can configure when you use the OCT, see Office Customization Tool in Office 2010, Configure feature installation states for Office 2010, and Configure user settings for Office 2010.

  5. Save and name the newly created .msp file, and then put it in the \Updates folder for Office 2010 on the computer that contains the source files, which in this example is \\FS\Office2010SourceFiles\Updates\Office2010ProPlus.MSP.

Caution:

Only one Setup customization .msp file per product in the Updates folder is supported. If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates, which are applied after the installation is complete, in the Updates folder. For more information, see Office Customization Tool in Office 2010

The next step is to configure the script on the domain controller, which in this example is DC.CPANDL.COM.

Configure script on domain controller

The process for configuring the script on the domain controller involves the following steps:

  1. Copy script to startup folder for GPO.

  2. Add script to GPO.

  3. Set maximum run time for startup script.

Warning:

Group Policy provides the ability to affect configurations across hundreds and even thousands of computers in an organization. Therefore, it is very important that you rigorously test all new Group Policy configurations or deployments in a test environment before you move them into your production environment. For detailed information about staging Group Policy deployments, see Staging Group Policy Deployments in the Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkID=182208&clcid=0x409).

Copy script to startup folder for GPO

This example includes a sample batch file script, which illustrates how to run Microsoft Office Setup.exe if the product is not already installed and log error or success to a centralized log file. The variables at the beginning of the script were modified for this test deployment scenario. For example, the product name of ProPlus with a prefix of Office14 and the paths for the Office source files, \\FS\Office2010SourceFiles, and log files, \\FS\Office2010LogFiles, were added. This sample script was then copied to Notepad and saved with the file name of Office2010StartupScript.bat.

Tip:

Although, in this example, we save the script file with a .bat file name extension it is also possible to save the file with a .cmd file name extension. This may be necessary if a policy that prohibits .bat files from running exists within your environment.

The script file is then saved on the domain controller to the default directory of the GPO for startup scripts, which in this example is C:\Windows\SYSVOL\sysvol\adatum.com\Policies\{GUID of GPO}\Machine\Scripts\Startup.

Note:

The GUID representing the GPO can be found in the MMC snap-in Group Policy Management Editor by right-clicking the GPO, which in this example is Office2010_GPO, and then clicking Properties. The GUID is listed in the Unique name field.

Copy Code
setlocal

REM *********************************************************************
REM Environment customization begins here. Modify variables below.
REM *********************************************************************

REM Get ProductName from the Office product's core Setup.xml file, and then add "office14." as a prefix.
set ProductName=Office14.PROPLUS

REM Set DeployServer to a network-accessible location containing the Office source files.
set DeployServer=\\FS\Office2010SourceFiles

REM Set ConfigFile to the configuration file to be used for deployment (required)
set ConfigFile=\\FS\Office2010SourceFiles\ProPlus.WW\config.xml

REM Set LogLocation to a central directory to collect log files.
set LogLocation=\\FS\Office2010LogFiles

REM *********************************************************************
REM Deployment code begins here. Do not modify anything below this line.
REM *********************************************************************

IF NOT "%ProgramFiles(x86)%"=="" (goto ARP64) else (goto ARP86)

REM Operating system is X64. Check for 32 bit Office in emulated Wow6432 uninstall key
:ARP64
reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432NODE\Microsoft\Windows\CurrentVersion\Uninstall\%ProductName%
if NOT %errorlevel%==1 (goto End)

REM Check for 32 and 64 bit versions of Office 2010 in regular uninstall key.(Office 64bit would also appear here on a 64bit OS)
:ARP86
reg query HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\%ProductName%
if %errorlevel%==1 (goto DeployOffice) else (goto End)

REM If 1 returned, the product was not found. Run setup here.
:DeployOffice
start /wait %DeployServer%\setup.exe /config %ConfigFile%
echo %date% %time% Setup ended with error code %errorlevel%. >> %LogLocation%\%computername%.txt

REM If 0 or other was returned, the product was found or another error occurred. Do nothing.
:End

Endlocal

Add script to GPO

To add the script to the GPO use the MMC snap-in Group Policy Management Editor and right-click Startup (GPO | Computer Configuration | Policies | Windows Settings | Scripts (Startup/Shutdown) | Startup), click Properties, Add, Browse and then highlight and select the script file, which in this example is Office2010StartupScript.bat.

Set maximum run time for startup script

By default, the system lets combined sets of scripts run for up to 600 seconds (10 minutes) only. Administrators can use a policy setting to adjust this interval to ensure the startup script completes running. The Maximum wait time for Group Policy scripts policy setting specifies how long the system waits for scripts applied by Group Policy to run. This setting limits the total time allowed for all logon, startup, and shutdown scripts applied by Group Policy to finish running. As with any Group Policy deployment, you must fully test your startup scripts in a staging environment before you deploy them to your production environment. Testing will help you determine the value to use for the Maximum wait time for Group Policy scripts policy for your particular network environment. Setting this value too low may cause the installation to terminate prematurely. There are factors that may affect this value, such as network speed, client computer hardware, and other scripts running on the client computer. By fully testing this policy setting, you can determine the appropriate value to use for your specific environment.

In this example scenario the value for the Maximum wait time for Group Policy scripts policy setting was set to 0, which directs the system to wait until the scripts have finished, regardless of how long they take.

To change the value of the Maximum wait time for Group Policy scripts policy of the GPO, which in this example is Office2010_GPO, use the MMC snap-in Group Policy Management Editor and double-click Maximum wait time for Group Policy scripts (GPO | Computer Configuration | Policies | Administrative Templates | System | Scripts).

After the computer startup script policy changes that have been made to the GPO are applied to the targeted computers, which in this example are W7C01.CPANDL.COM and WVC02.CPANDL.COM, then the computer startup script will execute by a computer startup. Instead of waiting for the policy refresh from the domain controller to take place on the client computers, you can issue the following command line, gpupdate /force, at a command prompt on the client computers. You can use the Resultant Set of Policy (RSoP) MMC snap-in to verify that the computer policy setting for the computer startup script is present on the client computer.

Verify computer startup script status

In this example, script logging information is written to computername.txt file and saved to the network share, \\FS\Office2010LogFiles. A return code of 0 in the log file indicates that the installation completed successfully. A return code of 3010 indicates that a restart is required. For more information about other error codes for Windows Installer processes for Office products, see Microsoft Knowledge Base article 290158: List of error codes and error messages for Windows Installer processes in Office 2003 products and Office XP products.

See Also

Concepts

Group Policy overview for Office 2010
Planning for Group Policy in Office 2010
Plan volume activation of Office 2010
Volume activation quick start guide for Office 2010

Other Resources

Group Policy Planning and Deployment Guide
Scripts Extension Technical Reference
Windows Script Host


Deploy Office 2010 by using Microsoft Application Virtualization

You can use Microsoft Application Virtualization to deploy Microsoft Office 2010 in a medium-sized organization. The detailed technical guidance and procedures in this article will help you with your deployment.

In this article:

  • Overview of Application Virtualization

  • Introduction to the deployment process

  • Deploy Office 2010 in a test environment

  • Resources to deploy the infrastructure

Overview of Application Virtualization

Microsoft Application Virtualization (App-V) is an enterprise-level application virtualization solution that enables you to deploy, update, and support applications as services in real time, on an as-needed basis. When you use App-V, you transform individual applications from locally installed products into centrally managed services. App-V is one of the six technologies that are part of the Microsoft Desktop Optimization Pack (MDOP) for volume customers.

Audience

The target audience for this article is IT professionals. These IT professionals could include network managers, consultants, and IT managers who work for or with a medium- to large-sized organization.

Prerequisites

Prior knowledge and experience will help users understand and apply the information in this article, specifically experience in the following areas:

  • Microsoft Visual C++ 2005 SP1 Redistributable Package

  • Application Virtualization

  • 2007 Microsoft Office system or Office 2010

Introduction to the deployment process

Once you have the supporting infrastructure in place for App-V, the process to deploy Microsoft Office Professional Plus 2010 involves creating and defining the following primary areas:

  • Sequencing packages

  • Publishing packages

  • Distribution Points

  • Application Virtualization Desktop Client

Packages A package is the set of installation source files that Microsoft Application Virtualization manages and distributes for software deployment.

Sequencing Sequencing is the process of creating an application package by using the Microsoft Application Virtualization Sequencer. In this process, an application is monitored, its shortcuts are configured, and a sequenced application package is created that contains the .osd, .sft, .sprj, and .ico files.

Publishing Publishing is the method of activating a software package on the server, to make it available for client computers or to deploy to users and groups.

Distribution Point A Distribution Point is the location that is enabled to stream a virtual application package to App-V clients.

Application Virtualization Desktop Client An Application Virtualization Desktop Client installs the necessary components so that the client computer can use virtual applications.

Deploy Office 2010 in a test environment

This section provides a diagram and description of the test network environment for a lightweight Application Virtualization infrastructure. It also includes procedural information about the steps to deploy Office Professional Plus 2010 by using Microsoft Application Virtualization. It does not cover extensive Office 2010 licensing explanations, generic App-V virtualization information, nor how App-V Office deployment compares to other Office deployment types.

Network for a lightweight AppV infrastructure

In this diagram, server (A), running Windows Server 2008, represents the Electronic Software Distribution (ESD) Server or App-V Management Server. The client computers (B, C) are running the same version of Windows. Client computer (B) is set up as the sequencing computer. Client computer (C) is the receiving computer for the virtualized application package.

Create a sequenced package for Office 2010

To create a sequenced application package for Office 2010, perform the following steps on the App-V Sequencer computer.

  1. Download Microsoft Office 2010 and place the installer on a temporary directory on the App-V Sequencer computer.

  2. Install the Deployment Kit from a command line and specify the path of the associated Windows Installer (.msi) file together with the appropriate licensing parameters for the environment.

    For example, type the following command, and then press ENTER:

    msiexec /i OffVirt.msi PROPLUS=1

    Note:

    You must install the version of the Deployment Kit that matches the operating system architecture of your computer.

  3. Open Windows Explorer, go to the Q:\ drive, and create an installation folder by using an 8.3 format, such as Temp123.xyz.

  4. Create a directory on the sequencer computer that includes the name of the application. You will save the output of the sequencer to this directory.

  5. To open Microsoft Application Virtualization Sequencer, from the Start menu, select All Programs, select Microsoft Application Virtualization, and then select Microsoft Application Virtualization Sequencer.

  6. Click Create Package.

  7. Create a name for the package.

  8. Install to the new directory (for example, Q:\Temp123.xyz), and then click OK.

  9. Click Begin Monitoring to monitor the installation phase.

  10. Start Setup.exe for Office 2010.

  11. At the Choose the installation that you want prompt, click Customize.

    Note:

    In the Office installation procedure, make sure that you select Install to hard disk drive if you want that feature installed.

  12. On the File Location tab, configure the path to match the installation directory that you selected in step 4

  13. Click Install.

  14. After installation has finished, check the virtual applications during the monitoring launch stage. From the Start menu, select Run.

  15. Enter the path of the executable virtual file to start the virtual application.

    For example, to start Microsoft Word, type:

    Q:\Temp123.xyz\Office14\WINWORD.EXE, and then click OK.

    Note:

    You must enter the actual path of the virtual application.

  16. Start the application to create the primary feature block.

  17. On the Applications page, click Next.

  18. Select and start the preferred applications to generate the primary feature block for each application.

    Note:

    We do not recommend starting Microsoft OneNote, Microsoft Outlook, and Microsoft SharePoint Workspace because of their customizable settings. As well, we do not recommend that you press F1 for help in this step.

  19. Click Next.

  20. After sequencing is finished, click Finish.

  21. To save the package, click Package, and then click Save As.

Publish a sequenced package for Office 2010

To publish a sequenced package for Office 2010, perform the following steps on the ESD Server or the App-V Management Server.

  1. Open the App-V Management Console.

  2. Start Administrative Tools, and then select Application-Virtualization Management Console.

  3. Expand server.net if it is necessary, and then select the Applications node.

  4. Right-click Applications, and then select Import Applications.

  5. Browse to D:\Content\..\, and then double-click the new *.sprj file.

  6. On the General page, click Next.

  7. Select Publish to User's Send to Menu, and then click Next.

  8. On the File Associations page, click Next.

  9. On the Access Permissions page, click Add, and then type the name of the application.

  10. In the Add/Edit User Group dialog box, navigate to the appropriate user group to access the application.

  11. Click OK, and then click Next.

  12. To complete the import wizard, click Finish.

Configure the client computer to run Office 2010

To configure the client computer to run Office 2010, follow these steps on the client computer.

  1. Install the Application Virtualization Desktop Client, if you have not already done so.

  2. Download the Deployment Kit, and extract the executable file (.exe).

  3. After you extract the executable file, an Offvirt.msi file is available.

  4. Open an elevated command prompt. (To open an elevated command prompt, click Start, right-click Command Prompt, and then click Run as administrator.)

  5. Browse the directory that contains the Offvirt.msi file that you extracted.

  6. At the command prompt, type the following command and then press ENTER:

    msiexec /i Offvirt.msi [licensing flags]

    Note:

    You must provide a correct licensing flag to correctly configure the Deployment Kit. Otherwise, functionality can be incorrect.

  7. Deploy the virtual Office package.

  8. To access the newly published application, log off the client computer, and then log on as a member of the user group to which the application was assigned during the publishing phase. The application will now be available to client computers at the designated shortcut locations.

Resources to deploy the infrastructure

The following resources can help you understand and configure an infrastructure to test the deployment of Office 2010 by using App-V.

  • Planning and Deployment Guide for the Application Virtualization System (http://go.microsoft.com/fwlink/p/?LinkID=156611&clcid=0x409)

  • SFTMIME Command Reference (http://go.microsoft.com/fwlink/p/?LinkID=186288&clcid=0x409)

See Also

Other Resources

Best Practices for the App-V Sequencer


Deploy Office 2010 by using Microsoft Deployment Toolkit 2010

Published: November 15, 2011

You can use Microsoft Deployment Toolkit (MDT) 2010 Update 1 to deploy Microsoft Office 2010 to multiple computers on a network, by following the instructions in this article. You can also use the MDT for installing Windows, applications, updates, and drivers.

Note:

This article describes the deployment of Office 2010 and related applications, if you require them. It is assumed that you have a computer that has MDT 2010 installed on the same network as the target computers to which you want to deploy Office 2010.

In this article:

  • Prerequisites

  • Create a deployment share

  • Add Office 2010 Professional Plus to the deployment share

  • Add other applications to the deployment share (optional)

  • Customize the Office 2010 Professional Plus image

  • Create an application bundle (optional)

  • Create a custom task sequence

  • Set the deployment rules

  • Configure Office 2010 for silent installation

  • Install Office 2010 by using LiteTouch.vbs

  • Create a deployment image and install Office 2010 from the image (optional)

Prerequisites

If you installed Windows by using MDT, you can skip this section. If you did not install Windows by using MDT, follow these steps before you attempt to deploy Office 2010 by using MDT 2010 Update 1:

  1. Install MDT 2010 Update 1.

    Download MDT 2010 Update 1 (32-bit or 64-bit) and the print-ready documentation that is available at Microsoft Deployment Toolkit (MDT) 2010 Update 1 (http://go.microsoft.com/fwlink/p/?LinkId=159061). Instructions about how to run the .msi file are included on the page.

  2. Install Windows Automated Installation Kit (Windows AIK) version 2.0.

    Download the Windows AIK at The Windows Automated Installation Kit (AIK) for Windows 7 (http://go.microsoft.com/fwlink/p/?LinkId=224463).

    For information about Windows AIK and how to install it, see Windows Automated Installation Kit (Windows AIK) User's Guide (http://go.microsoft.com/fwlink/p/?LinkId=232502).

  3. Install networking services, such as Domain Name System (DNS) and Dynamic Host Configuration Protocol (DHCP).

    For more information, see Domain Name System (http://go.microsoft.com/fwlink/p/?LinkId=232882) and Dynamic Host Configuration Protocol (http://go.microsoft.com/fwlink/p/?LinkId=232881).

Create a deployment share

Before you begin your Office 2010 deployment, you must create an MDT 2010 deployment share on the computer on which MDT 2010 is installed. The deployment share, which is created in the MDT Deployment Workbench, is the repository for applications, operating system images, language packs, device drivers, and other software deployed to target computers.

To create a deployment share:

  1. On the MDT 2010 computer, create a folder to use as a deployment share. For this article, the deployment share is C:\MDT_Office_Share.

  2. Click Start, click All Programs, click Microsoft Deployment Toolkit, and then click Deployment Workbench.

  3. In the Deployment Workbench console tree, under Deployment Workbench, right-click Deployment Shares, and then click New Deployment Share. The New Deployment Share Wizard opens to the Path page

  4. On the Path page, click Browse, In the Browse for folder dialog box, locate the folder C:\MDT_Office_Share, and then click OK. Click Next.

  5. On the Share page, type the share name MDT_Office_Share$, and then click Next.

  6. On the Descriptive Name page, click Next.

  7. On the Allow Image Capture page, click Next.

  8. On the Allow Admin Password page, click Next.

  9. On the Allow Product Key page, click Next.

  10. On the Summary page, click Next.

  11. The Progress page indicates that the share is being created. On the Confirmation page, click Finish. The New Deployment Share Wizard finishes, and the new deployment share, MDT Deployment Share (C:\MDT_Office_Share), appears under Deployment Shares in the Deployment Workbench console tree.

Add Office 2010 Professional Plus to the deployment share

To add the Office 2010 Professional Plus setup files to the deployment share:

  1. Under MDT Deployment Share (C:\MDT_Office_Share), right-click Applications and then click New Application. The New Application Wizard opens to the Application Type page.

  2. On the Application Type page, make sure that Application with source files is selected, and then click Next.

  3. On the Details page:

    1. Under Publisher, type the name of the application publisher (optional).

    2. Under Application Name, type a descriptive name for Office 2010 (required).

    3. Under Version, type the application version (optional).

    4. Under Language, type the application language (optional).

    5. Click Next.

  4. On the Source page:

    1. Click Browse. In the Browse for Folder dialog box, locate and select the folder that contains the Office 2010 setup files, and then click OK.

      Note:

      If you want to move the Office 2010 setup files instead of copying them, select the check box that is next to Move the files to the deployment share instead of copying them.

    2. Click Next.

  5. On the Destination page, accept or change the default destination folder (the deployment share folder that will contain the application source files) that was assigned by the wizard, and then click Next.

  6. On the Command Details page:

    1. Under Command line, type the command that you want to be run at the start of the application installation. For Office 2010, this would be setup.exe.

      Note:

      With setup.exe, you do not have to add the /admin parameter to invoke the Office Customization Tool (OCT), because there is a built-in UI dialog box for the OCT.

    2. Click Next.

  7. On the Summary page, click Next.

  8. The Progress page indicates that the share is being created. On the Confirmation page, click Finish. The New Application Wizard finishes, and the name for Office 2010 that you typed in the Application Name page is displayed in the Deployment Workbench details pane.

Add other applications to the deployment share (optional)

You can add other applications, such as Microsoft Project 2010 and Microsoft Visio 2010, and add-ins, such as PowerPivot, to the deployment share in the same manner that you added the Office 2010 suite.

  1. Under MDT Deployment Share (C:\MDT_Office_Share), right-click Applications and then click New Application. The New Application Wizard opens to the Application Type page.

  2. On the Application Type page, make sure that Application with source files is selected, and then click Next.

  3. On the Details page:

    1. Under Publisher, type the name of the application publisher (optional).

    2. Under Application Name, type a descriptive name for the application (required).

    3. Under Version, type the application version (optional).

    4. Under Language, type the application language (optional).

    5. Click Next.

  4. On the Source page:

    1. Click Browse. In the Browse for Folder dialog box, locate and select the folder that contains the setup files for the particular application, and then click OK.

      Note:

      If you want to move the setup files instead of copying them, select the check box that is next to Move the files to the deployment share instead of copying them.

    2. Click Next.

  5. On the Destination page, accept or change the default destination folder (the deployment share folder that will contain the application source files) that was assigned by the wizard, and then click Next.

  6. On the Command Details page:

    1. Under Command line, type the command that you want to be run at the start of the application installation. For Project 2010, this would be setup.exe. Certain add-ons, such as PowerPivot, require use of the Microsoft Installer and the msiexec.exe command. You can customize both setup.exe and msiexec.exe by using various switches and parameters that are assigned to each command. For more information about the switches and parameters, see Setup command-line switches for the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=227579) and Knowledge Base article 227091: Command-Line Switches for the Microsoft Windows Installer Tool (http://go.microsoft.com/fwlink/p/?LinkId=227578).

      Note:

      With setup.exe you do not have to add the /admin parameter to invoke the OCT, because there is a built-in dialog box for the OCT.

    2. Click Next.

  7. On the Summary page, click Next.

  8. The Progress page indicates that the share is being created. On the Confirmation page, click Finish. The New Application Wizard finishes, and the application name that you typed in the Application Name page appears in the Deployment Workbench details pane.

Customize the Office 2010 Professional Plus image

After Office 2010 is imported, you can customize items that are not called out specifically as Office 2010 items in the Help files of the Deployment Workbench.

  1. In the Deployment Workbench details pane, right-click the Office 2010 application name, and then click Properties.

  2. On the Office Products tab, in the Office products to install box, select ProPlus. You can then edit the Config.xml attributes that are displayed. You can also edit the Config.xml file directly by clicking Edit Config.xml.

  3. You can invoke the OCT by clicking Office Customization Tool. Configure the settings as required. After you complete the customizations, save the .msp file to the C:\MDT_Office_Share\Applications\<application name>\Updates folder.

Create an application bundle (optional)

If you added multiple applications to the deployment share, you can see them all by clicking Applications under MDT Deployment Share (C:\MDT_Office_Share). To make sure that certain applications are deployed ahead of other applications to account for any deployment dependencies, you can create an application bundle. The application bundle is a collection of all the applications that you added to the MDT. It enables you to easily customize the order in which the applications are deployed.

  1. Under MDT Deployment Share (C:\MDT_Office_Share), right-click Applications and then click New Application. The New Application Wizard opens to the Application Type page. Make sure that Application bundle is selected, and then click Next.

  2. On the Details page:

    1. Under Publisher, type the name of the application publisher (optional).

    2. Under Application Name, type a descriptive name for the application bundle (required).

    3. Under Version, type the application version (optional).

    4. Under Language, type the application language (optional).

    5. Click Next.

  3. On the Summary page, click Next. The Progress page, which appears next, indicates that the application bundle is being created.

  4. On the Confirmation page, click Finish. The New Application Wizard finishes, and the application bundle name that you typed in the Application Name page appears in the Deployment Workbench details pane.

  5. Right-click the application bundle name, click Properties, and then click the Dependencies tab. Here is where you can indicate the order in which the applications are to deploy.

  6. Click Add. The Select an item dialog box appears. To list an application on the Dependencies tab, highlight the application and then click OK.

    Important:

    Do not add the application bundle listing to the Dependencies tab.

  7. After all applications are listed on the Dependencies tab, make sure that they are in the order that you want by clicking Up and Down. When you are finished, click OK.

Create a custom task sequence

The next step is to create a custom task sequence that will not install an operating system. Create the task sequence as follows:

  1. Under MDT Deployment Share (C:\MDT_Office_Share), right-click Task Sequences and then click New Task Sequence.

  2. On the General Settings page:

    1. Under Task sequence ID, enter an ID (alpha or numeric characters or both).

    2. Under Task Sequence Name, enter a name.

    3. Click Next.

  3. On the Select Template page:

    1. In the task sequence pull-down menu, select Custom Task Sequence.

    2. Click Next.

  4. On the Summary page, click Next. The Progress page, which appears next, indicates that the task sequence is being created.

  5. On the Confirmation page, click Finish. The name of the custom task sequence appears in the Deployment Workbench details pane.

  6. Right-click the name of the custom task sequence, select Properties, and then select the Task Sequence tab.

  7. On the Properties tab, under Install Application select Install a single application. In Application to install, type the name of the application bundle.

  8. Click OK.

Set the deployment rules

Next, you must set the deployment rules for the deployment share. This updates the CustomSettings.ini file that is in the C:\MDT_Office_Share\Control folder. At minimum, you must set a rule that the deployment does not install an operating system. You can set additional rules if you want. The rules properties are described in the Toolkit Reference as part of the print-ready documentation that is available at Microsoft Deployment Toolkit (MDT) 2010 Update 1.

  1. Right-click MDT Deployment Share (C:\MDT_Office_Share) and select Properties.

  2. Click the Rules tab and in the [Default] section, set OSInstall=N to indicate that no operating system will be installed during this deployment.

  3. As required, update or include any additional rules that are described in the Toolkit Reference. For example, if you want to use an administrator password during deployment, set SkipAdminPassword=NO. When you are finished, click OK. Open C:\MDT_Office_Share\Control\CustomSettings.ini to confirm that the updates were made.

Configure Office 2010 for silent installation

It is recommended that you set up a silent installation. For this procedure, it is assumed that you are installing Office 2010 and no other applications.

  1. Under MDT Deployment Share (C:\MDT_Office_Share), right-click Applications, and then double-click the Office 2010 application in the details pane. The application properties dialog box appears.

  2. Click the Office Products tab. Select the Office products to install check box and select ProPlus from the pull-down menu.

  3. Select the Office languages check box and select the check boxes for the appropriate languages. Generally, this is en-us and any other languages that are set to be installed.

  4. Select the Product key check box and type a product key if you indicated in the rules that one is required.

    Important:

    The product key is displayed in clear text unless you set up an Office Customization Tool (OCT) configuration file (.msp) to obscure the value.

  5. Select the Customer name check box and type the name of the customer.

  6. Select the Display level check box and select Basic from the pull-down menu.

  7. Select the Accept EULA check box to accept the Microsoft Software License Terms.

  8. Click Apply to add your selections to the Config.xml file.

    • To further update the Config.xml file, click Edit Config.xml. When you are finished, save and exit the file. For more information about how to update the Config.xml file, see Config.xml file in Office 2010.

    • To update or create or update an MSP file through the OCT, click Office Customization Tool. For more information about how to use the OCT, see Office Customization Tool in Office 2010.

  9. Click the Details tab. Select the Standard application option and notice that the Quiet install command is updated to include the silent installation parameters. You are now ready to install Office 2010

Install Office 2010 by using LiteTouch.vbs

We recommend that you install Office 2010 by running the LIteTouch.vbs script, which is located in the C:\MDT_Office_Share\Scripts\ folder. This method works well for automating the deployment of Office 2010 to multiple computers.

  1. Go to C:\MDT_Office_Share\Scripts\ and double-click LiteTouch.vbs to start the installation process. The way that the process runs depends on the configuration that you have set up. For example, you are not prompted for an administrator password if you set the rule SkipAdminPassword=YES, and you are not prompted for a product key if you set the rule SkipProductKey=YES.

    Note:

    You can find the configuration files in the C:\MDT_Office_Share\Control\ folder.

  2. Observe the installation process indicator while the installation process continues silently and finishes. Office 2010 is now installed on the client computer.

Create a deployment image and install Office 2010 from the image (optional)

As an option, you can individually install Office 2010 on each client computer by using an ISO image file that is burned onto a DVD. If the client computer is a virtual machine (VM), you can also perform the installation by using the ISO image file directly.

  1. Expand MDT Deployment Share (C:\MDT_Office_Share), expand Advanced Configuration, right-click Media, and then select New Media. The New Media Wizard dialog box appears.

  2. In the Media path field, either type a path or click Browse to locate the path of the folder that will contain the media files.

  3. Click Next to see the Summary page, and then click Next to create the image. When the process is complete, click Finish.

  4. Under Advanced Configuration, click Media. In the details pane, right-click the image, which should be MEDIA001 if it is the first image created (otherwise select the listing that has the highest number), and select Properties. The MEDIA001 dialog box appears.

  5. Click the General tab. Under Platforms Supported and keep the check box selected for the boot image you want (either 32-bit or 64-bit). To create the ISO image file (LiteTouchMedia.iso), make sure that you select the Generate a Lite Touch bootable ISO image check box.

  6. Copy the rules from the CustomSettings.ini file in the C:\MDT_Office_Share\Control\ folder. Click the Rules tab in the MEDIA001 Properties dialog box and paste the copied rules over any existing rules. Click OK.

  7. In the details pane, right-click the image and select Update Media Content. When the update is complete, click Finish.

  8. Go to the media folder that you designated in step 2 and inspect the created files. You should find the ISO image file (LiteTouchMedia.iso) and a Content folder that contains the deployment files.

  9. Start the LiteTouchMedia.iso file from the client computer to install Office 2010.

    • If the client computer is a physical computer, create a physical DVD of the LiteTouchMedia.iso file.

    • If the client computer is a VM, start the VM directly from the LiteTouchMedia.iso file, or from a physical DVD of the LiteTouchMedia.iso file.

The following example shows installation of Office 2010 by using a physical DVD on a physical client computer.

  1. After starting Windows, load the DVD into the drive.

  2. When the DVD drive is visible in the drive list, right-click the drive and select AutoPlay to start the installation process. The custom task sequence starts the installation of Office 2010.
    Office 2010 is now installed on the client computer.

See Also

Other Resources

Microsoft Deployment Toolkit (MDT) 2010 Update 1
The Windows Automated Installation Kit (AIK) for Windows 7
Windows Automated Installation Kit (Windows AIK) User's Guide
Domain Name System
Dynamic Host Configuration Protocol
Config.xml file in Office 2010
Office Customization Tool in Office 2010


Deploy Office 2010 on a Remote Desktop Services-enabled computer

You can install Office 2010 on a Remote Desktop Services-enabled computer by following the procedures in this article. Remote Desktop Services, formerly Terminal Services, is a server role in Windows Server 2008 R2. It provides technologies that enable users to access session-based desktops, virtual machine-based desktops, or applications in the datacenter from both inside a corporate network and from the Internet.

In this article:

  • Install Office 2010 on a Remote Desktop Services-enabled computer

  • Perform a manual installation Office 2010

  • Perform an automated installation of Office 2010

Install Office 2010 on a Remote Desktop Services-enabled computer

You can install Office 2010 on a Remote Desktop Services-enabled computer in either of the following two ways:

  • Run the Setup program and manually step through the installation process

  • Automate the Setup program by using the customization (.msp) file, which you create with the Office Customization Tool (OCT).

Perform a manual installation Office 2010

Use the following procedure to manually install Office 2010 on a Remote Desktop Services-enabled computer. Make sure that Remote Desktop Services is already installed and that you run the Setup program from the Office 2010 installation CD or from a network installation point.

To manually install Office 2010

  1. Click Start, point to Settings, and then click Control Panel.
    For Windows 7, click Start, and then click Control Panel.

  2. Double-click Add or Remove Programs, and then click Add New Program. Click Next. A list of available programs is displayed.
    For Windows 7, under Programs, double-click Get programs. A list of available programs is displayed.

  3. Locate the Setup program (Setup.exe) for Office 2010. This can be on the Office 2010 installation CD or on a network installation point.

  4. Click setup.exe, and then click Open.

  5. On the Enter your Product Key page, type the product key, and then click Continue.

  6. On the Read the Microsoft Software License Terms page, click the I accept the terms of this agreement check box, and then click Continue.

  7. On the Choose the Installation you want page, click Customize.

  8. On the Install Options tab, click an application or feature and change the installation state to either Run from my computer or Not available.

  9. If you want to customize the other settings, click the File Location tab or the User Information tab, and then make the changes that you want.

  10. To start the installation, click Install Now.

  11. When the installation is complete, click Close to close the Setup program.

  12. On the After Installation page, click Next.

  13. On the Finish Admin Install page, click Finish.

Important:

You must perform the last two steps. These steps configure the Remote Desktop Services-enabled computer for execute mode.

Perform an automated installation of Office 2010

The automated installation is a two part process. First, you must configure the Remote Desktop Services-enabled computer for install mode. Then, you must configure it for execute mode. Before you start, make sure that you have created a Setup customization (.msp) file and that you have configured the installation states for features and applications as recommended in the article Plan to deploy Office 2010 in a Remote Desktop Services environment. Run the Setup program from a network installation point that you have already created.

To configure the Remote Desktop Services-enabled computer for install mode

  1. Click Start, click Run, type Cmd, and then click OK.

  2. At the command prompt, type the following command, and then press ENTER:

    Change user /install

  3. Run the automated installation exactly as you would on a client computer.

  4. When the automated installation is complete, configure the Remote Desktop Services-enabled computer for execute mode.

To configure the Remote Desktop Services-enabled computer for execute mode

  1. Click Start, click Run, type Cmd, and then click OK.

  2. At the command prompt, type the following command, and then press ENTER:

    Change user /execute

    Note:

    With Interactive Installations, by default, the user name field is populated with the currently logged-on user's information. This is also true for the user name that is set in the Config.xml file.

    Remote Desktop Services mirrors this registry key to HKLM\Software\Microsoft\WindowsNT\CurrentVersion\TerminalServer\Install\Software\Microsoft\Office\Common\UserInfo.

    New users then receive the defaults from the HKLM UserInfo key in their own user profiles. Because a user name already exists, any new Remote Desktop Services users are not prompted to input their own names, and instead they get the default user name of the administrator.

    To resolve this issue for new users in a current Remote Desktop Services deployment, the administrator of the computer that is running Remote Desktop Services should remove values from the registry key HKLM\Software\Microsoft\WindowsNT\CurrentVersion\TerminalServer\Install\Software\Microsoft\Office\Common\UserInfo.

To resolve the issue for all users in a current Remote Desktop Services deployment, the administrator of the computer that is running Remote Desktop Services should perform one of the following tasks:

  • During installation, select Customize, and then clear the user name and initial values.

  • Use a config.xml file that has the user name and initials set to empty values.

  • After installation, remove the values from the registry key HKLM\Software\Microsoft\WindowsNT\CurrentVersion\TerminalServer\Install\Software\Microsoft\Office\Common\UserInfo.

See Also

Other Resources

Whitepaper Release: Application Virtualization 4.5 for Terminal Services
Microsoft Knowledge Base article 983443: How to enable Office Professional Plus 2010 to run on a terminal server


Deploy Microsoft Silverlight with Office 2010

Microsoft Silverlight technology brings many Microsoft Office experiences to life with improved video, graphics, animations, and interactivity. We recommend that you install Microsoft Silverlight together with Microsoft Office 2010 to improve the user experience with Office 2010.

Silverlight enables a better online experience with Office.com, powers the Office 2010 interactive guides (available with Office 2010), improves the user experience of Microsoft SharePoint Server 2010, improves the performance of Office Web Companion applications, and helps with the process of uploading Office documents to cloud services. For more information about Silverlight, see the Microsoft Silverlight Web site (http://go.microsoft.com/fwlink/p/?LinkId=169258).

To deploy Silverlight together with Office 2010 in an enterprise environment, we recommend that you use a deployment and configuration management tool, such as Microsoft Systems Management Server 2003 or Microsoft System Center Configuration Manager 2007. This approach enables you to target specific users or systems, elevate user rights for installation, schedule the installation, specify user interaction levels, control restarts, and monitor and troubleshoot the deployment. Or, you can use one of the following methods to deploy Silverlight in an organization:

  • Windows Server Update Services (WSUS) 3.0 SP1 WSUS enables administrators to deploy Silverlight and manage the updates for Silverlight to computers that are running Windows 2000 with Service Pack 4, Windows Server 2003, Windows XP with Service Pack 2, Windows Server 2008, and Windows Vista or later versions of Windows operating systems through the Microsoft Update client.

  • Group Policy computer startup scripts This method can be used in an Active Directory directory service environment, in organizations that do not have a deployment and management tool such as System Center Configuration Manager 2007.

  • Manual install options This method can be useful in organizations that do not have an Active Directory environment, or WSUS, SMS, or System Center Configuration Manager 2007 infrastructure and use a separate means for software or updates distribution in the company, or want to deploy Silverlight to Apple clients.

For more information about system requirements, deployment methods, and instructions for Silverlight deployment, see Silverlight Deployment Guide v2 (http://go.microsoft.com/fwlink/p/?LinkId=165403) and Silverlight Administration (http://go.microsoft.com/fwlink/p/?LinkId=165405). You can download all versions of Silverlight from the Get Microsoft Silverlight Web site (http://go.microsoft.com/fwlink/p/?LinkId=186985).

As with any deployment, we recommend that you fully test your Silverlight deployment and conduct pilot tests with small groups of users before you deploy Silverlight to users in the production environment. For more information about how to test your deployment, see Silverlight Deployment Guide v2 (http://go.microsoft.com/fwlink/p/?LinkId=165403).


Maintaining and updating Office 2010

After you install Microsoft Office 2010, you can apply updates and manage user configurations. The articles that are listed in the following table will help you perform those tasks.

In this documentation

Article | Description
Best practices for maintaining Office 2010 | Explains how to use the Office Customization Tool, Config.xml file, and Setup command-lines to maintain and customize an Office 2010 installation.
Apply updates for Office 2010 | Provides information about how to apply updates to Office 2010.
Manage users' configurations for Office 2010 | Provides information about how to make changes to an existing installation of Office 2010.
Migrate an Office 2010 KMS host | Provides information about how to migrate an Office 2010 Key Management Service (KMS) host to a different server.


Best practices for maintaining Office 2010

You can maintain and customize a Microsoft Office 2010 installation by using any of the methods that are described in this article.

Office 2010 provides the following methods for customizing and maintaining Office installations:

  • Config.xml The Config.xml file is used to configure installation tasks. If you are using both a Setup customization .msp file and a Config.xml file to customize Office, the customizations that you define in Config.xml take precedence over those in the customization .msp file. You can use the Config.xml to configure options such as the following:

    • Specify the path of the network installation point.

    • Select the products to install.

    • Customize Setup options. These include logging and the location of the Setup customization file and software updates.

    • Specify installation options, such as user and company name.

    • Copy the local installation source (LIS) to the user's computer without installing Office.

    • Add or remove languages from the installation.

  • Office Customization Tool The Office Customization Tool (OCT) is part of the Setup program and is the primary tool for most customizations. The OCT saves customizations in a Setup customization (.msp) file, which is applied at either Setup time or during a Maintenance Mode operation. The OCT is used to customize the following areas:

    • Setup, which is used to specify default installation location and default organization name, additional network installation sources, product key, license terms, display level, earlier versions of Office to remove, custom programs to run during installation, security settings, and Setup properties.

    • Features, which is used to configure user settings and specify which Office features are installed.

    • Additional content, which is used to add or remove files, add or remove registry entries, and configure shortcuts.

    • Outlook, which is used to customize a user's default Outlook profile; specify Exchange settings; add, modify, or remove accounts; export settings; and specify Send\Receive groups.

  • Setup command-line options Setup.exe command-line options can also be used for maintenance, repair, and uninstall operations. However, the Setup.exe command-line options are limited. You can use the OCT to configure Setup properties and configure other customizations.

In this article:

  • Using the Config.xml file for maintenance

  • Using the Office Customization Tool for maintenance

  • Using Setup command-line options for maintenance

Using the Config.xml file for maintenance

The Config.xml file is not installed or cached on users' computers. It is used only while Setup runs. Administrators can edit the Config.xml file to make additional customizations to the installation. By default, the Config.xml file that is stored in the core product folder directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

Use /config on the Setup command line to point to the location of the default Config.xml file for a product or to point to a custom Config.xml file. If you use /config for a product that is already installed, that indicates to Setup which product to modify. The /config command uses the following syntax:

/config [path]

For example, to run Setup.exe with the /config command, type:

\\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

where:

Office14 is the root of the network installation point.

You can use the Config.xml file for the following post-installation tasks:

  • Maintenance Mode operations (Add or Remove Features)

  • Repair

  • Removal

In this section:

  • Modify the Config.xml file

  • Configure different feature states in the Config.xml file

Modify the Config.xml file

The following procedure shows how to modify the Config.xml file for Office 2010 (Office Professional Plus 2010 in this example).

To Modify the Config.xml file

  1. Use Windows Explorer to browse to the \\server\share\Office_2010\ProfessionalPlus\ProPlusWW directory.

  2. Open the Config.xml file by using a text editor such as Notepad. To do this, right-click the Config.xml file, click Open With, and then select Notepad.

  3. Modify the Config.xml file, and save the file when you complete your customizations. The following sections provide examples of Config.xml file customizations.

    To configure Display Level to turn off the Setup user interface, hide error messages and other dialog boxes, and accept the Microsoft Software License Terms, locate the line in the Config.xml file that contains the Display element.

    Note:

    The license terms are called "Eula" in the AcceptEula attribute of the Display element.

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

    Make the Display modifications:

    <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

    Similarly, if you want to turn on verbose logging and store the log files in the AppInst folder, locate the line that contains the Logging element in the Config.xml file and make the following changes:

    <Logging Type="verbose" Path="%temp%\Log\AppInst\Office2010" Template="Microsoft Office 2010 Professional Plus Setup(*).txt" />

    To set a feature to be uninstalled, you can specify the OptionState element in the Config.xml file to uninstall the feature on the user's computer and set child features of the feature to the same specified state. This example uses Microsoft Access 2010. To uninstall Access 2010, locate the line that contains the OptionState element and make the following changes. Note that this is case-sensitive:

    <OptionState Id="ACCESSFiles" State="absent" Children="force" />

    The OptionState element of the Config.xml file provides options for specifying how individual product features are handled during installation. The value for the Id attribute of the OptionState element is located in the Setup.xml file in the product folder of the product that you are installing. For example, if you are installing Microsoft Office Professional Plus 2010, the file is ProPlus.WW\setup.xml. For more information about the OptionState Id values for the applications installed with Office Professional Plus 2010, see Config.xml file OptionState ID values for Office 2010. For more information about the Config.xml file, see Config.xml file in Office 2010.

Configure different feature states in the Config.xml file

If your Office 2010 deployment requires you to configure different feature states for multiple groups of users, you can use the OptionState element in the Config.xml file to specify the feature states. To do this, you can customize the Config.xml file for the Office product that you are deploying as shown in the following example. The example in this section works for Microsoft Office Professional Plus 2010 only. To use a different Office 2010 product, specify the productID that you want in the value for Configuration Product. For example, use "ProPlus" for the Office Professional Plus 2010 product.

ProductID values are included in the Setup.xml file, which is located in the core product folder (core_product_folder_name.WW folder, for example, ProPlus.WW) on the network installation point. In the Setup.xml file, [ProductID] is equal to the value of the Id attribute of the Setup element. For example, the Setup.xml file for Office Professional Plus 2010 contains the following line with Setup Id="ProPlus", where ProPlus is the ProductID:

<Setup Id="ProPlus" Type="Product" ProductCode="{90140000-0011-0000-0000-0000000FF1CE}">

Copy Code
<Configuration Product="ProPlus">
<OptionState Id="ACCESSFiles" State="absent" Children="force" /> <!-- Access -->
<OptionState Id="EXCELFiles" State="local" Children="force" /> <!-- Excel -->
<OptionState Id="OUTLOOKFiles" State="local" Children="force" /> <!-- Outlook -->
<OptionState Id="PPTFiles" State="local" Children="force" /> <!-- PowerPoint -->
<OptionState Id="PubPrimary" State="absent" Children="force" /> <!-- Publisher -->
<OptionState Id="SHAREDFiles" State="local" Children="force" /> <!-- Office Shared Features -->
<OptionState Id="TOOLSFiles" State="local" Children="force" /> <!-- Office Tools -->
<OptionState Id="VisioPreviewerFiles" State="local" Children="force" /> <!-- Visio Viewer -->
<OptionState Id="WORDFiles" State="local" Children="force" /> <!-- Word -->
<OptionState Id="XDOCSFiles" State="absent" Children="force" /> <!-- InfoPath -->
</Configuration>

Using the Office Customization Tool for maintenance

Administrators can run the OCT to change existing installations. To do this, use Windows Explorer to locate (use Browse) the existing Office installation that you want to modify, and then run Setup.exe /admin. You have the option of selecting an existing .msp file to update, or creating a new .msp file. You can save the new or updated .msp file to a custom directory and then you can use a Windows Installer command line to install the .msp patch.

In this section:

  • Prepare to deploy .msp customization files

  • Identify which products are installed

  • Modify an .msp customization file

  • Determine which Office 2010 products are updated by an OCT .msp customization file

  • Install the .msp customization patch

Prepare to deploy .msp customization files

When you work with .msp customization files, you should consider important issues that are related to deploying international languages, and .msp patch sequencing behavior.

Deploying additional languages

If you are deploying additional languages as part of your customizations, you must first copy all the Office 2010 Language Packs that you want to deploy to the network installation point that contains the Office product files as in the following example:

\\server\share\Office14

A static list of the products that are contained in the installation source is built only during the initial creation of a customization patch. If you add more languages to the installation source later, the existing customization patch is not updated to reflect such changes.

In Office 2010, if you create an initial Setup customization file (.msp file) to customize the installation (for example, for Microsoft Office Professional Plus 2010) and later decide to add languages, you can use the Import option in the OCT to apply the language changes. In such cases, you must first add the language packs to the network installation point that contains the Office product source files (Microsoft Office Professional Plus 2010 in this example). Then, you run the OCT from the root of the network installation point and create a new Setup customization file for the same product, and import the original customization .msp file that you created previously for Office Professional Plus 2010. For instructions, see Import languages to an existing installation in Import an Office 2010 Setup customization file.

For information about the products that a specific .msp Setup customization file updates, see Determine which Office 2010 products are updated by an OCT .msp customization file

Using the Updates folder

The Updates folder is used only for initial or new installations of Office 2010. The Updates folder can contain initial or baseline OCT .msp customization files, and service packs and hotfixes that are in .msp formats only.

Important:

You can put only one customization .msp file for each Office 2010 product that you are installing in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files for a product after the Office installation is complete. Only one Setup customization file per product in the Updates folder is supported.

If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates in the Updates folder. In scenarios such as this where the Updates folder includes both one Setup customization .msp file and product updates, Setup applies only the Setup customization .msp file during the initial installation. Product updates are applied after the installation is complete.

For initial installations, as an alternative to placing the setup customization .msp file in the Updates folder, you can use the Setup command-line option /adminfile to specify the fully qualified path of the setup customization .msp file. For example, type:

setup.exe /adminfile \\server\share\mychanges\custom.msp

Another option for initial installations is to use the SetupUpdates element in the Config.xml file, as shown in the following example:

<SetupUpdates CheckForSUpdates="Yes" SUpdateLocation="<path1>;<path2>"/>

where:

  • CheckForSUpdates="Yes" indicates that Setup uses the path list in SUpdateLocation to find Setup customization files.

  • SUpdateLocation lists the fully qualified paths to the folders that contain the Setup customization files, separated by semicolons. Note that you must not use environment variables in a path. If an environment variable is used in a path, Setup ignores update files that are located in the specified path location.

For more information about the SetupUpdates element, see Config.xml file in Office 2010.

Understanding .msp file sequencing behavior

Every time that you save a customization .msp file in the OCT, the tool updates the patch sequencing number of the customization file with the current computer date and time stamp and generates a new patch globally unique identifier (GUID). After initial installation, the OCT .msp files are applied chronologically according to their time stamp.

To illustrate the sequencing behavior, let us assume that you have created the following OCT .msp maintenance files:

  1. An OCT .msp file that is named "uninstall-access.msp" in which you set Microsoft Access to Not Available. This file is saved first so it has a lower patch sequence number and an older date and time stamp than other OCT customization .msp files that you create after that. This .msp file is sequenced first and the Microsoft Access feature is set to Not Available on users' computers.

  2. An OCT .msp file that is named "install-access.msp" in which you set Microsoft Access to Run All from My Computer. This file is saved last so it has a higher patch sequence number and a newer date and time stamp. This .msp file is sequenced later than the first OCT .msp file, "uninstall-access.msp"; therefore, the Microsoft Access feature is set to Run All from My Computer on users' computers.

Obtaining patch sequence information from an Office 2010 customization file

The customization .msp file's time stamp is part of the SummaryInfo patch title. To find the patch sequence information in an Office 2010 customization file, you can use the sample Microsoft Visual Basic script (.vbs) that is provided in this section to view the time stamp information. The time stamp represents the time in Coordinated Universal Time (UTC) and the format of the time is as follows: YYYY.MMDD.hhmm.sssss. For information about UTC, see GetSystemTime Function (http://go.microsoft.com/fwlink/p/?LinkId=127840) on the MSDN Web site.

To run the script, use Microsoft Windows Script Host (WSH), a language-independent scripting host for Windows Script-compatible scripting engines. WSH lets you run scripts from both the Windows desktop and a command prompt:

  • To run scripts from Windows, WScript.exe provides a Windows-based dialog box for setting script properties.

  • To run scripts from a command prompt, CScript.exe provides command-line switches for setting script properties.

WSH also provides drag-and-drop support for scripts. This means that you can drag files onto a WSH script. The file names are translated into arguments on the command line. For more information about WSH, see the following resources on the MSDN Web site:

  • Windows Script Host Basics (http://go.microsoft.com/fwlink/p/?LinkId=100317)

  • Running Your Scripts (http://go.microsoft.com/fwlink/p/?LinkId=100319).

To save the script sample, open a text editor such as Notepad, and copy and paste the script code in this section to a file. Save the script file as PatchSequenceInfo.vbs. You can store the script anywhere on your computer.

Copy Code
' Utility to show the patch sequence information of a patch
' For use with Windows Scripting Host, CScript.exe or WScript.exe
' Copyright (c) 2010, Microsoft Corporation. All rights reserved.

Const MSIOPENDATABASEMODE_PATCHFILE = 32

If Not wscript.arguments.count = 1 Then
    Wscript.Echo "Patch Sequence Number" & _
        vbNewLine & "You must supply the location of the Office customization patch " & _
        vbNewLine & _
        vbNewLine & "Copyright (c) 2010, Microsoft Corporation.  All rights reserved."
    Wscript.Quit 1
End If

sMsiPatchSequence = "PatchFamily" & Space(22) & "Sequence" & vbCrLf
Set Msi = CreateObject("WindowsInstaller.Installer")
On Error Resume Next
Set MspDb = Msi.OpenDatabase(wscript.arguments(0),MSIOPENDATABASEMODE_PATCHFILE)
Set qView = MspDb.OpenView("SELECT `PatchFamily`,`Sequence` FROM MsiPatchSequence")
If Not Err = 0 Then
    Wscript.Echo "Failed to read from .msp file: " & WScript.Arguments(0)
    Wscript.Quit 1
End If
On Error Goto 0
qView.Execute : Set Record = qView.Fetch()
If Not Record Is Nothing Then
    Do Until Record Is Nothing
        sMsiPatchSequence = sMsiPatchSequence & Record.StringData(1) & _
            Space(Abs(33 - Len(Record.StringData(1)))) & Record.StringData(2) & vbCrLf
        Set Record = qView.Fetch()
    Loop
End If

wscript.echo sMsiPatchSequence

To run the PatchSequenceInfo.vbs script

  1. In Windows Explorer, open the folder that contains the PatchSequenceInfo.vbs file.

  2. To run the script, drag the Office 2010 OCT .msp file that you want to use onto the PatchSequenceInfo.vbs script that is displayed in the Windows Explorer window.

    -or-

  3. Click Start, click Run, and then type cmd.

  4. In the Command Prompt window, type:

    cscript <script path>\PatchSequenceInfo.vbs <OCT .msp path and file name>

    -or-

    wscript <script path>\PatchSequenceInfo.vbs <OCT .msp path and file name>

    If you run the script with Cscript, the output is listed in the Command Prompt window. If you run the script by using Wscript, a message box that contains the output is displayed.

Identify which products are installed

To determine which Office 2010 products are installed in computers that are running Windows 7 and Windows Vista, use Programs and Features in Control Panel before you modify options for installed Office products. Then, when you run the OCT to modify an existing Office installation, you must select, from the list of products that are listed in the Select a Microsoft Office product dialog box, the same Office product as the one that is installed on the client computers.

For example, assume that the client computers have the Office Professional 2010 product installed and that you must make a configuration change to settings for Microsoft Outlook 2010 profiles. When you run the OCT to modify the .msp customization file, you must select the Office Professional 2010 product (which is the installed Office product) from the list in the Select a Microsoft Office product dialog box. Then, you can make your configuration changes. If you do not select the same product as the one that is installed in client computers, the updated .msp patch might not be installed and an error message such as the following might be displayed:

"The upgrade patch cannot be installed by the Windows Installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch."

Modify an .msp customization file

The following example shows how to modify an existing .msp file, and assumes that Office Professional 2010 is already installed.

To modify an .msp file

  1. From the root of the network installation point, run the following command line to start the Office Customization Tool: \\server\share\setup.exe /admin.

  2. In the Select Product dialog box, click Open an existing Setup customization file, and then click OK. Or click Create a new Setup customization file for the following product to create a new OCT maintenance patch from scratch.

  3. In the Open dialog box, select the .msp customization file that you want to modify, and then click Open.

  4. In the left pane of the OCT window, select an area of customization and configure the options available in the right pane. For example, to remove Access 2010 from the installation, select Set feature installation states in the left pane. In the right pane, expand Microsoft Office and change the installation option for Microsoft Access to Not Available.

  5. When you finish making your customizations, select Save As in the File menu.

  6. Specify a unique name for the file that has an .msp file name extension, and then click Save.

    You can save the .msp file to a custom folder. For example, save the file as NoAccess.msp to a folder in \\server\share\Office_2010\ProPlus\Patches.

For detailed information about the OCT, see Office Customization Tool in Office 2010.

Determine which Office 2010 products are updated by an OCT .msp customization file

Customizations that are made with the OCT are saved in a Setup customization file (.msp file) that uses Extensible Markup Language (XML) format. This section provides a sample Microsoft Visual Basic script (.vbs) that administrators can use to determine which products are updated by a given OCT .msp customization file.

To run the .vbs script, use Microsoft Windows Script Host (http://go.microsoft.com/fwlink/p/?LinkId=100317) either from the Windows desktop by using WScript.exe, at the command prompt by using CScript.exe, or by dragging the OCT .msp patch files onto the .vbs script.

To save the script sample, open a text editor such as Notepad, and copy and paste the script code in this section to a file. Save the script file as OctPatchTargets.vbs. You can store the script anywhere on your computer.

Copy Code
' Utility to list patch target information of an Office customization patch
' For use with Windows Scripting Host, CScript.exe or WScript.exe
' Copyright (c) 2010, Microsoft Corporation. All rights reserved.

Const MSIOPENDATABASEMODE_PATCHFILE = 32
Const PID_TEMPLATE                  =  7
Const MSIREADSTREAMBYTES            =  1

If Not wscript.arguments.count = 1 Then
    Wscript.Echo "Office OCT Patch Targets utility" & _
        vbNewLine & " You must supply the location of the Office customization patch " & _
        vbNewLine & _
        vbNewLine & "Copyright (c) 2010, Microsoft Corporation.  All rights reserved."
    Wscript.Quit 1
End If

Set Msi = CreateObject("WindowsInstaller.Installer")
Set XmlDoc = CreateObject("Microsoft.XMLDOM")
sOutput = "ProducCode                              Product" & vbCrLf

On Error Resume Next
Set MspDb = Msi.OpenDatabase(WScript.Arguments(0),MSIOPENDATABASEMODE_PATCHFILE)
Set View = MspDb.OpenView("SELECT * FROM _Streams WHERE `Name`='metadata' ")
If Not Err = 0 Then
    Wscript.Echo "Failed to read from OCT .msp file: " & WScript.Arguments(0)
    Wscript.Quit 1
End If
On Error Goto 0
View.Execute
Set Record = View.Fetch
If Not Record Is Nothing Then
    XmlDoc.LoadXml(Record.ReadStream(2, Record.DataSize(2), MSIREADSTREAMBYTES))
    Set Elements = XmlDoc.GetElementsByTagName("Property")
    arrMspTargets = Split(MspDb.SummaryInformation.Property(PID_TEMPLATE),";")
    For Each sTarget in arrMspTargets
        For Each Element in Elements
            If Element.getAttribute("value") = sTarget Then
                sOutput = sOutput & sTarget & vbTab & _
                    Element.parentNode.parentNode.attributes(0).value & vbCrLf
            End If
        Next
    Next
End If

WScript.Echo sOutput

To run the OctPatchTargets.vbs script

  1. In Windows Explorer, open the folder that contains the OctPatchTargets.vbs file.

  2. To run the script, drag the Office 2010 OCT .msp patch that you want to use onto the OctPatchTargets.vbs script that is displayed in the Windows Explorer window.

    -or-

  3. Click Start, click Run, and then type cmd.

  4. In the Command Prompt window, type:

    cscript <script path>\OctPatchTargets.vbs <OCT .msp path and file name>

    -or-

    wscript <script path>\OctPatchTargets.vbs <OCT .msp path and file name>

    If you run the script with Cscript, the output is listed in the Command Prompt window. If you run the script by using Wscript, a message box that contains the output is displayed.

Install the .msp customization patch

Maintenance OCT Setup customization .msp files (created after initial installation of Office 2010) are Windows Installer patch packages (.msp files) that you can apply to users' computers just as you would a software update. The Office installation is modified based on the customizations that you specify in the .msp file.

Users can apply maintenance Setup customization files by either double-clicking the .msp file or by running Msiexec.exe with the /p command-line option as shown in the following example:

msiexec.exe /p \\server\share\custom.msp

where:

  • /p applies a patch

  • \\server\share indicates the path of the shared folder that contains the .msp file

For information about Windows Installer, see the following resources on the MSDN Web site:

  • Standard Installer Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=111106)

  • Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=111127)

  • Windows Installer (http://go.microsoft.com/fwlink/p/?LinkId=111108)

Using Setup command-line options for maintenance

Administrators can run Setup in Maintenance Mode (MMode) by doing one of the following:

  • Running Setup.exe from the original installation source.

  • Running Setup.exe from the installed root folder for all the setup-specific files, as in the following example:

    "%commonprogramfiles%\Microsoft Shared\Office14\Office Setup Controller"

In this section:

  • Run Setup.exe in Maintenance Mode

  • Modify an existing installation

  • Repair an existing installation

  • Uninstall a product

Run Setup.exe in Maintenance Mode

You can run Setup.exe from the original installation source. Setup may be in a single product, multilanguage product, or in a multi-product share. Setup searches for multiple products that are present on the share before it displays any user interface. If Setup finds multiple products, the Select a Microsoft Office product dialog box is presented so you can select a product.

To run Setup, use the following command, indicating the path of the original installation source: \\server\share\Office14\setup.exe.

The following maintenance options are available:

  • Add/Remove Features. This option presents a window with the Language and Installation Options tabs and lets you change option states and the default language (if more than one language is installed). The Language tab indicates all the installed languages by using checked checkboxes. It also shows all available languages for the product with unchecked checkboxes, which indicate the languages have not yet been installed. Making your selections and pressing Continue commits the changes to the installation.

  • Repair. This option begins a reinstallation of the product, which includes verification, and repair if they are necessary, of the local installation source (LIS). Only a progress bar and completion notice are displayed.

  • Remove. This option displays a dialog box where you are prompted about removing the product. Selecting Yes completely removes the product and all associated language packs.

You can use Setup.exe command-line options to perform the following maintenance tasks:

  • Modify an existing installation

  • Repair an existing installation

  • Uninstall a product

Modify an existing installation

To run Setup.exe in maintenance mode to modify an existing Office installation, you can use the /modify command-line option, which uses the following syntax:

/modify [ProductID]

where:

[ProductID] is the value for the product that you want to modify. As mentioned previously, ProductID values are included in the Setup.xml file which is located in the core product folder (core_product_folder_name.WW folder, for example, ProPlus.WW) on the network installation point. In the Setup.xml file, [ProductID] is equal to the value of the Id attribute of the Setup element.

The following example shows how to modify an installation by using the /modify command. Office14 is the root of the network installation point:

\\server\share\Office14\setup.exe /modify ProPlus

Repair an existing installation

To run Setup.exe to repair an installed Office product, use the /repair command-line option which uses the following syntax:

/repair [ProductID]

where:

[ProductID] is the value for the product that you want to modify. Look up the value of [ProductID] in the Setup.xml file for the product.

The following example shows how to use the /repair command to repair an Office Professional Plus 2010 installation. Office14 is the root of the network installation point:

\\server\share\Office14\setup.exe /repair ProPlus

In enterprise deployments, we recommend that you run silent repair and uninstall operations to prevent prompting users to enter information, and to prevent the repair or uninstall process from waiting for any user interaction, even when files are being used.

To configure a silent repair of a Office 2010 product that requires no user interaction, you must modify the Config.xml file for the product and set the Display element's Level attribute to "none" (Display Level="none"), and then save the Config.xml file as SilentRepairConfig.xml, as shown in the following procedure.

To specify silent installation options in Config.xml

  1. Open the Config.xml file for the product that you are repairing by using a text editor tool such as Notepad.

  2. Locate the line that contains the Display element, as shown in the following example:

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

  3. Modify the Display element entry with the silent options that you want to use. For example, use the following syntax:

    <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

  4. Save the Config.xml file as SilentRepairConfig.xml.

For example, to repair Office Professional Plus 2010 after you modify the Config.xml file to specify silent options, use the following command where \\server\share\Office14\ProPlus is the path of the Office Professional Plus 2010 source files and <pathtoSilentRepairConfig.xml> is the location of your modified Config.xml file for Office Professional Plus:

\\server\share\Office14\ProPlus\setup.exe /repair ProPlus /config <pathtoSilentRepairConfig.xml>\SilentRepairConfig.xml

Uninstall a product

To run Setup.exe to remove a specified Office product from the user's computer, use the /uninstall command-line option, which uses the following syntax:

/uninstall [ProductID]

where:

[ProductID] is the value for the product that you want to modify. Look up the value of [ProductID] in the Setup.xml file for the product.

The following example shows how to use the /uninstall command to remove an Office Professional Plus 2010 installation. Office14 is the root of the network installation point:

\\server\share\Office14\setup.exe /uninstall ProPlus

In enterprise deployments, we recommend that you run a silent uninstall. To run a silent uninstallation of a Office 2010 product that requires no user interaction, you must modify the Config.xml file for the product that you want to uninstall and set the Display element's Level attribute to "none" (Display Level="none"), and then save the Config.xml file as UninstallConfig.xml.

For example, to uninstall Microsoft Visio Professional 2010 after you modify the Config.xml to set silent options, use the following command where \\server\share\Office14\VisPro is the path of the Visio Professional source files, and <pathtoUninstallConfig.xml> is the location of your modified Config.xml file for Visio Professional:

\\server\share\Office14\VisPro\setup.exe /uninstall VisPro /config <pathtoUninstallconfig.xml>\UninstallConfig.xml

For more information about Setup.exe commands, see Setup command-line options for Office 2010.

See Also

Concepts

Config.xml file in Office 2010
Office Customization Tool in Office 2010
Setup command-line options for Office 2010
Config.xml file OptionState ID values for Office 2010


Apply updates for Office 2010

Before you apply and distribute updates to Microsoft Office 2010 client software, read the articles that are listed in the following table.

Article | Description
Distribute product updates for Office 2010 | Describes software updates for Microsoft Office 2010 client software and provides information about how to distribute them.
Apply Office 2010 Service Pack 1 (SP1) | Describes the improvements in Office 2010 SP1, provides links to the SP1 update packages, and provides information about how to install the updates.
Microsoft Service Pack Uninstall Tool for Office 2010 | Describes the command-line tool for uninstalling service packs that is included in Office 2010 SP1.
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool | Provides information Group Policy and OCT settings, installing updated Group Policy settings, preventing conflicts with earlier versions of Group Policy settings, updating the OCT, and a list of files that are included in the download package.


Distribute product updates for Office 2010

Learn about the deployment methods that are used to deploy software updates for Microsoft Office 2010, Project 2010, and Visio 2010 clients.

In this article:

  • Windows Installer versions

  • Maintaining existing Office 2010 installations

  • Using enterprise deployment tools to deploy updates

  • Choosing an update strategy

After a new release of Microsoft Office, Microsoft makes available a series of software updates to help improve application security, performance, and reliability. Microsoft releases the kinds of software updates that are listed in the following table.

Update | Definition
Service pack | A tested, cumulative set of hotfixes, security updates, critical updates, and software updates. Service packs might also contain a limited number of customer-requested design changes or features. A service pack represents a new baseline version of the product.
Security update | A widely released fix for a product-specific, security-related vulnerability. Security-related vulnerabilities are rated based on their severity, which is indicated in the Microsoft security bulletin as critical, important, moderate, or low.
General update | A widely released fix for a specific problem that addresses a very important issue that is not security-related.
Hotfix | A single, cumulative package that is made up of one or more files that address a problem in a product. Hotfixes address a specific customer situation and might not be distributed outside the customer organization.

Software updates are released as full-file updates that replace all files that are modified by an update. Because complete files are installed, full-file updates typically do not require access to the original Office installation source. For information about the latest updates for Office 2010 and related products, see the Update Center for Microsoft Office, Office Servers, and Related Products (http://go.microsoft.com/fwlink/p/?LinkId=197069).

Note that service packs for Office products are available only as patches to the installed product. They are not integrated with the base Office system products.

Windows Installer versions

The minimum version of Windows Installer that is required for Office 2010 patch deployment is Windows Installer 3.1. Note that Windows Installer 4.5 was released with Windows Vista with Service Pack 2 (SP2) and Windows Server 2008 with Service Pack 2 (SP2). Windows Installer 5.0 was released with Windows Server 2008 R2 and Windows 7. For more information about Windows Installer, see the following resources on the MSDN Web site:

  • Windows Installer (http://go.microsoft.com/fwlink/p/?LinkId=111108)

  • Released versions of Windows Installer (http://go.microsoft.com/fwlink/p/?LinkID=201918)

  • Standard Installer Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=111106)

Maintaining existing Office 2010 installations

Deployment features in Office 2010 simplify the process of selecting an updating strategy. You distribute all updates directly to the client to ensure that your existing Office 2010 system installations have the latest software updates.

Users can apply multiple full-file updates directly to client computers. For example, a user can apply a full-file security update, followed by a full-file critical update, and so on. Full-file updates completely replace all files that are affected by the update. For example, you can send the full-file update if a user's local installation source is corrupted and the user does not have access to a source on the network. Users can apply the update in most cases, even if they do not have access to the source. Office 2010 Setup creates a local installation source on users' computers as part of the default installation process. Setup installs all Office 2010 products in a two-step process. Setup first copies the compressed installation source files to users' computers, and then Setup calls Windows Installer to perform the actual installation from the local installation source. After the installation, the local installation source remains available for any Setup maintenance operations that require access to the original source, such as applying software updates, for example.

Administrative rights are required to install Office 2010 and any subsequent product updates. This means that users must also be administrators of their computers, or you must be able to grant administrative privileges to users to perform the installation. For more information, see Deploy Office 2010 to users who are not administrators.

Note:

In Microsoft Office 2003, large organizations typically installed the product from an administrative installation point. Installing the product from a local installation source was optional. In Office 2010 and in the 2007 Office system, the administrative installation option does not exist. The local installation source is required. Because you apply all updates directly to clients, the network source remains unchanged. Client installations remain synchronized with the original source.

Distributing updates locally

Setup copies installation files to a hidden folder on the local computer when users install Office 2010. Windows Installer uses this local installation source to install Office at first and to repair and update Office later. For more information about the local installation source, see Setup architecture overview for Office 2010.

We recommend that you use a local update strategy in most cases, especially if you:

  • Distribute software updates to different groups of users or at different times.

  • Have network bandwidth limitations.

  • Support users who have limited or unreliable network access, for example, traveling users.

Because a local installation source is always available, offline users can perform any operation that requires access to the source.

Supported baselines

The original release of the Office 2010 represents the initial baseline of the product, and each successive service pack represents a new baseline.

Full-file updates are typically supported on the two most recent baselines. For example, you can deploy an update that is released after Office 2010 Service Pack 2 (SP2) becomes available to users who have updated to Service Pack 1 (SP1).

Note:

The previous baseline is supported for only 12 months after release of the latest service pack. For example, software updates are supported on SP1 for 12 months after Office 2010 SP2 is released. After the 12-month period, full-file updates target only client computers that are updated with SP2. For more information about the Microsoft Support Lifecycle, see Microsoft Support Lifecycle policy (http://go.microsoft.com/fwlink/p/?LinkId=108468).

Using enterprise deployment tools to deploy updates

You can use any of the following methods to distribute software updates to users in your enterprise environment:

  • Microsoft Update

  • Windows Server Update Services

  • System Center Configuration Manager 2007

  • Microsoft Self-Extractor files

  • Updates folder

    Note:

    The Updates folder method is used only for deployment of software updates when you are performing an initial installation of Office 2010.

Microsoft Update

Microsoft Update (Windows Update on computers that are running Windows 7, and Windows Vista and Windows Server 2008 families) allows users who connect directly to the Internet to manage their own computers and download the latest software updates. Users can set up an automatic schedule to periodically check for and retrieve updates. We recommend that users use Microsoft Update, which provides a centralized and automated software update solution for Microsoft products, including Windows and Microsoft Office. For more information about Microsoft Update, see Microsoft Update Home (http://go.microsoft.com/fwlink/p/?LinkId=201921).

In an Active Directory managed environment, you can control access to Office.com and Microsoft Update from Office applications by using the Disable commands under File tab | Help Group Policy setting. This setting is available in the User Configuration\Administrative Templates\Microsoft Office 2010\Disable Items in User Interface node in the Group Policy Object Editor Microsoft Management Console (MMC) snap-in.

If you enable the Disable commands under File tab | Help policy setting, you can decide to disable the following options (which are available in the user interface of Office 2010 applications by clicking the File tab, and selecting Help in the Microsoft Office Backstage view):

  • Contact Us: Launches the default client browser to Office.com for product support contact information.

  • Getting Started: Launches the default client browser to the Office.com website.

  • Check for Updates: Launches the default client browser to the Microsoft Update website.

The Disable commands under File tab | Help policy does not prevent users from searching the Microsoft Download Center for updates or from directly using the Microsoft Update site, which also provide Office software updates. For information about Group Policy and how to configure Group Policy settings, see Group Policy overview for Office 2010 and Use Group Policy to enforce Office 2010 settings.

Windows Server Update Services

Windows Server Update Services (WSUS) is a free tool that you can use to deploy the latest Microsoft product updates within your corporate network. WSUS connects to Microsoft Update to retrieve the latest software updates and synchronizes the updates with your corporate WSUS server. You can configure an automatic or manual synchronization. The primary WSUS server can be used to update other WSUS servers on the network.

For information about WSUS, see Windows Server Update Services 3.0 SP2 Step By Step Guide (http://go.microsoft.com/fwlink/p/?LinkID=199899).

System Center Configuration Manager 2007

System Center Configuration Manager 2007 is a software distribution tool that is designed for medium- and large-sized organizations that manage many clients in a complex and quickly changing business environment. In addition to using Configuration Manager 2007 to first deploy Office, you can use it to distribute product updates to a mixture of Microsoft Windows clients.

When you use Configuration Manager 2007 to maintain Office, you can set a precise control over the deployment process. For example, you can use Configuration Manager 2007 to query client computers for software requirements before you install Office, and you can target the installation to computers that meet your criteria.

For more information about Configuration Manager 2007, see System Center Configuration Manager 2007 (http://go.microsoft.com/fwlink/p/?LinkID=119683) and Deploy software updates (http://go.microsoft.com/fwlink/p/?LinkID=201489).

Microsoft Self-Extractor files

Microsoft Self-Extractor is used to combine software installation updates, patches, and hotfixes into self-extracting executable files called Microsoft Self-Extractor packages. Administrators can install these packages by double-clicking the .exe file or by running the .exe file at a command prompt. This deployment option is useful if you do not have Configuration Manager 2007 or WSUS.

You can use a switch to specify package deployment and logging options when you run the .exe file to install a package at the command prompt. You can also run the .exe file by using the Search box on the Start menu, or by clicking Start, and then clicking Run.

Note:

We recommend that you do not extract and run the .msp files from product patch .exe files. Incorrect application of the .msp files generates an error if the patch does not apply to the product that is installed on the computer. Also, the product might not be completely updated until all required .msp files are applied. The package contains detection logic to determine exactly which patches are applicable and to install only the patches that are needed.

However, if the update is being applied during the initial installation of Office, we recommend that the .msp files be extracted to the Updates folder for installation together with the Office product.

The Microsoft Office Hotfix Installer (Ohotfix.exe) that was used with previous versions of Office is not supported for Office 2010 (or the 2007 Office system). Office 2010 uses a new Microsoft Self-Extractor technology that is incompatible with Ohotfix.

For information about how to use the Updates folder for updates that are deployed with initial installations, see Deploying software updates with an initial Office 2010 installation.

The following sections provide information about how to use Microsoft Self extractor files:

  • Microsoft Self-Extractor command-line switches

  • Deploying all Microsoft Self-Extractor packages in a folder

  • Sample batch file

  • Sample script

Microsoft Self-Extractor command-line switches

To determine which switches are available for a package, use one of the following Help switches:

/?

/h

/help

The command-line switches that are supported by Microsoft Self-Extractor are listed in the following table.

Switch | Description
/extract:[path] | Extracts the content of the package to the path folder. If a path is not specified, a Browse dialog box appears.
/log:[path of log file] | Enables verbose logging for the update installation. You must also include the file name in addition to the path information. The command does not create a new folder. Therefore, you must use an existing folder name. In addition to the specified file name, a separate log file is created for each .MSI file that you run.
/lang:lcid | Sets the user interface to the specified locale when multiple locales are available in the package.
/quiet | Runs the package in silent mode.
/passive | Runs the update without requiring user interaction.
/norestart | Prevents prompts to the user when a restart of the computer is needed.
/forcerestart | Forces a restart of the computer when the update is complete.
/? /h /help | Displays a help message.

For more information about the command-line switches, see Microsoft Knowledge Base article 912203: Description of the command-line switches that are supported by a software installation package, an update package, or a hotfix package that was created by using Microsoft Self-Extractor (http://go.microsoft.com/fwlink/p/?LinkId=108354).

Deploying all Microsoft Self-Extractor packages in a folder

This section includes examples of a batch file and a Visual Basic script that can be used to deploy all the Microsoft Self-Extractor packages that are contained in a folder. The batch file and script code is written so that, if a single installation fails, succeeding installations are able to continue. Note that both the batch file and the script are intended as examples. You might have to configure them for your specific scenarios. As mentioned previously, the Microsoft Office Hotfix Installer tool, Ohotfix.exe, is not supported for Office 2010 updates.

Sample batch file

The following batch file first deletes an existing log file and then it installs all the Microsoft Self-Extractor files that are contained in the directory in which you have placed the batch file.

@echo off

del %temp%\oupdates.txt /q

for /f "delims=-; tokens=1,2,3,4,5" %%i in ('dir /b *kb*.exe') do echo %%j-%%i-%%k-%%l-%%m >> %temp%\oupdates.txt

for /f "delims=-; tokens=1,2,3,4,5" %%i in ('type %temp%\oupdates.txt') do %%j-%%i-%%k-%%l-%%m /log:%temp%\officeupdates.log /passive /norestart

Sample script

The following Visual Basic script provides functionality similar to the previous batch file. This script installs all Microsoft Self-Extractor files that are contained in the folder in which you place the script. The code specifies that the Microsoft Self-Extractor packages be installed silently, and enables logging so that the log files are generated in the user's %temp% temporary folder, for example, C:\Users\<username>\AppData\Local\Temp\<officeupdate>.log. These switches are not intended for executable (.exe) files other than Microsoft Self-Extractor files. Therefore, we recommend that you do not include other kinds of .exe files in the folder that contains the Self-Extractor files.

Dim wShell 'As WshShell

Dim fso 'As FileSystemObject

Dim f 'As File

Dim sLogName 'As String

Dim sPatchFolder 'As String

Dim sPatchCmd 'As String

Const kTempFolder = 2

On Error Resume Next

sPatchFolder = Replace(Wscript.ScriptFullName, Wscript.ScriptName, "")

Set fso = CreateObject("Scripting.FileSystemObject")

Set wShell = CreateObject("WScript.Shell")

For Each f In fso.GetFolder(sPatchFolder).Files

If UCase(Right(f.Name, 4)) = ".EXE" Then

sLogName = fso.GetSpecialFolder(kTempFolder) & "\" & Left(f.Name, Len(f.Name) - 3) & "log"

sPatchCmd = f.Path & " /quiet /norestart /log:" & sLogName

wShell.Run sPatchCmd, 0, True

End If

Next

If you are deploying software updates after an initial installation of the Office 2010 by using Microsoft Self-Extractor files, you can use a text editor, such as Notepad, to modify the Visual Basic script and batch file samples in this section to suit your specific requirements. Save the files after you complete customizations. You can then run the script or batch file to chain the installation of the new Microsoft Self-Extractor packages. In this case, the basic process is as described in the following procedure, which uses Update for Microsoft Office 2010 (KB2202188) 32-bit Edition (http://go.microsoft.com/fwlink/p/?LinkId=201488) as an example. The information applies to other Office updates also.

To deploy all the Microsoft Self-Extractor packages that are contained in a folder

  1. Download the software update file. For example, download the Update for Microsoft Office 2010 (KB2202188) 32-bit Edition (http://go.microsoft.com/fwlink/p/?LinkId=201488).

  2. Save the download .exe file (which is office-kb2202188-fullfile-x86-glb.exe in this example) to your hard disk drive in the same folder that contains the script or batch file that you are using to deploy the Microsoft Self-Extractor packages. For example, save the file to C:\Office2010Updates.

  3. Run the customized batch file or script (based on the samples in Deploying all Microsoft Self-Extractor packages in a folder) to install all the Microsoft Self-Extractor files that are contained in the C:\Office2010Updates folder.

For information about how to use the Updates folder to incorporate the installation of updates with an initial installation of the Office 2010 products, see Deploying software updates with an initial Office 2010 installation.

Updates folder

If you are deploying an initial installation of the Office 2010 and you also have to deploy Office 2010 software updates, such as service packs or hotfixes, Setup can apply them as part of the initial installation process. If you are installing Office 2010 after Office 2010 product updates have been released, we recommend that you store those updates in the Updates folder. You can store the updates for any Office-related products that reside in the installation point in the Updates folder. Only one Setup customization .msp patch in the Updates folder is supported. A Setup customization .msp patch is created by using the Office Customization Tool (OCT).

During the initial installation, Setup checks the Updates folder for patches (.msp files) that are relevant to the Office 2010 product that is being installed and applies only one Setup customization .msp file during the installation. Windows sort order is used to determine the order in which to install the first .msp file. The remaining product update files in the Updates folder are installed at the end of the installation. If you are installing a customization patch together with Office updates, you should change the file name of the customization patch to ensure that it is installed first. For example, change Custom.MSP to 1_Custom.MSP.

Setup identifies the customization .msp file that typically resides in the Updates folder during initial deployment. Setup detects customization patches at the beginning of the setup process and passes the patches directly to Microsoft Windows Installer as it installs the Windows Installer (MSI) files for the product. This ensures that the correct option states and other settings that are specified by the administrator are established before applying the product patches. As a result, users receive the latest updates together with Office.

Important:

The Updates folder can only be used to deploy software patches during an initial installation of Office 2010. If there is a combination of one Setup customization .msp patch and product update patches, only the Setup customization patch is applied during the deployment phase, and the product update patches are applied after the installation is finished. As noted previously, the Setup customization patch must be deployed first to ensure that modifications such as product key and quiet mode settings are applied.

You cannot use the Updates folder to deploy product updates after the initial installation of Office.

The following sections provide information about how to use the Updates folder:

  • Deploying software updates with an initial Office 2010 installation

  • Testing and verifying the Windows Installer (.msp) files

  • Modifying the Config.xml file to specify an alternative location for updates

  • SetupUpdates Syntax

  • Modifying the SetupUpdates element in Config.xml

Deploying software updates with an initial Office 2010 installation

Administrators can use the Updates folder to incorporate the installation of updates with an initial installation of the Office 2010 products. Only Windows Installer patch files that are contained in this folder are installed during the initial installation. Therefore, you must extract these patches from the Microsoft Self-Extractor package. You can also use this method to install customization patches.

If you use the Office Customization Tool to create a Setup customization patch, we recommend that you rename the customization patch file so that it is installed first. Setup.exe processes only one patch during installation. All other patches that are contained in the folder are chained at the end of the installation. You can rename the customization patch by adding a "1" at the beginning of the file name to ensure that it is processed first.

The following procedure uses Update for Microsoft Office 2010 (KB2202188) 32-bit Edition as an example. It shows how to install the update package (office-kb2202188-fullfile-x86-glb.exe in this example) and highlights the steps that are required to populate the Updates folder with the update patches. The information applies to other Office updates also.

Note:

The following procedure pertains only to initial installations of Office 2010. For information about how to deploy software updates after an initial installation of the Office 2010 by using Microsoft Self-Extractor files, see Deploying all Microsoft Self-Extractor packages in a folder.

To install software updates by using the Updates folder

  1. Copy the compressed Office 2010 CD image to a network location. For information, see Create a network installation point for Office 2010.

  2. Use the Office Customization Tool to make any necessary modifications to the installation. Save the Setup customization patch (.msp file) to the Updates folder. As noted previously, ensure that the file name begins with "1." For information about customizations, see Office Customization Tool in Office 2010 and Customize Office 2010.

  3. To modify the Config.xml file, use the Config.xml file that is located in the root of the product folder for the product that you are installing. Use a text editor such as Notepad to modify the file. For example, you can specify installation options (such as the path of the network installation point, the product to install, and custom setup options) and specify the languages to install. For information, see Config.xml file in Office 2010.

    When you complete the Config.xml customizations, save the Config.xml file. You can use the /config Setup command-line option to specify the location of the Config.xml file, as shown in the following example:

    \\server\share\setup.exe /config \\server\share\ProPlus.WW\config.xml

    where \\server\share is the network location that contains the Office 2010 source files.

  4. Download the Update for Microsoft Office 2010 (KB2202188) 32-bit Edition (http://go.microsoft.com/fwlink/p/?LinkId=201488).

  5. To extract the .msp patches from the Microsoft Self-Extractor file (office-kb2202188-fullfile-x86-glb.exe in this example), run the .exe file with the /Extract:[extract folder path] switch. For example, type the following at the command prompt:

    office-kb2202188-fullfile-x86-glb.exe /extract:"c:\ExtractFiles"

    This command begins to extract the .msp files. Prior to beginning the extraction process, Microsoft Software License Terms are displayed. After you accept the license terms, the files are extracted to the location that you specify (C:\ExtractFiles in this example). You do not have to use the quotation marks with the path. However, it does make it easier to read the command line. By using quotation marks, you can also avoid problems with paths that contain spaces.

  6. Copy the Windows Installer patch (.msp) files to the Updates folder.

  7. Repeat the process for any other Office 2010 update packages that you want to install. The Windows Installer patch file names are unique. Therefore, there should be no risk of a file being accidentally overwritten, which could cause a problem with the installation. If you are deploying the product is with additional language packs, the language pack service packs will be added to the Updates folder.

    After you complete the previous steps, you can deploy the product.

Note:

In some scenarios, customers may be unable to install updates by using the Microsoft Self-Extractor file. A generic error message that resembles the following may display: "The installation of this package failed." In such cases, customers can use the following method to install the updates.

To install a specific software update by using the .msp file

  1. To extract the .msp patches from the Microsoft Self-Extractor file (Office2010-kbxxxxxxx-fullfile-x86-glb.exe in this example), run the .exe file with the /extract:[extract folder path] switch. For example, type the following at the command prompt:

    Office2010-kbxxxxxxx-fullfile-x86-glb.exe /extract:"c:\UpdatesToInstall"

  2. Navigate to the UpdatesToInstall directory. Type the following at the command prompt:

    cd c:\updatestoinstall

  3. For each .msp file that is extracted in the C:\UpdatesToInstall folder, run the msiexec /update [update.msp] command. For example, type the following at the command prompt:

    msiexec.exe /update clview.msp /l*v "clview.log"

    After the .msp files are extracted, you can also double-click the .msp file to install the updates. However, double-clicking the .msp does not provide additional logging.

    Note that you can also install multiple .msp files at the same time by separating the file names with a semicolon (;). For example, type the following at the command prompt:

    msiexec.exe /update clview.msp;access.msp /l*v "updates.log"

Testing and verifying the Windows Installer (.msp) files

If you want to test updates and verify the list of .msp files before you copy them to the Updates folder on the Office 2010 network installation point, you can first install updates on a test computer, use a Visual Basic script to extract the .msp files to a target folder, and then copy the .msp files from the target folder to the Updates folder. This method is further described in the following procedure.

To extract the .msp files from a test computer and copy them to the Updates folder

  1. On the test computer, install all Office 2010 applications that will be installed on users' computers.

  2. Run Microsoft Update to apply all the necessary Office 2010 updates on the test computer.

  3. Verify that your applications are running as expected.

  4. Save the following Visual Basic script as "CollectUpdates.vbs." Then run it to extract the update files that are installed on the test computer to a target folder. The script uses %Temp%\Updates as the target folder, where %Temp% is the Windows temporary folder.

    Dim oMsi,oFso,oWShell

    Dim Patches,SumInfo

    Dim patch,record,msp

    Dim qView

    Dim sTargetFolder,sMessage

    Const OFFICEID = "000-0000000FF1CE}"

    Const PRODUCTCODE_EMPTY = ""

    Const MACHINESID = ""

    Const MSIINSTALLCONTEXT_MACHINE = 4

    Const MSIPATCHSTATE_APPLIED = 1

    Const MSIOPENDATABASEMODE_PATCHFILE = 32

    Const PID_SUBJECT = 3 'Displayname

    Const PID_TEMPLATES = 7 'PatchTargets

    Set oMsi = CreateObject("WindowsInstaller.Installer")

    Set oFso = CreateObject("Scripting.FileSystemObject")

    Set oWShell = CreateObject("Wscript.Shell")

    'Create the target folder

    sTargetFolder = oWShell.ExpandEnvironmentStrings("%TEMP%")&"\Updates"

    If Not oFso.FolderExists(sTargetFolder) Then oFso.CreateFolder sTargetFolder

    sMessage = "Patches are being copied to the %Temp%\Updates folder." & vbCrLf & "A Windows Explorer window will open after the script has run."

    oWShell.Popup sMessage,20,"Office Patch Collector"

    'Get all applied patches

    Set Patches = oMsi.PatchesEx(PRODUCTCODE_EMPTY,MACHINESID,MSIINSTALLCONTEXT_MACHINE,MSIPATCHSTATE_APPLIED)

    On Error Resume Next

    'Enum the patches

    For Each patch in Patches

       If Not Err = 0 Then Err.Clear

        'Connect to the patch file

        Set msp = oMsi.OpenDatabase(patch.PatchProperty("LocalPackage"),MSIOPENDATABASEMODE_PATCHFILE)

        Set SumInfo = msp.SummaryInformation

        If Err = 0 Then

            If InStr(SumInfo.Property(PID_TEMPLATES),OFFICEID)>0 Then

                'Get the original patch name

                Set qView = msp.OpenView("SELECT `Property`,`Value` FROM MsiPatchMetadata WHERE `Property`='StdPackageName'")

                qView.Execute : Set record = qView.Fetch()

                'Copy and rename the patch to the original file name

                oFso.CopyFile patch.PatchProperty("LocalPackage"),sTargetFolder&"\"&record.StringData(2),TRUE

            End If

        End If 'Err = 0

    Next 'patch

    oWShell.Run "explorer /e,"&chr(34)&sTargetFolder&chr(34)

  5. Verify that all needed .msp files are in the target folder (%Temp%\Updates).

  6. Copy all .msp files from %Temp%\Updates on the test computer to the Updates folder on the Office 2010 network installation point.

Modifying the Config.xml file to specify an alternative location for updates

Administrators can direct Setup to look for updates in a folder other than the Updates folder by using the SetupUpdates element in the Config.xml file.

SetupUpdates Syntax

SetupUpdates in Config.xml uses the following syntax:

<SetupUpdates [CheckForSUpdates="Yes" | "No"] [SUpdateLocation="path-list"]/>

The SetupUpdates attributes are listed in the following table.

Attribute Description

CheckForSUpdates

Setup uses the path list in SUpdateLocation to find Setup customization files. The default value is Yes.

If the value is set to No, Setup does not search for Setup customization files by using the path list in SUpdateLocation.

SupdateLocation="path-list"

Specifies a list of fully qualified paths to folders, separated by semicolons.

Setup looks in all the specified folders for Setup customization files that were created for the product that is being installed, and applies them in alphabetical order, by file name. If a Setup customization file is specified on the Setup command line, that file is applied first, followed by any files that were found in the folder that was specified by the SetupUpdates element.

Customization files are product-specific. Setup applies only those files that are relevant to the product being installed. However, if you store more than one customization file for the same product in the Updates folder, Setup applies all files to the user's configuration in alphabetical order.

Modifying the SetupUpdates element in Config.xml

Administrators can modify the SetupUpdates element in the Config.xml to specify an alternative location for updates.

To modify the SetupUpdates element in Config.xml

  1. Open the Config.xml file in a text editor tool, such as Notepad.

  2. Enter the options that you want to use for the SetupUpdates element, as shown in the following syntax example:

    <SetupUpdates CheckForSUpdates="Yes" SUpdateLocation="\\server1\share;\\server2\share" />

    In this case, path-list lists the fully qualified paths to folders, separated by semicolons ("\\server1\share;\\server2\share").

  3. Save the Config.xml file in the same folder that contained this file before you edited it.

For more information about the SetupUpdates element of the Config.xml file, see SetupUpdates element in Config.xml file in Office 2010.

Choosing an update strategy

Use the criteria in the following table to help determine the recommended software update solution for your organization.

Customer type Need Recommended solutions

Large enterprise

Advanced software update management

System Center Configuration Manager 2007

Updates folder (only for initial installations)

Note:

If the customization is different for different groups of users, you might want to select a different location for the .msp files.

Distribution of Microsoft Updates only

Windows Server Update Services

Medium enterprise

Advanced software update management

System Center Configuration Manager 2007

Updates folder (only for initial installations)

Note:

If the customization is different for different groups of users, you might want to select a different location for the .msp files.

Distribution of Microsoft Updates only

Windows Server Update Services

Small business

Distribution of Microsoft Updates in environments that have at least one Windows-based computer and one IT administrator

Windows Server Update Services

All other scenarios

Microsoft Update

Microsoft Self-Extractor files

Updates folder (only for initial installations)

Note:

The Updates folder is only applicable for .msp files.

Consumer

All scenarios

Microsoft Update

See Also

Concepts

Setup architecture overview for Office 2010
Deploy Office 2010 by using System Center Configuration Manager 2007
Config.xml file in Office 2010
Office Customization Tool in Office 2010
Error codes for Office 2010 update packages


Apply Office 2010 Service Pack 1 (SP1)

Updated: July 30, 2013

The Microsoft Office 2010 Service Pack 1 (SP1) updates provide increased stability, performance, and security for Office 2010 programs. This service pack also includes fixes that were previously released as separate updates (sometimes called patches).

Important:

Office 2010 Service Pack 2 (SP2) is now available. To download SP2, see KB 2687455, Description of Office 2010 SP2.

The Office 2010 SP1 update is supported on the following Microsoft operating systems:

  • Windows XP with Service Pack 3 (SP3) (32-bit)

  • Windows Vista with SP1 (32-bit or 64-bit)

  • Windows Server 2003 R2 (32-bit or 64-bit) with MSXML 6.0 installed

  • Windows Server 2008 or later versions (32-bit or 64-bit)

  • Windows 7 (32-bit or 64-bit).

In this article:

  • Improvements in Office 2010 SP1

  • Office 2010 SP1 updates list

  • Updating Office 2010

Improvements in Office 2010 SP1

Detailed improvements in Office 2010 SP1 are described in the Knowledge Base (KB) articles that are listed in the Office 2010 SP1 updates list. Improvement highlights consist of the following:

  • The "Snooze Time" feature in Microsoft Outlook now resets between appointments.

  • The new default behavior for the "Use Presenter View" option in Microsoft PowerPoint is to display the slide show on the secondary monitor.

  • The community content in the Microsoft Access Application Part Gallery is now integrated.

  • Browser support between Microsoft Project Server and Microsoft SharePoint Server is better aligned.

  • Backup / restore functionality for SharePoint Server is improved.

  • Word Web App now extends printing support to "Edit Mode."

  • Microsoft Project Professional now synchronizes scheduled tasks with SharePoint task lists.

  • Internet Explorer 9 "Native" support is now available for Office Web Apps and SharePoint products.

  • Office Web Apps support for Chrome has been added.

  • You can now use Excel Web App to insert charts into Excel workbooks.

  • Support is now available for searching PPSX files in Search Server.

  • In Microsoft Visio, scaling issues and arrowhead rendering errors that occur with SVG export have been fixed.

  • Proofing Tools improve spelling suggestions in Canadian English, French, Swedish, and European Portuguese.

  • Attachment Preview is now available in Outlook Web App (for Exchange Online only).

  • You can now uninstall Office client service packs by using Add or Remove Programs or Programs and Features in Control Panel. This builds on work from Office 2007 SP2. See The Microsoft Service Pack Uninstall Tool for the 2007 Microsoft Office Suite (http://go.microsoft.com/fwlink/p/?LinkId=144518).

  • Updated Administrative Template files and Office Customization Tool (OCT) settings are available as a separate download (http://go.microsoft.com/fwlink/p/?LinkId=189316). For more information, see the article Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool.

  • You can download a list of issues fixed by SP1 in the Office 2010 desktop applications (http://go.microsoft.com/fwlink/p/?LinkId=227209).

  • You can download a list of issues fixed by SP1 in SharePoint 2010 and the Office Server Applications (http://go.microsoft.com/fwlink/p/?LinkId=227210).

Office 2010 SP1 updates list

The following table lists the Office 2010 SP1 update packages. The first column in the table provides the names of the update packages and contains links to the updates on the Microsoft Download Center. The second column in the table provides the names of the associated Microsoft Knowledge Base (KB) articles and contains links to the articles that list all.msp files that are included in each update package. You can use this information to verify that you have all the .msp files that you need.

Important:

The .msi packages for the Office 2010 language packs always install all possible Office 2010 components. If you have installed multiple language versions of an Office 2010 application, you must install each language-specific update package for each installed language version.

SP1 update package | Description
Download Office 2010 SP1 (http://go.microsoft.com/fwlink/p/?LinkId=220084) | Description of Office 2010 SP1 (http://go.microsoft.com/fwlink/p/?LinkId=220085)
Microsoft Access Database Engine 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220191) | Description of Microsoft Access Database Engine 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220092)
Microsoft Access Runtime 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220192) | Description of Microsoft Access Runtime 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220095)
Microsoft PowerPoint 2010 Viewer Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220193) | Description of Microsoft PowerPoint 2010 Viewer Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220096)
Microsoft Project 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220194) | Description of Microsoft Project 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220097)
Microsoft SharePoint Designer 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220195) | Description of Microsoft SharePoint Designer 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220098)
Microsoft Visio 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220196) | Description of Microsoft Visio 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220099)
Microsoft Visio 2010 Viewer Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220197) | Description of Microsoft Visio 2010 Viewer Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220100)
Microsoft Office 2010 Filter Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220198) | Description of Microsoft Office 2010 Filter Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220101)
Microsoft Office 2010 Language Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220199) | Description of Microsoft Office 2010 Language Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220102)
Microsoft Office Language Interface Pack 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220200) | Description of Microsoft Office Language Interface Pack 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220103)
Microsoft Office 2010 Proofing Tools Kit Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220201) | Description of Microsoft Office 2010 Proofing Tools Kit Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220104)
Office Servers 2010 Language Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220202) | Description of Office Servers 2010 Language Pack Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220105)
Microsoft Office Web Apps Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220203) | Description of Microsoft Office Web Apps Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220106)
Microsoft Search Server 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220204) | Description of Microsoft Search Server 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220107)
Microsoft Groove Server 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220205) | Description of Microsoft Groove Server 2010 Service Pack 1 SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220108)
Microsoft Project Server 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220206) | Description of Microsoft Project Server 2010 Service Pack 1 (SP1) (http://go.microsoft.com/fwlink/p/?LinkId=220109)

For additional technical details about the Office 2010 SP1 updates, see the following Microsoft Knowledge Base (KB) articles:

  • KB 2532118: Technical details about the Microsoft Office 2010 Service Pack 1 (SP1) releases (http:// go.microsoft.com/fwlink/p/?LinkId=220086)

  • KB 2532120: Technical details about the Microsoft SharePoint 2010 and Office server Service Pack 1 (SP1) releases (http:// go.microsoft.com/fwlink/p/?LinkId=220087)

  • KB 2532126: Known issues that you may experience when you install Service Pack 1 (SP1) for Microsoft Office 2010, Microsoft SharePoint 2010, and the Office server products (http:// go.microsoft.com/fwlink/p/?LinkId=220088)

  • KB 2510690: List of all Microsoft Office 2010 Service Pack 1 (SP1) packages (http:// go.microsoft.com/fwlink/p/?LinkId=220089)

  • KB 2510766: List of all Microsoft SharePoint 2010 and Office server Service Pack 1 (SP1) packages (http:// go.microsoft.com/fwlink/p/?LinkId=220090)

Updating Office 2010

The Office 2010 programs are installed through multiple Microsoft Installer (.msi) packages. For more information, see Setup architecture overview for Office 2010.

Important:

If you are updating Office 2010 programs manually (for example, not using Microsoft Update), you must make sure that you apply every service pack update that is available for each installed Office 2010 program. Otherwise, detection tools, such as Microsoft Update, which you run later might indicate that a service pack is needed even though it is installed.

If update detection tools indicate that a service pack for the Office 2010 is needed even though it is installed, you must install any missing service pack updates for the installed Office 2010 programs. For example, if you are using the Updates folder to deploy updates in your initial Office 2010 program installations, and therefore extracting the .msp files from the updates to the Updates folder on the Office 2010 network installation point, you must make sure that all .msp files for the required service pack updates are included.

For information about how to test updates and verify the list of .msp files before you copy them to the Updates folder, see Testing and verifying the Windows Installer (.msp) files in Distribute product updates for Office 2010. For more information about how to use the Updates folder to deploy updates, see Updates folder in Distribute product updates for Office 2010.

See Also

Concepts

Distribute product updates for Office 2010
Microsoft Service Pack Uninstall Tool for Office 2010

Change History

Date | Description
July 30, 2013 | Added a link to Office 2010 Service Pack 2 (SP2).
May 16, 2012 | Initial publication


Microsoft Service Pack Uninstall Tool for Office 2010

The Microsoft Service Pack Uninstall Tool for the Office 2010 suites (or Office 2010 SP1 Uninstall Tool) allows administrators or advanced users to remove Service Pack 1 (SP1) for Office client products without uninstalling the complete product. This command line tool is included in Microsoft Office 2010 SP1. You can also uninstall Microsoft Office 2010 SP1 directly from Control Panel through Add or Remove Programs or Programs and Features.

In this article:

  • Overview

  • Command-line options

Overview

The 2010 SP Uninstall Tool is contained in a package called Office2010SPUninstall.exe, which is a self-extracting executable file. The tool itself is a single file that is named OARPMan.exe. No installation is required for the tool. The OARPMan.exe file, the Microsoft Software License Terms (previously known as End User Licensing Agreement or EULA), and the Readme.txt files are extracted to the location that users specify. Download the tool at The Microsoft Service Pack Uninstall Tool for Office 2010 (http://go.microsoft.com/fwlink/p/?LinkId=225562)

A release is a collection of updates. In this case, the release is Office 2010 SP1. The uninstall tool removes all updates that are in a specific release. It does not uninstall per update or per product. For example, if you have Microsoft Visio 2010 SP1, Microsoft SharePoint Designer 2010 SP1, and Office 2010 Professional SP1 installed on a computer, the tool uninstalls SP1 from all these products because they are part of the same release. Due to the complexity of shared files and shared Windows Installer packages (MSI files), there is no current support for per-product service pack uninstalls.

The Office 2010 SP Uninstall Tool provides the following capabilities:

  • Uninstalls client updates only. It does not uninstall server updates.

  • Uninstalls Office 2010 Service Pack updates only. It does not uninstall Office 2007 Service Pack updates. To uninstall the Office 2007 Service Pack, download the tool at The Microsoft Service Pack Uninstall Tool for the 2007 Microsoft Office Suite (http://go.microsoft.com/fwlink/p/?LinkId=144518).

  • When Office 2010 SP1 is removed, the user's computer returns to its previous state.

    For example, if you deploy the release version of Office 2010 plus security updates, hotfixes, and Office 2010 SP1, and then you uninstall Office 2010 SP1, the user's computer is returned to Office 2010 plus security updates and hotfixes.

OARPMan.exe supports the following commands:

OARPMan /remove<release> [/log <folder path>]

OARPMan /report [/log <folder path>]

OARPMan /?

OARPMan /help

Command-line options

Option Description

/remove <release>

Removes from the system all updates that are marked with the specified release designation, such as "O14SP1." If the release parameter is not specified, Help is displayed.

/report

Reports the list of installed updates that meet these conditions:

  • The update is marked as removable (AllowRemoval = 1).

  • The update contains a value for Release metadata property.

The report contains the following items in this order:

  • Release Value

  • Product Codes

  • Update Codes

Use the /log switch together with the /report option to obtain additional log file information that is not shown in the console window.

The /report switch displays only updates that are part of releases that the tool can uninstall. It does not display other updates that are applied to Office 2010 because SP 1 is the only release that has uninstall enabled.

/log <folder path>

Creates a log for the OARPMan tool and copies the resulting MSI log files to the specified path. The <folder path> parameter is required and the specified folder path must already exist.

The OARPMan log includes success and failure messages, OARPMan errors, MSI errors, basically any information that is displayed in the console window. If the <folder path> parameter is not specified, Help is displayed.

Use the /log switch together with either the /report or /remove switches to obtain additional log file information that is not displayed in the console window.

When you use logging via the /log switch together with /remove during the uninstallation process, the MSI logs are automatically copied into the same directory as the tool's log.

/?

-or-

/help

Describes the available commands.

See Also

Concepts

Apply Office 2010 Service Pack 1 (SP1)

Other Resources

The Microsoft Service Pack Uninstall Tool for Office 2010


Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool

The Microsoft Office 2010 Service Pack 1 (SP1) release includes updates to the Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download package. IT professionals can learn more about the updated templates in this article.

In this article:

  • Updated Group Policy and OCT settings for the SP1 release of Office 2010

  • Installing the updated Group Policy settings

  • Preventing conflicts with earlier versions of Group Policy settings

  • Updating the OCT

  • Files that are included in this download

Updated Group Policy and OCT settings for the SP1 release of Office 2010

The following table lists the Group Policy and OCT settings that are updated in the download package for Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316). There are no new or removed Group Policy or OCT settings for the SP1 release of Office 2010.

Application | Setting name | Group Policy location | OCT location
Internet Explorer | Add-on Management | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Bind to object | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Block popups | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Consistent Mime Handling | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Disable user name and password | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Information Bar | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Local Machine Zone Lockdown Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Mime Sniffing Safety Feature | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Navigate URL | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Object Caching Protection | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Protection From Zone Elevation | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Restrict ActiveX Install | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Restrict File Download | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Saved from URL | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Internet Explorer | Scripted Windows Security Restrictions | Microsoft Office 2010 (Machine)\Security Settings\IE Security | Microsoft Office 2010 (Machine)\Security Settings\IE Security
Office 2010 | Primary Editing Language | Microsoft Office 2010\Language Settings\Editing Languages | Microsoft Office 2010\Language Settings\Editing Languages
Outlook | Options | Microsoft Outlook 2010\Outlook Options\Preferences\E-Mail Options\Tracking Options | Microsoft Outlook 2010\Outlook Options\Preferences\E-Mail Options\Tracking Options
Outlook | Outlook Rich Text options | Microsoft Outlook 2010\Outlook Options\Mail Format\Internet Formatting | Microsoft Outlook 2010\Outlook Options\Mail Format\Internet Formatting

Installing the updated Group Policy settings

To install the updated Group Policy settings, follow the procedures in the topic Use Group Policy to enforce Office 2010 settings. If you have previously configured any of the Group Policy settings that are affected by this update, you must set those policy settings to their Not Configured state before you remove the previous Office 2010 ADM files and load the updated ADM files. This removes the registry key information for the policy setting from the registry. If you do not do this, the policy settings that are configured from the .adm file will remain in the Registry.pol file and continue to apply to the target client or user.

To obtain information about the policy settings that are currently in effect for the Group Policy object (GPO) that is linked to the domain or organizational unit that contains a specific computer or user, you can use Group Policy Results in Group Policy Management Console. To access Group Policy Results data for a user or computer, you must have Read Group Policy Results data permission on the domain or organizational unit that contains the user or computer, or you must be a member of the Administrators group on the targeted local computer.

For more information about how to report by using Group Policy Results, see "Using Group Policy Results to determine Resultant Set of Policy" in Group Policy Planning and Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=182208).

Preventing conflicts with earlier versions of Group Policy settings

Note:

This section applies only to Group Policy, and not the OCT.

Policy setting information for Office 2010 is stored in version-specific locations in the Windows registry, as shown in the following table.

Type of setting | 2010 subkey
User-specific policy settings | HKEY_CURRENT_USER\Software\Policies\Microsoft\Office\14.0
Computer-specific policy settings | HKEY_LOCAL_MACHINE\Software\Policies\Microsoft\Office\14.0

Similarly, policy setting information for the 2007 Office system is stored in version-specific locations in the Windows registry, as shown in the following table.

Type of setting | 2007 subkey
User-specific policy settings | HKEY_CURRENT_USER\Software\Policies\Microsoft\Office\12.0
Computer-specific policy settings | HKEY_LOCAL_MACHINE\Software\Policies\Microsoft\Office\12.0

There are several policy settings for Office 2010 that are not stored in one of the version-specific registry subkeys. For these policy settings, if you had previously configured the 2007 Office system (or earlier) versions, you must set those policy settings to their Not Configured state before you remove the previous 2007 Office system ADM or ADMX files and load the Office 2010 ADM or ADMX files. This removes the registry key information for the policy setting from the registry. This occurs because if an .adm or .admx file is removed, the settings that correspond to the .adm or .admx file do not appear in Group Policy Object Editor. However, the policy settings that are configured from the .adm or .admx file remain in the Registry.pol file and continue to apply to the appropriate target client or user.

Updating the OCT

To update the OCT, replace the /Admin folder in your Office 2010 installation files or installation image with the new /Admin folder that is included in the download package.

Files that are included in this download

The download package for the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316) contains the following folders and files:

Office2010GroupPolicyAndOCTSettings.xls

Important:

For the latest information about policy settings, please refer to the updated Microsoft Excel 2010 workbook, Office2010GroupPolicyAndOCTSettings_Reference.xls which is available in the Files in this Download section of the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download page. The updated workbook, Office2010GroupPolicyAndOCTSettings_Reference.xls, contains settings changes that were made after the download package was built.

AdminTemplates.exe

\ADMX: The ADMX folder contains XML-based versions (.admx or .adml files) of the Administrative Template files for Windows Vista and Windows Server 2008 or later versions of Windows. Administrative Template files in Windows Server 2008 and Windows Vista or later versions of Windows are divided into ADMX (language-neutral) and ADML (language-specific) files. By default, the %systemroot%\PolicyDefinitions folder on a local computer stores all ADMX files. ADML files are stored in language-specific folders under the %systemroot%\PolicyDefinitions folder. Each language subfolder contains the .adml files for that language; for example, the English language ADML files would be stored in the %systemroot%\PolicyDefinitions\en-us folder. Languages included are Chinese Simplified (People's Republic of China), Chinese (Hong Kong SAR), English, French, German, Italian, Japanese, Korean, and Spanish. The files that are stored in the \ADMX folder are as follows:

access14.admx

excel14.admx

inf14.admx

office14.admx

onent14.admx

outlk14.admx

ppt14.admx

proj14.admx

pub14.admx

spd14.admx

spw14.admx

visio14.admx

word14.admx

\de-de: Contains the German language version of the .adml files.

\en-us: Contains the English language version of the .adml files.

access14.adml

excel14.adml

inf14.adml

office14.adml

onent14.adml

outlk14.adml

ppt14.adml

proj14.adml

pub14.adml

spd14.adml

spw14.adml

visio14.adml

word14.adml

\es-es: Contains the Spanish language version of the .adml files.

\fr-fr: Contains the French language version of the .adml files.

\it-it: Contains the Italian language version of the .adml files.

\ja-jp: Contains the Japanese language version of the .adml files.

\ko-kr: Contains the Korean language version of the .adml files.

\zh-cn: Contains the Chinese Simplified (People's Republic of China) language version of the .adml files.

\zh-tw: Contains the Chinese (Hong Kong SAR) language version of the .adml files.

\ADM: Contains the updated .adm files. Each of the language subfolders contains the .adm files for that language. For example, the en-us subfolder contains the English-US version of the .adm files. Languages included are Chinese Simplified (People's Republic of China), Chinese (Hong Kong SAR), English, French, German, Italian, Japanese, Korean, and Spanish.

\de-de: Contains the German language version of the .adm files.

\en-us

access14.adm

excel14.adm

inf14.adm

office14.adm

onent14.adm

outlk14.adm

ppt14.adm

proj14.adm

pub14.adm

spd14.adm

spw14.adml

visio14.adm

word14.adm

\es-es: Contains the Spanish language version of the .adm files.

\fr-fr: Contains the French language version of the .adm files.

\it-it: Contains the Italian language version of the .adm files.

\ja-jp: Contains the Japanese language version of the .adm files.

\ko-kr: Contains the Korean language version of the .adm files.

\zh-cn: Contains the Chinese Simplified (People's Republic of China) language version of the .adm files.

\zh-tw: Contains the Chinese (Hong Kong SAR) language version of the .adm files.

\Admin: Contains the updated OPAX files, oct.dll, and octca.dll files. These files contain all previous hotfix updates that affected the OCT. Each of the language subfolders contains the .opal files for that language, the Office Customization Help file (OCT.chm), and octres.dll files. For example, the en-us subfolder contains the English-US version of these files. Languages included are Chinese Simplified (People's Republic of China), Chinese (Hong Kong SAR), English, French, German, Italian, Japanese, Korean, and Spanish.

oct.dll

octca.dll

\de-de: Contains the German language version of the files in the \en-us subfolder.

\en-us: Contains the .opal files, oct.chm Help file, and octres.dll files.

access14.opal

excel14.opal

inf14.opal

office14.opal

onent14.opal

outlk14.opal

ppt14.opal

proj14.opal

pub14.opal

spd14.opal

spw14.opal

visio14.opal

word14.opal

oct.chm Help file

octres.dll

\es-es: Contains the Spanish language version of the .opal, oct.chm, and octres.dll files.

\fr-fr: Contains the French language version of the .opal, oct.chm, and octres.dll files.

\it-it: Contains the Italian language version of the .opal, oct.chm, and octres.dll files.

\ja-jp: Contains the Japanese language version of the .opal, oct.chm, and octres.dll files.

\ko-kr: Contains the Korean language version of the .opal, oct.chm, and octres.dll files.

\zh-cn: Contains the Chinese Simplified (People's Republic of China) language version of the .opal, oct.chm, and octres.dll files.

\zh-tw: Contains the Chinese (Hong Kong SAR) language version of the .opal, oct.chm, and octres.dll files.

See Also

Concepts

Group Policy overview for Office 2010
Use Group Policy to enforce Office 2010 settings
Office Customization Tool in Office 2010
Planning for Group Policy in Office 2010


Manage users' configurations for Office 2010

The following list of articles will help you manage users' configurations in Microsoft Office 2010.

In this section:

Article | Description
Change users' configurations after installing Office 2010 | Provides information about how you can make changes to an existing installation of Office 2010.
Use Group Policy to specify where users can save Office 2010 files | Describes how to use Group Policy to specify and enforce the locations (or folders) where users can save Microsoft Office 2010 files.
Uninstall Outlook 2010 and install a previous version | Describes how to remove Microsoft Outlook 2010, reinstall the earlier version of Outlook, and then re-create the user Outlook profiles.
Add or remove language packs after deployment of Office 2010 | Describes how to add and remove language packs for an existing Office 2010 installation and also how to identify installed languages.


Change users' configurations after installing Office 2010

You can make changes to an existing installation of Microsoft Office 2010 by using the instructions in this article.

In this article:

  • Overview

  • Customize an existing Office installation

  • How customization works

Overview

After you install Office 2010 on users' computers, you can make changes to the installation by using the same tool that you used to customize the installation originally. By running the Office Customization Tool (OCT) and creating or modifying a Setup customization file (.msp file), you can customize the Office installation. For example, you can add or remove features, modify user settings, or add or remove files or registry entries.

In Office 2010, two architecture-specific versions of the OCT are available: one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. You use the same command to run the 32-bit or 64-bit version of the OCT. For instance, if you want to run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder. For more information about 64-bit Office 2010, see 64-bit editions of Office 2010. For more information about the OCT, see Office Customization Tool in Office 2010.

Note:

If you have created an initial Setup customization file (.msp file) for an Office 2010 product (for example, Microsoft Office Professional Plus 2010) and you later want to modify the installation to add language packs, you can do so by using the Import feature in the OCT. In such cases, you first add the language packs to the network installation point that contains the Office product source files. Then, you run the OCT from the root of the network installation point and create a new Setup customization file for the same product, and import the original customization .msp file that you created previously for Office Professional Plus 2010. For more information, see To import a customization .msp file to add languages to an existing installation in Import an Office 2010 Setup customization file. For information about the network installation point, see Create a network installation point for Office 2010.

Updating an Outlook profile

For Microsoft Outlook, in addition to making changes to the installation by using the OCT, you can update Outlook profiles by distributing a new Outlook Profile file (.prf). For example, if you saved a .prf file with your users' Outlook profile configurations when you installed Microsoft Outlook 2010 and you are making minor changes to the profile, you might choose to make the change in the .prf file and distribute the files to users. For more information about how to update profiles by using a PRF file, see Customize Outlook profiles by using an Outlook Profile (PRF) file.

Customize an existing Office installation

Use the following procedure to customize an existing installation of Office 2010.

To customize the installation

  1. From the root of the network installation point that contains the source files, run the following command line to start the OCT: \\server\share\setup.exe /admin

  2. In the Select Product dialog box, select the product that you want to customize, and then click OK.

  3. In the left pane, select an area of customization, click the option that you want to customize, and then customize the installation in the right pane.

    For example, to remove Microsoft Access 2010 from the installation, locate Features in the left pane, and then click Set feature installation states. In the right pane, expand Microsoft Office, right-click Microsoft Office Access, and select Not Available.

  4. On the File menu, click Save As after you finish customizing the installation.

  5. Specify a unique name for the customization file with an .msp file name extension, and then click Save.

  6. Deploy and apply the Setup customization file (.msp) to users' computers. For more information, see Applying Setup customization .msp files to existing installations.

If you decide later that you want to make additional changes to an existing installation, you can use the OCT to create a new maintenance customization .msp file. For example, you might want to modify existing feature installation states.

As a best practice for modifying existing feature installation states on an existing installation of Office 2010, we recommend that you create a new Setup customization .msp file to make only the changes that you want to implement. To avoid unexpected results, you must specify only the changes that you want to make. For example, to create a Setup customization .msp file to add the Access feature after an initial installation, start the OCT and create a new customization .msp file for the product. In the left pane of the OCT, locate Features, and then click Set feature installation states. In the right pane, expand Microsoft Office, right-click Microsoft Office Access, and then select Run from My Computer. On the File menu, click Save As, and specify a path and file name for the .msp customization file.

How customization works

Because the Setup customization file that is created by the OCT is a Windows Installer package (.msp), you can apply the file to users' computers as you would apply a software update. The Office installation is modified by using the customizations defined in the .msp file. The following sections describe how to deploy customization .msp files to existing Office installations and show customization patch sequencing.

Applying Setup customization .msp files to existing installations

To apply the Setup customization (.msp) file to existing installations, you must apply the .msp file directly to the user's computer. You cannot apply the customization file to existing installations by placing the .msp file in the Updates folder and running Setup again on the user's computer, or by running Setup with the customization file specified in the command line.

For example, users can apply the Setup customization .msp file by double-clicking the .msp file or by running msiexec with the /p option, at a command prompt as shown in the following example:

msiexec.exe /p \\server\share\custom.msp

For information about Windows Installer command-line options, see Windows Installer Command-Line Options (http://go.microsoft.com/fwlink/p/?LinkId=162945).

You can also use a deployment management program, such as Microsoft System Center Configuration Manager 2007, to deploy Setup customization files. For more information, see the System Center Configuration Manager TechCenter Web site (http://go.microsoft.com/fwlink/p/?LinkID=162933).

Although you can use Windows Server Update Services (WSUS) to deploy software updates, you cannot use WSUS to deploy Setup customization .msp files.

Setup customization patch sequencing

Every time that you save a customization .msp file in the OCT, the tool updates the customization file's patch sequencing number with the current computer date and time stamp and generates a new patch globally unique identifier (GUID). The OCT .msp files are applied chronologically according to their time stamps.

To show the sequencing behavior, assume that you created the following .msp maintenance files:

  1. An OCT .msp file that is named uninstall-access.msp, in which you set Microsoft Office Access to Not Available. This file is saved first, so it has a lower patch sequence number and an older date and time stamp. This .msp file is sequenced first and Access is set to Not Available on users' computers.

  2. An OCT .msp file that is named install-access.msp, in which you set Microsoft Office Access to Run all from My Computer. This file is saved last, so it has a higher patch sequence number and a newer date and time stamp. This .msp file is sequenced later than the first OCT .msp file, uninstall-access.msp. Therefore, Access is set to Run all from My Computer on users' computers.

See Also

Concepts

Office Customization Tool in Office 2010
64-bit editions of Office 2010
Setup architecture overview for Office 2010
Import an Office 2010 Setup customization file


Use Group Policy to specify where users can save Office 2010 files

You can use Group Policy to specify and enforce the locations (or folders) where users can save Microsoft Office 2010 files. This article describes how to configure Group Policy settings to achieve this task, and then lists the corresponding values that are set in the registry on user computers.

Specify and enforce locations where users can save Office 2010 files

To specify and enforce the locations through the Group Policy Management Console, you must configure both the Activate Restricted Browsing and Approve Locations policy settings. You enable the Activate Restricted Browsing policy setting to restrict the locations available to users in the Save As dialog box, and then enable the Approve Locations policy setting to specify the restricted locations, such as c:\Windows or \\server\share. The subfolders of the locations that you specify will also be available to users in the Save As dialog box.

Note:

You perform the following procedure on a domain Group Policy object (GPO) that contains the set of users to which you want these configurations to apply.

You must have Edit permission for the GPO. For more information, see the Changing how Group Policy processes GPOs section in the Group Policy overview for Office 2010.

To use the policy settings as explained in this article, you must install the Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316) update.

To specify and enforce locations in the Save As dialog box

  1. Open the Group Policy Management Console (GPMC). Click Start, click Control Panel, click Administrative Tools, and then click Group Policy Management.

  2. In the console tree, double-click Group Policy Objects in the forest and domain that contain the Group Policy object (GPO) that you want to edit. This is located in Forest name, Domains, Domain name, Group Policy Objects.

  3. Right-click the GPO that you want to change and then click Edit.

  4. In the tree view, expand User Configuration, expand Administrative Templates, expand Microsoft Office 2010, expand File Open/Save dialog box, and in the reading pane click Restricted Browsing.

  5. In the details pane, double-click Activate Restricted Browsing.

  6. On the Setting tab, select Enabled, and then click OK.

  7. Double-click Approve Locations.

  8. On the Setting tab, select Enabled, and then click Show.

  9. In the Show Contents dialog box, in the Value name column, type the name of the location that you want to add to the Save As dialog box.

  10. Repeat the previous step to add more locations, as needed.

  11. After you add all the approved locations, click OK to exit the Show Contents dialog box.

Important:

These settings will affect the locations displayed on the My Places bar in the Save As dialog box. Therefore, we recommend that you add at least one approved location to the My Places bar by using the Places Bar Location [1-10] setting: In the tree view, click User Configuration, click Administrative Templates, click Microsoft Office 2010, double-click File Open/Save dialog box, and then click Places Bar Locations. If there are no approved locations in the My Places bar, users might be unable to open the Save As dialog box.

Registry settings

When you configure the Activate Restricted Browsing and Approve Locations policy settings, the following corresponding registry entries are configured on the user computers.

Note:

As an alternative to using Group Policy, you can create a script to deploy these registry settings to user computers. For information about scripting, see Script Center (http://go.microsoft.com/fwlink/p/?LinkId=158045).

Registry key Description Values

HKCU\Software\Policies\Microsoft\Office\14.0\Common\Open Find\RestrictedBrowse

This registry key stores the locations available to users in the Save As dialog box.

  • Name = name of the location

  • Value = path of the approved location (subfolders are included)

HKCU\Software\Policies\Microsoft\Office\14.0\Common\Open Find\RestrictedBrowse\OptIn

This registry specified the applications in the Office 2010 to which the Restricted Browsing setting applies.

Name = [Office 2010 application]. This is a DWORD (32-bit) value key that is enabled when set to 1. Valid entries are as follows:

  • Microsoft Access

  • Microsoft Excel

  • Microsoft SharePoint Designer

  • Microsoft InfoPath

  • Microsoft OneNote

  • Microsoft Outlook

  • Microsoft PowerPoint

  • Microsoft Project

  • Microsoft Publisher

  • Microsoft Visio

  • Microsoft Word

See Also

Concepts

Use Group Policy to enforce Office 2010 settings


Uninstall Outlook 2010 and install a previous version

In some circumstances, you might need to restore a group of users to a previous installation of Microsoft Outlook after an upgrade to Microsoft Outlook 2010. To do this, you remove Outlook 2010, and then reinstall the previous version of Outlook. You must also re-create the users' Outlook profiles.

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but you want to learn more about how to uninstall Outlook 2010 on your computer, see Install or remove individual Office program or components (http://go.microsoft.com/fwlink/p/?LinkId=231282).

In this article:

  • Overview

  • Uninstall Outlook 2010 by using the OCT

  • Install a previous version of Outlook

Overview

If you installed Outlook 2010 by using the Office Customization Tool (OCT), you remove Outlook by using the OCT. In the OCT, you select Office 2010 from the list of options and set the feature installation state to Not Available to uninstall it. For more information about the OCT, see Customize Office 2010.

If you installed Outlook 2010 from a stand-alone product CD, you must run Setup with the /uninstall command-line option on each computer to uninstall Outlook. For more information, see Setup command-line options for Office 2010.

Because of the changes in Outlook 2010 that allow for multiple Microsoft Exchange Server e-mail accounts, user profiles that are upgraded to Outlook 2010 will not work if you uninstall Outlook 2010, reinstall a previous version of Outlook like Office Outlook 2007, and then attempt to start Outlook by using the same user profile. You must configure and deploy new profiles for users when you reinstall a previous version of Outlook.

Effect on Outlook settings

Settings that you specify in Outlook 2010 are not retained when you revert to a previous installation of Outlook. Outlook settings will revert to default values or will be set as they were before you installed Outlook 2010 (depending on the setting).

Rules are saved in the Outlook store and are not affected by uninstalling and reinstalling Outlook.

Effect on .pst files

Outlook personal data files (.pst) are not affected by installing or uninstalling Outlook 2010.

If users have Unicode .pst files and are reinstalling an earlier version of Outlook that does not support Unicode .pst files, they can copy the information into an Outlook 97-2002 Personal Folders file. To do this, create a data file in the older Outlook 97-2002 Personal Folders file format. Then import items into that file from the Unicode data file. There is no automatic procedure to convert files from one format to the other.

Uninstall Outlook 2010 by using the OCT

To remove Outlook 2010 by using the Office Customization Tool

  1. To start the OCT, from the root of the network installation point, run the following command:

    \\server\share\setup.exe /admin

  2. To edit an existing Setup customization file (.msp), in the Select Product dialog box, click Open an existing Setup customization file. Or to create a new customization file, select the Office suite that you want to customize, and then click OK.

  3. In the navigation pane, select Set feature installation states.

  4. In the center pane, expand the Microsoft Office tree, and then right-click Microsoft Outlook.

  5. Select the installation option Not Available. To prevent users from reinstalling Outlook, select Hidden and Locked. The application name is displayed as [H] [L] Microsoft Outlook.

  6. After you have finished all the customizations, save the Setup customization file (.msp), and then exit the OCT.

  7. Deploy and apply the Setup customization file (.msp) to users' computers.

Install a previous version of Outlook

When you have removed Outlook 2010, reinstall the previous version of Outlook. As part of the installation, configure new profiles for users. For example, set options for Office Outlook 2007 by using the OCT or for Office Outlook 2003 or earlier versions by using the Custom Installation Wizard. Or, you can configure new profiles by distributing an Outlook profile (.prf) file.

See Also

Concepts

Change users' configurations after installing Office 2010
Customize Outlook profiles by using an Outlook Profile (PRF) file
Configure feature installation states for Office 2010


Add or remove language packs after deployment of Office 2010

Published: May 12, 2010

You can add or remove language packs for an existing Microsoft Office 2010 installation. This article describes the two methods that you can use to complete this and how to view a list of the languages that are installed.

In this article:

  • Overview

  • Before you begin

  • Modify an existing installation

  • Deploy language packs

  • Remove language packs

  • Identify installed languages

Overview

Although the most frequently deployed languages for Office 2010 are released at the same time as the product, many other Office 2010 Language Packs are released over time. The Office 2010 Multi-Language Pack, which includes all available language packs, is not released until after all the individual language packs are released. However, if you upgrade your multilingual organization to Office 2010 before all the language packs are released, you can add or remove languages later. The Office 2010 Multi-Language Pack and Office 2010 Proofing Tools Kit CDs for Office 2010 are available through Microsoft Volume Licensing programs.

There are two methods that you can use to add languages after you deploy Office 2010:

  • Modify an existing installation. By using this recommended method, a language is treated as another feature to add to a deployment of Office 2010. This method involves modifying the Config.xml file to add the appropriate language and rerunning Setup.exe. This method installs only the necessary language parts for the products installed on the user's computer. For example, if you add Japanese to an installation of Microsoft Office Professional 2010, the Microsoft Visio 2010 resources for Japanese are not installed. However, if the computer has both Office Professional 2010 and Visio 2010 installed on it, you would have to add the Japanese resources for each product through two separate operations.

  • Deploy Language Packs as separate products. By using this method, there must be at least one Office 2010 product installed on the computer. This method involves running Setup.exe for the Office 2010 Language Pack that you want to install so that the full Language Pack is installed to the computer. This method is appropriate for adding languages after a deployment of Office 2010 where you do not know which set of products Office 2010 are installed on users' computers.

Before you begin

It is important to determine which languages will be used at the beginning of your deployment. If you change users' configurations after the initial deployment and include additional languages as part of your customizations, you must first copy all the Office 2010 Language Packs you want to deploy to the network installation point that contains the Office product files. For example, \\server\share\Office14. A static list of the products contained in the installation source is built only during the initial creation of a customization .msp file. If you later add more languages to the installation source, the existing .msp file is not updated to reflect this change. Addressing this issue involves the following steps:

  1. Create a new customization file by using the Office Customization Tool (OCT).

  2. Import your existing customization .msp file by using the File \| Import command in the OCT.

  3. Make any additional customizations that that you want and then save the .msp file.

  4. After you update the installation source with additional languages, deploy the new .msp file to users.

Failure to create and deploy a new .msp file might result in unexpected behavior, because the changes to an existing customization .msp file will not apply to the languages that were added. If you do not create a new .msp file and import the existing .msp file into that file, your deployment may test correctly in your lab, but users might not see the new language in their Office 2010 applications, or they might see only a subset of the language features. For more information, see To import a customization .msp file to add languages to an existing installation in the article Import an Office 2010 Setup customization file and Change users' configurations after installing Office 2010.

For information about how to create a network installation point with multiple languages, see Customize deployment of language setup and Proofing Tools in Office 2010.

For a complete list of language tags, see Language identifiers and OptionState Id values in Office 2010.

Modify an existing installation

The recommended method for adding languages to an existing installation of Office 2010 is to run Setup again and modify the existing Office installation. Because you are only modifying the original installation, no new entry appears in Add or Remove Programs in Control Panel.

You cannot replace the language of the shell user interface (Shell UI) that was installed during the initial installation. The Shell UI includes core elements of Office that register with the operating system, such as file name extensions, Tool Tips, and right-click menu items.

When you update a multilanguage installation, you can specify that the new language matches the user locale that is set on the local computer. For example, if your organization includes both English-speaking and Russian-speaking users, you might first deploy English to everyone. Later, when the Russian language pack becomes available, you can add the following line to Config.xml:

Copy Code
<AddLanguage Id="match" />

In this case, Setup installs Russian language elements on any computer that has the user locale set to Russian. Users with an English user locale are not affected.

To deploy additional languages after Office is installed

  1. Copy the files and folders in the new language packs from the source media to the original network installation point. When you are prompted to overwrite Setup files, click No.

    Each language pack includes language-specific elements for every product in the Office 2010. However, Setup installs language-specific elements only for the Office product that you are updating.

  2. In the core product folder for the product that you are updating, locate the Config.xml file.

    For example, if you are adding languages to an installation of Microsoft Office Professional Plus 2010, find the Config.xml file in the ProPlus.WW folder.

  3. Open Config.xml in a text editor, such as Notepad.

  4. Find the <AddLanguage> element. Uncomment the line by deleting the opening <!-- and closing --> tags.

  5. Set the value of the Id attribute to the language tag that corresponds to the language that you want to install. You can specify more than one language by including additional <AddLanguage> elements and attributes.

    For example, to add the Russian language pack, the line should resemble the following example:

    Copy Code
    <AddLanguage Id="ru-ru" />

  6. If you add more than one language in Config.xml, you must specify one language as the language for the Shell UI. For example:

    Copy Code
    <AddLanguage Id="ru-ru" ShellTransform="yes" />
<AddLanguage Id="en-us" />

    You must specify a ShellUI language, even though Setup does not change the ShellUI language that was set for the initial installation.

  7. Save the Config.xml file. Run Setup.exe and specify the path of your modified Config.xml file.

    You must use a full qualified path. For example: \\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

    where Office14 is the root of the network installation point.

    Because Setup also recognizes language packs as separate products, make sure that you specify the Config.xml file for the Office product that you are updating, and not the language pack.

To deploy these languages for new Office 2010 installations, see Specify which languages to install in the article Customize deployment of language setup and Proofing Tools in Office 2010 and import existing customization .msp files into a new customization .msp file. A static list of the products contained in the installation source is built only during the initial creation of a customization file. If you later add more languages to the installation source, the existing customization file is not updated to reflect this change. For more information, see To import a customization .msp file to add languages to an existing installation in the article Import an Office 2010 Setup customization file.

Deploy language packs

If you deployed multiple Office 2010 products in your organization and you must add more language support, you can deploy language packs as separate products. In this case, Setup installs language-specific elements for every product in Office 2010. No matter which products users have installed, users can access the additional language versions.

For this deployment method to work, there must be at least one Office 2010 product installed on the computer that you are deploying to.

When you deploy language packs separately, you must consider the disk space that is required on users' computers. Language pack requirements range from 800MB to 1.5 GB of hard disk space that is needed.

Language-specific elements for Microsoft Project 2010 and Microsoft Visio 2010 are installed separately. In each language pack, the core product folder for Project 2010 is PMUI.ll-cc. The core product folder for Visio 2010 is VisMUI.ll-cc.

To deploy language packs

  1. Copy all the files and folders in the new language pack from the source media to a location on the network. If you are using an Office 2010 Multi-Language Pack, you can copy just the files and folders for the languages that you want to install. When you are prompted to overwrite Setup files, click No.

  2. In the core product folder for the language pack that you are installing, locate the Config.xml file.

    For example, if you are installing the Russian language pack, find the Config.xml file in the OMUI.ru-ru folder.

  3. Run the language pack Setup from the root of the network installation point for the Office 2010 Multi-Language Pack or Office 2010 Language Pack, and specify the path of the Config.xml file on the command line. For example:

    \\server\share\Office14\LP\Setup.exe /Config\\server\share\Office14\LP\RU\OMUI.ru-ru\Config.xml

    where Office14\LP is the root of the network installation point for the language packs and RU is the language folder name.

    Complete the previous steps for each language that you want to install.

To deploy these languages for new Office 2010 installations, see Specify which languages to install in the article Customize deployment of language setup and Proofing Tools in Office 2010 and import existing customization .msp files into a new customization .msp file. A static list of the products contained in the installation source is built only during the initial creation of a customization file. If you later add more languages to the installation source, the existing customization file is not updated to reflect this change. For more information, see To import a customization .msp file to add languages to an existing installation in the article Import an Office 2010 Setup customization file.

Remove language packs

If the Office 2010 Language Packs were deployed as separate products, the Language Packs can be removed by using Windows Add or Remove Programs.

If the Office 2010 Language Packs were deployed with Office 2010 and not as separate products, the procedure to remove them resembles the deployment of the Language Packs. Instead of using the <AddLanguage> tag, use the <RemoveLanguage> tag. See the procedure that follows for the specific steps.

You must follow these steps for each language that you want to remove.

To remove language packs

  1. If the language was deployed with the Office product (not as a separate product), locate the Config.xml file in the core product folder for the product that you are updating.

    For example, if you are removing languages from an installation of Office Professional Plus 2010, find the Config.xml file in the ProPlus.WW folder.

  2. Open Config.xml in a text editor, such as Notepad.

  3. Find the <Display> element. Uncomment the line by deleting the opening <!-- and closing --> tags.

  4. Set the value of the Level to "basic" or "none", CompletionNotice to "yes", SuppressModal to "yes", and AcceptEula to "yes".

    The line should resemble the following example:

    Copy Code
    <Display Level="basic" CompletionNotice="yes" SuppressModal="yes" AcceptEula="yes" />

  5. Find the <AddLanguage> element. If it is in the file, comment out the line by adding opening <!-- and closing --> tags around the element.

    The line should resemble the following example:

    Copy Code
    <!-- <AddLanguage Id="ru-ru" /> -->

  6. Add the <RemoveLanguage> element.

  7. Set the value of the Id attribute to the language tag that corresponds to the language that you want to remove.

    For example, to remove the Russian language pack, the line should resemble the following example:

    Copy Code
    <RemoveLanguage Id="ru-ru" />

  8. Save the Config.xml file.

  9. If you edited the Config.xml file in the core product folder, run Setup.exe and specify the path of your modified Config.xml file.

    You must use a fully qualified path. For example:

    \\server\share\Office14\Setup.exe /Config\\server\share\Office14\ProPlus.WW\Config.xml

    where Office14 is the root of the network installation point.

    \\server\share\Office14\LP\Setup.exe /Config\\server\share\Office14\LP\RU\OMUI.ru-ru\Config.xml

    where Office14\LP is the root of the network installation point for the language packs and RU is the language folder name.

    You must complete the previous steps for each language that you want to remove.

Identify installed languages

In the registry, you can view a list of languages installed for the Office 2010 either during the initial installation or during a separate installation of a language pack.

Although all applications in the Office 2010 use a shared set of registry data to determine their UI language, they do not necessarily all appear in the same UI language. Applications in Office 2010 usually appear with the UI language indicated in the UILanguage value of this registry key. But there are circumstances where this might not be the case. For example, some deployments might have Microsoft Word 2010 and Microsoft Excel 2010 installed in French, but another Office 2010 application installed in a different language. In this case, the other application will look at the UIFallback list in this registry key, and use the first language that works with its installed configuration.

To identify installed languages

  1. Open the registry.

  2. Expand the registry key HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources\EnabledLanguages.

  3. The LCID for the language is displayed. To identify the language, see Language identifiers and OptionState Id values in Office 2010.

  4. To view the UI language, view the following registry key values and refer to Language identifiers and OptionState Id values in Office 2010.

    • HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources\HelpLanguage

    • HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources\UILanguage

  5. To view the fallback languages, view the registry key value for HKEY_CURRENT_USER\Software\Microsoft\Office\14.0\Common\LanguageResources\UIFallback. To identify the language, see Language identifiers and OptionState Id values in Office 2010.

See Also

Concepts

Import an Office 2010 Setup customization file
Change users' configurations after installing Office 2010
Language identifiers and OptionState Id values in Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010
Plan for multilanguage and Proofing Tools deployment for Office 2010


Migrate an Office 2010 KMS host

Published: July 22, 2010

You can migrate your Microsoft Office 2010 Key Management Services (KMS) host to another server after you deploy Microsoft Office 2010. Migrating the Office 2010 KMS host might be necessary if topology changes are made to the network. This article explains how to perform the migration.

Note:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

To migrate an Office 2010 KMS host

  1. Uninstall the Office 2010 KMS host key by running the following command:
    cscript C:\windows\system32\slmgr.vbs /upk bfe7a195-4f8f-4f0b-a622-cf13c7d16864

  2. Delete the record from the Domain Name System (DNS):

    1. Open the DNS console.

    2. Expand the _tcp node under domain.com.

    3. Delete the _VLMCS record.

    After you do this, the Office 2010 KMS host is uninstalled.

  3. On the Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244) website, download and then run KeyManagementServiceHost.exe on the new server. You are then prompted to enter the product key, and the Office 2010 KMS host will try to become activated. If the activation fails, do the following:

    1. On the new server, re-install the product key for the Office 2010 KMS host by running the following command:
      cscript C:\windows\system32\slmgr.vbs /ipk [ProductKey]

    2. Activate the Office 2010 KMS host by running the following command:
      cscript C:\windows\system32\slmgr.vbs /ato bfe7a195-4f8f-4f0b-a622-cf13c7d16864

  4. After activation is complete, restart the Software Licensing Service and verify in the DNS that the record is created for the new KMS host server.

  5. To verify that the Office 2010 KMS host is configured correctly, check the KMS activation request count to see whether it is increasing. On the KMS host, the current count is displayed when you run the following command:
    cscript C:\windows\system32\slmgr.vbs /dlv bfe7a195-4f8f-4f0b-a622-cf13c7d16864

    You can also check the Key Management Service log in the Applications and Services Logs folder, which is where activation requests from KMS clients are recorded, for the 12290 events. Each event displays the name of the computer and the time-stamp of the activation request.

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot volume activation for Office 2010
Plan KMS activation of Office 2010
Plan MAK independent activation of Office 2010
Plan MAK proxy activation of Office 2010

Other Resources

Office Volume Activation forum
Office IT Pro forums


Security and protection for Office 2010

The security documentation that is listed and described in the following table includes overview, planning, and configuration articles.

In this documentation:

  • Overview articles

  • Planning articles

  • Configuration articles

Overview articles

Article | Description
Security overview for Office 2010 | Provides an overview of new security controls in Office 2010 that make it easier for IT professionals to build a robust defense against threats while maintaining information worker productivity.
Understand security threats and countermeasures for Office 2010 | Provides information to help you plan for a secure desktop configuration for Office 2010, including which security risks and threats are relevant to Office 2010, and which might pose a risk to the organization's business assets or processes.
Keeping Enterprise Data Safe with Office 2010 | This white paper highlights the new security features and enhancements that were introduced in Microsoft Office 2010 to help protect organizations from exploits that target users who use Office applications.

Planning articles

Article | Description
Plan for security and protection in Outlook 2010 | Describes features in Microsoft Outlook 2010 that can help keep an organization's e-mail messaging secure.
Plan for Information Rights Management in Office 2010 | Provides a summary of Information Rights Management (IRM) technology and how it works in Office applications.
Plan Trusted Locations settings for Office 2010 | Provides information about how to use the Trusted Locations feature in Office 2010 to differentiate safe files from potentially harmful files.
Plan Trusted Publishers settings for Office 2010 | Provides information about how to use the Trusted Publishers feature in Office 2010 to designate content publishers that you trust.
Plan security settings for add-ins for Office 2010 | Describes how to control the way add-ins behave, or to prevent users from running add-ins, by modifying the Office 2010 add-in settings.
Plan security settings for ActiveX controls for Office 2010 | Describes how to change the way Microsoft ActiveX controls behave in Office 2010 by modifying ActiveX control settings.
Plan security settings for VBA macros for Office 2010 | Describes how to control the way Visual Basic for Applications (VBA) and VBA macros behave by modifying Office 2010 VBA and VBA macros settings.
Plan COM object categorization for Office 2010 | Describes how to control the behavior of certain COM objects in Office 2010 by using COM object categorization.
Plan Protected View settings for Office 2010 | Provides information about how to configure Protected View, a new security feature in Office 2010 that helps mitigate exploits to your computer by opening files in a restricted environment so they can be examined before the files are opened for editing.
Plan Office File Validation settings for Office 2010 | Provides information about how to configure Office File Validation, a new security feature in Office 2010 that helps prevent file format attacks by scanning Office binary file formats before the files are opened.
Plan password complexity settings for Office 2010 | Provides information about settings to enforce strong passwords, such as password length and complexity rules, when you use the Encrypt with Password feature in Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
Plan cryptography and encryption settings for Office 2010 | Provides information about cryptography and encryption in Microsoft Office 2010, and describes the settings that you can use to encrypt data.
Plan digital signature settings for Office 2010 | Provides information about how to digitally sign documents by using Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.
Plan privacy options for Office 2010 | Describes how to configure privacy options in Office 2010 to meet an organization's security requirements.
Plan file block settings for Office 2010 | Provides information about Group Policy and Office Customization Tool (OCT) settings that you can configure to block specific file format types for Microsoft Excel 2010, Microsoft PowerPoint 2010, and Microsoft Word 2010.

Configuration articles

Article | Description
Configure security for Office 2010 | Provides information and procedures to configure security settings for Office 2010 by using the Office Customization Tool (OCT) and Group Policy.


Troubleshooting for Office 2010

Published: May 8, 2010

Review the following suggested solutions when you are troubleshooting issues that you might encounter during a deployment of Microsoft Office 2010.

Suggested solutions:

Article | Description
Error codes for Office 2010 installations | Lists and describes the Microsoft Office 2010 Setup error codes that are used by the Office 2010 installations when verbose logging is enabled.
Troubleshoot volume activation for Office 2010 | Provides troubleshooting information and suggested solutions to issues that you might encounter when activating Office 2010.
Troubleshoot SharePoint Workspace 2010 | Provides troubleshooting information and suggested solutions to issues that you might encounter when you deploy Microsoft SharePoint Workspace 2010.
Collect data about Office installations by using Robust Office Inventory Scan | Provides information about the Robust Office Inventory Scan (ROIScan.vbs) Microsoft Visual Basic script that collects Office data and provides error detection and analysis options.
Error codes for Office 2010 update packages | Explains how to use Setup logs to help troubleshoot software update errors.
Troubleshoot common problems with the Volume Activation Management Tool (VAMT) | Provides information about the most common Volume Activation Management Tool (VAMT) problems and a link to the Office Volume Activation Forum.

See Also

Concepts

Help and support for Office 2010


Troubleshoot volume activation for Office 2010

Learn to troubleshoot issues that you might encounter when you activate Microsoft Office 2010, including issues with KMS key and MAK key activation. Before you read this article, we recommend that you first read Volume activation overview for Office 2010, Plan volume activation of Office 2010, Deploy volume activation of Office 2010, and Tools to configure client computers in Office 2010.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription.

Important:

Office 2010 is supported on Windows 8 and Windows Server 2012.

In this article:

  • KMS activation issues

    • The client activation request count on the KMS host is not high enough for client computers to activate

    • The Office 2010 KMS client does not activate

    • The KMS host is not activated

    • The KMS host cannot be reached

  • MAK activation issues

    • MAK activation fails with Windows XP

    • The Office 2010 client does not activate when it is connected to the network through an authenticated proxy

  • Activation error codes

  • General activation

    • Users see notifications to activate

    • Licensing information is not updated in the Backstage view

    • KMS client keys

KMS activation issues

This section contains KMS activation issues and how to resolve them.

The Office 2010 KMS client does not activate

There might be several reasons why the Office 2010 Key Management Service (KMS) client is not activated. This section describes issues and how to resolve them.

The client activation request count on the KMS host is not high enough for client computers to activate

Relevant error code: 0xC004F038

The Office 2010 KMS host must receive activation requests from at least five Office 2010 KMS clients before KMS clients on that network can be activated. If the KMS host does not receive more than five requests, KMS clients will not be activated. If you deploy Office 2010 to more than five computers, their initial activation requests will be used to build up the count. If activation fails, the computers will attempt activation two hours later. At that time, if the KMS host has a sufficient count, activation will be successful. To trigger activation manually on the KMS client, run ospp.vbs /act. For more information about the ospp.vbs script, see Tools to configure client computers in Office 2010.

To determine the current count on the KMS host, at the command prompt (with administrator permissions), run the following command:

cscript slmgr.vbs /dlv bfe7a195-4f8f-4f0b-a622-cf13c7d16864

The current count displayed must be 5 or greater for KMS clients to be activated. The output should resemble the following:

Copy Code
Name: Microsoft Office 2010, KMSHost edition
Description: Microsoft Office 2010 KMS, VOLUME_KMS channel
Activation ID: bfe7a195-4f8f-4f0b-a622-cf13c7d16864
Application ID: 59a52881-a989-479d-af46-f275c6370663
Extended PID: 55041-00096-199-000004-03-1033-7600.0000-3632009
Installation ID: 008585014214769124199722184000850026888810090785321136
Processor Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88342
Machine Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88343
Use License URL: http://go.microsoft.com/fwlink/p/?LinkID=88345
Product Key Certificate URL: http://go.microsoft.com/fwlink/p/?LinkID=88344
Partial Product Key: RP3HH
License Status: Licensed
Remaining Windows rearm count: 1
Trusted time: 12/29/2009 1:45:54 PM

Key Management Service is enabled on this computer
    Current count: 0
    Listening on Port: 1688
    DNS publishing enabled
    KMS priority: Normal

Key Management Service cumulative requests received from clients
    Total requests received: 0
    Failed requests received: 0
    Requests with License Status Unlicensed: 0
    Requests with License Status Licensed: 0
    Requests with License Status Initial grace period: 0
    Requests with License Status License expired or Hardware out of tolerance: 0

    Requests with License Status Non-genuine grace period: 0
    Requests with License Status Notification: 0

The operating system that the KMS clients run under determines how the KMS clients send activation requests.

  • For Office 2010 KMS clients that run under Windows Vista, Windows 7, Windows Server 2008, Windows Server 2008 R2, Windows 8, or Windows Server 2012 After Office 2010 is installed, the Office Software Protection Platform (OSPP) service automatically sends activation requests to the KMS host every two hours until activation occurs, regardless of whether Office 2010 is running. Once five of these KMS clients connect to the corporate network and successfully request activation against the KMS host, the KMS clients are activated. Clients that later connect to the corporate network are also activated. KMS clients that are not on the corporate network (at home, for example) become activated as soon as they connect to the network.

  • For Office 2010 KMS clients that run under Windows XP or Windows Server 2003 An activation request is sent when the computer is connected to the corporate network and an Office 2010 application is started. Starting an Office 2010 application starts the OSPP service, which continues to run until the computer is restarted. Although the OSPP service is running, an activation request is automatically sent every two hours during the 30-day grace period. If these KMS clients connect to the corporate network, and no Office 2010 application is started, no activation requests are sent to the KMS host. There are two ways to manually send an activation request to the KMS host to increase the current count. On each KMS client, perform either of the following while connected to the corporate network:

    • Launch an Office 2010 application. This sends an activation request and starts the OSPP service.

    • From the command line (with administrator permissions), run cscript ospp.vbs /act. For more information about the ospp.vbs script, see Tools to configure client computers in Office 2010.

The KMS host is not activated

Relevant error code: 0xC004F041

The KMS host must be activated first, and then the KMS clients can be activated. For more information, see Prepare and configure the KMS host in Deploy volume activation of Office 2010. You must run KeyManagementServiceHost.exe, which you can download at Microsoft Office 2010 KMS Host License Pack (http://go.microsoft.com/fwlink/p/?LinkID=169244). Then, you enter the Office 2010 KMS host key and activate the KMS host.

Note:

When you enable the firewall on a KMS host, the default TCP communications port number is 1688.

If you use slmgr.vbs, you must activate the KMS host within the command and include the following Office 2010 activation ID:

cscript slmgr.vbs /ato bfe7a195-4f8f-4f0b-a622-cf13c7d16864

The KMS host cannot be reached

Relevant error code: 0xC004F041

If you want the KMS clients to use auto-discovery of the KMS host, review the Windows Volume Activation Deployment Guide (http://go.microsoft.com/fwlink/p/?LinkId=183043) to make sure that the DNS configuration is correct. Ensure that the KMS host has network connectivity, and that it is reachable by the KMS clients.

As a test on the KMS client, you might want to use ospp.vbs /sethst to specify the KMS host computer name. Then, run ospp.vbs /act to send an activation request directly to the KMS host. If this is successful, KMS host auto-discovery might be the issue. Remember to use ospp.vbs /remhst to remove the KMS host name after the test is completed.

MAK activation issues

This section contains MAK activation issues and how to resolve them.

MAK activation fails with Windows XP

Relevant error code: 0x8007001

If you have daemon tools installed, such as CD emulation software, a registry key is preventing the hardware ID from being acquired. The workaround is as follows:

  1. On the Start menu, click Run, and then type regedit.

  2. In Registry Editor, search for the following registry key: HKLM\SYSTEM\CURRENTCONTROLSET\CONTROL\CLASS\{4D36E967-E325-11CE-BFC1-08002BE10318}

  3. Look for UpperFilters, which is of type REG_MULTI_SZ.

  4. Double-click UpperFilters, and then under Value data, add PartMgr to the top of the list. Click OK.

  5. Restart the computer.

  6. Start any Office 2010 application and follow the prompts to activate.

    Important:

    If you want to activate by using VAMT or the Office Software Protection Platform script (ospp.vbs), you must first start an Office 2010 application so that the OSPP service is started.

For information about how to resolve this issue, see Microsoft Knowledge Base article 916180: You tried to set up your Xbox 360 console as a Media Center Extender, but the Setup program did not start (http://go.microsoft.com/fwlink/p/?LinkId=184076).

Note:

Although Knowledge Base article 916180 describes a fix that is not specific to Office and activation, the fix is relevant to Windows XP and applies to this issue.

The Office 2010 client does not activate when it is connected to the network through an authenticated proxy

Independent MAK activation requires an Internet connection. If the Office 2010 client is connected to the Internet through an authenticated proxy, you must activate the client over the telephone. For more information about how to resolve this issue, see Knowledge Base article 921471: Activation fails when you try to activate Windows Vista or Windows Server 2008 over the Internet (http://go.microsoft.com/fwlink/p/?LinkId=183044).

Activation error codes

Error codes help troubleshoot activation issues. If a user sees a dialog box that contains an activation notification, an error code might be displayed at the lower-left portion of the dialog box. Another way to obtain an error code is to run ospp.vbs /act on the client computer to attempt activation. If activation fails, an error code is reported. Use ospp.vbs /ddescr with the appropriate error code to receive the error message. For more information about the ospp.vbs script, see Tools to configure client computers in Office 2010.

General activation

The following are general activation issues and their solutions.

Users see notifications to activate

An activation notification dialog box usually appears when a copy of Office 2010 is not yet activated. An error code is displayed on the lower-left portion of the dialog box to help you troubleshoot activation issues. No dialog box is shown until 25 days after installation, at which time the user sees a notification dialog box. If Office 2010 has not been activated 30 days after installation, the notification dialog box contains a red title bar.

When you install Office 2010, you must activate it by using either Multiple Activation Key (MAK) or Key Management System (KMS) connecting to a KMS host on the intranet.

If you install a MAK key, you must activate Office 2010 online.

The Office 2010 client software includes an embedded KMS client key. Once the Office 2010 KMS client automatically discovers the Office 2010 KMS host on the intranet, and at least five Office 2010 KMS clients have already requested activation from the KMS host, the KMS client is automatically activated.

Licensing information is not updated in the Backstage view

To display licensing information, on the File menu, click Help. You must restart the Office 2010 applications for the licensing information to be updated. For example, if you open Microsoft Word 2010 and then click Help on the File menu, you might see that product activation is required. If you activate by using ospp.vbs /act or Volume Activation Management Tool (VAMT) 2.0 (http://go.microsoft.com/fwlink/p/?LinkId=183042), you must restart Word 2010 to see that the product has been activated, even though Office 2010 is in the licensed state. For more information about the ospp.vbs script, see Tools to configure client computers in Office 2010.

KMS client keys

All Office 2010 volume products have the KMS client keys preinstalled. If you entered a MAK key for a product and you want to change the activation method back to KMS, use the appropriate the KMS client key shown in the table later in this article. The recommended way to enter the key is by using VAMT 2.0 (http://go.microsoft.com/fwlink/p/?LinkId=183042). You can also use ospp.vbs /inpkey to enter the key. For more information about the ospp.vbs script, see Tools to configure client computers in Office 2010.

For Office 2010 suites, only one key is required for all the products in the suite. For example, if you use Microsoft Office Professional Plus 2010, you must enter only the Office Professional Plus 2010 key for the entire suite.

If you are deploying Microsoft Visio 2010, the key that you enter determines which features are available. For more information, see Deploy Visio 2010 in Deploy volume activation of Office 2010.

The following table shows the KMS client keys for the Office 2010 suites and stand-alone products.

Suites |  |
 | Office Professional Plus 2010 | VYBBJ-TRJPB-QFQRF-QFT4D-H3GVB
 | Office Standard 2010 | V7QKV-4XVVR-XYV4D-F7DFM-8R6BM
Stand-alone products |  |
 | Access 2010 | V7Y44-9T38C-R2VJK-666HK-T7DDX
 | Excel 2010 | H62QG-HXVKF-PP4HP-66KMR-CW9BM
 | SharePoint Workspace 2010 | QYYW6-QP4CB-MBV6G-HYMCJ-4T3J4
 | InfoPath 2010 | K96W8-67RPQ-62T9Y-J8FQJ-BT37T
 | OneNote 2010 | Q4Y4M-RHWJM-PY37F-MTKWH-D3XHX
 | Outlook 2010 | 7YDC2-CWM8M-RRTJC-8MDVC-X3DWQ
 | PowerPoint 2010 | RC8FX-88JRY-3PF7C-X8P67-P4VTT
 | Project Professional 2010 | YGX6F-PGV49-PGW3J-9BTGG-VHKC6
 | Project Standard 2010 | 4HP3K-88W3F-W2K3D-6677X-F9PGB
 | Publisher 2010 | BFK7F-9MYHM-V68C7-DRQ66-83YTP
 | Word 2010 | HVHB3-C6FV7-KQX9W-YQG79-CRY7T
Visio |  |
 | Visio Premium 2010 | D9DWC-HPYVV-JGF4P-BTWQB-WX8BJ
 | Visio Professional 2010 | 7MCW8-VRQVK-G677T-PDJCM-Q8TCP
 | Visio Standard 2010 | 767HD-QGMWX-8QTDB-9G3R2-KHFGJ

See Also

Concepts

Volume activation overview for Office 2010
Plan volume activation of Office 2010
Deploy volume activation of Office 2010
Tools to configure client computers in Office 2010
Troubleshoot common problems with the Volume Activation Management Tool (VAMT)

Other Resources

Office 2010 Volume Activation forum
Office 2010 forums


Troubleshoot SharePoint Workspace 2010

If you have problems while administering Microsoft SharePoint Workspace 2010, you may be able to resolve them by following prescribed steps. This article suggests resolutions to issues that you may encounter.

In this article:

  • SharePoint Workspace and SharePoint Server are not synchronizing correctly

  • SharePoint Workspace users receive messages about how to free disk space

SharePoint Workspace and SharePoint Server are not synchronizing correctly

Try one of the following:

  • Verify that SharePoint Workspace 2010 clients are accessing a correctly installed SharePoint Server 2010. Both SharePoint Server 2010 and SharePoint Workspace 2010 installations include Microsoft Sync Framework.

  • Verify that File Synchronization through SOAP over HTTP Protocol is enabled on SharePoint Server. Disabling File Synchronization through SOAP over HTTP Protocol prevents synchronization with SharePoint Workspace.

For additional assistance, see help for SharePoint Workspace at Microsoft Help and Support (http://go.microsoft.com/fwlink/p/?LinkID=15029).

SharePoint Workspace users receive messages about how to free disk space

To maintain performance, the number of documents that SharePoint Workspace users can store in SharePoint Workspace is limited to approximately 500 documents. If users exceed this limit, SharePoint Workspace displays a warning message every time users start SharePoint Workspace to remind them to free up disk space. If users continue to add files and their stored documents for all the SharePoint workspaces exceed 1,800, they will receive a warning message that states that only document properties will be downloaded to the workspace.

Users can ignore these messages and continue to work. However, this might affect performance. Users can reduce the number of documents that they have offline by deleting unused SharePoint workspaces, disconnecting from unused document libraries, or discarding local copies of documents.

See Also

Concepts

Configure and customize SharePoint Workspace 2010


Error codes for Office 2010 installations

Microsoft Office 2010 installations use Office 2010 Setup error codes when you enable verbose logging. The table in this article lists and describes the Microsoft Office 2010 those Setup error codes.

Office 2010 Setup error codes

If, during Setup, you receive one of the error messages that are listed in the table below, take the following steps:

  • Search for the error number in the Setup log file. If you find the error in the log file, look at the lines that precede the error number to find the line that indicates where Setup failed.

  • Search for the error number in the Microsoft Knowledge Base for a solution.

Note:

By default, Setup creates a standard log file and saves it as a text file in the %Temp% folder on the user's computer. If an installation fails, Setup creates a verbose log file in the same location, starting with the package that caused the failure. To change logging options, open the Config.xml file in Notepad and configure the <Logging> element. For more information, see Config.xml file in Office 2010.

Error code | Value | Description
CommandFailed | 30008 | One or more required Office components failed to complete successfully. For more information, consult the setup log file.
FileNotFound | 30020 | The file could not be found.
OutOfDiskSpace | 30062 | The install location you selected does not have enough free space. Free up space from the selected install location, or choose a different install location.
UnexpectedError | 30088 | An unexpected error has occurred.
ExternalCommandFailed | 30091 | One or more third-party programs failed to complete successfully. For more information, contact your system administrator.
SPDatabaseOverSize | 30092 | The existing installation contains more than 4GB of data. You must have less than 4GB of data in order to upgrade to a stand-alone installation of this product. Either reduce the size of the existing database or migrate the existing installation to a SharePoint farm configuration, and then re-run setup.


Collect data about Office installations by using Robust Office Inventory Scan

Robust Office Inventory Scan (ROIScan.vbs) is a Microsoft Visual Basic script that collects Office data and provides error detection and analysis options. When you run the script, a log file is created. The log file can be used to perform tasks such as the following:

  • Assess the installed Office configuration on users' computers

  • Get detailed data about the Office installation to reproduce the user's environment

  • Look for mismatched Office versions or configurations

  • Help troubleshoot Office software updates and installation issues

After the log file is created, it opens automatically. The default file name is <computer_name>_ROIScan.log and the default location is the current TEMP folder. To navigate to the Temp folder, click Start, click Run, and type %temp%. You must run this command as administrator.

In this article:

  • Download the script

  • Customize and run the script

  • Log file sections

  • FAQs

Download the script

ROIScan.vbs is available for download in the Office section of the Script Repository in the TechNet Script Center (http://go.microsoft.com/fwlink/p/?LinkId=217656).

To download the ROIScan.vbs script:

  1. Select Copy Code.

  2. Copy the code to a text editor such as Notepad.

  3. Save the file as ROIScan.vbs.

Customize and run the script

You can customize the INI section at the top of the ROIScan.vbs script. The following excerpt shows the INI section.

Copy Code
'=====================================================================
'[INI] Section for script behavior customizations

'Directory for Log output.
'Example: "\\<server>\<share>\"
'Default: sPathOutputFolder = vbNullString -> %temp% directory is used
sPathOutputFolder = ""

'Quiet switch.
'Default: False -> Open inventory log when done
bQuiet = False

'The script filters for products of the Microsoft Office family.
'Set this option to 'True' to a basic list of all products at the end of the inventory log
'Default: False -> Don't list other products in the log
bListNonOfficeProducts = False
…
'DO NOT CUSTOMIZE BELOW THIS LINE!
'======================================================================

The following table lists the command options that ROIScan.vbs supports. The syntax for using the commands is as follows:

ROIScan.vbs[Options]

The options are not case-sensitive.

Option | Description
/All | Lists both Office and non Office products.
/Full | Lists OfficeFeatures and FeatureStates. Lists all installed Office 2007 and Office 2010 products separately.
/Logfolder ["<Path>\<Folder>"] | Specifies a custom log folder.
/LogVerbose | Logs additional product details.
/Quiet | Prevents the log from opening when the script finishes.
/? | Displays ROIScan commands Help.

For example, to run the script and list non Office products, use the following syntax at the command prompt:

ROIScan.vbs /ALL

Note:

You must run the ROIScan.vbs script as Administrator. If you do not run the script with elevated permissions, you are prompted to run as Administrator.

To run the script

  1. Choose one of the following methods to run the script.

    • Double-click ROIScan.vbs.

    • To run the script from the command prompt, open a command prompt, right-click the command-prompt, and select Run as Administrator, locate the folder to which you saved the ROIScan.vbs script, and then type the following:

      ROIScan.vbs

      For example, if you saved the script to a folder named ROIScan on drive C, type the following commands at the command prompt:

      CD C:\ROIScan

      ROIScan.vbs

  2. To run the script with an optional command, use the syntax described in the preceding section. For example, to use verbose logging, type the following at the command prompt:

    ROIScan.vbs /LogVerbose

Log file sections

The ROIScan script includes the following sections in addition to the INI section listed earlier:

  • Title line

  • Computer

  • Review items

  • Products inventory

Title line

Indicates the script's title and the date and time that the log was created. Always verify that the time stamp matches the expected time to ensure that you review the correct log.

Example: Microsoft Customer Support Services - Robust Office Inventory - 5/3/2011 12:10:48 PM

Computer

Lists the current user and operating system specific data. This section only displays the data that is collected. No additional analysis is performed.

The following data is collected:

  • Windows Installer Version

  • ComputerName

    • OS Details

    • OS Name

    • SP #

    • Version

    • Codepage

    • Country Code

    • Language as LCID

    • System Type

  • Current User

    • Username

    • IsAdmin

    • SID

  • Logfile Name

  • ROI Script Build

  • Script Settings

  • Total Scan Time

Windows Installer version

The ROIScan.vbs script will work with computers that have at least Windows Installer version 2.x installed. For clients that run Windows Installer version 2.x, the script uses detection logic to remove as many limitations of Windows Installer 2.x as possible. Windows Installer 3.x has richer features and data. It is important to note the Windows Installer version that the client computers are running.

The ROIScan.vbs script does not use any features that require Windows Installer 4.x or later versions. For information about the released Windows Installer versions, see Released Versions of Windows Installer (http://go.microsoft.com/fwlink/p/?LinkID=201918)

Operating system

Lists details about the operating system. Review this section to ensure that there are no unexpected language configurations. A list of Locale ID (LCID) values is available on MSDN:

Locale IDs Assigned by Microsoft (http://go.microsoft.com/fwlink/p/?LinkId=218163)

The System Type entry reports if the operating system is a 32- or a 64-bit version.

Operating system MUI languages

A registry query returns a list of all installed and available user interface languages for the operating system.

  • For Windows 2003 and earlier versions, the registry key is HKLM\System\CurrentControlSet\Control\Nls\MUILanguages\

  • For Windows Vista and later versions, the registry key is HKLM\SYSTEM\CurrentControlSet\Control\MUI\UILanguages\

Current user

Provides information about the user who ran the script and created the log. The IsAdmin flag is not determined by a standard lookup. It is based on registry access permission checks.

The security identifier (SID) is useful if there are applications that are installed on a per-user basis. For example, this lets you check whether the application is installed for the current user or another user.

Log file name

Provides the location of the ROIScan.vbs script. The default location of the script is the current %TEMP% folder of the user who triggered the script.

ROI script build

Lists the ROIScan.vbs build number. The script is improved and its features are extended periodically.

Script settings

Lists the ROIScan.vbs command options that were used to run the script.

Total scan time

Lists the time that the script needed to complete the inventory.

The following example shows the Computer section of a log file (testclient_ROIScan.log in this case):

Copy Code
Computer
========
Windows Installer Version    5.0.7601.17105
ComputerName                 testclient
OS Details                   Microsoft Windows 7 Enterprise , SP 1, Version: 6.1.7601, Codepage: 1252, Country Code: 1, Language: 1033, System Type: X86-based PC
OS MUI Languages             en-US (1033)
Current User                 Username: DOMAINname\username, IsAdmin: True, SID: S-1-5-21-2127521184-1604012920-1887927527-2602236
Logfile Name                 C:\Users\username\AppData\Local\Temp\testclient_ROIScan.log
ROI Script Build             1.5.2
Script Settings              /Logfolder: C:\Users\username\AppData\Local\Temp\
Total scan time              10.4 s

****************************************************************************************************************************************************************

Review items

Whenever the script detects something that is worth pointing out, the information appears in the Review items section. There are three categories for review items: Note, Warning, and Error.

  • Note indicates that this information should be reviewed although it might not signify an issue that requires troubleshooting.

  • Warning suggests that something might not be functioning as expected. We recommend that you review this information to determine whether you should investigate further.

  • Error indicates that there is an issue. You must review this information.

The main purpose of the Review Items section is to indicate that certain products may have issues that should be reviewed in the Products Inventory section. The ProductCode is provided to ensure a unique pointer to the product.

Products inventory

The Product inventory section of the log file lists the details for each application within the product filter. The filter is based on the ProductCode (GUID). This ensures that only Office-based family products will appear in the log.

The data structure in the log includes the following entries:

  • <ProductName>

  • ProductVersion: Office build number.

  • ServicePack Level: Translates the preceding build number to a friendly Service Pack (SP) level RTM, SP1, SP2.

  • ProductCode: The product GUID.

  • Msi ProductName: The product name as listed in the .MSI package, for example, Microsoft Office Professional Plus 2010.

  • Configuration SKU: Office 2007 and later SKU reference, for example, Office14.PROPLUS.

  • InstallDate: The date the product was installed.

  • UserSid: Blank for per Machine installs, or user's SID for per User installs.

  • ProductContext: User or Machine.

  • ProductState: Installed or Advertised.

  • Transforms: Transform(s) .MST files that are used for the installation.

  • Original .msi Name: Original file name of the .MSI in the InstallSource.

  • Cached .msi Package: Name and path of the .MSI in the local Installer cache, for example, C:\Windows\Installer\b4f39.msi.

  • Build/Origin: Build / Origin entry from the Property .MSI table.

  • Package Code: Package Code GUID for the product.

  • Notes: Notes and Warnings for this product.

  • Errors: Errors for this product.

  • Config ProductName: Office 2007 and later configuration product name, for example, PROPLUS.

  • Config PackageID: Office 2007 and later configuration package ID, for example, ProPlusWW.

  • Chained Packages: List of Office 2007 and later chained packages for this suite.

  • Possible Licenses: Lists the Office 2010-specific license types for this suite.

  • Active License: Office 2010 specific field that has details about the active license.

  • Patch Baseline: Build version that a patch uses to determine whether its patch baseline is valid, for example, 14.0.4763.1000.

  • Post Baseline Sequences: Current patch family version levels.

  • Patchlist by product: List of patches .MSP files that are directly applied to the client.

  • Patches in InstallSource: Patches that were "slipstreamed" into the AIP (Administrative Installation Point).

  • InstallSource Type: Type of the installation source.

  • Initially Used Source: InstallSource that was used for the initial installation of the product, for example, C:\MSOCache\All Users\{90140000-0011-0000-0000-0000000FF1CE}-C\.

  • Last Used Source: InstallSource that was used the last time that the source was needed.

  • LIS Resiliency Source(s): Registered sources from which the local installation source (LIS) was created. These sources are used when the LIS has to be repaired.

  • Network Source(s): Registered non-web sources for this product.

  • FeatureStates: Listing of all Features and their FeatureState.

<ProductName>

Lists the name of the product as shown in Programs and Features in Control Panel. If this is not the default product name, it is a strong indication that the installation package was heavily customized. Review this section carefully to ensure that the customizations are supported.

ProductVersion

This is the Office build number that Windows Installer uses. Be aware that individual file versions may vary. If you click the application's File tab, and then click Help, you may see other values for the product ID under the Product Activated suite name or About program name section.

The ProductVersion is the version that is used for patching. For more information, see KB 328294 The About Microsoft <Program name> dialog box reports a service pack version that is different from what is expected in Office XP and in Office 2003 (http://go.microsoft.com/fwlink/p/?LinkId=218895).

ServicePack Level

The ROIScan.vbs script uses custom logic to translate the Office build version to the related service pack level. It uses common terms such as RTM, SP1, SP2, SP3. For applications that are only released as web downloads, this logic does not apply. To indicate this in these cases, the build versions are indicated as "Web Release."

For information about how to check the version of Office, see the following KB articles:

  • For Office XP: How to check the version of Office XP (http://go.microsoft.com/fwlink/p/?LinkId=218896).

  • For Office 2003: How to check the version of Office 2003 products (http://go.microsoft.com/fwlink/p/?LinkId=218897).

ProductCode

GUID of the product, which is the key identifier for the product. This is useful if you have to get or identify the ProductCode for command line operations. For example, to run Windows Installer commands such as msiexec /i <ProductCode>.

For information about the product GUID numbering scheme, see the following KB articles:

  • Office 2000: Description of the numbering scheme for the product code GUIDs in Office 2000 (http://go.microsoft.com/fwlink/p/?LinkID=218898).

  • Office XP: Description of the numbering scheme for product code GUIDs for Office XP programs (http://go.microsoft.com/fwlink/p/?LinkId=218899).

  • Office 2003: Description of numbering scheme for product code GUIDs in Office 2003(http://go.microsoft.com/fwlink/p/?LinkId=218900).

  • Office 2007: Description of the numbering scheme for product code GUIDs in 2007 Office suites and programs (http://go.microsoft.com/fwlink/p/?LinkId=218902).

Msi ProductName

Lists the ProductName as returned by the Windows Installer API. This is used if the product name cannot be retrieved from Programs and Features in Control Panel.

Configuration SKU

The short reference name for the product as it is used in the Config.xml file, for example, Office14.PROPLUS.

InstallDate

Lists the installation date. The following format is used: YYYYMMDD. This is available in Windows Installer 3.x and later versions.

UserSid

Office is usually installed on a per-computer basis. In such cases, the UserSid has an empty string. If a product is installed in a per-user context, the user's SID is associated with the installed instance of the product. In the per-user case, an application might be listed several times, one time for each user SID.

ProductContext

Installer based products can be installed either per-user or per-computer. This line lists the context of the product. Office 2007 and Office 2010 only allows the per-computer context.

Example: ProductContext Machine

ProductState

Windows Installer can differentiate between the following four product installation states:

  • UNKNOWN The product is not advertised or installed.

  • ADVERTISED The product is advertised but not installed.

  • ABSENT The product is installed for a different user.

  • DEFAULT The product is installed for the current user.

Everything other than the DEFAULT state, which will be listed as "Installed" in the log, is very rare.

Transforms

Microsoft Office 2000 through Office 2003 used transforms (.mst) files as default methods for customizing the Office configuration. Although it is possible to use more than one transform, we do not recommend this practice.

Original .msi Name

Lists the .MSI file name of the .MSI in the InstallSource. For some Office versions, the volume license SKUs use a different naming convention from the retail product SKUs. If you are trying to reproduce an issue, the Original .msi Name provides the first hint about which file you need. However, it is not as reliable as the ProductCode and the Build/Origin values.

Cached .msi Package

Windows Installer caches a local copy of each installed .MSI package. The file is renamed by using a random file name. Since there can be many files in the local Windows Installer cache, Cached .msi Package can be useful if you have to locate a specific file. If the locally cached file is missing for an installed application, the application is unmanageable.

Build/Origin

The Build/Origin values are stored in the Property table of the .MSI file. The values are not consistently available in all versions of Office so the two properties (Build and Origin) have been combined in a single line in the ROIScan log file. This is an essential piece of information if you have to identify the exact media to reproduce an installation issue.

To better illustrate this issue, look at the following two expressions from the English version of Office 2003 Professional:

  • 5608_0\x86\ship\1033\pro11 / 5614.0_o11pro_CBXS_ENG

  • 5608_0\x86\ship\1033\pro11 / 5614.0_o11sel_CBXS_ENG

The first value is from media that only contains the "Professional" version of the product. The second value is from "Select" media which combines all Office suites and stand-alone products.

The Build property lists the following information: "<Build>\<Architecture>\<ship/debug>\<LCID>\<SKU>". Note that this <Build> reference is not in ProductVersion.

The Origin property lists the following information: "<Build>_<Product>_<Market>_<Language>".

The <Market> entry contains the following information:

  • [Media], which can be one of the following values: C = Compressed, D = Uncompressed, P = Patch, S = Self, or W = IExpress package

  • [Version], which can be one of the following values: B=Bypass, E= Enterprise, N = Non-Bypass, O = OEM, P= PIPC, R= Retail, S = Select, or T = Trial

  • [Patch Type] or [Platform], which can be one of the following values: R = Roll up, S = Single, or X = x86

  • [Ship/Debug], which can be one of the following values: S = Ship, or D = Debug

Package Code

The package code is a GUID that identifies a particular Windows Installer package. The package code associates an .MSI file with an application or product and is also used for the verification of sources.

If the Package Code that is registered for a product does not match the one in the InstallSource, that source cannot be accepted as a valid InstallSource.

For more information about the Package Code, see Package Codes (http://go.microsoft.com/fwlink/p/?LinkId=218918) in the MSDN Library.

Notes

Notes and Warnings issues that were encountered for this product are listed in this section. Items that are listed in the Notes section do not necessarily mean that something is wrong with the installation or that it is in a bad state. However, it is worth reviewing the information that is listed here.

Error

Errors encountered for this product are listed here. An error indicates that something is wrong and should be reviewed.

Config ProductName

This is an Office-specific value that was introduced with Office 2007. Some maintenance operations require that this value be specified in the command line. Examples include the /modify and the /uninstall Setup command-line switches. For information about Setup commands, see Setup command-line options for the 2007 Office system (http://go.microsoft.com/fwlink/p/?LinkId=218920).

Config PackageID

This is an Office-specific value. It helps identify which package in the Office 2007 multiple .MSI architecture is the actual core package for the product.

Chained Packages

The Chained Packages section lists all .MSI packages related to the Office 2007 product.

Starting with the 2007 Office system release, Microsoft introduced a multiple .MSI architecture. If you have multiple Office products installed, it might be difficult to identify which .MSI belongs to the installed applications. To help you keep track of the ProductVersion of chained packages, the individual version information is listed for each chained package.

This category also lists applications that were configured as Not Available. Every .MSI file that is part of the product will be installed. However, some application features in the .MSI may be configured as Not Available.

Possible Licenses

Starting with the Office 2010 release, Office uses the same activation technology as Windows. All license types that the product can support are listed in this section.

Active License

Lists which of the possible product license SKUs is the active one that was selected for this product. Active License provides additional details, depending on the type of the active license type.

Patch Baseline

To determine whether a patch can be applied to a product, Windows Installer checks the current ProductVersion (build). The .msp package is applied only if the detected ProductVersion matches a build version that the patch can handle. This is the same as the ProductVersion and is repeated for improved usability of the log.

Post Baseline Sequences

Starting with Windows Installer 3.x, the "Patch Sequences" were introduced to allow improved patching capabilities. This section lists the patch family numbers that are higher than the current baseline.

Patches by product

List of all patches where the .MSP file was directly applied on the client. Depending on the version of Windows Installer, the details that can be listed vary. Windows Installer version 3.x and later versions, provide a richer set of details than Windows Installer 2.x.

Each line lists the following information:

  • <KB Reference>

  • <PatchState>: State values are Applied or Superseded.

  • <PackageName>: Original patch name.

  • <PatchSequence>: Patch sequence number.

  • <Uninstallable>: Indicates if the patch can be uninstalled.

  • <InstallDate>: Date the patch was installed. Uses YYMMDD format.

  • <PatchCode>: Unique identifier for this patch.

  • <LocalPackage>: Path and name to the file in the local Windows Installer cache.

  • <PatchTransform>: Reference to the patch embedded transform used.

  • <Displayname>: Title of the patch.

  • <MoreInfoUrl>: Link to patch documentation.

Patches in InstallSource

In Office 2000 through Office 2003, the products enabled you to create an Administrative Installation Point (AIP). For those versions of Office, you can apply patches to the AIP. This is known as "Slipstreaming." There are rules that apply to AIP patching that you should know about. For more information, see Strategies for Updating Office 2003 Installations (http://office.microsoft.com/en-us/ork2003/HA011525741033.aspx).

Note:

If you deploy Office 2000 or Office 2003 from an Administrative Installation Point and you never update the image, you can distribute client patches directly to users, as long as they have reliable access to the original, unpatched source on the network. However, after you patch an administrative image, you are committed to updating that image and re-caching and reinstalling Office on users' computers in the future. To help ensure that the update process works correctly over time, decide on one method of updating Office 2000 and Office 2003 clients.

If you are applying client updates between service packs, as an efficient alternative to re-caching and reinstalling Office with every new release of critical updates or security updates, you can distribute these interim updates directly to clients, even if they rely on an administrative image as a source. You must first have established all users on the most recent baseline of Office 2003.

Note that you cannot use the same tactic to deploy the service packs themselves. The client versions of service packs require a source at the original release level — such as an unpatched administrative image or a local installation source.

The following KB articles document how to find Office updates:

  • How to find Office 2000 updates (http://go.microsoft.com/fwlink/p/?LinkId=218934).

  • How to find Office XP updates (http://go.microsoft.com/fwlink/p/?LinkID=218936)

  • How to find Office 2003 updates (http://go.microsoft.com/fwlink/p/?LinkId=218937).

InstallSource Type

Helps to identify the type of installation source on which the product is based. The possible values are as follows:

  • Original source using long file names

  • Original source using short file names

  • Compressed source files using long file names

  • Compressed source files using short file names

  • Administrative image using long file names

  • Administrative image using short file names

For Office products, we usually have the CD (or a 1:1 flat copy of the CD to a network location) in compressed format.

The "Administrative Image" or the Administrative Installation Point (AIP) is very popular with Office 2000 and Office 2003. Most Office products default to short file names for the AIP.

Initially Used Source

When a product is first installed, the product registers ProductInfo values. Initially Used Source registers the path from which Windows Installer invoked the installation.

Last Used Source

When a patch or maintenance operation has to access the installation source, it tries to use the source that is listed as Last Used Source first. If the source is not available and another source has to be used, that source will then be registered as the last used source.

LIS Resiliency Source(s)

Lists the registered sources from which the local installation source (LIS) was created. For LIS-based installations, that may show the actual initially-used source. In cases when the LIS has to be repaired, setup.exe tries to access these locations to restore the LIS.

Network Source(s)

Network sources are basically all sources other than CD/DVD drive sources and also include local hard drives. This is an optional list of sources that can be used if the last used source is not available. By default it does not have additional (more than one) sources listed.

FeatureStates

This option only appears in the log if the /Full switch is enabled. Features and the current FeatureState (in brackets) are shown in a sorted structure. For example:

Copy Code
FeatureStates
Converter12Dependencies (Local)
      Oice_QFE (Local)
Converter12DependenciesIntl_1033 (Local)
      ExcelConverter12Files (Local)
      ExcelConverter12Intl_1033 (Local)
      PPTConverter12Files (Local)
      PPTConverter12Intl_1033 (Local)
      WordConverter12Files (Local)

FAQs

Who can I contact for questions on ROIScan.vbs?

For ROIScan.vbs script support issues, send an email message to ROIScan_Feedback@microsoft.com.

Does the script cover Office server products?

Yes, the ROIScan.vbs script also works on Office server products.

Is the script 64-bit aware?

Yes.

On Windows Vista the script always reports the Web Folders Update as "Office application without entry point in Add or Remove Programs - Microsoft Software Update for Web Folders (English) 12 - {90120000-0010-0409-0000-0000000FF1CE}"

This is a known issue that occurs when the following update is applied to computers that run Windows Vista: Description of the Software Update for Web Folders: May 18, 2007 (KB 907306 at http://go.microsoft.com/fwlink/p/?LinkId=217651).

Does the script run with user privileges or do I have to be an administrator?

The ROIScan.vbs script requires Administrator privileges and must be run as Administrator on computers that run Windows Vista and later versions of the Windows operating systems.

On Windows Vista the script always shows errors

The ROIScan.vbs script must be run from an elevated command prompt on computers that run Windows Vista.

I get a Windows Script Host error

Error: Windows Script Host - Can't find script engine "VBScript" for script "ROIScan.vbs".

Cause: This error indicates that the VBScript.dll is not registered.

Resolution: To resolve this issue, you must register the VBScript.dll.

To register the VBScript.dll

  1. Click Start, click Run, and then type the following command:

    regsvr32 %windir%\system32\vbscript.dll

  2. Press Enter.

    A RegSvr32 message is displayed: "DllRegisterServer in C:\Windows\system32\vbscript.dll succeeded."


Error codes for Office 2010 update packages

Published: August 11, 2011

Administrators can use Setup logs to help troubleshoot errors in Office 2010 software update packages (sometimes called patches). This article lists the error codes for Office 2010 software updates and explains how to use Microsoft self-extractor logs to troubleshoot errors.

In this article:

  • Error codes used by software update packages

  • Using Microsoft Self-Extractor logs to troubleshoot errors

Error codes used by software update packages

The following table lists the error codes that may be used by Office 2010 update packages. These error codes are available within executable files from service packs and public updates only. You can find the codes in the software update (patch) log files. They are typically used in custom Microsoft System Center Configuration Manager 2007 and third-party deployment scripts, and software update installation scripts.

Error message | Value
Success | = 0
Error: General Detection error | = 17301
Error: Applying patch | = 17302
Error: Extracting file | = 17303
Error: Creating temp folder | = 17021
Success: Reboot flag set | = 17022
Error: User cancelled installation | = 17023
Error: Creating folder failed | = 17024
Patch already installed | = 17025
Patch already installed to admin installation | = 17026
Installation source requires full file update | = 17027
No product installed for contained patch | = 17028
Patch failed to install | = 17029
Detection: Invalid CIF format | = 17030
Detection: Invalid baseline | = 17031
Error: Required patch does not apply to the machine | = 17034
You do not have sufficient privileges to complete this installation for all users of the machine. Log on as administrator and then retry this installation. | =17038
Installer was unable to run detection for this package. | =17044
This installation requires Windows Installer 3.1 or greater. | =17048

Using Microsoft Self-Extractor logs to troubleshoot errors

Administrators can use Setup log files to help troubleshoot errors. Setup logs are not automatically created during the installation of the Office 2010 updates. To generate the Microsoft Self-Extractor logs, you must use the /log switch and the path of a specific log file.

To create a log for an Office 2010 SP1 package, type the following at the command prompt:

Office2010SP1ClientUpdateFilename /log:%temp%\Logfilename.txt

where:

  • Office2010SP1ClientUpdateFilename is the Office 2010 SP1 Microsoft Self-Extractor file (.exe). For example, officesuite2010sp1-kb2460049-x86-fullfile-en-us.exe.

  • %temp% refers to the Windows temp folder. The /log command does not create a folder, so using the %temp% folder ensures that the location always exists.

  • LogFilename.txt represents the log file name which you must provide. For example, Office2010SP1SetupLog.txt.

Example

For example, if the Office SP1 file name that you are using is officesuite2010sp1-kb2460049-x86-fullfile-en-us.exe and the log file that will contain the results is named Office2010SP1SetupLog.txt, you would type the following command:

officesuite2010sp1-kb2460049-x86-fullfile-en-us.exe /log:%temp%\Office2010SP1SetupLog.txt

In addition to the file name that is specified, other log files are created, based on the software updates that the Microsoft Self-Extractor file installs. When you use the /log command, a log file is created for every .msp package that is contained in the Microsoft Self-Extractor file (.exe).

The following table lists the log files that are created for the Office 2010 SP1 files by using the command in the above example. It also lists the logs files that are created for Microsoft Project 2010 SP1, Microsoft SharePoint Designer 2010 SP1, and Microsoft Visio 2010 SP1.

Office 2010 SP1 client update | Log files
officesuite2010sp1-kb2460049-x86-fullfile-en-us.exe | clientsharedmuisp1-en-us_MSPLOG.LOG officesuitemuisp1-en-us_MSPLOG officesuitewwsp1-x-none_MSPLOG.LOG proofingsp1-en-us_MSPLOG.LOG proofsp1-en-us_MSPLOG.LOG proofsp1-es-es_MSPLOG.LOG proofsp1-fr-fr_MSPLOG.LOG Office2010SP1SetupLog.txt
project2010sp1-kb2460052-x86-fullfile-en-us.exe | projectwwsp1-x-none_MSPLOG.LOG projectmuisp1-en-us_MSPLOG.LOG Project2010SP1SetupLogFiles.txt
sharepointdesigner2010sp1-kb2460057-x86-fullfile-en-us.exe | sharepointdesignerwwsp1-x-none_MSPLOG.LOG sharepointdesignermuisp1-en-us_MSPLOG.LOG SharePointDesigner2010SP1SetupLogFiles.txt
visio2010sp1-kb2460061-x86-fullfile-en-us.exe | visiowwsp1-x-none_MSPLOG.LOG visiomuisp1-en-us_MSPLOG.LOG Visio2010SP1SetupLogFiles.txt

Failure messages

For failures, it is important to check the log file that is specified on the command line. If one of the software updates within the Microsoft Self-Extractor fails, an error code such as the following appears near the end of the log file:

OPatchInstall: Property 'SYS.PROC.RESULT' value '17031'

This code indicates that the version of the Office installation does not match the version that is expected. The software update is not applied.

A successful installation is indicated by a line such as the following:

OPatchInstall: Property 'SYS.PROC.RESULT' value '0'

Computer restart messages

The log files can also provide information about a request to restart the computer at the end of an installation. In such cases, the log file indicates that the restart is necessary, as shown next:

OPatchInstall: Property 'SYS.PATCH.NEEDREBOOT' value '1'

To obtain information about why the restart is required, you must review the officesuitewwsp1-x-none_MSPLOG.LOG file. If a different package is being installed, review the <product>wwsp1-x-none_MSPLOG.LOG file for the product that is being installed. To find the information, open the file by using a text editor such as Notepad, and search for this text (in Notepad, click Find on the Edit menu): "being held in use". Then repeat the search.

When a restart is required, a message such as the following might be displayed:

"MSI (s) (F4:34) [16:34:37:904]: Product: Microsoft Office Professional Plus. The file C:\Program Files\Common Files\Microsoft Shared\OFFICE14\RICHED20.DLL is being held in use by the following process Name: searchprotocolhost , Id 3128."

In this example, the message indicates that the RICHED20.DLL file could not be updated because Microsoft Desktop Search was using that file. In some cases, you may be prompted to restart a process that was using a file during the update installation.

See Also

Concepts

Distribute product updates for Office 2010


Troubleshoot common problems with the Volume Activation Management Tool (VAMT)

Published: January 31, 2012

You can solve problems that you may encounter when you deploy the Volume Activation Management Tool (VAMT). This article focuses on solutions for the five most common problems. You can find more information about problems and solutions on the Office Volume Activation forum (http://go.microsoft.com/fwlink/p/?LinkId=238326).

In this article:

  • A valid KMS key is shown as not valid

  • Error message: "Access is denied"

  • Error message: "An item with the same key has already been added"

  • Error message: "Unable to connect to the WMI service on the remote machine"

  • VAMT does not work through a proxy server

A valid KMS key is shown as not valid

You successfully enter a valid Key Management Service (KMS) key on a host server. Then, when you enter the key on other servers, VAMT indicates that the key is not valid.

This occurs because the KMS key is used only for setting up KMS host computers. For example, if you install the key on a Windows Server 2008 R2 datacenter computer, the Windows Server 2008 R2 KMS clients are automatically activated. You should install the key only on those computers that you want to use as activation servers on the network.

For more information about which product key to use with your version of Windows Server, visit the following Microsoft websites:

Determine Product Key Needs (http://go.microsoft.com/fwlink/p/?LinkId=238327)

KMS Host Keys to Products Activated (http://go.microsoft.com/fwlink/p/?LinkId=238328)

Error message: "Access is denied"

When you update the status of a server that has VAMT installed, you receive the following error message:

Access is denied

This issue may occur when DCOM is disabled on the server.

Error message: "An item with the same key has already been added"

When you open a Computer Information List (.cil) in VAMT 2.0, you may receive the following error message:

An item with the same key has already been added.

This issue may occur if there are multiple network adapters in the computer and these networks adapters have the same MAC address. For more information about how to resolve this issue, see KB 2383895: "An item with the same key has already been added" error when you open a list in VAMT 2.0 on a Windows 7-based computer (http://go.microsoft.com/fwlink/p/?LinkID=238329).

Error message: "Unable to connect to the WMI service on the remote machine"

When you update the status of a computer that has VAMT installed, you receive the following error message:

Unable to connect to the WMI service on the remote machine

This error indicates that VAMT cannot locate the remote computer, cannot establish a WMI (DCOM) connection to it, or cannot connect to the software licensing service. The most common cause of this error is a firewall that is blocking the VAMT connection. Other possible causes are that DCOM is not enabled or that it is configured incorrectly on one or more remote computers.

VAMT does not work through a proxy server

VAMT activation may be unsuccessful when you connect to the Internet through a proxy server for which Basic authentication is enabled. When the proxy server requires authentication, the VAMT activation user interface does not let you enter your credentials.

To resolve this issue, configure the proxy server to disable Basic authentication. For more information, see KB 921471: Activation fails when you try to activate Windows Vista, Windows 7, Windows Server 2008 or Windows Server 2008 R2 over the Internet (http://go.microsoft.com/fwlink/p/?LinkID=238332).

See Also

Concepts

Troubleshoot volume activation for Office 2010

Other Resources

Configuring DNS
Office Volume Activation


Troubleshoot Outlook 2010 Cached Exchange Mode

Published: March 20, 2012

You can solve problems that you may encounter when you set up or use Cached Exchange Mode in Microsoft Outlook 2010.

This article describes Cached Exchange Mode issues that you might face and provides help for resolving them. For more information, see the Outlook IT Pro Discussions (http://go.microsoft.com/fwlink/p/?LinkId=242464 ) forum.

Issues:

  • Too much disk space is being used for Cached Exchange Mode on the Remote Desktop Server

  • You receive a "sync issues" error message when you send email messages

  • Items appear to be expired in Outlook but are not removed by Exchange Server

Too much disk space is being used for Cached Exchange Mode on the Remote Desktop Server

If, in a Microsoft Exchange Server 2010 environment, you are running Microsoft Office 2010 on clients that are running either Windows Server 2008 R2 or Windows 7, you may want to disable Cached Exchange Mode for Remote Desktop Server. Users who have portable computers must have Cached Exchange Mode enabled. However, when they log on to the Remote Desktop server, their .ost files are copied as part of their profiles. As a result, too much disk space is used. In this case, it is best to keep Cached Exchange Mode for the clients but disable it for the Remote Desktop server.

To do this, on a Group Policy object (GPO) that is specific for Terminal Servers, set the Use Cached Exchange Mode for new and existing Outlook profiles policy setting to Disabled. You can find this policy setting in the Group Policy object editor, under User Configuration\Administrative Templates\Microsoft Office Outlook 2010\Account Settings\Exchange\Cached Exchange Mode. For more information about how to edit a GPO, see Editing a GPO.

This process sets the following registry key value:

HKEY_CURRENT_USER\Software\Policies\Microsoft\office\14.0\outlook\cached mode

Enable = 0

For more information about Group Policy, see Use Group Policy to enforce Office 2010 settings.

For more information planning for Cached Exchange Mode in Remote Desktop Server, see Cached Exchange Mode in a Remote Desktop Session Host environment: planning considerations (http://go.microsoft.com/fwlink/p/?LinkId=246396).

You receive a "sync issues" error message when you send email messages

You might receive a "sync issues" error message when you send an email message by using Outlook 2010 with Cached Exchange Mode enabled. It occurs shortly afterward, when an error is logged in the Sync Issues folder.

You can work around this issue by stopping the Modification Resolution logs, which provide a description of the actions that Outlook took during a conflict situation. To stop the Modification Resolution logs, configure a registry key as described in the following table, and set the value to 0:

Key | HKEY_CURRENT_USER\ Software\Microsoft\Office\14.0\Outlook\Options
DWORD | EnableConflictLogging
Values | 0 = Never save Modification Resolution logs 1 = Always save Modification Resolution logs 2 = Save Modification Resolution logs when a "critical conflict" occurs

Items appear to be expired in Outlook but are not removed by Exchange Server

This issue occurs when Outlook 2010 is running in Cached Exchange Mode with a retention policy that is applied to a folder (for example, the Deleted Items folder). This policy requires items to expire and be removed from the folder after a certain time. When you use Outlook to view the folder, items that are older than this expiration date appear to be expired as expected. However, these items are not removed from the server. (You will notice this if you use Outlook Web Access to look at the folder.)

This issue occurs because Outlook calculates the expiration date when Outlook is in Cached Exchange Mode (or offline mode), while Exchange Server specifies the expiration date when Outlook is in online mode. When you work in online mode, the issue is not present.


Technical reference for Office 2010

Published: May 12, 2010

Technical details about Microsoft Office 2010 Setup properties and command-line options, XML file formats, the Office Customization Tool (OCT), and the Config.xml file are described in articles that are in the following table. Articles about the languages that are available in Office 2010 and reference information for the Office Migration Planning Manager (OMPM), Microsoft Outlook 2010, and SharePoint Workspace 2010 are also included.

In this documentation:

Article | Description
Setup reference for Office 2010 | Provides information about the Setup properties, commands, customization tool, and configuration file that administrators use to customize a Microsoft Office 2010 client installation.
File format reference for Office 2010 | Provides information about the file formats that are supported in Microsoft Office 2010, including the Open XML Formats.
International reference for Office 2010 | Provides information about companion proofing languages for each language in Microsoft Office 2010, the language tags and identifiers that might be needed to configure Setup, and the recommended base languages to install.
Office Migration Planning Manager reference for Office 2010 | Provides reference information about the Office Migration Planning Manager (OMPM) for Microsoft Office 2010.
Messaging reference for Outlook 2010 | Provides information about factors to consider when you configure and deploy Microsoft Outlook 2010 in an organization, including attachment file types that are restricted by Outlook 2010.
SharePoint Workspace 2010 reference | Describes how to use the Office Customization Tool (OCT) and Group Policy to customize an installation of Microsoft SharePoint Workspace 2010.


Setup reference for Office 2010

Learn about the Setup properties, commands, customization tool, and configuration file that administrators can use to customize a Microsoft Office 2010 client installation.

In this documentation:

Article | Description
Setup properties in Office 2010 | Describes the setup properties, options in the Office Customization Tool (OCT), and elements in the Config.xml file that can be used in the installation of Office 2010.
Setup command-line options for Office 2010 | Describes the command-line options that Setup recognizes in the installation of Office 2010.
Config.xml file in Office 2010 | Describes how to use the Config.xml file to customize an installation of Office 2010.
Office Customization Tool in Office 2010 | Describes how to use the Office Customization Tool (OCT) to customize an installation of Office 2010.
Config.xml file OptionState ID values for Office 2010 | Describes the IDs that are used for the OptionState element of the Office 2010 Config.xml file. The OptionState element specifies how specific product features are handled during installation.


Setup properties in Office 2010

Published: May 12, 2010

Most of Windows Installer properties that were previously used to customize and control Office installations were replaced in the 2007 Microsoft Office system by options in the Office Customization Tool (OCT) or elements in the Config.xml file. The following information also applies to Microsoft Office 2010.

In versions of Microsoft Office earlier than the 2007 Microsoft Office system, you used Windows Installer properties to customize and control the Office installation. The Setup process was redesigned in the 2007 Microsoft Office system release, and most of these functions were replaced by options in the Office Customization Tool (OCT) or elements in the Config.xml file. The following information also applies to Microsoft Office 2010.

In this article:

  • Property quick reference

  • Available properties

  • Replaced properties

  • Blocked properties

  • Office activation

Property quick reference

The following table summarizes the recognized Windows Installer properties that you might have used in versions of Office earlier than the 2007 Office system. The table shows if the functionality of that property is blocked and replaced by options in the OCT or Config.xml, or if the property is available for use. More detail is provided in the following sections.

Property | Use in Office 2010
ADDDEFAULT | Replaced
ADDLOCAL | Replaced
ADDSOURCE | Replaced
ADVERTISE | Replaced
ALLUSERS | Blocked
ARPAUTHORIZEDCDFPREFIX | Replaced
ARPCOMMENTS | Replaced
ARPCONTACTS | Replaced
ARPHELPLINK | Replaced
ARPHELPTELEPHONE | Replaced
ARPINSTALLLOCATION | Replaced
ARPNOMODIFY | Replaced
ARPNOREMOVE | Replaced
ARPNOREPAIR | Replaced
ARPPRODUCTICON | Replaced
ARPREADME | Replaced
ARPSIZE | Replaced
ARPSYSTEMCOMPONENT | Replaced
ARPURLINFOABOUT | Replaced
ARPURLUPDATEINFO | Replaced
CCP_DRIVE | Replaced
COMPADDLOCAL | Replaced
COMPADDSOURCE | Replaced
COMPANYNAME | Replaced
DISABLEROLLBACK | Blocked
EXECUTEACTION | Blocked
EXECUTEMODE | Blocked
FILEADDDEFAULT | Replaced
FILEADDLOCAL | Replaced
FILEADDSOURCE | Replaced
HIDEUPDATEUI | Available
INSTALLLEVEL | Blocked
INSTALLLOCATION | Replaced
LIMITUI | Replaced
LOGACTION | Blocked
MEDIAPACKAGEPATH | Blocked
NOCOMPANYNAME | Replaced
NOUSERNAME | Replaced
PIDKEY | Replaced
PRIMARYFOLDER | Available
PROMPTROLLBACKCOST | Blocked
REBOOTPROMPT | Blocked
REINSTALL | Blocked
REMOVE | Replaced
ROOTDRIVE | Available
SEQUENCE | Blocked
SETUP_REBOOT | Available
SOURCELIST | Replaced
TARGETDIR | Replaced
UNINSTALL | Blocked
USERNAME | Replaced

Available properties

The following properties can be used when you install Office 2010 (and the 2007 Office system):

  • HIDEUPDATEUI - If set to True, hides the Check for Updates button on the completion dialog box. This property is ignored if the completion dialog box is not displayed. The default value is False.

  • PRIMARYFOLDER - Designates a primary folder for the installation.

  • ROOTDRIVE - Specifies the default drive for the destination folder of the installation. The value for this property must end with '\'.

  • SETUP_REBOOT - Determines how Setup restarts the computer after installation. You must use all uppercase letters, SETUP_REBOOT.

    • AutoAlways - Always initiate a restart. Do not prompt the user.

    • Always - Always prompt for a restart at the end of Setup.

    • IfNeeded - Prompt for a restart at the end of Setup, if Setup requires a restart. (Default)

    • AutoIfNeeded - Initiate a restart, if Setup requires a restart. Do not prompt the user.

    • Never - Never initiate or prompt for a restart.

You set these properties in the Modify Setup properties page of the OCT, or the Setting element in the Config.xml file.

Replaced properties

A number of Windows Installer properties are replaced by options in the OCT or in the Config.xml file. Some properties are not applicable in Office 2010 (or in the 2007 Office system) because of Setup design changes that were introduced in the 2007 version of the product. All of these properties are blocked by Setup. That is, if you specify any of these properties in the OCT Modify Setup properties page, or with the Config.xml Setting element, Setup will end the installation.

The following table lists blocked properties whose functions are replaced by options in the OCT or by elements in the Config.xml file.

Property | Replacement OCT option | Replacement Config.xml element
SOURCELIST (in LIS element) | Additional network sources | SOURCELIST attribute in LIS element
COMPANYNAME | Installation location and organization name | COMPANYNAME element
INSTALLLOCATION | Installation location and organization name | INSTALLLOCATION element
TARGETDIR | Installation location and organization name | INSTALLLOCATION element
LIMITUI | Licensing and user interface | Display element
PIDKEY | Licensing and user interface | PIDKEY element
ARPAUTHORIZEDCDFPREFIX | None | ARP element
ARPCOMMENTS | None | ARP element
ARPCONTACTS | None | ARP element
ARPHELPLINK | None | ARP element
ARPHELPTELEPHONE | None | ARP element
ARPINSTALLLOCATION | None | ARP element
ARPNOMODIFY | None | ARP element
ARPNOREMOVE | None | ARP element
ARPNOREPAIR | None | ARP element
ARPPRODUCTICON | None | ARP element
ARPREADME | None | ARP element
ARPSIZE | None | ARP element
ARPSYSTEMCOMPONENT | None | ARP element
ARPURLINFOABOUT | None | ARP element
ARPURLUPDATEINFO | None | ARP element
NOCOMPANYNAME | None | None
NOUSERNAME | None | None
USERNAME | None | USERNAME element
ADDDEFAULT | Set feature installation states | OptionState element
ADDLOCAL | Set feature installation states | OptionState element
ADDSOURCE | Set feature installation states | OptionState element
ADVERTISE | Set feature installation states | OptionState element
COMPADDLOCAL | Set feature installation states | OptionState element
COMPADDSOURCE | Set feature installation states | OptionState element
FILEADDDEFAULT | Set feature installation states | OptionState element
FILEADDLOCAL | Set feature installation states | OptionState element
FILEADDSOURCE | Set feature installation states | OptionState element
REMOVE | Set feature installation states | OptionState element

The following properties are replaced by Setup command-line options for Office 2010:

  • REINSTALL - Use the Setup /repair command-line option.

  • UNINSTALL - Use the Setup /uninstall command-line option.

Blocked properties

The following properties are no longer applicable in Office 2010 (and in the 2007 Office system) and are blocked. That is, if you specify these properties in the OCT Modify Setup properties page, or with the Config.xml Setting element, Setup will end the installation.

  • ALLUSERS (All installations of Office 2010 and the 2007 Office system are per-computer.)

  • DISABLEROLLBACK

  • EXECUTEACTION

  • EXECUTEMODE

  • INSTALLLEVEL

  • LOGACTION

  • MEDIAPACKAGEPATH

  • PROMPTROLLBACKCOST

  • REBOOTPROMPT

  • SEQUENCE

Office activation

The Microsoft policy for Office 2010 requires the activation of all editions of Office 2010, including those obtained through a Volume Licensing program. This requirement applies to Office 2010 running on both physical computers and virtual computers. Activation is not required for any Office 2010 server products, including Microsoft SharePoint Server 2010, Microsoft Project Server 2010, or for any version of Microsoft Exchange Server.

Office Activation Technologies provide the following methods for activating products licensed under Microsoft Volume Licensing programs:

  • Key Management Service (KMS) - KMS uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation.

  • Multiple Activation Key (MAK) - With a MAK, clients activate Office 2010 online by using the Microsoft hosted activation servers or by telephone.

  • A combination of KMS and MAK.

For more information about the licensing options in Office 2010, including instructions for configuring the KMS host and port number, see the Volume activation overview for Office 2010 and Volume activation quick start guide for Office 2010.

For information about Office 2010 product activation via the Internet or phone for non-volume licensed versions of Office 2010 products, see "Activate Microsoft Office programs" on the Office Online Web site.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010
Setup command-line options for Office 2010


Setup command-line options for Office 2010

The Setup.exe command line is used for very few operations in the Microsoft Office 2010 (as in the 2007 Microsoft Office system). Setup recognizes the command-line options described in this article.

In this article:

  • /admin

  • /adminfile [path]

  • /config [path]

  • /modify [ProductID]

  • /repair [ProductID]

  • /uninstall [ProductID]

Note:

Although Setup recognizes only a few command-line options in Office 2010, you can still make all the same modifications to the Office installation. Instead of using the command line, you use the Office Customization Tool in Office 2010 to set Setup properties and make other customizations. You can also edit the Config.xml file for the product that you are installing.

/admin

Runs the Office Customization Tool to create a Setup customization file (.msp file).

Example

\\server\share\Office14\setup.exe /admin

/adminfile [path]

Applies the specified Setup customization file to the installation. You can specify a path of a specific customization file (.msp file) or to the folder where you store customization files.

Note:

The /adminfile command-line option can be used only during initial installation of the product.

The recommended location for customization files is the Updates folder at the root of the network installation point. When you store a customization file in this folder, you do not need to specify the file on the command line. Setup automatically finds the customization file that matches the product that is being installed and applies the file during the installation. The Updates folder can only be used to deploy software updates during an initial installation of Office 2010.

If you store more than one customization file per product in the Updates folder, Setup applies all of the files to the installation. If you want to create unique configurations for different groups of users, you must store the customization files in a separate folder and specify the customization file that you want on the command line.

Example

\\server\share\Office14\setup.exe /adminfile \\server\share\MyUpdates\Engineering.msp

where Office14 is the root of the network installation point.

/config [path]

Specifies the Config.xml file that Setup uses during the installation. By default, the Config.xml file that is stored in the core product folder directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

You can edit Config.xml to make additional customizations to the installation. This includes specifying one or more language versions to install. Use /config on the Setup command line to point to the location of the default Config.xml file for a product or to point to a custom Config.xml file.

Example

\\server\share\Office14\setup.exe /config \\server\share\Office14\ProPlus.WW\Config.xml

where Office14 is the root of the network installation point.

Note:

You must use a fully qualified path. Setup does not recognize relative paths with /config.

/modify [ProductID]

Used with a modified Config.xml file to run Setup in maintenance mode and make changes to an existing Office installation. For example, you can use the /modify option to add or remove features. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.

The Setup.xml file is located in the core product folder on the network installation point. In Setup.xml, [ProductID] is equal to the value of the Id attribute of the Setup element. For example:

Copy Code
<Setup Id="ProPlus" Type="Product" ProductCode="{10140000-0011-0000-0000-0000000FF1CE}">

Example

\\server\share\Office14\setup.exe /modify ProPlus /config \\server\share\Office14\AddOutlookConfig.xml

where Office14 is the root of the network installation point.

/repair [ProductID]

Runs Setup to repair the specified product from the user's computer. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.

Example

\\server\share\Office14\setup.exe /repair ProPlus

where:

  • Office14 is the root of the network installation point.

  • ProPlus is the [ProductID] ([ProductID] is equal to the ID attribute of the Setup element listed in \\server\share\Office14\ProPlus.WW\setup.xml), where ProPlus.WW is the location of the Office Professional Plus 2010 installation files.

You can customize the /repair option by using it with /config and a modified Config.xml file. This is necessary if you want to run a "silent" repair. In enterprise deployments, we recommend that you run a silent repair to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used.

To run a silent repair

  1. Using a text editor, edit the following element attributes in the \\server\share\Office14\ProPlus.WW\SilentRepairConfig.xml file:

    Copy Code
    <Configuration Product="ProPlus">

<Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

</Configuration>

  2. At the command line, use the following syntax:

    Copy Code
    \\server\share\Office 14\setup.exe /repair ProPlus /config  \\server\share\Office 14\ProPlus.WW\SilentRepairConfig.xml

/uninstall [ProductID]

Runs Setup to remove the specified product from the user's computer. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.

Example

\\server\share\Office14\setup.exe /uninstall ProPlus

where:

  • Office14 is the root of the network installation point.

  • ProPlus is the [ProductID] ([ProductID] is equal to the ID attribute of the Setup element listed in \\server\share\Office14\ProPlus.WW\setup.xml), where ProPlus.WW is the location of the Office Professional Plus 2010 installation files.

You can customize the /uninstall option by using it with /config and a modified Config.xml file. This is necessary if you want to run a "silent" uninstall. In enterprise deployments, we recommend that you run a silent uninstall to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used.

To run a silent uninstall

  1. Using a text editor, edit the following element attributes in the \\server\share\Office14\ProPlus.WW\SilentUninstallConfig.xml file:

    Copy Code
    <Configuration Product="ProPlus">

<Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

</Configuration>

  2. At the command line, use the following syntax:

    Copy Code
    \\server\share\Office 14\setup.exe /uninstall ProPlus /config  \\server\share\Office 14\ProPlus.WW\SilentUninstallConfig.xml
Note:

In Office 2010 as in the 2007 Office system, you cannot use the Setup.exe command line to set Windows Installer properties, such as PIDKEY or DISPLAY. Setup does not pass these properties to Windows Installer. Instead, you make these customizations by using the Office Customization Tool or Config.xml. For a complete list of Setup properties, including blocked and unsupported properties, see Setup properties in Office 2010.

See Also

Concepts

Office Customization Tool in Office 2010
Config.xml file in Office 2010


Config.xml file in Office 2010

Administrators use the Config.xml file to perform installation and maintenance tasks for Microsoft Office 2010.

The primary tool that administrators use to customize the installation of products in Office 2010 is the Office Customization Tool (OCT). The customization tools and methods in Office 2010 are the same as for the 2007 Microsoft Office system. For more information about how to use the OCT to create a Setup customization file and to learn about updates to the OCT in Office 2010, see Office Customization Tool in Office 2010.

The Config.xml file is used to configure installation tasks and is used only when you run Setup. Config.xml is not installed or cached on users' computers. Administrators can edit the Config.xml file to customize the installation. By default, the Config.xml file that is stored in the core product folders (core_product_folder_name.WW folder; for example, ProPlus.WW) directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

You use the Config.xml file to perform the following installation tasks:

  • Specify the path of the network installation point.

  • Select which product to install.

  • Customize Setup options, such as logging and the location of the Setup customization file and software updates.

  • Set installation options, such as user and company name.

  • Copy the Local Install Source (LIS) to the user's computer without installing Microsoft Office.

  • Add or remove languages from the installation.

The Config.xml file can also be used for maintenance operations such as adding or removing features, repairs, and removing installations. To do this, administrators must run Setup.exe again from the original source.

Important:

To edit Config.xml, use a text editor, such as Notepad. Do not use a general-purpose XML editor, such as Microsoft Word 2010.

In this article:

  • Config.xml element quick reference

  • How Setup uses Config.xml

  • Config.xml file format

  • Config.xml element reference

  • Sample Config.xml file

Config.xml element quick reference

The following table lists the Config.xml elements. These elements can appear in any order, except for Configuration element, which must be first, and elements such as Command element, whose order in Config.xml affects how they are processed during installation.

Element | Description
Configuration element | Top-level element
AddLanguage element | Add a language to the installation
ARP element | Values that control the text and behavior of the Programs and Features option, in Control Panel, to add or remove features for the product
Command element | Run a command during installation
COMPANYNAME element | The name of the organization or company of the user on whose computer the product is being installed
Display element | The level of UI that Setup displays to the user
DistributionPoint element | The fully qualified path of the network installation point from which the installation is to run
INSTALLLOCATION element | The fully qualified path of the folder on the user's computer in which the product is installed
LIS element | Options for how the Local Install Source (LIS) is cached on the user's computer
Logging element | Options for the kind of logging that Setup performs
MinOSRequirement element | The minimum supported operating system for this product
OptionState element | Options to specify how individual product features are to be handled during installation
PIDKEY element | The 25-character volume license key
RemoveLanguage element | Remove a language from the installation
Setting element | Values for Windows Installer properties
SetupUpdates element | The search path for Setup to use to find Setup customization files
USERINITIALS element | The initials of the user on whose computer the product is being installed
USERNAME element | The name of the user on whose computer the product is being installed

How Setup uses Config.xml

Setup looks for a copy of Config.xml in the same folder as Setup.exe. If a copy is not found there, Setup uses the Config.xml file that resides in the core product folder for the product that you are installing. (If multiple products are in the network installation point, Setup waits until you specify which product to install before it looks for the copy of Config.xml.) The copy of Config.xml that resides in the product folder identifies the product through the Product attribute of the Configuration element.

You can also use the /config Setup command-line option to specify the location of the Config.xml file. For example:

\\server\share\setup.exe /config \\server\share\ProPlus.WW\config.xml

Note:

If you also created a Setup customization (.msp) file by using the OCT, the customizations that you define in Config.xml take precedence over those in the customization file.

Config.xml file format

XML elements in Config.xml begin with < and end with />.

The basic element format is as follows:

<element [attribute="value"] [attribute="value"] … />

For example:

Copy Code
<Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

The following statements apply to format:

  • Elements and attributes are case-sensitive.

  • Attribute values must be enclosed in quotation marks (") and are not case-sensitive.

  • An element definition can span multiple lines. Spaces, carriage returns, line feeds, and tab characters are ignored in an element definition.

    The following is an example of an element definition that spans multiple lines.

    Copy Code
    <Display
   Level="none"
   CompletionNotice="no"
   SuppressModal="yes"
   AcceptEula="yes"
/>
Tip:

For long element definitions, put attributes on separate lines and use indentation to make the file easier to read.

The Configuration element is a special case and is required. All other elements are contained in the Configuration element, and the element is closed with </Configuration>, as shown in the following example.

Copy Code
<Configuration Product="ProPlus">
   <Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="Yes"/>
   <INSTALLLOCATION Value="%programfiles%\Microsoft Office" />
   <LIS SOURCELIST Value="\\server1\share\Office14;\\server2\share\Office14" />
</Configuration>

Comments can be added anywhere and are delimited by "<!--" and "-->".

For example:

Copy Code
<!-- Configure install options for Microsoft Office Professional Plus 2010 -->
<Configuration Product="ProPlus" >
   <Display
      <!-- Turn off all Setup UI and prevent prompting users-->
      Level="none"
      CompletionNotice="no"
      SuppressModal="yes"
      <!-- Accept the EULA for the user -->
      AcceptEula="Yes"
   />
</Configuration>

Each Office product folder contains a default Config.xml file, which consists of a Configuration element that has the Product attribute set to the appropriate value for the product. A number of example elements enclosed in comments are included in the Configuration element. To activate these elements, remove the beginning and closing comment marks and enter the appropriate attribute values.

As shown in the following example, you can activate the Display element by changing this line:

Copy Code
<!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

to this:

Copy Code
<Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="yes" />

The Display options in the previous example direct Setup to run a silent installation, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction.

Config.xml element reference

The following conventions are used in the descriptions in this reference.

bold | Element or attribute name
normal | Text to be entered exactly as shown
italic | Placeholder for a value to be added
x|y | Choose among multiple values
[x] | Optional value

Configuration element

Top-level element. This element is required, and all other elements must appear in this element.

Syntax

<Configuration [Product="productID"] >

...

</Configuration>

Attributes

Attribute | Value | Description
Product | productID | The value of the ID attribute in the Setup element in the Setup.xml file for the product that is being installed.

Remarks

The Product attribute identifies the product affected by this Config.xml file. The productID is defined in the Setup.xml file that is located in the core folder for the product, in the ID attribute of the Setup element.

The Product attribute is optional, unless you set the Display element Level attribute to "basic" or "none". In this case, the Product attribute is required. If the product specified by the Product attribute does not exist in the network installation point, Setup ends the installation.

Example

The productID for Microsoft Office Professional Plus 2010 is located in ProPlus.WW\Setup.xml in the following line:

Copy Code
<Setup Id="ProPlus" Type="Product"  ... >

You use this productID in Config.xml to specify Office Professional Plus 2010 by entering the following:

Copy Code
<Configuration Product="ProPlus">
   ...
</Configuration>

AddLanguage element

Adds the specified language to the installation.

Syntax

<AddLanguage

Id="ll-cc" | "match"

[ShellTransform="Yes"]

/>

Attributes

Attribute | Value | Description
Id | ll-cc | The language identifier.
 | match | Matches the language Id of the user's Windows user locale.
ShellTransform | Yes | Specifies the language for the shell user interface. If more than one AddLanguage element is specified, one (and only one) language must specify the ShellTransform element.

Remarks

The language must be available on the network installation point.

You can have multiple elements for AddLanguage and RemoveLanguage element. If both the RemoveLanguage element and the AddLanguage element specify the same language, the AddLanguage element takes precedence and the language is installed.

Note:

If more than one AddLanguage element is specified, one (and only one) language must specify the ShellTransform element or Setup ends the installation.

There are three language concepts that you should know about when you install the Office 2010:

  • Setup user interface (UI): the language of the installation.

  • Shell UI: the language of shortcuts, right-click context menus, and tooltips.

  • Office UI: the language of the Office user interface and menus.

When there are multiple Office languages, these three values are determined as follows:

By default, the Setup UI depends on the set of available resources for installation and the ability to match the user locale. By default, the Setup UI matches the user locale. The Shell UI depends on the set of languages that is being installed and, by default, follows the Setup UI. The default Office UI language depends on the user locale and current user settings. The default is to use the Windows user locale set on each user's computer. This means that in the default case, the Setup UI, Shell UI, and Office UI will all be the same.

A locale in the Windows operating system is a set of user preference information related to the user's language, environment, and cultural conventions. This information is represented as a list of values that are used to determine the correct input language, keyboard layout, sorting order, and the formats that are used for numbers, dates, currencies, and time. The user locale is a per-user setting that determines the formats that are used, by default, to display dates, times, currency, and numbers, and the sorting order of text. A user locale is specified for each account that is created on a computer.

If an administrator specifies multiple languages for installation in the Config.xml file, the Shell UI language must be selected from the set of languages that are being installed. To do this, administrators specify the ShellTransform attribute of the AddLanguage element in the Config.xml file. AddLanguage specifies the language that Setup uses for the Shell UI. However, this will not necessarily affect the choice of Setup UI or Office UI when it is installed on the user's computer.

For example, if you have an Office image with English, French, German, and Spanish, to specify that Setup install full language support for all these languages and have the Shell UI follow the user's default regional options, you add the following elements in the Config.xml file.

<AddLanguage Id="match" ShellTransform="yes"/> <AddLanguage Id="en-us" /> <AddLanguage Id="fr-fr" /> <AddLanguage Id="de-de" /> <AddLanguage Id="es-es" />

In the previous example, Setup installs all the specified languages and the Shell UI matches the language of the user's locale. If more languages were available in the source image, the match value in the previous example might install an additional language if the match language does not resolve to one of the other four explicitly called-out languages. For instance, if Japanese was also included in the source, this example would install Japanese in addition to the other four languages when it is installed on a computer that has the user locale set to Japanese.

Example

Copy Code
<AddLanguage Id="en-us" ShellTransform="Yes" />

ARP element

Specifies values that control the text and behavior of Programs and Features in Control Panel for the product.

Syntax

<ARP attribute="value" [attribute="value"] ... />

Attributes

Attribute | Value | Description
ARPCOMMENTS | text | Additional text. Can be up to 255 characters, although all characters might not be displayed.
ARPCONTACT | text | List of technical support contacts.
ARPNOMODIFY | Yes | Prevents users from modifying the product installation by making the Change button unavailable.
 | No (default) | Allows users to modify the product installation.
ARPNOREMOVE | Yes | Prevents users from removing the product by making the Remove button unavailable.
 | No (default) | Allows users to remove the product.
ARPURLINFOABOUT | URL | URL for the product's home page.
ARPURLUPDATEINFO | URL | URL for information about product updates.
ARPHELPLINK | URL | URL of a Web site where users can receive technical support.
ARPHELPTELEPHONE | text | Telephone numbers for technical support.

Command element

Specifies a command line to run. For more information, see Remarks later in this article.

Tip:

The equivalent option in the OCT is Add installations and run programs.

Syntax

<Command

Path="path"

[QuietArg="arguments"]

[Args="args"]

[ChainPosition="Before" | "After"(default)]

[Wait="mseconds"]

[Execute="Install"(default) | "Uninstall"]

[Platform="x86"(default) | "x64"]

/>

Attributes

The following table describes the Command element attributes.

Attribute Value Description

Path

path

Fully qualified path of the executable file. If the path value contains a space, you must use double quotes as shown in the following example:

"\\server\share\Office 14\copylogs.bat"

QuietArg

string

String of arguments to be appended to the command line if you configure a silent installation. For more information about when to use the QuietArg attribute, see the Remarks section that follows this table.

Args

string

String of arguments to be passed to the executable. For information about when to use the Args attribute for chained installations, see the Remarks section, following this table.

If the value of the Args element includes quotation marks, you can enclose the entire value in single (') quotes as shown in the following example:

Args='"/param value"'

ChainPosition

Before

This command is executed before the primary product installation.

After (default)

This command is executed after the primary product installation.

Wait

mseconds

When you install a product with the Display element Level attribute set to "full" or "basic," this is the number of milliseconds to wait after you run the program before you continue the installation. The default is 0 (zero), which indicates no waiting.

Execute

Install (default)

Setup executes this command when the primary product is installed.

Uninstall

Setup executes this command when the primary product is uninstalled.

Platform

x86 (default)

Specifies that this program requires the Intel x86 platform. This command runs only if the computer on which the installation is run matches this platform requirement.

x64

Specifies that this program requires a 64-bit processor that supports the x64 extensions to the x86 architecture. This command runs only if the computer on which the installation is run matches this platform requirement.

Remarks

The Command element in the Config.xml file and the Add installations and run programs option in the OCT (command-lines entered in the Add Program Entry and Modify Program Entry dialog boxes) are intended to be used only for initial product installations and uninstallations. The Command element commands are processed only during initial installations and uninstallations. If Command element commands are used for customizations after the initial installation, they are ignored.

The command line can be specified to run an arbitrary command or to run a lightweight executable that you want to run when this product is installed.

The Command element in Config.xml and the Add installations and run programs option in the OCT do not provide the software deployment capabilities that an enterprise software deployment and management tool provides, such as the ability to track deployment progress and troubleshoot problems. Therefore, it is recommended that you limit the use of Command element in Config.xml and Add installations and run programs in the OCT to running only lightweight executables or arbitrary commands that will not make changes to the computer or that do not require user input. For example, you can run a utility to copy logs or a command to launch a Welcome page at the end of installation.

Important:

Chaining is not as reliable as installing each product separately. For example, if you chain two installations together and one of the products fails or encounters an unexpected error, the primary installation and the chained installation might not be completed successfully. Therefore, using the chaining approach is not recommended. The recommended method for installing multiple products together in enterprise environments is to use a deployment management program, such as Microsoft System Center Configuration Manager 2007 or Microsoft Systems Management Server (SMS) 2003, or a third party tool, instead of chaining.

The use of Args and QuietArg is as follows:

  • The Args attribute is always appended to the command. This can include switches such as "/install" or "Company=MyCorporation".

  • The QuietArg attribute is also appended if setup is running silently (with Display set as Display="none"). In such cases, you can specify the QuietArg attribute with the "/quiet" switch, for example, you can use: QuietArg="/quiet".

The following statements apply to the Wait attribute:

  • Setting the Wait attribute to 0 milliseconds indicates no waiting after you run the program before you continue the installation; the command will execute and move on immediately.

    Return codes are only respected if the Wait value is nonzero. If you specify 0, Setup will not wait to continue the installation after running the specified program; therefore, there is no return code to report in that case.

  • Setting the Wait attribute to any positive nonzero value will wait exactly the number of milliseconds you specify. If the process ends earlier than the specified time, setup will continue. If the process has not ended when the specified time is up, setup will fail.

  • Setting the Wait attribute to -1 indicates to wait indefinitely. This can be problematic because if the command process stops responding (hangs), setup will stop responding and will wait indefinitely for the command to run.

If there are two or more Command elements in the Config.xml file, they run in the order in which they are specified in Config.xml.

Examples

Copy Code
<Command Path="\\server\share\myscript.exe" Args='/id "123 abc"' QuietArg="/q" Wait="30000" />

COMPANYNAME element

The name of the organization or company of the user on whose computer the product is being installed.

Tip:

The equivalent option in the OCT is the Organization name setting in Installation location and organization name.

Syntax

<COMPANYNAME Value="companyname" />

Attributes

Attribute | Value | Description
Value | companyname | The company or organization name.

Example

Copy Code
<COMPANYNAME Value="Microsoft Corporation" />

Display element

The level of UI that Setup displays to the user.

Tip:

The equivalent option in the OCT is the Display level and license agreement settings in "Licensing and user interface" in Office Customization Tool in Office 2010.

Syntax

<Display

Level="None" | "Basic" | "Full"(default)

CompletionNotice="Yes" | "No"(default)

SuppressModal="Yes" | "No"(default)

NoCancel="Yes" | "No"(default)

AcceptEula="Yes" | "No"(default)

/>

Attributes

Attribute | Value | Description
Level | None | No Setup UI is displayed. If you set Display Level="none", Setup runs a silent (unattended) installation. See the Remarks section for more information.
 | Basic | Setup displays a Welcome screen, the product key (PIDKEY) page (if needed), the software license terms page (if needed), a progress bar, and the completion notice (if allowed).
 | Full (default) | Setup displays all UI to the user.
CompletionNotice | Yes | Only applies if Level is set to "basic" or "none": Setup displays the completion notice.
 | No (default) | Only applies if Level is set to "basic": Setup does not display the completion notice.
SuppressModal | Yes | Only applies if Level is set to "basic": Setup does not display error messages and other dialog boxes that might interrupt the installation.
 | No (default) | Only applies if Level is set to "basic": Setup displays errors and other dialog boxes as needed.
NoCancel | Yes | If Level is set to "full" or "basic", disable the cancel button (X in upper-right corner of the progress dialog box).
 | No (default) | If Level is set to "full" or "basic", let the user cancel the installation from the progress bar.
AcceptEULA | Yes | The End-User License Agreement (EULA) is accepted on behalf of the user. Setup does not display the software license terms page.
 | No (default) | If Level is not set to "none", Setup displays the software license terms page.

Remarks

If this element is not defined, the default settings are used. If an invalid value is specified, Setup ends the installation.

If the Level attribute is set to "basic" or "none" and you supply a product key by using the PIDKEY element, Setup assumes that you also accept the license agreement on behalf of the user.

Note:

In enterprise deployments, we recommend that you set the Display Level value to "none" to direct Setup to run a silent installation, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used. Setting the Display Level value to "none" assumes that the SuppressModal and CompletionNotice attributes are silenced and that the Microsoft Software License Terms is accepted. Administrators must also make sure that no Office applications run during an installation of the Office 2010.

If you set the Display Level value to "basic" and SuppressModal to "yes", users might be prompted if any Office files are being used. Setting Display Level to "none" prevents prompting users in these cases. The SuppressModal attribute does not prevent files in use messages from being displayed. Only if Display Level is set to "none" are files in use messages prevented from being displayed.

The Display element is used by Setup only if Setup finds the Config.xml file in the same folder as setup.exe, or if you specify the Config.xml file by using the Setup /config command-line option. If Setup uses the Config.xml file in the product folder, Setup uses the default display options.

Example

Copy Code
<Display Level="none" CompletionNotice="no" SuppressModal="yes" AcceptEula="Yes" />

DistributionPoint element

Specifies the fully qualified path of the network installation point from which the installation is to run.

Syntax

<DistributionPoint Location="path" />

Attributes

Attribute | Value | Description
Location | path | The fully qualified path of the network installation point from which the installation is to run.

Remarks

If this is not specified, Setup assumes that the Setup.exe file is located at the root of the network installation point.

Note:

The DistributionPoint element is used by Setup only if Setup finds the Config.xml file in the same folder as setup.exe, or if you specify the Config.xml file by using the Setup /config command-line option. If Setup uses the Config.xml file in the product folder, it ignores this element because the network installation point has already been found.

Example

Copy Code
<DistributionPoint Location="\\server1\office" />

INSTALLLOCATION element

Specifies the fully qualified path of the folder on the user's computer where the product is installed.

Tip:

The equivalent option in the OCT is the Default installation path setting in Installation location and organization name.

Syntax

<INSTALLLOCATION Value="path" />

Attributes

Attribute | Value | Description
Value | path | The fully qualified path of the folder on the user's computer in which the product is installed.

Remarks

You can use system environment variables in the path. If this element is not specified, Office is installed in %ProgramFiles%\Microsoft Office.

Example

Copy Code
<INSTALLLOCATION Value="%ProgramFiles%\MyApps" />

LIS element

Controls how the Local Installation Source (LIS) is cached on the user's computer and specifies the location of one or more network installation points that contain the installation files for the product.

Syntax

<LIS

[CACHEACTION="CacheOnly" | "RemoveCacheOnly"]

[SOURCELIST="semicolon-delimited-path-list"]

/>

Attributes

Attribute Value Description

CACHEACTION

CacheOnly

Setup copies the LIS to the user's computer, but does not install the product.

Note:

Do not use Command elements in a Config.xml file that specifies the CacheOnly value because the specified commands will not run.

RemoveCacheOnly

If the cache is copied to the user's computer and Office is not installed, Setup removes the LIS from the user's computer but does not install or uninstall the product.

SOURCELIST

semicolon-delimited-path-list

A list, separated by semicolons, of one or more network installation points that contain the installation files for the product.

The equivalent option in the OCT is Additional network sources.

Remarks

By default, the LIS is created in the folder \MsoCache\All Users at the root of the drive on which Office is installed. Setup customization files and software updates in the Updates folder in the network installation point are also copied.

If you specify INSTALLLOCATION element, the drive designation in the path is used to determine on what drive the LIS is created. For example, if the INSTALLLOCATION element path is E:\office\files, the LIS is created on drive E. The sources listed by the SOURCELIST attribute are kept with the installed product and are used by Setup if the LIS on the user's computer is missing or corrupted.

Example

Copy Code
<LIS CACHEACTION="CacheOnly" />
<LIS SOURCELIST="\\server1\office;\\server2\corpdata" />

Logging element

Specifies the kind of logging that Setup performs.

Syntax

<Logging

Type="Off" | "Standard"(default) | "Verbose"

Path="path"

Template="filename.txt"

/>

Attributes

Attribute | Value | Description
Type | Off | Setup performs no logging.
 | Standard (default) | Setup writes installation information to the log file.
 | Verbose | Setup writes all installation information to the log file.
Path | path | The fully qualified path of the folder used for the log file. You can use environment variables. Default is %temp%.
Template | filename.txt | The name of the log file. If you insert the string * anywhere in the file name, a unique log file is created for each installation performed by setup.exe (see the explanation later in this article). If the * character is not included and the file name that is specified already exists, log information is appended to the existing file. The .txt file name extension must be included. The default template is SetupExe(*).log.

Remarks

You can specify a * anywhere in the Template value. Setup inserts a string in that location that has the following format.

YYYYMMDDHHMMSS xxx

where:

  1. YYYY = Year

  2. MM = Month

  3. DD = Day

  4. HH = Hour

  5. MM = Minute

  6. SS = Seconds

  7. xxx = a unique string generated by Setup

Note:

The Logging element is used by Setup only if Setup finds the Config.xml file in the same folder as setup.exe, or if you specify the Config.xml file by using the Setup /config command-line option. If Setup uses the Config.xml file in the product folder, Setup uses the default logging options.

Example

Copy Code
<Logging Type="standard" Path="%temp%"
   Template="MyLog(*).txt"
/>

With this example, Setup creates a log file every time that it installs the product. Setup uses unique file names such as the following.

Copy Code
%temp%\MyLog(20060428110717CFC).txt
%temp%\MyLog(20060429113143C70).txt

MinOSRequirement element

Specifies the minimum supported operating system for this product.

Syntax

<MinOSRequirement

VersionNT="version"

WindowsBuild="number"

ServicePackLevel="number"

/>

Attributes

Attribute | Value | Description
VersionNT | version | Windows NT version.
WindowsBuild | number | Windows build number.
ServicePackLevel | number | Windows service pack (SP) number.

The following values can be used.

System | VersionNT | WindowsBuild | ServicePackLevel
Windows XP | 501 | 2600 | 2 or greater
Windows Server 2003 | 502 | 3790 | 0 or greater

Remarks

Setup does not continue with the installation if the user's computer has an operating system with a version earlier than what is specified here (or the Office default if this element is not specified). You cannot specify a version of Windows here that is earlier than the version required by Office 2010.

For information about system requirements, see What's new for IT professionals in Office 2010.

OptionState element

Specifies how specific product features are handled during installation.

Important:

In most situations, we recommend that you use the OCT to change the installation state of features. The equivalent option in the OCT is Set feature installation states.

Syntax

<OptionState

Id="optionID"

State="Absent" | "Advertise" | "Local"

[Children="force"]

/>

Attributes

Attribute | Value | Description
Id | optionID | An item that the user can choose to install.
State | Absent | The feature is not installed.
 | Advertise | The feature is installed the first time that it is used.
 | Local | The feature is installed on the user's computer.
Children | force | All child features of the feature are set to the specified state.

Remarks

A feature is an item that the user can choose to install. The Id value for a feature is defined in the Option element of the Setup.xml file in the core product folder.

Note:

The following subcomponents of Microsoft Publisher 2010 are not visible in the Setup feature installation state tree in Office 2010.

  • Commercial Printing and the Enhanced RGB to CMYK Conversion subcomponent

  • Font Schemes

  • PaperDirect Previews

  • Publisher Templates and the Business Publications and Other Publications subcomponents

Example

Copy Code
<OptionState Id="ExcelAddinFiles"
   State="Absent"
   Children="force"
/>

PIDKEY element

The 25-character volume license key.

Note:

The equivalent option in the OCT is the Product key setting in "Licensing and user interface" in Office Customization Tool in Office 2010. For more information about volume licensing in Office Professional 2010, see Volume activation overview for Office 2010 and Tools to configure client computers in Office 2010.

A product key entry is not required for enterprise deployments that use Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. KMS uses a KMS host key to activate a KMS host computer and establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. By default, the Use KMS client key option is selected in the OCT (in the Licensing and user interface section).

A Multiple Activation Key (MAK) key is another method that Office Activation Technologies provide for activating products licensed under Microsoft Volume Licensing programs. By using a MAK, clients activate Office 2010 online with Microsoft-hosted activation servers or by telephone. Administrators can use the Config.xml file to enter a MAK key. See the Remarks section for more information about how to add a MAK key.

Important:

This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription. The PIDKEY element must not be used to set product keys for Office Professional Plus for Office 365. For information about Office Professional Plus for Office 365, see Office Professional Plus for Office 365

Syntax

<PIDKEY Value="25-character-key" />

Attributes

Attribute | Value | Description
Value | 25-character-key | The 25-character volume license key.

Remarks

When the PIDKEY value is set, users are not required to enter a product key when they install Office.

To enter a MAK key in the Config.xml file, add the following line to the file.

<PIDKEY Value="AAAAABBBBBCCCCCDDDDDEEEEE" />

Where AAAAABBBBBCCCCCDDDDDEEEEE is the 25-character product key. For more information about licensing for Office 2010, see the Volume activation overview for Office 2010.

Example

Copy Code
<PIDKEY Value="1234512345123451234512345" />
Note:

If the Level attribute of the Display element is set to "basic" or "none" and you supply a product key by using the PIDKEY element, Setup assumes that you also accept the license agreement on behalf of the user. In this case, regardless of how you set the AcceptEULA attribute of the Display element, the user is not prompted for the license agreement either during installation or the first time that an Office application runs.

RemoveLanguage element

Removes the specified language from the installation.

Syntax

<RemoveLanguage Id="ll-cc" />

Attributes

Attribute | Value | Description
Id | ll-cc | The language identifier.

Remarks

If the language is not installed on the user's computer, the RemoveLanguage element is ignored.

You can have multiple elements for AddLanguage element and RemoveLanguage. If both RemoveLanguage and AddLanguage element elements specify the same language, the AddLanguage element element takes precedence and the language is installed.

Example

Copy Code
<RemoveLanguage Id="en-us" />

Setting element

Allows you to specify values for Windows Installer properties.

Tip:

The equivalent option in the OCT is "Modify Setup properties" in Office Customization Tool in Office 2010.

Syntax

<Setting Id="name" Value="value" />

Attributes

Attribute | Value | Description
Id | name | The name of the Windows Installer property.
Value | value | The value to assign to the property.

Remarks

Not all Windows Installer properties can be specified in the Setting element. If a blocked property is specified, Setup ends the installation process. If a supported property is specified, Setup passes the property directly to Windows Installer. For a complete list of Windows Installer properties, which includes an explanation of supported and blocked properties, see Setup properties in Office 2010.

The Setting element supports the following Key Management System (KMS) properties:

  • KMSSERVICENAME — Specifies the KMS host name.

  • KMSSERVICEPORT — Specifies the KMS host port.

For example, to use the KMS properties, use the following syntax:

<Setting Id="KMSSERVICENAME" Value="contoso.com" />

<Setting Id="KMSSERVICEPORT" Value="1234" />

where:

contoso.com is the name of the KMS host

1234 is the port number value

Note:

The recommended tool for specifying the KMSSERVICENAME and KMSSERVICEPORT values is the Office Software Protection Platform script (ospp.vbs). To set the KMS host name and port values by using ospp.vbs, run the following commands:

ospp.vbs /sethst:value

ospp.vbs /setprt:value

In the preceding example, the sethst value is the KMS host name, and the setprt value is the KMS host port.

You can set the KMS attributes in the Config.xml file as an alternative, such as in a scenario with a 32-bit Office 2010 installation on a computer running a 64-bit edition of Windows. For information about volume activation, see Deploy volume activation of Office 2010, and for information about how ospp.vbs works, see Tools to configure client computers in Office 2010.

The Setting element supports the AUTO_ACTIVATE property for product key activation. This property specifies that product activation occur automatically during Office 2010 deployment and it uses the following syntax.

<Setting Id="AUTO_ACTIVATE" Value="1" />

Note:

Not setting AUTO_ACTIVATE is the same as setting AUTO_ACTIVATE to a value of 0. The result is that product activation does not occur during Office 2010 deployment.

Note that you can also set the AUTO_ACTIVATE property value by using the Office Customization Tool. To do this, follow these steps:

  1. In the OCT, select Modify Setup properties on the left pane, and then click Add in the right pane.

  2. In the Add Property Value dialog box, in the Name box, type AUTO_ACTIVATE. Note that property names must be uppercase.

  3. In the Value box, type 1, and then click OK.

The Setting element supports the REMOVEPREVIOUS property. This property removes the specified application from the installation and uses the following syntax.

<Setting Id="REMOVEPREVIOUS" Value="Option Id" />

where Option Id is the identifier value for the Office 2010 application. To specify multiple applications, use a comma-separated list to indicate the appropriate Option Id values.

Note:

If you install Outlook, a previously installed version of Outlook is always removed, regardless of the user's preference.

If you specify REMOVEPREVIOUS with an Option Id value, only the specified applications are removed.

If you do not specify REMOVEPREVIOUS, any previously installed Office applications for which a replacement is being installed are removed. This is the default behavior.

If you specify REMOVEPREVIOUS with a blank value (REMOVEPREVIOUS=""), no applications are removed.

The Setting element also supports the SETUP_REBOOT property. SETUP_REBOOT begins a restart after installation. It uses the following syntax. You must use all uppercase letters for the SETUP_REBOOT property.

<Setting Id="SETUP_REBOOT" Value="value" />

where value can be one of the following:

  • AutoAlways — Always begin a restart. Do not prompt the user.

  • Always — Always prompt for a restart at the end of setup.

  • IfNeeded — Prompt for a restart at the end of setup if setup requires a restart. (Default)

  • AutoIfNeeded — Begin a restart if setup requires a restart. Do not prompt the user.

  • Never — Never begin or prompt for a restart.

Examples

Copy Code
<Setting Id="SETUP_REBOOT" Value="Never" />
<Setting Id="REMOVEPREVIOUS" Value="WORDFiles" />

SetupUpdates element

Specifies a search path for Setup to use to find Setup customization files.

Syntax

<SetupUpdates

[CheckForSUpdates="Yes"(default) | "No"]

[SUpdateLocation="path-list"]

/>

Attributes

Attribute Value Description

CheckForSUpdates

Yes (default)

Setup uses the path list in SUpdateLocation to find Setup customization files.

No

Setup does not search for Setup customization files by using the path list in SUpdateLocation.

SUpdateLocation

path-list

A list of fully qualified paths to folders, separated by semicolons.

Note:

Environment variables cannot be used in the SUpdateLocation path. If an environment variable is used in the path, Setup ignores update files that are located in the specified path location.

Remarks

Setup looks in all the specified folders for Setup customization files that were created for the product that is being installed, and applies them in alphabetical order by file name. If a Setup customization file was specified in the Setup command line, that file is applied first, followed by any files that are found in the folder that is specified by this element.

Example

Copy Code
<SetupUpdates
   CheckForSUpdates="Yes"
   SUpdateLocation="\\server1\office\updates;\\server2\corpdata\updates"
/>

USERINITIALS element

The initials of the user on whose computer the product is being installed.

Syntax

<USERINITIALS Value="value" />

Attributes

Attribute | Value | Description
Value | value | The user's initials

Example

Copy Code
<USERINITIALS Value="JD" />

USERNAME element

The name of the user on whose computer the product is being installed.

Syntax

<USERNAME Value="value" />

Attributes

Attribute | Value | Description
Value | value | The user's name.

Remarks

The Office 2010 Username element data is populated as follows.

If the user who runs Office is the same user who installed Office, the Username and Initials supplied during setup are used. The user is not prompted when Office first starts. This case is most popular for home users who install Office themselves.

If the user who is running Office is not the same user who installed Office, Office prompts the user to confirm his or her Username and Initials when Office first starts. This case is most popular in a corporate environment, where an administrator installs Office for the user.

The value for the Username element shown to the user at first start time might be pre-populated with a default value from a previously installed version of Office or from the currently logged-on user. Note that the default value is not used unless it is confirmed by the user. If an earlier version of Office is installed on the computer, the registry key that was created by the earlier version of Office is used. For example, if the previous Office installation is Microsoft Office 2003, the registry key is provided at HKEY_CURRENT_USER\Software\Microsoft\Office\11.0\Common\UserInfo.

Example

Copy Code
<USERNAME Value="John Doe" />

Sample Config.xml file

The following example shows a Config.xml file for a typical installation. The example uses the Office Professional Plus 2010 version of the product.

Copy Code
<Configuration Product="ProPlus">

    <!-- <Display Level="full" CompletionNotice="yes" SuppressModal="no" AcceptEula="no" /> -->

    <!-- <Logging Type="standard" Path="%temp%" Template="Microsoft Office Professional Plus Setup(*).txt" /> -->

    <!-- <USERNAME Value="Customer" /> -->

    <!-- <COMPANYNAME Value="MyCompany" /> -->

    <!-- <INSTALLLOCATION Value="%programfiles%\Microsoft Office" /> -->

    <!-- <LIS CACHEACTION="CacheOnly" /> -->

    <!-- <DistributionPoint Location="\\server\share\Office" /> -->

    <!-- <OptionState Id="OptionID" State="absent" Children="force" /> -->

    <!-- <Setting Id="SETUP_REBOOT" Value="IfNeeded" /> -->

    <!-- <Command Path="%WINDIR%\system32\msiexec.exe" Args="/i \\server\share\my.msi" QuietArg="/q" ChainPosition="after" Execute="install" /> -->

</Configuration>

See Also

Concepts

Setup architecture overview for Office 2010
Office Customization Tool in Office 2010
Setup properties in Office 2010
Setup command-line options for Office 2010
Customization overview for Office 2010
Create custom configurations of Office 2010
64-bit editions of Office 2010


Office Customization Tool in Office 2010

To customize an installation of Microsoft Office 2010, you can use the Office Customization Tool (OCT).

In this article:

  • Overview of the Office Customization Tool

  • New Office Customization Tool features in Office 2010

  • Architecture-specific versions of the Office Customization Tool

  • Importing Office Customization Tool .msp customization files

  • Configuring Setup, Features, Additional content, and Outlook settings

    • Setup

    • Features

    • Additional content

    • Outlook

  • Downloading updated OCT files

Overview of the Office Customization Tool

The OCT is part of the Setup program and is the recommended tool for most customizations. You run the OCT by typing setup.exe /admin at the command line from the root of the network installation point that contains the Office 2010 source files. For example, use the following: \\server\share\Office14\setup.exe /admin. The OCT is available only with volume licensed versions of Office 2010 and the 2007 Office system. To determine whether an Office 2010 installation is a volume licensed version, check the Office 2010 installation disk to see whether it contains a folder named Admin. If the Admin folder exists, the disk is a volume license edition. If the Admin folder does not exist, the disk is a retail edition. For information about the network installation point, see Create a network installation point for Office 2010.

When you run the OCT, you choose to create a new Setup customization (.msp) file or to open an existing .msp file. If you create a new file, the OCT displays a list of the products that are available on the network installation point. You must select a single product that you want to customize.

If you use the OCT to modify an existing .msp customization file, we recommend that you select the .msp file for the same product that you customize. For example, if you customize Microsoft Office Professional Plus 2010, select an Office Professional Plus 2010 customization .msp file.

Note:

The Office 2010 release requires Windows Installer 4.0 on computers that are running the 64-bit version of the OCT or importing 64-bit customization .msp files. Windows Installer 3.1 does not recognize properties such as "ProgramFiles64Folder," which are used by the 64-bit version of the OCT and the OCT Import feature. For information about Windows Installer, see Windows Installer (http://go.microsoft.com/fwlink/p/?LinkID=111108).

By using the OCT, you customize Office and save your customizations in a Setup customization .msp file. You place the file in the Updates folder on the network installation point. When you install Office, Setup looks for a Setup customization file in the Updates folder and applies the customizations. The Updates folder can only be used to deploy software updates during an initial installation of Office 2010.

Important:

If you plan to deploy multiple Setup customization files (.msp files), you can place only one customization .msp file for each Office 2010 product that you are installing in the Updates folder for an initial installation. You must deploy the rest of the customization .msp files for a product after the Office installation is completed. Only one Setup customization file per product in the Updates folder is supported. If you are deploying multiple Office 2010 products, such as Microsoft Office Professional Plus 2010 and Microsoft Visio Professional 2010, you can include one customization .msp file for Office Professional Plus 2010 and one customization .msp file for Visio Professional 2010 in the Updates folder. The customization .msp files that you place in the Updates folder are deployed first. Therefore, they must include any Setup customizations that can't be changed after the installation, for example, the installation location.

If you are deploying an initial installation of Office 2010 and you also want to deploy Office 2010 software updates, such as service packs and hotfixes, Setup can apply the product updates as part of the installation process. You can place the Office 2010 product updates in the Updates folder. In scenarios such as this where the Updates folder includes both one Setup customization .msp file and product updates, Setup applies only the Setup customization .msp file with the initial installation and the product updates are applied after the installation is complete.

As an alternative to placing the customization .msp file in the Updates folder, you can use the Setup command-line option /adminfile to specify the fully-qualified path of the location of the .msp file. For example, type: setup.exe /adminfile \\server\share\mychanges\custom.msp.

If you use a folder other than the Updates folder for your customization files, you can specify the folder's location in the Config.xml file by using the SUpdateLocation attribute of the SetupUpdates element. The Config.xml file is located in the core product folder (core_product_folder_name.WW folder, for example, ProPlus.WW for Microsoft Office Professional Plus 2010) for the Office 2010 product that you install. For more information, see Config.xml file in Office 2010.

You can also use a Setup customization file to change an existing installation. Because a Setup customization file is an expanded form of a Windows Installer .msp file, you apply the customization file to the user's computer exactly as you would a software update. The user's existing Office installation is updated with the customizations that you make. For example, if you change the installation states of some features to Not Available and apply the resulting customization file to an existing installation of Office, those features are removed from the user's computer.

Some options in the OCT are applicable only to a new installation of Office. These options are identified in the OCT and in the OCT Help. For example, you can use the Default installation path option (in the Installation location and organization name section) to specify the folder where Office is to be installed on the user's computer. However, if a customization file is applied to an existing installation, the Default installation path option is ignored (you must uninstall and reinstall Office to change the installation location).

Before you exit the OCT, click the File menu and then click Save as to save the Setup customization file.

Every time that you save a customization file in the OCT, the tool updates the customization file's sequencing number with the current computer date and time stamp and generates a new update globally unique identifier (GUID). The OCT .msp files are applied chronologically according to their time stamp.

To show the sequencing behavior, assume that you have created the following OCT .msp maintenance files:

  1. An OCT .msp file that is named "uninstall-access.msp" in which you set Microsoft Office Access to Not Available. This file is saved first so that it has a lower sequencing number and an older date and time stamp. This .msp file is sequenced first and Access 2010 is set to Not Available on users' computers.

  2. An OCT .msp file named "install-access.msp" in which you set Microsoft Office Access to Run All from My Computer (by selecting the product and setting the installation state in the Set feature installation states section). This file is saved last so that it has a higher sequencing number and a newer date and time stamp. This .msp file is sequenced later than the first OCT .msp file, "uninstall-access.msp". Therefore, the Access 2010 feature is set to Run All from My Computer on users' computers.

The OCT includes four major sections: Setup, Features, Additional Content, and Outlook. Each section contains several pages of options. When you change an option, the page name in the left pane of the OCT changes to bold type. If you open an existing Setup customization file, the bold page names indicate where options are customized.

The following table lists options that are available in the OCT.

Section | Page
Setup |
 | Installation location and organization name
 | Additional network sources
 | Licensing and user interface
 | Remove previous installations
 | Add installations and run programs
 | Office security settings
 | Modify Setup properties
Features |
 | Modify user settings
 | Set feature installation states
Additional content |
 | Add files
 | Remove files
 | Add registry entries
 | Remove registry entries
 | Configure shortcuts
Outlook |
 | Outlook Profile
 | Add Accounts
 | Export Settings
 | Specify Send/Receive Groups

New Office Customization Tool features in Office 2010

The Office 2010 release provides the following new features:

  • Two architecture-specific versions of the OCT, one for 32-bit Office 2010 and one for 64-bit Office 2010. The 64-bit version of the OCT supports 64-bit client editions of Office 2010, and provides the same user interface, capabilities, and configurable settings as the 32-bit version. The OCT files are located in the Admin folder under the x86 (32-bit) and x64 (64-bit) folders, respectively.

    For information about 64-bit Office 2010, see 64-bit editions of Office 2010.

  • Import feature that allows administrators to import 32-bit OCT customization .msp files into the 64-bit version of the OCT and 64-bit .msp files into the 32-bit version of the OCT. This allows administrators of mixed environments (32-bit and 64-bit) to do the Setup customizations one time.

  • Support for adding multiple Outlook e-mail accounts.

For more information about how to import .msp customization files, see Import an Office 2010 Setup customization file.

Architecture-specific versions of the Office Customization Tool

As mentioned earlier in this article, administrators run the following command-line option to start the OCT from the root of the network installation source: setup.exe /admin. You use the same command to run the 32-bit or 64-bit version of the OCT. Running setup.exe /admin on a 32-bit computer starts the 32-bit OCT, and running this command on a 64-bit computer starts the 64-bit OCT.

To run the 32-bit OCT, run the setup.exe /admin command line from the x86 (32-bit) folder as shown in the following example: \\server\share\Office14\x86\setup.exe /admin. To run the 64-bit OCT, run the setup.exe /admin command line from the x64 (64-bit) folder.

Setup detects which products are available to create Setup customization updates and lists the results in the Create a new Setup customization file for the following product list. Because the 64-bit and 32-bit Office files are in different root directories, the 32-bit OCT lists all the 32-bit Office products in the product selection dialog box (Create a new Setup customization file for the following product), and the 64-bit OCT lists the 64-bit Office products.

Administrators use the 32-bit OCT to create, edit, and save OCT customization updates for the 32-bit Office products, and the 64-bit OCT to create, edit, and save OCT updates for the 64-bit Office products.

Office 2010 includes two architecture-specific folders: one for 32-bit and one for 64-bit, with a separate Config.xml file and Updates subfolder in the 32-bit and 64-bit folders.

Note:

Office 2010 does not support side-by-side installations of 64-bit and 32-bit Office on the same computer, including across applications. For example, there is no support for side-by-side installations of the 2007 Office system 32-bit with Office 2010 64-bit, or for Microsoft SharePoint Workspace 2010 64-bit and Microsoft Excel 2010 32-bit. You can't use the Office 2010 customization tools to configure side-by-side installations or customizations of 64-bit and 32-bit Office. For example, you can't create a custom side-by-side installation with 64-bit Microsoft Office Professional 2010 and 32-bit Visio 2010 single image. For more information about 64-bit Office, see 64-bit editions of Office 2010.

Importing Office Customization Tool .msp customization files

The OCT provides support for importing Setup customization .msp files as follows:

  • 32-bit Setup customization .msp files can be imported into 64-bit OCT and can then be used to customize 64-bit Office products.

  • 64-bit Setup customization .msp files can be imported to 32-bit OCT and can then be used to customize 32-bit Office products.

A 32-bit Setup customization .msp file that is imported to 64-bit OCT is converted to 64-bit, and a 64-bit customization .msp file that is imported to 32-bit OCT is converted to 32-bit. To import a customization .msp file, in the Office Customization Tool, click the File menu and then click Import. In the Open dialog box, select the .msp file that you want to convert, and then click Open to start the conversion.

Note:

Importing customization .msp files is intended for equivalent cross-architecture products only. You can import a 32-bit Microsoft Office Professional Plus 2010 customization .msp file into the 64-bit version of the OCT for a 64-bit Office Professional Plus 2010 .msp file. However, you can't import a 32-bit Microsoft Word 2010 stand-alone customization .msp file into the 64-bit OCT for a 64-bit Office Professional Plus 2010 .msp file; doing so is prevented and an error message is displayed.

You can't import 2007 Office system Setup customization .msp files into the Office 2010 OCT.

The Import feature can also be used when you have created an initial Setup customization .msp file for an Office 2010 product (for example, Microsoft Office Professional Plus 2010) and then later want to modify the installation to add language packs. In such cases, you first add the language packs to the network installation point that contains the Office product source files. Then you run the OCT from the root of the network installation point, create a new Setup customization file for the same product (in this example, Microsoft Office Professional Plus 2010), and then import the original customization .msp file that you created previously for Microsoft Office Professional Plus 2010. To import an .msp customization file, in the OCT, click the File menu, and then click Import. In the Open dialog box, select the previously created customization .msp file that you want to update. On the File menu, click Save As. Specify a unique name for the .msp file, and then click Save. Importing the previously created .msp file into the OCT will update the .msp file and include the added languages.

For more information about how to import .msp customization files, see Import an Office 2010 Setup customization file. For information about how to create a network installation point, see Create a network installation point for Office 2010.

Use the following links to view a video that demonstrates how to use the OCT Import feature:

Office Customization Tool Import feature

Running time: 06:06

Play video Watch the "Office 2010 client: Office Customization Tool import feature" video.

Download video For an optimal viewing experience, download the "Office 2010 client: Office Customization Tool import feature" video.

Right-click the link, and then click Save Target As to download a copy. Clicking the link will open a .wmv file in the default video viewer for full-resolution viewing.

Configuring Setup, Features, Additional content, and Outlook settings

The following sections provide information about the OCT areas that you can configure:

  • Setup

  • Features

  • Additional content

  • Outlook

Note:

If the geographic location of the computer on which you are running the Office Customization Tool is set to a European location, and you are creating a new Setup customization .msp file or you open an existing customization .msp file for which no file format settings have been configured for Excel, PowerPoint, or Word, you might see a dialog box that prompts you to choose a default document format. Administrators can choose to keep the current settings for the Setup customization file, or choose Office Open XML formats which support all the features of Office 2010, or OpenDocument formats to use the ODF format.

To learn about the file formats, click Learn more in the dialog box to display the OCT online Help.

Use the following links to view a walkthrough of the OCT user interface:

Office Customization Tool walkthrough

Running time: 08:26

Play video Watch the "Office 2010 client: Office Customization Tool walkthrough" video.

Download video For an optimal viewing experience, download the "Office 2010 client: Office Customization Tool walkthrough" video.

Right-click the link, and then click Save Target As to download a copy. Clicking the link will open a .wmv file in the default video viewer for full-resolution viewing.

Setup

Use the Setup section to specify the following:

  • Default installation location

  • Default organization name

  • Additional network installation sources

  • Product key

  • End-user license agreement (EULA)

  • Display level

  • Previous versions of Office to remove

  • Custom programs to run during installation

  • Security settings

  • Setup properties

Installation location and organization name

Specify a default organization name and installation location for all users whose installation includes this Setup customization file:

  • Default installation path - This option specifies where Setup installs Office on the user's computer. You can use the predefined folder keyword [ProgramFilesFolder] to specify a path to standard folders in Windows. The default path is [ProgramFilesFolder]\Microsoft Office. This option is recognized only when you first install Office on a user's computer. You can't change the installation path without uninstalling and reinstalling Office.

  • Organization name - This name appears in the About text box (Help menu) and on the banner pages of Office applications. The name that you specify is used as the default company name for all users whose installation includes this customization file.

Additional network sources

Specify additional servers that have a copy of the network installation point.

Setup looks for servers in this list, in the order specified, if it is installing a feature on demand or if it is repairing Office and the original network installation point is unavailable.

Click Add to add a source to the list. To edit a path, select a server from the list and then click Modify. To remove a server from this list, select the server and then click Remove. To change the order of the list, select a server and then click the Move arrows to move the server up or down in the list. To remove all servers from the list, select Clear existing server list.

Note:

The OCT verifies all server paths and connects to any available servers during the initial installation process to load balance the file copy process when it creates the Local Install Source (LIS). However, be aware that an unavailable source that is specified as an additional source does not cause the installation to fail.

Add/Modify Network Server Entry dialog box

In the Add Network Server Entry dialog box or Modify Network Server Entry dialog box, enter the path of a server and then click OK.

You can use a UNC path or, if all users have access to the server that uses the same drive letter, you can use a drive letter in the path. The path can contain environment variables that are delimited by percent (%) if the variables are defined for all users.

For example:

z:\office

\\server1\share\office_root

%USERNAME%\office_root

Licensing and user interface

Use this section for the product key and to accept the Microsoft Software License Terms on behalf of each user who installs Office by using the Setup customization file. Set the Display level of the user interface. These options are recognized by Setup only when you first install Office on a user's computer.

  • Use KMS client key A product key entry is not required for enterprise deployments that use Key Management Service (KMS) activation because all Volume License editions of Office 2010 have a KMS client key pre-installed. KMS is one of the methods that are provided by Office Activation Technologies for activating products licensed under Microsoft Volume Licensing programs. Only a KMS host computer needs a KMS host key to be activated and to establish a local activation service in your environment. Office 2010 connects to the local KMS host for activation. By default, the Use KMS client key option is selected in Enter a valid product key and licensing agreement for users.

    For more information about the licensing options for Office 2010, see the Volume activation overview for Office 2010 and Volume activation quick start guide for Office 2010 included in the current release.

  • Enter another product key You can enter a valid Multiple Activation Key (MAK) key in the OCT by using the Enter another product key option in Enter a valid product key and licensing agreement for users in the results pane. A MAK key is another method that Office Activation Technologies provide to activate products licensed under Microsoft Volume Licensing programs. By using a MAK key, clients activate Office 2010 online by using the Microsoft hosted activation servers or by telephone.

    To use a MAK key, in the Enter another product key text box, enter the MAK key (25 numbers or characters) without spaces.

    Important:

    This information applies to volume-licensed editions of Office 2010. It does not apply to Office Professional Plus for Office 365, which is licensed through subscription. The Product key text box must not be used to set product keys for Office Professional Plus for Office 365. For information about Office Professional Plus for Office 365, see Office Professional Plus for Office 365.

    You can also use the Enter another product key option to enter a KMS key for Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010. Visio 2010 is preinstalled with the Microsoft Visio Premium 2010 KMS client key by default. This enables all the Microsoft Visio Premium 2010 features. However, if you have a license agreement for either Microsoft Visio Standard 2010 or Microsoft Visio Professional 2010, you must install the appropriate KMS client key. The features that are available depend on the key that is installed.

    For more information, including a list of KMS keys for license agreements for Microsoft Visio Standard 2010 and Microsoft Visio Professional 2010, see Deploy Visio 2010 in Deploy volume activation of Office 2010.

    Note:

    You can also activate Office 2010 at the time that you install a MAK key by setting the AUTO_ACTIVATE property value. To do this, follow these steps:

    1. In the OCT, select Modify Setup properties on the left pane, and then click Add in the right pane.

    2. In the Add Property Value dialog box, in the Name box, type AUTO_ACTIVATE. Note that property names must be uppercase.

    3. In the Value box, type 1, and then click OK.

    For information about configuring the AUTO_ACTIVATE property by using the Config.xml file, see Setting element in Config.xml file in Office 2010.

  • I accept the terms in the License Agreement Select this check box to accept terms of your license agreement on behalf of the user.

    If Display level is set to Basic or None and you supply a product key, Setup assumes that you also accept the license terms on behalf of the user. In this case, even if you do not select the I accept the terms in the License Agreement check box, the user is not prompted to accept license terms either during installation or the first time that an Office application runs.

  • Display level Select the user interface that you want displayed to users during installation. The options are as follows:

    • Full - default Setup runs interactively, displaying all the user interface options and messages.

    • Basic Setup displays the Welcome screen, prompts for the product key and license terms (if needed), and displays a progress bar and completion notice. No other options are presented to the user.

    • None Setup runs silently and displays no user interface.

      Important:

      In enterprise deployments, we recommend that you set Display level to None to ensure that Setup runs silently, to prevent prompting users to enter information, and to prevent the installation from waiting for any user interaction, including when files are being used. Setting Display level to None assumes that the Suppress modal and Completion notice options are silenced and that the license terms are accepted. Administrators must also make sure that no Office applications run during an installation of Office 2010.

      If you set Display level to Basic and select the Suppress modal option, users may be prompted if there are any Office files as they are being used. Setting Display level to None prevents prompting users in these cases. The Suppress modal option does not prevent files-in-use messages from being displayed; only Display level set to None prevents files-in-use messages from being displayed.

  • Completion notice Select this check box if you want Setup to display a message to the user when installation is complete.

  • Suppress modal Select this check box if you do not want Setup to display error messages and other dialog boxes that might interrupt the installation. If you set Display level to Full, error messages and other dialog boxes are displayed regardless of the state of this check box.

  • No cancel Select this check box if you want to disable the cancel button (the X in upper-right corner). This setting only applies when Display level is set to Full or Basic.

Note:

The Setup customization file (.msp) sets the licensing information only during the initial installation.

The previous options are identical to the settings in the Config.xml file that are shown in the following table.

OCT option | Config.xml setting
Product key | PIDKEY element
I accept the terms in the License Agreement | AcceptEula attribute of the Display element
Display level | Level attribute of the Display element
Completion notice | CompletionNotice attribute of the Display element
Suppress modal | SuppressModal attribute of the Display element
Note:

If there are multiple products on the network installation point and you do not specify which product Setup is to install, Setup uses full display level when it prompts the user for a product, regardless of how you set Display level in the Setup customization file. You use the /config command-line option to specify which product to install. For more information, see Run Setup from a network installation point.

Remove previous installations

Specify previous versions of Microsoft Office applications to keep or remove. This option is only recognized by Setup when you first install Office on a user's computer.

By default, Setup removes previous versions of Office applications. To keep an installed Office application, click Remove previous installations in the OCT, and in the results pane select Remove the following earlier versions of Microsoft Office programs, in the list select the Office application that you do not want to remove, click Details, and in the Select Earlier Versions to Remove dialog box, under Choose which earlier versions you want Setup to remove, clear the check box for the product you want to remove, and then click OK.

Note:

Microsoft Outlook 2010 can't coexist with previous versions of Outlook. If you choose to keep previous versions, do not install Outlook 2010.

Add installations and run programs

Run additional executable programs before or after the Office installation is complete. Setup runs command lines in the order listed in the tool and does not finish the installation until all command lines are executed.

In the OCT, click Add installations and run programs and in the results pane click Add to add a program to the list. To change a program, select the program in the list and then click Modify. To remove a program, select the program and then click Remove. To change the order of programs in the list, select a program and then click the Move arrows to move the program up or down in the list.

Note:

Do not add a program that requires the computer to be restarted, unless it is the last program in the list. If a custom program restarts the computer, the Office installation is complete, but custom programs that appear later in this list do not run.

Command-lines entered in the Add Program Entry and Modify Program Entry dialog boxes or by using the Command element in the Config.xml file are intended to be used only for initial product installations and uninstalls. The Command element commands are processed only during initial installations and uninstalls. If Command element commands are used for customizations after the initial installation, they are ignored.

Add/Modify Program Entry dialog box

When you add or modify a program entry, you enter the following information in the Add Program Entry dialog box or Modify Program Entry dialog box, and then click OK.

  • Target Enter the path and file name of the executable program.

  • Arguments Enter a string of command-line options; for example, /q /path c:\temp.

  • Run this program after the Office product has been installed. The program runs after the Office installation is complete. This is the recommended option. If the program does not close correctly or if the program restarts the computer, the Office installation is not affected. However, programs further down the list do not run.

  • Run this program before the Office product has been installed. The program runs before the Office installation starts. If the program does not close correctly or if it restarts the computer, Office is not installed, and programs further down the list do not run.

In the Add Program Entry dialog box or Modify Program Entry dialog box, you can include any of the following standard Windows folders in the path of the executable file.

Folder | Description
[INSTALLLOCATION] | The folder in which Office is installed
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[DesktopFolder] | Windows Desktop folder
[StartMenuFolder] | Windows Start menu
[ProgramMenuFolder] | Windows Start\Programs menu

Office security settings

Customize the security settings for Office applications.

Important:

Security settings specified in a Setup customization (.msp) file provide only initial default settings on users' computers. Users can change the settings after installation. To help lock down and enforce security settings, you must use Group Policy. For more information, refer to the recommendations in the 2007 Microsoft Office Security Compliance Management Toolkit (http://go.microsoft.com/fwlink/p/?LinkId=158689).

The following table lists the available options.

Setting Description

Trusted Publishers

Manage the list that identifies trusted sources for digitally signed macros, add-ins, Microsoft ActiveX controls, and other executable code that is used by Office applications. Office applications share a certificate-based list of trusted sources with Internet Explorer. Click Add to add a digital certificate (CER file).

Trusted Locations

Manage the list that identifies locations from which any file can be opened without a check by the Trust Center security feature. Click Add to add a new location, enter the following information, and then click OK:

  • Application Select the Office application that uses this location. This is supported by Microsoft Access 2010, Microsoft Excel 2010, Microsoft PowerPoint 2010, Microsoft Visio 2010, and Microsoft Word 2010.

  • Path Enter the path of the trusted location. Enter a fully qualified path with drive letter or UNC path. The path can include environment variables.

  • Subfolders of this location are also trusted Select this check box to include subfolders as trusted locations.

  • Description Enter text to describe the purpose of the location.

    To remove a trusted location from this list, select the location and then click Remove.

    Note:

    When you specify one or more trusted locations here, the Trusted Locations list previously defined on the user's computer is cleared and replaced by this list.

Remove all Trusted Locations written by OCT during installation

Clears the Trusted Locations list on the user's computer. Use this check box to clear the Trusted Locations list on the user's computer without adding new locations.

Default Security Settings

Set default security levels for add-ins, templates, and Office applications. You can set security options for the following Office applications:

  • Microsoft Office Access

  • Microsoft Office Excel

  • Microsoft Office Outlook

  • Microsoft Office PowerPoint

  • Microsoft Office Project

  • Microsoft Office Publisher

  • Microsoft Office Visio

  • Microsoft Office Word

The following security options are available:

  • Allow trusted locations options

    • Allow trusted locations that are NOT on user's computer

    • Allow Trusted Locations on the User's machine only (application default)

    • Disable all trusted locations. Only files signed by trusted publishers will be trusted

  • Application Add-ins warnings options

    • Disable all Application Extensions

    • Require that Application Extensions are signed by a trusted publisher

    • Require that Application Extensions are signed and silently disable unsigned Extensions

    • Enable all installed Application Add-ins (application default)

  • VBA macro warnings options

    • Disable all VBA macros

    • Disable Trust Bar warning for unsigned VBA macros (unsigned code will be disabled)

    • Disable all VBA macros with notification (application default)

    • No security checks for VBA macros (not recommended, code in all documents can run)

  • Add-ins and templates (Microsoft Project 2010 only)

    • Trust all installed add-ins and templates

    • Do not trust installed add-ins and templates

  • Security level (Project 2010 only)

    • Very High - Only macros installed in trusted locations will be able to run. All other signed and unsigned macros are automatically disabled

    • High - Only signed macros from trusted sources will be able to run; unsigned macros are disabled

    • Medium - The user can choose whether to run potentially unsafe macros

    • Low (not recommended) - Users are not protected from potentially unsafe macros

Unsafe ActiveX Initialization

Determine whether unsigned and, therefore, potentially unsafe, ActiveX controls can initialize using persisted data, that is, data that is saved from one instance of the control to the next. The possible values are as follows:

  • <do not configure> - Setup does not modify the setting specified on the user's computer. New applications are installed with the default setting, which is Prompt user to use persisted data.

  • Prompt user to use control defaults - The user is warned before an application begins ActiveX controls that might be unsafe. If the user trusts the source of the document, the control is initialized by using its default settings.

  • Prompt user to use persisted data - The user is warned before an application begins ActiveX controls that might be unsafe. If the user trusts the source of the document, the control is initialized by using persisted data.

  • Do not prompt - All unsigned ActiveX controls run without prompting the user. This setting provides the least protection and is not recommended.

  • Do not prompt and disable all controls - All unsigned ActiveX controls are disabled without prompting the user.

Modify Setup properties

Modify Setup properties that are applied during the Office installation. You can customize Setup properties only when you first install Office on a user's computer. Properties set in a customization file do not take effect if you apply the file to an existing installation.

To add a property, click Add. To modify a property that you have added, select the property and then click Modify. To remove a property that you have added, select the property and then click Remove.

For more information about properties and their values, see Setup properties in Office 2010.

Add/Modify Property Value dialog box

When you add or modify a Setup property, enter the information that is shown in the following table in the Add/Modify Property Value dialog box, and then click OK.

Setting | Description
Name | The property name. Property names must be all uppercase.
Value | The value of the property.

Features

Use the Features section to configure user settings and to customize which Office features are installed.

Modify user settings

Set the default values of Office application settings for users who install Office with this customization file.

Note:

Using the OCT to configure user settings establishes the initial default values for the settings. Users can modify most of the settings after Office is installed. If you want to enforce user settings, use Group Policy.

You can use the OCT to provide default user settings for the following Office applications. Some applications also provide computer settings, including: Microsoft Excel 2010, Microsoft SharePoint Workspace 2010, Microsoft InfoPath 2010, Microsoft Office 2010 System, Microsoft Project 2010, Microsoft Word 2010, and Microsoft Visio 2010.

  • Microsoft Access 2010

  • Microsoft Excel 2010

  • Microsoft SharePoint Workspace 2010

  • Microsoft InfoPath 2010

  • Microsoft Office 2010 System

  • Microsoft OneNote 2010

  • Microsoft Outlook 2010

  • Microsoft PowerPoint 2010

  • Microsoft Project 2010

  • Microsoft Publisher 2010

  • Microsoft SharePoint Designer 2010

  • Microsoft Visio 2010

  • Microsoft Word 2010

To configure an option, expand the tree on the left, and click the user-interface element. Configurable settings associated with that element appear on the right. Double-click a setting, and select one of the options shown in the following table.

Setting | Description
Not Configured | The setting remains as it is.
Enabled | The setting is modified based on your choices in the dialog box.
Disabled | The setting is disabled. Disabling an option may differ from not configuring the option. See the description of the specific option for more information.

Click Show all settings to display all available user settings. Click Show configured settings only to display only those settings that you have configured.

Select the Migrate user settings check box to preserve users' custom settings from an earlier version of Office. If you change user settings and also select this check box, Setup first applies the modified settings and then migrates the user's existing custom settings, overwriting any conflicting settings.

Note:

When you click Enabled to view the options for a setting and then click OK, Previous Setting, or Next Setting, the status changes to Configured, even if you do not change the setting. Inadvertently configuring the setting with an empty hyperlink, path, or file name can cause errors. If you clicked Enabled and want to ignore your changes or avoid configuring the setting, click Cancel. You can also return a setting to the Not Configured state by double-clicking the setting, selecting Not Configured, and clicking OK.

Set feature installation states

Customize how Office features are installed on the user's computer.

To change the installation state of a feature, click Set feature installation states in the OCT and in the results pane right-click the feature, and in the shortcut menu click the installation state. Some parent features consist of multiple child features. Click the plus sign (+) to the left of the parent feature to expand to view child features.

When you change the installation state of a feature, the name of the feature and the names of all its child features (if any) are displayed in bold font. This indicates that Setup will apply these changes to the installation. Features that are not displayed in bold font are installed by using the default installation state. To remove a change, select the feature and select the Reset option or select the feature and click the Reset Branch button.

The following feature installation states are typically available to users during Setup. Not all installation states are available for every feature. For example, if a feature contains a component that can't be advertised, Installed on First Use is not included in the list of available installation states for that feature.

State Description

Run from My Computer

Setup copies files and writes registry entries and shortcuts associated with the feature to the user's hard disk. The application or feature runs locally.

Run All from My Computer

Same as Run from My Computer, except all child features that belong to the feature are also set to this state.

Installed on First Use

Setup leaves components for the feature and its child features in the local installation source until the user attempts to use the feature for the first time, at which time the components are installed. This is also known as an advertised feature.

Not Available

The components for the feature and the child features that belong to this feature are not installed on the computer.

Note:

The Not Available installation state is reversible. When Not Available is set, a feature will not be installed. However, the feature can be installed locally later by using an .msp or a Config.xml file.

To unlock and install a feature locally, you can edit the Config.xml file to modify the OptionState element as described in the note for the Locked feature state description. For more information about the Config.xml file, see Config.xml file in Office 2010.

You can also use the OCT to create an .msp file to install a feature locally. To do this, choose Set feature installation states in the navigation pane. In the details pane, select (right-click) a feature, and then set the feature installation state to Run All from My Computer. For more information, see Set feature installation states.

Note:

The following subcomponents of Microsoft Publisher 2010 are not visible in the Setup feature installation state tree in the Office 2010 release:

  • Commercial Printing and the Enhanced RGB to CMYK Conversion subcomponent

  • Font Schemes

  • PaperDirect Previews

  • Publisher Templates and the Business Publications and Other Publications subcomponents

The following options are also available for each feature.

Option Description

Hidden

Setup does not display the feature in the feature tree during installation if Setup runs interactively. The symbol [H] is prepended to the feature name to indicate the feature is hidden.

Note:

The Hidden option is not reversible. After it is set, a Hidden feature will not be displayed in the feature tree during or after installation. You can't use another Config.xml file or apply a second .msp file after the initial installation to "unhide" a feature.

The feature remains hidden even if you opt to change your installation by using Programs and Features in Control Panel to change your Office 2010 installation.

It will also not be displayed in the Office Setup feature installation tree under the Add or Remove Features option for Office 2010. Though the feature remains hidden, you can unlock the feature to install and run it locally later by using an .msp file or a Config.xml file.

Locked

The installation state that you choose for this feature can't be changed by the user during installation or in maintenance mode after Office is installed. The symbol [L] is prepended to the feature name to indicate the feature is locked.

Note:

The Locked option is reversible. If you set the Locked option for a feature by using the OCT or the Config.xml file during initial installation, that feature can be unlocked and installed locally by using an .msp file or a Config.xml file at a later date.

For example, you can edit the Config.xml file to modify the OptionState element as shown in the following example. This adds the OptionState element line to install the feature (in this case, Microsoft Access 2010) on a user's computer, and to set child features of the feature to the specified state.

  • To edit the Config.xml file to modify the OptionState element, open the Config.xml file in the core product folder (core_product_folder_name.WW folder, for example, ProPlus.WW) for the Office 2010 product that you are installing. Use a text editor tool, such as Notepad, to modify the file.

  • Locate the line in the Config.xml file that contains the OptionState element:

    <!-- <OptionState Id="OptionID" State="absent" Children="force" /> -->

  • Modify the OptionState element as follows and then save the Config.xml file:

    <OptionState Id="ACCESSFiles" State="local" Children="force" />

For information about the OptionState element, see Config.xml file in Office 2010.

You can also use the OCT to create an .msp file to install a feature locally. To do this, choose Set feature installation states in the navigation pane. In the details pane, select (right-click) a feature, and then set the feature installation state to Run All from My Computer. For more information, see Set feature installation states.

Reset

The feature is returned to its default installation state. This is the same as selecting the feature and clicking the Reset Branch button.

If you explicitly set a feature to its default state, the symbol [F] is prepended to the feature name to indicate that the feature will be forced into this state. This is useful if you are creating a Setup customization file to modify an existing Office installation. If you do not change the installation state of a feature, Setup does not change the feature on the user's computer. If you specify a change, including setting the feature to its default state, Setup ensures that the feature is set to that state on the user's computer.

When you change the installation state of a feature, Setup might change the installation state of a parent or child feature to match the installation state. For example, if you set a parent feature to Installed on First Use, but set a child feature to Run from My Computer, Setup also changes the state of the parent feature to Run from My Computer.

Setup does not display hidden features in the feature tree when users run Setup interactively. The feature is installed according to its defined installation state. Child features that belong to the hidden feature are also hidden.

Tip:

The best use of the Hide setting is to simplify the feature tree for users. For example, you might hide the Office Tools branch of the feature tree so that users do not have to decide which tools that they need. Only the tools that you select are installed.

If you set a feature to Not Available and hide the feature in the feature tree, users can still change the setting and install the feature by installing the parent feature or by running Setup in maintenance mode. For example, if you set the Name Smart Tag Plugin feature to Not Available and Hidden, users can still install the feature by setting the parent Smart Tags Plugins feature to Run All from My Computer.

If you want to help prevent users from installing hidden features, select the Not Available, Hidden, and Locked installation states. In this case, the feature or application is not installed and is not available in maintenance mode. Users can't install the feature by changing the state of the parent feature. The only way to reverse the Not Available, Hidden, and Locked installation state selection after Office is installed is to use the OCT to create a Setup customization file that is configured to change the installation state of the feature. Then you apply the customization file to the user's computer.

Additional content

Use this section to add or remove custom files, registry entries, and shortcuts during the installation.

Add files

Add files to users' computers when Office is installed.

To create a list of files to add to the user's computer during installation, click Add, select the file that you want to add to the list, and click Add again. To change the destination path of a file, select the file in the Add custom files list and click Modify. To remove a file from the list, select the file and click Remove. You can use the SHIFT and CTRL keys to select multiple files at the same time.

When you add files to an Office installation, note the following:

  • Files are copied into the Setup customization file when you save the customization file and exit the OCT. Large files increase the size of the customization file and the time that is required to create the file.

  • If you revise a file that is currently included in the customization file, you must open the customization file by using the OCT, remove the file from the Add files list, add the revised version, and save the customization file.

  • If the user removes, repairs, or reinstalls Office, the custom files are removed or reinstalled together with Office. Setup does not reinstall a custom file if the file has changed since installation.

File Destination Path dialog box

In the Destination path on the user's computer dialog box, enter the folder where you want to install the file on users' computers, and click OK.

You can select multiple files at the same time by using the SHIFT and CTRL keys. These files will be associated with the same destination folder. You can use the special folder names that are shown in the following table in the destination path.

Folder | Description
[INSTALLLOCATION] | The folder in which Office is installed
[ROOTDRIVE] | The local disk drive with the most free space
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[PersonalFolder] | The user's My Documents folder
[AppDataFolder] | The user's Application Data folder
[NetHoodFolder] | The user's My Network Places folder

Remove files

Remove files from users' computers when Office is installed.

To create a list of files to remove from the user's computer during installation, click Add. To modify the path or name of a file, select the file in the Remove files list and click Modify. To remove a file from the list, select the file and click Remove. You can use the SHIFT key and CTRL key to select multiple files at the same time.

Note:

Files listed in the Remove files list are removed from the user's computer before files listed in the Add files list are installed. Therefore, you can delete existing files on a user's computer and replace them with new versions. If the destination file on a user's computer is renamed or modified, an added file that has the same name does not replace it.

File Path dialog box

In the File path dialog box, enter the path and file name of the file that you want to add to the list of files to remove from the user's computer, and click OK.

The path must begin with a drive letter, a UNC path, or one of the special folders shown in the following table.

Folder | Description
[INSTALLLOCATION] | The folder in which Office is installed
[ROOTDRIVE] | The local disk drive with the most free space
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[PersonalFolder] | The user's My Documents folder
[AppDataFolder] | The user's Application Data folder
[NetHoodFolder] | The user's My Network Places folder

Add registry entries

Add or modify registry entries on users' computers when Office is installed.

To create a list of registry entries to add to users' computers, click Add. To change an entry in the list, select the entry and click Modify. To remove an entry from the list, select the entry and click Remove. Click Import to add a set of entries from a registry file (.reg file). If an entry in the .reg file duplicates an entry in the list, the OCT prompts you to choose whether to overwrite existing registry entries with entries in the .reg file.

Important:

Registry entries customized in this section might override settings customized elsewhere in the OCT. Use this section to customize options that can't be set directly in the Office user interface and that are not configurable by using other methods in the OCT.

You should not use the Add registry entries section of the OCT to add registry-based policy keys (Group Policy-based registry keys). Configuring and distributing those settings in a customization update (.msp file) to users is not supported, and the settings might not be applied correctly. Registry-based policy settings are settings that are stored in any of the four registry locations for Group Policy settings:

For user policy settings:

  • HKCU\Software\Policies

  • HKCU\Software\Microsoft\Windows\CurrentVersion\Policies

For computer policy settings:

  • HKLM\Software\Policies

  • HKLM\Software\Microsoft\Windows\CurrentVersion\Policies

The supported way to manage registry-based policy keys is to use Group Policy to apply the registry policy settings. Using Group Policy lets you centrally manage client registry keys; use Group Policy to define configurations once and then rely on the operating system to enforce that state. Administrative Templates files are UNICODE text files that Group Policy uses to describe where registry-based policy settings are stored in the registry. All registry-based policy settings appear and are configured in Group Policy Object Editor under the Administrative Templates nodes.

Add/Modify Registry Entry dialog box

In the Add/Modify Registry Entry dialog box, enter the information that is shown in the following table for each registry entry, and then click OK.

Setting | Description
Root | Select the branch that contains the entries that you want to add or modify. Settings are applied once per user (HKEY_CURRENT_USER) or once per computer (HKEY_LOCAL_MACHINE). You can't add registry entries to the root of HKEY_USERS or HKEY_LOCAL_MACHINE.
Data type | Select a data type for the registry value.
Key | Enter the name of the subkey where the entry is stored. For example, Software\Microsoft\Office\14.0\Common.
Create empty key | Select this check box if the registry entry does not contain a value name or value data. Some settings are determined by the presence or absence of the registry entry.
Value name | Enter a name for the new registry entry. If you include Value data but leave this field blank, the value is assigned the name <Default>. A key can have only one <Default> value name.
Value data | Enter the data (value) to store in the new registry entry. The data must match the data type.

Remove registry entries

Remove registry entries from users' computers when Office is installed.

To create a list of registry entries to remove from users' computers, click Add. To change an entry in the list, select the entry and click Modify. To remove an entry from the list, select the entry and click Remove.

To create a list of registry entries to remove from users' computers, click Add and enter the following information for each registry entry.

Note:

If the user removes, repairs, or reinstalls Office, the custom registry entries are removed or reinstalled with Office.

Delete/Modify Registry Entry dialog box

In the Delete/Modify Registry Entry dialog box, enter the information that is shown in the following table for each registry entry, and then click OK.

Entry | Description
Root | Select the branch that contains the entries that you want to remove.
Key | Enter the full name of the subkey where the entry is stored. For example, Software\Microsoft\Office\14.0\Common.
Value name | Enter the name of the registry entry that you want to remove. Leave this field blank to remove the entire subkey, including all its value entries.

Configure shortcuts

Add shortcuts to files installed with Office 2010 or files that were already on the user's computer. You can configure shortcuts only when you first install Office on a user's computer. This option is ignored if you apply the Setup customization file to an existing installation.

Click Add to add a new shortcut. To modify a shortcut in the list, select the shortcut and click Modify. To remove a shortcut from the list, select the shortcut and click Remove.

Shortcuts with Yes in the Installed column are configured during installation. Shortcuts with No in this column are configured if the corresponding product is later installed.

Note:

If you add a shortcut to a custom application or file, that shortcut is not updated or removed if the user modifies, repairs, reinstalls, or removes Office.

Add/Modify Shortcut Entry dialog box

In the Add/Modify Shortcut Entry dialog box, enter the information that is shown in the following table for the shortcut that you create or modify, and then click OK.

Setting Description

Target

Specify the application associated with the shortcut by selecting a predefined application keyword or by entering the name and path of the file to which the shortcut will point. If you select an application keyword, the OCT automatically enters information in the remaining boxes. The names in the list correspond to features that you select on the Set feature installation states page of the OCT, plus any custom files that you add to the installation on the Add files page. If you enter a name and path and the name or path contains a space, you must enclose the entire string in double quotation marks (""). You can add command-line options for the application by using the Arguments field.

Location

Specify the folder in which the shortcut is created by selecting a predefined folder keyword or by entering the name and path of the location of the shortcut. You can specify a subfolder by appending a backslash (\) followed by the subfolder name. For example, to install the Microsoft Word 2010 shortcut in the Microsoft Office subfolder in the Programs folder in the Start menu, select [ProgramMenuFolder] and append the subfolder name as follows: [ProgramMenuFolder]\Microsoft Office.

You can use the following special folders for Location:

  • [StartMenuFolder]: Windows Start menu.

  • [ProgramMenuFolder]: Windows Start\Programs menu.

  • [StartupFolder]: Startup folder in the Windows Start\Programs menu.

  • [DesktopFolder]: Windows Desktop folder.

  • [INSTALLLOCATION]: The folder in which Office is installed.

  • [FavoritesFolder]: The user's Favorites folder.

  • [AppDataFolder]: The user's Application Data folder.

  • [NetHoodFolder]: The user's My Network Places folder.

Name

Enter any string to specify a name for the shortcut.

Start in

Enter a path to specify the default starting folder for the application. If you leave this box blank, the default folder is set to the folder where the destination file resides. If the path is not valid on a user's computer, the user sees an error message when the user tries to use the shortcut.

Arguments

Enter optional arguments to pass to the application on the command line.

Shortcut key

Enter an optional keyboard shortcut for the application or file. The syntax for the shortcut key is as follows:

[modifier+]VK_key

where modifier is SHIFT, CTRL, ALT, or EXT, and VK_key is a virtual key name (virtual key names, and hexadecimal key codes and descriptions are provided in the following table). The modifier is optional. You may specify more than one, in any order, separated by plus signs (+). If you use a modifier, it must precede the virtual key name. You must enter one virtual key name. Do not use spaces anywhere in the key definition.

For example,

CTRL+VK_F12

CTRL+SHIFT+VK_A

ALT+CTRL+VK_SNAPSHOT

Some key combinations, such as CTRL+ALT+VK_DELETE, might be used by the system or other processes. These combinations must not be used to open the application on the user's computer.

Run

Select the kind of window in which the application or file is to start (Normal window, Minimized, or Maximized).

Change Icon

Select a different icon for the shortcut.

The following table lists virtual key names and their corresponding hexadecimal key codes.

Virtual Key Name | Key Code (Hex) | Description
VK_0 - VK_9 | 30-39 | Keys 0-9
VK_A - VK_Z | 41-5A | Keys A-Z
VK_NUMPAD0 - VK_NUMPAD9 | 60-69 | Keys 0-9 on the numeric keypad
VK_F1 ... VK_F24 | 70-87 | Function keys F1-F24
VK_LBUTTON | 01 | Left mouse button
VK_RBUTTON | 02 | Right mouse button
VK_CANCEL | 03 | Control-break processing
VK_MBUTTON | 04 | Middle mouse button (three-button mouse)
VK_BACK | 08 | BACKSPACE key
VK_CLEAR | 0C | CLEAR key
VK_RETURN | 0D | ENTER key
VK_PAUSE | 13 | PAUSE key
VK_CAPITAL | 14 | CAPS LOCK key
VK_PRIOR | 21 | PAGE UP key
VK_NEXT | 22 | PAGE DOWN key
VK_END | 23 | END key
VK_HOME | 24 | HOME key
VK_LEFT | 25 | LEFT ARROW key
VK_UP | 26 | UP ARROW key
VK_RIGHT | 27 | RIGHT ARROW key
VK_DOWN | 28 | DOWN ARROW key
VK_SELECT | 29 | SELECT key
VK_EXECUTE | 2B | EXECUTE key
VK_SNAPSHOT | 2C | PRINT SCREEN key
VK_INSERT | 2D | INS key
VK_DELETE | 2E | DEL key
VK_HELP | 2F | HELP key
VK_MULTIPLY | 6A | Multiply key
VK_ADD | 6B | Add key
VK_SEPARATOR | 6C | Separator key
VK_SUBTRACT | 6D | Subtract key
VK_DECIMAL | 6E | Decimal key
VK_DIVIDE | 6F | Divide key
VK_NUMLOCK | 90 | NUM LOCK key
VK_SCROLL | 91 | SCROLL LOCK key

Outlook

Use the Outlook section of the OCT to customize the default Microsoft Outlook 2010 profile and to set Outlook 2010 and Microsoft Exchange Server 2010 options.

Outlook Profile

Customize a user's default Outlook profile, which is the set of values in the Windows registry that defines user-specific information. An Outlook profile can contain multiple e-mail accounts. Users can have multiple Outlook profiles. However, you can configure only one profile in the Setup customization file. The settings in the following table enable you to customize a user's Outlook profile.

Setting Description

Use existing profile

Use the profile already configured on the user's computer, or if no profile exists, prompt the user to create a profile the first time Outlook starts.

Modify profile

Select one of two options:

  • Define changes to make to the existing default profile. If a default profile does not exist, Outlook creates a new one using your customizations. Modify the default profile on the user's computer.

  • Define changes to the profile named Specify the name of the profile to which your changes apply.

If no default profile exists or there is no profile by the name that you specify with the second option, Outlook creates a profile based on the options that you choose in the other Outlook sections of the OCT. Outlook uses the default profile name or uses the profile name that you specify.

New profile

Create a new profile on the user's computer and make it the default profile. Existing profiles are not removed and remain available to users. You must enter a name in the Profile name text box. To find the name of an existing profile, go to Mail in the Control Panel and click Show Profiles. Outlook creates the profile based on the options that you choose in the other Outlook sections of the OCT.

Apply PRF

Import an Outlook profile file (.prf) to define a new default profile or to update an existing profile. Selecting this option does not update the OCT with the settings in the .prf file. Enter a name and path for the profile in the Apply the following profile (PRF file) text box. If you created a .prf file for an earlier version of Outlook, you can import it to Outlook 2010 if the profile defines only MAPI services.

Add Accounts

Include new Outlook e-mail accounts in the user's profile.

Select the Do not customize Outlook profile and account information option if you do not want to add accounts to a new or modified Outlook profile.

Select the Customize additional Outlook profile and account information option to specify new account information in a new or modified Outlook profile.

Click Add to add a new account to the list. To modify an account in the list, select the account and then click Modify. To remove an account from the list, select the account and then click Remove.

You can also specify the following:

  • Deliver new mail to the following location When you configure an Exchange Server computer or add an Outlook data file (.pst), select this option to specify a delivery location for new e-mail messages. The default location is the Exchange Server computer, if one is configured; otherwise, the location defaults to the .pst file on the user's computer.

  • Default e-mail account Select the account that is the default e-mail account for users.

Add Account and Account Settings dialog box

If you are adding a new account, select the kind of account to add and then click Next.

In the <account type> Settings dialog box, set the options that are appropriate for the kind of account that you are adding or modifying, such as account name, user name, mail server, and e-mail address. Click More Settings for additional configuration options. If you are adding or modifying an Exchange account, see Exchange settings in the next section. Click Finish when you are finished.

To ensure that e-mail services do not overlap, Outlook might not enable you to add more than one new account for the same kind of service. For example, Outlook verifies that all POP accounts have unique names. The following table shows how Outlook determines whether a new account of the same type as an existing account can be added to the Setup customization file.

Account type | More than one of this type allowed? | Data used to determine whether conflict exists
POP3 | Yes | Account name
IMAP | Yes | Account name
Outlook Data File (.pst) | Yes | File name and path of .pst file
Outlook Address Book | No | Existence of account
LDAP | Yes | Account name
Exchange | Yes | Account name

Exchange settings

Configure users' Microsoft Exchange settings in a new or modified Outlook profile. The following table lists the possible settings.

Setting | Description
Account name | Specify a name for the Account type.
User name | Identify the user by using a specific value or replaceable parameter. If you specify the default %USERNAME%, Outlook uses the user's exact logon name, instead of prompting the user with possible variations when Outlook starts.
Exchange Server | Enter the name of an Exchange server that is likely to be available when users start Outlook. When a user starts Outlook for the first time, Outlook replaces this value with the user's correct Exchange server. Provide only a literal server name in this text box; for example, Exch-2-Srvr. Do not include backslashes (\\) or similar syntax.
Overwrite existing Exchange accounts | Select this option to replace an existing Exchange Server account in the user's profile with this account.

More Exchange Server Settings

Click the More Settings button in the Exchange Settings dialog box to configure Exchange Server offline use options and the Outlook Anywhere feature.

Exchange

Use the following options to configure user's Outlook profiles for offline use and Outlook Anywhere.

Option Description

Enable offline use

  • Path and filename of the Outlook data file (.ost) Specify the name and where the offline Outlook data file should be stored.

  • Directory path to store Offline Address Book files Specify the path where the offline Address Book files should be stored.

Configure Outlook Anywhere

Connect to Exchange Mailbox using HTTP Select this option to enable Outlook Anywhere.

If you have enabled Outlook Anywhere, you can configure the following options:

  • Use this URL to connect to the proxy server for Exchange Server name URL for the Outlook Anywhere proxy server

    Do not enter http://or https:// as part of the name. The appropriate entry (http:// or https://) is included automatically in the box after you enter the name, based on the authentication settings you choose.

  • Connect using SSL only Select this option to connect by using Secured Sockets Layer only. If you want to support both server authentication and client authentication, select:

    • Mutually authenticate the session when connecting with SSL If this is enabled, enter the Principal name for proxy server.

  • On fast network, connect using HTTP first, then connect using TCP/IP On a fast network, connect by using Outlook Anywhere (HTTP) first instead of the default LAN (TCP/IP).

  • On slow network, connect using HTTP first, then connect using TCP/IP On a slow network, connect by using Outlook Anywhere (HTTP) first instead of the default LAN (TCP/IP).

  • Use this authentication when connecting to the proxy server for Exchange The default method is Password Authentication (NTLM).

Cached Mode

Use the following options to configure users' Outlook profiles to use a local copy of the Exchange mailbox.

Option Description

Do not configure Cached Exchange Mode

By default, Exchange mailboxes can be accessed from the Exchange Server computer, instead of being cached on users' computers in an offline Outlook Data File (.ost).

Configure Cached Exchange Mode

Create an .ost file or use an existing .ost file. Users work with a local copy of their Exchange mailbox. If you select Use Cached Exchange Mode, you can configure Cached Exchange Mode for users by using the following options:

  • Download only headers Download copies of headers only from users' Exchange mailboxes.

  • Download headers followed by the full item Download copies of headers from users' Exchange mailboxes and download copies of messages.

  • Download full items Download copies of full messages (headers and message bodies) from users' Exchange mailboxes.

  • On slow connections, download only headers When a slow network connection is detected, download copies of headers only from users' Exchange mailboxes.

  • Download shared non-mail folders Download shared non-mail folders from other users' mailboxes.

  • Download Public Folder Favorites Download the list of Public Folder Favorites.

Export Settings

Export settings to a Outlook profile file (.prf).

Click the Export Profile Settings button to save the Outlook profile settings that you have defined in a .prf file.

Tip:

An efficient way to create an Outlook .prf file is to use the OCT to make selections and then export them to a .prf file, even if you are not using a Setup customization file when you deploy Office. You can edit the .prf file to make additional customizations that are not exposed in the OCT. For example, you can add an e-mail provider that is not listed in the OCT.

Specify Send/Receive Groups

Define Send/Receive groups for Exchange accounts and folders, and specify the tasks that are performed on each group during a Send/Receive in Outlook. A Send/Receive group contains a collection of Outlook accounts and folders. You can specify different options for Send/Receive groups when Outlook is online and offline, as shown in the following table.

Option Description

Do not configure Send/Receive settings

Do not configure settings for Send/Receive groups. Outlook is configured to use only the All Accounts group and its default settings. (If users have created additional groups, those groups migrate when users upgrade to Outlook 2010.)

Configure Send/Receive settings

Configure settings for Send/Receive groups (Exchange accounts and folders only).

  • Click New to create a new group of accounts and folders.

  • Click Modify to specify or redefine options for a Send/Receive group.

  • Click Rename to change the name of an existing Send/Receive group.

  • Click Remove to remove an existing Send/Receive group.

New Exchange Group dialog box

Enter the name of the Exchange send/receive group that you are creating in the New Group Name box and then click OK.

Modify Group dialog box

When you modify a group, select from the following options in the Modify Group dialog box and then click OK.

Select the options shown in the following table under Select options for this Send/Receive group.

Option | Description
Send mail items | Send mail items from the Outbox when you execute a Send/Receive for this group.
Receive mail items | Receive mail items when you execute a Send/Receive for this group.
Make folder home pages available offline | Refresh the content in folder home pages when you execute a Send/Receive for this group.
Synchronize forms | Synchronize forms when you execute a Send/Receive for this group.

Under Change folder options for this Send/Receive group, select a folder and provide the information that is shown in the following table.

Option Description

Include this folder in Send/Receive

Add this folder to the set of folders that are updated during a Send/Receive for this Send/Receive group, and select from the following options:

  • Download headers only Download only headers for this folder when you update by executing a Send/Receive for this Send/Receive group.

  • Download complete item including attachments Download complete e-mail messages (or other items) for this folder when you update by executing a Send/Receive for this Send/Receive group.

  • Download only headers for items larger than When items are larger than the specified size, download only the header for the item. This setting applies to only this folder when you update by executing a Send/Receive for this Send/Receive group.

Rename Exchange Group dialog box

Enter the new name of the Exchange send/receive group in the New Group Name box and then click OK.

Send/Receive settings for the selected group

Specify settings for the Send/Receive group selected in the list. The name of the selected group appears in the option label. You can specify different settings for when Outlook is online or offline.

  • When Outlook is Online

    • Include this group in Send/Receive Execute a Send/Receive action on this group when the user clicks Send/Receive.

    • Schedule an automatic Send/Receive every n minutes Choose the interval between each Send/Receive action.

    • Perform an automatic Send/Receive when exiting Automatically execute a Send/Receive action for this group when the user exits Outlook.

  • When Outlook is Offline

    • Include this group in Send/Receive Execute a Send/Receive action on this group when the user clicks Send/Receive.

    • Schedule an automatic Send/Receive every n minutes Choose the interval between each Send/Receive action.

  • Exchange Address Book

    • Download offline address book Download the offline address book (OAB) when the user clicks Send/Receive.

    • Click Address Book Settings to open the Modify Address Book Settings dialog box. You can select Download changes since last Send/Receive to download only updates to the address book since the last download. To download the full address book with each Send/Receive, clear the Download changes since last Send/Receive check box.

Modify Address Book Settings dialog box

Configure the default way in which Outlook updates the offline address book (OAB). Select from the following options:

  • Download changes since last Send/Receive Outlook downloads only the changes that were made to the address book since the last Send/Receive. This generally takes less time to download than downloading the complete address book.

  • Full Details When the address book is downloaded, Outlook copies all of the details for each entry.

  • No Details When the address book is downloaded, Outlook copies only essential information, such as the name and e-mail address for each entry. This takes less time to download, but address details are not included in the offline address book. This is a legacy option supported by Outlook Address book (OAB) versions 2.0 and 3.0. If Outlook connects to a server that supports OAB 4.0 or a later version, the full details are downloaded even if this option is selected.

Downloading updated OCT files

You can download the latest version of the OCT and .opax settings files from the Microsoft Download Center: Office 2010 Administrative Template files (ADM, ADMX/ADML) and Office Customization Tool (http://go.microsoft.com/fwlink/p/?LinkId=189316). The download package includes an \Admin folder that contains the OCT and OCT files (.opax and .opal files).

To update the OCT, replace the /Admin folder in your Office 2010 installation files or installation image with the new /Admin folder that is included in the download package.

For more information about the download, see Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool.

See Also

Concepts

Setup architecture overview for Office 2010
Config.xml file in Office 2010
Setup properties in Office 2010
Import an Office 2010 Setup customization file
Customization overview for Office 2010
Customize the installation for Office 2010
Customize setup for Office 2010
Create custom configurations of Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010
Configure Outlook 2010
Change users' configurations after installing Office 2010
View Office Customization Tool output in Office 2010
Group Policy overview for Office 2010
Use Group Policy to enforce Office 2010 settings
Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool

Other Resources

Office 2010 Administrative Template files (ADM, ADMX, ADML) and Office Customization Tool download
Video: Office 2010 client: Office Customization Tool walkthrough
Video: Office 2010 client: Office Customization Tool import feature


Config.xml file OptionState ID values for Office 2010

The OptionState element of the Config.xml file provides options for specifying how individual product features are handled during installation. The value for the Id attribute of the OptionState element is located in the Setup.xml file in the product folder of the product that you are installing. For example, if you are installing Microsoft Office Professional Plus 2010, the file is ProPlus.WW\setup.xml.

For information about OptionState element and Config.xml, see OptionState element in Config.xml file in Office 2010. The article includes an example of a Config.xml file for a typical installation, see Sample Config.xml file.

In this article:

  • OptionState Id values

  • Config.xml file OptionState element

    • OptionState element syntax

    • Modifying the OptionState element in Config.xml

OptionState Id values

The following table provides the Id values for the applications that are installed with Microsoft Office 2010.

OptionStateId | Application and subfeature
ACCESSFiles | Microsoft Access databases
Access_PIA | Primary interoperability assembly that allows Microsoft Access programmability with Microsoft .NET Framework
AccessAddinPWFiles | A wizard that creates a Windows Installer Package (MSI) to install your database and any supporting files and optionally includes the Microsoft Access Runtime, or prompts the user to download the Microsoft Access Runtime
AccessBarcodeControl | Barcode Control
AccessBDCFiles | Components that allow Microsoft Access to consume data through the SharePoint Business Connectivity Services (BCS) entity model
AccessHelpFiles | Help for Microsoft Access
AccessLobiDependencies | Additional components that are required to enable BCS connectivity
AccessWizards | Database experts that ask questions about a commonly used item that you want to create, and then build the item for you
DeveloperWizards | Database experts that ask questions about a more advanced item that you want to create, and then build the item for you
AccessTemplatesIntl | Templates are complete Microsoft Access database applications used to track, store, and report business and personal data. You can store the data within .accdb files or in lists on a Microsoft Windows SharePoint Services Web site
EXCELFiles | Microsoft Excel
Excel_PIA | Primary interoperability assembly that allows Microsoft Excel programmability with .NET Framework
ExcelAddinFiles | Microsoft Excel problem-solving tools and utilities
ExcelAddInEuroToolFiles | Microsoft Excel Eurotool Add-in
ExcelHelpFiles | Help for Microsoft Excel
ExcelSampleFiles | Easy-to-use examples for Microsoft Excel
ExcelTemplatesFiles | Microsoft Excel Spreadsheet Templates for expense reports, invoices, timecards, purchase orders, and loan amortization
ExcelXMLEditVerb64 | When users install a 32-bit version of Office 2010 on a 64-bit computer, registry file extensions are installed so that the 32-bit version of Office handles the XML file extension
GrooveFiles | Microsoft Groove Server 2010
OneNoteFiles | Microsoft OneNote
OneNoteHandwritingFonts | Typefaces that enable you to type with text that resembles handwriting
OneNoteHelpFiles | Help for Microsoft OneNote
OneNotePIA | Primary interoperability assembly that allows Microsoft OneNote programmability with .NET Framework
OneNoteToAddIns | OneNote integration functionality with other applications
OneNoteMobileSyncDesktop | OneNote Mobile desktop synchronization component that lets you synchronize OneNote Mobile on your device to the desktop
OUTLOOKFiles | Microsoft Outlook
Outlook_PIA | Primary interoperability assembly that allows Microsoft Outlook programmability with .NET Framework
OutlookHelpFiles | Help for Microsoft Outlook
OutlookImportExportFiles | Import from and export to popular e-mail programs, personal information managers, and standard file formats
OutlookMAPI2 | Contains language-neutral Messaging Application Programming Interface (MAPI) core components that are required by Microsoft Outlook
Outlook64Files | Binary files in a 32-bit Outlook 2010 installation on a 64-bit Windows operating system
OutlookSearchPHAndPluginReg | Used for Microsoft Outlook Search functionality, which is a core part of Microsoft Outlook
OutlookSearchShellReg | Used for Microsoft Outlook Search functionality, which is a core part of Microsoft Outlook
Outlook64SearchShellReg | Used for Microsoft Outlook Search functionality, which is a core part of Microsoft Outlook
OutlookStationeryFiles | Microsoft Outlook Stationery
OutlookVBScript | Debugging tool for Visual Basic Scripting Edition. Used to automate Outlook custom forms
OutlookTemplateFiles | Microsoft Outlook Template Files
OutlookMessaging | Microsoft Outlook Messaging Components
OutlookAddIns | Microsoft Outlook Add-Ins
OutlookOms | Microsoft Outlook Mobile Service
PPTFiles | Microsoft PowerPoint
OrgChartFiles | Program that can be used to revise a Microsoft Organization Chart OLE object that is created with previous versions of this program
PowerPoint_PIA | Primary interoperability assembly that allows Microsoft PowerPoint programmability with .NET Framework
PPTPresentationTemplates | Templates and designs that help you create presentations
PPTHelpFiles | Help for Microsoft PowerPoint
PPTSoundFiles | Sounds used for Microsoft PowerPoint preset animation effects
PPTXmlEditVerb64 | When users install a 32-bit version of Office 2010 on a 64-bit computer, registry file extensions are installed so that the 32-bit version of Office handles the XML file extension
PubPrimary | Microsoft Publisher
PubComPrinting | Tools for printing color publications at commercial printing services
Publisher_PIA | Primary interoperability assembly that allows Microsoft Publisher programmability with .NET Framework
PublisherHelpFiles | Help for Microsoft Publisher
WORDFiles | Microsoft Word
Word_PIA | Primary interoperability assembly that allows Word 2010 programmability with .NET Framework
WordBibliographyFiles | Files that you can use with the Word Bibliography feature
WORDBordersFiles | Provides page borders that can be used to enhance documents
WordCalligly | Word Calligraphy Add-in
WordEnvelopWizard | Word Envelope Wizard Add-in
WordGenko | Word Genko Add-in
WORDHelpFiles | Help for Word
WordQuickFormatsFiles | Word Quick Formats theme files
WORDDocumentTemplates | Word wizards and templates
WordXmlEditVerb64 | When users install a 32-bit version of Office 2010 on a 64-bit computer, registry file extensions are installed so that the 32-bit version of Office handles the XML file extension
XDOCSFiles | Microsoft InfoPath
XDocs_PIA | Primary interoperability assembly that allows for Microsoft InfoPath programmability with .NET Framework
XDOCSHelpFiles | Help for Microsoft InfoPath
SHAREDFiles | Shared files for use with Microsoft Office
AceRepl | Installs the Microsoft Access Database Replication Conflict Manager, which you can use to resolve conflicts between replicated databases
CAGFiles | Collection of popular clip art that can be used to enhance Microsoft Office documents
IMEMain_1028 | Microsoft Office IME (Chinese Traditional)
IMEMain_1041 | Microsoft Office IME (Japanese)
IMEMain_1042 | Microsoft Office IME (Korean)
IMEMain_2052 | Microsoft Office Pinyin IME
ConvertersFiltersFile | File converters and graphics filters
InternationalSupportFiles | Files for international support
OArt_DocTheme | Set of coordinated design elements that include colors, fonts, fills, and effects that can be used within Microsoft Office documents
OfficeDigitalSFiles | Digital certificate for signing a Visual Basic for Applications project. Allows you to avoid unnecessary security warnings
OffproFonts | Fonts for International languages
ProofingTools | Tools for proofreading Office documents
PubFontsSys | Extra fonts for more design flexibility
TCDRegistration | ActiveX control that allows Microsoft Office clip art and templates to be downloaded from Office.com and to be opened automatically in the associated programs
THEMESFiles | Set of coordinated design elements that include body and heading styles, background images, bullets, and horizontal lines
VBAFiles | Components to support creating, editing and executing VBA macros in Office applications
TOOLSFiles | Applications and support files for use with Microsoft Office
DocServicesFiles | Document Update Utility that keeps documents on your computer up-to-date with copies of those documents in document workspaces
EquationEditorFiles | Inserts mathematical symbols and equations into documents
Forms_PIA | Primary interoperability assembly that enables Microsoft Forms 2.0 programmability with .NET Framework
GRAPHFiles | Creates charts from Microsoft Word, Microsoft PowerPoint, and Access data
HTMLSourceEditing | HTML source editor for HTML authoring of Office documents
MSOfficeDocumentImaging | Enables you to easily scan, perform optical character recognition (OCR), search through, extract text from, and view image documents
MSTagPluginsFiles | Provides intelligent recognition of data types within Microsoft Excel and Word, and useful actions for working with the data types
OISFiles | Microsoft Office Picture Manager is installed with the selected options
OSESupp | Document publishing tools and collaboration tools for use with SharePoint Products and Technologies or Microsoft FrontPage Server Extensions, and an Office List component for use with SharePoint Products and Technologies
QueryFiles | Provides direct database connectivity to analyze data in Microsoft Excel
SetLanguageFiles | Sets language options for all Office programs
SmartTag_PIA | Primary interoperability assembly that enables smart tag programmability with .NET Framework
WebDriveFiles | Enables you to use web Folders on Office-compatible Internet service providers

The following table provides OptionState Id values for Microsoft Project 2010.

OptionStateId | Application and sub-feature
PROJECTFiles | Project is installed with only the selected options.
Project_PIA | Primary interoperability assembly that enables Project programmability with .NET Framework
ProjectHelpFiles | Project end-user documentation and language reference that include Microsoft Visual Basic, ActiveX Data Objects (ADO), and Data Access Objects (DAO)
ProjectStdHelpFiles | Project end-user documentation and language reference that include Microsoft Visual Basic, ActiveX Data Objects (ADO), and Data Access Objects (DAO)
ProjectTemplates | Collection of templates that includes Project templates to create new projects and Microsoft Excel templates to use with the Visual Reports feature
ProjectWebProj | Resource substitution wizard is used to automatically staff enterprise projects according to outline codes associated with the task's project, outline codes that are associated with resources, and the availability of those resources

The following table provides OptionState Id values for Microsoft SharePoint Designer.

OptionStateId | Application and sub-feature
WAC_SPD | Microsoft SharePoint Designer
WAC_HelpFiles_SPD | Help for SharePoint Designer
WAC_ThemesTypical_SPD | Coordinated design elements that include body and heading styles, background images, bullets, and horizontal lines
WAC_ThemesAdditional_SPD | Additional coordinated design elements that include body and heading styles, background images, bullets, and horizontal lines
WAC_PIA_SPD | Primary interoperability assembly that enables SharePoint Designer programmability with .NET Framework

The following table provides OptionState Id values for Microsoft Visio 2010.

OptionStateId | Application and sub-feature
VISIOFiles | Microsoft Visio
Visio_PIA | Primary interoperability assembly that enables Microsoft Visio programmability with .NET Framework
VisMAddons | Tools that extend the functionality of the Microsoft Visio program (uses Metric units)
VisUSAddons | Tools that extend the functionality of the Microsoft Visio program (uses US units)
VisMSolutions | Collections of shapes, stencils, and templates for Microsoft Visio drawings (uses Metric units)
VisUSSolutions | Collections of shapes, stencils, and templates for Microsoft Visio drawings (uses US units)
VisioHelpFiles | Help for Microsoft Visio
VisioPreviewerFiles | Viewer for Microsoft Visio drawings that can also be used for previewing Visio drawings in Microsoft Outlook

Config.xml file OptionState element

Administrators can modify the Config.xml file to configure attributes for the OptionState element to specify the following installation behaviors:

  • The feature or subfeature is not installed.

  • The feature or subfeature is installed the first time that it is used by the user.

  • The feature or subfeature is installed locally on the user's computer.

  • Subfeatures of the feature are set to the specified state.

OptionState element syntax

The OptionState element uses the following syntax. The attribute and element names are case-sensitive.

<OptionState

Id="optionID"

State="Absent" | "Advertise" | "Local"

[Children="force"]

/>

where:

optionId is the identifier for a feature or sub-feature that is to be installed.

Absent specifies that the feature or sub-feature is not installed.

Advertise specifies that the feature or sub-feature is installed on first use.

Local installs the feature or sub-feature on the user's computer.

Force sets all features or sub-features to their specified states.

If you set the installation state of an application in Office 2010 to "Absent," the shortcut for that application is not created on the user's computer when Office is assigned. For example, the following element definition in Config.xml prevents the shortcut for Microsoft Access 2010 from being created and Microsoft Access 2010 is not installed on the user's computer:

Copy Code
<OptionState Id="ACCESSFiles" State="Absent" />

Modifying the OptionState element in Config.xml

Administrators can edit the Config.xml file to customize the installation. By default, the Config.xml file that is stored in the core product folders (core_product_folder_name.WW folder such as ProPlus.WW) directs Setup to install that product. For example, the Config.xml file in the ProPlus.WW folder installs Microsoft Office Professional Plus 2010.

To modify the OptionState element

  1. Open the Config.xml file in a text editor tool such as Notepad.

  2. Locate the line in Config.xml that contains the OptionState element, as shown in the following example:

    <!-- <OptionState Id="OptionID" State="absent" Children="force" /> -->

  3. Modify the OptionState element entry by specifying the options that you want to use. For example, use the following syntax if you do not want Microsoft Publisher 2010 to be installed:

    <OptionState Id="PubPrimary" State="Absent" />

  4. Repeat the previous step to specify OptionState options for other features and subfeatures that you want to change.

  5. Save the Config.xml file.

See Also

Concepts

Config.xml file in Office 2010


User registry settings to migrate to Office 2010

Published: May 12, 2010

The registry keys that are included or excluded when you use the in-place upgrade or the uninstall-upgrade option to migrate Microsoft Office 2003 or Office 2007 user data to Microsoft Office 2010 are listed in the tables below.

In this article:

  • Microsoft Office 2003 settings

  • 2007 Microsoft Office system settings

Microsoft Office 2003 settings

Common Settings <include>

HKCU\Software\Microsoft\Office\Common\* [*]

HKCU\Software\Microsoft\Office\11.0\* [*]

HKCU\Software\Microsoft\Shared Tools\* [*]

HKCU\Software\Microsoft\Shared Tools\Proofing Tools\Custom Dictionaries [*]

HKCU\Software\Microsoft\Office\11.0\Common\Internet\* [*]

%APPDATA%\Microsoft\Office [*.acl]

%APPDATA%\Microsoft\Office\Recent [*]

%APPDATA%\Microsoft\Proof\* [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{4FFB3E8B-AE75-48F2-BF13-D0D7E93FA8F9}\* [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{64AB6C69-B40E-40AF-9B7F-F5687B48E2B6}\* [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{87EF1CFE-51CA-4E6B-8C76-E576AA926888}\* [*]

Common Settings <exclude>

HKCU\Software\Microsoft\Shared Tools\Proofing Tools\1.0\Custom Dictionaries\* [*]

HKCU\Software\Microsoft\Office\11.0\Shortcut Bar [LocalPath]

HKCU\Software\Microsoft\Office\11.0\Common\Internet [LocationOfComponents]

HKCU\Software\Microsoft\Office\11.0\Common\Open Find\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Internet [UseRWHlinkNavigation]

HKCU\Software\Microsoft\Office\11.0\Common\InternetServer Cache\* [*]

Access 2003 <include>

HKCU\Software\Microsoft\Office\11.0\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\Access\* [*]

HKCU\Software\Microsoft\Office\11.0\Access\* [*]

HKCU\Software\Microsoft\Office\11.0\CMA\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings\ [Microsoft Access]

%APPDATA%\Microsoft\Office [Access11.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Access\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Access\Recent Templates\* [Template*]

Access 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\Access\Settings [MRU*]

Excel 2003 <include>

HKCU\Software\Microsoft\Office\11.0\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\11.0\Excel\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings\ [Microsoft Excel]

%APPDATA%\Microsoft\Excel\ [EXCEL11.xlb]

%APPDATA%\Microsoft\Office\ [EXCEL11.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Excel\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Excel\Recent Templates\* [Template*]

Excel 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\Excel\Recent Files\* [*]

FrontPage 2003 <include>

HKCU\Software\Microsoft\FrontPage\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings [Microsoft FrontPage]

%APPDATA%\Microsoft\FrontPage\State [CmdUI.PRF]

%APPDATA%\Microsoft\Office [fp11.pip]

%APPDATA%\Microsoft\FrontPage\Snippets [FPSnippetsCustom.xml]

FrontPage 2003 <exclude>

HKCU\Software\Microsoft\FrontPage [WecErrorLog]

HKCU\Software\Microsoft\FrontPage\Explorer\FrontPage Explorer\Recent File List\* [*]

HKCU\Software\Microsoft\FrontPage\Explorer\FrontPage Explorer\Recent Web List\* [*]

OneNote 2003 <include>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Common\LanguageResources [SKULanguage]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\OneNote\* [*]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings\ [Microsoft Office OneNote]

%APPDATA%\Microsoft\Office\ [OneNot11.pip]

%APPDATA%\Microsoft\OneNote\ [Preferences.dat]

%APPDATA%\Microsoft\OneNote\ [Toolbars.dat]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\Recent Templates\* [Template*]

OneNote 2003 <exclude>

HKCU\software\Microsoft\Office\%OFFICEVERSION%\OneNote\Options\Save\ [BackupLastAutoBackupTime]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\OneNote\Options\Save\ [BackupFolderPath]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\OneNote\General\ [LastCurrentFolderForBoot]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\OneNote\General\ [Last Current Folder]

Outlook 2003 <include>

HKCU\Software\Microsoft\Office\11.0\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\Outlook\* [*]

HKCU\Software\Microsoft\Office\11.0\Outlook\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings [Microsoft Outlook]

HKCU\Software\Microsoft\Office\Outlook\OMI Account Manager\Accounts\* [*]

HKCU\Software\Microsoft\Office\11.0\Outlook\Journal\* [*]

%APPDATA%\Microsoft\Signatures\* [*]

%CSIDL_LOCAL_APPDATA%\Microsoft\FORMS [frmcache.dat]

%APPDATA%\Microsoft\Outlook [outcmd11.dat]

%APPDATA%\Microsoft\Outlook [outcmd.dat]

%APPDATA%\Microsoft\Outlook [views.dat]

%APPDATA%\Microsoft\Outlook [OutlPrint]

%APPDATA%\Microsoft\Office [MSOut11.pip]

%APPDATA%\Microsoft\Outlook [*.rwz]

%APPDATA%\Microsoft\Outlook [*.srs]

%APPDATA%\Microsoft\Outlook [*.NK2]

%APPDATA%\Microsoft\Outlook [*.xml]

HKCU\Software\Microsoft\Exchange\* [*]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [001e023d]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [001f023d]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [*]

Outlook 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\Outlook [FirstRunDialog]

HKCU\Software\Microsoft\Office\11.0\Outlook [Machine Name]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\*\0a0d020000000000c000000000000046 [111f031e]

HKCU\Identities\* [LDAP Server]

HKCU\Software\Microsoft\Internet Account Manager\Accounts\* [LDAP Server]

HKCU\Software\Microsoft\Office\Outlook\OMI Account Manager\Accounts\* [LDAP Server]

PowerPoint 2003 <include>

HKCU\Software\Microsoft\Office\11.0\PowerPoint\* [*]

HKCU\Software\Microsoft\Office\11.0\PowerPoint\RecentFolderList [Default]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings [Microsoft PowerPoint]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\PowerPoint\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\PowerPoint\Recent Templates\* [Template*]

PowerPoint 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\PowerPoint\Recent File List\* [*]

HKCU\Software\Microsoft\Office\11.0\PowerPoint\RecentFolderList\* [*]

Project 2003 <include>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings [Microsoft Project]

%APPDATA%\Microsoft\Office [MSProj11.pip]

%APPDATA%\Microsoft\MS Project\11\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent Templates\* [Template*]

Project 2003 <exclude>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent File List [*]

Publisher 2003 <include>

HKCU\Software\Microsoft\Office\11.0\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\11.0\Publisher\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings [Microsoft Publisher]

%APPDATA%\Microsoft\Office [*.acl]

%APPDATA%\Microsoft\Publisher [pubcmd.dat]

%APPDATA%\Microsoft\Office\ [*.jsp]

Publisher 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\Publisher\Recent File List\* [*]

Visio 2003 <include>

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\* [*]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings\ [Microsoft Office Visio]

CSIDL_APPDATA\Microsoft\Office\[Visio11.pip]

CSIDL_LOCAL_APPDATA\Microsoft\Visio\ [content.dat]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Visio\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Visio\Recent Templates\* [Template*]

Visio 2003 <exclude>

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [LastFile*]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [MyShapesPath]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [UserDictionaryPath1]

Word 2003 <include>

HKCU\Software\Microsoft\Office\11.0\Common\LanguageResources [SKULanguage]

HKCU\Software\Microsoft\Office\11.0\Word\* [*]

HKCU\Software\Microsoft\Office\11.0\Common\Toolbars\Settings [Microsoft Word]

%APPDATA%\Microsoft\Templates [Normal.dot]

%APPDATA%\Microsoft\Office [Word11.pip]

%APPDATA%\Microsoft\Office [WordMa11.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Word\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Word\Recent Templates\* [Template*]

Word 2003 <exclude>

HKCU\Software\Microsoft\Office\11.0\Word\Options [PROGRAMDIR]

2007 Microsoft Office system settings

Common Settings <include>

HKCU\Software\Microsoft\Office\Common\* [*]

HKCU\Software\Microsoft\Office\12.0\Common\* [*]

HKCU\Software\Microsoft\Shared Tools\* [*]

%APPDATA%\Microsoft\Office [*.acl]

%APPDATA%\Microsoft\Office\Recent [*]

%APPDATA%\Microsoft\Templates\* [*]

%APPDATA%\Microsoft\Proof\* [*]

%APPDATA%\Microsoft\UProof\* [*]

HKCU\Software\Microsoft\Shared Tools\Proofing Tools\*\Custom Dictionaries [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{4FFB3E8B-AE75-48F2-BF13-D0D7E93FA8F9}\* [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{64AB6C69-B40E-40AF-9B7F-F5687B48E2B6}\* [*]

HKCU\Software\Microsoft\Office\Common\Smart Tag\Recognizers\{87EF1CFE-51CA-4E6B-8C76-E576AA926888}\* [*]

Common Settings <exclude>

HKCU\Software\Microsoft\Office\12.0\Shortcut Bar [LocalPath]

HKCU\Software\Microsoft\Office\12.0\Common\Internet [LocationOfComponents]

HKCU\Software\Microsoft\Office\12.0\Common\Open Find\* [*]

HKCU\Software\Microsoft\VBA\6.0\Common

%CSIDL_LOCAL_APPDATA%\Microsoft\Office [*.qat]

Access 2007 <include>

%APPDATA%\Microsoft\Office [Access11.pip]

HKCU\Software\Microsoft\Office\Access\* [*]

HKCU\Software\Microsoft\Office\12.0\Access\* [*]

HKCU\Software\Microsoft\Office\12.0\CMA\* [*]

HKCU\Software\Microsoft\Office\12.0\Common\Toolbars\Settings\ [Microsoft Access]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Access\File MRU\* [*]

Access 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\Access\Settings [MRU*]

Excel 2007 <include>

HKCU\Software\Microsoft\Office\12.0\Excel\* [*]

HKCU\Software\Microsoft\Office\12.0\Common\Toolbars\Settings\ [Microsoft Excel]

%APPDATA%\Microsoft\Excel\ [EXCEL11.xlb]

%APPDATA%\Microsoft\Office\ [EXCEL11.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Excel\File MRU\* [*]

Excel 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\Excel\Recent Files\* [*]

OneNote 2007 <include>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings\ [Microsoft Office OneNote]

%APPDATA%\Microsoft\Office\ [OneNot12.pip]

%APPDATA%\Microsoft\OneNote\%OFFICEVERSION%\ [Preferences.dat]

%APPDATA%\Microsoft\OneNote\%OFFICEVERSION%\ [Toolbars.dat]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\Recent Templates\* [*]

%APPDATA%\Microsoft\MS Project\12\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\Recent Templates\* [Template*]

OneNote 2007 <exclude>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\General\ [LastMyDocumentsPathUsed]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\OneNote\Options\Paths\ [BackupFolderPath]

Outlook 2007 <include>

HKCU\Software\Microsoft\Office\Outlook\* [*]

HKCU\Software\Microsoft\Office\12.0\Outlook\* [*]

HKCU\Software\Microsoft\Office\12.0\Common\Toolbars\Settings [Microsoft Outlook]

HKCU\Software\Microsoft\Office\Outlook\OMI Account Manager\Accounts\* [*]

%APPDATA%\Microsoft\Signatures\* [*]

%CSIDL_LOCAL_APPDATA%\Microsoft\FORMS [frmcache.dat]

%APPDATA%\Microsoft\Outlook [outcmd11.dat]

%APPDATA%\Microsoft\Outlook [outcmd.dat]

%APPDATA%\Microsoft\Outlook [views.dat]

%APPDATA%\Microsoft\Outlook [OutlPrint]

%APPDATA%\Microsoft\Office [MSOut11.pip]

HKCU\Software\Microsoft\Exchange\* [*]

%APPDATA%\Microsoft\Outlook [*.rwz]

%APPDATA%\Microsoft\Outlook [*.srs]

%APPDATA%\Microsoft\Outlook [*.NK2]

%APPDATA%\Microsoft\Outlook [*.xml]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [*]

HKCU\Software\Microsoft\Office\12.0\Outlook\Journal\* [*]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [001e023d]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\* [001f023d]

Outlook 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\Outlook [FirstRunDialog]

HKCU\Software\Microsoft\Office\12.0\Outlook [Machine Name]

HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows Messaging Subsystem\Profiles\*\0a0d020000000000c000000000000046 [111f031e]

HKCU\Identities\* [LDAP Server]

HKCU\Software\Microsoft\Internet Account Manager\Accounts\* [LDAP Server]

HKCU\Software\Microsoft\Office\Outlook\OMI Account Manager\Accounts\* [LDAP Server]

PowerPoint 2007 <include>

HKCU\Software\Microsoft\Office\12.0\PowerPoint\* [*]

HKCU\Software\Microsoft\Office\12.0\PowerPoint\RecentFolderList [Default]

HKCU\Software\Microsoft\Office\12.0\Common\Toolbars\Settings [Microsoft PowerPoint]

%APPDATA%\Microsoft\PowerPoint [PPT11.pcb]

%APPDATA%\Microsoft\Office [PowerP11.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\PowerPoint\File MRU\* [*]

PowerPoint 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\PowerPoint\Recent File List\* [*]

HKCU\Software\Microsoft\Office\12.0\PowerPoint\RecentFolderList\* [*]

Project 2007 <include>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings [Microsoft Office Project]

%APPDATA%\Microsoft\Office [MSProj12.pip]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent Templates\* [Template*]

Project 2007 <exclude>

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\MS Project\Recent File List [*]

Publisher 2007 <include>

HKCU\Software\Microsoft\Office\12.0\Publisher\* [*]

HKCU\Software\Microsoft\Office\12.0\Common\Toolbars\Settings [Microsoft Publisher]

%APPDATA%\Microsoft\Office [*.acl]

%APPDATA%\Microsoft\Publisher [pubcmd.dat]

%APPDATA%\Microsoft\Office [Publis11.pip]

%APPDATA%\Microsoft\Office\ [*.jsp]

Publisher 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\Publisher\Recent File List\* [*]

Visio 2007 <include>

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\* [*]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Common\Toolbars\Settings\ [Microsoft Office Visio]

%APPDATA%\Microsoft\Office\ [Visio12.pip]

%CSIDL_LOCAL_APPDATA%\Microsoft\Visio\ [content.dat]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Visio\Recent Templates\* [*]

HKCU\Software\Microsoft\Office\%OFFICEVERSION%\Visio\Recent Templates\* [Template*]

Visio 2007 <exclude>

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [LastFile*]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [MyShapesPath]

HKCU\software\Microsoft\Office\%OFFICEVERSION%\Visio\Application\ [UserDictionaryPath1]

Word 2007 <include>

HKCU\Software\Microsoft\Office\12.0\Word\* [*]

%APPDATA%\Microsoft\Templates\* [*]

%APPDATA%\Microsoft\QuickStyles\* [*]

%APPDATA%\Microsoft\Document Building Blocks\* [*]

%APPDATA%\Microsoft\Bibliography\* [*]

%APPDATA%\Microsoft\Office [Word11.pip]

%APPDATA%\Microsoft\Office [WordMa11.pip]

Word 2007 <exclude>

HKCU\Software\Microsoft\Office\12.0\Word\Data [PROGRAMDIR]

HKCU\Software\Microsoft\Office\12.0\Word\Options [PROGRAMDIR]

See Also

Concepts

Use the User State Migration Tool 4.0 to migrate to Office 2010


International reference for Office 2010

To help you plan which languages to install and the language tags and identifiers to use to configure the Microsoft Office 2010 Setup, review the following articles.

In this documentation:

Article | Description
Companion proofing languages for Office 2010 | Provides a list of the companion proofing languages for each language in Office 2010.
Language identifiers and OptionState Id values in Office 2010 | Provides a list of the language tags and identifiers that might be needed to configure Setup for Office 2010 or for the Office 2010 Proofing Tools Kit.
Mixed language versions of Office 2010 | Describes the language versions that are available for the Office 2010 applications, which applications will work with Language Interface Packs, and the recommended base languages to install.


Companion proofing languages for Office 2010

Each language version of Microsoft Office 2010 includes proofing tools for a set of companion languages. For example, when you deploy the English version of an Office 2010 product, users receive proofing tools for both Spanish and French in addition to English. Depending on the number of user interface languages that you want to deploy, and the included companion proofing languages, Office 2010 Language Packs might provide all the proofing tools that you need.

  • For more information about deploying Office 2010 Language Packs, see Plan for multilanguage and Proofing Tools deployment for Office 2010.

  • For information about buying Office 2010 Language Packs, see Office 2010 language options (http://go.microsoft.com/fwlink/p/?LinkId=231199). If you are a Microsoft volume license customer, you can obtain Office 2010 Language Packs from the Microsoft Volume Licensing Service Center (VLSC) (http://go.microsoft.com/fwlink/p/?LinkId=232300).

Identify companion proofing languages

The following table lists companion proofing languages for each language in Office 2010.

Primary language | Companion proofing languages
Arabic | Arabic, English, French
Brazilian | Brazilian, English, Spanish
Bulgarian | Bulgarian, English, German, Russian
Chinese (Simplified) | Chinese (Simplified), English
Chinese (Traditional) | Chinese (Traditional), English
Croatian | Croatian, English, German, Serbian, Italian
Czech | Czech, English, German, Slovak
Danish | Danish, English, German, Swedish
Dutch | Dutch, English, French, German
English | English, French, Spanish
Estonian | Estonian, English, German, Russian, Finnish,
Finnish | Finnish, English, Swedish, German, Russian
French | French, English, German, Dutch, Arabic, Spanish
German | German, English, French, Italian
Greek | Greek, English, French, German
Hebrew | Hebrew, English, French, Arabic, Russian
Hindi | Hindi, English, Tamil, Telegu, Marathi, Kannada, Guajarati, Punjabi, Urdu
Hungarian | Hungarian, English, German
Italian | Italian, English, French, German
Japanese | Japanese, English
Kazakh | Kazakh, English, Russian
Korean | Korean, English
Latvian | Latvian, English, German, Russian
Lithuanian | Lithuanian, English, German, Russian, Polish
Norwegian (Bk) | Norwegian (Bk), English, German, Norwegian (Ny)
Polish | Polish, English, German
Portuguese | Portuguese, English, French, Spanish
Romanian | Romanian, English, French
Russian | Russian, English, Ukrainian, German
Serbian (Latin) | Serbian (Latin), English, German, French, Croatian
Slovak | Slovak, English, Czech, Hungarian, German
Slovenian | Slovenian, English, German, Italian, Croatian
Spanish | Spanish, English, French, Basque, Catalan, Galician, Brazilian
Swedish | Swedish, English, Finnish, German
Thai | Thai, English, French
Turkish | Turkish, English, French, German
Ukrainian | Ukrainian, English, Russian, German

See Also

Concepts

Plan for multilanguage and Proofing Tools deployment for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010


Language identifiers and OptionState Id values in Office 2010

Published: May 12, 2010

Use the values in the Language Identifier and OptionState Id tables to configure Setup for Microsoft Office 2010 or for the Office 2010 Proofing Kit, or to identify currently installed languages.

In this article:

  • Language identifiers

  • Proofing Tools Config.xml OptionState Id values

Language identifiers

Office 2010 is available in many languages. In an international setting, you can deploy multiple language versions of Office 2010 in a single installation process. Setup combines a language-neutral core product with one or more language-specific packages to create a complete product.

On the source media, language-specific packages are organized into separate folders. Each folder name has a language tag appended to it, in the form ll-cc, that identifies the language and culture. For example, U.S. English language folders are identified by the folder name extension en-us. The language tags help you determine the folders that you need to copy to the network installation point.

The language folders that are included in a fully localized version of an Office 2010 product are the same language folders that are included in the Microsoft Office 2010 Language Pack for a specific language. For example, the same Outlook.ar-sa folder is used in the Arabic language version of Microsoft Office Standard 2010, the Arabic language version of Microsoft Outlook 2010, and the Office 2010 Language Pack - Arabic.

Office 2010 offers localized versions in all the languages that are listed in the following table. Folders for the language-specific components are identified by the language tag that is shown in the table. The Windows operating system uses locale identifiers (LCIDs) to identify languages in the Windows registry.

In addition to the fully localized languages listed here, Office 2010 provides Language Interface Packs (LIPs), which contain a subset of language-specific components and are designed to be installed together with a logical parent language. Elements that are not localized in the LIP language appear in the parent language. For more information about LIPs, see Language Interface Packs in Mixed language versions of Office 2010.

Language | Geographic area | Language tag (ll-cc) | LCID
Arabic | Saudi Arabia | ar-sa | 1025
Bulgarian | Bulgaria | bg-bg | 1026
Chinese (Simplified) | People's Republic of China | zh-cn | 2052
Chinese | Taiwanese | zh-tw | 1028
Croatian | Croatia | hr-hr | 1050
Czech | Czech Republic | cs-cz | 1029
Danish | Denmark | da-dk | 1030
Dutch | Netherlands | nl-nl | 1043
English | United States | en-us | 1033
Estonian | Estonia | et-ee | 1061
Finnish | Finland | fi-fi | 1035
French | France | fr-fr | 1036
German | Germany | de-de | 1031
Greek | Greece | el-gr | 1032
Hebrew | Israel | he-il | 1037
Hindi | India | hi-in | 1081
Hungarian | Hungary | hu-hu | 1038
Italian | Italy | it-it | 1040
Japanese | Japan | ja-jp | 1041
Kazakh | Kazakhstan | kk-kh | 1087
Korean | Korea | ko-kr | 1042
Latvian | Latvia | lv-lv | 1062
Lithuanian | Lithuania | lt-lt | 1063
Norwegian (Bokmål) | Norway | nb-no | 1044
Polish | Poland | pl-pl | 1045
Portuguese | Brazil | pt-br | 1046
Portuguese | Portugal | pt-pt | 2070
Romanian | Romania | ro-ro | 1048
Russian | Russia | ru-ru | 1049
Serbian (Latin) | Serbia | sr-sp-latn | 2074
Slovak | Slovakia | sk-sk | 1051
Slovenian | Slovenia | sl-si | 1060
Spanish | Spain | es-es | 3082
Swedish | Sweden | sv-se | 1053
Thai | Thailand | th-th | 1054
Turkish | Turkey | tr-tr | 1055
Ukrainian | Ukrainian | uk-ua | 1058

Proofing Tools Config.xml OptionState Id values

The following table provides the OptionState Id values for the Office 2010 Proofing Tools Kit. Use these values to modify the Config.xml file in the ProofKit.WW folder when customizing the Setup of the Office 2010 Proofing Tools Kit. For more information about proofing tools, see Plan for proofing tools in Plan for multilanguage and Proofing Tools deployment for Office 2010.

OptionState Id | Proofing tools language
IMEMain_1028 | Chinese Traditional Input Method Editor (IME)
IMEMain_1041 | Japanese IME
IMEMain_1042 | Korean IME
IMEMain_2052 | Pinyin IME
ProofingTools_1025 | Arabic
ProofingTools_1026 | Bulgarian
ProofingTools_2052 | Chinese (People's Republic of China)
ProofingTools_3076 | Chinese (Hong Kong)
ProofingTools_1028 | Chinese (Taiwan)
ProofingTools_1050 | Croatian
ProofingTools_1029 | Czech
ProofingTools_1030 | Danish
ProofingTools_1043 | Dutch
ProofingTools_1033 | English
ProofingTools_1061 | Estonian
ProofingTools_1035 | Finnish
ProofingTools_1036 | French
ProofingTools_1031 | German
ProofingTools_1032 | Greek
ProofingTools_1037 | Hebrew
ProofingTools_1081 | Hindi
ProofingTools_1038 | Hungarian
ProofingTools_1040 | Italian
ProofingTools_1041 | Japanese
ProofingTools_1087 | Kazakh
ProofingTools_1042 | Korean
ProofingTools_1062 | Latvian
ProofingTools_1063 | Lithuanian
ProofingTools_1044 | Norwegian (Bokmål)
ProofingTools_1045 | Polish
ProofingTools_1046 | Portuguese (Brazil)
ProofingTools_2070 | Portuguese (Portugal)
ProofingTools_1048 | Romanian
ProofingTools_1049 | Russian
ProofingTools_2074 | Serbian (Latin)
ProofingTools_1051 | Slovak
ProofingTools_1060 | Slovenian
ProofingTools_3082 | Spanish
ProofingTools_1053 | Swedish
ProofingTools_1054 | Thai
ProofingTools_1055 | Turkish
ProofingTools_1058 | Ukrainian
ProofingTools_1027 | Catalan
ProofingTools_1056 | Urdu
ProofingTools_1069 | Basque
ProofingTools_1094 | Punjabi
ProofingTools_1095 | Gujarati
ProofingTools_1097 | Tamil
ProofingTools_1099 | Kannada
ProofingTools_1102 | Marathi
ProofingTools_1110 | Galician
ProofingTools_2068 | Norwegian (Nynorsk)
ProofingTools_1098 | Telugu

See Also

Concepts

Plan for multilanguage and Proofing Tools deployment for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010
Mixed language versions of Office 2010
Setup architecture overview for Office 2010


Mixed language versions of Office 2010

An installation of Microsoft Office 2010 suites can include applications or user interface elements in more than one language because some Office 2010 products are not available in every language.

This article describes which language versions are available for a subset of the Office 2010 applications, which Office 2010 applications will work with Language Interface Packs, and the recommended base languages to install for Office 2010 Language Interface Packs.

In this article:

  • Applications and language availability

  • Language Interface Packs

Applications and language availability

Individual applications will install with the Office 2010 language version installed with a few exceptions. One exception is that the Hindi language version installs Microsoft Access 2010 in English.

In other language versions, certain applications are not available at all.

Microsoft Project 2010, Microsoft Visio 2010, and Microsoft SharePoint Designer 2010 are available in a subset of languages, as shown in the following table.

Language | Project 2010 | Visio 2010 | SharePoint Designer 2010
Arabic | yes | yes | yes
Brazilian | yes | yes | yes
Chinese - Simple | yes | yes | yes
Chinese - Traditional | yes | yes | yes
Czech | yes | yes | yes
Danish | yes | yes | yes
Dutch | yes | yes | yes
English | yes | yes | yes
Finnish | yes | yes | yes
French | yes | yes | yes
German | yes | yes | yes
Greek | yes | yes | yes
Hebrew | yes | yes | yes
Hindi | no | no | yes
Hungarian | yes | yes | yes
Italian | yes | yes | yes
Japanese | yes | yes | yes
Korean | yes | yes | yes
Norwegian | yes | yes | yes
Polish | yes | yes | yes
Portuguese (European) | yes | yes | yes
Russian | yes | yes | yes
Slovak | yes | yes | no
Slovenian | yes | yes | no
Spanish | yes | yes | yes
Swedish | yes | yes | yes
Thai | no | no | yes
Turkish | yes | yes | yes
Ukrainian | yes | yes | no

Language Interface Packs

For some languages, Microsoft localizes only some Office 2010 applications and releases them as Language Interface Packs (LIPs). Users must first install a full language version of Office 2010, and then they can install the LIP. They work in their preferred language in the following applications and features:

  • Microsoft Word 2010

  • Microsoft Outlook 2010

  • Microsoft Excel 2010

  • Microsoft PowerPoint 2010

  • Shared Office features

The rest of the applications appear in the primary Office 2010 installation language. The following table lists the recommended base language for each LIP language.

LIP language | Recommended base language
Afrikaans | English
Albanian | English
Amharic | English
Armenian | English
Assamese | English or Hindi
Azeri | English or Russian
Basque | Spanish or French
Bengali - Bangladesh | English
Bengali - India | English or Hindi
Bosnian - Cyrillic | Serbian Latin, English, or Croatian
Bosnian - Latin | Serbian Latin, English, or Croatian
Byelorussian | Russian
Filipino | English
Galician | Spanish
Georgian | English
Gujarati | English or Hindi
Hausa | English
Igbo | English
Icelandic | English
Indonesian Bahasa | English
Inuktitut | English
Irish - Gaelic | English
isiXhosa | English
isiZulu | English
Kannada | English or Hindi
Kazakh | Russian or English
Khmer | English
Ki'che | Spanish
Kyrgyz | Russian
Kiswahili | English
Konkani | English or Hindi
Luxembourgish | German, English, or French
Macedonian (FYROM) | English
Malay | English
Malay - Brunei | English
Malayalam | English or Hindi
Maltese | English
Maori | English
Marathi | English or Hindi
Mongolian (Cyrillic) | English or Russian
Nepali | English or Hindi
Norwegian - Nynorsk | Norwegian
Oriya | English or Hindi
Persian | English
Punjabi | English or Hindi
Quechua | Spanish
Setswana | English
Sesotho sa Leboa | English
Sinhalese | English
Tamil | English or Hindi
Tatar | Russian
Telugu | English or Hindi
Turkmen | English or Russian
Urdu | English
Uzbek - Latin | English or Russian
Vietnamese | English
Welsh | English
Yoruba | English

See Also

Concepts

Plan for multilanguage and Proofing Tools deployment for Office 2010
Customize deployment of language setup and Proofing Tools in Office 2010


Messaging reference for Outlook 2010

When planning or managing a deployment of Microsoft Outlook 2010 in an organization, consider the following reference article.

In this section:

Article | Description
Attachment file types restricted by Outlook 2010 | Contains a list of Level 1 file types that are blocked under a default installation of Outlook 2010.

See Also

Concepts

Plan for Outlook 2010


Attachment file types restricted by Outlook 2010

Some attachments in items (such as e-mail messages or appointments) in Microsoft Outlook 2010 have restricted access. Files that have specific extensions can be categorized as Level 1 (the user cannot view the file) or Level 2 (the user can open the file after saving it to disk).

Not an IT Professional?

This article is for IT Professionals. If you're not an IT Professional, but want to learn more about how to share files that have restricted file types, see Blocked attachments in Outlook (http://go.microsoft.com/fwlink/p/?LinkId=188575).

By default, Outlook 2010 classifies several file types as Level 1 and blocks files that have those extensions from being received by users. As an administrator, you can use Group Policy to manage how a file type is categorized for e-mail attachment blocking. For example, you can change a file type categorization from Level 1 to Level 2 or create a list of Level 2 file types. There are no Level 2 file types by default. For more information, see Plan attachment settings in Outlook 2010.

The following table lists Level 1 file types that are blocked under a default installation of Outlook 2010.

File extension | File type
.ade | Microsoft Access project extension
.adp | Microsoft Access project
.app | Application file
.asp | Active server page
.bas | Microsoft Visual Basic class module
.bat | Batch file
.cer | Internet Security Certificate file
.chm | Compiled HTML Help file
.cmd | DOS CP/M command file, Microsoft Windows NT command script
.cnt | Windows Help contents file
.com | Microsoft MS_DOS program
.cpl | Control Panel extension
.crt | Security certificate
.csh | Script file
.der | DER Encoded X509 certificate file
.exe | Executable file
.fxp | Microsoft Visual FoxPro compiled program
.gadget | Windows Gadget
.grp | Windows program group file
.hlp | Help file
.hpj | Help project file
.hta | HTML program
.inf | Information or setup file
.ins | Internet Naming Service
.isp | Internet Communication settings
.its | Internet Document Set file
.jar | JAVA archive file
.js | JavaScript source code
.jse | JScript Encoded script file
.ksh | UNIX Shell script file
.lnk | Windows shortcut
.mad | Microsoft Access module shortcut
.maf | Microsoft Access shortcut
.mag | Microsoft Access diagram shortcut
.mam | Microsoft Access macro shortcut
.maq | Microsoft Access query shortcut
.mar | Microsoft Access report shortcut
.mas | Microsoft Access stored procedures
.mat | Microsoft Access table shortcut
.mau | Media attachment unit
.mav | Microsoft Access view shortcut
.maw | Microsoft Access data access page
.mcf | Manifest configuration file
.mda | Microsoft Access add-in program
.mdb | Microsoft Access program
.mde | Microsoft Access MDE database file
.mdt | Microsoft Access data file
.mdw | Microsoft Access workgroup
.mdz | Microsoft Access wizard program
.msc | Microsoft Common Console document
.msh | Windows PowerShell script helper
.msh1 | Windows PowerShell script helper
.msh2 | Windows PowerShell script helper
.mshxml | Windows PowerShell script helper
.msh1xml | Windows PowerShell script helper
.msh2xml | Windows PowerShell script helper
.msi | Windows Installer package
.msp | Windows Installer update package file
.mst | Visual Test source file
.ops | Microsoft Office profile settings file
.osd | Open software description file
.pcd | Microsoft Visual Test compiled script
.pif | Windows program information file
.pl | Perl script file
.plg | Developer Studio build log
.prf | Outlook profile file
.prg | Program source file
.ps1 | Windows PowerShell
.ps1xml | Windows PowerShell
.ps2 | Windows PowerShell
.ps2xml | Windows PowerShell
.psc1 | Windows PowerShell
.psc2 | Windows PowerShell
.pst | Microsoft Outlook personal folder file
.reg | Registration entries, Registry data file
.scf | Windows Explorer command file
.scr | Windows screen saver
.sct | Windows script component
.shb | Windows shortcut to a document
.shs | Shell Scrap object file
.tmp | Temporary file or folder
.url | Uniform Resource Locator (Internet shortcut)
.vb | Microsoft Visual Basic Scripting Edition (VBScript) file
.vbe | VBScript Encoded script file
.vbp | Visual Basic project file
.vbs | VBScript script file, Visual Basic for Applications script file
.vsmacros | Microsoft Visual Studio .NET binary-based macro project file
.vsw | Microsoft Visio workspace file
.ws | Windows script file
.wsc | Windows script component
.wsf | Windows script file
.wsh | Windows Script Host settings file
.xbap | XAML browser application
.xnk | Microsoft Exchange public folder shortcut

See Also

Concepts

Plan attachment settings in Outlook 2010


SharePoint Workspace 2010 reference

You can customize Microsoft SharePoint Workspace 2010 installations by using the Office Customization Tool (OCT) to configure specific policy settings. This tool is especially useful if you cannot access the Group Policy feature, which also lets you customize installations.

In this documentation:

Article | Description
Office Customization Tool settings for SharePoint Workspace 2010 | Describes how to use the Office Customization Tool (OCT) to customize an installation of SharePoint Workspace 2010.
Group Policy for SharePoint Workspace 2010 | Describes Group Policy settings that, when applied to an Active Directory organizational unit, can be used to customize an installation of SharePoint Workspace 2010.
Deployment checklist for SharePoint Workspace 2010 | Provides a short checklist to help ensure a successful deployment of SharePoint Workspace 2010.


Group Policy for SharePoint Workspace 2010

When Group Policy settings are applied to an Active Directory organizational unit, you can use them to customize an installation of Microsoft SharePoint Workspace 2010. A collection of Group Policy settings, which is known as a Group Policy object (GPO), is tied to a rules engine that determines which Active Directory group receives related policy settings. SharePoint Workspace-specific Group Policy settings can found in the groove.adm file.

For more information about how to access and use the Group Policy feature, see Group Policy overview (Office system) (http://go.microsoft.com/fwlink/p/?LinkID=162307) and Enforce settings by using Group Policy in the Office system (http://go.microsoft.com/fwlink/p/?LinkID=78176).

For more information about how to customize deployments, see Configure and customize SharePoint Workspace 2010.

The following table lists and describes GPOs that affect SharePoint Workspace 2010 installations.

Group Policy object Description Default value or undefined value

Prohibit Groove Workspaces

Prohibits use of Groove workspaces and Shared Folders. Limits SharePoint Workspace use to SharePoint workspaces only.

Disabled

Enable IPv6

Enables IPv6 for SharePoint Workspace.

Disabled

Prefer IPv4

Indicates that IPv4 is preferred over IPv6 if both are supported on client computers.

Disabled

Prevent Indexing Certain Paths

Prevents Windows Search 4.0 from crawling (creating indexes for) SharePoint Workspace content. This policy prevents Windows Search crawling for SharePoint Workspace, removes Search from the ribbon in SharePoint Workspace, overrides any user-initiated content crawling, and cleans the Windows Search index of previously indexed SharePoint Workspace content.

If this policy is not enabled, Windows Search indexing is enabled by default for the following SharePoint Workspace content:

  • Metadata for SharePoint workspaces and Groove workspaces for SharePoint Workspace 2010

  • Metadata for all Groove workspace tools for SharePoint Workspace 2010

  • The following Groove workspace content is for SharePoint Workspace 2010: Discussions, Documents, Notepad entries, chat transcripts, member messages, and custom lists.

If this policy is enabled, Windows Search does not crawl specified paths. The format for specifying a non-searchable path is as follows: Protocol://site/path/file and SharePointWorkspaceSearch must be entered as the search protocol.

For example, the following entry prevents indexing of any SharePoint Workspace content for all users on target SharePoint Workspace computers:

SharePointWorkspaceSearch://{*}/*

For more information about the Prevent Indexing Certain Paths GPO, see Group Policy for Windows Search (http://go.microsoft.com/fwlink/p/?LinkID=164564&clcid=0x409).

Note:

This setting is a Windows Search policy that affects SharePoint Workspace 2010.

For more information about Group Policy for Windows Search, see Windows Search Administrators Guides (http://go.microsoft.com/fwlink/p/?LinkId=164567).

Enabled

Sync Only On Domain Network

Requires a Secure Socket Layer (SSL) connection for SharePoint Workspace clients trying connect to SharePoint Server 2010 from outside the organization's intranet.

Note:

This setting is a SharePoint Server 2010 custom policy that affects SharePoint Workspace 2010.

Disabled

SharePoint Workspace Account Configuration Code Required

If you use Groove Server 2010 Manager to manage SharePoint Workspace, use this policy to require that a managed account configuration code be entered, manually or automatically, to create a SharePoint Workspace account. This prevents users from creating unmanaged SharePoint Workspace accounts.

For information about Groove Server 2010 and automatic account configuration, see Deployment for Groove Server 2010.

Disabled

Groove Server Manager Name

If you use Groove Server 2010 Manager to manage SharePoint Workspace, use this policy to specify the Groove Server 2010 Manager server name to which users are assigned. This attribute supports automatic SharePoint Workspace account configuration or restoration, and migration of unmanaged accounts to managed accounts. For information about how to migrate unmanaged accounts to Groove Server 2010 Manager, see the Migration section of Operations for Groove Server 2010 Manager.

Disabled

Groove Server Manager Valid Link Security

If you use Groove Server 2010 Manager to manage SharePoint Workspace, use this policy to ensure a trusted SharePoint Workspace-to-Manager communication link. When this requirement is enabled, the presented Groove Server Manager SSL certificate must be valid to enable SharePoint Workspace-to-Manager communication.

Enabled

Maximum Number of Proxy Connection Failures to Groove Server Relay

If you use Groove Server 2010 Manager to manage SharePoint Workspace, use this policy to limit the number of failed proxy connection attempts to a Groove Server Relay by the SharePoint Workspace client. When the limit is reached, additional proxy connection attempts to the Relay server are abandoned.

Enabled

List of Blocked Groove Relay Servers

If you use Groove Server 2010 Manager to manage SharePoint Workspace, use this policy to prevent SharePoint Workspace clients from initiating communications to listed Groove Relay servers that are known to be permanently decommissioned. The format is a comma-separated list of fully qualified domain names of Relay servers. Wildcards in the names are supported. The question mark (?) is for single character substitution and the asterisk (*) is for domain part substitution.

Disabled

See Also

Concepts

Configure and customize SharePoint Workspace 2010
Office Customization Tool settings for SharePoint Workspace 2010
Plan for SharePoint Workspace 2010

Other Resources

Deployment for Groove Server 2010


Office Customization Tool settings for SharePoint Workspace 2010

You can use Office Customization Tool (OCT) settings to customize an installation of Microsoft SharePoint Workspace 2010 instead of using Group Policy. The OCT option is especially useful if your organization does not use Active Directory and you cannot access the Group Policy feature.

For information about how to use the OCT, see Office Customization Tool in Office 2010.

For more information about customization options, see Configure and customize SharePoint Workspace 2010.

The following table lists and describes OCT settings that affect SharePoint Workspace 2010.

OCT paths to settings for SharePoint Workspace Description

Features/Modify user settings/Microsoft SharePoint Workspace 2010

  • Prohibit Groove workspaces — Prohibits use of Groove workspaces and Shared Folders. Limits SharePoint Workspace use to SharePoint workspaces only.

    Default setting: Disabled

  • Enable IPv6 — Enables IPv6 for SharePoint Workspace.

    Default setting: Disabled

  • Prefer IPv4 — Indicates that IPv4 is preferred over IPv6 if both are supported on client computers.

    Default setting: Disabled

  • SharePoint Workspace Account Configuration Code Required — If you use Groove Server 2010 to manage SharePoint Workspace, use this setting to require that a managed account configuration code be entered, manually or automatically, to create a SharePoint Workspace account. This prevents users from creating unmanaged SharePoint Workspace accounts. For information about Groove Server 2010 and automatic account configuration, see Deployment for Groove Server 2010.

    Default setting: Disabled

  • Groove Server Manager Name — If you use Groove Server 2010 to manage SharePoint Workspace, use this setting to specify the server name for use with automatic account configuration or restoration, or when you migrate unmanaged to managed accounts.

    Default setting: Disabled

  • Groove Server Manager Valid Link Security — If you use Groove Server 2010 to manage SharePoint Workspace, use this setting to ensure a trusted SharePoint Workspace-to-Manager communications link. When this requirement is enabled, the presented Groove Server Manager Secure Socket Layer (SSL) certificate must be valid to enable SharePoint Workspace-to-Manager communication.

    Default setting: Enabled

  • Groove Server Manager Valid Link Security — If you use Groove Server 2010 to manage SharePoint Workspace, use this link to ensure a trusted SharePoint Workspace-to-Manager communication link. When this requirement is enabled, the presented Groove Server Manager SSL certificate must be valid to enable SharePoint Workspace-to-Manager communication.

    Default setting: Enabled

  • Maximum Number of Proxy Connection Failures to Groove Server Relay — If you use Groove Server 2010 to manage SharePoint Workspace, use this setting to limit the number of failed proxy connection attempts to a Groove Server Relay by the SharePoint Workspace client. When the limit is reached, additional proxy connection attempts to the Relay server are discontinued.

    Default setting: Enabled

  • List of Blocked Groove Relay Servers —If you use Groove Server 2010 to manage SharePoint Workspace, use this setting to prevent the SharePoint Workspace clients from initiating connections to listed Groove Relay servers that are known to be permanently decommissioned. The format is a comma-separated list of fully qualified domain names of Relay servers. Wildcards in the names are supported. The question mark (?) is for single character substitution and the asterisk (*) is for domain part substitution.

    Default setting: Disabled

For more information about SharePoint Workspace settings, see Deploy SharePoint Workspace.

Additional content

  • Use the Add files setting in the OCT to automatically add files, such as SharePoint Workspace templates, to user installations.

  • Use the Remove Files setting if you have special requirements that can only be enabled or disabled through the Windows Registry. For example, you can use this setting to remove legacy SharePoint Workspace or Microsoft Office Groove 2007 device management registry settings or you can set the registry value that disables running of the New User video upon configuration of a new account. Files to be removed might also include workspace templates from previous Office Groove 2007 installations.

See Also

Concepts

Configure and customize SharePoint Workspace 2010
Group Policy for SharePoint Workspace 2010

Other Resources

Deployment for Groove Server 2010


Deployment checklist for SharePoint Workspace 2010

Published: December 16, 2010

Use the following checklist to help ensure a successful SharePoint Workspace 2010 deployment.

SharePoint server setup for SharePoint Workspace

Requirement or best practice | Status and comments
Configure Secure Socket Layer protection on the port that will be used for SharePoint Workspace connections. | Done [___] Comments:
Confirm that Remote Differential Compression (RDC) is installed on the SharePoint server. | Done [___] Comments:
Confirm that Offline Client Availability is enabled for affected SharePoint sites. | Done [___] Comments:
Make sure to list the URLs of client-accessible sites in the Alternate Access Mapping list on the SharePoint server. | Done [___] Comments:
If your organization uses Line of Business Interoperability (or LOBi) lists to connect to an external database (instead of to the server database), and if SharePoint users have to take these lists offline, ensure that Offline Synchronization of External Lists is enabled on the SharePoint server. | Done [___] Comments:
Instruct site administrators who want to enable SharePoint Workspace users to access their content to set user permissions accordingly. | Done [___] Comments:
Confirm that intended SharePoint Workspace 2010 clients have browser access to designated SharePoint sites. | Done [___] Comments:
Select policies that you want to deploy for SharePoint Workspace 2010. See Group Policy for SharePoint Workspace 2010 for information about how to set policies for SharePoint Workspace 2010. | Done [___] Comments:
Deploy SharePoint Workspace 2010 with customization policies. | Done [___] Comments:

See Also

Concepts

Configure SharePoint Workspace 2010


Conformance statement A-level (Office 2010)

Published: July 22, 2010

Conformance statement for Microsoft Office 2010 in regards to Web Content Accessibility Guidelines 2.0 (http://www.w3.org/TR/WCAG20/).

Conformance statement for configuration and administration experience at A-level

Claim | Details
Date of the claim | May 12th, 2010
Guidelines title, version, and URI | Web Content Accessibility Guidelines 2.0 (http://www.w3.org/TR/2008/REC-WCAG20-20081211/)
Conformance level satisfied: (Level A, AA or AAA) | A
A concise description of the Web pages, such as a list of URIs for which the claim is made, including whether subdomains are included in the claim. | Default content included with Office 2010 and Administration and Configuration features of Office 2010. For other product features, see Conformance statement AA-level (Office 2010).
A list of the Web content technologies relied upon. | HTML JavaScript CSS
Additional Web content technologies used, but not relied upon. | ARIA Silverlight RSS PNG GIF JPEG
A list of success criteria beyond the level of conformance claimed that have been met. This information should be provided in a form that users can use, preferably machine-readable metadata. | Conforms to 1.4.9 Images of Text (No Exception) - AAA. Conforms to 2.1.3 Keyboard (No Exception) - AAA. Conforms to 2.2.3 No Timing (No Exception) - AAA. Conforms to 2.3.2 Three Flashes - AAA. Conforms to 2.4.8 Location - AAA. Conforms to 3.3.6 Error Prevention (All) - AAA.

This conformance statement pertains to Office 2010.

Customization of the product voids this conformance statement from Microsoft. Customers may make independent conformance statements if they have conducted due diligence to meet all relevant requirements for their customization.

Please consult with Assistive Technology (AT) vendors for compatibility specifications of specific AT products. AT products that are compatible with all the rely-upon-technologies are expected to be functional with the product.

This document is for informational purposes only. MICROSOFT MAKES NO WARRANTIES, EXPRESS OR IMPLIED, IN THIS DOCUMENT.

Revised 07/22/2010.

Microsoft regularly updates its websites and provides new information about the accessibility of products as that information becomes available.


Conformance statement AA-level (Office 2010)

Published: July 22, 2010

Conformance statement for Microsoft Office 2010 in regards to Web Content Accessibility Guidelines 2.0 (http://www.w3.org/TR/WCAG20/).

Conformance statement for core reader, author, and contributor experience at AA-level

Claim | Details
Date of the claim | May 12th, 2010
Guidelines title, version, and URI | Web Content Accessibility Guidelines 2.0 (http://www.w3.org/TR/2008/REC-WCAG20-20081211/)
Conformance level satisfied: (Level A, AA or AAA) | AA
A concise description of the Web pages, such as a list of URIs for which the claim is made, including whether subdomains are included in the claim. | All default content included with Office 2010 and Web application features of Office 2010 except where limited by Conformance statement A-level (Office 2010).
A list of the Web content technologies relied upon. | HTML JavaScript CSS
Additional Web content technologies used, but not relied upon. | ARIA Silverlight RSS PNG GIF JPEG
A list of success criteria beyond the level of conformance claimed that have been met. This information should be provided in a form that users can use, preferably machine-readable metadata. | Conforms to 1.4.9 Images of Text (No Exception) - AAA. Conforms to 2.1.3 Keyboard (No Exception) - AAA. Conforms to 2.2.3 No Timing (No Exception) - AAA. Conforms to 2.3.2 Three Flashes - AAA. Conforms to 2.4.8 Location - AAA. Conforms to 3.3.6 Error Prevention (All) - AAA.

This conformance statement pertains to Office 2010.

Customization of the product voids this conformance statement from Microsoft. Customers may make independent conformance statements if they have conducted due diligence to meet all relevant requirements for their customization.

Please consult with Assistive Technology (AT) vendors for compatibility specifications of specific AT products. AT products that are compatible with all the rely-upon-technologies are expected to be functional with the product.

This document is for informational purposes only. MICROSOFT MAKES NO WARRANTIES, EXPRESS OR IMPLIED, IN THIS DOCUMENT.

Revised 07/22/2010.

Microsoft regularly updates its websites and provides new information about the accessibility of products as that information becomes available.


Security policies and settings in Office 2010

You can use the Security Compliance Manager as a technical reference for the security settings and privacy options in Microsoft Office 2010, and you can also use it for other purposes. For example, the Microsoft Security Compliance Manager provides centralized security baseline management features, a baseline portfolio, customization capabilities, and security baseline export flexibility. These features speed up your organization's ability to efficiently manage the security and compliance process for the most widely used Microsoft products. This includes Office 2010.

You can use the Security Compliance Manager and the Office 2010 Security Baseline to determine:

  • What a setting does.

  • What the default configuration is for a setting.

  • What the vulnerability, impact, and countermeasure is for a setting

  • Where to find the setting in the Group Policy Management Console (GPMC).

For more information about the Security Compliance Manager and the Office 2010 Security Baseline see Microsoft Security Compliance Manager

See Also

Concepts

Group Policy overview for Office 2010
Planning for Group Policy in Office 2010

Other Resources

Microsoft Security Compliance Manager
Microsoft Office 2010 Security Baseline
Office 2010 Security Resource Center on TechNet


Plan for document compatibility (Obsolete)

Published: August 5, 2010

This page has been moved to Plan for using compatibility mode in Office 2010.


D or

7/26/2011

Scope | Token
database | Office 2010 Resource Kit

See Also

Other Resources

D misc
D ss
D sf
D ps
D srch
D gr


This content is not yet available

This blank topic is included as a placeholder for pre-release documentation that will be available as soon as possible. Pre-release documentation is subject to change in future releases.


Configure settings by using Group Policy

This page has been moved to Plan Group Policy for Office 2010.